<%  ' Module: Boption.asp
	'
	' Description: Page to the Business+Center options page.
	'
	' (C) 2000 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original Boptions.asp

	' TECH LEVELS
	' This page can be customized to your specification to allow certain
	' levels of users to obtain access to different buttons.  There are
	' 6 levels of users including:

	' 6 = Configurator = Highest Rights - Show all buttons
	' 5 = Administrator (No system configuration options)
	' 4 = Dispatcher (No administation but dispatcher and reports
	' 3 = Tech Read/Write (Read and write any case record)
	' 2 = Tech Read only (Read case records only)
	' 1 = No access - Lowest Rights - Not a valid user

	' The Matrix below allows you to customize what button are available for
	' specific user levels.  To change the default settings, change the constants
	' for each button listed below.  Every button user level is configurable.
	' For example to change the user level for the reports button from
	' Dispatcher to Administrator the Line below would change from:

	'NewContactAccess = DispatcherLevel

	'TO

	' NewContactAccess = AdministratorLevel



	' User Level Variable Values - DO NOT CHANGE THESE
	ConfiguratorLevel = 6
	AdministratorLevel = 5
	DispatcherLevel = 4
	TechReadWriteLevel = 3
	TechReadLevel = 2
	NoAccessLevel = 1

	'Button Assignements:

	NewContactAccess = TechReadWriteLevel
	FindContactAccess = TechReadLevel
	MyContactsAccess = TechReadWriteLevel
	OtherContactsAccess = TechReadLevel
	EmailOptionsAccess = TechReadLevel
	UserCategoriesAccess = TechReadLevel
	TechCenterAccess = TechReadWriteLevel
	AdministrationAccess = AdministratorLevel
	StaffInfoAccess = DispatcherLevel
	MyInfoAccess = TechReadWriteLevel
	AvailableAccess = TechReadLevel
	LogoutAccess = TechReadLevel
	CustomAccess = AdministratorLevel
	ScheduleAccess = TechReadWriteLevel
	NoteAccess = TechReadWriteLevel

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="db_define.inc" -->
<!-- #INCLUDE VIRTUAL="/wclanguage/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<% IF adOpenForwardOnly = "" Then %>
<% '<!-- #INCLUDE FILE="ADOVBS.INC" -->
%>

<%End IF %>

<% ' Grab the logged in user availability status for the available/busy button

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	TechID = Request.Querystring("TechID")
	If TechID = "" Then
		TechID = Request.Cookies("ISS_BUSINESS")
	End IF

		mySQL="select * from tech_staff where Tech_ID = '" & TechID & "'"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		response.write "No User Info found - Please allow cookies"
		Availability = 1
		Tech_Level = 0
	Else
		Availability = rstemp("Availability")
		Tech_Level = rstemp("Tech_level")

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
	%>

<% 'Get the value of the Options Panel Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_options_color")
		AssetDatabase = rstemp2("assets_db")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<head>
<title>Business+Center Options Panel</title>
</head>
<body bgcolor=#<%=UserPageColor%>>

<CENTER><IMG SRC="bclogo2.gif"></CENTER>
<font size=-2><br></font>
<center>
<table border=0 cellpadding=0 cellspacing=2>

<% If Tech_Level >= NewContactAccess Then%>
<TR>
<TD ALIGN=CENTER><A HREF=EmailListreg.asp target="bwhiteboard"><IMG SRC="/wclanguage/newcontact.gif" BORDER=0 ></A></TD>
</TR>

<%End IF %>

<% If Tech_Level >= FindContactAccess Then%>

<TR>
<TD ALIGN=CENTER><A HREF=EmailListSearch.asp target="bwhiteboard"><IMG SRC="/wclanguage/FindContact.gif" BORDER=0 ></A></TD>
</TR>
<%End If %>

<% If Tech_Level >= MyContactsAccess Then %>
<TR>
<TD ALIGN=CENTER><A HREF=MyContacts.asp target="mycontacts"><IMG SRC="/wclanguage/MyContacts.gif" BORDER=0 ></A></TD>
</TR>
<%End If %>

<% If Tech_Level >= OtherContactsAccess Then %>
<TR>
<TD ALIGN=CENTER><A HREF=OtherContacts.asp target="bwhiteboard"><IMG SRC="/wclanguage/OtherContacts.gif" BORDER=0 ></A></TD>
</TR>
<%End IF %>


<% If Tech_Level >= EmailOptionsAccess Then %>
<TR>
<TD ALIGN=CENTER><A HREF=EmailListEmailOptions.asp target="bwhiteboard"><IMG SRC="/wclanguage/EmailOp.gif" BORDER=0 ></A></TD>
</TR>

<%End IF %>




<% If Tech_Level >= UserCategoriesAccess Then %>
<TR>
<TD ALIGN=CENTER><A HREF=EmailListUserGroups.asp target="bwhiteboard"><IMG SRC="/wclanguage/UserCategories.gif" BORDER=0 ></A></TD>
</TR>
<%End IF %>


<% If Tech_Level >= TechCenterAccess Then %>
<TR>
<TD ALIGN=CENTER><A HREF=TechCenter.asp target="TechCenter"><IMG SRC="/wclanguage/TechCenter.gif" BORDER=0 ></A></TD>
</TR>
<%End IF %>

<% If Tech_Level >= AdministrationAccess Then %>
<TR>
<TD ALIGN=CENTER><A HREF=BAdministration.asp target="bwhiteboard"><IMG SRC="/wclanguage/ts_administration21x120.gif" BORDER=0 ></A></TD>
</TR>
<%End IF %>

<% If Tech_Level >= CustomAccess Then %>
<TR>
<TD ALIGN=CENTER><A HREF=Custom.asp target="bwhiteboard"><IMG SRC="/wclanguage/Custom.gif" BORDER=0 ></A></TD>
</TR>
<%End IF %>

<% If Tech_Level >= StaffInfoAccess Then %>
<TR>
<TD ALIGN=CENTER><A HREF=StaffInfo.asp target="bwhiteboard"><IMG SRC="/wclanguage/Staff.gif" BORDER=0 ></A></TD>
</TR>
<%End IF %>


<% If Tech_Level >= MyInfoAccess Then %>
<TR>
<TD ALIGN=CENTER><A HREF=MyInfo.asp target="bwhiteboard"><IMG SRC="/wclanguage/MyInfo.gif" BORDER=0 ></A></TD>
</TR>
<%End IF %>

<% If Tech_Level >= AvailableAccess Then %>
<TR>

<% IF Availability = 1 Then %>
<TD ALIGN=CENTER><A HREF="DoAvailability.asp"><IMG SRC="/wclanguage/ts_Available21x120.gif" BORDER=0 ></A></TD>

<%Else %>
<TD ALIGN=CENTER><A HREF="DoAvailability.asp"><IMG SRC="/wclanguage/ts_busy21x120.gif" BORDER=0 ></A></TD>

<%End If %>
</TR>
<% End If %>

<% If Tech_Level >= LogoutAccess Then %>
<TR>

<TD ALIGN=CENTER><A HREF="bLogout.asp"  target= "_top" ><IMG SRC="/wclanguage/tlogout.gif" BORDER=0 ></A></TD>
</TR>
<% End If %>

<% If Tech_Level >= ScheduleAccess Then %>
<TR>

<TD ALIGN=CENTER><A HREF="calendarView.asp" target = "bwhiteboard"><img src="/wclanguage/ts_schedule.gif" border=0></A></TD>
</TR>
<% End If %>

<% If Tech_Level >= NotesAccess Then %>
<TR>

<TD ALIGN=CENTER><A HREF="NoteSearch.asp" target = "bwhiteboard"><img src="/wclanguage/ts_notes.gif" border=0></A></TD>
</TR>
<% End If %>


<tr>
<td align=center>
<br>
<a href="http://www.inet-sciences.com" target=newpage>
<img src = "/wclanguage/isslogo.gif" border=0></a>
</td>
<tr>
</table>
</center>
</body>
</html>



