<% 'Module: CodeCustomizations.inc

   'Description: This include file contains a central place to configure additional
   ' minor code level customizations.  Please review this below and change as required.

   ' This file should be located in the language physical directory so it is
   ' available for both Customer+Center and Tech+Center and Pocket+Center applications.

   '(C) 2000, 2001, 2002, 2003, 2004, 2005 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '5/2/06		SAV		Created CodeCustomizations.inc file
   '09/19/11            CMB             Added version75
   '10/05/11            CMB             Moved some parameters to configuration
   '10/02/12            CMB             Wordpress
%>


<%  ' Code Customizations are typically performed by setting a variables that is parsed here
 ' and then referenced by the calling routine as flag check.

 ' *****************************************************************************************
 ' Code Customization: Enable/Disable Links to Customer+Center in Emails
 ' Description: This flag disables sending of the LOGIN link in the customer notification emails
 ' To disable Email links, uncomment the line below
 	'DisableCustomerLoginEmailLink = "YES"
 ' *****************************************************************************************

 ' Extended Time Spent Options - Select options to display time and billing information for customer views
 ' These settings define the configuration for all users EXCEPT individual customers can have
 ' separate definitions that OVERRIDE these global settings.

 ' The individual customer override are defined in the Login_ip field for each customer.
 ' This has been converted to a configurable option for each customer in the login_ip field.
 ' Review the DoNewCase.asp code in the techcenter for details.

 ' To disable these settings, simply comment out the setting you want to disable.


 DisplayTimeSpentOnCustomerCase = "YES" ' Default is YES comment out this line to disable
 SendTimeSpentInCustomerEmail = "YES" ' Default is YES. comment out this line to disable
 DisplayTimeSpentAuthorizationButton = "YES" ' Default is YES comment out this line to disable


 ' This feature displays a new area on the tech+center case form to allow techs to
 ' configure to send additional notification emails out for that case.
 ' The notifications once enabled, also are sent from the customer+center application as well.
 ' This requires a database change and will be rolled into fuuture releases.

 Version7 = "YES"

 'If Version7 = "YES" Then  ' REMOVED for 7.5 now in configuration file
 	'AdditionalNotificationEmails = "YES"
  'End IF

 ' ************* This is version 7.5
Version7point5 = "YES"

 '***************** WORDPRESS
 'If you wish to use Wordpress to host your customer center, change the following line;
 'leave it blank if you do not wish to frame your customer center in Wordpress
 ' WordPressSite = "http://myhost.wpengine.com"
 

 ' ************* This is version 8.0  - Started 2/14/2013
Version8point0 = "YES"
 
 
 
 
%>
