<% 'Module: AddEventType.asp  (Tech+Center Version)

   'Description: This module is the Event Type Editor to Only Add Events Types
   ' type used by the calendar feature.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	' 08/30/02	SAV		Created original module

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 '

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Users_Tech_Level = rstemp("Tech_level")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "AddEventType.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>


<HTML>
<HEAD>
<!-- (C) 1996-2002 by Internet Software Sciences -->
<Title><%=wc_Event%></title>
</HEAD>
<BODY BGCOLOR=<%=ts_user_Page_Color%>>

<P>
		<Center>
		<table border=1 width=90% cellspacing=2 cellpadding=2>
		<tr>
		<td align=center>
		<font size=+1><%=wc_Event_Type_Editor%></font>
		</td>
		</tr>
		</table>

		</center><P>


        <center>
        <table width=90%>

        <tr>
        <td  bgcolor=F0F0F0 align=left valign=top><font size=-1><B>
		<form action=DoAddEventType.asp method=post>

		<%=wc_Add_New_Event_Type_Option%></b><br>
		<%=wc_Add_New_Event_Type_Option_block%>
		</font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1>
		<%=wc_New_Event_Type_Name%>:<br>
		<input size=20 maxlength=50 name=NewUserCategory>
		<br>
		<input type=submit name=submit value="<%=wc_New_Event_Type_button%>">
		</form>
		</td></tr>


		</table>
		</center>


<%End If %>


</body>
</html>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>


