<% 'Module: AssetGroups.asp

   'Description: This module is the Page that allows the user to create and fill a drop-down box for use in assets

   '(C) 2000, 2001, 2002, 2011 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '11/13/12     CMB    Created from EditAssetCategory and old Assetgroups

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Reports.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Get the Internationalization File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Only Allow Configurators to access this function.

	ValidUser = IsValidUser (TechLevel)

	if ValidUser <> "YES" Then %>
		<html>
		<head>
		<title>Invalid User</title>
		</head>
		<body bgcolor=beige>
		<p><font size=+2 color=red>
		   You do not have authorization to use this program - please Login first<p>
		   </font>
		</body>
		</html>
	<%

	response.flush
	response.end
End If

 ' End of ASP page security checks
 %>

<html>
<head>

<title><%=wc_Manage_Asset_Category_Label%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

<SCRIPT LANGUAGE="JavaScript">
function PreDelete(nCat)
{
	var s;
	if (confirm("Do you really want to delete this asset group? It will also remove the asset groups associated with all cases and all inspections done for assets with this asset group.","Confirm Deletion")) {
		s= 'DoDeleteAssetGroup.asp?ID=' +  nCat;
		location.replace(s);
		}
	else
		return false;
}
</script>
</head>



			  <%
			  Dim ID
			  Dim sAssetGroup

			  ID = 0
			  ID = request.querystring("ID")
			  if ID = "" then
			  	ID = 0
			  end if

			  sAssetGroup = ""

			  '**************** get it
			  if ID >0 then
					set conntemp=server.createobject("adodb.connection")
					conntemp.open myDSN ' Open the connection once here

					mySQL="select AssetCategoryID, AssetCategory, IsRequired from AssetCategories where assetCategoryID=" & ID
					set rstemp=conntemp.execute(mySQL)

					if not rstemp.EOF then

						sAssetCategory = rstemp("AssetCategory")
						if not IsNull(rstemp("IsRequired")) and rstemp("IsRequired") = True then
							nRequired = 1
						end if
					end if

					rstemp.close
					set rstemp=nothing

					conntemp.close ' Close the connection
					set conntemp=nothing
			  end if
			  %>

<body class=rightwindow   >

<Table class=BGWrapper align=center >
	<tr>
		 <td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Asset_Groups%></td>
	</tr>
</table>
<p>

<Center>

<FORM METHOD=POST name="myform" ACTION=DoCreateAssetGroups.asp>

<Table class=outerformwrapper cellspacing=0 cellpadding=0 width=80% >
	<tr>
	<td>
		<Table class=innerformwrapper cellspacing=1 cellpadding=0 width=100% >
			<tr>
			  <td align=center class=minorformtitle><%=wc_Create_New_Asset_Group%></td>
			</tr>
			<tr>
			<td>
				<TABLE BORDER=0 CELLPADDING = 0 cellspacing=0 width=100%  >
					<tr>
					<td>
						<table border=0    cellpadding=5 cellspacing=2  width=100% >
							<TR>
								<TD valig=top class=formlabelsuper><%=wc_New_Asset_Group_Name%>:<br>
								<span class=formboxholder>
								<INPUT type=text name=NewAssetGroup size=30 maxlength=100></span></td>
							</tr>

						</TABLE><!-- in 2 -->
					</td></tr>
				</table><!-- in 1 -->

			</td>
			</tr>

		</table><!-- end of inner form wrapper -->

		<tr><td>

	<!-- ------------------------- buttons ----------------------------- -->
		<TABLE align=center>
			<TR>
			<TD ALIGN=CENTER><INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_Submit30x80.gif border=0></TD>
			<td>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
			<TD ALIGN=CENTER><A HREF="Assets.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
			</TR>
		</TABLE>

	<!-- ------------------------- end buttons ----------------------------- -->

	</td></tr>
</table><!-- end of outerform wrapper -->

<br>

</FORM>



<Center>
<!--  -->
<Table class=outerformwrapper cellspacing=0 cellpadding=0 width=80% >
	<tr>
	<td>
		<Table class=innerformwrapper cellspacing=1 cellpadding=0 width=100% >
			<tr>
			  <td align=center class=minorformtitle><%=wc_Asset_Groups%></td>
			</tr>
			<tr>
			<td>
				<TABLE BORDER=0 CELLPADDING = 0 cellspacing=0 width=100%  >
					<tr>
					<td>
						<table border=0    cellpadding=5 cellspacing=2  width=100% >
							<TR>
	<TD><TABLE WIDTH=100% border=1>
					<TR> <td valign=top class=InstructionTextBold align=center><%=wc_Asset_Group%></td>
					<td valign=top class=InstructionTextBold align=center>Number of Assets</td>
					<td valign=top class=InstructionTextBold align=center>Manage Assets</td>
					<td valign=top class=InstructionTextBold align=center>Delete Asset Group</td>
						<%
							set conntemp=server.createobject("adodb.connection")
							conntemp.open myDSN ' Open the connection once here

							mySQL="select AssetGroup.AssetGroupIndex, AssetGroupName,  count(Asset_Number) as cnt from AssetGroup LEFT join AssetGroupValues on AssetGroup.AssetGroupIndex = AssetGroupValues.AssetGroupIndex GROUP BY AssetGroup.AssetGroupIndex, AssetGroup.AssetGroupName Order by AssetGroupName"
							set rstemp=conntemp.execute(mySQL)

							do while not rstemp.EOF
								%>
								<tr>
								<td class=InstructionText><%=rstemp("AssetGroupName")%></td>

								<td class=InstructionText align=center><%=rstemp("cnt")%></td>
								<td class=InstructionTextBold><A HREF="DoManageAssetGroups.asp?AssetGroup=<%=rstemp("AssetGroupIndex")%>" ><%=rstemp("AssetGroupName")%></a></td>

								<%	response.write "<td class=InstructionTextBold><A HREF=""javascript: PreDelete(" & rstemp("AssetGroupIndex") & ")"" >Delete Asset Group</a></td>" %>

								</tr>
								<%
								rstemp.movenext
							LOOP
					%>

							<%
							rstemp.close
							set rstemp=nothing

							conntemp.close ' Close the connection
							set conntemp=nothing
			%>
			</TABLE></td>

							</tr>

						</TABLE><!-- in 2 -->
					</td></tr>
				</table><!-- in 1 -->

			</td>
			</tr>

		</table><!-- end of inner form wrapper -->

		<tr><td>

	<!-- ------------------------- buttons ----------------------------- -->
		<TABLE align=center>
		<TR>
		<TD ALIGN=CENTER><a href=manageassetgroups.asp><Img src=/<%=WCLanguageDirectory%>/manageassetgroups.jpg border=0></TD>
		<td>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
		<TD ALIGN=CENTER><A HREF="Assets.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
		</TR>
		</TABLE>

	<!-- ------------------------- end buttons ----------------------------- -->

	</td></tr>
</table><!-- end of outerform wrapper -->

<br>


</body>
</html>