<% 'Module: AvgTimeToCloseByTech.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '10/5/01 SAV		Create originalOpenCasesByCustoerByDate.asp module
   '10/6/01 SAV		Created CasesByCategory.asp module
   '3/15/05	SAV		Created AvgTimeToCloseByGroup.asp
   '08/02/07 SAV	Created AvgTimeToCloseByTech.asp module for Prestonwood.
   '05/20/11 CMB    Rewrote using two loops rather than break processing

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="db_define.inc" -->
<!-- #INCLUDE FILE="../language/wcLabels.inc" -->
<!-- #INCLUDE FILE="ComputeWeekdayHoursDuration.inc" -->
<!-- #INCLUDE FILE="DisplayWeekdayHoursDuration.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="ADOVBS.INC" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<html>

<head>

<% wc_Average_Time_To_Close_A_Case_By_Tech_By_Date = "Average Time to Close a Case By Tech By Date"%>

<title><%=wc_Average_Time_To_Close_A_Case_By_Group_By_Date%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table

	UserPageColor = GetBackgroundcolor()
%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Date_Type = Request.form("Date_Type") ' Passed as 0 (Start date) or 1 (Last Modified)
		Case_Status = Request.form("Case_Status")
		case_status = "1"
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Average_Time_To_Close_A_Case_By_Tech_By_Date%></font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>

</center>

<form action=AvgTimeToCloseByTech.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
(mm/dd/yyyy)<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>(mm/dd/yyyy)<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

</SELECT></font></TD>
<td valign=middle>
<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>

<% ' Create the query based on the entered date range if they entered any data

		If Date_Type = 0 Then

			If Start_Date <> "" Then
				' Remove the slashes so we can do a proper date search
				Start_Date = Replace (Start_Date, "/", "")
				' Move the date characters around into YYYYMMDD format
				NewDate = mid(Start_Date, 5,4) & mid(start_date, 1,2) & mid(start_date,3,2)

				WhereStatement = " Cases.Mod_Date >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewDate & "'"
				AndText = " AND "
			End IF

		End If

		If Date_Type = 1 Then

			If Start_Date <> "" Then
				Start_Date = Replace (Start_Date, "/", "")
				NewDate = mid(Start_Date, 5,4) & mid(Start_date, 1,2) & mid(Start_date,3,2)

				WhereStatement = " Cases.Mod_Date >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewDate & "'"
				AndText = " AND "
			End IF

		End If

		' Case Status Search
		If  Case_Status <> "" Then
			If Case_Status = "4" Then 'All Open Cases
				WhereStatement = WhereStatement & AndText & " Cases.status <> 1 "
			Else
				WhereStatement = WhereStatement & AndText & " Cases.status = " & Case_Status
			End If
			AndText = " AND "
		End IF

		If WhereStatement <> ""Then
			WhereStatement = " Where "& WhereStatement
		End IF

		' Add order by clause
		'WhereStatement = WhereStatement '& " Order by cases.Tech_ID"
%>

<%' First get all of the open cases total count since we will need that for our percentage calculation%>
<% ' Get Total number of cases

	sqltemp= "select count(Case_Number) as cnt from cases " & WhereStatement

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	set rstemp=Server.CreateObject("adodb.Recordset")
	rstemp.open sqltemp, conntemp, adopenstatic
	TotalTechCases = rstemp("cnt")
	rstemp.close
	set rstemp=nothing
%>

<center>

<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Tech%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # of Cases </th>
<th width=10% bgcolor=E0E0E0><font size=-1> Avg # of Days <br> To Close</th>
<th width=10% bgcolor=E0E0E0><font size=-1> Avg # of Hours <br> To Close</th>
</tr>

<%' Now step through data set %>

<% ' Get all open cases, sort by Tech ID and count for each tech and then
	' compute what percentage that Tech ID has and then display it graphically
	'
		outerSQL = "Select count (case_Number)as cnt, Cases.Tech_ID "
		outerSql = outerSQL & " FROM CASES LEFT OUTER JOIN tech_Staff on cases.Tech_ID = Tech_Staff.Tech_ID "
		outerSql = outerSql & wherestatement
		outerSql = outerSql & " GROUP BY  Cases.Tech_ID order by cases.Tech_ID "

		innerSQL = "Select mod_date, Mod_time, Open_date, Open_time, Cases.Tech_ID, Last_Name, First_Name "
		innerSql = innerSQL & " FROM CASES LEFT OUTER JOIN tech_Staff on cases.Tech_ID = Tech_Staff.Tech_ID "
		innerSql = innerSql & wherestatement

		set rsOUTER=Server.CreateObject("adodb.Recordset")
		rsOUTER.open outerSql, conntemp, adopenstatic

		set rsINNER=Server.CreateObject("adodb.Recordset")

	If  rsOUTER.eof then ' Check to see if any open cases
%>
		<tr><td colspan=4 align=center><font size=-1><B> No Matching Cases Found </b></font></td></tr>
<%
	Else ' Must be one or more open cases

		do while not rsOUTER.eof

			TechCases = rsOUTER("cnt")
			TechID = rsOUTER("Tech_ID")
			if not isnull(rsOUTER("Tech_ID"))  then
				thisSql = innersql & andtext & " cases.TECH_ID = '" & techID & "'"
			else
				thisSql = innersql & andtext & " cases.TECH_ID IS NULL "
			end if
'response.write "THIS: "
'response.write thisSql
'response.write "<br>OUTER"
'response.write outersql
'response.flush
'response.end
			FinalAvgHourTotal = 0
			TechCount = 0

			rsINNER.open thisSQL, conntemp, adopenstatic  ' INVALID COLUMN NAME CSS
			firsttime = 1
			TotalHours = 0

			do while not rsINNER.eof

				if firsttime = 1 then
					TechCount = TechCount + 1

					' figure out tech name
					if isnull(rsINNER("Last_Name")) then
						LastName = ""
					else
						LastName = rsINNER("Last_Name")
					end if
					if isnull(rsINNER("First_Name")) then
						FirstName = ""
					else
						FirstName = rsINNER("First_Name")
					end if

					TechName = trim(FirstName & " " & LastName)

					If trim(TechName) = "" then
						TechName = "Not Assigned"
					End if

					firsttime = 0
				end if

				' Compute information
				' Pull out Start time and end time

				open_date = rsINNER("Open_date")
				Open_time = rsINNER("Open_Time")
				Mod_date = rsINNER("mod_date")
				Mod_Time = rsINNER("mod_time")

'---

	StartDateTime = mid(open_date,5,2) & "/" & mid(open_date, 3,2) & "/" & mid(open_date, 1,4)
	StartDateTime = StartDateTime & " " & mid(open_time, 1,2) & ":" & mid(open_time,3,2) & ":" & mid(open_time,5,2)

	If mid(open_time,1,2) > 12 then
		StartDateTime = StartDateTime & " PM"
	else
		StartDateTime = StartDateTime & " AM"
	End If

	EndDateTime = mid(mod_date,5,2) & "/" & mid(mod_date, 3,2) & "/" & mid(mod_date, 1,4)
	EndDateTime = EndDateTime & " " & mid(mod_time, 1,2) & ":" & mid(mod_time,3,2) & ":" & mid(mod_time,5,2)

	If mid(mod_time,1,2) > 12 then
		EndDateTime = EndDateTime & " PM"
	else
		EndDateTime = EndDateTime & " AM"
	End If

	' Debugging
'	Response.write "StateDateTime = " & StartDateTime & "<br>"
'	Response.write "EndDateTime = " & EndDateTime & "<br>"

	' This new function returns QUARTER HOURS so we need divide by 4 before
	' we call the remaining part of the code

	Hours = ComputeWeekdayHoursDuration(StartDateTime, EndDateTime)
	AvgHours = Hours/4 ' Convert from quarter hours to hours

	'response.write "value returned from function = " & hours & " quarter hours<P>"

	TotalTotalHours = AvgHours + TotalTotalHours
	TotalHours = AvgHours + TotalHours

'---
				'AvgHours = ComputeHourDifference(open_time, open_date, mod_Time, mod_date)
				'TotalHours = AvgHours + TotalHours

				rsINNER.movenext
			loop
			rsINNER.close

			' Display a row in the table for the TECHNICIAN
			%>
<tr>

<td><font size=-1>

<%
			Response.write TechName
			TechCount = TechCount + 1
%>
</td>

<td align=center><font size=-1><%=TechCases %>
</td>

	<%
	'	FinalAvgHour = TotalHours/CategoryCases
	FinalAvgHour = TotalHours/techCases ' ???
		FinalAvgHourTotal = FinalAvgHourTotal + FinalAvgHour
	    FinalAvgDays = FinalAvgHour/24

		'FinalAvgHour = TotalHours/TechCases
		'FinalAvgHourTotal = FinalAvgHourTotal + FinalAvgHour
		'TotalTechCases = TotalTechCases + TechCases gotten from first query
	    'FinalAvgDays = FinalAvgHour/24
	%>

<td align=center><font size=-1>
<%= DisplayTwoPlaces(FinalAvgDays) %>

</td>
<td align=center><font size=-1>
<%= DisplayTwoPlaces(FinalAvgHour)%>
</td>
</tr>

<%			rsouter.movenext
		loop
%>

<%
		rsOUTER.close ' Close the record set and the connection
	end if
	set rsOUTER=nothing
	set rsINNER=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>
<% ' -----------Display the SUMMARY row information %>

<tr>

<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  <%=wc_Summary_Total%>:</b>

</td>
<td align=center bgcolor=FFFFFF><font size=-1>
<B>
<%=TotalTechCases%></b>

<% 'Compute Average Total
if TotalTechCases > 0 then
	AvgAvgHour = TotalTotalHours/TotalTechCases
else
	AvgAvgHours = 0
end if
	AvgAvgDays = AvgAvgHour/24
%>

</td>
<td align=center bgcolor=FFFFFF><font size=-1>

<%=DisplayTwoPlaces(AvgAvgDays)%>

</td>
<td bgcolor=FFFFFF align=center><font size=-1>
<%=DisplayTwoPlaces(AvgAvgHour)%>
</td>
</tr>
	<%' Close the Table %>
</table>
<P>
<center>
<a href=reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

</body>
</html>

<%
Function ComputeHourDifference(open_time, open_date, mod_Time, mod_date)


		FormattedOpenDate = mid(Open_Date,5,2) & "/" & mid(Open_Date,7,2) & "/" & mid(Open_Date,1,4)
		' Now we need to add the time as well to that string as hh:mm
		FormattedOpenTime = mid(Open_Time,1,2) & ":" & mid(Open_Time,3,2)
		FormattedOpenDateTime = FormattedOpenDate & " " & formattedOpenTime

		CurrentDate = FormatDateTime( Date, vbGeneralDate)
		' Now put this OpenDate format into a format that the DateDiff() function
		' can work with converting from YYYYMMDD to mm/dd/yyyy

		FormattedModDate = mid(Mod_Date,5,2) & "/" & mid(Mod_Date,7,2) & "/" & mid(mod_Date,1,4)
		' Now we need to add the time as well to that string as hh:mm
		FormattedModTime = mid(Mod_Time,1,2) & ":" & mid(Mod_Time,3,2)
		FormattedDateTime = FormattedModDate & " " & formattedModTime

		MinutesDiff = DateDiff("n", FormattedOpenDateTime, FormattedDatetime )
		'response.write "Now=" & Now()
		'response.write "FormattedDateTime = " & FormattedDatetime
		'response.write "Minutes Difference = " & MinutesDiff

		ComputeHourDifference = MinutesDiff/60

		' Debugging
		'response.write "Open_time = " & open_time & " Open Date = " & Open_Date
		'response.write "mod_time = " & mod_time & " mod Date = " & mod_Date
		'response.write "Hour Difference = " & ComputeHourDifference
 End Function

%>

<% Function DisplayTwoPlaces(Amount)

	'This function Displays dollar/cents amounts with the dollar sign
	' or currency symbol.

	ShortString = FormatCurrency(Amount)
	DisplayTwoPlaces = Replace(ShortString, "$", "")

	End Function
%>