<% 'Module: CasesOpenClosedByWeek.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '10/5/01 SAV		Create originalOpenCasesByCustoerByDate.asp module
   '03/02/07 SAV	Created CasesOpenClosedByWeek.asp module
   '04/20/2011 CMB  Fixed.  Wasn't looping if there wasn't an end date.  Now uses end date if there is one and is valid, else selected interval.
    '06/08/2011 CMB  Open cases didn't check for status!
    '07/20/2011   CMB  Oops.  broke it.  Use end date if there is one. Don't check for status in first query.
   '08/05/11 CMB  CMB  UK Date; clean up; now one month is one month not 31 days

' THIS REPORT RETRIEVES CASES THAT ARE OPENED DURING THIS PERIOD (OPEN DATE WITHIN RANGE) and cases that are closed during this period (mod_
' date and status = closed'.  Does not matter on the closed query whether were also opened in this range.
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title>Cases Open/Closed By Interval Report</title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		If Request.Form("Interval") <> "" Then
			Interval = Cint(Request.form("Interval"))
		Else
			Interval = 6
		End If

		'call setlocale(1033)
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1>Cases Open/Closed by Interval Report</font>
<center>
<font size=-2>This report retrieves cases that were opened during the date range and cases that were closed during this date range, <br>whether or not they were also opened within the date range.
</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now & ""%></font>
</td>

</tr></table>

</center>

<form action=CasesOpenClosedByWeek.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></font>

<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></FONT>

<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<TD valign=top><B><FONT SIZE=-1>Interval:</font></b><br>
<font size=-2>(Default - Weekly)<br></FONT>
<FONT SIZE=-1>
<SELECT  name=Interval>

	<% If Interval = 6 Then %>
	<OPTION selected value=6>1 Week</OPTION>
	<%Else %>
	<OPTION  value=6>1 Week</OPTION>
	<%End If %>

	<% If Interval = 0 Then %>
	<OPTION selected value=0>1 Day</OPTION>
	<%Else %>
	<OPTION  value=0>1 Day</OPTION>
	<%End If %>

	<% If Interval = 1 Then %>
	<OPTION selected value=1>2 Days</OPTION>
	<%Else %>
	<OPTION  value=1>2 Days</OPTION>
	<%End If %>

	<% If Interval = 3 Then %>
	<OPTION selected value=2>3 Days</OPTION>
	<%Else %>
	<OPTION  value=2>3 Days</OPTION>
	<%End If %>

	<% If Interval = 3 Then %>
	<OPTION selected value=3>4 Days</OPTION>
	<%Else %>
	<OPTION  value=3>4 Days</OPTION>
	<%End If %>

	<% If Interval = 3 Then %>
	<OPTION selected value=4>5 Days</OPTION>
	<%Else %>
	<OPTION  value=4>5 Days</OPTION>
	<%End If %>

	<% If Interval = 5 Then %>
	<OPTION selected value=5>6 Days</OPTION>
	<%Else %>
	<OPTION  value=5>6 Days</OPTION>
	<%End If %>

	<% If Interval = 13 Then %>
	<OPTION selected value=13>2 Weeks</OPTION>
	<%Else %>
	<OPTION  value=13>2 Weeks</OPTION>
	<%End If %>

	<% If Interval = 30 Then %>
	<OPTION selected value=30>1 month (31 Days)</OPTION>
	<%Else %>
	<OPTION  value=30>1 month (31 Days)</OPTION>
	<%End If %>

</SELECT></font></TD>

<td valign=middle>
<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>
</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>

<%
If Start_Date <> "" AND End_Date <> "" Then

' Display the top of part of the table and headers

%>
<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1>Week Of</th>
<th width=10% bgcolor=E0E0E0><font size=-1>Cases Closed</th>
<th width=10% bgcolor=E0E0E0><font size=-1>Cases Opened</th>
</tr>

<% ' Now start looping through

	' First compute number of days between the start and ending date
	' so we can increment through the values

' Start_Date and End_Date will be the entered date range in their format

	'if uk format, switch to us dates
	 if datedisplayformat = "DDMMYYYY"  then
			US_Start = SwitchMonthDate(Start_Date)
			US_End = SwitchMonthDate(End_Date)
		else
			US_Start = Start_date
			US_End = End_Date
		end if

		'response.write "US_start" & US_START
		'response.write "US_END" & us_End
		'response.flush
		'response.end

	call SetLocale(1033)  ' set to US

	'Convert Start_Date and End_Date to true Date Datatype
	if US_Start > "" and isdate(US_Start) then
		Start_Date_Datatype = CDate(US_Start) ' this is the one that's getting bumped up
	end if

	if US_End > "" and isdate(US_End) then
		End_Date_Datatype = CDate(US_End)  ' stays the same
	end if

	BackGround= "F0F0F0" ' Cell background color

'response.write Start_Date_Datatype  & "<br>"
'response.write End_Date_Datatype & "<br>"
'response.flush
'response.end

	SummaryTotalCasesClosed= 0
	SummaryTotalCasesOpened = 0

	Do While (DateDiff("d", Start_Date_Datatype, End_Date_Datatype) > 0)
		if Interval = 30 then
			New_end = DateAdd( "m", 1, Start_Date_Datatype)
			New_end = DateAdd( "d", -1, New_end)
		Else
			New_end = DateAdd( "d", Interval, Start_Date_Datatype)
		End if
				'Debugging
			'	response.write "DateDiff=" & DateDiff("d",Start_Date_Datatype, End_Date_Datatype) & "<br>"
				'response.write "Start_Date_Dataype= " & Start_date_Datatype & "<Br>"
				'response.write "End_Date_Dataype= " & End_date_Datatype & "<Br>"
				'response.flush
				'response.end

		Call GetStats (Start_Date_Datatype,New_end,TotalOpenCases,TotalClosedCases)

		SummaryTotalCasesClosed = SummaryTotalCasesClosed + TotalClosedCases
		SummaryTotalCasesOpened = SummaryTotalCasesOpened + TotalOpenCases

	' Now Display the table row
%>

<Tr>
<td align=center bgcolor = "<%=background%>"><font size=-1 face=arial>
<% if datedisplayformat = "DDMMYYYY" then
		response.write switchmonthdate(start_Date_datatype) & ""  ' NOTE you need to concatenate the blank or it won't use the correct locale!
	else
		response.write start_Date_datatype & ""
	end if
%>
to
<% if datedisplayformat = "DDMMYYYY" then
		response.write switchmonthdate(new_end) & ""
	else
		response.write new_end & ""
	end if
%>
</td>

<td align=center bgcolor = "<%=background%>"><font size=-1 face=arial><%=TotalClosedCases%></td>
<td align=center  bgcolor = "<%=background%>"><font size=-1 face=arial><%=TotalOpenCases%></td>
</tr>

<%
		'Start_Date_Datatype = DateAdd("d", Interval, Start_Date_Datatype) ' bump up
		Start_Date_Datatype = DateAdd("d", 1, New_End)
		'response.write "Next Start_Date_Dataype= " & Start_date_Datatype & "<Br>"

		' Toggle the background cell colors
		If BackGround = "F0F0F0" then
			BackGround = "C0C0C0"
		Else
			BackGround = "F0F0F0"
		End If

			'response.flush
			'response.end
	loop
%>

<Tr>
<td align=center bgcolor = "E0E0F0"><font size=-1 face=arial> Summary Total of Cases Open/Closed during interval </td>
<td align=center bgcolor = "E0E0F0"><font size=-1 face=arial><%=SummaryTotalCasesClosed%></td>

<td align=center  bgcolor = "E0E0F0"><font size=-1 face=arial><%=SummaryTotalCasesOpened%></td>
</tr>
</table>
<%End If %>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>
</body>
</html>

<% Sub GetStats(inStart,inEnd,outOpen,outClosed)
' CMB coming in as 3/3/2011 and can't deal with it?
			newInStart = PadDate(inStart)
			newInEnd = PadDate(inEnd)

			New_Start_YYYY = MakeYYYYMMDD(newInStart,"MMDDYYYY")
			New_End_YYYY = MakeYYYYMMDD(newInEnd,"MMDDYYYY")

			' NOTE this would be all cases opened in this range - probably don't need to check the status because this would be STILL OPEN
			sqltemp="select count(case_Number) as cnt from Cases Where Open_Date >= '" & New_Start_YYYY & "' AND Open_date <= '" & New_End_YYYY & "'"

		'	response.write "SQL= "  & Sqltemp & databasetype
		'	response.flush
		'	response.end

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN
			set rstemp=Server.CreateObject("adodb.Recordset")
			rstemp.open sqltemp, conntemp, adopenstatic
			outOpen = rstemp("cnt")
			rstemp.close
			set rstemp=nothing

			conntemp.close ' Close the connection
			set conntemp=nothing

			' Now create SQL statement to find cases where the last modified date is between this case and case status is set to closed.

			sqltemp="select count(case_Number) as cnt from Cases Where Mod_date >= '" & New_Start_YYYY & "' AND Mod_date <= '" & New_End_YYYY & "' AND Status = 1"
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			'response.write "SQLTemp = "     &  sqltemp & "<br>"

			set rstemp=Server.CreateObject("adodb.Recordset")
			rstemp.open sqltemp, conntemp, adopenstatic
			outClosed = rstemp("cnt")
			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing
End Sub
%>
