<% 'Module: ConfigureAdditionalNotifications.asp

   'Description: This module is the Page for customizing the additional Notifications
   ' system level configuration page.

   '(C) 2000, 2001, 2002 2009 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '03/28/01	SAV		Created original EditConfiguration.asp Module
	'08/15/02	SAV		Created OtherConfiguration.asp module from EditConfiguration.asp Module
	'09/05/02	SAV		Created MoreConfiguration.asp module from OtherConfiguration.asp Module
	'09/04/09	SAV		Created CustomerCenterConfiguration.asp from this module
	'06/09/09	SAV		Created ConfigureAdditionalNotifications.asp module
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ConfigureAdditionalNotifications.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%
	' FIRST Get the values from the configuration file and into variables


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		PrimaryAdditionalNotificationEmail = rstemp("PrimaryAdditionalNotificationEmail")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title>Configure Additional Notifications</title>
</head>
<body bgcolor=#C0C0C0>
<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b>Configure Additional Notifications</b><br>
</font>

</td></tr></table><p>
</center>

<FORM ACTION=DoConfigureAdditionalNotifications.asp method=post>

<center>

	<table width=98% border=0 cellspacing=3 cellpadding = 3>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
		</center>


<center>
<table border=1 cellspacing=2 cellpadding=3 width=98%>
<tr>
<td align=center>

<font size=-1>


<font size=+1>Additional Notifications</font><hr width=80% >

Each case can be enabled to send Additional Notification Emails <br>to persons
beyond the Customer and the assigned techs and tech group members.<br><br>



A default Primary Notification Email can be defined below.
<br>


<br>



<B>Primary Additional Notification Email:</b><br>

<input type=text name=PrimaryAdditionalNotificationEmail value = "<%=PrimaryAdditionalNotificationEmail%>" size=50 maxlength=100>


<br>
<br>




</td>
</tr>
</table>

</form>



</body>
</html>

<% End If %>

