<% 'Module: ConfigureCategories.asp

   'Description: This module Displays a page that allows administrators
   ' to configure which categories can be viewed only the techcenter
   ' users.
   '
   '	To do this, the State flag of the categories table is set
   ' to the value of "2".  0 = Disabled, 1 = enabled, 2 = Enabled only for techcenter page
   '
   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '3/23/00	SAV		Created original ASP page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Allow only  configurators to access this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "KBoptions.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<head>
<title>Category View Configurations</title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<body bgcolor="<%=UserPageColor%>">
<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=5 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1>Category View Configurations</FONT></B></TD>
</TR>
</TABLE></TD>
</TR>
</TABLE></CENTER>
<br>

<table width=95% cellspacing=4 cellpadding=4><tr><td>
<font size=-1>

<% ' Display each category and checkbox allowing them choose
	' whether to make it viewable for the customers
%>
<% 'Display all of the current enabled/tech enabled Categories. %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select Distinct Category_Number, Category_name, state from Categories"
	set rstemp2=conntemp.execute(mySQL2)

	if rstemp2.EOF then

		response.write "No Categories currently configured."

		' No  categories currently configured
	Else
%>

	<Table border=1 cellspacing=2 cellpadding=2>
	<tr>
	<th bgcolor=F0F0F0 width=40%><font size=-1>Category<br> Name</th>
	<th bgcolor=F0F0F0><font size=-1>Disable<br> Category</th>
	<th bgcolor=F0F0F0><font size=-1>All <br> View</th>
	<th bgcolor=F0F0F0><font size=-1>Tech <br> View Only</th>
	</tr>

	<form action=DoConfigureCategories.asp method=post>
<%
		Do While Not rstemp2.EOF

			Category_name = rstemp2("category_name")
			Category_number = rstemp2("Category_number")

			response.write "<tr><td><font size=-1>"

			response.write Category_Name
			response.write "</td>"
			response.write "<td><font size=-1>"

			state = rstemp2("State")
                        state = CInt(state)
                        If State = 0 Then
				response.write "<input type=radio name="""& Category_name & """ value=0 CHECKED></td>"
			Else
				response.write "<input type=radio name="""& Category_name & """ value=0></td>"
			End IF

			response.write "<td><font size=-1>"
			If State = 1 Then
				response.write "<input type=radio name="""& Category_name & """ value=1 CHECKED></td>"
			Else
				response.write "<input type=radio name="""& Category_name & """ value=1></td>"
			End If
			response.write "<td><font size=-1>"
			If State = 2 Then
				response.write "<input type=radio name="""& Category_name & """ value=2 CHECKED></td>"
			Else
				response.write "<input type=radio name="""& Category_name & """ value=2 ></td>"
			End If
			response.write "</tr>"

			rstemp2.MoveNext
		Loop

		response.write "</table>"

%>
		<br>
		<center>
		<table width=80%>
		<tr><td align=center><font size=-1>
		<input type=image src = "/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=submit border=0>
		</td><td align=center><font size=-1>
		<a href=techsupp.dll?syscfgmenu><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif"></a>
		</td></tr></table>
		</center>
		</form>
<%

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>





</td></tr></table>

</BODY>
</HTML>

<%End If ' End of security checks %>
