<% 'Module: ConfigureDefaultGroupAssignment.asp

   'Description: This module is the first page to defining the default
   ' group assignment.  Group assignment can be set to a single
   ' group or it can be configured to be set based on a
   ' category selection.


   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '05/07/01	SAV		Created original ConfigureDefaultGroupAssignment.asp module.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>


<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ConfigureDefaultGroupAssignment.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>
<!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title>Configure Default Group Assignment</title>
</head>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
%>


<body bgcolor=#<%=UserPageColor%>>
<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Configure_Default_Group_Assignment%></b>
</font>
<br>
</td></tr></table><p>
</center>

<FORM METHOD=POST ACTION=DoConfigureDefaultGroupAssignment.asp>

<center>

<table border=1 cellspacing=2 cellpadding=3 width=98%><tr>
<td>
<UL>
<br>

<font size=-1>
<UL>
<B><%=wc_Initial_Group_Assignment_based_on_Category%></b><br>
<%=wc_Select_a_category_or_set_to_None%>:


<%' Grab all Category Items from the Categories table
	'and display the previous set category table if it exist

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Categories Order by Category_Number"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist
		response.write wc_No_Categories_Found_must_be_defined_first & "<P>"
	Else
		response.write "<select name=CategoryNumber size=1>"

		response.write "<option value=>" & wc_None & "</option>"

		Do While rstemp.EOF <> True
			NewCategoryNumber = rstemp("category_Number")
			If NewCategoryNumber <> LastCategoryNumber Then

				If rstemp("Group_Number") = "" or IsNull(rstemp("Group_number")) = True Then
					response.write "<option value=" & rstemp("Category_Number") & " >" & rstemp("Category_Name") & "</option>" & chr(10) & chr(13)
				Else
					response.write "<option value=" & rstemp("Category_Number") & " SELECTED>" & rstemp("Category_Name") & "</option>" & chr(10) & chr(13)
				End IF
				LastCategoryNumber = rstemp("Category_Number")
			End IF

			rstemp.MoveNext
		Loop
		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<br>
<br>
</ul>
	</td></tr>
	</table>




<center>

<table border=1 cellspacing=2 cellpadding=3 width=98%><tr>
<td>
<UL>
<br>

<font size=-1>
<UL>
<B><%=wc_Initial_Group_Assignment_directly_to_group%></b><br>
<%=wc_Select_an_initial_group_assignment%>:

<select name=SingleDefaultGroup size=1>

<%' Grab all Groups from the Groups Table and display the default group

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Group_list Order by Group_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist
		response.write "<option value=xx>" & wc_No_Group_Found & "</option>"
	Else
		response.write "<option value=>" & wc_Select_One & "</option>"

		Do While rstemp.EOF <> True

		If rstemp("Default_Flag") = 1 Then
			response.write "<option value=" & rstemp("Group_Number") & " SELECTED>" & rstemp("Group_Name") & "</option>" & chr(10) & chr(13)
		Else
			response.write "<option value=" & rstemp("Group_Number") & ">" & rstemp("Group_Name") & "</option>" & chr(10) & chr(13)
		End IF

			rstemp.MoveNext
		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<br>

<%=wc_Category_Description_block%>


<br>
</ul>
	</td></tr>
	</table>

</center>

	<P>

	<table width=50% border=0>

		<tr>

		<td  align=center valign=middle>
		<input type=image src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif name=b_submit border=0>



		</td><td  align=center width=50% valign=middle><a href="SystemAdmin.asp"><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></A>
		</td>
		</tr>
		</table>
		</center>

</form>

</body>
</html>

<% End If %>
