<% 'Module: CreateTop10.asp

   'Description: This module allows tech staff to create the top ten (FAQ) cases for customer to view
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 ' Allow techs that can read/write to access this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "CreateTop10.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title>Create FAQ List</title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<body bgcolor="<%=UserPageColor%>">
<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=5 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1>Create FAQ List</FONT></B></TD>
</TR>
</TABLE></TD>
</TR>
</TABLE></CENTER>
<br>
<center>

<table width=90% border=1 cellspacing=2 cellpadding=2>
<tr>
<form action = DoCreateTop10.asp method=post>
<td bgcolor=F0C0D0

<font size=-1>
<br>
<b>Case Number:</b>
 <input name="case_number" size=6 maxlength=12> &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;
 &nbsp;&nbsp;<B>Order:</b><input name=DisplayOrder size=6 maxlength=6> (100-999)
 &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp;
<input type=submit name=submit value="Add To FAQ List">
<P>
</font>
</form>
</td></tr></table>
</center>

<br>

<% 'Display the current Top Ten 10 list %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from TopCases Order by CaseListType"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then

	response.write "No Cases have been defined for the top ten list yet.<P>"

	Else
	%>

<center><table border = 1 cellspacing=2 cellpadding=2 width=90%>
<tr>

<th colspan=6 align=center bgcolor=D0B0A0>Current FAQ List</th>
</tr>
<tr>
<th bgcolor=F0F0F0><font size=-1>Count</th>
<th bgcolor=F0F0F0><font size=-1>Order Number</th>
<th bgcolor=F0F0F0><font size=-1>Re-Order</th>

<th bgcolor=F0F0F0><font size=-1>Case #</th>
<th bgcolor=F0F0F0 width=40%><font size=-1>Summary</th>
<th bgcolor=F0F0F0><font size=-1>Delete From<br>FAQ List</th>
</tr>


<%
		Count = 1

		Do while NOT rstemp2.EOF

			Case_Number = rstemp2("Case_Number")

			response.write "<tr><td><font size=-1>" & Count & "</td>"

	%>
	<td><font size-1>


	<% ' Create a form element name that contains the word Order and the case number
		OrderName = "Order" & Case_Number
		CurrentOrderNumber = rstemp2("CaseListType")
		' Note this is an ALPHA field so sort will be alpha sort so
		'9 comes after 100 so use values between 100-999 for proper sorting

	%>
	<%=CurrentOrderNumber%><br>
	</td>

	<td><font size=-1>
	[<a href=DoReOrderTop10.asp?Case_Number=<%=Case_Number%>&Reorder=SUBONE>^</a>]

	[<a href=DoReOrderTop10.asp?Case_Number=<%=Case_Number%>&Reorder=SUBTEN>^^</a>]
	&nbsp;&nbsp;

	[<a href=DoReOrderTop10.asp?Case_Number=<%=Case_Number%>&Reorder=ADDONE>v</a>]
	[<a href=DoReOrderTop10.asp?Case_Number=<%=Case_Number%>&Reorder=ADDTEN>vv</a>]
	</td>


	<%

			response.write "<td><font size=-1><a href=TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=" & Case_Number & ">"& case_number&"</a></td>"



			mySQL="select * from Cases where Case_Number = " & Case_number
			set rstemp=conntemp.execute(mySQL)

			' Check to see if any records are returned
			' if none found the
			if rstemp.EOF then
				response.write "<td><font size=-1>Case Not Found</td>"
			Else
				Case_Summary = rstemp("Case_Summary")
				If Len(Case_Summary) > 100 then
					Case_Summary = Mid(Case_summary, 1, 100) & "..."
				End If

				response.write "<td><font size=-1>"& case_summary & "<br></td>"
			End If

			rstemp.close
			set rsemp=nothing

			response.write "<td><font size=-1><a href=DoDeleteTop10.asp?CaseNumber="&Case_Number&">Delete</a></td>"

			Response.write "</tr>"

			rstemp2.MoveNext
			Count = Count + 1
		Loop

		response.write "</table></center>"

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



</td></tr></table>




</BODY>
</HTML>

<% End If ' End of If valid user %>
