
<% 'Module: DatabaseChecker.asp

   'Description: This module is called directly from a manually entered
   ' URL to debug table issues. It will walk through the various tables
   ' and display information about the various tables and hopefully
   ' be able to indentify if some of the key fields are filled with
   ' invalid key data where either an NULL or valid key field is
   ' required.

   '(C) 1999, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '05/02/01	SAV		Created original Databasechecker page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member 
	'has the right user level to
	' run this function.  If not, then display an error page.
	
	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights
	
	TechLevel = 5 ' Allow Admins to see this function.
	

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned 
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page	
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing
		
 ' End of ASP page security checks
 %>	


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DatabaseChecker.asp"%>
	
	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title>Web+Center Database Checker</title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	
	' Don't close connection here
'	conntemp.close ' Close the connection
'	set conntemp=nothing

%>

<body bgcolor="<%=UserPageColor%>">
<center>






<% ' Get the statistics of the Cases

' Get Total number of open cases

	sqltemp="select * from Cases order by case_number"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.
	
	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If
	
	rstemp.open sqltemp, conntemp, adopenstatic
	TotalCases = rstemp.recordcount
	
%>

<B>Case Table Checking (<%=TotalCases%> Total Cases)</b><P>


<hr>

	<table width=90% border=1>
	<tr>
	<th bgcolor=FFFFFF><font size=-1>Case Number</th>
	<th bgcolor=FFFFFF><font size=-1>Tech_ID</th>
	<th bgcolor=FFFFFF><font size=-1>Customer_ID</th>

	<th bgcolor=FFFFFF><font size=-1>One Line Description</th>
	</tr>
	
<%	
	do while rstemp.EOF <> True

%>
	<tr><td><font size=-1>
	<%=rstemp("Case_number")%>
	</td>
	<td><font size=-1>
	
	<% If IsNull(rstemp("Tech_ID")) = True Then
		response.write "<font color=red>Null</font>"
	Else ' Display all of the characters
	%>
	
	<%=rstemp("Tech_ID")%>
	
	<% ' Now display the Ascii for each character 
	For i = 1 to len(rstemp("Tech_ID"))
		
		Response.write "[" & asc(mid(rstemp("Tech_ID"),i,1)) & "]"
	next
	%>
	
	
	</font>
	
	<%End IF %>
	</td>

	<td><font size=-1>
	<%=rstemp("customer_ID")%>
	</td>

	<td><font size=-1>
	<%=rstemp("case_one_line")%>
	</td>
	</tr>
	
<%
	rstemp.Movenext
	loop
	
%>
	</table>
	</body>
	</html>
	
<%	
	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



<%End If ' End of security checks %>
