<% 'Module: DisplayTabbedFile.asp

   'Description: This module is the DisplayTabbedFile Page
   '

   '(C) 2008 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '6/2/2008	JC		Created Original Version

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		Else
		    response.write "<font color=red size=5><b>You are not validated to use this page<b></font>"
		    response.flush
		    response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>




<html>

<!-- (C) 2008 by Internet Software Sciences -->

<head>

<title>DisplayTabbedFile </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

<center>



<Table class=BGWrapper align=center>
<tr>
<td align=center valign=center class=majorscreentitlefixed>
Display Tabbed File
</td>
</tr>
</table>


<p> &nbsp; <p>

<%

'First determine what kind of slash we need in the file path - windows or linux

xxxdirectory = Server.MapPath(".")
xxxpos = Instr(xxxdirectory, "\")
if xxxpos <> 0 then
   slash = "\"
else
   slash = "/"
end if

urlseparator = "/"


rootpath =  Server.MapPath(".")
' Now find the last slash so we can chop off the "techcenter" ending of the path
Lastpos = InstrRev(rootpath,slash)
' and create the shortened path
shortpath = Left(rootpath,lastpos)
' now we can append the name of the directory we are interested in
DirectoryPath = shortpath & "wctempfiles" & slash


' ------------------------------------------------------------------------------------------------------------
'  This module assumes the tab-delimited file has been written into the wctempfiles folder by a previous step
'  and its filename is set in the next line below
' ------------------------------------------------------------------------------------------------------------
Filename = request.querystring("file")



DirectoryToProcess = DirectoryPath
Set fs4 = CreateObject("Scripting.FileSystemObject")
Set folderobject = fs4.GetFolder(DirectoryToProcess)
counter = 0
processed_first_record = "No"

Readpath = shortpath & "wctempfiles" & slash & filename
response.write "we are reading the file called " & readpath & "<p>"
dim fs
Set fs=Server.CreateObject("Scripting.FileSystemObject")
if fs.FileExists(readpath) then



	Set fs2 = CreateObject("Scripting.FileSystemObject")
	REM the "1" in the next statement represents "ForReading"
	Set b = fs2.OpenTextFile(readpath, 1, FALSE)
	While not b.AtEndOfStream
	InRec  = b.Readline
	If RecordQualifies(InRec) then
	   If processed_first_record = "No" Then
	      processed_first_record = "Yes"
	      Call InitializationRoutine(InRec)
	   End If
	   Call ProcessingRoutine(InRec)
	else
	  ' Response.Write "Dis-Qualified Record Read from File  = " & Left(InRec,50) & "<br>"
	end if
	Wend
	b.Close

   Call FinalizationRoutine



else
	  response.write "File does not appear to exist<p>"
end if





%>

 <a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>

<%


response.flush
response.end





%>

<%
Sub InitializationRoutine(myrec)
   Tabchar = Chr(9)
   response.write "<table border=1 >"
   response.write "<tr>"
   TestArray = Split(myrec,tabchar)
   For i = 0 to Ubound(TestArray)
       response.write "<td align=center><font size=+2><b>" & i & "</b></font></td>"
   next
   response.write "</tr>"
end sub
%>

<%
Sub FinalizationRoutine
   response.write "</table>"
end sub
%>

<%
Sub ProcessingRoutine(myrec)
   Tabchar = Chr(9)
   response.write "<tr>"
   TestArray = Split(myrec,tabchar)
   For i = 0 to Ubound(TestArray)
       response.write "<td nowrap>" & TestArray(i) & "</td>"
   next
   response.write "</tr>"
end sub
%>


<%
Function RecordQualifies(myrec)
   Tabchar = Chr(9)
   TestArray = Split(myrec,tabchar)
   if TestArray(0)  = "!CUST" or TestArray(0) = "CUST" Then
       RecordQualifies = 1
   else
       RecordQualifies = 0
   end if
end function
%>