
<% 'Module: DoAssetsCSVRetireSurplusStep1.asp

   'Description: This module is designed to read in a comma delimited csv file with serial numbers in it
   ' and will either move the assets with these serial numbers to surplus or retire them.  Code for
   ' retiring or setting to surplus is in RetireSurplus.inc.  It allows one to select a file which it
   ' then uploads to the temp directory (which must be configured before using this function).

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '04/30/12  CMB     Created from DoAssetImportTest.asp
%>
	<% ' Set the Script Timeout value to something fairly large
		' You may need to increase this if you are sending to large volume of customers

		Server.ScriptTimeOut = 10000 ' Set to 1200 seconds (20 minutes)

	%>

	<!-- #INCLUDE FILE="DB_define.inc" -->
	<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
	<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
	<!-- #INCLUDE FILE="Reports.inc" -->
	<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
	<!-- #INCLUDE FILE="Adovbs.inc" -->
	<HTML>
	<HEAD>
	<!-- #INCLUDE FILE="Stylesheet.inc" -->
<title>

<%= wc_RetireSurplus_Title%></title>


	<%
	ResultsView = Request.querystring("ResultsView")
	Dim cnt
	Dim ary(100) ' - this holds the number of columns
	Dim AssignedTech

  	Dim lvl
	TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
	AssignedTech = Request.form("Technician")

 	'*** FILE EXISTS?
 	set conntemp=server.createobject("adodb.connection")
 	conntemp.open myDSN

 	mySQL="select * from Configuration"

 	set rstemp = server.createobject("adodb.recordset")
 	rstemp.open mySQL, conntemp, 1,3

 	If rstemp.EOF = True  Then
 		ErrorMessage = "No Configuration file found"
 		UserPageColor = "FFFFFF" ' Default to white if record not found
		DateDisplayFormat = "MMDDYYYY"
		DatabaseType = "ACCESS97"
 	Else
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		UserPageColor = rstemp("ts_user_page_color")
		DateDisplayFormat = rstemp("Date_Display_Format")
		DatabaseType = rstemp("DatabaseType")
 		TechCenterVirtualDirectory = rstemp("TechVirtual")
 		UserPageColor = rstemp("ts_user_page_color")
 		FileUpLoadDestinationPath = rstemp("FileUploadPhysicalPath") ' Set this to your full destination path
 		FileUploadVirtualDirectory = rstemp("FileUploadVirtualDirectory") ' You must configure this virtual in IIS - Allow read ONLY!
 	End If ' End if for no Configuration row found

 	rstemp.close
 	set rstemp=nothing
 	conntemp.close ' Close the connection
 	set conntemp=nothing

'**************** Determine file name
sFileName = request.querystring("FileName")
'response.write "FILE"
'response.write sfilename
'response.flush
'response.end
'****************** get values from submitted form and pass them to step2
%>
</HEAD>
<body class=rightwindow>
<FORM METHOD=POST ACTION=DoAssetsCSVRetireSurplusStep2.asp>
<INPUT TYPE=hidden name="FileName" value="<%=sFileName%>">
	<Input type=hidden name=Technician value="<%=Request.form("Technician")%>">
<center>
<Table class=BGWrapper >
<tr>

<td width=50% align=center valign=center class=majorscreentitlefixed>
<%

if ResultsView="RETIRE" then
	response.write wc_Retire_Title
Else
	response.write wc_Surplus_Title
End If
%>
</td>
</tr>
</table>

<p>
<CENTER>
<%
if sFileName = "" or instr(sFilename,".csv") = 0 then
	'invalid file
else
End If

	 For each key in Request.serverVariables
		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)

			Virtual_Path = replace(Script_Name, "DoAssetsCSVRetireSurplusStep1.asp", sFileName,1,99.1)

			' We next need to replace TechCenter Virtual Directory Name with the
			' the download virtual directory

			If TechCenterVirtualDirectory = "" Then
				TechCenterVirtual = "tech70"
			Else
				TechCenterVirtual = TechCenterVirtualDirectory
			End If
			'Response.write "TechCenterVirtual = " & TechCenterVirtual

			Virtual_Path = replace(Virtual_Path, TechCenterVirtual, FileUploadVirtualDirectory,1,99,1)
		End IF
	Next

	FullFileURL = "http://" &  hostname & Virtual_Path

	slash = "\"
	TargetFilePath = FileUploadDestinationPath & slash & sFileName

	Set fs1 = CreateObject("Scripting.FileSystemObject")

	If fs1.FileExists(TargetFilePath) Then
		'response.write "<br>FILE EXISTS<br>"
		'	response.write TargetFilePath & "<br>"
		'	response.write TargetFilePath2  ' c:\program files
	Else
		response.write TargetFilePath & "<br>"
		response.write "<br>File does not exist<br>"
	End If

'response.flush
'response.end

	'-- *************** open file and read it in
	Dim aryMapped(100)

		sMSG = ""

'*************** PUT UP FORM HEADER ***********************

%>
<INPUT TYPE=hidden Name=ResultsView ID=ResultsView value=<%=ResultsView%> >

<table class=BGWrapper>
<p>
		<TR><TD class=MinorScreenTitle align=center>
		<%
		if ResultsView="RETIRE" then
			response.write wc_set_Retire_Confirm
		Else
			response.write wc_set_Surplus_Confirm
		End If
%>
		</td>

		<td align=center>
<%
				if ResultsView="RETIRE" then
				%>
					<input type=Submit name=Submitb value=<%=wc_Retire_Title%> >
				<%
				Else
				%>
					<input type=Submit name=Submitb value=<%=wc_Surplus_Title%> >
				<%
				End If
%>

		&nbsp; &nbsp;
		 <INPUT TYPE="button" onClick="history.back()" value="Cancel"></td>
</TR>
</TABLE>
<P>

<%
'*************** header for rows
%>
		<CENTER>
		<TABLE BORDER=1 CELLSPACING=2 CELLPADDING=2 WIDTH="75%" >
<TR>
				<td class=formlabelsuper ><%=wc_Row_Number%></td>
				<td class=formlabelsuper ><%=Serial_Number_Label%></td>
				<td class=formlabelsuper ><%=Asset_Number_Label%></td>

	</tr>

	<tr>

	<%
	set act = fs1.opentextfile(targetfilepath,1)

	nRows = 0
	iRows = 0 ' number of actual rows

	Do while not act.AtEndOfStream
		'if iRows = 0 and sContainsHeader= "on" then ( no header)
			'rec  = act.Readline
		'End If

   	rec  = act.Readline
   	ReadAry = Split(Rec,",")
		if ubound(readary)+1 <> 1 then
			sMsg = "<font color=red>Bad row -- has " & ubound(readary)+1 & " columns. Should be 1</FONT>"
			%>
			<td class=datavalue><%=iRows+1%></td>
			<td class=datavalue colspan=2><%=sMsg%></td>
			<%
		else

			bNotBlank=0
			smsg=""

			sValue = ReadAry(0)
			sValue = replace(sValue,chr(10),"")
			sValue = replace(sValue,chr(13),"")
			sValue  = replace(sValue ,chr(34),"")
			sValue  =  replace(sValue,chr(39),"")  ' CMB 02/06/12

			if len(sValue) > 0 then
					bNotBlank=1
					if CheckExists(svalue,iRows+1) = true then
						nrows = nrows + 1 ' successful
					End If
			End If
		 end if
		 iRows = iRows + 1
			%>
</tr>

	<% loop'end of the row %>

	<% act.close %>
	</TR>
	</table>
	</TD></TR></TABLE>

	<input type=hidden  name=RowCount value=<%=nRows%>>

	</FORM>
</body>
</HTML>

<%'---------------------------------------------%>

<% Function CheckExists(sinValue, iRow) ' put out row
	Dim bReturn
	bReturn = false ' true is OK
	'	on error resume next

			if sinvalue > "" then
					set conntemp=server.createobject("adodb.connection")
					conntemp.open myDSN ' Open the connection once here
					mySQL2="select * from Assets where serial_number='" & sinValue & "'"
					set rstemp2=conntemp.execute(mySQL2)
					if not rstemp2.EOF then
						bReturn = true
					' write row
						%>
						<td  class=datavalue> <%=iRow%>	</td>
						<td  class=datavalue> <%=sinValue%>	</td>
						<td  class=datavalue><%=rstemp2("Asset_Number")%>	</td>
						<%
					Else
						smsg=smsg & " <Font color=RED>" & wc_Import_not_Found & "</font>"
					%>
						<td  class=datavalue> <%=iRow%>	</td>
						<td  class=datavalue> <%=sinValue%>	</td>
						<td  class=datavalue><%=smsg%>	</td>
				  <%
					End If

					rstemp2.close
					set rstemp2=nothing
					conntemp.Close
					Set conntemp = nothing
				Else
					bReturn = true
				End If

		CheckExists = bReturn

	End Function
	%>

