<% 'Module: DoClearDuplicateCase.asp

   'Description: This module puts the master case number in the table for the duplicate case
   'Changes status of duplicate case to 'closed'
   'Puts a note in the duplicate case refering the master number.  This is either a default message
   'or something that the technician enters in a textbox.
   'Adds customer_ID to the additional customers in the master case (version 8.0 only!).

   '(C) 2013 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '5/01/13	CMB		Created original ASP
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the form data
			'******* USER CUSTOMIZATION FOR CELL PHONE EMAILS **********************
			' To enable a short condensed email to be sent to a tech cell email address/home email
			' beginning of the email message, comment/uncomment the
			' variable definition below
		'	CELLPHONE_EMAIL_NOTIFICATION = "YES" ' Comment out this line to disable

	LoginTech_ID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")
	Tech_Full_Name = TechFullName(LoginTech_ID)

	Customer_ID = Request.form("Customer_ID")
   Master_Case_Num = request.form("Master_Case") ' this is the one entered in the duplicate case field
   Closing_Case_num = request.form("Original_Case") ' this is the one that is the duplicate (rather confusing)

	' FIRST Get the values from the configuration file and into variables

	set conn=server.createobject("adodb.connection")
	conn.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conn, 1,3

	If rstemp.EOF = True  Then
		Response.write "No configuration file found"
		assets_db = 0 ' 10/05/11
	Else
		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		TimeSpentInterval = rstemp("Time_Spent_Interval")
		DateDisplayFormat = rstemp("Date_Display_Format")

		MaxHistorySize =  CLng(rstemp("max_case_history_size"))

'		MaxSummarySize =  Cint(rstemp("max_case_summary_size"))
'		MaxResolutionSize =  Cint(rstemp("max_case_resolution_size"))

' Changed to handle larger than 32K - 11/29/2012
		MaxSummarySize =  CLng(rstemp("max_case_summary_size"))
		MaxResolutionSize =  CLng(rstemp("max_case_resolution_size"))

		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")
		Customer_case_notify = CInt(rstemp("customer_case_notify"))
		UserPageColor = rstemp("ts_user_page_color")

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out

		DatabaseType  = rstemp("DatabaseType") ' Database should be set to ACCESS or SQLSERVER
	rstemp.close
	set rstemp=nothing
	conn.close ' Close the connection
	set conn=nothing

		CreateTimeDateValues DateString, TimeString, DateTimeString

		' Now Get the DateString and TimeString from passed hidden form elements
		' and replace those other values for new cases only


		ErrorMessage = "" ' Clear error message

		' If Dup_Case_Num is entered, verify it is a valid case number
End if  ' no configuration file found

'*** End error checking

		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be displayed to ErrorMessage string variable.

		If ErrorMessage <> "" Then
		%>

<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise either add new or update case record
		' DO NOT MODIFY this code below with caution:
		' The case record has some required fields and the
		' several of the fields must be carefully filled in
		' to make other parts of the system work correctly.

'************************** update master record first

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Cases where case_number = " & master_case_num

		NewRecord.Open SQL,Conn,3,3

		If  NewRecord.EOF then
			response.write " UPDATE ERROR - Existing record not found <br>"
			Response.write "SQL = " & SQL
			Response.flush
			Response.end
		Else
			'change case history on this to reflect
			' what if this case is closed?

			NewRecord("modified_flag") = 1
			' New Change 5/18/2009 -
			' Could be commented out - this will prevent Mod_Date and Mod_time
			' from being updated if the case is closed.  to reset the
			' mod date and time, simple re-open the case update and then re-close.

				If NewRecord("Status") <> 1 Then
					NewRecord("mod_date") = DateString ' YYYYMMSS
					NewRecord("mod_time") = TimeString ' HHMMSS
				End If

		Verbiage = "Case # " & closing_case_num & " is no longer a duplicate of this case."

			NewRecord("Reopen_Date") = Datestring
			NewRecord("reopen_Time") = TimeString

			Current_Case_History = NewRecord("Case_History")

			New_Case_History = vbCRLF & "{r[" &  DatetimeString &  wc_Updated_by & " ["& Tech_Full_Name & "] ]r}"  &  vbCRLF
			New_Case_History = New_Case_History & verbiage & vbCRLF

			' Make sure we are not exceeding the size of the case_history field.
			New_Case_History = New_Case_History  & "Case History:" & vbCRLF & Case_History & vbCRLF


			New_Case_History = Current_Case_History  & New_Case_History

			If Len(New_Case_History) < (MaxHistorySize - 10) Then ' Only update is size is ok.
				NewRecord("Case_History") = New_Case_History
			Else
				Response.Write wc_Case_History_size_of  & Len(New_Case_History) & wc_exceeds_maximum_value_of  & MaxHistorySize - 10 & "<br>"
			End If

			NewRecord.Update

			If  err.number>0 then
			      response.write "VBScript Errors Occured:" & "<P>"
			      response.write "Error Number=" & err.number & "<P>"
			      response.write "Error Descr.=" & err.description & "<P>"
			      response.write "Help Context=" & err.helpcontext & "<P>"
			      response.write "Help Path=" & err.helppath & "<P>"
			      response.write "Native Error=" & err.nativeerror & "<P>"
			      response.write "Source=" & err.source & "<P>"
			      response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if

			IF  conn.errors.count> 0 then
			    response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
				      response.write "Error #" & conn.errors(counter).number & "<P>"
				      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
			      'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.Close
			Set NewRecord = Nothing
End if 'record found

	Case_Number = Master_Case_Num

' --------------------- end master case processing

' --------------------- Processing for record which is being closed
		Case_number = closing_case_num

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Cases where case_number = " & closing_case_num
		NewRecord.Open SQL,Conn,3,3

		If  NewRecord.EOF then
			response.write " UPDATE ERROR - Existing record not found <br>"
			Response.write "SQL = " & SQL
			Response.flush
			Response.end
		Else
			'change case history on this to reflect

			NewRecord("modified_flag") = 1
			Closing_Customer_ID = NewRecord("Customer_ID")
			Closing_tech = newrecord("Tech_ID")
			Closing_group = newrecord("Group_Number")

			' New Change 5/18/2009 -
			' Could be commented out - this will prevent Mod_Date and Mod_time
			' from being updated if the case is closed.  to reset the
			' mod date and time, simple re-open the case update and then re-close.

			NewRecord("Status") = 1
         NewRecord("Dup_case_num") = 0

       '   OldStatus = NewRecord("Status")
		'	If NewRecord("Status") <> 1 Then
			'	NewRecord("mod_date") = DateString ' YYYYMMSS
			'	NewRecord("mod_time") = TimeString ' HHMMSS
		'	End If

			NewRecord("Reopen_Date") = Datestring
			NewRecord("reopen_Time") = TimeString
Verbiage = "This case is no longer a duplicate of Primary Case " & Master_case_num & "."

			New_Case_History = vbCRLF & "{r[" &  DatetimeString &  wc_Updated_by & " ["& Tech_Full_Name & "] ]r}"  &  vbCRLF
			 New_Case_History = New_Case_History  & VERBIAGE &  vbCRLF

			 ' update resolution of case being closed
			'If not isNull(NewRecord("Case_Resolution")) then
				'Resolution = NewRecord("Case_Resolution")
		'	else
				'Resolution = ""
			'End if
			'NewRecord("Case_Resolution") = resolution & vbCRLF & verbiage  ' 04/19/13

			Current_Case_History = NewRecord("Case_History")

       	New_Case_History = New_Case_History  & "Case History:" & vbCRLF & Case_History & vbCRLF

			New_Case_History = Current_Case_History  & New_Case_History

			If Len(New_Case_History) < (MaxHistorySize - 10) Then ' Only update is size is ok.
				NewRecord("Case_History") = New_Case_History
			Else
				Response.Write wc_Case_History_size_of  & Len(New_Case_History) & wc_exceeds_maximum_value_of  & MaxHistorySize - 10 & "<br>"
			End If

			NewRecord.Update

			If  err.number>0 then
			      response.write "VBScript Errors Occured:" & "<P>"
			      response.write "Error Number=" & err.number & "<P>"
			      response.write "Error Descr.=" & err.description & "<P>"
			      response.write "Help Context=" & err.helpcontext & "<P>"
			      response.write "Help Path=" & err.helppath & "<P>"
			      response.write "Native Error=" & err.nativeerror & "<P>"
			      response.write "Source=" & err.source & "<P>"
			      response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if

			IF  conn.errors.count> 0 then
			    response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
				      response.write "Error #" & conn.errors(counter).number & "<P>"
				      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
			      'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.Close
			Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing
end if ' master found


Case_Number = Closing_Case_Num

%>
<% ' Display the page now %>

<html><head>
<Title><%=wc_Case_Confirmation%></title>
<!-- C. 1996, 1997, 1998, 1999, 2000, 2001, 2002 Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>
<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>

<%=wc_Case%> <font color=red><B><%=Closing_Case_num%></b></font> and
<%=wc_Case%> <font color=red><B><%=master_Case_num%></b></font>

<%=wc_successfully_created_or_updated%>

</td>
</tr>
</table>

<CENTER>
			<p><a href=TCaseForm.asp?customer_id=0&case_number=<%=Closing_Case_num%>>
			<img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</CENTER>

</body>
</html>

<% End if ' End of IF ErrorMessage <> ""%>

<% Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" Or IsNull(TimeZoneAdjustment) Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

'	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)


	'Response.write "HourPart = " & Hourpart & "<br>"
	'response.write "DateTimeString = " & DateTimeString

	' Fix to AM/PM Calculation corrected in version 4.0


	If HourPart = 0 Then
		NewHourPart = HourPart + 12
		DateTimeString = DateTimeString & NewHourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If


	If HourPart <> 0 AND HourPart < 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If

	If HourPart = 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End If

	If HourPart >= 13 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End IF

	' Debugging
	'DEBUGTIME = "YES"
	If DEBUGTIME = "YES" THen
		Response.write "TimeString = " & TimeString & "<br>"
		Response.write "DateString = " & DateString & "<br>"
		Response.write "DateTimeString = " & DatetimeString & "<br>"
		Response.flush
		Response.end
	End IF



	End Sub ' End of CreateTimeDateValues
%>



<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>


