<% 'Module: DoCreateCategoryList.asp

   'Description: This module is invoked by ManageCategoryLists.asp and actually inserts a new placeholder record into the database



   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/27/02	JC		Created original ASP module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>



<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Create Category List - CSS</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>



<center>

<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td align=center>
	    <font size=+1><b><%=wc_Create_Category_List%></b></font><br>
	</td>
</tr>
</table>

<p>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td>

<%


set conntemp=server.createobject("adodb.connection")
conntemp.open myDSN



' ------------- First pick up all the parameters from the Form variables -------------------

new_list_name = request.form("new_list_name")

   ' --- render alpha strings safe for single quotes and double quotes and delims
     delim = "|"
	 new_list_name = replace(new_list_name, "'", "`")
     new_list_name = replace(new_list_name, """", "``")
     new_list_name = replace(new_list_name, delim, "\")

If Trim(new_list_name) = "" Then
   response.write "<font color=red><b>" & new_list_name & "</font> " & wc_category_name_must_not_be_empty & "</b></td></tr></table>"
   response.flush
   response.end
end if
'------------- Ensure the List Name is not already in use
SQL = "SELECT * from Categories WHERE category_name = '" & new_list_name & "'"
set rstemp=conntemp.execute(SQL)
IF rstemp.EOF Then

' -----------Now pick up the "highest Used" category number from the database so we can add 1 and use it for this category
    category_number = 0
    mySQL = "SELECT category_number FROM Categories GROUP BY category_number"

	set rstemp=conntemp.execute(mySQL)
	Do while (Not rstemp.eof)
		If rstemp("category_number") > category_number Then
           category_number = rstemp("category_number")
		End If
		rstemp.Movenext
	Loop

    ' response.write "Max category number is -" & category_number & "<p>"

    ' increment it by one for use by the new category
    category_number = category_number + 1



	' ------------- Now do the actual Insert of a placeholder record to establish the group
	SQL = "INSERT into Categories (category_number,     item_number, category_name, item_name, state, group_number) " + _
	      "VALUES ( "            & category_number & ", 1, '"      & new_list_name & "', 'placeholder', 1, 0)"

	set rstemp=conntemp.execute(SQL)

	'response.write "SQL IS - " & SQL & "<p>"
    'response.flush
    'response.end
    target="DoEditCategory1.asp?mode=new&category_name=" & new_list_name
	response.redirect(target)


		 ' -------- And execute the SQL statement ------------------



Else

   response.write  "<font color=red><b>" & new_list_name & "</font> " & wc_Exists_Already & "</b>"


End If

   ' -----------End Game Follows --------------------------------------


set rstemp=nothing
conntemp.close ' Close the connection



%>

	</td>
</tr>
</table>

<center>



<b>


<table border=0 cellspacing=1 cellpadding=1 width=98%>
<tr>


<td align=center>
  <a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</td>
</tr>
</table>
</b>

<% End If ' This was a valid user%>



<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>

</body>
</html>
