<% 'Module: DoDeleteExpenseEntry.asp

   'Description: This module does the deleting of a single expense entry
   ' in the Expenses table.

   '(C) 2000-20011 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/03/01	SAV		Created original DoDelete.asp page
   '09/29/04	SAV		Created Original DoDeleteTimeSpentEntry.asp module
   '07/06/11	SAV		Created DoDeleteExpenseEntry.asp from timespent module

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 5 and above do deletes

		CookieID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoDeleteTimeSpentEntry.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<%' Include this file to get special database cursor constants to read record count values

	' If this page is called, they have said yes to delete the passed expense


	ExpenseIndex = request.form("ExpenseIndex")
	Case_Number = Request.form("Case_Number")

	' There are no dependencies on this table entry


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from  Expenses where ExpenseIndex = " & ExpenseIndex

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True Then
				NewRecord.Delete

'				NewRecord.Update

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
'					  response.write "Database Errors Occured" & "<P>"
'				for counter= 0 to conn.errors.count
'					  response.write "Error #" & conn.errors(counter).number & "<P>"
'					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
'				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			Else ' If it already exists do not add another entry

			End If

		NewRecord.Close

		Conn.Close

		Set NewRecord = Nothing



%>

<% ' Display the page now %>



<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>

<html>

<!-- (C) 1996,1998, 1999, 2000-2011 by Internet Software Sciences -->

<head>

<title>Delete Expense Entry Confirmation </title>
   <!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>




<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=5 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=4 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1>Delete Expense Entry Confirmation </B>
</font>
</TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE></CENTER>

<font size=-1 face=arial>
<UL>

The selected Expense entry has been succesfully deleted.


</ul>

	<center>

	<A HREF="TCaseForm.asp?customer_id=0&case_number=<%=case_number%>"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>



<br>
<br>


</font>


</body>
</html>


<%End If %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
