<% 'Module: DoDeleteTech.asp

   'Description: This module is the first confirmation to deleting an
   ' tech from Tech_Staff database.
   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/24/01	SAV		Created original DoDeleteTech.asp Page
   '04/26/01	AJS		Fixed to show correct reassigned techs name

	'

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only levels 6 and above--- Configurators Only


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoDeleteTech.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% ' Get Tech to be deleted and Tech to re-assign

	TechId = Request.form("TechID") ' Tech to be DELETED
	ReassignedtechID = Request.form("ReassignedtechID") ' Reassign Cases/contacts to this tech

	' Before we delete the tech, we will first do an analysis of what delete
	' will take place and display that information to the user.

%>


<% ' Display the Delete TechConfirmation %>

<html>


<!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->

<head>

<title>Delete Staff Member Confirmation</title>

</head>


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing

' Now get the numbers of cases, contact assignments, and
' related assets that will be modified by deleting this staff member.

	' Get assigned cases

	sqltemp="select * from Cases where tech_id = '" & TechID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	TotalAssignedCases = rstemp.recordcount
	rstemp.close
	set rstemp=nothing


	' Get contact assignments

	sqltemp="select * from CustomerTechAssignment where tech_id = '" & TechID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	TotalAssignedCustomers = rstemp.recordcount
	rstemp.close
	set rstemp=nothing

	' Get Asset Assignments

	sqltemp="select * from AssetAssignment where tech_id = '" & TechID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	TotalAssignedAssets = rstemp.recordcount
	rstemp.close
	set rstemp=nothing



	' Get Techs Full Name for displaying on page

	sqltemp="select * from Tech_staff where  tech_id = '" & TechID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	If rstemp.EOF <> True Then

		TechFullName = rstemp("First_Name") & " " & rstemp("Last_Name")
	End IF

	rstemp.close
	set rstemp=nothing

	' Get reassigned Techs Full Name for displaying on page

	sqltemp="select * from Tech_staff where  tech_id = '" & reassignedtechID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic

	If rstemp.EOF <> True Then
		ReassignedTechFullName = rstemp("First_Name") & " " & rstemp("Last_Name")
	End If

	rstemp.close
	set rstemp=nothing


	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<body bgcolor=#<%=UserPageColor%>>


<% ' First verify that the Tech to be deleted was selected and
	' that the assignment is not the same as the tech to be deleted.
%>




<center><table border=1 cellspacing=2 cellpadding=10 width=80%>
<tr>
<td align=center>
<font size=+1>
<b>Delete Staff Member Confirmation</b>
</font>
<br>
</td></tr></table><p>
</center>


<% If TechID = ReassignedTechID Then
	ErrorMessage = " <LI> Deleted Staff Member is the same as the re-assigned Staff Member"
	End IF

	If TechID = "" Then
		ErrorMessage = ErrorMessage & " <LI> You must select a staff member to delete."
	End If

	If ErrorMessage <> "" Then

%>

	<UL>

	<B>Sorry, we can cannot delete the staff member because:</b><P>

	<UL>
	<%=ErrorMessage %>
	</ul>

	<P>
	Please press the back button and submit again.
	</ul>

<%Else ' Choices ok %>


<center>
<table width=70%>
<tr><td>


Deleting  Staff Member <font color=red><U><%=TechFullName%></u></font> will re-assign: <P>
<UL>

<LI><%= TotalAssignedCases %> Support Cases
<LI><%= TotalAssignedCustomers %>  Customer/Contact Assignments
<LI><%= TotalAssignedAssets%> Asset Assignments
</ul>
<%
	' AJS -- Fixed code to show new techs name
	' Changed ReassignID to ReassignedtechID as assigned above.'
%>
<% If ReassignedtechID = "" then %>

to <font color=red><U>Nobody</u></font> (Un-assigned).

<%Else %>

To Staff Member <font color=red><U><%=ReassignedTechFullName %> </u></font>


<%End IF %>

 <hr>

<P>
Do you wish to delete this Staff Member and re-assign Cases, Customers and
Assets as specified above ? <P>


<form action=DoDeleteTech2.asp method=post>
<input type=hidden name=DeleteTechID value=<%=TechID%>>
<input type=hidden name=ReassignTechID value=<%=ReassignedTechID%>>

</td></tr></table>

<br>

<table border=0 cellspacing=1 cellpadding=1 width=65%>
<tr>
<td align=center>
<input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_yes30x80.gif border=0>

</td>
<td align=center>
<a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_no30x80.gif border=0></a>
</td>

</tr>
</table>
<br>
<p>
<center></form>

<%End IF %>


</body></html>

<%End If %>

