<% 'Module: DoEditPriority.asp

   'Description: This module saves the Priority Table Entries
   ' that is setup by the EditPriority.asp module.
   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '10/16/00	SAV		Created original ASP module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

	<% ' Step through all 10 of the Priority boxes and update the database table

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			For i = 0 to 9

			SQL = "Select * from Priority where PriorityID = " & i

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3


			If NewRecord.EOF = True then ' Create new record if none exists

				If Request.form("ShortDesc" & i) <> "" Then
					NewRecord.AddNew
					'PriorityID is not an autonumber field
					' If you get an error below, your table needs to have this
					' field defined as number and not autonumber
					NewRecord("PriorityID") = i

					NewRecord("ShortDesc") = Request.form("ShortDesc" & i)
					If Request.form("LongDesc" & i) <> "" Then
						NewRecord("LongDesc") = Request.form("LongDesc" & i)
					End IF
				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


				End IF
			Else ' Record already exists so update
				If Request.form("ShortDesc" & i) <> "" Then
					NewRecord("ShortDesc") = Request.form("ShortDesc" & i)
				Else
					NewRecord("ShortDesc") = Null
				End If

				If Request.form("LongDesc" & i) <> "" Then
						NewRecord("LongDesc") = Request.form("LongDesc" & i)
				Else
						NewRecord("LongDesc") = Null
				End If

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if




			End If

		NewRecord.Close

	Next

	Conn.Close

	Set NewRecord = Nothing

%>

<% ' Display the confirmation page now %>

<html>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<head>
<title> Priority Table Confirmation</title>
</head>
<body bgcolor=#C0C0C0>

<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Edit_Priority_Table%>&nbsp;<%=wc_confirmation%></b>
</font>
<br>
</td></tr></table><p>
</center>

<UL>
<font color=red>

<%=wc_Priorities_have_been_updated%>

</font>
<P>



	<center>
	<table width=60%>
	<tr>
	<td width=50%>
	    <a href=EditPriority.asp><img src=/<%=WCLanguageDirectory%>/ts_edit30x100.gif border=0></a>
	</td>
	<td width=50%>
	    <a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
	</td></tr>
	</table>


</ul>

<br>
<br>


</font>

</body>
</html>






<% Sub GetDatabaseConfiguration(TechScreenColor)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			TechScreenColor
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
			MaxHistorySize =  rstemp2("max_case_history_size")
			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = rstemp2("customer_case_notify")

		End If

		rstemp2.close
		set rstemp2=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>





<% Function TechFullName()
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		If TechID = "" Then
			TechFullName = "User Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for TechID: " & Techid
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
		End If


	End Function ' End of TechFullName
	%>

