<%  ' Module: DoExportWCTimeSpentItemsToQB.asp
	'
	' Description: Submit Module For ExportWCTimeSpentItemsToQB.asp module
	'
	' (C) 2000,2001- 2008 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/18/01	SAV		Created original DoEmailListSearchExport.asp Page
   '03/01/07	SAV		Created DoExportWCCustomersQB.asp
   '10/5/07		SAV		Updated to output direct .iif file with clickable link.
   '03/14/08	SAV		Created module for exporting techs to QB as employyes
   '03/19/2008	SAV		Created module to output IIF items for QB INVITEMS IIF file

	' Note: This page does NOT generated HTML, instead it creates an QB IIF file to be exported
	' into QB.


%>
<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/WriteTextFile.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<%

	' Build the query based on the passed input fields


		StartDate = Request.form("StartDate")
		EndDate = Request.form("EndDate")
		DateRange = Request.form("DateRange")
		GroupType = Request.form("GroupType")
		SetStatusID = Request.form("SetStatusID")
		SetInvoiceTypeID = Request.form("SetInvoiceTypeID")
		SetPurchaseDate = Request.form("SetPurchaseDate")


	' * * * * * * * * * * * * * * * * * * * * * * * * * *
	' DATE SEARCHES CODE BELOW
	' * * * * * * * * * * * * * * * * * * * * * * * * * *


		If DateRange = "Range" Then
			If  (not isDate(StartDate)) Then
				Bailout("Bad Start-Date in Date-Range specification")
			end if

			If  (not isDate(EndDate)) Then
				Bailout("Bad End-Date in Date-Range specification")

			end if


		End If


		' Check if Date Search uses one of the present date search
		' functions then use that for the Start and End Date instead

		If DateRange <> "Range" Then
			ComputeDateRange StartDate, EndDate, DateRange
		End If



		If (StartDate <> "") AND (not isDate(StartDate)) Then
			response.write "Bad Start Date"
			response.flush
			response.end
		end if

		If (EndDate <> "") AND (not isDate(EndDate)) Then
			response.write "Bad End Date"
			response.flush
			response.end
		end if

		WhereStatement = "WHERE  "
		InvoiceDateField = " TimeSpent.Invoice_Date "

		' Special CODE FOR SQL*Server VS Access HERE !!!


		' Note Access version requires # for dates, SQL requires single quotes

		If StartDate <> "" Then

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " >= '" & StartDate & "' "
				ANDText = " AND "
			End IF


			If DatabaseType2 = "ACCESS" Then
					WhereStatement = WhereStatement & ANDText & InvoiceDateField & " >= #" & StartDate & "# "
					ANDText = " AND "
			End If


			If DatabaseType2 = "MYSQL" Then
					WhereStatement = WhereStatement & ANDText & InvoiceDateField & " >= '" & YYMMDD(StartDate) & "' "
					ANDText = " AND "
			End If



		End If

		If EndDate <> "" Then

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " <= '" & EndDate & "' "
				ANDText = " AND "
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " <= #" & EndDate & "# "
				ANDText = " AND "
			End If


			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & ANDText & InvoiceDateField & " <= '" & YYMMDD(EndDate) & "' "
				ANDText = " AND "
			End IF


		End If

       ' response.write "where clause for date is " & WhereStatement & "<P>"



	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL2 = "SELECT * From TimeSpent"

	'response.write mySQL2

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	RecordsFound = rstemp.recordcount

	%>


	<html>
	<head>
	<title>Export Web+Center Time Spent Note Entries into Quick Book Invoice Items (INVITEM)</title>
	</head>

	<body>

	<center>

	<font size=+2>
	Export Web+Center Time Spent Note Entries into Quick Book Invoice Items (INVITEM)
	</font>
	</center>



	<% ' Make the first ROW define the columns for the export file %>
	<% ' Set the delimiter character based on format type

			Delimiter = vbTab



		' QB INVITEM format (Reduced for Web+Center export)

	'	!INVITEM	NAME	INVITEMTYPE	PURCHASEDESC	QNTY	QNTY


		'!INVITEM
		'NAME	 - Mapped to TimeSpentNote in TimeSpent table
		'INVITEMTYPE - Defined in WC - QB definition file - set to "SERV" for service
		'DESC	- Also mapped to TimeSpentNote
		'ACCNT	- Mapped in QB defnition file, orginally set to "Consulting Income"
		'PRICE	- Mapped to HourlyRate  in TimeSpent Table
		'COST	- Set to 0 since this hourly
		'TAXABLE	Mapped in QB definiton file - orginally set to
		'SALESTAXCODE
		'NOTES

	'

	'!EMP	NAME	REFNUM	TIMESTAMP	INIT	ADDR1	ADDR2	ADDR3	ADDR4	ADDR5	CITY	STATE	ZIP	SSNO	PHONE1	PHONE2	EMAIL	NOTE	NOTEPAD	FIRSTNAME	MIDINIT	LASTNAME	SALUTATION	CUSTFLD1	CUSTFLD2	CUSTFLD3	CUSTFLD4	CUSTFLD5	CUSTFLD6	CUSTFLD7	CUSTFLD8	CUSTFLD9	CUSTFLD10	CUSTFLD11	CUSTFLD12	CUSTFLD13	CUSTFLD14	CUSTFLD15	HIDDEN	DELCOUNT


		'Web+Center Tech_Staff database column mappings to QB Field mappings
		' Most fields are not mapped.

	'	QB IIF File Column - WC Tech_Staff Column
	'	---------------
	'	!EMP
	'	NAME	first_name + space + last_name
	'	REFNUM
	'	TIMESTAMP
	'	INIT
	'	ADDR1
	'	ADDR2
	'	ADDR3
	'	ADDR4
	'	ADDR5
	'	CITY
	'	STATE
	'	ZIP
	'	SSNO
	'	PHONE1 work_phone1
	'	PHONE2	work_phone2
	'	EMAIL work_email
	'	NOTE
	'	NOTEPAD
	'	FIRSTNAME -  first_name
	'	MIDINIT
	'	LASTNAME - last_name
	'	SALUTATION
	'	CUSTFLD1
	'	CUSTFLD2
	'	CUSTFLD3
	'	CUSTFLD4
	'	CUSTFLD5
	'	CUSTFLD6
	'	CUSTFLD7
	'	CUSTFLD8
	'	CUSTFLD9
	'	CUSTFLD10
	'	CUSTFLD11
	'	CUSTFLD12
	'	CUSTFLD13
	'	CUSTFLD14
	'	CUSTFLD15
	'	HIDDEN
	'	DELCOUNT



		' Now send out the first line that defines the columns we are going to export





	FileStr = ""
	FileStr = "!EMP" 	& Delimiter
	FileStr = FileStr & "NAME" & Delimiter
	FileStr = FileStr & "PHONE1" & Delimiter
	FileStr = FileStr & "PHONE2" & Delimiter
	FileStr = FileStr & "EMAIL" & Delimiter
	FileStr = FileStr & "FIRSTNAME" & Delimiter
	FileStr = FileStr & "LASTNAME"
	FileStr = FileStr & vbCRLF

	Record = FileStr

	Response.write " Adding Record line-->" & Record
	response.write "<br>"



	FinalDelimiter = Delimiter ' Save FinalDelimiter Value

	Delimiter = "[X*X]" ' Set Delimiter to this value which will replace out later




' Now start to parse the tech_staff data from the W+C database



		' Now loop through the returned records and out the fields mapped


		do while not rstemp.eof


	' Need to replace any single quotes in customer ID if they exist

			' QB import specific

			Record = "EMP" & Delimiter


		Record = Record &  rstemp("first_name") & " " & rstemp("last_name")	& Delimiter

		Record = Record &  rstemp("work_phone1")		& Delimiter
		Record = Record &  rstemp("work_phone2")		& Delimiter
		Record = Record &  rstemp("work_email")		& Delimiter
		Record = Record &  rstemp("first_name")		& Delimiter
		Record = Record &  rstemp("last_name")		& Delimiter

			' Now appy replace functions to the whole record

			Record = Replace (Record, ",", " ") ' Replace comma with space
			Record = Replace (Record, vbNewLine, " ") ' Replace comma with space
			Record = Replace (Record, vbCRLF, " ") ' Replace comma with space
			Record = Replace (Record, vbTAB, " ") ' Replace Tab with space
			record = Replace (Record, vbCR, " ") ' Replace individual CR
			record = Replace (Record, vbLF, " ") ' Replace individual LF

			' now put tabs back in replace the [X*X] string with tabs

			record = Replace (Record, "[X*X]", FinalDelimiter ) ' Put delimter back in


			Record = Record & vbCRLF ' Add in the line CR/LF

			FileStr = FileStr & Record

			Response.write " Adding Record line-->" & Record
			response.write "<br>"

			rstemp.movenext
			count = count + 1
		loop

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	'Now Write the File to wctempfiles directory


	Filename = "WebCenterEmployeeQBExport.IIF"

	WriteTextFile FileStr, Filename


%>



<Br>
QB Export file succesfully created<br>


<% ' Determine virtual directory definition

		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			' This will handle all of the necessary virtual directory mappings

			Virtual_Path = replace(Script_Name, "DoExportWCTechsQB.asp", Filename)

		End IF


	Next

	' Debugging
	'response.write "Hostname= " & Hostname
	'response.flush
	'response.end


	' Now replace the techcenter virtual directory with the "wctemp" - web+center temp files
	' virtual directory so we can create a link to it that the users can click on.


		If TechVirtual = "" Then
			TechCenterVirtual = "tech60"
		Else
			TechCenterVirtual = TechVirtual
		End If

		wctempvirtual = wctempdirectory ' Obtain from Global.asa and db_define.inc

		Virtual_Path = replace(Virtual_path, TechCenterVirtual, wctempvirtual,1,99,1)

		'response.write "Virtual_Path= " & Virtual_Path
		'response.flush
		'response.end



%>


Directions: Click on the link below to save and import your employees<br>


<a href="http://<%=hostname%><%=Virtual_path%>">Quick Book Employee Import IIF File</a>








</body>
</html>


<%
Sub Bailout(msge)

    %>

<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Case%>: <%=Case_Number%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

    <center>
    <font size=+1 color=red><b> Error in field: &nbsp;</b></font>
    <%=msge%>

    <%
response.flush
response.end
End Sub
%>

<% Function DisplayMoney(Amount)

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If CLng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoney = wc_Invoice_Currency  & "&nbsp;" & MoneyString2

	End If


	End Function
%>


<% Function DisplayMoneyNoSign(Amount)

	'This function Displays dollar/cents amounts with the dollar sign
	' or currency symbol.

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If CLng(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoneyNoSign =  MoneyString2

	End If


	End Function
%>

<% Sub ComputeDateRange(StartDate, EndDate, DateRange)

' Description: This sub takes the passed DateRange and returns values
' for the StartDate and EndDate. Possible values are:
	' Current - Current Month
	' LastCompleteMonth
	' Quarter
	' LastHalfYear
	' LastCompleteYear
	' Range


If DateRange = "Current" Then

	StartDate = CStr(Month(Now)) & "/1/" & CStr(Year(Now))

	LastDay = GetLastDayOfMonth(Month(Now), Year(Now))

	EndDate = CStr(Month(Now)) & "/" & CStr(LastDay) & "/" & CStr(Year(Now))

End If

If DateRange = "LastCompleteMonth" Then

	PreviousMonth = Month(Now) - 1

	YearValue = Year(Now)
	If PreviousMonth = 0 Then
		PreviousMonth = 12
		YearValue = YearValue -1
	End If

	LastDay = GetLastDayOfMonth(PreviousMonth, YearValue)


	StartDate = CStr(PreviousMonth) & "/1/" & CStr(YearValue)

	EndDate = CStr(PreviousMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)


End If

If DateRange = "Quarter" Then

	CurrentMonth = Month(Now)

	If CurrentMonth = 4 or CurrentMonth = 5 Or CurrentMonth = 6 Then
		StartMonth = 1
		EndMonth = 3
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)


		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If


	If CurrentMonth = 7 or CurrentMonth = 8 Or CurrentMonth = 9 Then
		StartMonth = 4
		EndMonth = 6
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)


		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If


	If CurrentMonth = 10 or CurrentMonth = 11 Or CurrentMonth = 12 Then
		StartMonth = 7
		EndMonth = 9
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If


	If CurrentMonth = 1 or CurrentMonth = 2 Or CurrentMonth = 3 Then
		StartMonth = 10
		EndMonth = 12
		YearValue = Year(Now) - 1
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If



End If ' End of Last Quarter

' LAST HALF YEAR


If DateRange = "LastHalfYear" Then

	CurrentMonth = Month(Now)

	If CurrentMonth = 7 or CurrentMonth = 8 Or CurrentMonth = 9 or CurrentMonth = 10 or CurrentMonth = 11 Or CurrentMonth = 12 Then
		StartMonth = 1
		EndMonth = 6
		YearValue = Year(Now)
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)


		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If

	If CurrentMonth = 1 or CurrentMonth = 2 Or CurrentMonth = 3 OR CurrentMonth = 4 or CurrentMonth = 5 Or CurrentMonth = 6 Then
		StartMonth = 7
		EndMonth = 12
		YearValue = Year(Now) - 1
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)

		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)
	End If


End IF ' End of If LastHalfYear


If DateRange = "LastCompleteYear" Then

	CurrentMonth = Month(Now)

		StartMonth = 1
		EndMonth = 12
		YearValue = Year(Now) - 1
		LastDay = GetLastDayOfMonth(EndMonth, YearValue)


		StartDate = CStr(StartMonth) & "/1/" & CStr(YearValue)

		EndDate = CStr(EndMonth) & "/" & CStr(LastDay) & "/" & CStr(YearValue)


End IF ' End of If LastCompleteYear


If DateRange = "Last30Days" Then

	SearchDate = DateAdd("d", -30, Now)

		StartMonth = Month(SearchDate)
		StartDay = Day(SearchDate)
		YearValue = Year(SearchDate)


		StartDate = CStr(StartMonth) & "/" & StartDay & "/" & CStr(YearValue)

		' No End Date specified...


End IF ' End of If Last30Days


If DateRange = "Last60Days" Then

	SearchDate = DateAdd("d", -60, Now)

		StartMonth = Month(SearchDate)
		StartDay = Day(SearchDate)
		YearValue = Year(SearchDate)


		StartDate = CStr(StartMonth) & "/" & StartDay & "/" & CStr(YearValue)

		' No End Date specified...


End IF ' End of If Last30Days


 End Sub

 %>

<% Function GetLastDayOfMonth(MonthNumber, YearNumber)

	'This function determines the last day of the month (28, 30 or 31)
	' based on the passed MonthNumber and YearNumber

	If MonthNumber = 1 Or MonthNumber = 3 Or MonthNumber = 5 Or MonthNumber = 7 Or MonthNumber = 8 Or MonthNumber = 10 OR MonthNumber = 12 Then
		GetLastDayOfMonth = 31
	End If

	If MonthNumber = 4 Or MonthNumber = 6 Or MonthNumber = 9 Or MonthNumber = 11 Then
		GetLastDayOfMonth = 30
	End If

	' Determine Leap Years for 29 or 28 days

	If MonthNumber = 2 Then

		If (4*(Cint(YearNumber/4)) - YearNumber) <> 0 Then
			GetLastDayOfMonth = 28
		Else
			GetLastDayOfMonth = 29
		End If
	End If


	End Function
%>

<% Function YYMMDD(datestring)
' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

   DIM aryChunk
   aryChunk = Split(datestring,"/")
   YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

End Function
%>


