<%  ' Module: DoGetCustomer.asp
	'
	' Description: Submit Module For GetCustomer.asp module
	'
	' (C) 2000 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/07/00	SAV		Created original EmailListSearch Page
	'11/13/00 SAV	Created version for techcenter from DoEmailListSearch.asp module
	'4/26/01 AJS	Converted input values to ucase and used Oracle function UPPER to work with Oracles
	'				Case Sentitivity

	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TCaseForm.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>


<% ' Display the New Case Form %>



<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Customer_Search_Results%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>

	<body class=rightwindow>





<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	If Trim(Query) = "AND" Then Query=""
	Page = request.querystring("page") ' Each page displays 15 records
	Title = request.querystring("Title")

	if Page = "" Then

		' Get the form variables if passed from the original form


		Contact_fname = UCase(Request.form("Contact_fname"))
		Contact_lname = UCase(Request.form("Contact_lname"))

		' Replace any single quote for names like O'mally with O''Mally for searches

		Contact_fname = Replace(Contact_fname, "'", "''")
		Contact_lname = Replace(Contact_lname, "'", "''")

		Email = UCase(Request.form("email"))
		Company = UCase(Request.form("Company"))
		Address = UCase(Request.form("Address"))
		City = UCase(Request.form("City"))
		State = UCase(Request.form("State"))
		Phone1 = Request.form("Phone1")

	If DatabaseType = "ORACLE" Then
		' Oracle is case sensitive so we need the UPPER part of the SQL
		' statement.  This SQL is not compatible with SQL/Access so
		' we do not call this UPPER function for Access/SQL*Server

		If Contact_fname <> "" Then
			WhereStatement = WhereStatement & AndText & " UPPER(Customers.contact_fname) like '" & contact_fname & "%'"
			AndText = " AND "
		End IF

		If Contact_lname <> "" Then
			WhereStatement = WhereStatement & AndText & " UPPER(Customers.contact_lname) like '" & contact_lname & "%'"
			AndText = " AND "
		End IF

		If email <> "" Then
			WhereStatement = WhereStatement & AndText & " UPPER(Customers.email) like '" & email & "%'"
			AndText = " AND "
		End IF

		If Company <> "" Then
			WhereStatement = WhereStatement & AndText & " UPPER(Customers.Company) like '" & Company & "%'"
			AndText = " AND "
		End IF

		If Address <> "" Then
			WhereStatement = WhereStatement & AndText & " UPPER(Customers.Address) like '" & Address & "%'"
			AndText = " AND "
		End IF

		If State <> "" Then
			WhereStatement = WhereStatement & AndText & " UPPER(Customers.State) like '" & State & "%'"
			AndText = " AND "
		End IF

	Else

		If Contact_fname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_fname like '" & contact_fname & "%'"
			AndText = " AND "
		End IF

		If Contact_lname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_lname like '" & contact_lname & "%'"
			AndText = " AND "
		End IF

		If email <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.email like '" & email & "%'"
			AndText = " AND "
		End IF

		If Company <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Company like '" & Company & "%'"
			AndText = " AND "
		End IF

		If Address <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Address like '" & Address & "%'"
			AndText = " AND "
		End IF

		If City <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.City like '" & City & "%'"
			AndText = " AND "
		End IF

		If State <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.State like '" & State & "%'"
			AndText = " AND "
		End IF
	End IF ' End of IF Not Oracle


		If Phone1 <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Phone1 like '" & Phone1 & "%'"
			AndText = " AND "
		End IF


		If Request.Form("EmailUserCategory") <> ""Then

			If AndText = "" Then
				WhereStatement = WhereStatement & " ("
			Else
				WhereStatement = WhereStatement &  " AND ("
			End If


			OrText = ""
			For each SelectedGroup in Request("emailUserCategory")
				If SelectedGroup <> "ALL" Then
					WhereStatement = WhereStatement & ORText & " EmailCategoryID = " & SelectedGroup
					ORText = " OR "
				End If
				'response.write SelectedGroup & "<br>"
			next

			WhereStatement = WhereStatement & " )"

		End IF ' End if if EmailUserCategory <> ""

		' Now get the tech/customer assignments too

		For each SelectedGroup in Request("customertechassignment")
		If SelectedGroup <> "ALL" Then
		WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & SelectedGroup & "'"
		ORText = " OR "

		End If
		'response.write SelectedGroup & "<br>"
		next

		If AssignedTechID <> "" Then ' This is getting called to view their own customers
			WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & AssignedTechID & "'"
		End If


		' Add in the word "WHERE"
		If WhereStatement <> "" Then
			WhereStatement = " WHERE " & WhereStatement
		End If



	End If  ' End of If Page <> ""


	' Display the Main body of the page %>





<%

	' Build the query based on the passed input fields
	' If no categories or tech assignement the use a simple query for first page


	If DatabaseType = "ORACLE" Then
		If request.form("EmailUserCategory") = "" And Request.form("CustomerTechAssignment") = ""  Then
			mySQL2 = "SELECT * From Customers "
		Else
			mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM Customers, EmailCategoryLinks, CustomerTechAssignment "
			JoinState = " Customers.customer_id = EmailCategoryLinks.Customer_ID AND Customers.customer_id = CustomerTechAssignment.Customer_ID "
		End IF

		If Page <> "" Then
			mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM Customers, EmailCategoryLinks, CustomerTechAssignment "
			JoinState = " Customers.customer_id = EmailCategoryLinks.Customer_ID AND Customers.customer_id = CustomerTechAssignment.Customer_ID "
		End If

		If AssignedTechID <> "" Then ' Handle special condition for my customers
			mySQL2 = "SELECT DISTINCT Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM Customers, EmailCategoryLinks, CustomerTechAssignment "
			JoinState = " Customers.customer_id = EmailCategoryLinks.Customer_ID AND Customers.customer_id = CustomerTechAssignment.Customer_ID "
		End If

		If page <> "" Then
			WhereStatement = Query ' Where Query passed from link
			' This is important to pass the Select part of the query since people can
			' modify whole query and put in SQL like DELETE.
		End if

		mySQL2 = "Select * from Customers"

	Else
		If request.form("EmailUserCategory") = "" And Request.form("CustomerTechAssignment") = ""  Then
			mySQL2 = "SELECT * From Customers "
		Else
			mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM (Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID "
		End IF

		If Page <> "" Then
			mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM (Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID "
		End If

		If AssignedTechID <> "" Then ' Handle special condition for my customers
			mySQL2 = "SELECT DISTINCT Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM (Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID "
		End If

		If page <> "" Then
			WhereStatement = Query ' Where Query passed from link
			' This is important to pass the Select part of the query since people can
			' modify whole query and put in SQL like DELETE.
		End If
	End If


	If Trim(WhereStatement) = "AND" Then
		mySQL2 = mySQL2 & " Order by Contact_lname"
	Else
		mySQL2 = mySQL2 & WhereStatement & " Order by Contact_lname"
	End If
	'response.write mySQL2

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
	RecordsFound = rstemp.recordcount

	%>


	<CENTER>
	<Table class=BGWrapper >
	<tr>
	<td  align=center valign=center class=majorscreentitlefixed>
	<%=wc_Customer_Search_Results%>
	<br>
	 <span class=MinorScreenTitle><%=wc_Your_search_has_found%> </span>
	 <span class=TitleInsert>&nbsp;<%=RecordsFound%>&nbsp;</span>
     <span class=MinorScreenTitle> <%=wc_matching_records%>.</span>


	</td>
	</tr></table>

	<table bgcolor=red cellpadding=0 cellspacing=0><tr><td height=5></td></table><!-- a little spacer -->


 <TABLE BORDER=0 WIDTH="50%" >
 <TR>
 <TD ALIGN=CENTER><A HREF="GetCustomer.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

 <TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
 </TR>
 </TABLE>

<table bgcolor=red cellpadding=0 cellspacing=0><tr><td height=5></td></table><!-- a little spacer -->

	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by 15.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.

	response.write "<span class=tinyprint>"

	If RecordsFound > 0 Then
			NumOfPages = Int(RecordsFound/15) + 1
			If NumOfPages > 20 Then
				NumOfPages = 20
			End If
	End If

	If NumOfPages > 1 Then

		response.write  wc_Result_Pages & ": "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write  i
			Else
				response.write "<a href=DoGetCustomer.asp?Page=" & i & "&Query="& Query&"> "& i& "</a>"
			End If
			response.write chr(10)& chr(13)
		next

		if CurrentPage > 20 then
			response.write "&nbsp;..." & CurrentPage
		End If

		If CInt(CurrentPage) <> 1 Then
			response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoGetCustomer.asp?Page=" & CurrentPage-1 & "&Query="& Query&">&lt;&lt; " & wc_Prev & "..</a>"
		End If
		If CInt(CurrentPage) < CInt(NumOfPages) Then
			response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoGetCustomer.asp?Page=" & CurrentPage+1 & "&Query="& Query&">" & wc_Next & ".. &gt;&gt; </a>"
		End If
		'Response.Write "&nbsp&nbsp;&nbsp; Page " & CurrentPage & " of " & NumOfPages
		response.write "<P>"
	End If

	response.write "</span>"
%>
	<center>
	<TABLE class=TightTableWrapper cellspacing=1" >
	<tr>

	<td class=ColumnLabel ><%=wc_Last%></td>
	<td  class=ColumnLabel ><%=wc_First%></td>
	<td class=ColumnLabel ><%=wc_New_break_Case%></td>
	<td  class=ColumnLabel >All<br>Cases</td>
	<td  class=ColumnLabel ><%=wc_Company%></td>
	<td  class=ColumnLabel ><%=wc_Email%></td>
	<td  class=ColumnLabel ><%=wc_Phone%></td>
	<td  class=ColumnLabel align=center><%=wc_Edit%> or<br><%=wc_Summary%></td>
	</tr>



<%

	' Check to see if any records are returned
	' if none found the

		count = 0


		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" Then
			PageNum = ((CInt(Page)-1)*15)
			rstemp.Move PageNum ' Move to the appropriate record
		End If


		do while not rstemp.eof AND Count < 15


%>
	<tr>

	<% ' Note - because this table contains no instances of two lines within a cell, it appears too tight for comfortable
	   ' reading - not enough white space - so we cheat by putting a height specification in the first <td> of each row %>




	<td class=tightbodytext height=20><%= rstemp("contact_lname") %> </td>

	<td class=tightbodytext><%= rstemp("contact_fname") %> </td>

	<td class=tightbodytext><%	Response.write "<a href=TCaseForm.asp?Case_number=0&Customer_ID=" & rstemp("customer_ID") & ">New</a>" %> </td>

	<td class=tightbodytext><a href=DoGetCase.asp?Customer_ID=<%=rstemp("customer_ID")%>>ALL</a> </td>

	<td class=tightbodytext><%= rstemp("Company") %> </td>


	<td class=tightbodytext><%= rstemp("Email") %> </td>

	<td class=tightbodytext><%= rstemp("Phone1") %> </td>

    <td class=tightbodytext ><a href=NewCustomer.asp?ID=<%=rstemp("customer_ID")%>><%=wc_Edit%></a> /
                             <a href=TCustomerSummary.asp?ID=<%=rstemp("customer_ID")%>><%=wc_Summary%></a>
    </td>

	</tr>

<%
			rstemp.movenext
			count = count + 1
		loop


	rstemp.close
	set rstemp=nothing

%>

	</table>
	</center>




</body>
</html>

<% End If ' End of If Valid user %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

<%
Sub DebugWrite( DbgMsg )
	ForReading = 1
	ForWriting = 2
	ForAppending = 8

	TristateUseDefault = -2
	TristateTrue = -1
	TristateFalse = 0

	Dim ScObj, DbgFile

	FileName = Server.MapPath(".") & "\Debug.log"

	Set ScObj = Server.CreateObject("Scripting.FileSystemObject")
	Set DbgFile = ScObj.OpenTextFile(FileName,ForAppending,TRUE,TristateFalse)
	DbgFile.WriteLine Now() & ":    " & DbgMsg
	DbgFile.Close
	Set DbgFile = Nothing
	Set ScObj = Nothing

End Sub
%>
