
<% 'Module: DoImportLDAP.asp

   'Description: This is the Submit Module to import the LDAP Directory
   ' This module should only be used by advanced Web+Center
   ' administrators and configurators.  To use this module, one
   ' must be famillar with the web+center database tables that you are
   ' importing data into and the table that you are exporting
   ' data from.

   ' Directions: To import data into the Customers Web+Center table,
   ' you must first create an another Access or ODBC compliant database
   ' with the data you plan on importing. Once you have created
   ' this database, you must edit the code below to match the column names
   ' in your (source) database to the selected columns in the web+center database.
   ' Look for the areas labeled " USER CUSTOMIZATIONS HERE"
   ' IMPORTANT: Before launching any data conversion process, please completely
   ' backup the database so it can be restored and conversion process
   ' attempted again.
   ' Important - Do not create a "Linked" Table to your LDAP directory. Instead
   ' create a true Access Database table that is stored separately.

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date	Who		What
   '-------	---		------------------------------------------------
   '6/07/00	SAV		Created original ImportFilter.asp page
   '09/10/00 SAV custom changes for CSM
	'9/11/00	SAV - Created version or LDAP updates or new imports
	' CONSTANTS

	' Set the time out to 20 minutes so it does not time out with larger imports
	Server.ScriptTimeOut = 1200 ' Set to 1200 seconds (20 minutes)
	NewRecords = 0
	UpdatedRecords = 0

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->


<%' Verify the login information before processing the import filter %>


<% ' Verify the Username LoginID and password

	LoginTechID = request.form("Login_Tech_ID")
	Password = request.form("Password")

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Tech_staff where tech_id= '" & LoginTechID & "' AND tech_password = '" & password & "'"
	'response.write "SQL= " & mySQL2

	set rstemp=conntemp.execute(mySQL2)

	if rstemp.eof = True then
		LoginFailed = "YES"
		' email or password fails so send out page to have then try again.
	Else
		LoginFailed = "NO"
		TechID = rstemp("tech_id") ' Set cookie with TechID

	End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	If LoginFailed = "YES" Then

		' If this login fail, then check if they passed the LoginID and password
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Tech_staff where current_customer_id= '" & LoginTechID & "' AND tech_password = '" & password & "'"
		'response.write "SQL= " & mySQL2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			LoginFailed = "YES"
			' email or password fails so send out page to have then try again.
		Else
			LoginFailed = "NO"
		TechID = rstemp("tech_id") ' Set cookie with TechID

		End If

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing
	End If

	' Check one more time for email and password
	If LoginFailed = "YES" Then

		' If this login fail, then check if they passed the LoginID and password
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Tech_staff where work_email = '" & LoginTechID & "' AND tech_password = '" & password & "'"
		'response.write "SQL= " & mySQL2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			LoginFailed = "YES"
			' email or password fails so send out page to have then try again.
		Else
			LoginFailed = "NO"
		TechID = rstemp("tech_id") ' Set cookie with TechID

		End If

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing
	End If

	If LoginFailed = "YES" Then


%>

<html><!-- (C) 1996,1998 by Internet Software Sciences-->
<head>
<title>LDAP Import Login Failed</title>
</head>
<body bgcolor=#D8D8D8>
<center><table border=1 cellspacing=2 cellpadding=10
width=98%><tr><td><div align=center><font size=+1><b>
Import LDAP Login Failure</b></font><br><font size=+1 color=blue><b></b></font></div><div
align=left><p><font size=-1></div></td></tr></table><p>
<center>
<table width=80%><tr><td bgcolor=F0F0F0>
<font size=-1 face=arial>
<B>Sorry,</b> your login could not be verified.  Please press the Continue
button below and retry your login again with:<P>
	<UL>
	<LI> LoginID and password OR
	<LI> TechID and password OR
	<LI> Your Email and password
	</ul>
<center>
<a href=ImportLDAP.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>
</td></tr></table>

</td></tr></table>

<br>
</form>
</body>
</html>

<%Else ' Login OK so continue %>



<html>

<head>
<title>Web+Center LDAP --> Customer Data Import Process</title>
</head>

<body bgcolor=FFFFFF>

<% ' ********************* USER CUSTOMIZATION ********************
	' Step 1: On the line below, edit the ODBC connect string for your
	' database that you have created with your customer records.
	' Currently it is initially configured for a DSN called "NewCustomers"
	' If your require a userid and password, enter it into the string too.
	' You must configure the DSN for this database by going to the
	' the ODBC32 icon under the control panel.

		YourDatabaseDSN ="DSN=LDAP;uid=;pwd="

	' Step 2: Edit the table name below from "MoreCustomers" to the name
	' of your table in your database that contains the new customer
	' records.

		YourDatabaseTableName = "NewCustomers"

	' Step 3: Map any map of the columns in your database to the Web+Center
	' customer database.  Follow the instructions for creating the special
	' CustomerID field from your First and Last Name fields.

	' For example, to map a column in your database called "LastName"
	' with the Web+Center Customers table "Contact_lname", which is
	' the Customer Last Name field, Column, set the variable named
	' "Contact_lname" equal to the string "Lastname".
	'
	' Map all of the appropriate columns as is appropriate.  If there is
	' desination field mapped for which you do not have data or donot
	' want to import data, then comment out that selected line.

	'IMPORTANT: DO NOT modify the Destination Column name, only the source names

	' Field Mapping Variable Settings
	'Destination Column Name	Source Column Name	Field Description
	'-----------------------	------------------	--------------------------
	Contact_lname = 			"Last"			'Customers Last Name
	Contact_fname = 			"First"			'Customers First Name
	customer_password = 		"Company"			'Customer Password
'	company = 					"City"			'Customer's Company
	address = 					"Office"			'Customers's Street Address
	mailstop = 					"Address"			' Mail stop address if exists
	city = 						"City"				' City name
	State = 					"State"				' State two letter name
	zip	=						"Zip Code"				' Zipcode
'	email = 					"Email"				' Email Address
	phone1 = 					"Phone"			' Work Phone Number
'	phone2 = 					"Phone2"			' Home Phone Number
'	fax = 						"fax"				' Fax Number
'	contact_method =			"contact_method"		' Set to email, fax or phone
'	Contact_Times = 			"Contact_Times"		' Notes about contacting person
	Customer_username = 		"Alias"	' customerID login
	' ******************* END CUSTOMIZATIONS **********************

	' Now we will attempt to import all of the information.  In addition
	' to the fields above, we will also create a unique "customer_id"
	' key field that is built by using the Lastname field + "_" (underscore)
	' + the First name up to 20 characters.

	' We will need to open two ODBC connections so we can move
	' data from one data source to another.

%>
	<center><font face=arial>Web+Center LDAP --> Customer Data Import Filter</font></center><P>
	<font size=-1 face=arial>
	<B>Directions</b>:
	<UL>Before running this script, you must customize
	this ASP script to match your data input requirements and configure
	a ODBC DNS for  your source database.  Please review the
	documentation on the DoImportLDAP.asp page by opening the file
	with an ASCII editor.<P>
	</ul>
<%

	TotalImportedRecords = 0
	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN   ' Conn = Destination Database

	response.write "<B>Database Connectivity Tests:</b>"
	response.write "<UL> Connection to (Destination) Web+Center Database Successful.<br>"

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  YourDatabaseDSN ' If it fails here, then check your connect string.

	response.write " Connection to Source (LDAP Import) Database Successful.</ul>"

	Response.write "<b>Importing Data Records For:</b><UL>"

	' Now step through all of the records on the source database

	Set SourceRecord = Server.CreateObject("ADODB.Recordset")
			SQL2 = "Select * from " & YourDatabaseTableName
			SourceRecord.Open SQL2,Conn2,3,3

	Do while SourceRecord.EOF <> True
		' Create a new record on the desintation database

			LastNameNull = False ' Default to False

			LastNameNull = IsNull(SourceRecord(Contact_lname))


		If LastNameNull = False Then ' Process only records with real last names

		' Now create the email from the alias name SMCCD email ending
		' to determine if this user already exists in the database.

		'UserEmail = SourceRecord(customer_username) & "@smccd.net"

		' Replace single quote with double quote for those O'Mallys or O'Briens

		'UserEmail = Replace(UserEmail, "'", "''")




		Set DestinationRecord = Server.CreateObject("ADODB.Recordset")
		SQL = "Select * from Customers where email = '" & UserEmail & "'"

			'response.write SQL

			DestinationRecord.Open SQL,Conn,3,3

			If DestinationRecord.EOF = True then
				DestinationRecord.AddNew ' Add new record if not found
				NewRecords = NewRecords + 1
				Record = "NEW"
			Else
				UpdatedRecords = UpdatedRecords + 1
				Record = "UPDATE"

			End IF


			' Import the data if variable is not commented out above

			If Contact_lname <> "" Then
				DestinationRecord("Contact_Lname") = mid (SourceRecord(Contact_lname), 1, 50)
			End If

			If Contact_fname <> "" Then
				DestinationRecord("Contact_fname") = mid(SourceRecord(Contact_fname),1,50)
			End If

	'		If Customer_password <> "" Then
	'			If IsNull(SourceRecord(Customer_password)) = False Then
	'				DestinationRecord("Customer_password") = SourceRecord(customer_password)
	'			End If
	'		End If


	'		Special code is performed below to set up the company field to the campus
			If Company <> "" Then
				If IsNull(SourceRecord(Company)) = False Then
				DestinationRecord("company") = SourceRecord(Company)
				End if
			End If

			If Address <> "" Then
				If IsNull(SourceRecord(Address)) = False Then
					DestinationRecord("Address") = Mid (SourceRecord(Address), 1, 80)
				End If

			End If

			If MailStop <> "" Then
				If IsNull(SourceRecord(MailStop)) = False Then
					DestinationRecord("MailStop") = Mid (SourceRecord(MailStop), 1, 50)
				End If
			End If

			If City <> "" Then
				If IsNull(SourceRecord(City)) = False Then
					DestinationRecord("City") = Mid (SourceRecord(City), 1, 40)
				End If
			End If

			If State <> "" Then
				If IsNull(SourceRecord(State)) = False Then
					DestinationRecord("State") = Mid (SourceRecord(State), 1 , 40)
				End If
			End If

			If Zip <> "" Then
				If IsNull(SourceRecord(Zip)) = False Then
					DestinationRecord("Zip") = Mid (SourceRecord(Zip), 1, 40)
				End If

			End If

			If email <> "" Then
				DestinationRecord("email") = mid (SourceRecord(email), 1 ,80)
			End If


			If phone1 <> "" Then
				if IsNull(SourceRecord(Phone1)) = False Then
					DestinationRecord("phone1") = mid (SourceRecord(Phone1),1,20)
				End If
			End If

			If phone2 <> "" Then
				if IsNull(SourceRecord(Phone2)) = False Then
					DestinationRecord("phone2") = mid (SourceRecord(Phone2),1, 20)
				End If
			End If

			If fax <> "" Then
				if IsNull(SourceRecord(Fax)) = False Then
					DestinationRecord("Fax") = mid (SourceRecord(fax), 1, 20)
				End If
			End If


			If Contact_method <> "" Then
				DestinationRecord("contact_method") = SourceRecord(contact_method)
			End If

			If Contact_Times <> "" Then
				DestinationRecord("Contact_Times") = SourceRecord(Contact_times)
			End If

			If customer_username <> "" Then
				DestinationRecord("customer_username") = mid (SourceRecord(customer_username),1,20)
			End If

			' Now create the unique customer_ID field - only for New Records

			If Record = "NEW" Then

				Customer_ID = SourceRecord(Contact_lname) & "_" & SourceRecord(contact_fname)
				If Len(customer_ID) > 20 Then
					Customer_ID = Left(Customer_ID, 20)
				End If

				' The Customer_ID must be unique verify this combination
				' of Last_First is not already used.  If it is, then
				' add an 3 digit random number to the end of the ID.

				UniqueCustomerID = CheckForUniqueTableValues("Customers", "customer_ID", customer_ID)

				If UniqueCustomerID <> "UNIQUE" THEn
					Customer_ID = mid(Customer_ID, 1,17) ' lop off last two characters
					Randomize ' Seed the generator with a new value
					Customer_ID = Customer_ID & cstr(Int(rnd*100))
					'response.write "New ID = " & Customer_ID
				End If

				' Run this test again incase we have duplicates

				UniqueCustomerID = CheckForUniqueTableValues("Customers", "customer_ID", customer_ID)

				If UniqueCustomerID <> "UNIQUE" THEn
					Customer_ID = mid(Customer_ID, 1,17) ' lop off last two characters
					Randomize ' Seed the generator with a new value
					Customer_ID = Customer_ID & cstr(Int(rnd*100))
					'response.write "New ID = " & Customer_ID
				End If


				DestinationRecord("Customer_ID") = Customer_ID

				' IMPORTANT - DO NOT RESET THIS EVEN IF THEY
				' CHANGE THEIR NAMES.  There is an option within
				' the tech+center that will allow techs to
				' change the customer_id.

			End if  ' End of If Record = "NEW"


			' Create the Company field


			DestinationRecord.Update

			If Record = "NEW" Then
				response.write " <font color=green> <LI>New User: " &  SourceRecord(contact_fname) & " " & sourceRecord(Contact_lname) & "</font></li>"
			Else
				response.write " <font color=brown> <LI>Updated User: " &  SourceRecord(contact_fname) & " " & sourceRecord(Contact_lname) & "</font></li>"
			End If

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				'IF  conn.errors.count> 0 then
				'	  response.write "Database Errors Occured" & "<P>"
				'for counter= 0 to conn.errors.count
				'	  response.write "Error #" & conn.errors(counter).number & "<P>"
				'	  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				'next
				'else
				'      response.write "No Database Errors Occured!" & "<P>"
				'end if


		DestinationRecord.Close
		Set DestinationRecord = Nothing
		SourceRecord.MoveNext
		TotalImportedRecords = TotalImportedRecords + 1

	Else ' IF contact_lname = Null then do a move next without inserting new record
		Response.write "<li><font color=red>Empty Record Found</font><br>"
		TotalEmptyRecords = TotalEmptyRecords + 1
		SourceRecord.MoveNext
	End If



	loop

	SourceRecord.Close ' Close the source recordset
	' Close both connections

	Conn.Close
	Set SourceRecord = Nothing
	Conn2.close

%>

	</ul>

	<B>Data Import Completed Successfully</B><P>
	<UL>
	<LI><%=TotalImportedRecords%> Total Customer records imported/Updated<br>
	<li> <%=TotalEmptyRecords%> Empty Records records found<br>
	<li> <%=NewRecords%> New Imported Record<br>
	<li> <%=UpdatedRecords%> Updated Records<br>
	</ul>


</body>
</html>


<% End If ' End of if Login Passed %>


<% Function CheckForUniqueTableValues(Tablename, Columnname, tablevalue)
	'This function checks to see if the passed column for a selected
	' table is unique (ie email in customer table, username, etc)
	' This functions either a "UNIQUE" or "NOTUNIQUE" returns

		' Notice we using another connection incase we already using conntemp.

		' We need to replace all single quotes in the table value with
		' double quotes to prevent a SQL error.

		NewTableValue = replace(TableValue, "'", "''")


		set conntemp2=server.createobject("adodb.connection")

		conntemp2.open myDSN ' Open the connection once here

		mySQL2="select * from " & tablename & " where " & Columnname & " = '" & NewTableValue & "'"

		set rstemp5=conntemp2.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp5.EOF then
			CheckForUniqueTableValues = "UNIQUE"
		Else
			CheckForUniqueTableValues = "NONUNIQUE"
		End If

		rstemp5.close
		set rstemp5=nothing

		conntemp2.close ' Close the connection
		set conntemp2=nothing

	End Function ' End of CheckForUniqueTableValues
	%>

