<% 'Module: DoNewCustomer.asp (TechCenter Customer Registration Submit)

   'Description: This module adds or updates the customer table
   ' and prompts them with some other options.
   '(C) 2000,2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '08/27/00	SAV		Created original ASP
   '09/05/00	SAV		Fixed problem with Adding Deletes
   '04/26/01	AJS		Fixed misplelling of "characers"
   '08/21/01	SAV		Removed and reconfigured some of the field restrictions
	'02/20/11   CMB	    Changed error message on Contact Preferences field from Contact Times
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="Encodepwd.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<% 'Get the KB Configuration options %>

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Get get the Database information starting with configuration information %>

<%
GetDatabaseConfiguration ts_user_page_color, assets_db, customer_Drop_Down, EncryptPasswords
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

		'response.write "Encryptpasword = " & Encryptpasswords

%>

<% 'Get the form data

	Customer_ID = Request.form("Customer_ID") ' Passed when updating existing records

	' USER CUSTOMIZATION AREA START ******************************************
	' Modify the code below to customize your own field data requirements
	' You can also make certain fields required by copying and pasting
	' the required field code as used for the first and last name fields

	'-------------------------------------------------------------------
	' Field: Customer_Password
		strVal = Trim(Request.form("customer_password"))
		If InStr(strVal,"'")  Or InStr(strVal,";") Then
		  ErrorMessage = ErrorMessage & "<LI> Customer Password contains invalid characters "
		Else
			Customer_Password = strVal
		End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------

	' Field: Contact_fname
		strVal = Trim(Request.form("contact_fname"))
		Contact_fname = strVal

		strVal = Replace(strVal, " ","-")

		If InStr(strVal,"'")  Or InStr(strVal,";")  Then
		  ErrorMessage = ErrorMessage & "<LI> Contact First Name contains invalid characters or spaces . "
		Else
			Fixed_Contact_fname = strVal
		End If
		If Fixed_contact_fname = "" Then
			ErrorMessage = ErrorMessage & "<LI> First name is a required field."
		End If

	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Contact_lname
		strVal = Trim(Request.form("contact_lname"))
		Contact_lname = strVal
		strVal = Replace(strVal, " ","-")
		If   InStr(strVal,";") OR Instr(strVal, " ") Then
		  ErrorMessage = ErrorMessage & "<LI> Contact Last Name contains invalid characters or spaces . "
		Else
			Fixed_Contact_lname = strVal
		End If
		If Fixed_contact_lname = "" Then
			ErrorMessage = ErrorMessage & "<LI> Last name is a required field."
		End If

	'--------------------------------------------------------------------

	'-------------------------------------------------------------------
	' Field: Company
		strVal = Trim(Request.form("company"))
		If  InStr(strVal,";")  Then
		  ErrorMessage = ErrorMessage & "<LI> Company field contains invalid characters. "
		Else
			Company   = strVal
		End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Address
		strVal = Trim(Request.form("Address"))
	'	If InStr(strVal,"'") Then
	'	  ErrorMessage = ErrorMessage & "<LI> Address field contains invalid characters. "
	'	Else
			Address = strVal
	'	End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Mailstop
		strVal = Trim(Request.form("Mailstop"))
	'	If InStr(strVal,"'") Then
	'	  ErrorMessage = ErrorMessage & "<LI> MailStop field contains invalid characters. "
	'	Else
			Mailstop = strVal
	'	End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: City
		strVal = Trim(Request.form("City"))
	'	If InStr(strVal,"'") Then
	'	  ErrorMessage = ErrorMessage & "<LI> City field contains invalid characters. "
	'	Else
		City = strVal
	'	End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: State
		strVal = Trim(Request.form("State"))
		If InStr(strVal,"'") Then
		  ErrorMessage = ErrorMessage & "<LI> State field contains invalid characters. "
		Else
			State = strVal
		End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Zip
		strVal = Trim(Request.form("Zip"))
		If InStr(strVal,"'") Then
		  ErrorMessage = ErrorMessage & "<LI> Zip field contains invalid characters. "
		Else
			Zip = strVal
		End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Country
		strVal = Trim(Request.form("Country"))
		If InStr(strVal,"'") Then
		  ErrorMessage = ErrorMessage & "<LI> Country field contains invalid characters. "
		Else
			Country = strVal
		End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Email
		strVal = Trim(Request.form("Email"))
		If InStr(strVal,"'") Then
		  ErrorMessage = ErrorMessage & "<LI> Email field contains invalid characters. "
		Else
			Email = strVal
		End If
		' Note: If you want to make email a required field, uncomment the three lines below

		'If email = "" Then
		'	ErrorMessage = ErrorMessage & "<LI> Email is a required field."
		'End If

	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Phone1
		strVal = Trim(Request.form("Phone1"))
		If InStr(strVal,"'") Then
		  ErrorMessage = ErrorMessage & "<LI> Phone1 field contains invalid characters. "
		Else
			Phone1 = strVal
		End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Phone1
		strVal = Trim(Request.form("Phone2"))
		If InStr(strVal,"'") Then
		  ErrorMessage = ErrorMessage & "<LI> Phone 2 field contains invalid characters. "
		Else
			Phone2 = strVal
		End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Fax
		strVal = Trim(Request.form("Fax"))
		If InStr(strVal,"'") Then
		  ErrorMessage = ErrorMessage & "<LI> Fax field contains invalid characters. "
		Else
			Fax = strVal
		End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Contact_Method
		strVal = Trim(Request.form("Contact_Method"))
		If InStr(strVal,"'") Then
		  ErrorMessage = ErrorMessage & "<LI> Contact Method field contains invalid characters. "
		Else
			Contact_Method = strVal
		End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Contact_Times
		strVal = Trim(Request.form("Contact_Times"))
		If InStr(strVal,"'") Then
		  ErrorMessage = ErrorMessage & "<LI> Contact_Preferences field contains invalid characters. "  ' CMB 2/20/11
		Else
			Contact_Times = strVal
		End If
	'--------------------------------------------------------------------
	'-------------------------------------------------------------------
	' Field: Customer_Username
		strVal = Trim(Request.form("Customer_Username"))
		If InStr(strVal,"'") Then
		  ErrorMessage = ErrorMessage & "<LI> Customer_Username field contains invalid characters. "
		Else
			Customer_Username = strVal
		End If
	'--------------------------------------------------------------------

	'-------------------------------------------------------------------
	' Field: company_id
	  if isNull(Request.form("Company_id")) or  Trim(Request.form("Company_id")) = "" Then
	    company_id = 0
	  else
	    company_id = Request.form("Company_id")
	  end if


       ' response.write "The length is " & Len(company_id) & "<P>"
        'response.write " Char 1 is " & Asc(Mid(company_id,1,1)) & "<P>"
        'response.write " Char 2 is " & Asc(Mid(company_id,2,1)) & "<P>"
        'response.write " Char 3 is " & Asc(Mid(company_id,3,1)) & "<P>"
        'response.write " Char 4 is " & Asc(Mid(company_id,4,1)) & "<P>"
		'response.write "The company ID is -" & company_id & "-<p>"
		'response.flush
		'response.end


    '--------------------------------------------------------------------

	'-------------------------------------------------------------------
	' Field: auto_update
	  If request.form("auto_update") <> "Y" Then
	     auto_update = "N"
	  else
	     auto_update = "Y"
	  end if
	  'response.write "I see autoupdate = " & request.form("auto_update") & "<P>"
	  'response.flush
	 ' response.end

     '--------------------------------------------------------------------


	' USER CUSTOMIZATION AREA END ******************************************



	' Old Approach - keep for now


	'	Customer_Password = valTXT(Request.form("customer_password"), ErrorMessage)
	'	If ErrorMessage = "" Then contact_fname = valTXT2(Request.form("contact_fname"), ErrorMessage)
	'	If ErrorMessage = "" Then contact_lname = valTXT2(Request.form("contact_lname"), ErrorMessage)
	'	If ErrorMessage = "" Then company = valTXT(Request.form("company"), ErrorMessage)
	'	If ErrorMessage = "" Then address = valTXT(Request.form("address"), ErrorMessage)
	'	If ErrorMessage = "" Then mailstop = valTXT(Request.form("mailstop"), ErrorMessage)
	'	If ErrorMessage = "" Then city = valTXT(Request.form("city"), ErrorMessage)
	'	If ErrorMessage = "" Then state = valTXT(Request.form("state"), ErrorMessage)
	'	If ErrorMessage = "" Then Zip = valTXT(Request.form("Zip"), ErrorMessage)
	'	If ErrorMessage = "" Then Country = valTXT(Request.form("Country"), ErrorMessage)
	'	'If ErrorMessage = "" Then email = valTXT(Request.form("email"), ErrorMessage)
	'	email = Request.form("email")
	'	p1 = Request.Form("phone1")
	'	If InStr(p1,"'") Or InStr( p1," ") Or InStr(p1,";") Then
	'		ErrorMessage = ErrorMessage & "<LI> The Entry: """ & strVal & """ contains invalid characters.  Please use only alphabetic characters."
    '      		p1 = "*ERR-BAD_CHAR"
	'	Else
	'		phone1 = Trim(p1)
	'	End If
'
	'	p2 = Request.Form("phone2")
	'	If InStr(p2,"'") Or InStr( p2," ") Or InStr(p2,";") Then
	'		ErrorMessage = ErrorMessage & "<LI> The Entry: """ & strVal & """ contains invalid characters.  Please use only alphabetic characters."
    '      		p2 = "*ERR-BAD_CHAR"
	'	Else
	'		phone2 = Trim(p2)
	'	End If
'
	'	p3 = Request.Form("fax")
	'	If InStr(p3,"'") Or InStr( p3," ") Or InStr(p3,";") Then
	'		ErrorMessage = ErrorMessage & "<LI> The Entry: """ & strVal & """ contains invalid characters.  Please use only alphabetic characters."
    '      		p3 = "*ERR-BAD_CHAR"
	'	Else
	'		fax = Trim(p3)
	'	End If
'
	'	If ErrorMessage = "" Then contact_method = TRIM(Request.form("contact_method"))
	'	If ErrorMessage = "" Then contact_times = valTXT(Request.form("contact_times"), ErrorMessage)
	'	If ErrorMessage = "" Then customer_username = valTXT2(Request.form("customer_username"), ErrorMessage)
	'	If ErrorMessage = "" Then Confirm_Password = valTXT(Request.form("Confirm_Password"), ErrorMessage)

	'	If ErrorMessage = "" Then Customer_ID = valTXT(Request.form("customer_ID"), ErrorMessage) ' For updates
' ------- End of Old Code ---------------------------


		If ErrorMessage = "" Then
		' Fields for other tables
			Notes = Request.form("Notes") ' Contact Notes Form - goes into CustomerNotes Table
			DeletedFromLists = Request.form("DeletedFromLists") ' Goes into DeleteList Table

			ViewEmailCategoryID = Request.form("ViewEmailCategoryID") ' Get User Group Read Access


		' Check for unique values for registrations

		If Customer_ID = "" Then
		  if isNull(email) or email = "" then
		    ' do nothing
		  else
				UniqueEmail = CheckForUniqueTableValues("Customers", "email", email)
				If UniqueEmail <> "UNIQUE" Then
					ErrorMessage = ErrorMessage & "<LI> This email is already in use. "
				End If

				' Check for unique username
				If CheckForUniqueTableValues("Customers", "customer_username", customer_username) <> "UNIQUE" Then
					ErrorMessage = ErrorMessage & "<LI> This username is already being used.  Please select another username."
				End If
		   end if
		End If

		End If

		If ErrorMessage <> "" Then
		%>


<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise save the customer information.

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if customer_ID exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		If Customer_ID <> "" Then
			SQL = "Select * from Customers where customer_ID = '" & customer_ID & "'"
		Else
			SQL = "Select * from Customers"
	     End If
			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If Customer_ID = "" Then ' If customerID is blank then creat new one
				NewRecord.AddNew
				' for New records we create the customer_ID
				' by taking the Lastname + "_" +  First.  If
				' there are more than 20 characters, then we take
				' just the first 20 characters of this and call
				' it the Customer_ID.

				' We must first remove all single quote characters
				' or double quote characters from the Customer_ID since
				' this field is used as a URL link.

				Fixed_Contact_lname = replace(Fixed_Contact_lname, "'", "")
				Fixed_Contact_fname = replace(Fixed_Contact_fname, "'", "")

				Customer_ID = Fixed_Contact_lname & "_" & Fixed_contact_fname
				If Len(customer_ID) > 20 Then
					Customer_ID = Left(Customer_ID, 20)
				End If

				' The Customer_ID must be unique verify this combination
				' of Last_First is not already used.  If it is, then
				' add an 3 digit random number to the end of the ID.

				UniqueCustomerID = CheckForUniqueTableValues("Customers", "customer_ID", customer_ID)

				If UniqueCustomerID <> "UNIQUE" THEn
					Customer_ID = mid(Customer_ID, 1,17) ' lop off last two characters
					Randomize ' Seed the generator with a new value
					Customer_ID = Customer_ID & cstr(Int(rnd*100))
					'response.write "New ID = " & Customer_ID
				End If

				' Run this test again incase we have duplicates

				UniqueCustomerID = CheckForUniqueTableValues("Customers", "customer_ID", customer_ID)

				If UniqueCustomerID <> "UNIQUE" THEn
					Customer_ID = mid(Customer_ID, 1,17) ' lop off last two characters
					Randomize ' Seed the generator with a new value
					Customer_ID = Customer_ID & cstr(Int(rnd*100))
					'response.write "New ID = " & Customer_ID
				End If


				NewRecord("Customer_ID") = Customer_ID

				' IMPORTANT - DO NOT RESET THIS EVEN IF THEY
				' CHANGE THEIR NAMES.  There is an option within
				' the tech+center that will allow techs to
				' change the customer_id.

			End If


			' Set all of the variables the same for either new/update

			If EncryptPasswords = True Then
				Decode = "YES"
			Else
				Decode = "NO"
			End If

			If Customer_password <> "*****" Then
		' Decode the password before placing it into the database

				EncodedPassword = EncodePassword(Customer_Password)

				NewRecord("customer_password") = EncodedPassword

			End IF

			'NewRecord("customer_password") = Customer_Password

		NewRecord("contact_fname") = contact_fname
		NewRecord("contact_lname") = contact_lname

		' Set User Group Read Access

		If ViewEmailCategoryID <> "" Then
			NewRecord("ViewEmailCategoryID") = ViewEmailCategoryID
		End If

		If IsNull(NewRecord("ViewEmailCategoryID")) = False and ViewEmailCategoryID = "" Then
			NewRecord("ViewEmailCategoryID") = Null ' Set to Null
		End If


		If Company <> "" Then
			NewRecord("company") = company
		End If

		If IsNull(NewRecord("company")) = False and Company = "" Then
			NewRecord("Company") = Null ' Set to Null
		End If



		If Address <> "" Then
			NewRecord("address") = address
		End If

		If IsNull(NewRecord("address")) = False and Address = "" Then
			NewRecord("Address") = Null ' Set to Null
		End If


		If Mailstop <> "" Then
		NewRecord("mailstop") =	mailstop
		End If

		If IsNull(NewRecord("Mailstop")) = False and Mailstop = "" Then
			NewRecord("Mailstop") = Null ' Set to Null
		End If


		If City <> "" then
			NewRecord("city") = city
		End If

		If IsNull(NewRecord("City")) = False and City = "" Then
			NewRecord("City") = Null ' Set to Null
		End If



		If State <> "" Then
			 NewRecord("state") = state
		End If

		If IsNull(NewRecord("State")) = False and State = "" Then
			NewRecord("State") = Null ' Set to Null
		End If

		If Zip <> "" Then
			NewRecord("Zip") = Zip
		End If

		If IsNull(NewRecord("Zip")) = False and Zip = "" Then
			NewRecord("Zip") = Null ' Set to Null
		End If

		If Country <> "" Then
			NewRecord("Country") = Country
		End If

		If IsNull(NewRecord("Country")) = False and Country = "" Then
			NewRecord("Country") = Null ' Set to Null
		End If

		If Email <> "" then
			NewRecord("email") = email
		End If

		If IsNull(NewRecord("email")) = False and Email = "" Then
			NewRecord("Email") = Null ' Set to Null
		End If


		If Phone1 <> "" Then
			NewRecord("phone1") = phone1
		End If

		If IsNull(NewRecord("Phone1")) = False and Phone1 = "" Then
			NewRecord("Phone1") = Null ' Set to Null
		End If

		If Phone2 <> "" Then
			NewRecord("phone2") = phone2
		End If

		If IsNull(NewRecord("phone2")) = False and Phone2 = "" Then
			NewRecord("phone2") = Null ' Set to Null
		End If

		If Fax <> "" Then
			NewRecord("fax") = fax
		End If

		If IsNull(NewRecord("fax")) = False and Fax = "" Then
			NewRecord("fax") = Null ' Set to Null
		End If

		If Contact_Method <> "" then
			NewRecord("contact_method") = contact_method
		End If

		If Contact_Times <> "" Then
			'response.write " Saving Contact Times" & contact_times
			 NewRecord("contact_times") = mid(contact_times,1,200)
		End If

		If customer_Username <> "" Then
			NewRecord("customer_username") = customer_username
		End If

		NewRecord("company_id") = company_id ' we already ensured that company_id is not = empty string at line 238
		                                     ' it must contain either 0 (for unlinked) or the company_id - which is numeric!

		NewRecord("auto_update") = auto_update


		TimeAndBilling = Request.form("TimeAndBilling") ' Passed from dropdown
		If TimeAndBilling <> "" Then
			NewRecord("login_ip") = TimeAndBilling
		Else
			NewRecord("Login_ip") = NULL ' Clear on if empty
		End If

		If Version8point0 = "YES" Then

			SendTxtNotifications = Request.form("SendTXTNotifications") ' Passed from checkbox
			If SendTxtNotifications = "YES" Then
				NewRecord("SendTXTNotifications") = True
			Else
				NewRecord("SendTXTNotifications") = False ' set to false
			End If

		End If



				NewRecord.Update
	'If  err.number>0 then
	'      response.write "VBScript Errors Occured:" & "<P>"
	'      response.write "Error Number=" & err.number & "<P>"
	'     response.write "Error Descr.=" & err.description & "<P>"
	'      response.write "Help Context=" & err.helpcontext & "<P>"
	'      response.write "Help Path=" & err.helppath & "<P>"
	'      response.write "Native Error=" & err.nativeerror & "<P>"
	'      response.write "Source=" & err.source & "<P>"
	'      response.write "SQLState=" & err.sqlstate & "<P>"
	'else
	'      response.write "No VBScript Errors Occured" & "<P>"
	'end if
	'IF  conn.errors.count> 0 then
	'      response.write "Database Errors Occured" & "<P>"
	'for counter= 0 to conn.errors.count
	'      response.write "Error #" & conn.errors(counter).number & "<P>"
	'      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
	'next
	'else
	''      response.write "No Database Errors Occured!" & "<P>"
	'end if


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


	' Now add all of the selected Email List Groups for this person.
	' They can add any number of email list groups
	' First we will need to remove all existing email list group and then put back
	' all of the selected groups for this person.


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from EmailCategoryLinks where customer_Id = '" & customer_ID & "'"

		Set rstemp = Server.CreateObject("ADODB.Recordset")
			rstemp.Open mySQL2,ConnTemp,3,3

		If rstemp.EOF <> True THEN

			Do while (rstemp.EOF <> True) AND (rstemp.BOF <> True)
				rstemp.delete
				rstemp.movenext
			loop

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

		' Now put back all the selected email list category incase they added some and
		' deleted others.

			For each SelectedGroup in Request("emailUserCategory")
			If SelectedGroup <> "ALL" and SelectedGroup <> "" Then

				Set Conn2 = Server.CreateObject("ADODB.Connection")
				conn2.open  myDSN

				Set NewRecord = Server.CreateObject("ADODB.Recordset")
					SQL = "Select * from EmailCategoryLinks"
					NewRecord.Open SQL,Conn2,3,3
					NewRecord.AddNew

				NewRecord ("Customer_ID") = Customer_ID
				NewRecord ("EmailCategoryID") = SelectedGroup
				NewRecord.Update

				NewRecord.Close
				Conn2.Close

				Set NewRecord = Nothing


			End If
			'response.write SelectedGroup & "<br>"
			next


	' Now store all of the Contact Assignments into the database
	' This is stored in a way similar to user group assignments

	' First we will need to remove all existing CustomerTechAssignments  and then put back
	' all of the selected techs for this person.


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from CustomerTechAssignment where customer_Id = '" & customer_ID & "'"

		Set rstemp = Server.CreateObject("ADODB.Recordset")
			rstemp.Open mySQL2,ConnTemp,3,3

		Do while rstemp.EOF <> True
			rstemp.delete
			rstemp.movenext
		loop

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

		' Now put back all the selected techs incase they added some and
		' deleted others.

			For each SelectedGroup in Request("CustomerTechAssignment")
			If SelectedGroup <> "ALL" and SelectedGroup <> ""Then

				Set Conn2 = Server.CreateObject("ADODB.Connection")
				conn2.open  myDSN

				Set NewRecord = Server.CreateObject("ADODB.Recordset")
					SQL = "Select * from CustomerTechAssignment"
					NewRecord.Open SQL,Conn2,3,3
					NewRecord.AddNew

				NewRecord ("Customer_ID") = Customer_ID
				NewRecord ("Tech_ID") = SelectedGroup
				NewRecord.Update

				NewRecord.Close
				Conn2.Close

				Set NewRecord = Nothing


			End If
			'response.write SelectedGroup & "<br>"
			next
	' Add Delete Record or remove delete record if unchecked and record exists

	' First add if it does not exist

	If DeletedFromLists <> "" Then ' If anything is returned then item was selected

	' Add a new entry into the DeleteFromList table with the CustomerID
	' Make sure the entry is unique before entering it into the database
	' to prevent duplicate from being created.

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if customer_ID exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from DeleteList where Customer_ID = '" & Customer_ID & "'"
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3

			' Get the IP of the remote_host so we can host this for security reasons

			 For each key in Request.serverVariables

				'if Key = "REMOTE_HOST" Then
					'REMOTE_HOST =  Request.ServerVariables(key)
				'End IF

			Next

			If NewRecord.EOF = True then ' Only Add is this is a new record
				NewRecord.AddNew

				NewRecord("Customer_ID") = Customer_ID

				' For auditing and security reasons, record the IP and time of the
				' deletions.

				NewRecord("DeletedByIP") = REMOTE_HOST
				NewRecord("DateDeleted") = Date

				NewRecord.Update
	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	     response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if
	IF  conn.errors.count> 0 then
	      response.write "Database Errors Occured" & "<P>"
	for counter= 0 to conn.errors.count
	      response.write "Error #" & conn.errors(counter).number & "<P>"
	      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
	next
	else
	'      response.write "No Database Errors Occured!" & "<P>"
	end if

	End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing

	End If ' End if DeleteFromList <> ""


	If DeletedFromLists = "" Then ' Check and remove if delete record exists.

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from DeleteList where customer_ID = '" & Customer_ID & "'"
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3


			If NewRecord.EOF = False then ' Record exists so remove it
				NewRecord.Delete


				'NewRecord.Update
	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	     response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if
	IF  conn.errors.count> 0 then
	      response.write "Database Errors Occured" & "<P>"
	for counter= 0 to conn.errors.count
	      response.write "Error #" & conn.errors(counter).number & "<P>"
	      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
	next
	else
	'      response.write "No Database Errors Occured!" & "<P>"
	end if

	End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing

	End If ' End if DeleteFromList = ""



	'************ Contact Notes Field *****************
	' This field is set up here to be add to only.  Each new entry is
	' date stamped and time stamped and added to the previous entry.
	' This could be set up differently to allow persons to edit
	' previous contact notes.

	' Also check to see if any of the optional fields are enabled and set with
	' information.  If so then add this notes record to the database even if the notes
	' field is empty


	For i = 1 to 10
		TextNoteName = "TextNote" & i

		If Request.form(TextNoteName) <> "" Then
			OptionalField = "YES"
		End IF
	Next

		If Notes <> "" OR OptionalField = "YES" Then


		' Add a new entry into the DeleteFromList table with the CustomerID
		' Make sure the entry is unique before entering it into the database
		' to prevent duplicate from being created.

		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN


			Set NewRecord = Server.CreateObject("ADODB.Recordset")

				SQL = "Select * from CustomerNotes where customer_ID = '" & Customer_ID & "'"
				'response.write SQL


				NewRecord.Open SQL,Conn,3,3

				If NewRecord.EOF = True then
					NewRecord.AddNew
				End If

					NewRecord("Customer_ID") = Customer_ID

					If Notes <> "" Then
						CurrentNotes = NewRecord("ContactNotes")

						' Add Date and Time stamps and who edited the notes
									' Time Stamp the Case History before we put it into the case record

						CreateTimeDateValues DateString, TimeString, DateTimeString
						UserName = TechFullName() ' Get the name of the tech logged in

						NewNotes = "<font color=red><B>Note:</b> <i>" &  DatetimeString &  "</i></font>" & vbCRLF & Notes &"<P>" &  CurrentNotes

						NewRecord("ContactNotes") = NewNotes

						NewRecord("LastModifiedDate") = Date ' Set of last modification

						TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

						NewRecord("Tech_ID") = TechID ' Get TechID from cookies

					End IF

					' Add any optional field values

					For i = 1 to 10 ' We have 10 fix fields
							TextNoteName = "TextNote" & i
						If Request.form(TextNoteName) <> "" Then
							NewRecord(TextNoteName) = Request.form(TextNoteName)
						End IF

						If IsNull(NewRecord(TextNoteName)) = False And Request.form(TextNoteName) = "" Then
							NewRecord(TextNoteName) = Null ' Reset field back to null
						End IF

					Next

					NewRecord.Update
		If  err.number>0 then
		      response.write "VBScript Errors Occured:" & "<P>"
		      response.write "Error Number=" & err.number & "<P>"
		     response.write "Error Descr.=" & err.description & "<P>"
		      response.write "Help Context=" & err.helpcontext & "<P>"
		      response.write "Help Path=" & err.helppath & "<P>"
		      response.write "Native Error=" & err.nativeerror & "<P>"
		      response.write "Source=" & err.source & "<P>"
		      response.write "SQLState=" & err.sqlstate & "<P>"
		else
		'      response.write "No VBScript Errors Occured" & "<P>"
		end if
		IF  conn.errors.count> 0 then
		      response.write "Database Errors Occured" & "<P>"
		for counter= 0 to conn.errors.count
		      response.write "Error #" & conn.errors(counter).number & "<P>"
		      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
		next
		else
		'      response.write "No Database Errors Occured!" & "<P>"
		end if

		NewRecord.Close

		Conn.Close

		Set NewRecord = Nothing

		End If ' End if Notes <> ""


%>


<% ' Display the page now %>



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoNewCustomer.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>




<% ' Display the New Case Form %>



<html>

<!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->

<head>

<title><%=wc_Customer_Information%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>


<center>


<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Customer_Information%></td>
</tr>
</table>



</center>
<P>


<table align=center class=BoxTableWrapper width=80%>
<tr><td class=WhiteboardText><%=wc_Your_contact_info_block%></td></tr>
<tr><td height=10></td></tr>
<tr><td class=WhiteboardText><%=wc_Please_choose_link_block%>:</td></tr>
</table>
<P>



	<center>
	<table width=80% >
	<tr>
	<td width=33% align=center>
	<a href=NewCustomer.asp?ID=<%=Customer_ID%>><img src=/<%=WCLanguageDirectory%>/ts_review30x80.gif border=0></a></a>
	</td>
	<td width=33% align=center>
	<a href=getcustomer.asp><img src="../language/search_cust.png" border=0></a>
	</td>
	<td width=33% align=center>
	<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
	</td></tr>
	</table>




<br>
<br>


</font>


</body>
</html>


<%End If %>





<% End if ' End of I ErrorMessage <> "" %>



<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db, customer_drop_down, EncryptPasswords)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
			customer_drop_down = rstemp2("customer_id_list")
			EncryptPasswords = rstemp2("EncryptPasswords") ' Option to encrypt passwords
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

<% Function CheckForUniqueTableValues(Tablename, Columnname, tablevalue)
	'This function checks to see if the passed column for a selected
	' table is unique (ie email in customer table, username, etc)
	' This functions either a "UNIQUE" or "NOTUNIQUE" returns

		' Notice we using another connection incase we already using conntemp.

		set conntemp2=server.createobject("adodb.connection")

		conntemp2.open myDSN ' Open the connection once here

		mySQL2="select * from " & tablename & " where " & Columnname & " = '" & TableValue & "'"

		set rstemp5=conntemp2.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp5.EOF then
			CheckForUniqueTableValues = "UNIQUE"
		Else
			CheckForUniqueTableValues = "NONUNIQUE"
		End If

		rstemp5.close
		set rstemp5=nothing

		conntemp2.close ' Close the connection
		set conntemp2=nothing

	End Function ' End of CheckForUniqueTableValues
	%>


<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	CurrentDateFormatted = CStr(Year(Date))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(Date))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(Date))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(Date))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(Date))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(Date)) & " " & MonthName(Month(Date)) & " " & Day(Date) & ", " & Year(Date) & " " & Time

	End Sub ' End of CreateTimeDateValues
%>

<% Function TechFullName()
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		If TechID = "" Then
			TechFullName = "User Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for TechID: " & Techid
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


End Function ' End of TechFullName

Function valTXT ( strVal, ErrorMessage )
	If InStr(strVal,"'") Or InStr(strVal,"-") Or InStr(strVal,";") Then
	  ErrorMessage = ErrorMessage & "<LI> The Entry: """ & strVal & """ contains invalid characters.  Please use only alphabetic characters."
          valTXT = "*ERR-BAD_CHAR"
	Else
	  valTXT = TRIM(strVal)
	End If

End Function

Function valTXT2 ( strVal, ErrorMessage )
	strVal = Trim(strVal)
	If InStr(strVal,"'") Or InStr( strVal," ") Or InStr(strVal,"-") Or InStr(strVal,";") Then
	  ErrorMessage = ErrorMessage & "<LI> The Entry: """ & strVal & """ contains invalid characters.  Please use only alphabetic characters."
          valTXT2 = "*ERR-BAD_CHAR"
	Else
	  valTXT2 = TRIM(strVal)
	End If

End Function

	%>

