<% 'Module: DoRearrangeCategory2.asp

   'Description: This module is invoked by DoRearrangeCategory1.asp. It is passed all the information for the
   ' items in this category in the form of concatenated strings in form variables together with their desired
   ' new sequence. It deletes all existing records for this category and reinserts them anew in the desired sequence


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/29/02	JC		Created original ASP module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>
<%

' response.write request.form & "<p>"

' re-using code here --------------------------------------------------------------------

' --- First we scan the existing Categories table to build up an array which will remember the sequence of the
'     category_numbers so we can restore it to that sequence after we have done
set conntemp=server.createobject("adodb.connection")
conntemp.open myDSN

' We DIM the following variables to make them globally visible in subroutines
Dim Array_catnumber()
Dim XCounter
DIM first_time
DIM category_number
DIM category_already_seen

Call Establish_Sequence

 ' At this point upon completion of the above subroutne, we have an array of length "XCounter" containing the sequence of category numbers


 ' response.write "Sequence of categories is "
 ' for i = 0 to XCounter - 1
 '    response.write Array_catnumber(i) & ", "
 ' next

 '--- At this point we have completed the scan to determine sequence of category numbers


' end of re-using code here --------------------------------------------------------------------

' --- First we pick up all the parameters passed as form variables ---

category_name = request.form("category_name")

DIM arySeqno()
DIM aryRec()

count = 0
For Each SubKey in Request.form("seqno")
   ReDim Preserve arySeqno(Count + 1)
   ReDim Preserve aryRec(Count + 1)
   Count = Count + 1
   arySeqno(Count) = Request.Form("Seqno")(Count)
   aryRec(Count) = Request.Form("Rec")(Count)
Next
occurs_count = count

' Now make sure the sequence numbers are numeric - otherwise our integer compare later on
' will blow up

for i = 1 to occurs_count
   if isNumeric(arySeqno(i)) Then
     ' do nothing
   else
      call bail_out   '   bail_out issues a diagnostic and never comes back
   end if
Next


' --- At this point we have 2 arrays (arySeqno and  aryRec) each with "occurs_count" entries
' --- the first contains the desired sequence numbers
' --- the second contains the record contents of an item in a contactenated delimited list


myDebug = "no"
If mydebug <> "no" Then
	response.write "Category Name is " & Category_name & "<P>"

	For i = 1 to count
	   response.write "Item # " & i & " has seqno of -" &   arySeqno(i) & "- Rec is " & aryRec(i)  & "<br>"
	next
	response.flush
	response.end
End If



set conntemp=server.createobject("adodb.connection")
conntemp.open myDSN

' --- Now we delete all existing records for this category, prior to inserting fresh new ones

mySQL = "DELETE from Categories WHERE  category_name = '" & category_name & "'"

set rstemp=conntemp.execute(mySQL)


' ----- OUTER LOOP -----------------------------
' in this loop we scan the whole array searching for the lowest unused sequence number - and then use it
' by creating dtabase record from the concatenated string and inserting same into database
' A "used" entry is recognizable by the fact that the concatenated record string is empty


' Loop for occurs_count times. each time identifying  the lowest unused entry and then using it


i = 0
min = "10000"
fuse = 0
For xx = 1 to occurs_count ' this is just an obfuscatorial way of saying "Do occurs_count times" - xx has no ther purpose
   for i = 1 to occurs_count
		 if (Cint(arySeqno(i))  <  Cint(min)) AND (aryRec(i) <> "") Then
			   min = arySeqno(i)
			   offset = i
		 end if
   next
   ' response.write "choosing seq no-" & min & " which is at offset" & offset & "<p>"
   Call emit_record
   aryRec(offset) = "" ' clobber the entry to render it "used"
   min = "10000" ' and set min high again
Next

' start re-using code again ---------------------------------
 ' --- At this point we have completed the main intent of this module - now we have to restore
 '     the original sequence of category numbers

 	for i = 0 to XCounter - 1
 	   Call Resequence
 	next

' end of  re-using code again ---------------------------------


target = "DoRearrangeCategory1.asp?category_name=" & category_name


response.redirect(target)

End If ' this was a valid user

sub emit_record ' this subroutine is merely here to move it out of the main line of code for readability

	packed_rec = aryRec(offset)
	delim = "|"
	part = split(packed_rec,delim)

	' response.write part(0) & "*" & part(1) & "*" & part(2) & "*" & part(3) & "*" & part(4) & "*" & part(5) & "*"  & "*---<br>"

	category_number = part(0)
	item_number = part(1)
	category_name = part(2)
	item_name = part(3)
	state = part(4)
	group_number = part(5)


	mySQL = "INSERT into Categories (category_number, item_number, category_name, item_name, state, group_number) VALUES ("
	mySQL = mySQL & category_number & ", "
	mySQL = mySQL & item_number & ", "
	mySQL = mySQL & "'" & category_name & "', "
	mySQL = mySQL & "'" & item_name & "', "
	mySQL = mySQL & state & ", "
	mySQL = mySQL & group_number & ") "

   ' response.write mySQL & "<br>"
    set rstemp=conntemp.execute(mySQL)
end sub

' start of re-used subroutines ---------------------------------------------






  Sub Establish_Sequence ' this subroutine scans the Categories table to build an array showing the sequence of category numbers
  		mySQL="SELECT category_number from  Categories order by category_index asc"
  		set rstemp=conntemp.execute(mySQL)
  		If rstemp.eof then
  		  response.write "No Categories exist to be migrated<br>"
  		  response.write "No database actions performed</body></html>"
  		  response.flush
  		  response.end
  		End if



        first_time = "Yes"  ' Used as flag to prevent looking inside the array when it doesnt even exist yet
  		XCounter = 0 ' Used as subscript into the array of category numbers

  		Do while (Not rstemp.eof)
  		    category_number = rstemp("category_number")
  		    category_already_seen = "no"
  		    Call check_if_category_already_seen
  		    if category_already_seen = "yes" then
  		      ' do nothing
  		    else
  		       first_time = "no" 'Means array now exists
  		       ReDim preserve Array_catnumber(XCounter)
                 Array_catnumber(XCounter) = category_number
                 XCounter = XCounter + 1
              End If
  			rstemp.Movenext
		Loop

  End Sub

  Sub check_if_category_already_seen
	  If first_time = "no" Then ' i.e. look for it only if the array even exists
		 For x = 0 to XCounter - 1
		   If category_number = Array_catnumber(x) Then
			  category_already_seen = "yes"
		   End If
		 Next
	  Else
	  End If 'the array already exists
  End Sub


  Sub Resequence
        ' response.write "<p><b>Rewriting Category Number - " & Array_catnumber(i)  & " </b><br>"
        category_number = Array_catnumber(i)
		mySQL="SELECT * from  Categories WHERE category_number = " & category_number & " order by category_index asc"
		set rstemp=conntemp.execute(mySQL)
		' Read up all the records in this given category and place fields in an array
		rec_count = 0

		  Dim  Ary_categorynumber()
		  Dim  Ary_itemnumber()
		  Dim  Ary_categoryname()
		  Dim  Ary_itemname()
		  Dim  Ary_state()
		  Dim  Ary_groupnumber()


		Do while (Not rstemp.eof)
		  ' response.write "reading up " & rstemp("category_number") & "-" & rstemp("category_name") & "-" & rstemp("item_number") & "-" & rstemp("item_name") & "<br>"

		  ReDim preserve Ary_categorynumber(rec_count)
		  ReDim preserve Ary_itemnumber(rec_count)
		  ReDim preserve Ary_categoryname(rec_count)
		  ReDim preserve Ary_itemname(rec_count)
		  ReDim preserve Ary_state(rec_count)
		  ReDim preserve Ary_groupnumber(rec_count)

		  Ary_categorynumber(rec_count) = rstemp("category_number")
		  Ary_itemnumber(rec_count) = rstemp("item_number")
		  Ary_categoryname(rec_count) = rstemp("category_name")
		  Ary_itemname(rec_count) = rstemp("item_name")
		  Ary_state(rec_count) = rstemp("state")
		  Ary_groupnumber(rec_count) = rstemp("group_number")

		  rec_count = Rec_count + 1
		  rstemp.Movenext
		Loop

         if rec_count > 0 Then

			' Now delete all the existing records for this particular category
			SQLDEL = "DELETE from Categories where category_number = " & Ary_categorynumber(0)
			' response.write SQLDEL & "<p>"
			set rstemp=conntemp.execute(SQLDEL)
			' response.write "Deleted existing records<p>"
			' Now re-insert the records afresh
			for j = 0 to Rec_count - 1
				SQL2 = "INSERT into Categories (category_number, item_number, category_name, item_name, state"
				If isNull(Ary_groupnumber(j)) Then
				 SQL2 = SQL2 & ") VALUES ("
				Else
				 SQL2 = SQL2 & ", group_number) VALUES ("
				End if
				SQL2 = SQL2 & Ary_categorynumber(j) & ", "
				SQL2 = SQL2 & Ary_itemnumber(j) & ", "
				SQL2 = SQL2 & "'" & Ary_categoryname(j) & "', "
				SQL2 = SQL2 & "'" & Ary_itemname(j) & "', "
				SQL2 = SQL2 & Ary_state(j)
				If isNull(Ary_groupnumber(j)) Then
				  ' response.write "SQUAWK"
				Else
				   SQL2 = SQL2 & ", " & Ary_groupnumber(j)
				End If
				SQL2 = SQL2 &  ") "
				' response.write "SQL2 is " & SQL2 & "<p>"
				set rstemp=conntemp.execute(SQL2)

				' Now insert a <null> into group_number for this record if that is what was there before


				If isNull(Ary_groupnumber(j)) Then
					SQL3 = "UPDATE Categories SET Group_number =  " & "null" & " "
					SQL3 = SQL3 & " WHERE category_number = " & Ary_categorynumber(j) & " AND item_number = " & Ary_itemnumber(j)
					' response.write SQL3 & "<br>"
					set rstemp=conntemp.execute(SQL3)
				End If
           next
     End If ' If there were any records at all

  End Sub






' end of re-used subroutines ---------------------------------------------

%>



<% ' -----Following subroutine never exits - it issues a diagnostic and stops ------------------ %>
<% sub bail_out
  a = 1

%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<%' NOTE- THIS NEEDS TO BE EVENTUALLY ADJUSTED TO POINT TO THE CORRECT DIRECTORY <<<<<<<<<<<<<<<<<< %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Edit Category  - CSS</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>



<center>

<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td align=center>
	    <font size=+1><b><%=wc_Rearrange_items_within_category%></b></font><br>
	</td>
</tr>
</table>

<p>



<table border=1 cellspacing=2 cellpadding=20 width=98%>

<tr>
<td>
<div align=center>
     <font color=red><b> <%=wc_Sequence_numbers_must_be_numeric%> </b></font><p>
</div>
        <%
        If Trim(arySeqno(i)) = "" Then
        arySeqno(i) = wc_nothing
        End If
        %>

        <%=wc_You_have%>&nbsp;<font color=red><%=arySeqno(i)%> </font> &nbsp;<%=wc_in_row_number%> &nbsp;<font color=red> <%=i%> </font>

<div align=center>


<FORM METHOD=POST ACTION=DoRearrangeCategory1.asp>

<input type=hidden name=category_name value="<%=category_name%>">

<input type=image name=b_add src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0>

&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
<a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>

</form>
</div>

</td>
</tr>
</table>
<%
response.flush
response.end
end sub
%>



<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>
