<% 'Module: DoReassignOneCaseCustomerID.asp

   'Description: This module is the first confirmation to re-assigning an
   ' the customer_ID field in the case table.
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/24/01	SAV		Created original DoReassignCaseCustomerID.asp Page
   '02/12/02	SAV		Created DoReassignOneCaseCustomerID.asp page
	'04/26/2011     CMB     Can be called from TCaseForm.asp; tech level changed if called from page

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>

<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

  FromCase = Request.form("FromCase")  ' find out whether this called form tcaseform originally?  'CMB 04/26/2011
  if FromCase = "YES" then
     TechLevel = 3
  Else
	 TechLevel = 5 ' Allow only levels 6 and above--- Configurators Only
  End If

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoDeleteTech.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% ' Get customer for Cases to be re-assigned and customer to get new Cases

	CaseNumber = Request.form("CaseNumber") ' From customer
	New_Customer_ID = Request.form("Customer_ID") ' Reassign Cases to this customer
%>


<% ' Display the Confirmation %>

<html>


<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->

<head>

<title>Case Re-Assignment Confirmation</title>

</head>


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing


' When Customer_ID drop down is turned off, users must enter the Customer_Id manually
' and the entered customer_ID may be invalid, so we need to confirm that the Old_Customer_ID
' and the New_Customer_ID are all valid customer_id values.


	' Check New_Customer_ID

	sqltemp="select * from Customers where customer_id = '" & New_Customer_ID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	If rstemp.EOF = True Then
		ErrorMessage = ErrorMessage & "<LI> Invalid Customer ID Value <font color=red>" & New_Customer_ID & "</font> not found in Database."
	End IF

	rstemp.close
	set rstemp=nothing


	' Check if case number exists

	sqltemp="select * from Cases where case_number = " & casenumber
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	If rstemp.EOF = True Then
		ErrorMessage = ErrorMessage & "<LI> " & wc_Invalid_Case_Number & "<font color=red>" & Casenumber & "</font> " & wc_not_found_in_Database
	Else
		CaseOneLine = rstemp("Case_One_Line")
	End If


	rstemp.close
	set rstemp=nothing


	' Get reassigned Customers Full Name for displaying on page

	sqltemp="select * from Customers where  Customer_ID = '" & New_Customer_ID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic

	If rstemp.EOF <> True Then
		ReassignedCustomerFullName = rstemp("Contact_Fname") & " " & rstemp("Contact_lname")
	End If

	rstemp.close
	set rstemp=nothing


	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body bgcolor=#<%=UserPageColor%>>


<center><table border=1 cellspacing=2 cellpadding=10 width=80%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Re_Assign_One_Case_Confirmation%></b>
</font>
<br>
</td></tr></table><p>
</center>


<%
If CaseNumber = "" then
	ErrorMessage = ErrorMessage & " <LI> " & wc_You_must_enter_a_case_number
	End IF


	If New_Customer_ID = "" Then
		ErrorMessage = ErrorMessage & " <LI> " & wc_You_must_select_to_transfer_TO
	End If

	If ErrorMessage <> "" Then

%>

	<UL>

	<B><%=wc_Sorry_we_cannot_re_assign_the_Cases%>:</b><P>

	<UL>
	<%=ErrorMessage %>
	</ul>

	<P>
	<%=wc_Please_press_back_and_submit_again%>
	</ul>

<%Else ' Choices ok %>


<center>
<table width=70%>
<tr><td>


<%=wc_Re_assigning_case %>: <P>
<UL>
<B><%=wc_Case_Number%>:</b>  <font color=red><%=CaseNumber%></font><br>
<B><%=wc_One_Line_Description%>:</b> <%=CaseOneLine%>
</ul>
<P>

<%=wc_To%>:&nbsp;
<%=wc_Customer%> <font color=red><U><%=ReassignedcustomerFullName %> </u></font>

 <hr>

<P>
<%=wc_Do_you_wish_to_re_assign_Cases%><P>


<form action=DoReAssignOneCaseCustomerID2.asp method=post>
<input type=hidden name=CaseNumber value=<%=casenumber%>>
<input type=hidden name=New_Customer_ID value=<%=New_Customer_ID%>>
<input type=HIDDEN name=FromCase value=<%=FromCase%>>   <!-- CMB 04/26/2011 -->
</td></tr></table>

<br>

<table border=0 cellspacing=1 cellpadding=1 width=65%>
<tr>
<td align=center>

<input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_yes30x80.gif border=0>


</td>

<!-- NO -->
<td align=center>
<% if FromCase = "YES" then %>
<a href=TCaseForm.asp?Case_Number=<%=CaseNumber%>&Customer_ID=><img src=/<%=WCLanguageDirectory%>/ts_no30x80.gif border=0></a>
<% else %>
<a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_no30x80.gif border=0></a>
<% end if %>
</td>

</tr>
</table>
<br>
<p>
<center></form>

<%End IF %>


</body></html>

<%End If %>

