<% 'Module: DoSMSConfig.asp

   'Description: This module saves the SMS Configuration data into the configuration table.
   '(C) 2013Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '06/04/13	SAV		Created original ASP module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/codecustomizations.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->


	<% ' Get all of the form elements.

		EnableSMS = request.form("EnableSMS")
		SMSNumber = request.form("SMSNumber")
		SMSAccountSID = request.form("SMSAccountSID")
		SMSAuthToken  = request.form("SMSAuthToken")

%>


	<% ' Save all of the values into the Configuration table

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Configuration"
			' There should only be 1 row in the configuration table

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3


			If NewRecord.EOF = True then ' Create new record if none exists

				NewRecord.AddNew
			Else
				' Record should already exist
			End IF

	' -------- Set Values and check for empty string before setting ----------




			If EnableSMS = "" Then
			     NewRecord("EnableSMS") = 0
			Else
			     NewRecord("EnableSMS") =  1  ' Set to null
			End If


			If SMSNumber <> "" Then
			     NewRecord("SMSNumber") = SMSNumber
			Else
			     NewRecord("SMSNumber") =   Null  ' Set to null
			End If


			If SMSAccountSID <> "" Then
			     NewRecord("SMSAccountSID") = SMSAccountSID
			Else
			     NewRecord("SMSAccountSID") =   Null  ' Set to null
			End If


			If SMSAuthToken <> "" Then
			     NewRecord("SMSAuthToken") = SMSAuthToken
			Else
			     NewRecord("SMSAuthToken") =   Null  ' Set to null
			End If





	NewRecord.Update
	NewRecord.Close
	Conn.Close

	Set NewRecord = Nothing
	Set Conn = nothing

%>

<% ' Call the SMSConfig.asp page again to confirm settings %>

<% 'response.redirect ("SMSConfig.asp?Values=SET")
%>



<% ' Display the confirmation page now %>

<html>
<!-- (C) 2013 by Internet Software Sciences -->
<head>
<title> Configure SMS Notification Options</title>
</head>
<body bgcolor=#C0C0C0>

<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b>Configure SMS Notification Configuration</b>
</font>
<br>
</td></tr></table><p>
</center>

<center>


<B>SMS Configuration Updates have been completed</b>
<P>
<U>
<%=wc_Choose_One_Option_Below%>:<P>
</u>
	<center>
	<table width=60%>
	<tr>
	<td width=50%>
	<font size=-1>
	<a href=SMSConfig.asp>Configure SMS Notifications</a>
	</td>
	<td width=50%>
	<font size=-1>
	<a href="UserScreen.asp"><%=wc_Return_to_User_Screen%></a>
	</td></tr>
	</table>
</center>
</center>


<br>
<br>


</font>

</body>
</html>






<% Sub GetDatabaseConfiguration(TechScreenColor)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			TechScreenColor
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
			MaxHistorySize =  rstemp2("max_case_history_size")
			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = rstemp2("customer_case_notify")

		End If

		rstemp2.close
		set rstemp2=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>





<% Function TechFullName()
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		If TechID = "" Then
			TechFullName = "User Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for TechID: " & Techid
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
		End If


	End Function ' End of TechFullName
	%>

