<%  ' Module: DoSearch1.asp
	'
	' Description: Submit Module For Search.asp module
	'
	' (C) 2000, 2001, 2002, 2003, 2004 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'4/26/01	AJS		Changed Search By Case Status to work properly
	'1/5/2004   JC      Re-engineered to support AND capability for keywords
	'05/02/2011  CMB    Support for export
	'07/20/2011  CMB    Oops.  had to switch vector =nil part since called also from some of the reports and was
	'                   putting up export screen as default
	'08/31/12    CMB    Had to change line 1171 to deal with CasesByCategory.asp; hope it doesn't mess up other searches
    '03/01/13   CMB    Added fuzzy search for case one line for duplicates
    '04/22/13   CMB    Added if not = 'Ignore' to search for group number
	'04/24/13 CMB    need to enter at least one search criteria for duplicates
	'02/07/14 CMB    Added top 100 to query if no search criteria
	'02/10/14 CMB    Top 100 didnt work since not dong order by - home grown order by
	' 05/15/14  CMB  Order by failing for text-based searches
	'---------Note:----------------------------------------------------
	' see explanatory discussion for how this module works near beginning of Search.asp module
	' ------------------------------------------------------------------
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the value of the User Screen background color and database type from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQLSERVER or MYSQL
	End If
    DatabaseType2 = Database
	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	TextFlag = request.querystring("text") ' This will be set to NO when called with no text
	ResultsView = request.querystring("ResultsView")
	Tech_ID = Request.querystring("Tech_ID")
	Group_Number = Request.queryString("Group_Number")
	Case_Severity = Request.querystring("Case_Severity")
	Case_Status = Request.querystring("Case_Status")
	ClosingCase=Request.querystring("ClosingCase")  ' 03/01/13
	PrimaryOnly = 1
	if Version8point0="YES" Then  ' 04/25/13
			PrimaryOnly = request.querystring("PrimaryOnly")
			if primaryOnly = "" then
				PrimaryOnly = 0
			else
				PrimaryOnly = 1
			End if
	End If




'	If Tech_ID = "Un-assigned" Then
'		PassedTechID = "Un-assigned"
'	End If

		chunksize = Request.form("chunksize") ' this variable contains the number of lines/page to be shown in display
		if Not isNumeric(chunksize)  then chunksize = 15
        if chunksize = "" or chunksize = 0 then chunksize = 15

		Session("chunksize") = chunksize

		'response.write "Storing chunksize = " & chunksize & "<P>"
		'response.flush
		'response.end


	if Page = "" Then

		' Get the form variables if passed from the original Case Search Form
		ClosingCase=Request.form("ClosingCase") ' 03/01/13
		PrimaryOnly = 1
		if Version8point0="YES" Then  ' 04/25/13
				PrimaryOnly = request.form("PrimaryOnly")
				if primaryOnly = "" then
					PrimaryOnly = 0
				else
					PrimaryOnly = 1
				End if
		End If



		Search_String = Request.form("Search_String")
		Search_String = UCase(Search_String)
		If Search_String  = "" Then
			TextFlag = "NO"
		Else
			TextFlag = "YES"
		End If

		'SearchType = Request.form("SearchType") ' Set to ALL or ANY

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")

		Start_Time_hh = Request.form("Start_Time_hh")
		Start_Time_mm = Request.form("start_time_mm")

		End_Time_hh = Request.form("end_time_hh")
		End_Time_mm = Request.form("End_time_mm")

		Date_Type = Request.form("Date_Type")

		If Group_Number = "" Then
			Group_Number = Request.form("Group_Number")
		End If

		If Case_status = "" Then
			Case_Status = Request.form("Case_status")
		End If

		Customer_ID = Request.form("customer_Id")

		If Tech_ID = "" Then
			Tech_ID = Request.form("Tech_ID")
		End If

		If Case_Severity = "" Then
			Case_Severity = Request.form("Case_Severity")
		End If

		Dup_Cases = Request.form("Dup_Cases")
		Case_number = Request.form("Case_number")
		Asset_Number = Request.form("Asset_number")

		Dup_Case_Number = Request.form("Dup_case_Number")
		External_Case_Number = Request.form("External_case_number")
		ReferenceType = Request.form("ReferenceType")

		if request.form("e_search.x") <> nil then   ' switch to see what button was pressed CMB 05/02/2011
		      	SortOrder = Request.form("ExportSortOrder")
        else
        		SortOrder = Request.form("SortOrder") 'CMB 05/02/2011
		end if

		If ResultsView = "" Then
			ResultsView = Request.form("ResultsView") 'Detailed/Brief
		End If

		text_field_1 = Request.form("text_field_1")
		text_field_2 = Request.form("text_field_2")
		text_field_3 = Request.form("text_field_3")
		text_field_4 = Request.form("text_field_4")
		text_field_5 = Request.form("text_field_5")
		text_field_6 = Request.form("text_field_6")
		text_field_7 = Request.form("text_field_7")
		text_field_8 = Request.form("text_field_8")
		text_field_9 = Request.form("text_field_9")
		text_field_10 = Request.form("text_field_10")


		ScheduledCase = Request.form("ScheduledCase")

		' Categories come in the form of C1, C2, C3 ... C100.
		' We will put in the code for C1 - C20.  If a user needs more the can
		' code additional code here to handle for categories

		Cat1 = Request.form("C1")
		Cat2 = Request.form("C2")
		Cat3 = Request.form("C3")
		Cat4 = Request.form("C4")
		Cat5 = Request.form("C5")
		Cat6 = Request.form("C6")
		Cat7 = Request.form("C7")
		Cat8 = Request.form("C8")
		Cat9 = Request.form("C9")
		Cat10 = Request.form("C10")

		Cat11 = Request.form("C11")
		Cat12 = Request.form("C12")
		Cat13 = Request.form("C13")
		Cat14 = Request.form("C14")
		Cat15 = Request.form("C15")
		Cat16 = Request.form("C16")
		Cat17 = Request.form("C17")
		Cat18 = Request.form("C18")
		Cat19 = Request.form("C19")
		Cat20 = Request.form("C20")

		Cat21 = Request.form("C21")
		Cat22 = Request.form("C22")
		Cat23 = Request.form("C23")
		Cat24 = Request.form("C24")
		Cat25 = Request.form("C25")
		Cat26 = Request.form("C26")
		Cat27 = Request.form("C27")
		Cat28 = Request.form("C28")
		Cat29 = Request.form("C29")
		Cat30 = Request.form("C30")

		Cat31 = Request.form("C31")
		Cat32 = Request.form("C32")
		Cat33 = Request.form("C33")
		Cat34 = Request.form("C34")
		Cat35 = Request.form("C35")
		Cat36 = Request.form("C36")
		Cat37 = Request.form("C37")
		Cat38 = Request.form("C38")
		Cat39 = Request.form("C39")
		Cat40 = Request.form("C40")

		Cat41 = Request.form("C41")
		Cat42 = Request.form("C42")
		Cat43 = Request.form("C43")
		Cat44 = Request.form("C44")
		Cat45 = Request.form("C45")
		Cat46 = Request.form("C46")
		Cat47 = Request.form("C47")
		Cat48 = Request.form("C48")
		Cat49 = Request.form("C49")
		Cat50 = Request.form("C50")

        SearchType = Request.form("SearchType") 'ANY or ALL
		' Start to Create the query based on the passed fields

		' String Search Processing Algorithm
		' Each word of the search string will separated out and then checked
		' against the kbwords table and a query will be built.

		DIM wordstring  'will hold list of word indexes to be used if "AND" processing required

		If Search_String <> "" Then
			TextSearchQuery = Create_Text_Word_Query(Search_String)

		End If

		' response.write "wordstring is- <Font color=red>" & wordstring & "</font> and "
        If Request.form("SearchType") = "ANY" then
          ' response.write "Boolean is <Font color=red> Any</font><p>"
        Else
          ' response.write "Boolean is <Font color=red> All</font><p>"
        End If

		'*** below added 03/01/13 to accommodate duplicate case search
		One_line = ""
		One_line = Request.form("One_line")
		If One_line > "" Then
			WhereStatement = WhereStatement & AndText & " Projects.ProjectNames like '%" & one_line & "%'"
			AndText = " AND "
		End IF
       '*** end 03/01/13

		' Date Searches

		If Date_Type = 0 Then

			If Start_Date <> "" Then
				' Remove the slashes so we can do a proper date search
				Start_Date = Replace (Start_Date, "/", "")
				' Move the date characters around into YYYYMMDD format
				NewDate = mid(Start_Date, 5,4) & mid(start_date, 1,2) & mid(start_date,3,2)

				WhereStatement = " Projects.ProjectDueDate >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Projects.ProjectDueDate <= '" & NewDate & "'"
				AndText = " AND "
			End IF

			If Start_time_hh <> "" and Start_Time_mm <> "" Then
				' Remove the slashes so we can do a proper date search
				Start_Date = Replace (Start_Date, "/", "")
				' Move the date characters around into YYYYMMDD format
				Start_Time = Start_Time_hh & Start_Time_hh & "00"

				WhereStatement = WhereStatement & AndText & " Cases.Open_Time >= '" & Start_Time & "'"
				AndText = " AND "
			End If

			If End_time_hh <> ""  and End_Time_mm <> "" Then
				End_Time = End_Time_hh & End_Time_mm & "00"

				WhereStatement = WhereStatement & AndText & " Cases.Open_Time <= '" & End_time & "'"
				AndText = " AND "
			End IF


		End If

		If Date_Type = 1 Then


			If Start_Date <> "" Then
				Start_Date = Replace (Start_Date, "/", "")
				NewDate = mid(Start_Date, 5,4) & mid(Start_date, 1,2) & mid(Start_date,3,2)

				WhereStatement = " Cases.Mod_Date >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewDate & "'"
				AndText = " AND "
			End IF


			If Start_time_hh <> "" and Start_Time_mm <> "" Then
				' Remove the slashes so we can do a proper date search
				Start_Date = Replace (Start_Date, "/", "")
				' Move the date characters around into YYYYMMDD format
				Start_Time = Start_Time_hh & Start_Time_hh & "00"

				WhereStatement = WhereStatement & AndText & " Cases.Mod_Time >= '" & Start_Time & "'"
				AndText = " AND "
			End If

			If End_time_hh <> ""  and End_Time_mm <> "" Then
				End_Time = End_Time_hh & End_Time_mm & "00"

				WhereStatement = WhereStatement & AndText & " Cases.mod_Time <= '" & End_time & "'"
				AndText = " AND "
			End IF



		End If

		' Assigned Group Search
		If  Group_number <> ""  Then
			WhereStatement = WhereStatement & AndText & " Cases.Group_number = " & Group_Number
			AndText = " AND "
		End IF


		' Case Status Search
		If  Case_Status <> "" Then
			If Case_Status = "4" Then 'All Open Cases
				WhereStatement = WhereStatement & AndText & " Cases.status <> 1 "
			Else
				WhereStatement = WhereStatement & AndText & " Cases.status = " & Case_Status
			End If
			AndText = " AND "
		End IF


		' Customer_ID  Search

		If  Customer_ID <> "" Then
		    If  Version8point0="YES" and PrimaryOnly =0 Then  ' 04/25/13
					WhereStatement = WhereStatement & AndText & " (Cases.Customer_id = '" & Customer_id & "' or AdditionalCustomerCaseAssignments.Customer_ID = '" & Customer_ID & "')"
			 Else
					WhereStatement = WhereStatement & AndText & " Cases.Customer_id = '" & Customer_id & "'"
			 End If
			AndText = " AND "
		End IF

		' Tech_ID  Search
		If  Tech_ID <> "" Then
			If Tech_ID = "Un-assigned" Then
				WhereStatement = WhereStatement & AndText & " Cases.Tech_ID IS Null "
			Else
				WhereStatement = WhereStatement & AndText & " Cases.Tech_ID = '" & Tech_ID & "'"
			End If
			AndText = " AND "
		End IF


		' Priority Search
		If  Case_Severity <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Severity = " & Case_Severity
			AndText = " AND "
		End IF


		' Duplicate Search
		If  Dup_Cases <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Dup_case_Num = 0 "
			AndText = " AND "
		End IF


		' Case Number Search
		If  Case_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Case_number = " & Case_number
			AndText = " AND "
		End IF


		' Asset Number Search
		If  Asset_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.asset_number = " & Asset_number
			AndText = " AND "
		End IF

		' Dup_Case_Number Search

		If Dup_case_Number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Dup_case_Num = " & Dup_Case_Number
			AndText = " AND "
		End IF

		' External Case Number search
		If External_Case_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.External_Case_Number like '"  & External_Case_Number & "%'"
			AndText = " AND "
		End IF

		' External Case Number Type search
		If ReferenceType = "REFERENCEONLY" Then
			WhereStatement = WhereStatement & AndText & " Cases.External_Case_Number IS NOT NULL "
			AndText = " AND "
		End IF

		' External Case Number Type search
		If ReferenceType = "NOREFERENCEONLY" Then
			WhereStatement = WhereStatement & AndText & " Cases.External_Case_Number IS NULL "
			AndText = " AND "
		End IF

		' Further optional attributes search

		If text_field_1 <> "" Then
		    WhereStatement = WhereStatement & AndText & " Cases.text_field_1 like '%" & Trim(text_field_1) & "%'"
            AndText = " AND "
        End If


		If text_field_2 <> "" Then
		    WhereStatement = WhereStatement & AndText & " Cases.text_field_2 like '%" & Trim(text_field_2) & "%'"
            AndText = " AND "
        End If


		If text_field_3 <> "" Then
		    WhereStatement = WhereStatement & AndText & " Cases.text_field_3 like '%" & Trim(text_field_3) & "%'"
            AndText = " AND "
        End If


		If text_field_4 <> "" Then
		    WhereStatement = WhereStatement & AndText & " Cases.text_field_4 like '%" & Trim(text_field_4) & "%'"
            AndText = " AND "
        End If


		If text_field_5 <> "" Then
		    WhereStatement = WhereStatement & AndText & " Cases.text_field_5 like '%" & Trim(text_field_5) & "%'"
            AndText = " AND "
        End If


		If text_field_6 <> "" Then
		    WhereStatement = WhereStatement & AndText & " Cases.text_field_6 like '%" & Trim(text_field_6) & "%'"
            AndText = " AND "
        End If


		If text_field_7 <> "" Then
		    WhereStatement = WhereStatement & AndText & " Cases.text_field_7 like '%" & Trim(text_field_7) & "%'"
            AndText = " AND "
        End If


		If text_field_8 <> "" Then
		    WhereStatement = WhereStatement & AndText & " Cases.text_field_8 like '%" & Trim(text_field_8) & "%'"
            AndText = " AND "
        End If


		If text_field_9 <> "" Then
		    WhereStatement = WhereStatement & AndText & " Cases.text_field_9 like '%" & Trim(text_field_9) & "%'"
            AndText = " AND "
        End If


		If text_field_10 <> "" Then
		    WhereStatement = WhereStatement & AndText & " Cases.text_field_10 like '%" & Trim(text_field_10) & "%'"
            AndText = " AND "
        End If



		' Case Category Search
		'Added options for Category Not Set

		If Cat1 <> "" AND Cat1 <> wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C1 = " & Cat1
				AndText = " AND "
		End If

		If Cat1 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C1  = 0 "
				AndText = " AND "
		End If


		If Cat2 <> "" AND Cat2 <> wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C2 = " & Cat2
				AndText = " AND "
		End If

		If Cat2 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C2  = 0 "
				AndText = " AND "
		End If



		If Cat3 <> ""  AND Cat3 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C3 = "&Cat3
				AndText = " AND "
		End If

		If Cat3 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C3  = 0 "
				AndText = " AND "
		End If


		If Cat4 <> ""  AND Cat4 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C4 = "&Cat4
				AndText = " AND "
		End If

		If Cat4 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C4  = 0 "
				AndText = " AND "
		End If


		If Cat5 <> ""  AND Cat5 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C5 = "&Cat5
				AndText = " AND "
		End If

		If Cat5 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C5  = 0 "
				AndText = " AND "
		End If


		If Cat6 <> ""  AND Cat6 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C6 = "&Cat6
				AndText = " AND "
		End If

		If Cat6 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C6  = 0 "
				AndText = " AND "
		End If


		If Cat7 <> ""  AND Cat7 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C7 = "&Cat7
				AndText = " AND "
		End If

		If Cat7 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C7  = 0 "
				AndText = " AND "
		End If


		If Cat8 <> ""  AND Cat8 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C8 = "&Cat8
				AndText = " AND "
		End If

		If Cat8 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C8  = 0 "
				AndText = " AND "
		End If


		If Cat9 <> ""  AND Cat9 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C9 = "&Cat9
				AndText = " AND "
		End If

		If Cat9 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C9  = 0 "
				AndText = " AND "
		End If



		If Cat10 <> ""  AND Cat10 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C10 = "&Cat10
				AndText = " AND "
		End If

		If Cat10 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C10  = 0 "
				AndText = " AND "
		End If


		If Cat11 <> ""  AND Cat11 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C11 = " & Cat11
				AndText = " AND "
		End If

		If Cat11 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C11  = 0 "
				AndText = " AND "
		End If


		If Cat12 <> ""  AND Cat12 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C12 = " & Cat12
				AndText = " AND "
		End If

		If Cat12 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C12  = 0 "
				AndText = " AND "
		End If


		If Cat13 <> ""  AND Cat13 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C13 = "&Cat13
				AndText = " AND "
		End If

		If Cat13 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C13  = 0 "
				AndText = " AND "
		End If


		If Cat14 <> ""  AND Cat14 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C14 = "&Cat14
				AndText = " AND "
		End If

		If Cat14 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C14 = 0 "
				AndText = " AND "
		End If


		If Cat15 <> ""  AND Cat15 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C15 = "&Cat15
				AndText = " AND "
		End If

		If Cat15 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C15  = 0 "
				AndText = " AND "
		End If



		If Cat16 <> ""  AND Cat16 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C16 = "&Cat16
				AndText = " AND "
		End If

		If Cat16 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C16  = 0 "
				AndText = " AND "
		End If



		If Cat17 <> ""  AND Cat17 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C17 = "&Cat17
				AndText = " AND "
		End If


		If Cat17 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C17  = 0 "
				AndText = " AND "
		End If

		If Cat18 <> ""  AND Cat18 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C18 = "&Cat18
				AndText = " AND "
		End If

		If Cat18 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C18  = 0 "
				AndText = " AND "
		End If





		If Cat19 <> ""  AND Cat19 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C19 = "&Cat19
				AndText = " AND "
		End If

		If Cat19 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C19  = 0 "
				AndText = " AND "
		End If


		If Cat20 <> ""  AND Cat20 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C20 = "&Cat20
				AndText = " AND "
		End If

		If Cat20 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C20  = 0 "
				AndText = " AND "
		End If



		' -------------------------------------------------------------------------

		If Cat21 <> ""  AND Cat21 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C21 = " & Cat21
				AndText = " AND "
		End If

		If Cat21 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C21  = 0 "
				AndText = " AND "
		End If


		If Cat22 <> ""  AND Cat22 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C22 = " & Cat22
				AndText = " AND "
		End If

		If Cat22 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C22  = 0 "
				AndText = " AND "
		End If


		If Cat23 <> ""  AND Cat23 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C23 = "&Cat23
				AndText = " AND "
		End If

		If Cat23 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C23  = 0 "
				AndText = " AND "
		End If


		If Cat24 <> ""  AND Cat24 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C24 = "&Cat24
				AndText = " AND "
		End If


		If Cat24 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C4  = 0 "
				AndText = " AND "
		End If


		If Cat25 <> ""  AND Cat25 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C25 = "&Cat25
				AndText = " AND "
		End If

		If Cat25 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C25  = 0 "
				AndText = " AND "
		End If


		If Cat26 <> ""  AND Cat26 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C26 = "&Cat26
				AndText = " AND "
		End If

		If Cat26 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C26  = 0 "
				AndText = " AND "
		End If


		If Cat27 <> ""  AND Cat27 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C27 = "&Cat27
				AndText = " AND "
		End If

		If Cat27 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C27  = 0 "
				AndText = " AND "
		End If


		If Cat28 <> ""  AND Cat28 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C28 = "&Cat28
				AndText = " AND "
		End If

		If Cat28 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C28  = 0 "
				AndText = " AND "
		End If



		If Cat29 <> ""  AND Cat29 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C29 = "&Cat29
				AndText = " AND "
		End If

		If Cat29 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C29  = 0 "
				AndText = " AND "
		End If


		If Cat30 <> ""  AND Cat30 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C30 = "&Cat30
				AndText = " AND "
		End If

		If Cat30 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C30  = 0 "
				AndText = " AND "
		End If


		If Cat31 <> ""  AND Cat31 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C31 = " & Cat31
				AndText = " AND "
		End If

		If Cat31 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C31  = 0 "
				AndText = " AND "
		End If


		If Cat32 <> ""  AND Cat32 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C32 = " & Cat32
				AndText = " AND "
		End If

		If Cat32 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C32  = 0 "
				AndText = " AND "
		End If


		If Cat33 <> ""  AND Cat33 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C33 = "&Cat33
				AndText = " AND "
		End If

		If Cat33 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C33  = 0 "
				AndText = " AND "
		End If


		If Cat34 <> ""  AND Cat34 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C34 = "&Cat34
				AndText = " AND "
		End If

		If Cat34 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C34  = 0 "
				AndText = " AND "
		End If


		If Cat35 <> ""  AND Cat35 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C35 = "&Cat35
				AndText = " AND "
		End If

		If Cat35 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C35  = 0 "
				AndText = " AND "
		End If


		If Cat36 <> ""  AND Cat36 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C36 = "&Cat36
				AndText = " AND "
		End If

		If Cat36 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C36  = 0 "
				AndText = " AND "
		End If


		If Cat37 <> ""  AND Cat37 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C37 = "&Cat37
				AndText = " AND "
		End If

		If Cat37 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C37  = 0 "
				AndText = " AND "
		End If


		If Cat38 <> ""  AND Cat38 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C38 = "&Cat38
				AndText = " AND "
		End If

		If Cat38 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C38  = 0 "
				AndText = " AND "
		End If


		If Cat39 <> ""  AND Cat39 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C39 = "&Cat39
				AndText = " AND "
		End If

		If Cat39 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C39  = 0 "
				AndText = " AND "
		End If


		If Cat40 <> ""  AND Cat40 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C40 = "&Cat40
				AndText = " AND "
		End If

		If Cat40 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C40  = 0 "
				AndText = " AND "
		End If



		' --------------------------------------------------------------------------


		If Cat41 <> ""  AND Cat41 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C41 = " & Cat41
				AndText = " AND "
		End If

		If Cat41 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C41  = 0 "
				AndText = " AND "
		End If


		If Cat42 <> ""  AND Cat42 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C42 = " & Cat42
				AndText = " AND "
		End If

		If Cat42 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C42  = 0 "
				AndText = " AND "
		End If


		If Cat43 <> ""  AND Cat43 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C43 = "&Cat43
				AndText = " AND "
		End If

		If Cat43 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C43  = 0 "
				AndText = " AND "
		End If


		If Cat44 <> ""  AND Cat44 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C44 = "&Cat44
				AndText = " AND "
		End If

		If Cat44 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C44  = 0 "
				AndText = " AND "
		End If


		If Cat45 <> ""  AND Cat45 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C45 = "&Cat45
				AndText = " AND "
		End If

		If Cat45 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C45  = 0 "
				AndText = " AND "
		End If


		If Cat46 <> ""  AND Cat46 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C46 = "&Cat46
				AndText = " AND "
		End If

		If Cat46 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C46  = 0 "
				AndText = " AND "
		End If


		If Cat47 <> ""  AND Cat47 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C47 = "&Cat47
				AndText = " AND "
		End If

		If Cat47 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C47  = 0 "
				AndText = " AND "
		End If


		If Cat48 <> ""  AND Cat48 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C48 = "&Cat48
				AndText = " AND "
		End If

		If Cat48 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C48  = 0 "
				AndText = " AND "
		End If


		If Cat49 <> ""  AND Cat49 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C49 = "&Cat49
				AndText = " AND "
		End If

		If Cat49 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C49  = 0 "
				AndText = " AND "
		End If


		If Cat50 <> ""  AND Cat50 <> wc_Category_Not_Set  Then
				WhereStatement = WhereStatement & AndText & " Cases.C50 = "&Cat50
				AndText = " AND "
		End If

		If Cat50 = wc_Category_Not_Set Then
				WhereStatement = WhereStatement & AndText & " Cases.C50  = 0 "
				AndText = " AND "
		End If




		' -------------------------------------------------------------------------

		' Schedule Cases Search code **************************
		'  * * * * * * Time Zone Adjustment Calculation * * * * *

		' Late is computed by comparing the Date and time with the system time
		' A special date computation is needed if TimeZoneAdjustment is set.
		If TimeZoneAdjustment = "" Then
				TimeZoneAdjustmentInt = 0
			Else
				TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
		End If

		NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)
		NewDateDateOnly = DateValue(NewDate)
		NewTime = TimeValue(NewDate)

        ' database type is contained in DatabaseType2


			' Depending upon the type of ViewType, change the WHERE statement
			If ScheduledCase = "ALL" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT Null AND  Status <> 1 "
			Elseif ScheduledCase = "ONCE" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type = 'ONCE' AND  Status <> 1 "
			Elseif ScheduledCase = "REPEATED" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type ='REPEAT' AND  Status <> 1 "


			Elseif ScheduledCase = "LATE" and DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date <= #" & NewDateDateOnly & "# And Due_Time <= #"& NewTime & "# AND Status <> 1 "
			Elseif ScheduledCase = "LATE" and (DatabaseType2 = "SQLSERVER" or DatabaseType2 = "SQL") Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date <= '" & NewDateDateOnly & "' And Due_Time <= '"& NewTime & "' AND Status <> 1 "
			Elseif ScheduledCase = "LATE" and DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date <= '" & YYMMDD(NewDateDateOnly) & "' And Due_Time <= '"& NewTime & "' AND Status <> 1 "



			Elseif ScheduledCase = "TODAY" and DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date = #" & Date & "#  AND Status <> 1 "
			Elseif ScheduledCase = "TODAY"  and (DatabaseType2 = "SQLSERVER" or DatabaseType2 = "SQL") Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date = '" & Date & "'  AND Status <> 1 "
			Elseif ScheduledCase = "TODAY"  and DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement  & AndText & " Scheduled_Case_Type IS NOT NULL AND  Due_Date = '" & YYMMDD(Date) & "'  AND Status <> 1 "

			End IF





	' The complete query is in the WhereStatement at this point

	End If  ' End of If Page <> ""


	' Display the Main body of the page

	%>




<%


   ' response.flush

	' Build the query based on the passed input fields

	' There are two basic queries... one for a search with a search string and
	' another for searches without search strings.


	If TextFlag = "YES" THEN ' Text Search string is enter so use this first query
		 If  Version8point0="YES" and PrimaryOnly =0 and Customer_ID <> "" Then  ' 04/25/13
		 		mySQL2 = "SELECT DISTINCT KBMap.Case_Number, Cases.case_one_line, Cases.Scheduled_Case_Type, Cases.Due_Date, Cases.Due_Time, Cases.Repeat_Interval, Cases.customer_id, Cases.status, Cases.tech_id, "
		 		mySQL2 = mySQL2 & " Cases.text_field_1,  Cases.text_field_2, Cases.text_field_3, Cases.text_field_4, Cases.text_field_5, Cases.text_field_6, Cases.text_field_7, Cases.text_field_8, Cases.text_field_9, Cases.text_field_10 "
		 		mySQL2 = mySQL2 & " FROM (Cases INNER JOIN KBMap on Cases.case_number = KBMap.Case_Number) "
				mySQL2 = mySQL2 & " LEFT JOIN AdditionalCustomerCaseAssignments on Cases.Case_number = AdditionalCustomerCaseAssignments.Case_Number "
		Else
			mySQL2 = "SELECT DISTINCT KBMap.Case_Number, Cases.case_one_line, Cases.Scheduled_Case_Type, Cases.Due_Date, Cases.Due_Time, Cases.Repeat_Interval, Cases.customer_id, Cases.status, Cases.tech_id, "
			mySQL2 = mySQL2 & " Cases.text_field_1,  Cases.text_field_2, Cases.text_field_3, Cases.text_field_4, Cases.text_field_5, Cases.text_field_6, Cases.text_field_7, Cases.text_field_8, Cases.text_field_9, Cases.text_field_10 "
			mySQL2 = mySQL2 & " FROM Cases INNER JOIN KBMap on Cases.case_number = KBMap.Case_Number "

			'ExtraWhere= " AND Cases.case_number = KBMap.Case_Number " ' 04/25/13 fixed join

			ExtraWhere= ""
		End If  ' 04/25/13
	else ' not text
		ExtraWhere= ""
		If  Version8point0="YES" and PrimaryOnly =0 and Customer_ID <> "" Then  ' 04/25/13
			if wherestatement = "" then
				mySQL2 = "Select TOP 100  cases.* from Cases  LEFT JOIN AdditionalCustomerCaseAssignments on Cases.Case_number = AdditionalCustomerCaseAssignments.Case_Number " ' 02/07/14 CMB
            else
            	mySQL2 = "Select cases.* from Cases  LEFT JOIN AdditionalCustomerCaseAssignments on Cases.Case_number = AdditionalCustomerCaseAssignments.Case_Number " ' 02/07/14 CMB
            end if
		Else
			if wherestatement = "" then
				mySQL2 = "Select TOP 100 cases.* from Cases "  ' 02/07/14 CMB
			else
				mySQL2 = "Select * from Cases "  ' 02/07/14 CMB
			end if

		End If
	End If

	ErrorMessage = "" ' Clear error message ' 04/24/13

	if closingCase > ""  and WhereStatement = "" then  ' 04/24/13 Duplicates at least one search parameter
			ErrorMessage = ErrorMessage & "<LI> " & wc_Required_Asset_Search_Fields
	End If

	if ErrorMessage > "" then

	%>
<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'otherwise continue with search

	If TextSearchQuery <> "" Then ' Add in Keyword search query first
		If WhereStatement = "" THen
			WhereStatement = " WHERE (" & textSearchQuery & ")"
		Else
			WhereStatement = " WHERE " & WhereStatement & " AND (" & textSearchQuery & ")"
		End If
	End If

	If TextSearchQuery = "" AND WhereStatement <> "" THEN
		WhereStatement = " WHERE " & WhereStatement
	End IF

	' Now Add that Where clause to the select statement

	If Page = "" Then
		mySQL2 = mySQL2 & WhereStatement & ExtraWhere
	Else
		mySQL2 = mySQL2 & WhereStatement
	End If

  If SortOrder <> "Ascending" then  ' 02/10/14
	  If TextFlag = "YES" THEN  ' 05/15/14
			mySQL2 = mySQL2 & " Order by KBMap.case_number DESC"
	  Else
			mySQL2 = mySQL2 & " Order by cases.case_number DESC"
	  End If
  Else
	  If TextFlag = "YES" THEN ' 05/15/14
			mySQL2 = mySQL2 & " Order by KBMap.case_number ASC"
	  Else
			mySQL2 = mySQL2 & " Order by cases.case_number ASC"
	  End If
  End If


	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.

	If Page = "" Then ' First time through set the Query to the whole string
		Query = WhereStatement & Extrawhere
		'response.write "Query = " & Query

	End IF

	'response.write "Query = " & Query


	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

		'mySQL2 = mySQL2 & Query
		mySQL2 = mySQL2 & " WHERE " & WhereStatement  ' 08/31/12

	End If

	'mySQL2 = mySQL2 & WhereStatement & " Order by Cases.Case_Number"

	' * * * * * * * * * * * * * * * * * * * * * * * * * *
	' Uncomment Line here to debug SQL statement
'	response.write mySQL2
'	response.write "PRIMARY" & PrimaryOnly
'	response.write "ID" & Customer_id
'	response.flush
'	response.end

	'response.write "<Br><b>Query=</b>" & Query

	'mySQL2 = "Select * from cases"
	' * * * * * * ** * * * * * * * * * * * * * * * * *

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string

'response.write "SQL" & mysql2
'response.flush
'response.end




	set rstemp = Server.CreateObject("adodb.recordset")
    ' set up the array to hold casenumbers of qualifying records - but start it at 1 instead of zero to avoid later confusion

	DIM Array_casenumber()

	Xcounter = 0
	ReDim preserve Array_casenumber(XCounter)
	Array_casenumber(XCounter) = "empty"
    Xcounter = Xcounter + 1






' wordstring contains a delimited list of the indexes of user-specified keywords - created eralier by Subroutine AddToQuery
' so now we peel these into an array
   setabort1 = "No"
   setabort2 = "Yes"
Array_wordindexes =  split(wordstring, "|")
KeywordsUsed = "Yes"
If wordstring = "" Then
   KeywordsUsed = "No"
Else
   wordindexcount = Ubound(Array_wordindexes)

  ' response.write "I see " & wordindexcount & " keywords specified <P>"
   for j = 0 to wordindexcount - 1
    ' response.write "I see word index " & Array_wordindexes(j) & " in slot " & j & "<br>"
     if Array_wordindexes(j) = 0 then
       setabort1 = "Yes"
     end if
   next

   for j = 0 to wordindexcount - 1
     if Array_wordindexes(j) <> 0 then
       setabort2 = "NO"
     end if
   next

End If

If textflag = "YES" and searchtype = "ALL" and setabort1 = "Yes" Then ' we have an AND search involving an unfound word - might as well bail out now
   %>
   <html>
   <head>
   <title>Search Engine</title>
   <!-- #INCLUDE FILE="Stylesheet.inc" -->
   </head>
   <body class=rightwindow>
   <center>
   <p>
   &nbsp;
   <Table class=BGWrapper >
   <tr>
   <td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Case_Search%></td>
   </tr>
   </table>
   <p>
   <%=wc_No_records_found_All%>
   </center>
   </body>
   </html>
   <%
   response.flush
   response.end
end if

If textflag = "YES" and searchtype = "ANY" and setabort2 = "Yes" Then ' we have an ANY search but no found words at all - might as well bail out now
   %>
   <html>
   <head>
   <title>Search Engine</title>
   <!-- #INCLUDE FILE="Stylesheet.inc" -->
   </head>
   <body class=rightwindow>
   <center>
   <p>
   &nbsp;
   <Table class=BGWrapper >
   <tr>
   <td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Case_Search%></td>
   </tr>
   </table>
   <p>
   <%=wc_No_records_found_Any%>
   </center>
   </body>
   </html>
   <%
   response.flush
   response.end
end if
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(Query)

	' open a 2nd dtabase connection to be able to read up kbwords
	set conntemp2=server.createobject("adodb.connection")
	conntemp2.open myDSN

do while not rstemp.eof

	' at this time we have read a record that meets selection criteria except fo any "AND" conditions.
	' so at this time we check to see of this record meets any specified AND conditions
	' if so - we put the case number in an array for later use in DoSearch2.asp

	ANDQualified = "Yes" ' means this record meets AND criteria - until proven otherwise
    If SearchType = "ALL" and wordindexcount > 1 then ' only do this if we have AND and more than 1 keyword used
        ' response.write "flags - andqualified is " & ANDQualified & " and wordindexcount is " & wordindexcount & "<p>"
		Testtarget = rstemp("case_number")
		for j = 0 to wordindexcount - 1
			ANDSQL = "Select * from KBMap where case_number = " & Testtarget & " AND  wordindex =" & Array_wordindexes(j)
			set rstemp2=conntemp2.execute(ANDSQL)
			if rstemp2.EOF then
			   ANDQualified = "No"
			   ' response.write "case number " & Testtarget & " failed to qualify <p>"
			else
			  ' response.write "case number " & Testtarget & " qualified <p>"
			End if

		next


		If ANDQualified = "Yes" Then
			ReDim preserve Array_casenumber(XCounter)
			Array_casenumber(XCounter) = rstemp("case_number")
			XCounter = XCounter + 1
		End If

	Else ' all records qualify anyway
	        ' response.write " Any - so all qualified <p> "
			ReDim preserve Array_casenumber(XCounter)
			Array_casenumber(XCounter) = rstemp("case_number")
			XCounter = XCounter + 1
	End If
    ' response.write "<font color=red>readed case number" & rstemp("case_number") & "</font><P>"
	rstemp.movenext
	count = count + 1
loop


	rstemp.close
	set rstemp=nothing

  ' response.write "My Hit count is " & XCounter - 1 & "<P>"
   'response.flush
    'response.end

 If XCounter = 1  Then ' no records were found - bail out now
    %>
   <html>
   <head>
   <title>Search Engine</title>
   <!-- #INCLUDE FILE="Stylesheet.inc" -->
   </head>
   <body class=rightwindow>
   <center>
   <Table class=BGWrapper >
   <tr>
   <td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Case_Search%></td>
   </tr>
   </table>
    <p>
    &nbsp;
    <p>
    <%=wc_No_records_found%>
    </center>
    </body>
    </html>
    <%
    response.flush
    response.end
end if

' At this point we have the array of casenumbers prepared, but we still need to sort it either ascending or descending.
' Note - the array at this point is in the sequence as the recorde were retrieved from the database - usually ascending but not necessarily so.
' The "sort" technique we use is to perform multiple sweeps over the array of case numbers, in each sweep we locate
' the lowest still existing value... which is put into the next slot in the sorted aray and the original entry is clobbered to "empty"

	'For i = 0 to XCounter - 1
	 ' response.write "Presorted In array entry " & i & " I have stored case number " & Array_casenumber(i) & "<br>"
	'Next



    If SortOrder = "Ascending" then
        ' set up the receiving array
       	Sortedcounter = 0
	   	ReDim SortedArray_casenumber(XCounter - 1)
	   	SortedArray_casenumber(0) = "empty"
        Sortedcounter = Sortedcounter + 1
        Low_Value = 999999 '---- this is a high number close to Max(int)
        For iterations = 1 to XCounter - 1
            ' find and extract the lowest existing value and clobber original
			For i = 1 to XCounter - 1
			  If Array_casenumber(i) <> "empty" Then
				If Cdbl(Array_casenumber(i)) < Cdbl(Low_Value) Then
				  Low_Value = Array_casenumber(i)
				  position = i
				End If
			  End If
			Next
			  SortedArray_casenumber(Sortedcounter) = Low_Value
			  Sortedcounter = Sortedcounter + 1
			  Array_casenumber(position) = "empty"
			  'response.write "Extracted " & Low_Value & " from position " & position & "<BR>"
			  'response.flush
              Low_Value = 999999



       Next
    Else

    ' sort descending
        ' set up the receiving array
       	Sortedcounter = 0
	   	ReDim SortedArray_casenumber(XCounter - 1)
	   	SortedArray_casenumber(0) = "empty"
        Sortedcounter = Sortedcounter + 1
        Hi_Value = 0
        For iterations = 1 to XCounter - 1
            ' find and extract the highest existing value and clobber original
			For i = 1 to XCounter - 1
			  If Array_casenumber(i) <> "empty" Then
				If Cdbl(Array_casenumber(i)) > Cdbl(Hi_Value) Then
				  Hi_Value = Array_casenumber(i)
				  position = i
				End If
			  End If
			Next
			  SortedArray_casenumber(Sortedcounter) = Hi_Value
			  Sortedcounter = Sortedcounter + 1
			  Array_casenumber(position) = "empty"
			  'response.write "Extracted " & Hi_Value & " from position " & position & "<BR>"
			  'response.flush
              Hi_Value = 0



       Next


    End If




	'For i = 0 to XCounter - 1
	'  response.write "Postsorted In array entry " & i & " I have stored case number " & SortedArray_casenumber(i) & "<br>"
	'Next

   ' response.flush
   ' response.end



	session("case_numbers") = SortedArray_casenumber




	if request.form("e_search.x") <> nil then   ' switch to see what button was pressed CMB 05/02/2011
		if request.form("FormatType") = "" or isnull(request.form("FormatType")) then ' CMB 05/02/2011
				Mode="COMMA"
		else
			Mode=Request.Form("FormatType")
		end if

		'SortField = ""
		'If request.form("SortField") = "" or isnull(Request.form("SortFIeld")) Then ' CMB 05/02/2011
			'SortField = "Cases.Case_Number"
		'else
			'SortField = request.form("SortField")
		'end if

		'ExportSortOrder = ""
		'If request.form("ExportSortOrder") = "" or isnull(Request.form("ExportSortOrder")) Then ' CMB 05/02/2011
			'ExportSortOrder = "ASC"
		'else
			'SortField = request.form("ExportSortOrder")
		'end if

		vector = "DoGetCaseExport.asp?Mode=" & Mode '  NOPE & "&SortField=" & SortField & "&ExportSortOrder=" & ExportSortOrder ' CMB 05/02/2011
	else
		if closingCase > "" and case_Number > "" then  ' 03/01/13 Duplicates
			 	vector = "DuplicateCase.asp?MasterCase=" & Case_Number & "&ClosingCase=" & ClosingCase ' 03/01/13 Duplicates
      else ' 03/01/13 Duplicates
	 		vector  = "DoSearchProjects2.asp?Page=1&Text=" & TextFlag & "&ResultsView=" & ResultsView & "&ClosingCase=" & ClosingCase & "&PrimaryOnly=" & PrimaryOnly ' 03/01/13 Duplicates 04/25/13 primary only
	 	end if	 ' 03/01/13 Duplicates
	end if
	 'response.write vector

	 'response.write "<a href=" & vector & "> click here </a>"

	 response.redirect vector

end if ' error message '04/24/13
%>




</body>
</html>


<% Function Create_Text_Word_Query(Search_String)

' This function takes the Search_string as input and
' creates the query with each word mapped as a kbword entry
' it is exists.

If Search_string <> "" Then

	TextLen = Len(Search_string)
	LastChar = " " ' Start off with a space

	NewWord = ""
	For i = 1 to textlen
		CurrentChar = mid(search_string, i,1)
		if CurrentChar = chr(32) AND LastChar <> chr(32) THEN
			' New Word is found

			' Remove any extra spaces on the left and right sides of the word
			trim(NewWord)
			' Trim any word to 100 characters or less
			If Len(NewWord) > 100 Then
				NewWord = Mid(NewWord, 1,100)
			End If

			AddToQuery NewWord, Query, wordstring
			If Query <> "" Then
				TotalQuery = TotalQuery & ORWord & Query
					ORWord = " OR "

			End If

			NewWord = ""
			LastChar = " " ' Set last character to 32
		Else
			NewWord = NewWord & currentchar
			LastChar = CurrentChar

		End If
	next

	' Output last word
			' Remove any extra spaces on the left and right sides of the word
			trim(NewWord)
			' Trim any word to 100 characters or less
			If Len(NewWord) > 100 Then
				NewWord = Mid(NewWord, 1,100)
			End If

			AddToQuery NewWord, Query, wordstring
			If Query <> "" Then
				TotalQuery =  TotalQuery & ORWord & Query
					ORWord = " OR "
			End If


			'response.write NewWord & "<br>"

End If ' End of if Search_String <> blank

	Create_Text_word_Query = TotalQuery

End Function
%>

<% Sub AddToQuery(Word,  Query, Wordstring)




' Check to see if word exists and returns it to the query
' We will be creating a query like:
'  	WHERE (((KBMap.WordIndex) = 1 Or (KBMap.WordIndex)=2 Or (KBMap.WordIndex)=3))


' The Algorithm here is to use the "like SQL operator to find the word.

' We need to make sure that any word that has single quotes is converted to
' to two single quotes for SQL compatibility.

	SearchWord = ""

		for i = 1 to len(word)
			if (Mid(Word, i,1) = "'") Then
				SearchWord = SearchWord & "''"
			else
				SearchWord = SearchWord & Mid(Word, i,1)
			End If
		next

		' First try to find the exact word.  For Example, if the
		' user is searching for "DR" then search for exactly "DR"
		' and see if a match is found.  If it is then then use that
		' If that fails then do a wild card search finding the
		' cases of drop, droop, etc.

		mySQL2="select * from KBWords where Word = '" & SearchWord & "'"


		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN
		set rstemp=conn.execute(mySQL2)

		' Check to see if any records are returned
		If rstemp.EOF <> True Then
			Query = "KBMap.WordIndex = " & rstemp("WordIndex")
			wordstring = wordstring  & rstemp("WordIndex") & "|"
		Else
			Query = "" ' If no match then clear out query

		End If

		rstemp.close
		set rstemp=nothing

		Conn.Close


		If Query = "" and Request.form("SearchType") = "ANY" Then ' Now do wildcat search if exact word fails - but only for "or" searches


			mySQL2="select * from KBWords where Word like '%" & SearchWord & "%'"



			Set Conn = Server.CreateObject("ADODB.Connection")
			conn.open  myDSN
			set rstemp=conn.execute(mySQL2)

			If rstemp.eof = True Then
				Query = "" ' Still not match found
				wordstring = wordstring  & "0" & "|"   '----------set marker in wordstring for unfound word
			Else
				' Get up to the first 5 matches... This can be changed to tighten
				' or loosen the search algorithm.
				SearchCount = 1
				Query = ""
				Do While rstemp.EOF <> True
					Query  = Query  & OrString & "KBMap.WordIndex = " & rstemp("WordIndex")
					wordstring = wordstring  & rstemp("WordIndex") & "|"
					OrString = " OR "
					rstemp.movenext
					SearchCount = SearchCount + 1
					If SearchCount >= 5 Then
						Exit Do
					End IF
				loop

				'response.write "Query String = " & Query

			End If

			rstemp.close
			set rstemp=nothing

			Conn.Close

		End IF

End Sub
%>



<% Function YYMMDD(datestring)
' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

   DIM aryChunk
   aryChunk = Split(datestring,"/")
   YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

End Function
%>

