<% 'Module: DoShowStaffByGroup.asp

   'Description: This module is the Page that is called from ShowStaffByGroup.asp
   '             which pases it a slected group_number in the form variable which may
   '             be equal to a specific group number or 999999 indicating "ALL". This
   '             module may also call itself directly or via an intermediary DoShowAllStaffToggle.asp
   '             in which case this parameter (as well as the sort parameter) will be
   '             passed on and recieved bake via the URL string


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/21/05	     JC		Created original ASP version based on previous dll?


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<%' NOTE- THIS NEEDS TO BE EVENTUALLY ADJUSTED TO POINT TO THE CORRECT DIRECTORY <<<<<<<<<<<<<<<<<< %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>



<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->


<head>

<title>Show Staff Members By Group - CSS</title>

</head>

<body bgcolor=#<%=ts_user_page_color%>

<center>


<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td>
	<div align=center><b><%=wc_Show_support_Groups_and_members%></b></font><br></b></div>
	<p>
	<div align=left>
	   <font size=-1>
	        <%=wc_Show_All_Staff_Instruction_Block%>
	        <p>
	        <%=wc_Show_Staff_by_Group_Instruction_Block%>
	   </font>
	</div>
	</td>
</tr>
</table>

<%
' First pick up our calling parameters depending on where we were called from
if request.form("group_number") = ""Then
   group_number = request.querystring("group_number")
   sort_vector = request.querystring("sort")
else
   group_number = request.form("group_number")
   sort_vector = "techid"
end if
%>

<p>

<table border=1 cellspacing=2 cellpadding=5 width=98%>


<%


this_group = ""   ' make sure there is a group_number "break" first time round




   ' ----- Now get the rows from the database table and display them ----------------

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="SELECT  Groups.tech_id as g_tech_id, " + _
	              "Groups.group_number as g_group_number, " + _
	              "Groups.new_case_notify as g_new_case_notify, " + _
	              "Tech_staff.first_name as t_first_name, " + _
	              "Tech_staff.last_name as t_last_name, " + _
	              "Tech_staff.new_case_notify as t_new_case_notify, " + _
	              "Tech_staff.show_dispatch_flag as t_show_dispatch_flag, " + _
	              "Tech_staff.work_email as t_work_email, " + _
	              "Tech_staff.work_phone1 as t_work_phone1, " + _
	              "Tech_staff.work_phone2 as t_work_phone2, " + _
	              "Tech_staff.work_fax as t_work_fax, " + _
	              "Tech_staff.mailstop as t_mailstop " + _
	      "FROM Groups, Tech_staff " + _
	      "WHERE "

	      ' append a restrictive "where" if a particular group is specified
	      If group_number <> "999999" Then
	          mySQL = mySQL & "Groups.group_number = " & group_number & " AND "
	      End If

	      ' append the equijoin
	      mySQL = mySQL & "Groups.tech_id = Tech_staff.tech_id"


	   ' Append the requested sort order to the end of the SQL statement


	if sort_vector = "" then sort_vector = "techid"
	Select Case sort_vector
	  Case "techid"
		mySQL = mySQL & " ORDER BY Groups.group_number, Groups.tech_id ASC"
	  Case "first"
		mySQL = mySQL & " ORDER BY Groups.group_number, Tech_staff.first_name ASC"
	  Case "last"
		mySQL = mySQL & " ORDER BY Groups.group_number, Tech_staff.last_name ASC"
	  Case "email"
		mySQL = mySQL & " ORDER BY Groups.group_number, Tech_staff.work_email ASC"
	  Case "phone1"
		mySQL = mySQL & " ORDER BY Groups.group_number, Tech_staff.work_phone1 ASC"
	  Case "phone2"
		mySQL = mySQL & " ORDER BY Groups.group_number, Tech_staff.work_phone2 ASC"
	  Case "fax"
		mySQL = mySQL & " ORDER BY Groups.group_number, Tech_staff.work_fax ASC"
	  Case "mailstop"
		mySQL = mySQL & " ORDER BY Groups.group_number, Tech_staff.mailstop ASC"
	  Case else
		mySQL = mySQL & " ORDER BY Groups.group_number, Tech_staff.tech_id ASC"
	End Select

    set rstemp=conntemp.execute(mySQL)


	'response.write mySQL
	'response.flush
	'response.end


	If rstemp.EOF = True  Then
	    this_group = group_number ' set the parameter for use by the subroutine
	    If group_number <> "999999" Then
		    Call Display_header
		End If

		Response.write "<tr><td colspan=10>" & wc_No_Staff_Entries_Exist_For_This_Group & "</td></tr>"
	Else

		' Loop getting the values from the table
		Do while (Not rstemp.eof)

			if rstemp("g_tech_id") = "" or isNull(rstemp("g_tech_id")) then
			  tech_id = ""
			else
			  tech_id = rstemp("g_tech_id")
			end if

			if rstemp("t_first_name") = "" or isNull(rstemp("t_first_name")) then
			  first_name = ""
			else
			  first_name = rstemp("t_first_name")
			end if

			if rstemp("t_last_name") = "" or isNull(rstemp("t_last_name")) then
			  last_name = ""
			else
			  last_name = rstemp("t_last_name")
			end if

            ' Caution - this is the tech-level new case notify
			new_case_notify = rstemp("t_new_case_notify")
			if (new_case_notify = "") OR (isNull(new_case_notify)) OR (new_case_notify = "0") then
			  new_case_notify = wc_No
			else
			  new_case_notify = wc_Yes
			end if

            ' Caution - this is the tech-level dispatch flag
			show_dispatch_flag = rstemp("t_show_dispatch_flag")
			if (show_dispatch_flag = "") OR (isNull(show_dispatch_flag)) OR (show_dispatch_flag = "0") then
			  show_dispatch_flag = wc_No
			else
			  show_dispatch_flag = wc_Yes
			end if

            ' Caution - this is the group-level new case notify
			group_new_case_notify = rstemp("g_new_case_notify")
			if (group_new_case_notify = "") OR (isNull(group_new_case_notify)) OR (group_new_case_notify = "0") then
			  group_new_case_notify = wc_No
			else
			  group_new_case_notify = wc_Yes
			end if




			if rstemp("t_work_email") = "" or isNull(rstemp("t_work_email")) then
			  work_email = "&nbsp;"
			else
			  work_email = rstemp("t_work_email")
			end if

			if rstemp("t_work_phone1") = "" or isNull(rstemp("t_work_phone1")) then
			  work_phone1 = "&nbsp;"
			else
			  work_phone1 = rstemp("t_work_phone1")
			end if

			if rstemp("t_work_phone2") = "" or isNull(rstemp("t_work_phone2")) then
			  work_phone2 = "&nbsp;"
			else
			  work_phone2 = rstemp("t_work_phone2")
			end if

			if rstemp("t_work_fax") = "" or isNull(rstemp("t_work_fax")) then
			  work_fax = "&nbsp;"
			else
			  work_fax = rstemp("t_work_fax")
			end if

			if rstemp("t_mailstop") = "" or isNull(rstemp("t_mailstop")) then
			  mailstop = "&nbsp;"
			else
			  mailstop = rstemp("t_mailstop")
			end if

			' Check if we are starting a new group - if so put out the header line

			if rstemp("g_group_number") <> this_group Then
			   this_group = rstemp("g_group_number")
			   call display_header
            end if



          ' and now put the database values onto the screen

          %>
           <tr>
           <td align=center>
               <a href=EditStaffMember.asp?techid=<%=tech_id%>><font size=-1><b><%=Ucase(tech_id)%></b></font></a>
           </td>
           <td>
               <font size=-1><%=first_name%></font>
           </td>
           <td>
               <font size=-1><%=last_name%></font>
           </td>

           <td align=center>
               <a href=DoShowAllStaffToggle.asp?sort=<%=sort_vector%>&toggle=notify&techid=<%=tech_id%>&value=<%=new_case_notify%>&group_number=<%=group_number%>><font size=-1><b><%=new_case_notify%></b></font></a>
           </td>

           <td align=center>
               <a href=DoShowAllStaffToggle.asp?sort=<%=sort_vector%>&toggle=dispatch&techid=<%=tech_id%>&value=<%=show_dispatch_flag%>&group_number=<%=group_number%>><font size=-1><b><%=show_dispatch_flag%></b></font></a>
           </td>


    <%' this is the group level notify %>
           <td align=center>
               <a href=DoShowStaffByGroupToggle.asp?sort=<%=sort_vector%>&techid=<%=tech_id%>&value=<%=group_new_case_notify%>&group_number=<%=group_number%>&target_group=<%=this_group%>><font size=-1><b><%=group_new_case_notify%></b></font></a>
           </td>


           <td>
               <font size=-1><%=work_email%></font>
           </td>
           <td>
               <font size=-1><%=work_phone1%></font>
           </td>
           <td>
               <font size=-1><%=work_phone2%></font>
           </td>
           <td>
               <font size=-1><%=work_fax%></font>
           </td>
           <td>
               <font size=-1><%=mailstop%></font>
           </td>
           </tr>
        <%
        rstemp.Movenext
        Loop

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
    End If ' we did (not) get eof on database read
%>



</table>



<p>

<center>

<b>

<a href=ShowAllStaffMembers.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>

</b>

</body>

</html>


<% End If ' this was a valid user %>


<% Sub Display_header ' This subroutine expects the relevant group_number to be in "this_group"
                      ' it will then display that group name and then output the column headers
    response.write "<tr><td colspan=11><Font color=red><b>"
    tempSQL = "Select Group_name from Group_list where group_number = " & this_group
    set recordset=conntemp.execute(tempSQL)
    if recordset.eof or recordset.bof Then
      response.write "Undefined Group Name"
    else
      response.write recordset("group_name")
    end if
    response.write "</b></font></td></tr>"
%>
<tr>
	<th>
	   <a href=DoShowStaffByGroup.asp?sort=techid&group_number=<%=group_number%>><font size=-1><%=wc_Tech_ID%></font></a>
	</th>
	<th>
	   <a href=DoShowStaffByGroup.asp?sort=first&group_number=<%=group_number%>><font size=-1><%=wc_First%></font></a>
	</th>
	<th>
	   <a href=DoShowStaffByGroup.asp?sort=last&group_number=<%=group_number%>><font size=-1><%=wc_Last%></font></a>
	</th>
	<th>
	   <font size=-1><%=wc_Tech_Notify%></font>
	</th>
	<th>
	  <font size=-1><%=wc_Tech_Dispatch%></font>
	</th>

	<th>
	  <font size=-1><%=wc_Group_Notify%></font>
	</th>


	<th>
	  <a href=DoShowStaffByGroup.asp?sort=email&group_number=<%=group_number%>><font size=-1><%=wc_Email%></font></a>
	</th>
	<th>
	  <a href=DoShowStaffByGroup.asp?sort=phone1&group_number=<%=group_number%>><font size=-1><%=wc_Phone1%></font></a>
	</th>
	<th>
	  <a href=DoShowStaffByGroup.asp?sort=phone2&group_number=<%=group_number%>><font size=-1><%=wc_Phone2%></font></a>
	</th>
	<th>
	  <a href=DoShowStaffByGroup.asp?sort=fax&group_number=<%=group_number%>><font size=-1><%=wc_Fax%></font></a>
	</th>
	<th>
	  <a href=DoShowStaffByGroup.asp?sort=mailstop&group_number=<%=group_number%>><font size=-1><%=wc_Mailstop%></font></a>
	</th>
  </tr>
 <% End Sub ' End of Subroutine to display header %>





<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>
