<% 'Module: SupervisorReport.asp

   'Description: This module is the search engine first page.
   '(C) 1999 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page
   '07/12/2011      UK date formats
' NOTE uses last modified date
'NOTE about passing in query ffrom link page <>

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only admins and above to access this function.
	ValidUser = IsValidUser (TechLevel)

 ' End of ASP page security checks
 %>

<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoSupervisorReport.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
    Call GetTimeSpentStuff(TimeSpentCategory,TimeSpentInterval)
	MinutesPerCategory = TimeSpentInterval

	Start_Date = request.form("Start_Date")
	End_Date = request.form("End_Date")
   	call SetLocale(1033) ' need to do this for UK compliance  CMB
%>

<html>

<head>
<title><%=wc_Supervisor_Report_By_Tech%></title>
</head>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_case_report%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Supervisor_Report_By_Tech%>
</font><br><font size=-2>This report gives a summary of time-spent for each technician during the selected time period.<br>
The cases that are reported upon are those with last modified date in the selected date range.
</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>
</tr></table>
</center>
<br>
<FORM METHOD=POST ACTION=DoSupervisorReport.asp>

<center>

<% ' Display the Form questions at the bottom of the page %>
<center>
<TABLE BORDER=0 CELLPADDING=3 WIDTH="90%" >
<TR>
<TD valign=bottom><B><FONT SIZE=3><%=wc_Start_date%>:</FONT></td>
<td>
<font size=-1>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
</font><font size=3><br>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>


<TD valign=bottom><B><FONT SIZE=3><%=wc_End_date%>:</font></b></td>
<td>

<font size=-1>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>

</font><font size=3><br>

<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<TD valign=top>
<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>
</TD>
</TR>
</TABLE>
</FORM>
<hr>

<% ' Now Display the report %>

<%' Now step through all of the case table with the only criteria being
	' the modified date range.  This could cause a lot of records to be read and analyzed.
 %>

<% ' Build the query from the passed Start Date and End Date
	WhereStatement = ""
	AndText = ""

	If Start_Date <> "" Then
		Start_Date = PadDate(Start_Date)
		NewStartDate = MakeYYYYMMDD(Start_date,DateDisplayFormat)
		WhereStatement = " Cases.Mod_Date >= '" & NewStartDate & "'"
		AndText = " AND "
	End if

	If End_date <> "" Then
		End_Date = PadDate(End_Date)
		NewEndDate = MakeYYYYMMDD(End_date,DateDisplayFormat)
		WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewEndDate & "'"
		AndText = " AND "
	End If

	WhereStatement = WhereStatement & AndText & " Cases.Tech_ID IS NOT Null "  '??????????????????

' CMB NOTE WILL THIS EVERN HAPPEN?
' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.

	'If page <> "" Then
	'	WhereStatement = Query ' Where Query passed from link
		' This is important NOT to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

		'mySQL2 = mySQL2 & Query
	'End If

	mySQL="select count(case_number) as cnt, Cases.Tech_ID, "
	mySQL=mySQL & "first_Name, Last_Name "
	mySQL=mySQL & "from cases left outer join tech_Staff on cases.Tech_ID = tech_Staff.tech_ID "
	If TextSearchQuery = "" AND WhereStatement <> "" THEN
			mySQL = mySQL & " WHERE " & WhereStatement
	End IF
	mySQL=mySQL & " group by cases.tech_id, last_Name, First_Name "
	mySQL=mySQL & " order by cases.Tech_ID"

	'response.write mySQL
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL, conntemp, adopenstatic

	If rstemp.EOF Then
		Response.write " <P>No matching records found <P>.. Please enter a wider date range.<P>"
	Else ' At least one record exists
	%>

<center>
<table width=95% border = 1>
<tr>
<th bgcolor=E0F0C0><font size=-1><%=wc_Tech%></th>
<th bgcolor=E0F0C0><font size=-1><%=wc_Jobs_Open%></th>
<th bgcolor=E0F0C0><font size=-1><%=wc_Jobs_Closed%></th>

<% ' Special Time Category
	' If the variable TimeSpentCategory is set to a particular value in the
	' DB_define.inc file, Time Spent reporting will be turned on.
	' To enable this row, set the variable TimeSpentCategory to the category column number
	' used to store this value.  IT should be C1 or C2, or C3... to C100.
	' One should also set the MinutesPerCategory variable to show the correct computations
	' of the time spent.
%>

<% IF TimeSpentCategory <> "" Then %>
<th bgcolor=E0F0C0><font size=-1><%=wc_Avg_Time%></th>
<th bgcolor=E0F0C0><font size=-1><%=wc_Total_Time%></th>

<% End If %>

</tr>

<%
		do while not rstemp.eof

			' Create a summary for each tech
			Tech_ID = rstemp("Tech_ID")

			if isnull(rstemp("Last_Name")) then
				LastName = ""
			else
				LastName = rstemp("Last_Name")
			end if
			if isnull(rstemp("First_Name")) then
				FirstName = ""
			else
				FirstName = rstemp("First_Name")
			end if

			Full_Tech_Name = trim(FirstName & " " & LastName)

			If trim(Full_Tech_Name) = "" then
				Full_Tech_Name = "Tech (" & tech_id & ") No Longer Registered" ' Tech may no longer exist in the database
			End if

			JobsOpened = rstemp("cnt")
			If TEch_ID > "" then
				call GetStats(Tech_ID, TimeSpentCategory, whereStatement, JobsClosed, CompletionTime) ' returns closed and total completion time
				JobsOpened = JobsOpened - JobsClosed ' note we really want to know how many are OPEN not OPENED
			Else
				JobsClosed = 0
				CompletionTime = 0
			end if

			IF TimeSpentCategory <> "" Then
				' Completion time is computed by taking the Completiontime running sum
				' of time categories and then dividing by the number of jobs closed
				' and then multiply by 15 (15 minutes per category value)

				If JobsClosed <> 0 Then
					AverageCompletionTime = Int(CompletionTime*MinutesPerCategory/JobsClosed)
				Else
					AverageCompletionTime = 0
				End IF

			  'Compute the time and display it in hours and minutes if greater than 60
			  	TotalMinutes = Int(CompletionTime*MinutesPerCategory)
				If TotalMinutes <=60 then
				'	Response.write TotalMinutes & " Minutes"
					TotalHours = 0
				Else
					TotalHours = int(TotalMinutes/60)
					TotalMinutes = TotalMinutes - TotalHours*60
				End if
			End if

				' Display the report
%>

<Tr><td><font size=-1>
<%
Response.write "<a href=TechReport.asp?xyzTech=" & Tech_ID & "&Start_Date=" & Start_Date & "&End_Date=" & end_date &">" & Full_Tech_Name & "</a>"
%>
</td>
<td><font size=-1>	<%=JobsOpened %>		</td>
<td><font size=-1>	<%=JobsClosed%>			</td>

<% 'Only Display time Average time if TimeSpentCategory Variable is set %>

<% IF TimeSpentCategory <> "" Then %>
	<td><font size=-1>	<%=AverageCompletionTime%>	Minutes	 </td>

 	<Td><font size=-1>
 <%	If TotalHours > 0 then %>
 	<%= TotalHours%> Hrs
 <%	End if  %>
 	<%= TotalMinutes%> Minutes </td>
<%End IF %>

 </tr>
<%
			rstemp.movenext
			count = count + 1
		loop
%>
 </table>

	<%
	End if ' End if RecordCount = 0

	rstemp.close
	set rstemp=nothing
%>

<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>
</body>
</html>

<%End If ' End of security check %>

<% Sub GetStats(Passed_Tech_ID, sTimeSpentCategory, sWhere, outClosed, outCompletionTime)
' Totals Number of jobs closed and sum time spent

	if sTimeSpentCategory <> "" then
		mySQL2="select count(Case_Number) as cnt, sum(" & sTimeSpentCategory & ") as nSum from Cases where Tech_ID = '" & Passed_Tech_ID & "' "
	Else
		mySQL2="select count(Case_Number) as cnt, 0 as nSum from Cases where Tech_ID = '" & Passed_Tech_ID & "' "
	End if

	if sWhere > "" then
		mySQL2=mySQL2 & "AND " & sWhere
	End if

	mySQL2=mySQL2 & " AND Status = 1 "
		'response.write mySQL2 & "<br>"
		'response.flush
		'response.end

	set rstemp2=conntemp.execute(mySQL2)

	outClosed = rstemp2("cnt")
	if outclosed = 0 then
		outCompletionTime = 0
	else
		outCompletionTime = rstemp2("nsum")
	end if

	rstemp2.close
	set rstemp2=nothing


End Sub
%>
