<%  ' Module: DoTInspection.asp
	'
	' Description: Submit Module For TInspection module
	'
	' (C) 2000-2011 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'12/13/00	SAV		Created DoAssets.asp from DoSearch.asp module
	'08/17/06	SAV		Created DoVerifyASset.asp from DoAsset.asp
	'03/31/11	SAV		Create DoTInspection.asp module
	'04/08/11   CMB     Added message when no records found about asset groups etc
    '05/02/11   CMB     Newest on top; assets without inspections are white; case and asset# links open in same window
    '01/04/12   CMB     Get Last value of inspection for this asset/case
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc

%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	ResultsView = request.querystring("ResultsView")


	if Page = "" Then

		' Get the form variables if passed from the original Case Search Form
		' This page can also be called from a query string from the case form
		' so we must get variables both ways (form and querystring)



		' Assignments


		Customer_Id = Request.querystring("Customer_ID")
		If Customer_ID = "" Then
			Customer_id = request.form("Customer_id")
		End IF

		Tech_Id= request.form("Tech_ID")
		Asset_number = request.form("asset_number")
		Asset_number2 = Request.form("asset_number2")
		SortBy = Request.form("Sortby")

		If SortBy = "" Then
			SortBy = "Assets.Asset_Number"
		End If


		' Value fields

		Computer_ID = Request.form("Computer_ID")
		Property_tag = Request.form("Property_tag")
		Equipment_Type = Request.form("Equipment_type")
		Serial_number = Request.form("Serial_number")
		Assigned_group = Request.form("assigned_group")
		IP_Address = Request.form("IP_Address")
		Purchase_order_num = Request.form("Purchase_order_num")
		Lease_Or_Purchase = Request.form("Lease_Or_Purchase")
		Acquired_from = Request.form("Acquired_from")
		ResultsView = Request.form("ResultsView") 'Detailed/Brief


		Custom_Field1 = Request.form("Custom_Field1")
		Custom_Field2 = Request.form("Custom_Field2")
		Custom_Field3 = Request.form("Custom_Field3")
		Custom_Field4 = Request.form("Custom_Field4")
		Custom_Field5 = Request.form("Custom_Field5")

		If ResultsView = "" then
			ResultsView = "DETAILED" ' Default To Brief
		End IF

		Location = Request.form("Location")
		Wall_Port_Number = Request.form("Wall_Port_Number")
		Date_Assigned = Request.form("Date_Assigned")

		' Start to Create the query based on the passed fields

		' String Search Processing Algorithm
		' Each word of the search string will separated out and then checked
		' against the kbwords table and a query will be built.


		' Customer_ID  Search
		If  Customer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " AssetAssignment.Customer_ID = '" & Customer_ID & "'"
			AndText = " AND "
		End IF

		' Tech_ID  Search
		If  Tech_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " AssetAssignment.Tech_ID = '" & Tech_ID & "'"
			AndText = " AND "
		End IF


		' Assigned to another asset search
		If  asset_number2  <> "" Then
			WhereStatement = WhereStatement & AndText & " AssetAssignment.Asset_number2 = " & Asset_number2
			AndText = " AND "
		End IF


		' Value searches ' Use the like operator

		' Add search criteria for computer_id, property tag, etc

		' Computer_id
		If  computer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Computer_ID like '" & Computer_ID & "%'"
			AndText = " AND "
		End IF

		' Property_tag
		If  property_tag <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Property_tag like '" & property_tag & "%'"
			AndText = " AND "
		End IF


		' equipment_type
		If  equipment_type <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.equipment_type like '" & equipment_type & "%'"
			AndText = " AND "
		End IF


		' serial_number
		If  Serial_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.serial_number like '" & serial_number & "%'"
			AndText = " AND "
		End IF

		' assigned_group
		If  assigned_group <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.assigned_group like '" & assigned_group & "%'"
			AndText = " AND "
		End IF

		' IP_Address
		If  IP_Address <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.IP_Address like '" & IP_address & "%'"
			AndText = " AND "
		End IF


		' Purchase_order
		If  purchase_order_num <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.purchase_order_num like '" & purchase_order_num & "%'"
			AndText = " AND "
		End IF

		' Lease or Purchase
		If  Lease_or_Purchase <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Lease_or_Purchase like '" & Lease_Or_Purchase & "%'"
			AndText = " AND "
		End IF

		' Acquired_From
		If  Acquired_from <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.acquired_from like '" & Acquired_from & "%'"
			AndText = " AND "
		End IF


		' Location
		If  Location <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.location like '" & Location & "%'"
			AndText = " AND "
		End IF

		' Wall Port Number
		If  Wall_Port_Number <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.wall_port_number like '" & Wall_Port_Number & "%'"
			AndText = " AND "
		End IF

		' Date_Assigned
		If  Date_Assigned <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.date_assigned like '" & Date_assigned & "%'"
			AndText = " AND "
		End IF


		' Asset Number Search
		If  asset_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.asset_number = " & asset_number
			AndText = " AND "
		End IF


		' Custom_Field1 Number
		If  Custom_Field1 <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Custom_Field1 like '" & custom_field1 & "%'"
			AndText = " AND "
		End IF

		' Custom_Field2 Number
		If  Custom_Field2 <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Custom_Field2 like '" & custom_field2 & "%'"
			AndText = " AND "
		End IF

		' Custom_Field3 Number
		If  Custom_Field3 <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Custom_Field3 like '" & custom_field3 & "%'"
			AndText = " AND "
		End IF


	' The complete query is in the WhereStatement at this point

	End If  ' End of If Page <> ""

	If Page <> "" Then

		If SortBy = "" Then
			SortBy = Request.querystring("SortBy") ' Handle special case when called as link
		End If

		If SortBy = "" Then
			SortBy = "Cases.Case_Number desc  "  ' "Assets.Asset_Number"  'CMB 05/04/2011
		End If

	End If

	If SortBy = "" Then
			SortBy = "Cases.Case_Number desc  "  ' "Assets.Asset_Number"  'CMB 05/04/2011
	End If

	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE>Inspections </TITLE>
<!-- (C) 1996,1998, 1999, 2000-2011 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>


<% 'Get the value of the User Screen background color and database type from the Configuration Table %>
<%
Dim DefaultStatus
Dim CurrentStatus
Dim DatabaseType

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		databaseType = rstemp2("DatabaseType")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

'  CMB 01/04/12
	 DefaultStatus = GetDefaultStatus(databaseType)
	 CurrentStatus = ""
' END 01/04/02

%>

<body class=rightwindow>

<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>Inspections - Select One Below</td>
</tr>
</table>


<p>
<TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><A HREF="TInspection.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
&nbsp;


<%

	' Build the query based on the passed input fields this should select all assets for any cases that have asset groups assigned
	' where an inspection has been performed or not

	mySQL2  = "SELECT AssetGroup.AssetGroupName, assets.computer_id, assets.property_tag, assets.equipment_type, cases.case_number, cases.case_one_line, AssetGroupValues.Asset_Number FROM ((AssetGroupValues INNER JOIN AssetGroup ON AssetGroupValues.AssetGroupIndex = AssetGroup.AssetGroupIndex) INNER JOIN assets ON AssetGroupValues.Asset_Number = assets.asset_number) INNER JOIN cases ON AssetGroup.AssetGroupIndex = cases.AssetGroupIndex "

	' Now Add that Where clause to the select statement

if wherestatement <> "" Then
	wherestatement = " WHERE " & Wherestatement
End If


	mySQL2 = mySQL2 & WhereStatement

	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.


	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

		mySQL2 = mySQL2 & Query

	End If

	mySQL2 = mySQL2  & " Order by " & SortBy

	'response.write mySQL2

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string





	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount


%>

<% if recordsfound > 0 then  ' CMB 04/08/11  %>
	 <center> &nbsp;  <%=RecordsFound%> &nbsp; Matching Records Found. Records with light backgrounds have not have had any inspections performed. <br></center>
<% else %>
 <center> &nbsp;  No assets were found that match the search criteria.  Only assets which have associated asset groups and
associated cases will be displayed.
 <br></center>
 <% end if %>


<center>

<table width=100% bgcolor=F0F0F0 border=1>
<tr>
<td class=formlabelsuper>Case</td>
<td class=formlabelsuper>Asset</td>
<td class=formlabelsuper><%=Description_Label%></td>
<td class=formlabelsuper><%=Property_Tag_Label%></td>

<td class=formlabelsuper>Asset Group</td>
<td class=formlabelsuper>Status</td>  <!-- 01/04/12 -->

<td class=formlabelsuper>Inspection</td>

</td>
</tr>



<%

		do while not rstemp.eof
			CurrentStatus = DefaultStatus
%>


<tr>


<form method = post action = DoTInspection2.asp ><!-- NOTE there IS no dotinspection2 this is done by PerformSingleInspection -->
	<% InspectionPerf = InspectionPerformed (rstemp("Case_Number"),rstemp("Asset_Number"),CurrentStatus) %>
   <%  if InspectionPerf=true then %>
     	<td class=formboxholder>
   <%  else %>
     	<td class=plaintext color="FFFFFF">
    <% end if %>

		<!--CMB 05/04/2011 bring up in same window	<A HREF=TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>
			target="newcasewindow<%=rstemp("Case_number")%>"> <%=rstemp("Case_number")%> </A>-->
		<A HREF=TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>>
			<%=rstemp("Case_number")%> </A>
	</td>
	<%  if InspectionPerf=true then %>
			<td class=formboxholder>
	 <%  else %>
			<td class=plaintext color="FFFFFF">
	 <% end if %>

	<!-- CMB 05/04/2011 bring up in same window	<A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_Number")%>" target="newassetwindow1"><%=rstemp("asset_Number")%></A>&nbsp;</a> -->
	<A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_Number")%>"><%=rstemp("asset_Number")%></A>&nbsp;</a>

	</td>
	<%  if InspectionPerf=true then %>
			<td class=formboxholder>
	 <%  else %>
			<td class=plaintext color="FFFFFF">
	 <% end if %>
		<%=rstemp("equipment_type")%></td>
<%  if InspectionPerf=true then %>
			<td class=formboxholder>
	 <%  else %>
			<td class=plaintext color="FFFFFF">
	 <% end if %>
		<%=rstemp("property_tag")%></td>
<%  if InspectionPerf=true then %>
			<td class=formboxholder>
	 <%  else %>
			<td class=plaintext color="FFFFFF">
	 <% end if %>
		<%=rstemp("assetgroupname")%></td>

		<%  if InspectionPerf=true then %>
					<td class=formboxholder>
			 <%  else %>
					<td class=plaintext color="FFFFFF">
			 <% end if %>
				<%=CurrentStatus%></td>

<%  if InspectionPerf=true then %>
			<td class=formboxholder>
	 <%  else %>
			<td class=plaintext color="FFFFFF">
	 <% end if %>
			<% case_number = rstemp("case_number") %>
		<% CaseVector = "PerformSingleInspection.asp?Mode=Show&Id=" & Clng(Case_number) & "&Asset=" & rstemp("asset_Number") ' remove any leading zeros in the case number with Cint
		%>
		<a href='javascript:var w=window.open("<%=CaseVector%>","subwindow","width=900,height=440,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
													  <img src="/<%=WCLanguageDirectory%>/PerformInspection.gif" border=0></a>
		</td>
</form>

</tr>

<%

		rstemp.movenext

		loop


	rstemp.close
	set rstemp=nothing
'	conntemp.close ' Close the connection
'	set conntemp=nothing

%>



</td>
</tr>
</table>


</center>

</body>
</html>

<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>

<% Function InspectionPerformed(InCase,InAsset,OutStatus) ' CMB 05/04/2011
	'This function determines whether there are any inspections already performed for this case/asset

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select top 1 * from Inspection "
			mySQL2=mySQL2 & " left outer join inspectionstatus on inspection.inspectionstatusindex = inspectionstatus.inspectionstatusindex "

			mySQL2=mySQL2 & "where case_number = " & InCase & " and asset_Number = " & InAsset
			mySQL2=mySQL2 & " ORDER BY InspectionDate Desc, InspectionTime desc, InspectionIndex desc"  ' cmb 01/04/12

			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found then
			if rstemp2.EOF then
				InspectionPerformed = false
			Else
				InspectionPerformed = true
				OutStatus=rstemp2("InspectionStatus")  ' cmb 01/04/12
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

	End Function ' InspectionsPerformed
%>
<% Function GetDefaultStatus(intype) ' CMB 01/04/2012
			Dim sReturn
			sReturn = "not inspeccted"

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			if instr(intype,"ACCESS") > 0 then
				mySQL2="select * from inspectionstatus where defaultstatus = true"
			else
					mySQL2="select * from inspectionstatus where defaultstatus = 1"
			End If
			set rstemp2=conntemp.execute(mySQL2)

			if not rstemp2.EOF then
				sreturn=rstemp2("InspectionStatus")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing
			GetDefaultStatus = sReturn

	End Function ' GetDefaultStatus
%>

<%
Sub DebugWrite( DbgMsg )
	ForReading = 1
	ForWriting = 2
	ForAppending = 8

	TristateUseDefault = -2
	TristateTrue = -1
	TristateFalse = 0

	Dim ScObj, DbgFile

	FileName = Server.MapPath(".") & "\Debug.log"

	Set ScObj = Server.CreateObject("Scripting.FileSystemObject")
	Set DbgFile = ScObj.OpenTextFile(FileName,ForAppending,TRUE,TristateFalse)
	DbgFile.WriteLine Now() & ":    " & DbgMsg
	DbgFile.Close
	Set DbgFile = Nothing
	Set ScObj = Nothing

End Sub
%>
