<%  ' Module: DoTInspections.asp
	'
	' Description: Submit Module For TInspections.asp module
	'
	' (C) 2000 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'12/13/00	SAV		Created DoAssets.asp from DoSearch.asp module
	'05/01/11   CMB     Created DoTInspections.asp from DoAssets.asp
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc
%>
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Get the form variables
	Page = request.querystring("page") ' This is passed when called from a link to view pages

	sSql="SELECT Inspection.*, InspectionStatus.InspectionStatus, "
	sSql = sSql & "tech_staff.first_name, tech_staff.last_name, assets.* FROM ((Inspection "
	sSql = sSql & "INNER JOIN InspectionStatus ON Inspection.InspectionStatusIndex = InspectionStatus.InspectionStatusIndex)  "
	sSql = sSql & "INNER JOIN tech_staff ON Inspection.Tech_ID = tech_staff.tech_id)  "
	sSql = sSql & "INNER JOIN assets ON Inspection.Asset_Number = assets.asset_number  "

	Dim WCDateFormat

	if Page = "" Then ' from form rather than being a page link
		call GetDateString

		ComputerID = Request.form("ComputerID")
		PropertyTag = Request.form("PropertyTag")
		SerialNumber = Request.form("SerialNumber")
		AssetNumber = request.form("assetNumber")
		InspectionStatus = request.form("InspectionStatus")
		StartDate =request.form("StartDate")
		EndDate = request.form("EndDate")
		TechID=request.form("Tech")
		AssetGroup = request.form("AssetGroup")

		' Start to Create the query based on the passed fields
		' String Search Processing Algorithm
		' Each word of the search string will separated out and then checked
		' against the kbwords table and a query will be built.

		sWhere = ""

		' ComputerID  Search
		If  ComputerID > "" Then
			sWhere = " Computer_ID LIKE '" & ComputerID & "%'"
		End IF

		' Tech_ID  Search
		If  TechID > "0" Then
			if sWhere > "" then
				sWhere = sWhere & " AND "
			end if
			sWhere = sWhere & " Inspection.Tech_ID = '" & TechID & "'"
		End IF

		If  PropertyTag > "" Then
			if sWhere > "" then
				sWhere = sWhere & " AND "
			end if
			sWhere = sWhere & " Property_Tag LIKE '" & PropertyTag & "%'"
		End IF

		If  SerialNumber > "" Then
			if sWhere > "" then
				sWhere = sWhere & " AND "
			end if
			sWhere = sWhere & " Serial_Number LIKE '" & SerialNumber & "%'"
		End IF

		If  AssetNumber > "" Then
			if sWhere > "" then
				sWhere = sWhere & " AND "
			end if
			sWhere = sWhere & " Assets.Asset_Number = " & AssetNumber
		End IF

		If  InspectionStatus > "0" Then
			if sWhere > "" then
				sWhere = sWhere & " AND "
			end if
			sWhere = sWhere & " Inspection.InspectionStatusIndex = " & InspectionStatus
		End IF

		If  AssetGroup > "0" Then
			if sWhere > "" then
				sWhere = sWhere & " AND "
			end if
			sWhere = sWhere & " Assets.Asset_number IN (Select asset_Number from AssetGroupValues where AssetGroupIndex = " & AssetGroup & ")"
		End IF

	' DO DATE RANGE (probably also need to take into account formatting of where string
	' REFORMAT DATE STRING if mmddyy  might be 4/1/22
		If WCDateFormat = "DDMMYYYY" and StartDate > "" Then
			f=instr(1,StartDate,"/",1)
			s=instr(f+1,StartDate,"/",1)
			'response.write "s" & s & "</br>"
			'response.write  mid(StartDate, f+1,s-f) & "</br>"
			'response.write left(StartDate,f) & "</br>"
			'response.write  mid(StartDate,s+1,4) & "</br>"

			StartDate =  mid(StartDate, f+1,s-f) & left(StartDate,f) & mid(StartDate,s+1,4)

			if EndDate > "" then
				f=instr(1,EndDate,"/",1)
				s=instr(f+1,EndDate,"/",1)
				EndDate =  mid(EndDate, f+1,s-f) & left(EndDate,f) & mid(EndDate,s+1,4)
			end if
		End If
		'response.write "START " & StartDate
		'response.write "END " & EndDate

		If  StartDate > "" and isdate(StartDate)  Then 'CMB note isdate(31/12/2011) is considered true!
			if EndDate > "" and isdate(EndDate) then
				if sWhere > "" then
					sWhere = sWhere & " AND "
				end if

				If DatabaseType2 = "ACCESS" Then
					sWhere = sWhere & " InspectionDate >= #" & StartDate & "# AND InspectionDate <= #" & EndDate & "#"
				else
					sWhere = sWhere & " InspectionDate >= '" & StartDate & "' AND InspectionDate <= '" & EndDate & "'"
				End IF

			else ' no end date
				if sWhere > "" then
					sWhere = sWhere & " AND "
				end if

				If DatabaseType2 = "ACCESS" Then
					sWhere = sWhere & " InspectionDate >= #" & StartDate & "#"
				else
					sWhere = sWhere & " InspectionDate >= '" & StartDate & "'"
				End IF
			end if
		End IF

	else ' pagination request
		sWhere = request.querystring("Query")
	End if

	if sWhere > "" then
		sEntireSql = sSql & " WHERE " & swhere & " ORDER BY assets.asset_Number "
		'response.write  sEntireSql & "<br>"
		'response.write "WHERE " & swhere
	else
		'response.write "There were no criteria selected.  Please search again."
	end if
	'response.flush
	'response.end

%>

<HTML>
<HEAD>
   <TITLE><%=wc_Asset_Inspections%> </TITLE>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

<BODY class=rightwindow>
<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Asset_Inspections%></td>
</tr>
</table>

<p>
<TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><A HREF="TInspection.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

</TR>
</TABLE></CENTER>
&nbsp;
<%
	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string
	If sWhere = "" then
		Response.write "<center>Your search has found 0 records matching text search criteria.<br></center><P>"
	Else ' Otherwise continue with the query

		set rstemp = Server.CreateObject("adodb.recordset")
		rstemp.open sEntireSql, myDSN, adopenstatic

		Query = Server.URLEncode(sWHERE)

		' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount
	%>

		<center>
			<table class=BGWrapper>
			<tr>
			<td class=MinorScreenTitle><%=wc_Your_Search_Has_Found%> </td>
			<td class=TitleInsert>&nbsp;<%=RecordsFound%>&nbsp;</td>
			<td class=MinorScreenTitle><%=wc_matching_records%>. </td>
			</tr>
		</table>

		<P>
			<% ' Algorithm for showing more pages
			'	Take the number of matching records and divide by 15.  If less than
			' one do not show any links
			' if between 16 and 300 show up to the 20 page links
			' Show number of pages as needed. For example, for 90 matches, we
			' would show 1-6 pages.

			If RecordsFound > 0 Then
				If RecordsFound = 15 Then ' See if exactly 15 records are return
					NumOfPages = 1
				Else
					NumOfPages = Int(RecordsFound/15) + 1
					If NumOfPages > 20 Then
						NumOfPages = 20
					End If
				End If
			End If

			If NumOfPages > 1 Then

				response.write "<font size=-2 face=arial>"
				response.write "<B>" & wc_Result_Pages & ":</b> "

				If Page = "" THEN
					Page = 1
				End If

				If Page <> ""  Then
					CurrentPage = Page
				End If

				for i = 1 to NumOfPages
					If CInt(CurrentPage) = i Then
						response.write "<B>" & i & "</b>"
					Else
						response.write "<a href=DoTInspections.asp?Page=" & i & "&Query="& Query&"&Text="& TextFlag&"&ResultsView="&ResultsView&"&Sortby="&SortBy& "> "& i& "</a>"
					End If
					response.write chr(10)& chr(13)
				next

				if CurrentPage > 20 then
					response.write "&nbsp;<B>..." & CurrentPage & "</b>"
				End If

				response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoTInspections.asp?Page=" & CurrentPage+1 & "&Query="& Query&"&Text="&TextFlag&"&ResultsView="&ResultsView&"&Sortby="&SortBy& ">" & wc_Next & ".. &gt;&gt; </a>"
				response.write "<P></font>"
			End If

		' Check to see if any records are returned
			count = 0

			' Move to the appropriate starting record if this is displaying
			' a page other than page 1

			if Page <> "" Then
				PageNum = ((CInt(Page)-1)*15)
				rstemp.Move PageNum ' Move to the appropriate record
			End If

%>
			<CENTER><table bgcolor=F0F0F0 border=1>
			<tr>
				<td class=formlabelsuper><%=Asset_Number_Label%></td>
				<td class=formlabelsuper><%=Computer_ID_Label%></td>
				<td class=formlabelsuper><%=Property_Tag_Label%></td>
				<td class=formlabelsuper>Serial #</td>
				<td class=formlabelsuper>Case</td>
				<td class=formlabelsuper>Status</td>
				<td class=formlabelsuper>Date</td>
				<td class=formlabelsuper>By</td>
				<td class=formlabelsuper>Notes</td>
				</td>
			</tr>

	<%
			do while not rstemp.eof 'AND Count < 15
				' Start to display each case record summary
	%>
				<td class=formboxholder><%=rstemp("Asset_Number")%>&nbsp;</td>
				<td class=formboxholder><%=rstemp("Computer_ID")%>&nbsp;</td>
				<td class=formboxholder><%=rstemp("Property_Tag")%>&nbsp;</td>
				<td class=formboxholder><%=rstemp("Serial_Number")%>&nbsp;</td>
				<td class=formboxholder><%=rstemp("Case_Number")%>&nbsp;</td>
				<td class=formboxholder><%=rstemp("InspectionStatus")%>&nbsp;</td>
				<td class=formboxholder><%=rstemp("InspectionDate")%>&nbsp;</td>
				<td class=formboxholder><%=rstemp("first_Name") & " " & rstemp("Last_Name")%>&nbsp;</td>
				<td class=formboxholder><%=rstemp("InspectionNotes")%>&nbsp;</td>
				</tr>
	<%
				rstemp.movenext
				%>
<%
				count = count + 1
			loop

			response.write "</table>"

		rstemp.close
		set rstemp=nothing
	'	conntemp.close ' Close the connection
	'	set conntemp=nothing

	  End IF ' End of if Text Search Criteria failed to return anything
 %>

 <% Sub GetDateString()
	  'Get the value of the User Screen background color from the Configuration Table

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found then
		if rstemp2.EOF then
			UserPageColor = "FFFFFF" ' Default to white if record not found
			WCDateFormat = "MMDDYYYY"
		Else
			UserPageColor = rstemp2("ts_user_page_color")
			Customer_ID_List = rstemp2("customer_id_list")
			WCDateFormat = rstemp2("Date_Display_Format")
			Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQL
			' This will override databasetype2 constants set in the DB_define.inc file
			DatabaseType2 = Database
		End If
		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing
 	End Sub
 %>

</body>
</html>
