<%  ' Module: DoVerifyAsset.asp
	'
	' Description: Submit Module For Assets.asp module
	'
	' (C) 2000-2006 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
	'12/13/00	SAV		Created DoAssets.asp from DoSearch.asp module
	'08/17/06	SAV		Created DoVerifyASset.asp from DoAsset.asp

%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc

%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	ResultsView = request.querystring("ResultsView")


	if Page = "" Then

		' Get the form variables if passed from the original Case Search Form
		' This page can also be called from a query string from the case form
		' so we must get variables both ways (form and querystring)



		' Assignments


		Customer_Id = Request.querystring("Customer_ID")
		If Customer_ID = "" Then
			Customer_id = request.form("Customer_id")
		End IF

		Tech_Id= request.form("Tech_ID")
		Asset_number = request.form("asset_number")
		Asset_number2 = Request.form("asset_number2")
		SortBy = Request.form("Sortby")

		If SortBy = "" Then
			SortBy = "Assets.Asset_Number"
		End If


		' Value fields

		Computer_ID = Request.form("Computer_ID")
		Property_tag = Request.form("Property_tag")
		Equipment_Type = Request.form("Equipment_type")
		Serial_number = Request.form("Serial_number")
		Assigned_group = Request.form("assigned_group")
		IP_Address = Request.form("IP_Address")
		Purchase_order_num = Request.form("Purchase_order_num")
		Lease_Or_Purchase = Request.form("Lease_Or_Purchase")
		Acquired_from = Request.form("Acquired_from")
		ResultsView = Request.form("ResultsView") 'Detailed/Brief


		Custom_Field1 = Request.form("Custom_Field1")
		Custom_Field2 = Request.form("Custom_Field2")
		Custom_Field3 = Request.form("Custom_Field3")
		Custom_Field4 = Request.form("Custom_Field4")
		Custom_Field5 = Request.form("Custom_Field5")

		If ResultsView = "" then
			ResultsView = "DETAILED" ' Default To Brief
		End IF

		Location = Request.form("Location")
		Wall_Port_Number = Request.form("Wall_Port_Number")
		Date_Assigned = Request.form("Date_Assigned")

		' Start to Create the query based on the passed fields

		' String Search Processing Algorithm
		' Each word of the search string will separated out and then checked
		' against the kbwords table and a query will be built.


		' Customer_ID  Search
		If  Customer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " AssetAssignment.Customer_ID = '" & Customer_ID & "'"
			AndText = " AND "
		End IF

		' Tech_ID  Search
		If  Tech_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " AssetAssignment.Tech_ID = '" & Tech_ID & "'"
			AndText = " AND "
		End IF


		' Assigned to another asset search
		If  asset_number2  <> "" Then
			WhereStatement = WhereStatement & AndText & " AssetAssignment.Asset_number2 = " & Asset_number2
			AndText = " AND "
		End IF


		' Value searches ' Use the like operator

		' Add search criteria for computer_id, property tag, etc

		' Computer_id
		If  computer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Computer_ID like '" & Computer_ID & "%'"
			AndText = " AND "
		End IF

		' Property_tag
		If  property_tag <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Property_tag like '" & property_tag & "%'"
			AndText = " AND "
		End IF


		' equipment_type
		If  equipment_type <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.equipment_type like '" & equipment_type & "%'"
			AndText = " AND "
		End IF


		' serial_number
		If  Serial_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.serial_number like '" & serial_number & "%'"
			AndText = " AND "
		End IF

		' assigned_group
		If  assigned_group <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.assigned_group like '" & assigned_group & "%'"
			AndText = " AND "
		End IF

		' IP_Address
		If  IP_Address <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.IP_Address like '" & IP_address & "%'"
			AndText = " AND "
		End IF


		' Purchase_order
		If  purchase_order_num <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.purchase_order_num like '" & purchase_order_num & "%'"
			AndText = " AND "
		End IF

		' Lease or Purchase
		If  Lease_or_Purchase <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Lease_or_Purchase like '" & Lease_Or_Purchase & "%'"
			AndText = " AND "
		End IF

		' Acquired_From
		If  Acquired_from <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.acquired_from like '" & Acquired_from & "%'"
			AndText = " AND "
		End IF


		' Location
		If  Location <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.location like '" & Location & "%'"
			AndText = " AND "
		End IF

		' Wall Port Number
		If  Wall_Port_Number <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.wall_port_number like '" & Wall_Port_Number & "%'"
			AndText = " AND "
		End IF

		' Date_Assigned
		If  Date_Assigned <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.date_assigned like '" & Date_assigned & "%'"
			AndText = " AND "
		End IF


		' Asset Number Search
		If  asset_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.asset_number = " & asset_number
			AndText = " AND "
		End IF


		' Custom_Field1 Number
		If  Custom_Field1 <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Custom_Field1 like '" & custom_field1 & "%'"
			AndText = " AND "
		End IF

		' Custom_Field2 Number
		If  Custom_Field2 <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Custom_Field2 like '" & custom_field2 & "%'"
			AndText = " AND "
		End IF

		' Custom_Field3 Number
		If  Custom_Field3 <> "" Then
			WhereStatement = WhereStatement & AndText & " Assets.Custom_Field3 like '" & custom_field3 & "%'"
			AndText = " AND "
		End IF


	' The complete query is in the WhereStatement at this point

	End If  ' End of If Page <> ""

	If Page <> "" Then

		If SortBy = "" Then
			SortBy = Request.querystring("SortBy") ' Handle special case when called as link
		End If

		If SortBy = "" Then
			SortBy = "Assets.Asset_Number"
		End If

	End If


	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE><%=wc_Asset_Search_Results%> </TITLE>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow>

<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>Verify Asset Search Results</td>
</tr>
</table>


<p>
<TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><A HREF="TVerifyAsset.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
&nbsp;


<%

	' Build the query based on the passed input fields
	If DatabaseType = "ORACLE" Then

		mySQL2 = " SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address FROM Assets "
		mySQL2 = "SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM Assets, AssetAssignment "
		mySQL2 = "SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM Assets, AssetAssignment "

		If TextSearchQuery = "" AND WhereStatement <> "" THEN
			WhereStatement = " WHERE Assets.asset_number = AssetAssignment.Asset_number AND " & WhereStatement
		ELSE
			WhereStatement = " WHERE Assets.asset_number = AssetAssignment.Asset_number "
		End IF
	Else
		mySQL2 = " SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address FROM Assets "


		mySQL2 = "SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM Assets INNER JOIN AssetAssignment ON Assets.asset_number = AssetAssignment.Asset_number"

		mySQL2 = "SELECT Assets.asset_number, Assets.computer_id, Assets.property_tag, Assets.equipment_type, Assets.lease_or_purchase, Assets.purchase_order_num, Assets.serial_number, Assets.acquired_from, Assets.assigned_group, Assets.location, Assets.ip_address, AssetAssignment.customer_id, AssetAssignment.Tech_id, AssetAssignment.Asset_number2 FROM Assets LEFT OUTER JOIN AssetAssignment ON Assets.asset_number = AssetAssignment.Asset_number"

		If TextSearchQuery = "" AND WhereStatement <> "" THEN
			WhereStatement = " WHERE " & WhereStatement
		End IF
	End If
	' Now Add that Where clause to the select statement

	mySQL2 = mySQL2 & WhereStatement

	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.


	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

		mySQL2 = mySQL2 & Query

	End If

	mySQL2 = mySQL2  & " Order by " & SortBy

	'response.write mySQL2

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string





	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount


If RecordsFound > 1 then


%>

	 <center> &nbsp;  <%=RecordsFound%> &nbsp; Matching Records Found <br>
	 Please Retry Search


	 <br>
	 <br>

<a href="VerifyAsset.asp"><img src="/<%=WCLanguageDirectory%>/p_search_again.gif" border=0></A>
	 </center><P>


	 </center><P>



<%Else %>


	 <center> &nbsp;  <%=RecordsFound%> &nbsp; Matching Records Found <br></center><P>

<% End If %>


	</font>

<% If RecordsFound = 1 Then %>

<center>

<table width=70% bgcolor=F0F0F0 border=1>
<tr>
<td>
<UL>



<form method = post action = DoTVerifyAsset2.asp >

<input type=hidden name = "Asset_Number" value = "<%=rstemp("asset_number")%>">


<%=Indent%><font color=green><%=Description_Label%></font>: <%=rstemp("equipment_type")%>
<br>
<%=Indent%><font color=green><%=Property_Tag_Label%></font>: <%=rstemp("Property_tag")%>
<Br>
<%=Indent%><font color=green><%=Location_Label%></font>: <%=rstemp("Location")%>


<br>
<%=Indent%><font color=green><%=Assigned_Group_Label%></font>: <%=rstemp("Assigned_group")%>
<br>

<%=Indent%><font color=green>Full Details</font>: <A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_number")%>">Asset <%=rstemp("asset_Number")%></a>



<Br>

<%' Now display a form field to verify the date %>

<%=Indent%><font color=green>Verification Date:</font>



<%

'FormattedDateString = Month(NOW()) & "/" & Day(NOW()) & "/" & Year(NOW())

' We must format it into YYYY/MM/DD since we will be required to do an alpha sort
' later and only this format will work for alpha sorts.

FormattedDateString = YEAR(NOW()) & "/"

If Len(Month(NOW())) = 1 Then
	FormattedDateString = FormattedDateString & "0" & Month(NOW())
Else
	FormattedDateString = FormattedDateString & Month(NOW())
End If


FormattedDateString = FormattedDateString &  "/"



If Len(Day(NOW())) = 1 Then
	FormattedDateString = FormattedDateString & "0" & Day(NOW())
Else
	FormattedDateString = FormattedDateString & Day(NOW())
End If

%>

<input type =TEXT  size= 10 maxlength=10 name=VerifyDate value="<%=FormattedDateString%>">  (yyyy/mm/dd)

<br>


<%


	rstemp.close
	set rstemp=nothing
'	conntemp.close ' Close the connection
'	set conntemp=nothing

%>





<br>

<center>
Press the <font color=green>Continue</font> button <br>
to Verify/Update Asset

<br>

<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_continue30X100.gif border=0>
<br>

<Br>



</ul>


</td>
</tr>
</table>


</center>

<%End If %>



</body>
</html>

<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>



<%
Sub DebugWrite( DbgMsg )
	ForReading = 1
	ForWriting = 2
	ForAppending = 8

	TristateUseDefault = -2
	TristateTrue = -1
	TristateFalse = 0

	Dim ScObj, DbgFile

	FileName = Server.MapPath(".") & "\Debug.log"

	Set ScObj = Server.CreateObject("Scripting.FileSystemObject")
	Set DbgFile = ScObj.OpenTextFile(FileName,ForAppending,TRUE,TristateFalse)
	DbgFile.WriteLine Now() & ":    " & DbgMsg
	DbgFile.Close
	Set DbgFile = Nothing
	Set ScObj = Nothing

End Sub
%>
