<% 'Module: dotechlogin.asp

   'Description: This module is the special version of the Login Page.
	' This page was created to specially handle Login Issues with IE versions
	' on the MAC and with version 4.5 and above.
	' This ASP file takes two parameters (LoginTechID and Password)
	' and determines if the user is in the database by checking the
	' following combinations of accounts:

	' The User is login'ed when tech_id and password match
	'		OR
	'	LoginID and password match.

   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '6/13/2000	SAV		Created original DoMacLogin.asp page
   '02/06/2001	SAV		Removed multiple connections to database to one connection
   '10/11/2001	SAV		Removed calls to file read functions
   '04/05/2003  JC      Enhanced to detect SQL injection attempts
   '10/31/12   CMB      Changed frame size to 180 was 160

	' CONSTANTS
%>

<%' Set Global application variables - must be done prior to anything else %>
<!-- #INCLUDE FILE="SetGlobal.asp" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="Adovbs.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->


<%

' --- First we will see if the cookie exists already

TimeOffsetMinutes = Request.Cookies("WEB_CENTER_TIMEOFFSET") ' Get the time offset from the cookie

If TimeOffsetMinutes = "" Then ' -- Check to see if we got a value out of the cookie
    'response.write "Cookie does not yet exist<p>"
    ' -- pick up the value from the submitted form instead
    TimeOffsetMinutes = request.form("TimeDiff")
    ' -- and now set the cookie
     Response.Cookies("WEB_CENTER_TIMEOFFSET") = TimeOffsetMinutes
     Response.Cookies("WEB_CENTER_TIMEOFFSET").Path = "/"
     Response.Cookies("WEB_CENTER_TIMEOFFSET").Secure = FALSE
Else
    ' response.write "Existing Cookie successfully retrieved<p>"
end if

'response.write "I see the time offset from GMT (of the machine running your browser) in minutes is " & TimeOffsetMinutes & "<p>"
'response.flush
'response.end


TimeOffsetHours = TimeOffsetMinutes / 60

'response.write "Which means the offset in hours is " & TimeOffsetHours & "<p>"


%>


<% ' Verify the Username LoginID and password

	LoginTechID = request.form("Login_Tech_ID")
	Field_Validation_Check "User Id", LoginTechID
	Password = request.form("Password")
    Field_Validation_Check "Password", Password
		' Get Total number of registered techs

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

			sqltemp="select last_name from Tech_staff"
			set rstemp=Server.CreateObject("adodb.Recordset")
			'-->AKS<-- Need to specify cursore for record count to be correct.

			If DatabaseType <> "ACCESS97" Then
				rstemp.CursorLocation = adUseClient
			End If

			rstemp.open sqltemp, conntemp, adopenstatic

			If rstemp.EOF <> True Then
				Do While rstemp.EOF <> True
					TotalTechs = TotalTechs + 1
					rstemp.MoveNext
				Loop
			Else
				TotalTechs = 2
			End If

			rstemp.close
			set rstemp=nothing
'		conntemp.close ' Close the connection
'		set conntemp=nothing

'	set conntemp=server.createobject("adodb.connection")
'	conntemp.open myDSN

	mySQL2="select * from Tech_staff where tech_id= '" & LoginTechID & "' AND tech_password = '" & password & "'"
	'response.write "SQL= " & mySQL2

	set rstemp=conntemp.execute(mySQL2)

	if rstemp.eof = True then
		LoginFailed = "YES"
		' email or password fails so send out page to have then try again.
	Else
	    ' check here for injection by doing a compare of the record contents with what was typed in
	    thestring = "UN=" & LoginTechID & " and PW=" & password
	    If NOT (Ucase(rstemp("tech_id")) = Ucase(LoginTechID) AND Ucase(rstemp("tech_password")) = Ucase(password)) Then Bad_Data_Detected "Login String", thestring, "99"
		LoginFailed = "NO"
		TechID = rstemp("tech_id") ' Set cookie with TechID
		Tech_Level = rstemp("tech_level") ' Grab tech level to display different startup user page


	End If

		rstemp.close
		set rstemp=nothing
'		conntemp.close ' Close the connection
'		set conntemp=nothing


	If TotalTechs > 3 Then

			LicenseKeyViolation = "YES"
			LoginFailed = "YES"
		End If


	If LoginFailed = "YES" Then

		' If this login fail, then check if they passed the LoginID and password
'		set conntemp=server.createobject("adodb.connection")
'		conntemp.open myDSN

		mySQL2="select * from Tech_staff where current_customer_id= '" & LoginTechID & "' AND tech_password = '" & password & "'"
		'response.write "SQL= " & mySQL2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			LoginFailed = "YES"
			' email or password fails so send out page to have then try again.
		Else
		   ' check here for injection  by doing a compare of the record contents with what was typed in
			thestring = "UN=" & LoginTechID & " and PW=" & password
			If NOT (Ucase(rstemp("current_customer_id")) = Ucase(LoginTechID) AND Ucase(rstemp("tech_password")) = Ucase(password)) Then Bad_Data_Detected "Login String", thestring, "99"
			LoginFailed = "NO"
			TechID = rstemp("tech_id") ' Set cookie with TechID
			Tech_Level = rstemp("tech_level") ' Grab tech level to display different startup user page


		End If

			rstemp.close
			set rstemp=nothing
'			conntemp.close ' Close the connection
'			set conntemp=nothing
	End If

	' Check one more time for email and password
	If LoginFailed = "YES" Then

		' If this login fail, then check if they passed the LoginID and password
'		set conntemp=server.createobject("adodb.connection")
'		conntemp.open myDSN

		mySQL2="select * from Tech_staff where work_email = '" & LoginTechID & "' AND tech_password = '" & password & "'"
		'response.write "SQL= " & mySQL2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			LoginFailed = "YES"
			' email or password fails so send out page to have then try again.
		Else
		    ' check here for injection  by doing a compare of the record contents with what was typed in
	    	thestring = "UN=" & LoginTechID & " and PW=" & password
	    	If NOT (Ucase(rstemp("work_email")) = Ucase(LoginTechID) AND Ucase(rstemp("tech_password")) = Ucase(password)) Then Bad_Data_Detected "Login String", thestring, "99"
			LoginFailed = "NO"
			TechID = rstemp("tech_id") ' Set cookie with TechID
			Tech_Level = rstemp("tech_level") ' Grab tech level to display different startup user page

		End If

			rstemp.close
			set rstemp=nothing
'			conntemp.close ' Close the connection
'			set conntemp=nothing
	End If


' Now Finally close the database connection
			conntemp.close ' Close the connection
			set conntemp=nothing


	If LoginFailed = "YES" OR LicenseKeyViolation = "YES" Then


%>

<html><!-- (C) 1996,1998 by Internet Software Sciences-->
<head>
<title>Tech+Center Login Failure</title>
</head>
<body bgcolor=#D8D8D8>
<center><table border=1 cellspacing=2 cellpadding=10
width=98%><tr><td><div align=center><font size=+1><b>
<%=wc_Tech_Center_Login_Failure%>
</b></font>
<br>
<font size=+1 color=blue><b></b></font></div><div align=left><p>
<font size=-1></div></td></tr></table><p>
<center>
<table width=80%><tr><td bgcolor=F0F0F0>
<font size=-1 face=arial>

<% If LicenseKeyViolation = "YES" Then %>
<center>
	<Font size=+2 color=red>FREE (2) Tech License Key Violation <br>
	  2 Tech License Exceeded<P></font>

</center>
	Only 2 techs can be registered with the FREE 2 tech version.  To obtain licensed
	versions for more than 2 techs, please contact
	<a href=http://www.inet-sciences.com>Internet Software Sciences</a> or
	send an email to the ISS Sales at <a href=mailto:Sales@inet-sciences.com>Sales@inet-sciences.com</a>
	with your Tech staff requirements.
	<P>
	<B>You must remove any additonal techs beyond 2  from the Tech_staff table in the database before you
	can use the Tech+Center
	application again.</b>
	<P>
	<I>If a licensed user obtains this message, please contact ISS and we can provide you with
	your appropriate tech user license key immediately.</i>
	<P>

<%Else %>

<B>Sorry,</b> your login could not be verified.  Please press the Continue
button below and retry your login again with:<P>
	<UL>
	<LI> LoginID and password OR
	<LI> TechID and password OR
	<LI> Your Email and password
	</ul>
<%End If %>

<center>
<a href=default.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>
</td></tr></table>

</td></tr></table>

<br>
</form>
</body>
</html>


<%Else ' Password and email are valid so displayed logged in page

	' Old Way
	' Important : It appear that we need to still set the cookie the old way
	' and new way to be compatible with techsupp.dll cookie reading code when
	' using MS Internet Explorer.  - Not exactly sure why the cookie code is
	' is sending and receiving the cookies differently, but for now we
	' need to set both cookies to compatible with techsupp.dll with IE.

	' so that is why we have both the addheader method and response.cookies
	' approach.
	response.addheader "Set-Cookie", "ISS_TECH_CENTER_LOGIN="&TechID&"; path=/;"

	' New Way (Compatible with ASP modules)

		Response.Cookies("ISS_TECH_CENTER_LOGIN") = TechID

			 Response.Cookies("ISS_TECH_CENTER_LOGIN").Path = "/"
			 Response.Cookies("ISS_TECH_CENTER_LOGIN").Secure = FALSE

		CookieString= "ISSTECHCENTERLOGIN"
	' Let them expire after each session
	'	 Response.Cookies(Cookiestring).Expires = Date + 90

	'	 Response.Cookies(Cookiestring).Path = "/"
	'	 Response.Cookies(Cookiestring).Secure = FALSE

	'	Response.Cookies ("MemberID") =  "3"
	'	Response.Cookies ("MemberID").Expires = Date + 90






%>



<html><!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<head>
<title>Tech+Center</title>
</head>
<frameset cols="160,80%">
<frame src=Toptions.asp?TechID=<%=techid%> scrolling=auto name=options_screen align=center>
<frameset rows="10%, 90%">
<frame src=MyCases.asp?TechID=<%=techid%> scrolling=auto name=pending_screen>

<% If Tech_Level > 3 Then %>
<frame src=AdminLoginStatus.asp scrolling=auto name=user_screen>

<% Else %>

<frame src=UserScreen.asp scrolling=auto name=user_screen>

<% End If %>


</frameset>
</frameset>
</html>


<% End If %>

