<% 'Module: DoTechLoginLicSetStatus.asp

   'Description: This module is the special version of the Login Page.
	' This page was created to specially handle Login Issues with IE versions
	' on the MAC and with version 4.5 and above.
	' This ASP file takes two parameters (LoginTechID and Password)
	' and determines if the user is in the database by checking the
	' following combinations of accounts:

	' The User is login'ed when tech_id and password match
	'		OR
	'	LoginID and password match.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '6/13/2000	SAV		Created original DoMacLogin.asp page
   '02/06/2001	SAV		Removed multiple connections to database to one connection
   '10/11/2001	SAV		Removed calls to file read functions
   '10/11/2001	SAV		Modified DoTechLogin.asp  to bypass file read functions for Licensed Users
	'06/26/2002	SAV		Created DoTechLoginSetStatus.asp to always clear the techs busy/available to available when logging in.

	' CONSTANTS
%>


<%' Set Global application variables - must be done prior to anything else %>
<!-- #INCLUDE FILE="SetGlobal.asp" -->


<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->


<% ' Verify the Username LoginID and password

	LoginTechID = request.form("Login_Tech_ID")
	Field_Validation_Check "User Id", LoginTechID

	Password = request.form("Password")
	Field_Validation_Check "Password", Password

		' Get Total number of registered techs

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

			sqltemp="select last_name from Tech_staff"
			set rstemp=Server.CreateObject("adodb.Recordset")
			'-->AKS<-- Need to specify cursore for record count to be correct.

			If DatabaseType <> "ACCESS97" Then
				rstemp.CursorLocation = adUseClient
			End If

			rstemp.open sqltemp, conntemp, adopenstatic

			If rstemp.EOF <> True Then
				Do While rstemp.EOF <> True
					TotalTechs = TotalTechs + 1
					rstemp.MoveNext
				Loop
			Else
				TotalTechs = 3
			End If

			rstemp.close
			set rstemp=nothing
'		conntemp.close ' Close the connection
'		set conntemp=nothing

'	set conntemp=server.createobject("adodb.connection")
'	conntemp.open myDSN

	mySQL2="select * from Tech_staff where tech_id= '" & LoginTechID & "' AND tech_password = '" & password & "'"
	'response.write "SQL= " & mySQL2

	set rstemp=conntemp.execute(mySQL2)

	if rstemp.eof = True then
		LoginFailed = "YES"
		' email or password fails so send out page to have then try again.
	Else


	    ' check here for injection by doing a compare of the record contents with what was typed in
	    thestring = "UN=" & LoginTechID & " and PW=" & password
	    If NOT (Ucase(rstemp("tech_id")) = Ucase(LoginTechID) AND Ucase(rstemp("tech_password")) = Ucase(password)) Then Bad_Data_Detected "Login String", thestring, "99"



		LoginFailed = "NO"
		TechID = rstemp("tech_id") ' Set cookie with TechID

	End If

		rstemp.close
		set rstemp=nothing
'		conntemp.close ' Close the connection
'		set conntemp=nothing


	'If TotalTechs > 3 Then

	'		LicenseKeyViolation = "YES"
	'		LoginFailed = "YES"
	'	End If


	If LoginFailed = "YES" Then

		' If this login fail, then check if they passed the LoginID and password
'		set conntemp=server.createobject("adodb.connection")
'		conntemp.open myDSN

		mySQL2="select * from Tech_staff where current_customer_id= '" & LoginTechID & "' AND tech_password = '" & password & "'"
		'response.write "SQL= " & mySQL2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			LoginFailed = "YES"
			' email or password fails so send out page to have then try again.
		Else
			LoginFailed = "NO"
		TechID = rstemp("tech_id") ' Set cookie with TechID

		End If

			rstemp.close
			set rstemp=nothing
'			conntemp.close ' Close the connection
'			set conntemp=nothing
	End If

	' Check one more time for email and password
	If LoginFailed = "YES" Then

		' If this login fail, then check if they passed the LoginID and password
'		set conntemp=server.createobject("adodb.connection")
'		conntemp.open myDSN

		mySQL2="select * from Tech_staff where work_email = '" & LoginTechID & "' AND tech_password = '" & password & "'"
		'response.write "SQL= " & mySQL2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			LoginFailed = "YES"
			' email or password fails so send out page to have then try again.
		Else
			LoginFailed = "NO"
		TechID = rstemp("tech_id") ' Set cookie with TechID

		End If

			rstemp.close
			set rstemp=nothing
'			conntemp.close ' Close the connection
'			set conntemp=nothing
	End If


' Now Finally close the database connection
			conntemp.close ' Close the connection
			set conntemp=nothing


	If LoginFailed = "YES" OR LicenseKeyViolation = "YES" Then


%>

<html><!-- (C) 1996,1998 by Internet Software Sciences-->
<head>
<title>Tech+Center Login Failure</title>
</head>
<body bgcolor=#D8D8D8>
<center><table border=1 cellspacing=2 cellpadding=10
width=98%><tr><td><div align=center><font size=+1><b>
Tech+Center Login Failure</b></font><br><font size=+1 color=blue><b></b></font></div><div
align=left><p><font size=-1></div></td></tr></table><p>
<center>
<table width=80%><tr><td bgcolor=F0F0F0>
<font size=-1 face=arial>

<% If LicenseKeyViolation = "YES" Then %>
	<Font size=+2 color=red>FREE (3) Tech License Key Violation <br>
	  3 Tech License Exceeded<P></font>


	Only 3 techs can be registered with the FREE 3 tech version.  To obtain licensed
	versions for more than 3 techs, please contact <a href=http://www.inet-sciences.com>Internet Software Sciences</a>.
	<P>
	<B>You must remove any techs from the Tech_staff table in the database before you
	can use the Tech+Center
	application again.</b>
	<P>
	<I>If a license user obtains this message, please contact ISS and we can provide you with
	your appropriate tech user license key immediately.</i>
	<P>
<%Else %>

<B>Sorry,</b> your login could not be verified.  Please press the Continue
button below and retry your login again with:<P>
	<UL>
	<LI> LoginID and password OR
	<LI> TechID and password OR
	<LI> Your Email and password
	</ul>
<%End If %>

<center>
<a href=default.htm><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>
</td></tr></table>

</td></tr></table>

<br>
</form>
</body>
</html>


<%Else ' Password and email are valid so displayed logged in page


	' First reset the available/busy status flag to available at
	' login for this user. This is the availability column. It must
	' be set to either a 1 = Available or a 2 = Busy

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if tech_ID exists then this is an update

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Tech_staff where tech_ID = '" & techID & "'"
			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			' Only modify the availability flag

			' Set all of the variables the same for either new/update

			NewRecord("availability") = 1
			' To set this to busy set this to (2) instead of (1)

				NewRecord.Update
	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	     response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if
	IF  conn.errors.count> 0 then
	      response.write "Database Errors Occured" & "<P>"
	for counter= 0 to conn.errors.count
	      response.write "Error #" & conn.errors(counter).number & "<P>"
	      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
	next
	else
	'      response.write "No Database Errors Occured!" & "<P>"
	end if


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing

	'------------- End of setting Tech_Staff availability

	' Old Way
	' Important : It appear that we need to still set the cookie the old way
	' and new way to be compatible with techsupp.dll cookie reading code when
	' using MS Internet Explorer.  - Not exactly sure why the cookie code is
	' is sending and receiving the cookies differently, but for now we
	' need to set both cookies to compatible with techsupp.dll with IE.

	' so that is why we have both the addheader method and response.cookies
	' approach.
	response.addheader "Set-Cookie", "ISS_TECH_CENTER_LOGIN="&TechID&"; path=/;"

	' New Way (Compatible with ASP modules)

		Response.Cookies("ISS_TECH_CENTER_LOGIN") = TechID

			 Response.Cookies("ISS_TECH_CENTER_LOGIN").Path = "/"
			 Response.Cookies("ISS_TECH_CENTER_LOGIN").Secure = FALSE

		CookieString= "ISSTECHCENTERLOGIN"
	' Let them expire after each session
	'	 Response.Cookies(Cookiestring).Expires = Date + 90

	'	 Response.Cookies(Cookiestring).Path = "/"
	'	 Response.Cookies(Cookiestring).Secure = FALSE

	'	Response.Cookies ("MemberID") =  "3"
	'	Response.Cookies ("MemberID").Expires = Date + 90

%>



<html><!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<head>
<title>Tech+Center</title>
</head>
<frameset cols="160,80%">
<frame src=Toptions.asp?TechID=<%=techid%> scrolling=auto name=options_screen>
<frameset rows="10%, 90%">
<frame src=MyCases.asp?TechID=<%=techid%> scrolling=auto name=pending_screen>
<frame src=UserScreen.asp scrolling=auto name=user_screen>
</frameset>
</frameset>
</html>


<% End If %>

