<% 'Module: DoUploadFile.asp

   'Description: This module is the submit for the UploadFile.asp module.
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

	' Incase the files take a long time to download, set the Server.Scripttimeout to some value
	' which is defined in seconds.  This allows the script to run longer that the default timeout amount.

	Server.ScriptTimeOut = 1200 ' Set to 1200 seconds (20 minutes)

'**************************VERY IMPORTANT NOTE *************************************
' VERY IMPORTANT NOTE!!!!! If you have Norton Anti-virus installed on web server
' machine, you must disable script blocking (configured under options).  This will
' prevent the file from being written and it will also crash the ASP engine and lock
' up the whole tech+Center.
'**************************VERY IMPORTANT NOTE *************************************

   'History:

   'Date	Who		What
   '-------	---		------------------------------------------------
   '7/29/02	SAV		Created original ASP
   '05/10/11 CMB    Changed default directories to 70;

%>

<%'Option Explicit%>

<!-- #include file="Upload.asp" -->
<%

'NOTE - YOU MUST HAVE VBSCRIPT v5.0 INSTALLED ON YOUR WEB SERVER
'	   FOR THIS LIBRARY TO FUNCTION CORRECTLY. YOU CAN OBTAIN IT
'	   FREE FROM MICROSOFT WHEN YOU INSTALL INTERNET EXPLORER 5.0
'	   OR LATER.

'**************************VERY IMPORTANT NOTE *************************************
' VERY IMPORTANT NOTE!!!!! If you have Norton Anti-virus installed on web server
' machine, you must disable script blocking (configured under options).  This will
' prevent the file from being written and it will also crash the ASP engine and lock
' up the whole tech+Center.
'**************************VERY IMPORTANT NOTE *************************************

' Create the FileUploader
Dim Uploader, File
Set Uploader = New FileUploader

' This starts the upload process
Uploader.Upload()

' NOTE: When using the FileUp features, you can not use Request.form() functions
' You must use  the Uploader.Form() functions

'******************************************
' Use [FileUploader object].Form to access
' additional form variables submitted with
' the file upload(s). (used below)
'******************************************

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Get the Configuration information from the Configuration table

		' Call functions to get configuration and SMTP info

	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration"

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else
		' Get the values from the configuration File

		Language = rstemp("Language")
		TechCenterVirtualDirectory = rstemp("TechVirtual")
		CustomerCenterVirtualDirectory = rstemp("CustomerVirtual")
		smtp_host_address = rstemp("smtp_host_address")
		UserPageColor = rstemp("ts_user_page_color")

 	' Get virtual directory and upload physical directories from configuration tables

		FileUpLoadDestinationPath = rstemp("FileUploadPhysicalPath") ' Set this to your full destination path

		FileUploadVirtualDirectory = rstemp("FileUploadVirtualDirectory") ' You must configure this virtual in IIS - Allow read ONLY!
		' For security reasons, do not allow FileVirtualDirectory Script or execute permissions

		MaxFileUploadSize = rstemp("MaxFileUploadSize") ' Maximum Allowed download file size in bytes

		If MaxFileUploadSize = NULL Then
			FileUploadMaximumSize = 0
		Else
			FileUploadMaximumSize = MaxFileUploadSize
		End If

RenameUploadFile = False
FileRenameOption = "NO"

	End If ' End if for no Configuration row found

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

<% 'Get the form data

		LoginTech_ID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		ErrorMessage = "" ' Clear error message

'************************** FILE UPLOAD AND SAVE TO DISK CODE *******************

	' Save the file to the disk at the FileUploadDestinationPath location specified
	' in the DB_define.inc in the customercenter directory.

If Uploader.Files.Count = 0 Then
	'Response.Write "File(s) not uploaded."
Else
	' Loop through the uploaded files
	For Each File In Uploader.Files.Items

		' ***** CODE CUSTOMIZATIONS TO HANDLE FILE type restrictions
		' Option 1: do not allow file of those types to be downloaded
		' Option 2: Rename the extension to .renamed so it can be re-downloaded and renamed by user
		' Other options as you define them

		CheckFileName = CStr(File.FileName)

		FileTypeError = "NO"

		If (Instr(1, CheckFileName, ".gif",1)) <> 0 Then
			FileTypeError = "YES"
			FileError = "GIF Files not allowed"
		End If

		' Check for File Size and file name
		If (File.FileSize >= FileUploadMaximumSize) OR (FileTypeError = "YES") Then
			FileUploadStatus = "Tech attempted to download File: " & File.FileName & " (" & File.FileSize & " Bytes).  File is too large to upload or other error. " &  FileError
		Else

			' ********* File Renaming options code *********************************

			'Response.Write "File Uploaded: " & File.FileName & "<br>"
			'Response.Write "Size: " & File.FileSize & " bytes<br>"
			'Response.write "File Desitination path = " & FileUploadDestinationPath & "<br>"

			' This line appears to fail and lock the server up sometimes
			' It may be due to norton anti-virus security options.

			File.SaveToDisk FileUploadDestinationPath

			' Note: FileUploadVirtualDirectory is defined in DB_define.inc as relative path

		' We must create a full URL link to this file by determining the current
		' URL for DoAttachFiletoCase.asp and then replacing the virtual directory name
		' and also the file name

			 For each key in Request.serverVariables

			 	if Key = "SERVER_NAME" Then
					HostName =  Request.ServerVariables(key)
				End IF

			 	if Key = "SCRIPT_NAME" Then
					SCRIPT_Name =  Request.ServerVariables(key)

					Virtual_Path = replace(Script_Name, "DoAttachFiletoCase.asp", NewFileName,1,99.1)  ' CMB 05/10/2011

					' We next need to replace TechCenter Virtual Directory Name with the
					' the download virtual directory

					If CustomerVirtual = "" Then
						CustomerCenterVirtual = "customer70"
					Else
						CustomerCenterVirtual = CustomerCenterVirtualDirectory ' Grab it from database
					End IF

					If TechCenterVirtualDirectory = "" Then
						TechCenterVirtual = "tech70"
					Else
						TechCenterVirtual = TechCenterVirtualDirectory
					End If

					Virtual_Path = replace(Virtual_Path, TechCenterVirtual, FileUploadVirtualDirectory,1,99,1)
				End IF

			Next

			FullFileURL = "http://" &  hostname & Virtual_Path

			' Possible customization might be required here if using a alias like Help desk so this line above
			' might be replaced with

			'FullFileURL = "http://" &  hostname & "/wcfiledownloads/"

			'Debug
			'response.write "FILE URL = " & FullFileURL & "<br>"

			FileUploadStatus = "Tech Uploaded File: <<a href=""" & FullFileURL & """>>" & File.FileName  & " (" & File.FileSize & " Bytes)<</a>>"&vbCRLF
			DisplayFileName = File.FileName
		End If
	Next
End If
	' Debugging information about File being uploaded

'	Response.Write "File Uploaded: " & File.FileName & "<br>"
'	Response.Write "Size: " & File.FileSize & " bytes<br>"
'	Response.Write "Type: " & File.ContentType & "<br><br>"

' ************************** END OF FILE UPLOAD AND SAVE TO DISK CODE ****************


<% ' Display the page now %>

<html>

<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->

<head>

<title><%=wc_Attach_File_To_Case%></title>

</head>

<body bgcolor=#<%=UserPageColor%>>

<p>

<center>

<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=5 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=4 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1><%=wc_Attach_File_To_Case_Confirmation%></B>
</font>
</TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE></CENTER>

<P>
<center>
<TABLE BORDER=1 CELLPADDING=13 width=98% >
<TR>

<TD ALIGN=CENTER><B> &nbsp;<%=wc_Case_number%>:</B>
<font color=red size=+1><%=case_number%></font><p> has now attached file of: &nbsp;&nbsp;

<B><%=DisplayFileName%></B>

</font></TD>

</tr>

</table>

<P>

<CENTER><TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER></TD>

<TD ALIGN=CENTER><A HREF="TCaseForm.asp?customer_id=0&case_number=<%=case_number%>"><IMG SRC="/<%=WCLanguageDirectory%>/ts_continue30x100.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
<P>
</form>
</body>
</html>

