<% 'Module: DoUploadSerialNumberFile.asp

   'Description: This module is the submit for the AssetsCSVRetirnSurplus.asp module.
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

	' Incase the files take a long time to download, set the Server.Scripttimeout to some value
	' which is defined in seconds.  This allows the script to run longer that the default timeout amount.
   'History:

   'Date			Who		What
   '-------		---		------------------------------------------------
   '04/26/12	CMB		Created original ASP from DoUploadAssetFile.asp

	Server.ScriptTimeOut = 12000 'Set to 1200 seconds (20 minutes)
%>
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #include file="Upload.asp" -->
<%
'NOTE - YOU MUST HAVE VBSCRIPT v5.0 INSTALLED ON YOUR WEB SERVER
'	   FOR THIS LIBRARY TO FUNCTION CORRECTLY. YOU CAN OBTAIN IT
'	   FREE FROM MICROSOFT WHEN YOU INSTALL INTERNET EXPLORER 5.0
'	   OR LATER.

'**************************VERY IMPORTANT NOTE *************************************
' VERY IMPORTANT NOTE!!!!! If you have Norton Anti-virus installed on web server
' machine, you must disable script blocking (configured under options).  This will
' prevent the file from being written and it will also crash the ASP engine and lock
' up the whole tech+Center.
'**************************VERY IMPORTANT NOTE *************************************

' Create the FileUploader
Dim Uploader, File
Set Uploader = New FileUploader

' This starts the upload process
Uploader.Upload()
%>

<%
' NOTE: When using the FileUp features, you can not use Request.form() functions
' You must use  the Uploader.Form() functions

'******************************************
' Use [FileUploader object].Form to access
' additional form variables submitted with
' the file upload(s). (used below)
'******************************************
%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="Adovbs.inc" -->

<%		ErrorMessage = "" ' Clear error message

' Get the Configuration information from the Configuration table

		' Call functions to get configuration and SMTP info

	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		ErrorMessage = "No Configuration file found"
	Else
		TechCenterVirtualDirectory = rstemp("TechVirtual")

		UserPageColor = rstemp("ts_user_page_color")

		FileUpLoadDestinationPath = rstemp("FileUploadPhysicalPath") ' Set this to your full destination path

		FileUploadVirtualDirectory = rstemp("FileUploadVirtualDirectory") ' You must configure this virtual in IIS - Allow read ONLY!
		MaxFileUploadSize = rstemp("MaxFileUploadSize") ' Maximum Allowed download file size in bytes

		If MaxFileUploadSize = NULL Then
			FileUploadMaximumSize = 0
		Else
			FileUploadMaximumSize = MaxFileUploadSize
		End If

	End If ' End if for no Configuration row found

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	If ErrorMessage = "" then

		' Check for the required fields
		' You can add additional required fields or removed
		' restrictions by commenting out the checks below.

	' Save the file to the disk at the FileUploadDestinationPath location specified
	' in the DB_define.inc in the customercenter directory.

	sEnteredFileName = Trim(Uploader.form("EnteredFileName"))
	'sContainsHeader = Uploader.form("FirstRow")
	sWhich = Uploader.form("ResultsView")
'	response.write "HEADER" & sContainsheader
'	response.flush
'	response.end
	If Uploader.Files.Count = 0 and sEnteredFileName  = "" Then
		ErrorMessage = "File(s) not uploaded."
	Else
		if sEnteredFileName = "" then
			' Loop through the uploaded files
			For Each File In Uploader.Files.Items

				CheckFileName = CStr(File.FileName)

				FileTypeError = "NO"

				If (Instr(1, CheckFileName, ".csv",1))= 0 Then
					FileTypeError = "YES"
					ErrorMessage = "only csv files Are allowed"
				End If

				' Check for File Size and file name
				If (File.FileSize >= FileUploadMaximumSize) OR (FileTypeError = "YES") Then
					FileUploadStatus = "Tech attempted to download File: " & File.FileName & " (" & File.FileSize & " Bytes).  File is too large to upload or other error. " &  FileError
				Else

						File.SaveToDisk FileUploadDestinationPath

						 For each key in Request.serverVariables
							if Key = "SERVER_NAME" Then
								HostName =  Request.ServerVariables(key)
							End IF

							if Key = "SCRIPT_NAME" Then
								SCRIPT_Name =  Request.ServerVariables(key)

								Virtual_Path = replace(Script_Name, "DoUploadAssetFile.asp", File.FileName,1,99.1)

								' We next need to replace TechCenter Virtual Directory Name with the
								' the download virtual directory

								If TechCenterVirtualDirectory = "" Then
									TechCenterVirtual = "tech70"
								Else
									TechCenterVirtual = TechCenterVirtualDirectory
								End If
								'Response.write "TechCenterVirtual = " & TechCenterVirtual

								Virtual_Path = replace(Virtual_Path, TechCenterVirtual, FileUploadVirtualDirectory,1,99,1)
							End IF
						Next

						FullFileURL = "http://" &  hostname & Virtual_Path

						'Debug
						'response.write "FILE URL = " & FullFileURL & "<br>"

						FileUploadStatus = "Tech Uploaded File: <<a href=""" & FullFileURL & """>>" & File.FileName  & " (" & File.FileSize & " Bytes)<</a>>"&vbCRLF
						DisplayFileName = File.FileName

				End If ' if not maximum over

			Next
		End If ' if not uploading files
	End If
End if ' if error message

if ErrorMessage > "" then
'	put up page with error message this page
	response.write ErrorMessage
Else
	if sEnteredFileName > "" then
		DisplayFileName = sEnteredFileName
	end if

	'Response.write FileUploadDestinationPath
	'response.write "OK" & "FILE: " & displayfilename
	'response.write fullfileurl

'	go to step2 and put file name in query urlencode
'	sEncode = URLEncode(DisplayFileName)
	sNext = "DoAssetsCSVRetireSurplusStep1.asp?filename=" & DisplayFileName & "&ResultsView=" & sWhich
	response.redirect(sNext)
End if
	' Debugging information about File being uploaded

	'Response.Write "File Uploaded: " & File.FileName & "<br>"
	'Response.Write "Size: " & File.FileSize & " bytes<br>"
	'Response.Write "Type: " & File.ContentType & "<br><br>"

' ************************** END OF FILE UPLOAD AND SAVE TO DISK CODE ****************
%>

