<% 'Module: EditCaseTextLabels.asp

   'Description: This module is the Page where the 10 optional case text field
   ' labels can be configured and enabled.

   '(C) 2000,2001,2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '07/23/02	SAV		Created original EditCaseTextLabels.asp Module


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditPriority.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>
<!-- (C) 1996 - 2002 by Internet Software Sciences -->
<head>
<title><%=wc_Edit_Case_Text_Field_Labels%></title>
</head>
<body bgcolor=#C0C0C0>
<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Edit_Case_Text_Field_Labels%></b>
</font>
<br>
</td></tr></table><p>
</center>

<FORM METHOD=POST ACTION=DoEditCaseTextLabels.asp>




<center>


	<table width=50%>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
<br>
<table border=1 cellspacing=2 cellpadding=3 width=98%><tr>
<th align=center bgcolor=FFFFFF><font size=-1><%=wc_Case_Text_Field_Number%></font></th>
<th align=center bgcolor=FFFFFF><font size=-1><%=wc_Label%></font></th>
<th align=center bgcolor=FFFFFF><font size=-1><%=wc_Text_Field_Status%></font></th>
</tr>

<%' Now Display the Text Labels and their status %>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Case_Text_Field_Labels" ' There should be no rows or only 1

	set rstemp=conntemp.execute(mySQL)

	If rstemp.EOF <> True then
		Field_1_Label = rstemp("Field_1_Label")
		Field_2_Label = rstemp("Field_2_Label")
		Field_3_Label = rstemp("Field_3_Label")
		Field_4_Label = rstemp("Field_4_Label")
		Field_5_Label = rstemp("Field_5_Label")
		Field_6_Label = rstemp("Field_6_Label")
		Field_7_Label = rstemp("Field_7_Label")
		Field_8_Label = rstemp("Field_8_Label")
		Field_9_Label = rstemp("Field_9_Label")
		Field_10_Label = rstemp("Field_10_Label")

		Field_1_State = rstemp("Field_1_State")
		Field_2_State = rstemp("Field_2_State")
		Field_3_State = rstemp("Field_3_State")
		Field_4_State = rstemp("Field_4_State")
		Field_5_State = rstemp("Field_5_State")
		Field_6_State = rstemp("Field_6_State")
		Field_7_State = rstemp("Field_7_State")
		Field_8_State = rstemp("Field_8_State")
		Field_9_State = rstemp("Field_9_State")
		Field_10_State = rstemp("Field_10_State")

	End If


	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

	<tr>
	<td align=center><font size=-1>Text Field 1</font>
	</td>
	<td align=center>
	<font size=-1>
	<input type=text size=30 maxlength=100 name="Field_1_Label" value="<%=Field_1_Label%>">
	</td>
	<td align=center>
	<font size=-1>
	<Select name=Field_1_State size=1>
	<% If Field_1_State = "" OR Field_1_State = 0 Then%>
		<option value=0 SELECTED><%=wc_Disabled%></option>
	<%Else%>
		<option value=0><%=wc_Disabled%></option>
	<%End If %>

	<% If Field_1_State = 1 Then%>
		<option value=1 SELECTED><%=wc_Tech_View_Only%></option>
	<%Else%>
		<option value=1><%=wc_Tech_View_Only%></option>
	<%End If %>

	<% If Field_1_State = 2 Then%>
		<option value=2 SELECTED><%=wc_All_View%></option>
	<%Else%>
		<option value=2><%=wc_All_View%></option>
	<%End If %>

	</select>
	</td>
	</tr>


	<tr>
	<td align=center><font size=-1>Text Field 2</font>
	</td>
	<td align=center>
	<font size=-1>
	<input type=text size=30 maxlength=100 name="Field_2_Label" value="<%=Field_2_Label%>">
	</td>
	<td align=center>
	<font size=-1>
	<Select name=Field_2_State size=1>
	<% If Field_2_State = "" OR Field_2_State = 0 Then%>
		<option value=0 SELECTED><%=wc_Disabled%></option>
	<%Else%>
		<option value=0><%=wc_Disabled%></option>
	<%End If %>

	<% If Field_2_State = 1 Then%>
		<option value=1 SELECTED><%=wc_Tech_View_Only%></option>
	<%Else%>
		<option value=1><%=wc_Tech_View_Only%></option>
	<%End If %>

	<% If Field_2_State = 2 Then%>
		<option value=2 SELECTED><%=wc_All_View%></option>
	<%Else%>
		<option value=2><%=wc_All_View%></option>
	<%End If %>

	</select>
	</td>
	</tr>

	<tr>
	<td align=center><font size=-1>Text Field 3</font>
	</td>
	<td align=center>
	<font size=-1>
	<input type=text size=30 maxlength=100 name="Field_3_Label" value="<%=Field_3_Label%>">
	</td>
	<td align=center>
	<font size=-1>
	<Select name=Field_3_State size=1>
	<% If Field_3_State = "" OR Field_3_State = 0 Then%>
		<option value=0 SELECTED><%=wc_Disabled%></option>
	<%Else%>
		<option value=0><%=wc_Disabled%></option>
	<%End If %>

	<% If Field_3_State = 1 Then%>
		<option value=1 SELECTED><%=wc_Tech_View_Only%></option>
	<%Else%>
		<option value=1><%=wc_Tech_View_Only%></option>
	<%End If %>

	<% If Field_3_State = 2 Then%>
		<option value=2 SELECTED><%=wc_All_View%></option>
	<%Else%>
		<option value=2><%=wc_All_View%></option>
	<%End If %>

	</select>
	</td>
	</tr>

	<tr>
	<td align=center><font size=-1>Text Field 4</font>
	</td>
	<td align=center>
	<font size=-1>
	<input type=text size=30 maxlength=100 name="Field_4_Label" value="<%=Field_4_Label%>">
	</td>
	<td align=center>
	<font size=-1>
	<Select name=Field_4_State size=1>
	<% If Field_4_State = "" OR Field_4_State = 0 Then%>
		<option value=0 SELECTED><%=wc_Disabled%></option>
	<%Else%>
		<option value=0><%=wc_Disabled%></option>
	<%End If %>

	<% If Field_4_State = 1 Then%>
		<option value=1 SELECTED><%=wc_Tech_View_Only%></option>
	<%Else%>
		<option value=1><%=wc_Tech_View_Only%></option>
	<%End If %>

	<% If Field_4_State = 2 Then%>
		<option value=2 SELECTED><%=wc_All_View%></option>
	<%Else%>
		<option value=2><%=wc_All_View%></option>
	<%End If %>

	</select>
	</td>
	</tr>

	<tr>
	<td align=center><font size=-1>Text Field 5</font>
	</td>
	<td align=center>
	<font size=-1>
	<input type=text size=30 maxlength=100 name="Field_5_Label" value="<%=Field_5_Label%>">
	</td>
	<td align=center>
	<font size=-1>
	<Select name=Field_5_State size=1>
	<% If Field_5_State = "" OR Field_5_State = 0 Then%>
		<option value=0 SELECTED><%=wc_Disabled%></option>
	<%Else%>
		<option value=0><%=wc_Disabled%></option>
	<%End If %>

	<% If Field_5_State = 1 Then%>
		<option value=1 SELECTED><%=wc_Tech_View_Only%></option>
	<%Else%>
		<option value=1><%=wc_Tech_View_Only%></option>
	<%End If %>

	<% If Field_5_State = 2 Then%>
		<option value=2 SELECTED><%=wc_All_View%></option>
	<%Else%>
		<option value=2><%=wc_All_View%></option>
	<%End If %>

	</select>
	</td>
	</tr>

	<tr>
	<td align=center><font size=-1>Text Field 6</font>
	</td>
	<td align=center>
	<font size=-1>
	<input type=text size=30 maxlength=100 name="Field_6_Label" value="<%=Field_6_Label%>">
	</td>
	<td align=center>
	<font size=-1>
	<Select name=Field_6_State size=1>
	<% If Field_6_State = "" OR Field_6_State = 0 Then%>
		<option value=0 SELECTED><%=wc_Disabled%></option>
	<%Else%>
		<option value=0><%=wc_Disabled%></option>
	<%End If %>

	<% If Field_6_State = 1 Then%>
		<option value=1 SELECTED><%=wc_Tech_View_Only%></option>
	<%Else%>
		<option value=1><%=wc_Tech_View_Only%></option>
	<%End If %>

	<% If Field_6_State = 2 Then%>
		<option value=2 SELECTED><%=wc_All_View%></option>
	<%Else%>
		<option value=2><%=wc_All_View%></option>
	<%End If %>

	</select>
	</td>
	</tr>

	<tr>
	<td align=center><font size=-1>Text Field 7</font>
	</td>
	<td align=center>
	<font size=-1>
	<input type=text size=30 maxlength=100 name="Field_7_Label" value="<%=Field_7_Label%>">
	</td>
	<td align=center>
	<font size=-1>
	<Select name=Field_7_State size=1>
	<% If Field_7_State = "" OR Field_7_State = 0 Then%>
		<option value=0 SELECTED><%=wc_Disabled%></option>
	<%Else%>
		<option value=0><%=wc_Disabled%></option>
	<%End If %>

	<% If Field_7_State = 1 Then%>
		<option value=1 SELECTED><%=wc_Tech_View_Only%></option>
	<%Else%>
		<option value=1><%=wc_Tech_View_Only%></option>
	<%End If %>

	<% If Field_7_State = 2 Then%>
		<option value=2 SELECTED><%=wc_All_View%></option>
	<%Else%>
		<option value=2><%=wc_All_View%></option>
	<%End If %>

	</select>
	</td>
	</tr>

	<tr>
	<td align=center><font size=-1>Text Field 8</font>
	</td>
	<td align=center>
	<font size=-1>
	<input type=text size=30 maxlength=100 name="Field_8_Label" value="<%=Field_8_Label%>">
	</td>
	<td align=center>
	<font size=-1>
	<Select name=Field_8_State size=1>
	<% If Field_8_State = "" OR Field_8_State = 0 Then%>
		<option value=0 SELECTED><%=wc_Disabled%></option>
	<%Else%>
		<option value=0><%=wc_Disabled%></option>
	<%End If %>

	<% If Field_8_State = 1 Then%>
		<option value=1 SELECTED><%=wc_Tech_View_Only%></option>
	<%Else%>
		<option value=1><%=wc_Tech_View_Only%></option>
	<%End If %>

	<% If Field_8_State = 2 Then%>
		<option value=2 SELECTED><%=wc_All_View%></option>
	<%Else%>
		<option value=2><%=wc_All_View%></option>
	<%End If %>

	</select>
	</td>
	</tr>

	<tr>
	<td align=center><font size=-1>Text Field 9</font>
	</td>
	<td align=center>
	<font size=-1>
	<input type=text size=30 maxlength=100 name="Field_9_Label" value="<%=Field_9_Label%>">
	</td>
	<td align=center>
	<font size=-1>
	<Select name=Field_9_State size=1>
	<% If Field_9_State = "" OR Field_9_State = 0 Then%>
		<option value=0 SELECTED><%=wc_Disabled%></option>
	<%Else%>
		<option value=0><%=wc_Disabled%></option>
	<%End If %>

	<% If Field_9_State = 1 Then%>
		<option value=1 SELECTED><%=wc_Tech_View_Only%></option>
	<%Else%>
		<option value=1><%=wc_Tech_View_Only%></option>
	<%End If %>

	<% If Field_9_State = 2 Then%>
		<option value=2 SELECTED><%=wc_All_View%></option>
	<%Else%>
		<option value=2><%=wc_All_View%></option>
	<%End If %>

	</select>
	</td>
	</tr>

	<tr>
	<td align=center><font size=-1>Text Field 10</font>
	</td>
	<td align=center>
	<font size=-1>
	<input type=text size=30 maxlength=100 name="Field_10_Label" value="<%=Field_10_Label%>">
	</td>
	<td align=center>
	<font size=-1>
	<Select name=Field_10_State size=1>
	<% If Field_10_State = "" OR Field_1_State = 0 Then%>
		<option value=0 SELECTED><%=wc_Disabled%></option>
	<%Else%>
		<option value=0><%=wc_Disabled%></option>
	<%End If %>

	<% If Field_10_State = 1 Then%>
		<option value=1 SELECTED><%=wc_Tech_View_Only%></option>
	<%Else%>
		<option value=1><%=wc_Tech_View_Only%></option>
	<%End If %>

	<% If Field_10_State = 2 Then%>
		<option value=2 SELECTED><%=wc_All_View%></option>
	<%Else%>
		<option value=2><%=wc_All_View%></option>
	<%End If %>

	</select>
	</td>
	</tr>


	</table>


		</center>


</form>

</body>
</html>

<% End If %>

