<% 'Module: EditConfiguration.asp

   'Description: This module is the Page for displaying the second
   ' system level configuration page.

   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '03/28/01	SAV		Created original EditConfiguration.asp Module


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%
	' FIRST Get the values from the configuration file and into variables


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"


	'set rstemp2=conntemp.execute(mySQL2)
	' Note : Problem found with SQL*Server and conntemp.execute for configuration table??
	' Always use rstemp2.open mySQL2 conntemp, 1,3
	' Cursor type needs to be specified

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")


		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		TimeSpentInterval = rstemp("Time_Spent_Interval")
		DateDisplayFormat = rstemp("Date_Display_Format")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title>Advanced Configuration Options</title>
</head>
<body bgcolor=#C0C0C0>
<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b>System Configuration Options</b><br>
</font>
<font size=-2> Please refer to the Web+Center User Guide for
details on setting the options below</font>
</font>
<br>
</td></tr></table><p>
</center>

<FORM ACTION=DoEditConfiguration.asp method=post>

<center>

	<table width=98% border=0 cellspacing=3 cellpadding = 3>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
		</center>


<center>
<table border=1 cellspacing=2 cellpadding=3 width=98%>
<tr>
<td>
<table border=0>
<tr>
<td width=50% valign=top>
<font size=-1>
<br>


<center><font size=+1>Case Form Sizing</font></center><hr width=80%>
<UL> <B>AUTO Sizing</B> or <B>FIXED Sizing</b><br>

<% If TextBoxSizing = "AUTO" Then %>
<input type=radio name=TextBoxSizing value="AUTO" CHECKED> AUTO
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=radio name=TextBoxSizing value="FIXED"> FIXED <P>

<%Else %>

<input type=radio name=TextBoxSizing value="AUTO" > AUTO
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=radio name=TextBoxSizing value="FIXED" CHECKED> FIXED <P>

<%End If %>


<B>Default Rows for Summary Box</b><br>
<input type=text size=3 maxlength=3 name="CasesummaryRows" value="<%=CasesummaryRows%>"> # of Rows<P>

<B>Max Rows for Summary Box</b><br>
<input type=text size=3 maxlenth=3 name="CasesummaryMaxRows" value="<%=CasesummaryMaxRows%>"> # of Rows<P>

<B>Default Rows for Resolution Box</b><br>
<input type=text size=3 maxlength=3 name="CaseResolutionRows" value="<%=CaseResolutionRows%>"> # of Rows<P>

<B>Max Rows for Resolution Box</b><br>
<input type=text size=3 maxlenth=3 name="CaseResolutionMaxRows" value="<%=CaseResolutionMaxRows%>"> # of Rows<P>

<B>Default Rows for History Box</b><br>
<input type=text size=3 maxlenth=3 name="CaseHistoryRows" value="<%=CaseHistoryRows%>"> # of Rows<P>

<B>Default COLUMNS for Text Boxes</b><br>
<input type=text size=3 maxlenth=3 name="CaseTextBoxColumns" value="<%=CaseTextBoxColumns%>"> # of Columns<P>


</uL>
<center><font size=+1>Date Format Display</font><hr width=80%>

<% If DateDisplayFormat = "DDMMYYYY" Then %>
<input type=radio name=DateDisplayFormat value="MMDDYYYY" > MM/DD/YYYY (US)<P>
<input type=radio name=DateDisplayFormat value="DDMMYYYY" CHECKED> DD/MM/YYYY (UK)<P>

<%Else ' Default to US %>

<input type=radio name=DateDisplayFormat value="MMDDYYYY" CHECKED> MM/DD/YYYY (US)<P>
<input type=radio name=DateDisplayFormat value="DDMMYYYY"> DD/MM/YYYY (UK)<P>
<%End If %>

</center>
</td>

<td valign=top width=50%>
<br>
<font size=-1>
<center><font size=+1>Time Zone Adjustments</font></center><hr width=80%>
<ul>
<B>Case Time Zone Settings</b><br>
<input type=text size=3 maxlength=3 name=TimeZoneAdjustment value="<%=TimeZoneAdjustment%>">
 +/- Hours from Server System Time<P>
<B>Time Zone Label</B> (PST, GMT, etc)<br>

<input type=text size=9 maxlength=10 name=TimeZoneLabel value="<%=TimeZoneLabel%>"> (Optional)<P>
</ul>

<% If LanguageOption = "ON" Then %>
<center><font size=+1>Language </font></center><hr width=80%>
<center>

<table>
<td width=50%><td>
<font size=-1>
<input type=radio name=Language value="English-US" checked> English (US)<br>
<input type=radio name=Language value="French-France" > French (France)<br>
<input type=radio name=Language value="German" > German (Germany)<br>
<input type=radio name=Language value="Italian" > Italian<P>
</td>
<td width=50%><td>
<font size=-1>
<input type=radio name=Language value="Language-5" > Language 5<br>
<input type=radio name=Language value="Language-5" > Language 6<br>
<input type=radio name=Language value="Language-5" > Language 7<br>
<input type=radio name=Language value="Language-5" > Language 8<P>
</td>
</tr>
</table>
</center>

<%End If %>

<br>
<center><font size=+1>Knowledge Base Updates</font></center><hr width=80%>
<UL>

<% If AllKBUpdate <> "" Then%>
<input type=checkbox name=ALLKBUpdate value=YES CHECKED><B>Add all Cases to KB</b><P>

<% Else %>

<input type=checkbox name=ALLKBUpdate value=YES ><B>Add all Cases to KB</b><P>
<%End If %>

</ul>

<center><font size=+1>Time Spent Categories</font></center><hr width=80%>

<UL>
<B>Time Spent Category</B><br>
Choose one if appropriate<br>
<% ' Display all of the Categories from the Categories table

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Categories Order by category_number"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned

	If  rstemp.eof then ' Check to see any Categories exist
		response.write "No Categories available"
	Else

		'Response.write "TimeSpent = " & TimeSpentCategory

		response.write "<select name=TimeSpentCategory size=1>"
		response.write "<option value=>None</option>"
		LastCategory = ""
		Do While rstemp.EOF <> True
			NewCategory = rstemp("category_number")
			If LastCategory <> NewCategory Then
				If TimeSpentCategory <> "" Then
					If CInt(TimeSpentCategory) = CInt(rstemp("Category_number")) Then
						response.write "<option value=" & rstemp("category_number") & " SELECTED>" & rstemp("category_name") & "</option>" & chr(10) & chr(13)
					Else
						response.write "<option value=" & rstemp("category_number") & ">" & rstemp("category_name") & "</option>" & chr(10) & chr(13)
					End IF
				Else
						response.write "<option value=" & rstemp("category_number") & ">" & rstemp("category_name") & "</option>" & chr(10) & chr(13)
				End IF

			End If
			LastCategory = NewCategory ' Set to new value
			rstemp.MoveNext
		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<P>

<B>Time Spent Interval</B><br>
<input type=text size=4 maxlength=4 name=TimeSpentInterval value="<%=TimeSpentInterval%>">(Minutes)<P>

</td>
</tr>

<% ' Close inner table %>

</table>
</td>
</tr>
</table>



</form>

</body>
</html>

<% End If %>

