<% 'Module: EditSurveyQuestion.asp

   'Description: This module is the Page for editing a single survey question

   ' Note: this Survey builder is designed to a "simple" survey for customers to fill out
   ' once a case is completed and not designed to be a comprehensive set of
   ' surveys and test taking applications.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'08/27/02	SAV		Created EditSurveyQuestion.asp module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%
	' FIRST Get the values from the configuration file and into variables


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		UserPageColor = rstemp("ts_user_page_color")

	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title><%=wc_Edit_Survey_Question%></title>
</head>
<body bgcolor=#<%=UserPageColor%>>
<center><table border=1 cellspacing=2 cellpadding=10 width=98% >
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Edit_Survey_Question%></b>
</font>
<br>
</td></tr></table><p>
</center>

<FORM ACTION=DoEditSurveyQuestion.asp method=post>

<center>

	<table width=98% border=0 cellspacing=3 cellpadding = 3>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
		</center>

<% ' Get the Values from the Survey Table of the questions and
	' post them in this table below

	Question_Id = Request.Querystring("ID")

	If Question_ID <> "NEW" Then ' Get the data

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here



		mySQL2="select * from Survey where Question_ID = " & Question_ID

		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL2, conntemp, 1,3

		If rstemp.EOF = True  Then

		Else

				Active = Rstemp("Active")
				Survey_Question = rstemp("Survey_Question")
				Question_Type = rstemp("Question_Type")
				Question_ID = rstemp("Question_ID")
				Question_Order = rstemp("Question_Order")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End If

%>





<center>
<table border=1 cellspacing=2 cellpadding=3 width=98% >
<tr>
<td align=center colspan=2>
<font size=-1>
<B><%=wc_Question_ID%>: </b> <%=Question_ID%>
<input type=hidden name=Question_ID value=<%=Question_ID%>>


</td>
</tr>
<tr>
<td><font size=-1><B><%=wc_Survey_Question%>:</B><br>
<textarea name=Survey_Question rows=3 cols=40>
<%=Survey_Question%></textarea>
</font>
</td>
</tr>
<tr>
<td><font size=-1><B><%=wc_Survey_Question_Result_Type%>:</B><br>
<select name=Question_Type size=1>

<% If Question_Type = 1 or Question_Type = "" Then %>
	<option value=1 SELECTED><%=wc_1_5_Radio_Buttons_Choices%></option>
<%Else %>
	<option value=1 ><%=wc_1_5_Radio_Buttons_Choices%></option>
<%End If %>


<% If Question_Type = 2  Then %>
	<option value=2 SELECTED><%=wc_YES_NO_Radio_Buttons%></option>
<%Else %>
	<option value=2 ><%=wc_YES_NO_Radio_Buttons%></option>
<%End If %>

<% If Question_Type = 3 Then %>
	<option value=3 SELECTED><%=wc_Open_ended_one_line_text_box%></option>
<%Else %>
	<option value=3 ><%=wc_Open_ended_one_line_text_box%></option>
<%End If %>

<% If Question_Type = 4 Then %>
	<option value=4 SELECTED><%=wc_Open_ended_multiple_line_text_box%></option>
<%Else %>
	<option value=4 ><%=wc_Open_ended_multiple_line_text_box%></option>
<%End If %>

</select>

</td>

</tr>

<tr>
<td><font size=-1>
<B><%=wc_Active%>:</b><br>

<% If Active = True or Active = "" Then %>

<input type=radio name=Active value="YES" CHECKED> <%=wc_YES%>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<input type=radio name=Active value="NO"> <%=wc_NO%>

<%Else %>
<input type=radio name=Active value="YES"> <%=wc_YES%>

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<input type=radio name=Active value="NO" CHECKED> <%=wc_NO%>

<%End If %>

</td>
</tr>

<tr>
<td>
<font size=-1><B><%=wc_Display_Order%>:</b><br>

<% If Question_Order = "" Then
		Question_Order = 0 ' Default to Zero
	End If
%>

<input type=text size=5 maxlength=10 name=Question_Order value=<%=Question_Order%>>
</td>
</tr>


</table>


</form>

</body>
</html>

<% End If %>

