<% 'Module:

   'Description: This module is the Email List Search Start Page
   ' that allows Business+Center users to search and find customers and then
   ' bring up the emailist reg page.

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/07/00	SAV		Created original EmailListSearch Page
   '5/13/11 CMB     Include Email opt out options

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>

<% ' Check to see if this is being called from the customerOptions page
	If Action = "" Then

%>

<!-- #INCLUDE FILE="BCHeader.inc" -->

<% End If %>


<% GetDatabaseConfiguration ts_user_page_color, assets_db, customer_Drop_Down, ldap_enabled
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

%>


<% ' Display the Customer Search Form
%>

<p align=right class=tinyprint>
(<a href=EmailListSearchExport.asp><%=wc_Export_Search%></a>)
(<a href=EmailListSearchCreateList.asp><%=wc_Email_Address_List%></a>)



<p>
<center>



<!-- ------------------------------ -->



<!-- ------------------------------ -->


<% if LDAP_enabled  Then %>

		<Table width=150  align=left > <!-- dummy table aligned left to balance the table on the right -->
		<tr>
		<td></td>
		</tr>
		</table>

		<%
		DIM firstname_enabled
		DIM lastname_enabled
		DIM email_enabled
		firstname_enabled = ""
		lastname_enabled = ""
		email_enabled = ""

		Call check_enabled  ' finds out if certain fields were defined in LDAP config so we can determine whether to show button to search on these fields



		%>

		<Table width=150 align=right cellpadding=0 cellspacong=0>
		<form name=otherform action=BDirectoryLookup.asp method=post>
         <tr><td  class=SimpleWrapper nowrap align=center bgcolor=#D6DFE7><span class=MinorScreenTitle>Directory Lookup</span></td></tr>
		 <tr>
		   <td class=simplewrapper align=center bgcolor=#D6DFE7>
		     <table class=InnerformWrapperTight width=100% cellpadding=2 cellspacing=0 border=0>
				   <tr>
					   <td class=formlabelsuper align=center>First Characters<br>of Search String</td>
				   </tr>
				   <tr>
					  <td class=formboxholder  align=center><input type=text name=login_name size=10 maxlength=40></td>
				   </tr>
		     </table>
		     <table>
		        <% if lastname_enabled <> "" Then %>
					<tr>
					  <td><input type=image src="/<%=WCLanguageDirectory%>/search_lastname.gif" name=lastname_submit border=0></td>
					</tr>
		        <% end if %>

		        <% if firstname_enabled <> "" Then %>
					<tr>
					  <td><input type=image src="/<%=WCLanguageDirectory%>/search_firstname.gif" name=firstname_submit border=0></td>
					</tr>
                <% end if %>

                <% if email_enabled <> "" Then %>
					<tr>
					  <td><input type=image src="/<%=WCLanguageDirectory%>/search_email.gif" name=email_submit border=0></td>
					</tr>
                <% end if %>

		        <tr>
		          <td><input type=image src="/<%=WCLanguageDirectory%>/search_loginname.gif" name=loginname_submit border=0></td>
		        </tr>

		     </table>

		   </td>
		</tr>
		</form>
		</table>

<% end if %>
<!-- ------------------------------ -->



<!-- ------------------------------ -->








<table class=outerformwrapper align=center bgcolor=red>
<tr>
		<td class=MinorScreenTitle align=center><%=wc_Contact_Search%>&nbsp; </td>
</tr>
<tr>
<td>

<form action=DoEmailListSearch.asp method=post>

<% If customer_ID <> "" Then %>
	<input type=hidden name=customer_id value="<%=customer_ID%>">
<% End if ' End if customer_id <> ""%>
        <table class=innerformwrapper cellspacing=0 cellpadding=0>
        <tr><td colspan=2 class=formlabel height=5></td></tr>
        <tr>
        <td class=formlabel align=right><%=wc_First_Name%>:</td>
        <td class=formboxholder align=left><input type=text name=contact_fname size=20 maxlength=40 value="<%=contact_fname%>"></td></tr>
        <tr>
        <td  class=formlabel align=right><%=wc_Last_Name%>:</td>
        <td  class=formboxholder align=left><font size=-1 face=arial><input type=text name=contact_lname size=20 maxlength=40 value="<%=contact_lname%>"></td></tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Email%>:</td>
        <td  class=formboxholder align=left><font size=-1 face=arial><input type=text name=email size=30 maxlength=80 value="<%=email%>"></td>
		</tr>

        <tr>
        <td class=formlabel align=right><%=wc_Company%>:</td>
        <td class=formboxholder align=left><font size=-1 face=arial><input type=text name=company size=20 maxlength=50 value="<%=company%>"></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Address%>:</td>
        <td  class=formboxholder align=left><font size=-1 face=arial><input type=text name=address size=20 maxlength=50 value="<%=address%>"></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_City%>:</td>
        <td  class=formboxholder align=left><font size=-1 face=arial><input type=text name=city size=20 maxlength=50 value="<%=city%>"></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_State%>:</td>
        <td  class=formboxholder align=left><font size=-1 face=arial><input type=text name=State size=15 maxlength=50 value="<%=State%>"></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Phone1%>:</td>
        <td  class=formboxholder align=left><font size=-1 face=arial><input type=text name=phone1 size=15 maxlength=50 value="<%=phone1%>"></td>
		</tr>

        <tr>
        <td  class=formlabel align=right  valign=top>Email Opt Out:</td>  <!-- CMB 05/13/2011 -->
        <td  class=formboxholder align=left>
        <select name=EmailOptions size=3>
        <option value="include" SELECTED>Include opt-outs</option>
        <option value="exclude">Exclude opt-outs</option>
        <option value="only">Only opt-outs</option>
        </td>
		</tr>

        <tr>
        <td class=formlabel align=right valign=top><%=wc_User_Groups%></td>
		<td  class=formboxholder align=left>
		<select name=emailUserCategory size=4 multiple>
		<option value=""><%=wc_All_User_Groups%></option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from EmailCategory"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write "No Categories found"
	Else

		Do While rstemp.EOF <> True
	%>

	<Option value=<%=rstemp("EmailCategoryID")%>>
	<%=rstemp("EmailCategory")%>
	</option>
<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>

	<%' Contact Management Assignments %>
        <tr>
        <td  class=formlabel align=right valign=top><font color=red>*</font><%=wc_Assigned_To%>:</td>
        <td  class=formboxholder align=left>
		<select name=CustomerTechAssignment size=4 multiple>
		<option value=""><%=wc_None_or_Unselect%></option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Tech_staff"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write "No Categories found"
	Else

		Do While rstemp.EOF <> True

		' Open up a second record set and see if user has any tech staff (sales techs)
		' already defined or assigned for this customer. One or more may be defined
		If Customer_ID <> "" Then
			mySQL2="select * from CustomerTechAssignment where Customer_ID = '" & Customer_ID & "' AND Tech_ID = '" & rstemp("tech_ID") & "'"

			'response.write "SQL=" & mySQL2

			set rstemp2=conntemp.execute(mySQL2)
			If rstemp2.EOF = True then ' Category not set for this customer
		%>
				<Option value=<%=rstemp("Tech_ID")%>>
					<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

					<%=rstemp("Last_Name")%>

				</option>

			<%else ' Set for this customer so add selected %>
				<Option value=<%=rstemp("Tech_ID")%> SELECTED>
				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

				<%=rstemp("Last_Name")%>
				</option>

			<%End If %>

	<%
			' Close this record set
			rstemp2.Close ' Close this record set

		Else ' When Customer_ID = ""

	%>

		<Option value=<%=rstemp("tech_ID")%>>

				<%=rstemp("First_Name")%>
				<%
					response.write " "
				%>

				<%=rstemp("Last_Name")%>

		</option>

		<% End If %>

<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>

    <% ' Start display of optional info fields ---------------------

       DisplayOptionalTextBoxes ' call to display the fields and associated boxes

        ' End display of optional info fields ---------------------
    %>


		<tr><td colspan=2 class=formlabel height=5></td></tr>





		</table><!-- end of inner form table wrapper -->




		<tr>
			<td  align=center>
			  <input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>
			  &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
			<a href="BWhiteboard.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A></td>
		</tr>


</td>
</tr>
</table><!-- end of outer form warpper -->

</form>

<% ' Put all of your custom web site footer changes into BCFooter.inc %>

<% ' Check if called from Customeroptions page
	If Action = "" Then
%>
<!-- #INCLUDE FILE="BCFooter.inc" -->


<% End If %>





<% Sub DisplayOptionalTextBoxes

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
		mySQL="select * from BConfiguration" ' There should only be one row in this table

		set rstemp=conntemp.execute(mySQL)

		' Check to see if any records are returned
		' if none found then login fails.
		If  rstemp.eof then ' Check to see configuration row created yet
			'WhiteBoardContents = " White Board Not yet configured"
		Else ' row found in BConfiguration table
            divider = "No" ' one-time falg to display divider
			for i = 1 to 10
				Enableflag = "Box" & i & "Enabled"
				TextColumn = "Box" & i & "Label"
				ColumnName = "TextNote" & i

				If CBool(rstemp(EnableFlag)) = True THEN ' Display text column

				    If divider = "No" then
				        response.write " <tr><td colspan=2 height=3 class=lightline></td></tr>"
				        divider = "Yes"
				    End If


					%>
					<tr>
					<td   class=formlabel align=right>

					<%
						rstemp.movefirst
					Response.write  rstemp(TextColumn)
					%>

					:</td>

					<%
						Value = ""
					%>

					<td   class=formboxholder align=left><input type=text name=<%=ColumnName%> size=25 maxlength=50 value="<%=Value%>"></td>
					</tr>
					<%
				End IF
			next
		End If
	End Sub
%>

<%
SUB  check_enabled
baseDirectory = Server.MapPath(".")
slash = "\"
' now we chop off end of baseDirectory string to point us up to our parent directory
lastpos = InstrRev(baseDirectory,slash)
baseDirectory = Left(baseDirectory,lastpos)
TargetFilePath = baseDirectory & "ZCustomerHolder.asp"


Set fs1 = CreateObject("Scripting.FileSystemObject")


If fs1.FileExists(TargetFilePath) Then
   ' do nothing
Else
   response.write "<p><font size=+1 color=red><b>Error - </b></font>The settings for LDAP Directory Access are missing. Please ask your System Administrator to set these up.  <P>"
   response.flush
   response.end
End if



REM the "1" in the next statement represents "ForReading"
Set b = fs1.OpenTextFile(TargetFilePath, 1, FALSE)


linecounter = 0
Tabchar = Chr(9)

While not b.AtEndOfStream
   InRec  = b.Readline
   if Left(Inrec,1) =  "'" Then ' chop off the first character
       InRec = Mid(InRec,2)
	   linecounter = linecounter + 1
	   splitter = split(InRec,Tabchar)

	   If splitter(1) = "RetrieveField2" Then firstname_enabled = "Yes"  ' firstname
	   If splitter(1) = "RetrieveField3" Then lastname_enabled = "Yes"   ' lastname
	   If splitter(1) = "RetrieveField11" Then email_enabled = "Yes"     ' email

   end if
Wend
b.Close
end sub
%>

<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db, customer_drop_down, ldap_enabled)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
			customer_drop_down = rstemp2("customer_id_list")
			ldap_enabled = rstemp2("option1")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>