<% 'Module: EmailToCaseConfiguration.asp

   'Description: This module is the Page for configuring the Email To Case Features

   '(C) 2000, 2001, 2002 - 2010 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '03/28/01	SAV		Created original EditConfiguration.asp Module
	'08/15/02	SAV		Created OtherConfiguration.asp module from EditConfiguration.asp Module
	'09/05/02	SAV		Created MoreConfiguration.asp module from OtherConfiguration.asp Module
	'06/7/10	SAV		CreatedEmailToCaseConfiguration.asp from MoreConfiguration.asp
    '06/07/11   CMB     Remove slash from sample physical path
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EmailToCaseConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<%
	' FIRST Get the values from the configuration file and into variables


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		TechCenterFileUpload = rstemp("TechCenterFileUpload")
		customerCenterFileUpload = rstemp("CustomerCenterFileUpload")
		FileUploadPhysicalPath = rstemp("FileUploadPhysicalPath")
		FileUploadVirtualDirectory = rstemp("FileUploadVirtualDirectory")
		RenameUploadFile = rstemp("RenameUploadFile")

		MaxFileUploadSize = rstemp("MaxFileUploadSize")
		CustomerPasswordRequired = rstemp("CustomerPasswordRequired")
		CustomerAssetsearch = rstemp("CustomerAssetsearch")
		EncryptPasswords = rstemp("EncryptPasswords")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>





<%
	' FIRST Get the values from the EmailToCaseConfig table and into variables


	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from EmailToCaseConfig"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then



		Serveraddr = ""
		username = ""
		password = ""
		checkintervalminutes = 0
		EmailDomainRequired = ""
		OnlyExistingEmailAddresses = "NO"

	Else

		If rstemp2("OnlyExistingEmailAddresses") = True THEN
			OnlyExistingEmailAddresses = "YES"
		Else
			OnlyExistingEmailAddresses = "NO"
		End If

		'response.write "OnlyExistingEmailAddress = " & OnlyExistingEmailADdresses
		'response.flush
		'response.end


		Checkintervalminutes  = rstemp2("checkintervalminutes")

		' Need to multiply by 60 since http refresh tag is seconds

		CheckIntervalSeconds =  Checkintervalminutes  * 60

		Serveraddr = rstemp2("popemailaddress")
		username = rstemp2("popemailusername")
		password = rstemp2("popemailpassword")

		EmailDomainRequired = rstemp2("EmailDomainRequired")

		If rstemp2("DisableEmailToCase") = True THEN
			DisableEmailToCase = "YES"
		Else
			DisableEmailToCase = "NO"
		End If


		If rstemp2("CustomerNotificationEmail") = True THEN
			CustomerNotificationEmail = "YES"
		Else
			CustomerNotificationEmail = "NO"
		End If


		If rstemp2("AllowAttachedFiles") = True THEN
			AllowAttachedFiles = "YES"
		Else
			AllowAttachedFiles = "NO"
		End If

		EmailToCaseReplyToName = rstemp2("EmailToCaseReplyToName")
		EmailToCaseReplyToEmail = rstemp2("EmailToCaseReplyToEmail")


	End If

	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title>Email To Case Configuration</title>
</head>
<body bgcolor=#C0C0C0>
<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b>Email To Case Configuration</b><br>
</font>
<font size=-2> <%=wc_Please_refer_to_User_Guide_for_instructions%>
</font>
</font>
<br>
</td></tr></table><p>
</center>

<FORM ACTION=DoEmailToCaseConfiguration.asp method=post>

<center>

	<table width=98% border=0 cellspacing=3 cellpadding = 3>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
		</center>


<center>
<table border=1 cellspacing=2 cellpadding=3 width=98% >
<tr>
<td>
<table border=0 width=98%  >
<tr>
<td width=50% valign=top>
<font size=-1>
<br>


<center><font size=+1>Pop Mail Server Information</font></center><hr width=80%>
<UL>

<B> Pop Server Address:</B><br>
(Example: GoDaddy.com)<br>


<input type=text size=25 maxlength=100 name=PopEmailaddress value="<%=ServerAddr%>"><P>




<B>Pop User Name:</b><br>

<input type=text size=25 maxlength=100 name=PopEmailusername value="<%=Username%>"><P>

<B>Pop Password:</b><br>


<input type=password size=25 maxlength=100 name=PopEmailpassword value="<%=password%>"><P>
<br>
<br>


<center><font size=+1> Email To Case - Email Address/Name</font></center><hr width=80%>




<B>Email-To-Case Email address</b>
<br>
(Example: Support@mycompany.com)

<input type=text size=25 maxlength=100 name=EmailToCaseReplyToEmail value="<%=EmailToCaseReplyToEmail%>"><br>

<br>
<br>


<B>Email-To-Case Email Name</b>
<br>
(Example: XYZ Company Support)

<input type=text size=25 maxlength=100 name=EmailToCaseReplyToName value="<%=EmailToCaseReplyToName%>"><br>

<br>
<br>


<center><font size=+1> Email To Case Filter Options</font></center><hr width=80%>




<B>Email To Case Filter Options:</b><br>
(Example: gmail.com)

<input type=text size=25 maxlength=100 name=EmailDomainRequired value="<%=EmailDomainRequired%>"><br>
(Leave blank to accept Emails from any domain)
<br>
<br>

<B>Only accept Emails that exist in Customer Database</b><br>



<% IF OnlyExistingEmailAddresses = "YES" Then %>


<input type=checkbox name= OnlyExistingEmailAddresses value="YES" CHECKED><B>YES - Existing Customers / Emails Only</b><P>

<% Else %>

<input type=checkbox name=OnlyExistingEmailAddresses value="YES" ><B>YES - Existing Customers / Emails Only</b><P>
<%End If %>



</td>

<td valign=top width=50%   align=left>



<br>
<font size=-1>
<center><font size=+1>Other Options</font></center><hr width=80%>

<B>Check Interval For Emails To Convert :</b> <br>


<input type=text size=10 maxlength=10 name=checkintervalminutes value="<%=checkintervalminutes%>"> (Minutes)<P>

<B>Customer Notification Email for customer updates :</b> <br>

<% IF CustomerNotificationEmail = "YES" Then %>


<input type=checkbox name= CustomerNotificationEmail value="YES" CHECKED>YES - Send notification Email to Customer<P>

<% Else %>

<input type=checkbox name=CustomerNotificationEmail value="YES" >YES - Send notification Email to Customer<P>
<%End If %>

<br>


<br>




<center><font size=+1>Attached Files with Emails</font></center><hr width=80%>


<B>Allow File Attachments with Emails :</b> <br>

<% IF AllowAttachedFiles = "YES" Then %>


<input type=checkbox name= AllowAttachedFiles value="YES" CHECKED>Allow Attachments<P>

<% Else %>

<input type=checkbox name=AllowAttachedFiles value="YES"> Allow Attachments <P>
<%End If %>






<% If MyOS = "Windows" Then %>

	<B><%=wc_File_Upload_Physical_Path%></B> (<%=wc_Physical_Path_Default%>)<br>   <!-- CMB 06/07/2011 remove final slash in sample -->
	<input type=text size=30 maxlength=100 name=FileUploadPhysicalPath value="<%=FileUploadPhysicalPath%>"><P>
	<B><%=wc_File_Upload_Virtual_Directory%></B> (<%=wc_Default_Download_Virtual_Directory%>)<br>
	<input type=text size=30 maxlength=100 name=FileUploadVirtualDirectory value="<%=FileUploadVirtualDirectory%>"><P>

<% Else %>


	<input type=hidden size=30 maxlength=100 name=FileUploadPhysicalPath value="<%=FileUploadPhysicalPath%>">
	<B><%=wc_File_Upload_Linux_Directory%></B> <br>
	<input type=text size=30 maxlength=100 name=FileUploadVirtualDirectory value="<%=FileUploadVirtualDirectory%>">
	<br>
    <%=Request.ServerVariables("server_name")%>/<Font color=red>support/downloads</font>
	<P>

<%End If %>


<B><%=wc_Maximum_File_Size_in_Bytes%></B>    (<%=wc_Optional%>)<br>

<input type=text size=10 maxlength=10 name=MaxFileUploadSize value="<%=MaxFileUploadSize%>"> Bytes (0=Unlimited Size)<P>






<br>




<font size=-1>
<center><font size=+1>Enable / Disable Email To Case </font></center><hr width=80%>




<B>Disable Email To Case Feature :</b> <br>

<% IF DisableEmailToCase = "YES" Then %>


<input type=checkbox name= DisableEmailToCase value="YES" CHECKED>Disable Email To Case<P>

<% Else %>

<input type=checkbox name=DisableEmailToCase value=YES >Disable Email To Case <P>
<%End If %>






</td>
</tr>

<% ' Close inner table %>

</table>
</td>
</tr>
</table>

</form>

</body>
</html>

<% End If %>

