<% 'Module: EventSearch.asp ' TECHCENTER VERSION

   'Description: This module is the event search engine first page.
   '(C) 1999, 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page
   '4/26/01	AJS		Changed Search By Case Status to work properly


	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Search.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>




<% 'First Show the Report Menu at the top of the page
%>


<html>

<head>
<title><%=wc_Event_Search%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow>
<center>

<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Event_Search%></td>
</tr>
</table>
<p>
<TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>

<FORM METHOD=POST  name="myform" ACTION=DoEventSearch.asp>




<center><br></center>
<CENTER><TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_search30x80.gif border=0></TD>

<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>

<center>
<TABLE BORDER=0 CELLPADDING=13 >
<TR>
<TD><B><FONT SIZE=-1><%=wc_Event_Title_Search%>:</B>
<font size=-1><br><INPUT type=text name=search_string size=30 maxlength=50></font></TD>

<TD valign=top><FONT SIZE=-1>

<B><%=wc_Results_View%>:</b><br>
<INPUT type=radio name=ResultsView value="BRIEF"><%=wc_Brief%>
<input type=radio name=ResultsView value="DETAILED" CHECKED><%=wc_Detailed%>
</font>

</TD>

</TR>
</TABLE>
</center>


<% ' Display the Form questions at the bottom of the page %>
<center>
<table border=1 WIDTH="90%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Search_Date_Range_Start%>:</FONT></b><br>
<font size=-2>
(mm/dd/yyyy)<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_Search_Date_Range_End%>:</font></b><br>
<font size=-2>(mm/dd/yyyy)<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10></TD>

</TR>
</TABLE>
</TD>
</TR>

<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=2 WIDTH="98%" >
<TR>
<TD><B><FONT SIZE=-1><%=wc_Event_Type%>:&nbsp;</FONT></B>
<font size=-1>
<BR><SELECT size=1 name=Event_Type>
<option value="""" selected>Ignore</option>


<% ' Get the Event Types from the database %>

<% ' Display Event Type drop down box
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Event_Type"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any Cases exist
		response.write "No Categories found"
	Else

		Do While rstemp.EOF <> True

%>
				<Option value=<%=rstemp("Event_Type_ID")%>>
				<%=rstemp("Event_Type_Name")%>
				</option>


<%
			rstemp.movenext
		loop

		response.write "</select>"


	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>


</TD>

<TD><B><FONT SIZE=-1><%=wc_Status%>:&nbsp;</FONT></B>
<FONT SIZE=-1><BR>

		<select name=status size=1>

<OPTION selected value="">Ignore</OPTION>

		<% If status = "0"  Then%>
			<option selected value="0"><%=wc_No_Status%></option>
		<% Else %>
			<option value="0"><%=wc_No_Status%></option>
		<% End If %>

		<% If status = "1"  Then%>
			<option selected value="1"><%=wc_Scheduled%></option>
		<% Else %>
			<option value="1"><%=wc_Scheduled%></option>
		<% End If %>

		<% If status = "2"  Then%>
			<option selected value="2"><%=wc_postponed%></option>
		<% Else %>
			<option value="2"><%=wc_Postponed%></option>
		<% End If %>

		<% If status = "3"  Then%>
			<option selected value="3"><%=wc_Cancelled%></option>
		<% Else %>
			<option value="3"><%=wc_Cancelled%></option>
		<% End If %>

		<% If status = "4"  Then%>
			<option selected value="4"><%=wc_ReScheduled%></option>
		<% Else %>
			<option value="4"><%=wc_ReScheduled%></option>
		<% End If %>


		</select>

</font>
</SELECT></TD>

<TD><B><FONT SIZE=-1><%=wc_Customer_ID%>:&nbsp;</FONT></B>
<font size=-1><BR>

<% ' The customerID field can either be a drop down box if that option is selected
	' or it can be a text box for large customer databases

	CustomerDropDown = "YES"

	'--AKS<-- Conversion to INT required
	Customer_Id_List = CInt(Customer_Id_List)

	If Customer_Id_List = 1 Then
		Response.write "<FONT SIZE=-1><SELECT size=1 name=customer_id>"
		Response.write "<OPTION selected value="""">Ignore</OPTION>"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Customers Order by Contact_lname"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
				response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)

			rstemp.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' End of Display the Customer_List
End If



   If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
            %>
            <font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
            <%
      End If  ' End of If using on-click and Javascript sub-window

      If Customer_Id_List = 0 Then' If using copy/paste sub-window
			%>
            <font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href=Customer_Id_Copy_Paste.asp target=subwindow>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
			<%
     End If ' End of If using copy/paste sub-window


%>

</TD>
</TR>

<TR>
<TD><B><FONT SIZE=-1><%=wc_Event_Coordinator%>:&nbsp;</FONT></B>
<font size=-1><BR><SELECT size=1 name=tech_id><OPTION selected value=""><FONT SIZE=-1>Ignore</OPTION>

<% ' Display the List of Techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
				response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)

			rstemp.MoveNext

		Loop

		response.write "</select></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<TD><B><FONT SIZE=-1><%=wc_Case_number%>:&nbsp;</FONT></B>
<font size=-1>
<BR><INPUT type=text name=case_number size=15 maxlength=15></TD>

<td></td>

</TR>

</TABLE>
&nbsp;</TD>
</TR>
</TABLE></CENTER>
&nbsp;

</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>
