<% 'Module: ExportTechStaffTech.asp

   'Description: This module is the TechStaff Export Start Page
   ' that allows Business+Center users to export the tech staff database into
   ' outlook and then into PDA address books.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '1/29/01	SAV		Created original ExportTechStaff.asp module

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file for special database cursor constants %>

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ExportTechStaffTech.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>


<% ' Display the New Case Form %>



<html>

<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->

<head>

<title><%=wc_Export_Tech_staff%></title>

</head>

<body bgcolor=#<%=ts_User_Page_Color%>>



<% ' Display the Customer Search Form
%>

	<form action=DoExportTechStaffTech.asp method=post>


		<Center>
		<table width=90% cellspacing=3 cellpadding=3 border=1>
		<tr><td align=center>
		<font size=+1 ><%=wc_Export_Tech_staff%></font>
		</td></tr>
		</table>

		</center><P>
        <center><font size=-1 >
        <%=wc_Export_Tech_staff_Block%>
<P>
        </font>
		</center>


        <center>
        <table width=90%>
        <tr>
        <td  bgcolor=F0F0F0 align=right valign=top><font size=-1 ><B>
		<%=wc_Export%>:
		</b>
		</td>
       <td  bgcolor=F0F0F0 align=left><font size=-1 >
		<input type=radio name=RecordChoice value="ALLRECORDS" checked><%=wc_All_Records%></a><br>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B><%=wc_OR%></b><P>
		<input type=radio name=RecordChoice value="GROUPS"><%=wc_Selected_Group_Below%></a><br>

		<select name=techgroup size=1>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Group_list"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		response.write wc_No_categories_found
	Else

		Do While rstemp.EOF <> True
	%>

	<Option value=<%=rstemp("Group_number")%>>
	<%=rstemp("Group_name")%>
	</option>
<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>



        <tr>
        <td  bgcolor=F0F0F0 align=right><B>
		<font size=-1 ><%=wc_Export_Format%>:</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 >
		<select name=FormatType size=1>
		<option value="OUTLOOK"><%=wc_MS_Outlook_Address_Book_format%></option>
		<option value="TAB"><%=wc_TAB_Delimited_Excel_format%></option>
		<option value="COMMA"><%=wc_Comma_Delimited_File_format%></option>
		<option value="COMMASCREEN"><%=wc_Comma_Delimited_To_Screen_format%></option>


		</select>
	</td>
		</tr>




<%	' Provide options to define the category for address book import %>

        <tr>
        <td  bgcolor=F0F0F0 align=right valign=top><font size=-1 ><B>

		<%=wc_Assign_Staff_Records_Into_Category%>:
		</b></font></td>
        <td  bgcolor=F0F0F0 align=left><font size=-1 >
		<select name=addressbookCategory size=4 multiple>
		<option value="">No Category</option>
		<option value="Staff">Staff</option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Group_list"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		response.write "No categories found"
	Else

		Do While rstemp.EOF <> True
	%>

	<Option value=<%=rstemp("Group_name")%>>
	<%=rstemp("Group_name")%>
	</option>
<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		<P>
	&nbsp;&nbsp;&nbsp;&nbsp;<B><%=wc_OR%></b><P>



		<%=wc_Enter_New_Category%>:<br>
		<input size=25 maxlength=50 name=enteredcategory>
		</td></tr>





		<tr>
		<td bgcolor=F0F0f0 align=center><font size=-1 >
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=c_submit border=0>

		</td><td  bgcolor=F0F0F0 align=center width=50% valign=top><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>

		</table>

		</center>


</form>
</body>
</html>

<%End IF %>


<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
