<% 'Module: FixCategoryLists.asp

   'Description: This module migrates the "Categories" table


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '1/29/03 	 JC		Created original   - this module is used only on migration
   '                    from older version numbers - it reads up the "categories" table
   '                    and rewrites it in a controlled sequence to "defrag" it.


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<%' NOTE- THIS NEEDS TO BE EVENTUALLY ADJUSTED TO POINT TO THE CORRECT DIRECTORY <<<<<<<<<<<<<<<<<< %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>

<%

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Fix Category Lists - CSS</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>



<center>

<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td align=center>
	    <font size=+1><b>Migrating Category Lists to v4</b></font><br>
	</td>
</tr>
</table>
</center>
<p>




	<%
        ' First load up the individual category numbers into an array so that we can then (in a subsequent phase)
        ' process each category one-by-one and in the original sequence.
        ' NOTE - we have to do this by exhaustive read of the table from beginning to end so that we capture
        ' the original sequence of category numbers - if we use SELECT GROUP BY we lose that information
        ' as the records are then returned in category_number order. So instead we read each record and store
        ' new category_number in next array element if we haven't seen it before *anywhere* - no matter what sequence
        ' the records were in originally - i.e. we do not rely on a mere break in sequence to detect a new category_number

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
		mySQL="SELECT category_number from  Categories "

		set rstemp=conntemp.execute(mySQL)
		If rstemp.eof then
		  response.write "No Categories exist to be migrated<br>"
		  response.write "No database actions performed</body></html>"
		  response.flush
		  response.end
		End if

        first_time = "Yes"  ' Used as flag to prevent looking inside the array when it doesnt even exist yet
		counter = 0 ' Used as subscript into the array of category numbers

		DIM Array_catnumber()

		Do while (Not rstemp.eof)
		    category_number = rstemp("category_number")
		    category_already_seen = "no"
		    Call check_if_category_already_seen
		    if category_already_seen = "yes" then
		      ' do nothing
		    else
		       first_time = "no" 'Means array now exists
		       ReDim preserve Array_catnumber(counter)
			   ' response.write "<b>Category number = </b>" & category_number & " detected and placed in array position " & counter & "<p>"
               Array_catnumber(counter) = category_number
               counter = counter + 1
            End If
			rstemp.Movenext
		Loop



       ' Now, using the entries in this array, load all the records for a given category list in turn into an array in memory, delete all the records from the DB, and re-insert the records
		for i = 0 to counter - 1
	       Call RewriteCategory
        next

        response.write "<p><b>Categories Table has been successfully migrated<p>"


Sub RewriteCategory
        response.write "<p><b>Rewriting Category Number - " & Array_catnumber(i)  & " </b><br>"
        category_number = Array_catnumber(i)
		mySQL="SELECT * from  Categories WHERE category_number = " & category_number
		set rstemp=conntemp.execute(mySQL)
		' Read up all the records in this given category and place fields in an array
		rec_count = 0

		  Dim  Ary_categorynumber()
		  Dim  Ary_itemnumber()
		  Dim  Ary_categoryname()
		  Dim  Ary_itemname()
		  Dim  Ary_state()
		  Dim  Ary_groupnumber()




		Do while (Not rstemp.eof)
		  ' response.write "reading up " & rstemp("category_number") & "-" & rstemp("category_name") & "-" & rstemp("item_number") & "-" & rstemp("item_name") & "<br>"

		  ReDim preserve Ary_categorynumber(rec_count)
		  ReDim preserve Ary_itemnumber(rec_count)
		  ReDim preserve Ary_categoryname(rec_count)
		  ReDim preserve Ary_itemname(rec_count)
		  ReDim preserve Ary_state(rec_count)
		  ReDim preserve Ary_groupnumber(rec_count)

		  Ary_categorynumber(rec_count) = rstemp("category_number")
		  Ary_itemnumber(rec_count) = rstemp("item_number")
		  Ary_categoryname(rec_count) = rstemp("category_name")
		  Ary_itemname(rec_count) = rstemp("item_name")
		  Ary_state(rec_count) = rstemp("state")
		  Ary_groupnumber(rec_count) = rstemp("group_number")

		  rec_count = Rec_count + 1
		  rstemp.Movenext
		Loop
		' Now delete all the existing records for this particular category
		SQLDEL = "DELETE from Categories where category_number = " & Ary_categorynumber(0)
		' response.write SQLDEL & "<p>"
		set rstemp=conntemp.execute(SQLDEL)
		' response.write "Deleted existing records<p>"
		' Now re-insert the records afresh
		for j = 0 to Rec_count - 1
		SQL2 = "INSERT into Categories (category_number, item_number, category_name, item_name, state"
		If isNull(Ary_groupnumber(j)) Then
		 SQL2 = SQL2 & ") VALUES ("
		Else
		 SQL2 = SQL2 & ", group_number) VALUES ("
		End if
		SQL2 = SQL2 & Ary_categorynumber(j) & ", "
        SQL2 = SQL2 & Ary_itemnumber(j) & ", "
        SQL2 = SQL2 & "'" & Ary_categoryname(j) & "', "
        SQL2 = SQL2 & "'" & Ary_itemname(j) & "', "
        SQL2 = SQL2 & Ary_state(j)
        If isNull(Ary_groupnumber(j)) Then
          ' response.write "SQUAWK"
        Else
           SQL2 = SQL2 & ", " & Ary_groupnumber(j)
        End If
        SQL2 = SQL2 &  ") "
        ' response.write "SQL2 is " & SQL2 & "<p>"
        set rstemp=conntemp.execute(SQL2)

        ' Now insert a <null> into group_number for this record if that is what was there before


        If isNull(Ary_groupnumber(j)) Then
			SQL3 = "UPDATE Categories SET Group_number =  " & "null" & " "
			SQL3 = SQL3 & " WHERE category_number = " & Ary_categorynumber(j) & " AND item_number = " & Ary_itemnumber(j)
			' response.write SQL3 & "<br>"
			set rstemp=conntemp.execute(SQL3)
        End If
        next

End Sub



Sub check_if_category_already_seen
  If first_time = "no" Then ' i.e. look for it only if the array even exists
     For x = 0 to counter - 1
       If category_number = Array_catnumber(x) Then
          category_already_seen = "yes"
       End If
     Next
  End If 'the array already exists
End Sub

	%>

	<p>





<p>

<center>

<b>


<table border=0 cellspacing=1 cellpadding=1 width=98%>
<tr>


<td align=center>
  <a href=ConfigAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</td>

</tr>
</table>
</b>
</form>
</body>
</html>



<% End If ' is (not) a valid user%>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>
