<% 'Module: GetCase.asp

   'Description: This module is the GetCase button first page.
   ' Simple Case Search Page

   '(C) 1999, 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com



   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page
	'11/13/00 SAV	Created from Search.asp page
	'04/25/13 CMB  Added include for code customzations; added primary only checkbox if version 8
	'02/07/14 CMB  Changed default sort order to case number descending
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Search.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>



<html>

<head>
<title><%=wc_Simple_Case_Search%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow>

<center>

<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>
<%=wc_Simple_Case_Search%>
</td>
</tr></table>




<p>
<table><tr><td height=5></td></tr></table>
   <table  class=outerformwrapper cellpadding=0 cellspacing=0>
    <tr>
       <td> 
	   <form action = TCaseForm.asp method=get>
		<table  class=innerformwrappertight cellpadding=0 cellspacing=0>
		<tr><td align=center class=MinorFormTitle colspan=3>Get Case (Direct Entry)</td></tr>
			<tr>
			  <td  height=3></td>
		   </tr>
			<tr>
				<td class=formlabelsuper><%=wc_Case_Number%>: </td>
				<td  class=formboxholder  rowspan=2> &nbsp;  &nbsp; &nbsp; &nbsp; &nbsp;</td>
				<td class=formboxholder align=right rowspan=2> <input type=submit value="Get Permit"></td>
			</tr>
			<tr>
				<td class=formboxholder><input type=text name=case_number size=20 maxlength=19></td>
			</tr>
			<tr>
			  <td  height=3></td>
		   </tr>
		</table>
		</form>
      </td>
    </tr>
  </table>
<FORM METHOD=POST  name="myform" ACTION=DoGetCase.asp>
<INPUT type=hidden name=ResultsView value="BRIEF">


<!--   <table  class=outerformwrapper cellpadding=0 cellspacing=0>
    <tr>
       <td>
		<table  class=innerformwrappertight cellpadding=0 cellspacing=0>
		<tr><td align=center class=MinorFormTitle colspan=3>Select Case (Table Layout)</td></tr>
			<tr>
			  <td  height=3></td>
		   </tr>
			<tr>
				<td class=formlabelsuper><%=wc_Case_Number%>: </td>
				<td  class=formboxholder  rowspan=2> &nbsp;  &nbsp; &nbsp; &nbsp; &nbsp;</td>
				<td class=formboxholder align=right rowspan=2> <input type=image name=search_button src=/<%=WCLanguageDirectory%>/ts_search30x80.gif border=0></td>
			</tr>
			<tr>
				<td class=formboxholder><input type=text name=case_number size=20 maxlength=19></td>
			</tr>
			<tr>
			  <td  height=3></td>
		   </tr>
		</table>
      </td>
    </tr>
    <tr>
      <td  height=5></td>
   </tr>
  </table>

<br>-->

<table  class=outerformwrapper cellpadding=0 cellspacing=0>
<tr>
   <td> <!---- start of overall form wrapper -->
	<table  class=innerformwrappertight cellpadding=0 cellspacing=0 border=0>
	  <tr><td align=center class=MinorFormTitle colspan=10><%=wc_Select_Cases_By_Customer_Company_Status%></td></tr>


<tr>
<td>
<% ' -- Start of stacking table to stack 3 vertically--------------------------------------  %>
<table cellpadding=0 cellspacing=0>
<tr><td height=5></td></tr>
<tr>
<TD class=formlabelsuper><%=wc_Customer_ID%>:&nbsp;</td>
</tr>
<tr>
<td class=formboxholder>

<% ' The customerID field can either be a drop down box if that option is selected
	' or it can be a text box for large customer databases

	CustomerDropDown = "YES"

	'--AKS<-- Conversion to INT required
	Customer_Id_List = CInt(Customer_Id_List)

	If Customer_Id_List = 1 Then
		Response.write "<SELECT size=1 name=customer_id>"
' Fails in IE 10 - 4/3/13		response.write "<option value=>" & wc_Select_One & "</option>"
		response.write "<option value="""" >" & wc_Select_One & "</option>"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Customers Order by Customer_id"
	set rstemp=conntemp.execute(mySQL)


	If  rstemp.eof then ' Check to see any Groups exist
	Else
		Do While rstemp.EOF <> True
				response.write "<option value=""" & rstemp("customer_id") & """>" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)

			rstemp.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

       ' End of Drop down for the Customer_List

    End if

     If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
              %>
              <input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
  		    <a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
  		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <%=wc_Click_on_question_mark_for_assistance%></font>
              <%
        End If  ' End of If using on-click and Javascript sub-window

        If Customer_Id_List = 0 Then' If using copy/paste sub-window
  			%>
              <input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
  		    <a href=Customer_Id_Copy_Paste.asp target=subwindow>
  		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <%=wc_Click_on_question_mark_for_assistance%></font>
  			<%
       End If ' End of If using copy/paste sub-window



 	if Version8point0="YES" Then  ' 04/25/13
%>
   		 &nbsp;&nbsp;
   		<%= wc_Primary_only%>&nbsp;&nbsp;<input type=checkbox name=PrimaryOnly CHECKED>

<%
End If
    response.write "</td></tr>" ' --------end of first stacked item ----------------------

    response.write "<tr><td height=5></td></tr>" ' a little spacer

 ' Display a list of the Companies in a drop down list
    response.write "<tr><td class=formlabelsuper>"
	Response.write wc_Company & ":</td></tr>"
	response.write "<tr><td class=formboxholder>"

	Response.write "<SELECT size=1 name=company>"
' Fails in IE 10 - 4/3/13		response.write "<option value=>" & wc_Select_One & "</option>"
		response.write "<option value="""" >" & wc_Select_One & "</option>"


	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN
	'mySQL = "Select distinct(Company) from Customers where Company <> '' and company is not null order by company"  ' 04/25/13

	mySQL = "Select distinct(Company) from Customers order by company"  ' 04/25/13
	'mySQL="select * from Customers Order by Company"
	set rstemp=conntemp.execute(mySQL)

	Do While not rstemp.EOF
	'	If LastCompany <> rstemp("Company") Then
			response.write "<option value=""" & rstemp("Company") & """>" & rstemp("Company") & "</option>" & chr(10) & chr(13)
		'	LastCompany = rstemp("Company")
		'End If
		rstemp.MoveNext

	Loop

	response.write "</select>"

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' End of Display the Company List

   response.write "</td>"

   response.write "<tr><td height=10></td></tr>" ' a little spacer

%>

 <% 'end of the next stacked item --------------------------------- %>


 <tr><td class=formlabelsuper><%=wc_Sort_Order%>:</td></tr>
 <tr><td class=formboxholder>
<select name=sortOrder size=1>
<option value="Cases.Case_number desc" SELECTED><%=wc_Case_Number_Descending%></option>

<option value="Cases.Case_number"><%=wc_Case_Number%></option>
<option value="Cases.Case_number desc"><%=wc_Case_Number_Descending%></option>

<option value="Cases.Customer_id"><%=wc_Customer%></option>
<option value="Customers.Company"><%=wc_Company%></option>
<option value="Cases.Status"><%=wc_Status%></option>

<% ' New Sort Orders %>

<option value="Cases.Open_date"><%=wc_Case_Creation_Date_Ascending%></option>
<option value="Cases.Open_date desc"><%=wc_Case_Creation_Date_Descending%></option>
<option value="Cases.Mod_date"><%=wc_Case_Modified_Date_Ascending%></option>
<option value="Cases.Mod_date desc"><%=wc_Case_Modified_Date_Descending%></option>
<option value="Cases.Due_date"><%=wc_Case_Due_Date_Ascending%></option>
<option value="Cases.Due_date desc"><%=wc_Case_Due_Date_Descending%></option>
</select>

</td></tr>
<tr><td height=10></td></tr>


</table>
<% '  ------------------------------end of stacking table -------------------------- %>
</td>

<input type=hidden name=fulltext value=on>

<% ' put in a little horizontal space and a vertical divider line %>

<%
' because Netscape handles style-defined padding differently, we have to play the
' following browser-dependent trick

If Instr(1,Request.ServerVariables("HTTP_USER_AGENT"),"MSIE",1) then
  stripwidth=0
  spacewidth=2
Else
  stripwidth=3
  spacewidth=5
End If
%>

<td  width=<%=spacewidth%> ></td>
<td class=formdivider width=<%=stripwidth%> ></td>
<td  width=<%=spacewidth%> ></td>

<td class=formboxholder >
    <input type=radio name=case_status value="" CHECKED>
     <span class=formlabelsuper>All Cases</span>
     <br><input type=radio name=case_status value="OPEN">
     <span class=formlabelsuper><%=wc_Open_Cases%></span>
     <br>
    <input type=radio name=case_status value="CLOSED">
     <span class=formlabelsuper><%=wc_Closed_Cases%></span>
 </td>

<% ' put in a little horizontal space and a vertical divider line %>
<td  width=<%=spacewidth%> ></td>
<td class=formdivider width=<%=stripwidth%> ><br></td>
<td  width=<%=spacewidth%> ></td>
<td>
	<table>
	<tr>
		<td class=formlabelsuper align=center>
		   <input type=image name=search_button src=/<%=WCLanguageDirectory%>/ts_search30x80.gif border=0>
		</td>
    </tr>
    <tr><td height=10></td></tr>
	<tr><td class=formlabelsuper align=center><%=wc_Show_Records_per_Page%>:</td></tr>
	<tr><td class=formboxholder align=center>
	   <input type=text name=lines_per_page size=2 value=15>
	</td>
	</tr>
    </table>




</td>

<td  width=<%=spacewidth%> ></td>
</tr>



</table>
</td>
</tr>
<tr>
  <td  height=5></td><!--- little spacer -->

</tr>
</table>

<% ' Display the search for Case by Company option %>





</form>
<center><p>
<a href=status.asp>
<img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</form>


</BODY>
</HTML>

<%End If ' End of security check %>
