<% 'Module: GetCustomer.asp

   'Description: This module is the GetCustomer Button Start Page
   ' that allows Tech+Center users to search and find customers and then
   ' bring up the customer reg page.

   '(C) 2000, 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/07/00	SAV		Created original EmailListSearch Page
	'11/13/00  SAV	Created from EmailListSearch.asp Page
   '6/01/11 CMB     Include Email opt out options
	'04/25/13   CMB     Version 8 support for primary only
	'04/04/14   CMB   Added search by company table

	' Instructions to customized for your own web site
	' This page and all of the Tech+Center web pages are
	' defined to be tightly integrated with your current
	' web site.

	' Refer to the Web+Center User guide on how to customize the
	' the Tech+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TCaseForm.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, assets_db, customer_Drop_Down, ldap_enabled
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>


<% ' Display the New Case Form %>



<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Customer_Search%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

<center>


<% ' Display the Customer Search Form
%>





	<Table class=BGWrapper >
	<tr>
	<td  align=center valign=center class=majorscreentitlefixed>
	<%=wc_Customer_Search%>
     &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span class=tinyprint>(<a href=GetCustomerExport.asp><%=wc_Export_Search%></a>)</span>
	</td>
	</tr></table>

	<table cellpadding=0 cellspacing=0><tr><td height=10></td></tr></table><!--add a little space -->

<span class=datalabel>To find an employee, partially complete one or more employee search fields. </span>
<br>





	<table cellpadding=0 cellspacing=0><tr><td height=10></td></tr></table><!--add a little space -->

<!-- ------------------------------ -->
<% if LDAP_enabled  Then %>

		<Table width=150  align=left> <!-- dummy table aligned left to balance the table on the right -->
		<tr>
		<td></td>
		</tr>
		</table>

		<%
		DIM firstname_enabled
		DIM lastname_enabled
		DIM email_enabled
		firstname_enabled = ""
		lastname_enabled = ""
		email_enabled = ""

		Call check_enabled  ' finds out if certain fields were defined in LDAP config so we can determine whether to show button to search on these fields



		%>

		<Table width=150 align=right cellpadding=0 cellspacong=0>
		<form name=otherform action=DirectoryLookup.asp method=post>
         <tr><td  class=SimpleWrapper nowrap align=center bgcolor=#D6DFE7><span class=MinorScreenTitle>Directory Lookup</span></td></tr>
		 <tr>
		   <td class=simplewrapper align=center bgcolor=#D6DFE7>
		     <table class=InnerformWrapperTight width=100% cellpadding=2 cellspacing=0 border=0>
				   <tr>
					   <td class=formlabelsuper align=center>First Characters<br>of Search String</td>
				   </tr>
				   <tr>
					  <td class=formboxholder  align=center><input type=text name=login_name size=10 maxlength=40></td>
				   </tr>
		     </table>
		     <table>
		        <% if lastname_enabled <> "" Then %>
					<tr>
					  <td><input type=image src="/<%=WCLanguageDirectory%>/search_lastname.gif" name=lastname_submit border=0></td>
					</tr>
		        <% end if %>

		        <% if firstname_enabled <> "" Then %>
					<tr>
					  <td><input type=image src="/<%=WCLanguageDirectory%>/search_firstname.gif" name=firstname_submit border=0></td>
					</tr>
                <% end if %>

                <% if email_enabled <> "" Then %>
					<tr>
					  <td><input type=image src="/<%=WCLanguageDirectory%>/search_email.gif" name=email_submit border=0></td>
					</tr>
                <% end if %>

		        <tr>
		          <td><input type=image src="/<%=WCLanguageDirectory%>/search_loginname.gif" name=loginname_submit border=0></td>
		        </tr>

		     </table>

		   </td>
		</tr>
		</form>
		</table>

<% end if %>
<!-- ------------------------------ -->


<form name=myform action=DoGetCustomer.asp method=post>







<table>

<% If customer_ID <> "" Then %>
	<input type=hidden name=customer_id value="<%=customer_ID%>">
<% End if ' End if customer_id <> ""%>


<tr>
  <td class=outerformwrapper> <!---- start of overall form wrapper -->

<center>
<table  class=InnerformWrapperTight width=100% cellpadding=2 cellspacing=0 border=0>

        <tr><td>
         <table bgclor=red cellpadding=0 cellspacing=0><tr><td height=5></td></tr></table><!--add a little space -->
        </td></tr>


        <tr>
        <td  class=formlabel align=right><%=wc_First_Name%>:</td>
        <td  class=formboxholder   align=left><input type=text name=contact_fname size=20 maxlength=40 value="<%=contact_fname%>">
  <%
    	if Version8point0="YES" Then  ' 04/25/13
%>
   		 &nbsp;&nbsp;
   		<%= wc_Primary_only%>&nbsp;&nbsp;<input type=checkbox name=PrimaryOnly CHECKED>

<%
End If
%>
</td>
      </tr>

        <tr>
        <td   class=formlabel   align=right><%=wc_Last_Name%>:</b></td>
        <td   class=formboxholder align=left><font size=-1 ><input type=text name=contact_lname size=20 maxlength=40 value="<%=contact_lname%>"></td>
        </tr>

        <tr>
        <td   class=formlabel align=right><%=wc_Email%>:</b></td>
        <td  class=formboxholder align=left><font size=-1 ><input type=text name=email size=30 maxlength=80 value="<%=email%>"></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Company%>:</b></td>
        <td  class=formboxholder align=left><font size=-1 ><input type=text name=company size=20 maxlength=50 value="<%=company%>">

    <a href='javascript:var w=window.open("Company_Field_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <span class=tinyprint><%=wc_Find_Company%></span>

        </td>
		</tr>

        <tr> <td  class=formlabel align=right><%=wc_Billing_company%>:</b></td>
        <td class=formboxholder align=left>
		<SELECT name=CompanyName>
			<option value=""></option>
			<option value="NOT"><%=wc_none_associated%></option>

		<% ' Get companies

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			mySQL="select company_name,Company_ID from companies Order by company_name"
			set rstemp=conntemp.execute(mySQL)

			Do While NOT rstemp.EOF
			%>
				<option value="<%=rstemp("company_ID")%>"><%=rstemp("company_name")%></option>
				<%
				rstemp.MoveNext
			Loop
			%>
			</select>
			<%

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing

		%>
        </td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_Address%>:</b></td>
        <td  class=formboxholder align=left><font size=-1 ><input type=text name=address size=20 maxlength=50 value="<%=address%>"></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_City%>:</b></td>
        <td  class=formboxholder align=left><font size=-1 ><input type=text name=city size=20 maxlength=50 value="<%=city%>"></td>
		</tr>

        <tr>
        <td  class=formlabel align=right><%=wc_State%>:</b></td>
        <td  class=formboxholder align=left><font size=-1 ><input type=text name=State size=15 maxlength=50 value="<%=State%>"></td>
		</tr>

        <tr>
        <td class=formlabel  align=right><%=wc_Phone1%>:</b></td>
        <td  class=formboxholder align=left><font size=-1 ><input type=text name=phone1 size=15 maxlength=50 value="<%=phone1%>"></td>
		</tr>

  		<tr>
        <td  class=formlabel align=right  valign=top>Email Opt Out:</td>  <!-- CMB 06/01/2011 -->
        <td  class=formboxholder align=left>
        <select name=EmailOptions size=3>
        <option value="include" SELECTED>Include opt-outs</option>
        <option value="exclude">Exclude opt-outs</option>
        <option value="only">Only opt-outs</option>
        </td>
		</tr>

        <tr>
        <td  class=formlabel align=right valign=top>

		<%=wc_User_Groups%></td>
        <td   class=formboxholder align=left>
		<select name=emailUserCategory size=4 multiple>
		<option value=""><%=wc_All_User_Groups%></option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from EmailCategory"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		response.write "No categories found"
	Else

		Do While rstemp.EOF <> True
	%>

	<Option value=<%=rstemp("EmailCategoryID")%>>
	<%=rstemp("EmailCategory")%>
	</option>
<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>

	<%' Contact Management Assignments %>
        <tr>
        <td    class=formlabel align=right valign=top>
		<%=wc_Assigned_To%>:
		</td>
        <td  class=formboxholder align=left>
		<select name=customerTechAssignment size=4 multiple>
		<option value="ALL">No Assignment</option>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from Tech_staff"

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any cases exist
		response.write "No categories found"
	Else

		Do While rstemp.EOF <> True

		' Open up a second record set and see if user has any tech staff (sales techs)
		' already defined or assigned for this customer. One or more may be defined
		If Customer_ID <> "" Then
			mySQL2="select * from CustomerTechAssignment where Customer_ID = '" & Customer_ID & "' AND Tech_ID = '" & rstemp("tech_ID") & "'"

			'response.write "SQL=" & mySQL2

			set rstemp2=conntemp.execute(mySQL2)
			If rstemp2.EOF = True then ' Category not set for this customer
		%>
				<Option value=<%=rstemp("Tech_ID")%>>
					<%=rstemp("First_Name")%>
							<% Response.write " " %>
					<%=rstemp("Last_Name")%>

				</option>

			<%else ' Set for this customer so add selected %>
				<Option value=<%=rstemp("Tech_ID")%> SELECTED>
				<%=rstemp("First_Name")%>
						<% Response.write " " %>
				<%=rstemp("Last_Name")%>
				</option>

			<%End If %>

	<%
			' Close this record set
			rstemp2.Close ' Close this record set

		Else ' When Customer_ID = ""

	%>

		<Option value=<%=rstemp("tech_ID")%>>
				<%=rstemp("First_Name")%>
				<% Response.write " " %>


				<%=rstemp("Last_Name")%>
		</option>

		<% End If %>

<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		</td></tr>


       <!-- ASSETS -->
     <% 	If version7point5="YES" then %>
        <tr>
        <td    class=formlabel align=right valign=top>
		<%=wc_Asset_Search%>:
		</td>
        <td  class=formboxholder align=left>
		<select name=AssetAssignment size=1>
		<option value="">Ignore</option>
		<option value="Asset">No Assets Assigned</option>
		</select></td</tr>

     <% end if %>

		<tr>
		<td colspan=2 align=center>
		<hr>

		<table>
				<tr>
				   <td align=center><font size=-1 >
					<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>
				</td>
				<td>&nbsp; &nbsp; &nbsp; &nbsp; </td>
				<td  align=center width=50% valign=top><a href="status.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
				</td>
				</tr>

		</table>
		<hr>

		</td></tr>

		 <tr><td  class=MinorFormTitle colspan=2 align=center><%=wc_Optional_Information_Fields%></td></tr>



    <% ' Start display of optional info fields ---------------------

       DisplayOptionalTextBoxes ' call to display the fields and associated boxes

        ' End display of optional info fields ---------------------
    %>


        <tr><td>
         <table  cellpadding=0 cellspacing=0><tr><td height=5></td></tr></table><!--add a little space -->
        </td></tr>



		</table>



		</td>
		</tr>
		</table>




</form>

</body>
</html>

<% End If ' End if IF valid user%>


<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db, customer_drop_down, ldap_enabled)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
			customer_drop_down = rstemp2("customer_id_list")
			ldap_enabled = rstemp2("option1")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>


<% Sub DisplayOptionalTextBoxes

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
		mySQL="select * from BConfiguration" ' There should only be one row in this table

		set rstemp=conntemp.execute(mySQL)

		' Check to see if any records are returned
		' if none found then login fails.
		If  rstemp.eof then ' Check to see configuration row created yet
			'WhiteBoardContents = " White Board Not yet configured"
		Else ' row found in BConfiguration table
            divider = "No" ' one-time falg to display divider
			for i = 1 to 10
				Enableflag = "Box" & i & "Enabled"
				TextColumn = "Box" & i & "Label"
				ColumnName = "TextNote" & i

				If CBool(rstemp(EnableFlag)) = True THEN ' Display text column

				    If divider = "No" then
				        response.write " <tr><td colspan=2 height=3 class=lightline></td></tr>"
				        divider = "Yes"
				    End If


					%>
					<tr>
					<td   class=formlabel align=right>

					<%
						rstemp.movefirst
					Response.write  rstemp(TextColumn)
					%>

					:</td>

					<%
						Value = ""
					%>

					<td   class=formboxholder align=left><input type=text name=<%=ColumnName%> size=25 maxlength=50 value="<%=Value%>"></td>
					</tr>
					<%
				End IF
			next
		End If
	End Sub
%>

<%
SUB  check_enabled
baseDirectory = Server.MapPath(".")
slash = "\"
' now we chop off end of baseDirectory string to point us up to our parent directory
lastpos = InstrRev(baseDirectory,slash)
baseDirectory = Left(baseDirectory,lastpos)
TargetFilePath = baseDirectory & "ZCustomerHolder.asp"


Set fs1 = CreateObject("Scripting.FileSystemObject")


If fs1.FileExists(TargetFilePath) Then
   ' do nothing
Else
   response.write "<p><font size=+1 color=red><b>Error - </b></font>The settings for LDAP Directory Access are missing. Please ask your System Administrator to set these up.  <P>"
   response.flush
   response.end
End if



REM the "1" in the next statement represents "ForReading"
Set b = fs1.OpenTextFile(TargetFilePath, 1, FALSE)


linecounter = 0
Tabchar = Chr(9)

While not b.AtEndOfStream
   InRec  = b.Readline
   if Left(Inrec,1) =  "'" Then ' chop off the first character
       InRec = Mid(InRec,2)
	   linecounter = linecounter + 1
	   splitter = split(InRec,Tabchar)

	   If splitter(1) = "RetrieveField2" Then firstname_enabled = "Yes"  ' firstname
	   If splitter(1) = "RetrieveField3" Then lastname_enabled = "Yes"   ' lastname
	   If splitter(1) = "RetrieveField11" Then email_enabled = "Yes"     ' email

   end if
Wend
b.Close
end sub
%>
