<% 'Module: InspectionsReport.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.

   '(C) 2011 Internet Software Sciences
   ' www.inet-sciences.com
' CMB TO DO
' format date format strings for output in td's
' add header labels to wc file
' error messages invalid date, no criteria

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '04/20/2011 CMB  Modified for Inspections Report
    '08/15/11  CMB   fixed a couple of bugs (interval calculation incorrect), UK compliance, formatting date,
    '     cosmetic, locale, sqldate format
    '03/27/12  CMB  Error message if no criteria entered

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

<title>Inspections Report</title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table

	Call SetLocale (1033) ' this is needed if using Month and day and other cstring functions CMB 08/15/2011

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		WCDateFormat = rstemp2("Date_Display_Format")
		Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQL

   		' This will override databasetype2 constants set in the DB_define.inc file
		DatabaseType2 = Database
	End If

	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing
%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.
		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")

		If Request.Form("Interval") <> "" Then
			Interval = Cint(Request.form("Interval"))
		Else
			Interval = 0
		End If
		If Request.Form("InspectionStatus") <> "" Then
			InspectionStatus = Cint(Request.form("InspectionStatus"))
		Else
			InspectionStatus = 0
		End If
%>

<!-- REPORT HEADER -->
<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1>Inspections Report</font>
<br><Font size=-2>This report pulls all assets which have been inspected during the entered date range <br>or start date/interval
and have the selected status (if any). End date takes precedence over interval.</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>
</tr></table>
</center>

<form action=InspectionsReport.asp method=post>

<!-- SELECTION FIELDS -->
	<center>
	<table border=1 WIDTH="95%" >
	<TR>
	<TD ALIGN=CENTER bgcolor=C0F0E0>
	<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
	<TR>
	<TD valign=top><B><FONT SIZE=-1><%=wc_Inspection_Status%>:</FONT></b><br>
		<FONT SIZE=-1>
		<SELECT  name=InspectionStatus>
	<% call getInspectionStatus(InspectionStatus)   %>
	</SELECT>

	<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
	<font size=-2>

	<% 	If WCDateFormat = "DDMMYYYY" Then %>
			(dd/mm/yyyy)
		<%  Else %>
			(mm/dd/yyyy)
	<%  End If %>

	<br></font>
	<font size=-1>
	<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

	<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
	<font size=-2>
	<% 	If WCDateFormat = "DDMMYYYY" Then %>
			(dd/mm/yyyy)
		<%  Else %>
			(mm/dd/yyyy)
	<%  End If %>

	<br></FONT>
	<font size=-1>
	<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

	<TD valign=top><B><FONT SIZE=-1>Interval:</font></b><br>
	<FONT SIZE=-1>

		<SELECT  name=Interval>
			<% If Interval = 0 Then %>
			<OPTION selected value=0></OPTION>
			<%Else %>
			<OPTION  value=0></OPTION>
			<%End If %>

			<% If Interval = 1 Then %>
			<OPTION selected value=1>1 Day</OPTION>
			<%Else %>
			<OPTION  value=1>1 Day</OPTION>
			<%End If %>

			<% If Interval = 2 Then %>
			<OPTION selected value=2>2 Days</OPTION>
			<%Else %>
			<OPTION  value=2>2 Days</OPTION>
			<%End If %>

			<% If Interval = 3 Then %>
			<OPTION selected value=3>3 Days</OPTION>
			<%Else %>
			<OPTION  value=3>3 Days</OPTION>
			<%End If %>

			<% If Interval = 4 Then %>
			<OPTION selected value=4>4 Days</OPTION>
			<%Else %>
			<OPTION  value=4>4 Days</OPTION>
			<%End If %>

			<% If Interval = 5 Then %>
			<OPTION selected value=5>5 Days</OPTION>
			<%Else %>
			<OPTION  value=54>5 Days</OPTION>
			<%End If %>

			<% If Interval = 6 Then %>
			<OPTION selected value=6>6 Days</OPTION>
			<%Else %>
			<OPTION  value=6>6 Days</OPTION>
			<%End If %>

			<% If Interval = 7 Then %>
			<OPTION selected value=7>1 Week</OPTION>
			<%Else %>
			<OPTION  value=7>1 Week</OPTION>
			<%End If %>

			<% If Interval = 14 Then %>
			<OPTION selected value=14>2 Weeks</OPTION>
			<%Else %>
			<OPTION  value=14>2 Weeks</OPTION>
			<%End If %>

			<% If Interval = 31 Then %>
			<OPTION selected value=31>1 month (31 Days)</OPTION>
			<%Else %>
			<OPTION  value=31>1 month (31 Days)</OPTION>
			<%End If %>

		</SELECT></font></TD>

	<td valign=middle>
	<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>
	</TR>
	</TABLE>
	</TD>
	</TR>
	</table>
	</center>
<!-- END SELECTION FIELDS -->
	<P>
	</form>

<%
' REFORMAT DATE STRING if mmddyy  might be 4/1/22

	If Start_Date > "" Then
		If WCDateFormat = "DDMMYYYY"  Then
			StartDate =  SwitchMonthDate(Start_Date)
			if end_Date > "" then
				enddate =   SwitchMonthDate(End_Date)
			end if
		Else
			StartDate = PadDate(Start_Date)
			EndDate = End_Date
		End If
	End If


if (interval > 0 and startdate <> "" and isdate(startDate)) OR (inspectionstatus > 0) or (startDate <> "" and isdate(startDate) and enddate <> "" and isdate(endDate)) then
%>

<%
' NOTE: THIS DOESN"T DO THE LAST STATUS JUST any inspection with this status within the date range
sSQL = "SELECT Inspection.Case_Number, Inspection.InspectionStatusIndex, InspectionStatus.InspectionStatus, Inspection.Asset_Number,  "
sSQL = sSQL & "Inspection.InspectionDate, Inspection.InspectionTime, Inspection.InspectionNotes,  "
sSQL = sSQL & "tech_Staff.first_name+' '+tech_Staff.last_name AS techName,  "
sSQL = sSQL & "assets.computer_id, assets.equipment_type, assets.serial_number, assets.property_tag "
sSQL = sSQL & "FROM ((Inspection LEFT JOIN InspectionStatus ON Inspection.InspectionStatusIndex = InspectionStatus.InspectionStatusIndex)  "
sSQL = sSQL & "LEFT JOIN tech_staff ON Inspection.Tech_ID = tech_staff.tech_id)  "
sSQL = sSQL & "INNER JOIN assets ON Inspection.Asset_Number = assets.asset_number  "

if inspectionstatus > 0 then
	swhere = "Inspection.InspectionStatusIndex = " & inspectionstatus
end if

if startDate > "" and isDate(StartDate) then
	' see if they entered a valid end date
	if endDate > "" and isdate(EndDate) then
		'use these instead of interval
	else
		'use interval
		if interval = 31 then ' 08/15/2011 CMB
			endDate = dateadd("m",1,cdate(startDate))
			endDate = dateadd("d",-1,cdate(endDate))  ' oops bug 8/15/2011 cmb
		else
			endDate = dateadd("d",interval + 1,cdate(startDate))
		end if
	end if
	if swhere > "" then
		swhere = swhere & " AND "
	end if

	If DatabaseType2 = "ACCESS" Then
		swhere = swhere & " InspectionDate >= #" & StartDate & "# and InspectionDate <= #" &  EndDate & "# ORDER BY InspectionDate DESC, Inspectiontime Desc, InspectionIndex desc, Assets.Asset_Number " ' make this configurable?
	else
		swhere = swhere & " InspectionDate >= '" & StartDate & "' and InspectionDate <= '" &  EndDate & "' ORDER BY InspectionDate DESC, InspectionTime Desc, InspectionIndex desc, Assets.Asset_Number " ' make this configurable?
	End IF
end if
swhere = " WHERE " & swhere

'response.write "where: " &  swhere
'response.flush
'response.end

sSql = sSql & swhere

'response.write "SQL: " & ssql
'response.flush
'response.end

'*** loop thru records ***

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		If DatabaseType2 = "SQLSERVER" Then
			conntemp.Execute "Set DateFormat mdy " ' CMB 08/15/2011
		End If
'response.write sSQL
'response.flush
'response.end
		set rstemp=Server.CreateObject("adodb.Recordset")
		rstemp.open sSQL, conntemp, adopenstatic
		if rstemp.eof then
			response.write "No records found which meet these criteria"   ' CMB might be good to put in which criteria!
		else
%>
		<!-- Display the top of part of the table and headers -->
		<center>
		<table width=95% border = 1>
		<tr>
			<td class=formlabelsuper Align=center ><%=wc_Case_Number%></td>
			<td class=formlabelsuper Align=center><%=wc_Asset_Number%></b></font>	</td>
			<td class=formlabelsuper Align=center><%=wc_Inspection_Status%></b></font></td>
			<td class=formlabelsuper Align=center>Inspection Date</td>
			<td class=formlabelsuper Align=center>Technician</td>
			<td class=formlabelsuper Align=center>Notes</td>
			<td class=formlabelsuper Align=center><%=Computer_ID_Label%></td> <!--Description also barcode = property_tag -->
			<td class=formlabelsuper Align=center>Type</td>
			<td class=formlabelsuper Align=center><%=Serial_Number_Label%></td>
		</tr>
<%
			do while not rstemp.eof

				If WCDateFormat = "DDMMYYYY" Then ' UK format
					sDate=Day(rstemp("InspectionDate")) & "/" & Month(rstemp("InspectionDate")) & "/" &  Year(rstemp("InspectionDate"))
				Else
					sDate=Month(rstemp("InspectionDate")) & "/" & Day(rstemp("InspectionDate")) & "/" & Year(rstemp("InspectionDate"))
				End If

				if not isnull(rstemp("InspectionTime")) then
					sTime = Hour(rstemp("InspectionTime")) & ":" & Minute(rstemp("InspectionTime"))
				else
					sTime = " "
				end if

				'sTime = Left(rstemp("InspectionTime"),x-1) & " " & Right(rstemp("InspectionTime"),3) ' get rid of seconds
	%>
				<TR>
					<TD class=formboxholder Align=center><%=rstemp("Case_Number")%>&nbsp;</TD>
					<TD class=formboxholder Align=center><%=rstemp("Asset_Number")%>&nbsp;</TD>
					<TD class=formboxholder Align=center><%=rstemp("InspectionStatus")%>&nbsp;</TD>
				<!--	<TD class=formboxholder nowrap=false><%=sDate & " " & sTime%>&nbsp;</TD>-->
					<TD class=formboxholder  Align=center><%=sDate%>&nbsp;
					<TD class=formboxholder Align=center><%=rstemp("techName")%>&nbsp;</TD>
					<TD  class=formboxholder  Align=center><%=rstemp("InspectionNotes")%>&nbsp;</TD>
					<TD class=formboxholder Align=center><%=rstemp("computer_id")%>&nbsp;</TD>
					<TD class=formboxholder Align=center><%=rstemp("equipment_type")%>&nbsp;</TD>
					<TD class=formboxholder Align=center><%=rstemp("serial_number")%>&nbsp;</TD>
				</TR>
<%
				rstemp.MoveNext
			loop
		end if

		rstemp.close
		set rstemp=nothing

		conntemp.close ' Close the connection
		set conntemp=nothing
%>

</table>
<% else %>
No criteria entered.  Please enter either a start date and an interval; a start and an end date; or
select a status.
<%End If ' anything entered? %>

<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

</body>
</html>

<% Function GetInspectionStatus(Passed_Status_ID)
' This function fills a dropdown with Inspection Statuses from Inspection_status_values table
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select InspectionStatusIndex, InspectionStatus from InspectionStatus order by InspectionStatus"
	set rstemp2=conntemp.execute(mySQL2)

		response.write "<OPTION value=0></OPTION>"
		do while not rstemp2.eof
			 If Passed_Status_ID = rstemp2("InspectionStatusIndex") Then
				response.write "<OPTION selected value=" & rstemp2("InspectionStatusIndex") & ">" & rstemp2("InspectionStatus") & "</OPTION>"
			Else
				response.write "<OPTION value=" & rstemp2("InspectionStatusIndex") & ">" & rstemp2("InspectionStatus") & "</OPTION>"
			End If
			rstemp2.MoveNext
		LOOP

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
End Function
%>