<% 'Module: MakeAssetHTML.asp

   'Description: This module create an HTML string that is used for sending an email message
   '     when an asset is modified.
   '(C) 2000, 2001, 2002 - 2011 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date	Who		What
   '-------	---		------------------------------------------------
   '12/6/11    CMB		Created from HTMLProjectTemplate.asp
   '02/06/12   CMB             fixed rstemp2 reference
   '04/10/12   CMB              CustomerID assigned to was incorrectly reporting unassigned
	' CONSTANTS

%>


<% Function CreateHTMLEmailAssetMsg(ID)

' Get the information about the time formats

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL, conntemp, 1,3

	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
		bAssetInspections = True  ' backwards compabitility
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		WCDateFormat = rstemp2("Date_Display_Format")
		TimeSpentCategory = rstemp2("Time_Spent_Category")
		If TimeSpentCategory <> "" then
			TimeSpentCategory = "C" & TimeSpentCategory
		End If

		Customer_ID_List = rstemp2("customer_id_list")
		TimeSpentInterval = rstemp2("Time_Spent_Interval")
		MinutesPerCategory = TimeSpentInterval

		bAssetInspections = True ' backwards compabitility

		If version7point5="YES" then
			If not IsNull(rstemp2("AssetInspections")) Then ' not used
				bAssetInspections = rstemp2("AssetInspections")
			End If
		End If

	End If

	rstemp2.close
	set rstemp2=nothing

' ********** get asset information

	mySQL2 = "Select * from Assets "
	WhereStatement = " WHERE Asset_Number = " & ID

	mySQL2 = mySQL2  & WhereStatement


	set rstemp2=Server.CreateObject("adodb.Recordset")
	rstemp2.Open mySQL2,conntemp,3,3  ' NEW ASSETS changed open command in order to get memo fields

	If NOT rstemp2.EOF then
		computer_id = rstemp2("Computer_id")
		property_tag = rstemp2("Property_tag")
		Equipment_type = rstemp2("equipment_type")

		lease_or_purchase = rstemp2("lease_or_purchase")

		purchase_order_num = rstemp2("purchase_order_num")

		serial_number = rstemp2("serial_number")

		' Acquisition
		acquired_from = rstemp2("acquired_from")
		date_acquired = rstemp2("date_acquired")
		date_in_service = rstemp2("date_in_service")

		' Specifications

		Processor_speed = rstemp2("processor_speed")
		ram_size = rstemp2("ram_size")
		hd_size = rstemp2("hd_size")
		monitor_model = rstemp2("monitor_model")
		monitor_size = rstemp2("monitor_size")
		Monitor_serial_num = rstemp2("Monitor_serial_num")

		'assignments

		assigned_group = rstemp2("assigned_group")
		location = rstemp2("location")
		date_assigned = rstemp2("date_assigned")
		ip_address = rstemp2("ip_address")
		wall_port_number =rstemp2("wall_port_number")

		' Applications
		operating_system1 = rstemp2("operating_system1")
		operating_system2 = rstemp2("operating_system2")

		app1 = rstemp2("app1")
		app1_product_id = rstemp2("app1_product_id")
		app1_install_date = rstemp2("app1_install_date")

		app2 = rstemp2("app2")
		app2_product_id = rstemp2("app2_product_id")
		app2_install_date = rstemp2("app2_install_date")

		app3 = rstemp2("app3")
		app3_product_id = rstemp2("app3_product_id")
		app3_install_date = rstemp2("app3_install_date")

		app4 = rstemp2("app4")
		app4_product_id = rstemp2("app4_product_id")
		app4_install_date = rstemp2("app4_install_date")

		app5 = rstemp2("app5")
		app5_product_id = rstemp2("app5_product_id")
		app5_install_date = rstemp2("app5_install_date")

		app6 = rstemp2("app6")
		app6_product_id = rstemp2("app6_product_id")
		app6_install_date = rstemp2("app6_install_date")

		app7 = rstemp2("app7")
		app7_product_id = rstemp2("app7_product_id")
		app7_install_date = rstemp2("app7_install_date")

		app8 = rstemp2("app8")
		app8_product_id = rstemp2("app8_product_id")
		app8_install_date = rstemp2("app8_install_date")

		app9 = rstemp2("app9")
		app9_product_id = rstemp2("app9_product_id")
		app9_install_date = rstemp2("app9_install_date")

		app10 = rstemp2("app10")
		app10_product_id = rstemp2("app10_product_id")
		app10_install_date = rstemp2("app10_install_date")

		app11 = rstemp2("app11")
		app11_product_id = rstemp2("app11_product_id")
		app11_install_date = rstemp2("app11_install_date")

		app12 = rstemp2("app12")
		app12_product_id = rstemp2("app12_product_id")
		app12_install_date = rstemp2("app12_install_date")

		app13 = rstemp2("app13")
		app13_product_id = rstemp2("app13_product_id")
		app13_install_date = rstemp2("app13_install_date")

		app14 = rstemp2("app14")
		app14_product_id = rstemp2("app14_product_id")
		app14_install_date = rstemp2("app14_install_date")

		app15 = rstemp2("app15")
		app15_product_id = rstemp2("app15_product_id")
		app15_install_date = rstemp2("app15_install_date")

		' Get the custom fields 1-5
		custom_field1 = rstemp2("custom_field1")
		custom_field2 = rstemp2("custom_field2")
		custom_field3 = rstemp2("custom_field3")
		custom_field4 = rstemp2("custom_field4")
		custom_field5 = rstemp2("custom_field5")

		LastUpdate = rstemp2("LastUpdate")
		UpdatedBy = rstemp2("UpdatedBy")

		' Get the asset_notes

		AssetNotes = rstemp2("assetnotes")	

	End If ' End of if rstemp.EOF Check

	 ' Close the record set 

	rstemp2.close
	set rstemp2=nothing
	
	' Get any asset assignment from the AssetAssignment Table

	mySQL2="select * from AssetAssignment where asset_number =" & ID
	Set rstemp = Server.CreateObject("ADODB.Recordset")

	rstemp.Open mySQL2,Conntemp,3,3
	Tech_ID = ""
	customer_id = ""
	Asset_Number2 = ""
	sCustomer = ""
	sTech = ""
	
	if not rstemp.EOF then
		If not isnull(rstemp("Customer_ID")) then
			Customer_ID = rstemp("Customer_ID")  ' 04/10/12			
		End If
		
		If Not IsNull(rstemp("Tech_ID")) then  ' TYPE MISMATCH
			Tech_ID = rstemp("tech_ID")
		End If
		
		if not IsNull(rstemp("Asset_number2")) then
			Asset_number = rstemp("Asset_number2") ' 02/06/12 fixed rstemp2 reference
		End If	
	End If
	
	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	if customer_ID > "" then
		sCustomer =  CustomerFullName(Customer_ID)' 04/10/12
	End if
	If Tech_ID > "" then
		sTech = TechFullName(Tech_ID)
	End If
	TechFullNameString = TechFullName(UpdatedBy)


	'******************** start email ********************
	
	TU = ""
	TU = TU & "<html>"

	'TU = TU & "<!-- (C) 1996,1998, 1999, 2000-2011 by Internet Software Sciences -->"  ' seems to screw it up

	TU = TU & "<head>"

	TU = TU & "<title>" & wc_Asset_Information & ": " & ID & " </title>"
	StyleSheetText = GetEmailStyles()

	TU = TU & StyleSheetText
	TU = TU & "</head>"

	TU = TU & "<body class=rightwindow>"
	TU = TU & "<center>"

	TU = TU & "<TABLE class=outerformwrapper cellpadding=0 cellspacing=0  >"
	TU = TU & "<tr>"

  	 TU = TU & "<td>"
	TU = TU & "<TABLE class=innerformwrappertight cellpadding=0 cellspacing=0 border=1  >"
	
		'**** header
		TU = TU & "<tr><td align=center colspan=2 class=minorformtitle ><font size=+1>" & wc_Asset_Information & ": " & ID & "</font></td></tr>"
TU=TU & "<tr><td  valign=top><table border=1  class=innerformwrappertight >"

		'*** rows start here
		
		TU = TU  & "<tr><td class=minorformtitle colspan=2 align=center>" & Asset_Information_Label & "</td></tr>"

		TU = TU  & DropDownOrText(Property_Tag_Label,"property_tag",property_tag,30,30,true) 		
		TU = TU  & DropDownOrText(Description_Label,"Equipment_Type",Equipment_Type,30,100,true)
		TU = TU  & DropDownOrText(Property_Tag_Label,"property_tag",property_tag,30,30,false) 
		TU = TU  & DropDownOrText(Serial_Number_Label,"serial_number",serial_number,30,100,false)
	
		' ASSIGNED TO
		TU = TU  & "<tr><td class=minorformtitle align=center  colspan=2>" & Asset_Assignments_Label & "</td></tr>"
		 if sCustomer > "" then 
			 sLabel = wc_Assigned_To & " " & wc_Customer 
			TU = TU  & DropDownOrText(sLabel,"notused",sCustomer,30,100,false) 
		End If
		If sTech > "" then
			 sLabel = wc_Tech_assignment			 
			TU = TU  & DropDownOrText(sLabel,"notused",sTech,30,100,false)			
		 end if 
		 if Asset_Number2 > "" then
			sLabel = wc_Other_Asset_Number
			TU = TU  & DropDownOrText(sLabel,"notUsed",Asset_Number2,30,100,false) 
		End If

                ' DETAILS
                if  Asset_Details_Acquisition_Label >  "" then
			'TU = TU  & "<tr><td height=2 ></td></tr>"
			TU = TU  & "<tr><td class=minorformtitle align=center  colspan=2>" & Asset_Details_Acquisition_Label & "</td></tr>"
		End If
		
		TU = TU  & DropDownOrText(Location_Label,"location",location,30,100,false) 
		TU = TU  & DropDownOrText( Assigned_Group_Label,"assigned_group",assigned_group,30,100,false) 
		TU = TU  & DropDownOrText(Date_Assigned_Label,"date_assigned",date_assigned,30,100,false) 
		TU = TU  & DropDownOrText(IP_Address_Label,"ip_address",ip_address,30,100,false)
		TU = TU  & DropDownOrText(Wall_Port_Number_Label,"wall_port_number",wall_port_number,30,100,false) 

		TU = TU  & DropDownOrText(Lease_Or_Purchase_Label,"Lease_Or_Purchase",lease_or_purchase,30,100,false) 
		TU = TU  & DropDownOrText(Purchase_Order_Number_Label,"purchase_order_num",purchase_order_num,30,100,false)
		TU = TU  & DropDownOrText(Date_acquired_Label,"date_acquired",date_acquired,30,100,false)
		TU = TU  & DropDownOrText(Acquired_From_Label,"acquired_from",acquired_from,30,100,false) 
		TU = TU  & DropDownOrText(Date_Put_into_Service_Label,"date_in_service",date_in_service,30,100,false) 

		'<!--    SPECIFICATIONS SECTION -->
		if wc_Specifications > "" then
			'TU = TU  & "<tr><td height=2></td></tr>"
			TU = TU  & "<tr><td class=minorformtitle align=center  colspan=2>" & wc_Specifications & "</td></tr>"
		End If

		TU = TU  & DropDownOrText(Processor_Speed_Label,"processor_speed",processor_speed,30,100,false) 
		TU = TU  & DropDownOrText(RAM_size_Label,"ram_size",ram_size,30,100,false) 
		TU = TU  & DropDownOrText(Hard_Drive_Size_Label,"hd_size",hd_size,30,100,false) 
		TU = TU  & DropDownOrText(Monitor_model_Label,"monitor_model",monitor_model,30,100,false) 
		TU = TU  & DropDownOrText(Monitor_Size_Label,"monitor_size",monitor_size,30,100,false) 
		TU = TU  & DropDownOrText(Monitor_Serial_Number_Label,"monitor_serial_num",monitor_serial_num,30,100,false) 


		'			<!--    CUSTOM FIELDS SECTION -->
		if  Custom_Fields_Labels > "" then
			'TU = TU  & "<tr><td height=2></td></tr>"
			TU = TU  & "<tr><td class=minorformtitle align=center   colspan=2>" & Custom_Fields_Labels & "</td></tr>"
		End If
		
		TU = TU  & DropDownOrText(Custom_Field_1_Label,"custom_field1",custom_field1,30,100,false) 
		TU = TU  & DropDownOrText(Custom_Field_2_Label,"custom_field2",custom_field2,30,100,false)
		TU = TU  & DropDownOrText(Custom_Field_3_Label,"custom_field3",custom_field3,30,100,false) 
		TU = TU  & DropDownOrText(Custom_Field_4_Label,"custom_field4",custom_field4,30,100,false) 
		TU = TU  & DropDownOrText(Custom_Field_5_Label,"custom_field5",custom_field5,30,100,false) 
		


		'	<!-- SOFTWARE SECTION -->
		if Software_Label > "" then
			'TU = TU  & "<tr><td height=2></td></tr>"
			TU = TU  & "<tr><td class=minorformtitle align=center   colspan=2>" & Software_Label & "</td></tr>"
		End If
		
		TU = TU  & DropDownOrText(Operating_System_1_Label,"operating_system1",operating_system1,30,100,false) 
		TU = TU  & DropDownOrText(Operating_System_2_Label,"operating_system2",operating_system2,30,100,false) 

		'TU = TU  & "<tr><td height=2></td></tr>"
' <!-- APPS -->
		If App_1_Label <> "" Then 

		'	TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_1_Label,"app1",app1,20,20,false) 
			TU = TU  & DropDownOrText(App_1_product_ID_Label,"app1_product_id",app1_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_1_installation_date_Label,"app1_install_date",app1_install_date,15,15,false) 

		 End If 

		 If App_2_Label <> "" Then 

		'	TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_2_Label,"app2",app2,20,20,false) 
			TU = TU  & DropDownOrText(App_2_product_ID_Label,"app2_product_id",app2_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_2_installation_date_Label,"app2_install_date",app2_install_date,15,15,false)

		 End If 

		 If App_3_Label <> "" Then 

			'TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_3_Label,"app3",app3,20,20,false) 
			TU = TU  & DropDownOrText(App_3_product_ID_Label,"app3_product_id",app3_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_3_installation_date_Label,"app3_install_date",app3_install_date,15,15,false) 

		 End If 

		 If App_4_Label <> "" Then 

		'	TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_4_Label,"app4",app4,20,20,false) 
			TU = TU  & DropDownOrText(App_4_product_ID_Label,"app4_product_id",app4_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_4_installation_date_Label,"app4_install_date",app4_install_date,15,15,false) 

		 End If 

		 If App_5_Label <> "" Then 

		'	TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_5_Label,"app5",app5,20,20,false) 
			TU = TU  & DropDownOrText(App_5_product_ID_Label,"app5_product_id",app5_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_5_installation_date_Label,"app5_install_date",app5_install_date,15,15,false) 

		 End If 

	'<!-- MOVE THE FOLLOWING LINE TO MOVE WHERE THE 3RD COLUMN STARTS -->

		 If App_6_Label <> "" Then 

		'	TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_6_Label,"app6",app6,20,20,false) 
			TU = TU  & DropDownOrText(App_6_product_ID_Label,"app6_product_id",app6_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_6_installation_date_Label,"app6_install_date",app6_install_date,15,15,false) 

		 End If 

		 If App_7_Label <> "" Then 

		'	TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_7_Label,"app7",app7,20,20,false) 
			 TU = TU  & DropDownOrText(App_7_product_ID_Label,"app7_product_id",app7_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_7_installation_date_Label,"app7_install_date",app7_install_date,15,15,false) 

		 End If 

		 If App_8_Label <> "" Then 

			'TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_8_Label,"app8",app8,20,20,false) 
			 TU = TU  & DropDownOrText(App_8_product_ID_Label,"app8_product_id",app8_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_8_installation_date_Label,"app8_install_date",app8_install_date,15,15,false) 

		 End If 
		 If App_9_Label <> "" Then 

		'	TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_9_Label,"app9",app9,20,20,false) 
			TU = TU  & DropDownOrText(App_9_product_ID_Label,"app9_product_id",app9_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_9_installation_date_Label,"app9_install_date",app92_install_date,15,15,false) 

		 End If 

		 If App_10_Label <> "" Then 

			'TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_10_Label,"app10",app10,20,20,false) 
			TU = TU  & DropDownOrText(App_10_product_ID_Label,"app10_product_id",app10_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_10_installation_date_Label,"app10_install_date",app10_install_date,15,15,false) 

		 End If 
		 If App_11_Label <> "" Then 

			'TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_11_Label,"app11",app11,20,20,false) 
			TU = TU  & DropDownOrText(App_11_product_ID_Label,"app11_product_id",app11_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_11_installation_date_Label,"app11_install_date",app11_install_date,15,15,false) 

		 End If 
		 If App_12_Label <> "" Then 

			'TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_12_Label,"app12",app12,20,20,false) 
			TU = TU  & DropDownOrText(App_12_product_ID_Label,"app12_product_id",app12_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_12_installation_date_Label,"app12_install_date",app12_install_date,15,15,false) 

		 End If 
		 If App_13_Label <> "" Then 

			'TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_13_Label,"app13",app13,20,20,false) 
			TU = TU  & DropDownOrText(App_13_product_ID_Label,"app13_product_id",app13_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_13_installation_date_Label,"app13_install_date",app13_install_date,15,15,false) 

		 End If 
		 If App_14_Label <> "" Then 

			'TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_14_Label,"app14",app14,20,20,false) 
			TU = TU  & DropDownOrText(App_14_product_ID_Label,"app14_product_id",app14_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_14_installation_date_Label,"app14_install_date",app14_install_date,15,15,false) 

		 End If 
		 If App_15_Label <> "" Then 

			'TU = TU  & "<tr><td height=2></td></tr><tr><td bgcolor=black height=2></td></tr>"

			TU = TU  & DropDownOrText(App_15_Label,"app15",app15,20,20,false) 
			TU = TU  & DropDownOrText(App_15_product_ID_Label,"app15_product_id",app15_product_id,25,25,false) 
			TU = TU  & DropDownOrText(App_15_installation_date_Label,"app15_install_date",app15_install_date,15,15,false) 

		 End If 
		
		
		
TU=TU & "</table></td><td  valign=top><table border=1  >"
		
	'<! -- ASSET NOTES SECTION column 2-->
	 ' Re arrange date from yyyymmddhhmmss to a easier format

	If WCDateFormat = "DDMMYYYY" Then
		NewLastUpdatedDateTime = mid(LastUpdate, 7,2) & "/" & mid(LastUpdate, 5,2) & "/" & mid(LastUpdate, 1,4) & " " & mid(LastUpdate, 9,2) & ":" & Mid(LastUpdate, 11,2)
	Else
		NewLastUpdatedDateTime = mid(LastUpdate, 5,2) & "/" & mid(LastUpdate, 7,2) & "/" & mid(LastUpdate, 1,4) & " " & mid(LastUpdate, 9,2) & ":" & Mid(LastUpdate, 11,2)
	End IF

	
		TU = TU  & "<tr><td class=minorformtitle align=center>Last Updated</td></tr>"
		TU = TU  & "<tr><td class=formlabelsuper>Date: " & NewLastUpdatedDateTime & "</td></tr>"
		TU = TU  & "<tr><td class=formlabelsuper>Tech: " & TechFullNameString & "</td></tr>"


		'<!--    ASSET NOTES SECTION -->
	        TU = TU  & "<tr><td class=minorformtitle align=center>" & wc_Asset_Notes & "</td></tr>"

		 IF AssetNotes <> "" Then 
			TU = TU  & "<tr><td class=formlabel WRAP=true>" & assetnotes & "</td></tr>"
		 End If 

		if bAssetInspections = True then
			TU = TU  & getinspectionhistory(ID)
		End If

	TU=TU & "</table></td></tr>"
	
	TU = TU & "</TABLE></td></tr></TABLE>"	

	TU = TU & "<br>"


TU = TU & "</BODY>"
TU = TU & "</HTML>"
CreateHTMLEmailAssetMsg = TU
' TEST response.write TU
End Function
%>

<% Function GetEmailStyles()


	EmailStyleString = ""
	EmailStyleString  = "<Style>"

	EmailStyleString = EmailStyleString  &  ".Outerformwrapper { "
	EmailStyleString = EmailStyleString  &  "           border-width: 1px;"
	EmailStyleString = EmailStyleString  &  "          border-style: solid;"
	EmailStyleString = EmailStyleString  &  "          border-color: black;"
	EmailStyleString = EmailStyleString  &  "          background-color: #D6DFE7;"
	EmailStyleString = EmailStyleString  &  "          padding-top: 10px;"
	EmailStyleString = EmailStyleString  &  "          padding-bottom: 10px;"
	EmailStyleString = EmailStyleString  &  "          padding-left: 15px;"
	EmailStyleString = EmailStyleString  &  "          padding-right: 15px;"
	EmailStyleString = EmailStyleString  &  "          }"

  	EmailStyleString = EmailStyleString  &  ".InnerformWrapper { "
  	EmailStyleString = EmailStyleString  &  "          border-width: 2px;"
  	EmailStyleString = EmailStyleString  &  "          border-style: solid;"
  	EmailStyleString = EmailStyleString  &  "          border-color: black;"
  	EmailStyleString = EmailStyleString  &  "          background-color: lightblue;"
  	EmailStyleString = EmailStyleString  &  "          padding-top: 0px;"
  	EmailStyleString = EmailStyleString  &  "          padding-bottom: 0px;"
  	EmailStyleString = EmailStyleString  &  "          padding-left: 0px;"
  	EmailStyleString = EmailStyleString  &  "          padding-right: 0px;"
  	EmailStyleString = EmailStyleString  &  "          }"

	EmailStyleString = EmailStyleString  &  ".InnerformWrapperTight { "
	EmailStyleString = EmailStyleString  &  "          border-width: 2px;"
	EmailStyleString = EmailStyleString  &  "          border-style: solid;"
	EmailStyleString = EmailStyleString  &  "          border-color: black;"
	EmailStyleString = EmailStyleString  &  "          background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  "          padding-top: 0px;"
	EmailStyleString = EmailStyleString  &  "          padding-bottom: 0px;"
	EmailStyleString = EmailStyleString  &  "          padding-left: 2px;"
	EmailStyleString = EmailStyleString  &  "          padding-right: 2px;"
	EmailStyleString = EmailStyleString  &  "          }"

	EmailStyleString = EmailStyleString  &  ".MinorFormTitle { "
	EmailStyleString = EmailStyleString  &  "           color: black;"
	EmailStyleString = EmailStyleString  &  "          font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "          font-size: 12;"
	EmailStyleString = EmailStyleString  &  "          font-weight: bold;"
	EmailStyleString = EmailStyleString  &  "          background-color: lightsteelblue;"
	EmailStyleString = EmailStyleString  &  "          border-color: black;"
	EmailStyleString = EmailStyleString  &  "          border-width: 1px;"
	EmailStyleString = EmailStyleString  &  "          border-style: solid;"
	EmailStyleString = EmailStyleString  &  "          padding-top: 3px;"
	EmailStyleString = EmailStyleString  &  "          padding-bottom: 3px;"
	EmailStyleString = EmailStyleString  &  "          padding-left: 25px;"
	EmailStyleString = EmailStyleString  &  "          padding-right: 25px;"
	EmailStyleString = EmailStyleString  &  "          }"
	
	EmailStyleString = EmailStyleString  &  ".formlabel { "
	EmailStyleString = EmailStyleString  &  "           color: #303030;"
	EmailStyleString = EmailStyleString  &  "          font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "          font-size: 11;"
	EmailStyleString = EmailStyleString  &  "          background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  "          }"
	          
	EmailStyleString = EmailStyleString  &  ".formlabelsuper {" 
	EmailStyleString = EmailStyleString  &  "           color: #303030;"
	EmailStyleString = EmailStyleString  &  "          font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "          font-size: 11;"
	EmailStyleString = EmailStyleString  &  "          font-weight: bold;"
	EmailStyleString = EmailStyleString  &  "          background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  "          }"
	          
	EmailStyleString = EmailStyleString  &  ".formboxholder { "
	EmailStyleString = EmailStyleString  &  "           font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "           font-size: 11;"
	EmailStyleString = EmailStyleString  &  "           background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  " 		}"


	EmailStyleString = EmailStyleString  &  ".MinorFormTitleLight { "
	EmailStyleString = EmailStyleString  &  "           color: black;"
	EmailStyleString = EmailStyleString  &  "          font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "          font-size: 12;"
	EmailStyleString = EmailStyleString  &  "          background-color: lightsteelblue;"
	EmailStyleString = EmailStyleString  &  "          border-color: black;"
	EmailStyleString = EmailStyleString  &  "          border-width: 1px;"
	EmailStyleString = EmailStyleString  &  "          border-style: solid;"
	EmailStyleString = EmailStyleString  &  "          padding-top: 3px;"
	EmailStyleString = EmailStyleString  &  "          padding-bottom: 3px;"
	EmailStyleString = EmailStyleString  &  "          padding-left: 25px;"
	EmailStyleString = EmailStyleString  &  "          padding-right: 25px;"
	EmailStyleString = EmailStyleString  &  "          }"
	EmailStyleString = EmailStyleString  &  " body.rightwindow {background-color: beige;}"
	EmailStyleString = EmailStyleString  &  "</style>"


 	GetEmailStyles = EmailStyleString

  End  Function
%>

<%
Function DropdownOrText(LabelName,ColName,SelectedValue,nSize,nMax,bRequired) ' last 3 parameters aren't used this is to reduce code size
	Dim sReturn
	If LabelName <> "" Then
	 	sReturn= "<tr><td width=50% align=left class=formlabelsuper><b>" & LabelName & "</b></td><td align=left class=formboxholder >" & SelectedValue & "</td></tr>"
	Else
		sReturn = ""

	End If
	DropdownOrText = sReturn

End Function
%>
<% Function GetInspectionHistory(Asset_ID)
	Dim sReturn
	sReturn = ""
	
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here

	mySQL2="SELECT InspectionStatus.InspectionStatus, Inspection.Case_Number, Inspection.Asset_Number, Inspection.InspectionDate, Inspection.InspectionTime, Inspection.Tech_ID, inspectionnotes, tech_staff.first_name+' '+tech_staff.last_name AS FullName "
	mySQL2= mySQL2 & "FROM (Inspection LEFT JOIN InspectionStatus ON Inspection.InspectionStatusIndex = InspectionStatus.InspectionStatusIndex) INNER JOIN tech_staff ON Inspection.Tech_ID = tech_staff.tech_id "
	mySQL2= mySQL2 & "WHERE Inspection.Asset_Number= " & asset_ID
	set rstemp2=conntemp.execute(mySQL2)

	sReturn = "<tr><td class=minorformtitle align=center>Inspection History:</td></tr>"

	Do While not rstemp2.EOF
		sReturn = sReturn & "<tr><td class=formlabel><font color=green><b>"
		sDate = formatdateTime(rstemp2("InspectionDate"),vbLongDate)
		x=InStrRev(rstemp2("InspectionTime"),":") ' get rid of seconds
		sTime = Left(rstemp2("InspectionTime"),x-1) & " " & Right(rstemp2("InspectionTime"),3) ' get rid of seconds
		sReturn = sReturn &  sDate & " " & sTime & "</font></b></br>"

		sReturn = sReturn &  "<font color=brown><b>Inspection performed by: </b>" & rstemp2("fullname") & "</font></br>"
		sReturn = sReturn & "<b>Status: </b>"
		sReturn = sReturn &  rstemp2("InspectionStatus")
		sReturn = sReturn & "</br>"
		sReturn = sReturn & "<b>Note: </b>"
		sReturn = sReturn &  rstemp2("InspectionNotes")
		sReturn = sReturn & "</br></br></td></tr>"
		rstemp2.MoveNext
	Loop

	rstemp2.close
	set rstemp2=nothing
	conntemp.Close
	Set conntemp = nothing
	
	GetInspectionHistory = sReturn
	
End Function ' End of GetInspectionHistory
	%>
