<% 'Module: HTMLProjectTemplate.asp

   'Description: This module create an HTML string that is used for sending an email message
   '     when a project is modified.
   '(C) 2000, 2001, 2002 - 2011 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
	'05/19/11	SAV		Created MakeProjects.asp module
	'10/03/11       CMB    Created HTML page from MakeProjects.asp

	' CONSTANTS
 	'nHowMany  BELOW This is a  constant that determines how many histories to send in the email

%>

<% Function CreateHTMLEmailProjectMsg(ID)
	 nHowMany = 5 ' This is a  constant that determines how many histories to send in the email

	mySQL2 = "SELECT Projects.[ProjectID], Projects.[ProjectName], Projects.[ProjectLeader], Projects.[ProjectDescription], Projects.[HoursEstimated], Projects.[ResourcesEstimated], Projects.[MakePublic], Projects.[ProjectReferenceNumber], Projects.[ProjectStatus], Projects.[AdditionalProjectMembers], Projects.[ProjectDueDate], tech_staff.first_name, tech_staff.last_name FROM Projects "
	mySQL2 = mySQL2 & " LEFT OUTER JOIN tech_staff ON Projects.ProjectLeader = tech_staff.tech_id"

		WhereStatement = " WHERE PRojectID = " & ID

		mySQL2 = mySQL2  & WhereStatement

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

		set rstemp=Server.CreateObject("adodb.Recordset")
		'-->AKS<-- Need to specify cursor for record count to be correct.

		If DatabaseType <> "ACCESS97" Then
			rstemp.CursorLocation = adUseClient
		End If

		rstemp.open mySQL2, conntemp, adopenstatic

		If rstemp.EOF <> True Then

			RecordsFound = rstemp.recordcount

			ProjectName = rstemp("ProjectName")
			ProjectLeader = rstemp("ProjectLeader")
			ProjectDescription = rstemp("ProjectDescription")
			ProjectReferenceNumber = rstemp("ProjectReferenceNumber")
			ProjectStatus = rstemp("ProjectStatus")
			AdditionalProjectMembers = rstemp("AdditionalProjectMembers")
			ProjectDueDate = rstemp("ProjectDueDate")

		End If ' End of if rstemp.EOF Check

	 ' Close the record set and close the connection

	rstemp.close
	set rstemp=nothing

	' Close the only connection to the database

	conntemp.close ' Close the connection
	set conntemp=nothing

	TU = ""
	TU = TU & "<html>"

	'TU = TU & "<!-- (C) 1996,1998, 1999, 2000-2011 by Internet Software Sciences -->"  ' seems to screw it up

	TU = TU & "<head>"

	TU = TU & "<title>" & wc_Project & ": " & ProjectID & " </title>"
	StyleSheetText = GetEmailStyles()

	TU = TU & StyleSheetText
	TU = TU & "</head>"

	TU = TU & "<body class=rightwindow>"
	TU = TU & "<center>"

	TU = TU & "<TABLE class=outerformwrapper cellpadding=0 cellspacing=0 width = 90% >"
	TU = TU & "<tr>"

  	 TU = TU & "<td>"
	TU = TU & "<TABLE class=innerformwrappertight cellpadding=0 cellspacing=0 border=0>"
	TU = TU & "<tr><td align=center colspan=2><font size=+1>Project Update</font></td></tr>"

	TU = TU & "<tr><td align=left class=MinorFormTitleLight ><b>Project: </b>" & ProjectName
	TU = TU & "<br>"
	TU = TU & "<b>Project Number: </b>" & ID
	TU = TU & "</td>"
	TU = TU & "<td align=left class=MinorFormTitleLight width=20% ><b>Reference Number: </b>"
	TU = TU & ProjectReferenceNumber
	TU = TU & "</td></tr>"
	
	TU = TU & "<tr><td align=left class=MinorFormTitle colspan=2>" & ProjectDescription
	TU = TU & "</td>"
	TU = TU & "</tr>"
	

	' OK THRU HERE
	TU = TU & "<tr><td align=left class=MinorFormTitleLight ><b> Status: </b>"
 	
	if ProjectStatus = 0 Then
		TU = TU & "<Font color=GREEN> OPEN </font>"
	Else
		TU = TU & "<Font color=RED> CLOSED </font>"
	End If

	TU = TU & "</td>"	
	
	TU = TU & "<td align=right class=MinorFormTitle >Due Date: "
	TU = TU &  ProjectDueDate 

	TU = TU & "</td>"
	TU = TU & "</tr>"

	TU = TU & "</TABLE></td></tr></TABLE>"	

	TU = TU & "<br>"
	' Display Any Project History information if it exists

	TU = TU & "<table  class=outerformwrapper cellpadding=0 cellspacing=0  width = 90% >"
	TU = TU & "<tr>"
	TU = TU & "<td>"
	TU = TU & "<table  class=innerformwrappertight cellpadding=0 cellspacing=0 border=0  width = 100% >"
	TU = TU & "<tr><td align=left class=MinorFormTitleLight>"

	TU = TU & " <B>Project History: </B>"
	TU = TU & "<br> "
	TU = TU & "<br>"

' Code to Display the Project History
' Pull all Project History notes from the ProjectHistory Table where the ProjectID matches the ID
' NOTE this determines how many notes to display; if you just want the last note make nHowMany = 1

	mySQL2 = "SELECT * FROM ProjectHistory"
	mySQL2 = "SELECT tech_staff.first_name, tech_staff.first_name, tech_staff.last_name, ProjectHistory.ProjectHistoryID, ProjectHistory.ProjectID, ProjectHistory.ProjectHistoryDate, ProjectHistory.ProjectHistoryTime, ProjectHistory.ProjectHistoryUpdatedBy FROM tech_staff INNER JOIN ProjectHistory ON tech_staff.tech_id = ProjectHistory.ProjectHistoryUpdatedB "
	mySQL2 = "SELECT tech_staff.first_name, tech_staff.first_name, tech_staff.last_name, ProjectHistory.ProjectHistoryID, ProjectHistory.ProjectID, ProjectHistory.ProjectHistoryDate, ProjectHistory.ProjectHistoryTime, ProjectHistory.ProjectHistoryUpdatedBy, ProjectHistory.ProjectHistory FROM tech_staff INNER JOIN ProjectHistory ON tech_staff.tech_id = ProjectHistory.ProjectHistoryUpdatedBy "

	WhereStatement  = " WHERE ProjectHistory.ProjectID = " & ID & " ORDER BY ProjectHistory.ProjectHistoryDate DESC, ProjectHistory.ProjectHistoryTime DESC"

	mySQL2 = mySQL2  & WhereStatement

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here

	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursor for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open mySQL2, conntemp, adopenstatic

	' Display the Table Headers
		Dim i
		i = 0
		do while not rstemp.eof and i < nHowMany

			' Code here to get project rows
			HistoryLine = ""
			HistoryLine = "<B>" & rstemp("ProjectHistoryDate") & "/" & rstemp("ProjectHistoryTime") & " Updated By " & rstemp("first_name") & " " & rstemp("last_name") & "</b>"
			HistoryLine = HistoryLine & "<UL>" & rstemp("ProjectHistory") & "</ul><hr>"
			TU=TU &  HistoryLine
			rstemp.MoveNext
			i = i + 1
		loop

	 ' Close the record set and close the connection

		rstemp.close
		set rstemp=nothing

		' Close the only connection to the database

		conntemp.close ' Close the connection
		set conntemp=nothing


TU = TU & "</TABLE>"
TU = TU & "</td>"
TU = TU & "</tr>"
TU = TU & "</td>"
TU = TU & "</tr>"
TU = TU & "</table></td></tr></table>"
TU = TU & "<br>"

TU = TU & "</table>"
TU = TU & "</td>"

	 '******* END OF DISPLAY THE OPTIONAL CASE FORM TEXT BOXES ***************************
' Display Optional Company Logo Box

	'TU = TU & "<table width=100% bgcolor=FFFFFF><tr><td align=center><font size=-1 face=arial color=blue>"
	'TU = TU & "Web+Center Help Desk From Internet Software Sciences </font><font size=-2 face=arial>"
	'TU = TU & "<a href=http://www.inet-sciences.com>www.inet-sciences.com</a></font><td></tr></table>"

TU = TU & "</BODY>"
TU = TU & "</HTML>"
CreateHTMLEmailProjectMsg = TU
'response.write TU
End Function
%>

<% Function GetEmailStyles()


	EmailStyleString = ""
	EmailStyleString  = "<Style>"

	EmailStyleString = EmailStyleString  &  ".Outerformwrapper { "
	EmailStyleString = EmailStyleString  &  "           border-width: 1px;"
	EmailStyleString = EmailStyleString  &  "          border-style: solid;"
	EmailStyleString = EmailStyleString  &  "          border-color: black;"
	EmailStyleString = EmailStyleString  &  "          background-color: #D6DFE7;"
	EmailStyleString = EmailStyleString  &  "          padding-top: 10px;"
	EmailStyleString = EmailStyleString  &  "          padding-bottom: 10px;"
	EmailStyleString = EmailStyleString  &  "          padding-left: 15px;"
	EmailStyleString = EmailStyleString  &  "          padding-right: 15px;"
	EmailStyleString = EmailStyleString  &  "          }"

  	EmailStyleString = EmailStyleString  &  ".InnerformWrapper { "
  	EmailStyleString = EmailStyleString  &  "          border-width: 2px;"
  	EmailStyleString = EmailStyleString  &  "          border-style: solid;"
  	EmailStyleString = EmailStyleString  &  "          border-color: black;"
  	EmailStyleString = EmailStyleString  &  "          background-color: lightblue;"
  	EmailStyleString = EmailStyleString  &  "          padding-top: 0px;"
  	EmailStyleString = EmailStyleString  &  "          padding-bottom: 0px;"
  	EmailStyleString = EmailStyleString  &  "          padding-left: 0px;"
  	EmailStyleString = EmailStyleString  &  "          padding-right: 0px;"
  	EmailStyleString = EmailStyleString  &  "          }"

	EmailStyleString = EmailStyleString  &  ".InnerformWrapperTight { "
	EmailStyleString = EmailStyleString  &  "          border-width: 2px;"
	EmailStyleString = EmailStyleString  &  "          border-style: solid;"
	EmailStyleString = EmailStyleString  &  "          border-color: black;"
	EmailStyleString = EmailStyleString  &  "          background-color: #C0C0C0;"
	EmailStyleString = EmailStyleString  &  "          padding-top: 0px;"
	EmailStyleString = EmailStyleString  &  "          padding-bottom: 0px;"
	EmailStyleString = EmailStyleString  &  "          padding-left: 2px;"
	EmailStyleString = EmailStyleString  &  "          padding-right: 2px;"
	EmailStyleString = EmailStyleString  &  "          }"

	EmailStyleString = EmailStyleString  &  ".MinorFormTitle { "
	EmailStyleString = EmailStyleString  &  "           color: black;"
	EmailStyleString = EmailStyleString  &  "          font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "          font-size: 12;"
	EmailStyleString = EmailStyleString  &  "          font-weight: bold;"
	EmailStyleString = EmailStyleString  &  "          background-color: lightsteelblue;"
	EmailStyleString = EmailStyleString  &  "          border-color: black;"
	EmailStyleString = EmailStyleString  &  "          border-width: 1px;"
	EmailStyleString = EmailStyleString  &  "          border-style: solid;"
	EmailStyleString = EmailStyleString  &  "          padding-top: 3px;"
	EmailStyleString = EmailStyleString  &  "          padding-bottom: 3px;"
	EmailStyleString = EmailStyleString  &  "          padding-left: 25px;"
	EmailStyleString = EmailStyleString  &  "          padding-right: 25px;"
	EmailStyleString = EmailStyleString  &  "          }"

	EmailStyleString = EmailStyleString  &  ".MinorFormTitleLight { "
	EmailStyleString = EmailStyleString  &  "           color: black;"
	EmailStyleString = EmailStyleString  &  "          font-family: verdana, arial, helvetica, sans-serif;"
	EmailStyleString = EmailStyleString  &  "          font-size: 12;"
	EmailStyleString = EmailStyleString  &  "          background-color: lightsteelblue;"
	EmailStyleString = EmailStyleString  &  "          border-color: black;"
	EmailStyleString = EmailStyleString  &  "          border-width: 1px;"
	EmailStyleString = EmailStyleString  &  "          border-style: solid;"
	EmailStyleString = EmailStyleString  &  "          padding-top: 3px;"
	EmailStyleString = EmailStyleString  &  "          padding-bottom: 3px;"
	EmailStyleString = EmailStyleString  &  "          padding-left: 25px;"
	EmailStyleString = EmailStyleString  &  "          padding-right: 25px;"
	EmailStyleString = EmailStyleString  &  "          }"
	EmailStyleString = EmailStyleString  &  " body.rightwindow {background-color: beige;}"
	EmailStyleString = EmailStyleString  &  "</style>"


 	GetEmailStyles = EmailStyleString

  End  Function
%>



