<% 'Module: QBHelp.asp

   'Description: This module is the Page for displaying the Quick Book Integration
   ' help instructions.


   '(C) 2008 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'02/15/07	SAV		Created QBMenu.asp module
	'04/18/08	SAV		Created QBGHelp Page

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 ' Only TechReadWrite to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "qbmenu.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%
	' FIRST Get the values from the configuration file and into variables


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		UserPageColor = rstemp("ts_user_page_color")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->

   <!-- #INCLUDE FILE="Stylesheet.inc" -->


<head>
<title>Quick Books Integration Help Guide</title>
</head>

<BODY class=topwindow TOPMARGIN=0  MARGINHEIGHT=0 >

<table cellpadding=0 cellspacing=0><tr><td height=0></td> </tr></table> <!-- little spacer  -->


<table width=100% cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper>
<tr>

<td  align=center class=minorformtitle>
<b> QuickBooks Integration Help Guide </b>

</td>
</tr>
</table>

<table width=100% cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper>

<tr>

<td align=left width=25%  valign=top  class=minorformtitle>

<B>Overview</b><br>

<UL>


Web+Center Extended Time Spent reporting for a support cases is now designed to be integrated with QuickBooks
employee time tracking and invoicing of QuickBook customers.  The Web+Center/QB integration components provided
with the Web+Center Version 6.0 product are designed to work with <U>QuickBooks 2007</u>.

<P>

To make this integration of Web+Center time spent reporting work with the QuickBooks 2007 model, definitions
and processes of "Customers",
"Employees", "Company", "Invoices", "Item Lists", the following assumptions have been made.  Depending
upon how you have configured your QB accounting configurations, integrating Web+Center
Time Spent reporting will range from straight forward to difficult.  We can not verify that the
integration tools we provide will fit your QB business models and we can not offer customizations
to the QB tools without you contracting the use of the Internet Software Sciences consulting group which offers
hourly customization services.

<P>
 To import time tracking information from Web+Center to QuickBooks, we must include information
that matches QB/Web+Center information that connects  (1) customers, (2) employee (techs), and (3)item lists.

<P>
<B>QB/Web+Center Configuration Options file<B><br>
To enable and configure the QB options for your Web+Center configuration, one must
edit with a plain text editor the QBOptions.inc file located in the \Web+Center 6.0\language
directory.  To allow correct syncronizing between QuickBooks and Web+Center customers, techs, and
timespent records, carefully read and edit this text file and configuration steps listed in that file.

<P>
QB model assumptions: <br>

<li><U>Customers</u> - QB customers can be exported from QB to Web+Center or from Web+Center to QB.  The
important customer field that must match is the QB CustomerName field.  There are three options to
how this is defined in your Web+Center QB options.  Review the various CustomerName options
in the QBOptions.inc file.

<LI><U>Employees</u> - QB Employees are mapped in from Tech+Center technicians.  Use the Web+Center tools to export
Web+Center Techs into QB employees.  This is necessary to import time tracking information by employees.
The field that used to match QB Employees is the First and Last name.  This information
is extracted from the Web+Center Technician records using the Tech staff First name field and the
tech staff last name field.

<LI><U>Company</u> -
When QuickBooks integration is enabled
on Web+Center, an additional table to created to define "Item Lists" that includes an item name, and a cost
per hour rate and billable status.  There are options to create and edit these items lists that
must match item definitions in your QuickBooks.
<P>
Once these item lists are defined in Web+Center, the Extended Time Spent option on the Tech+Center case form will
display a special form with a drop down list showing the possible choices of billable items. See figure below.
<br><br>

<img src=TimeSpentBillingQB.jpg border=1 bgcolor=0x000000><br>
<center>QB Item list in Extended Time Spent Billing form of case ticket</center><br>

<LI><U>Time Spent/Time Tracking</u> - Billable information about Web+Center time spent invoices is entered into
QuickBooks as importable Timesheet file.  Select the appropriate Time Spent Option to export
Web+Center extended time spent entries into importable QB Timesheets.


</ul>


</td>

</tr>
</table>

</body>
</html>

<% End If %>

