
<% 'Module: QuickBooksMenu.asp

   'Description: This module displays the QBMenu page at the top frame

   '(C) 1998,1999, 2000, 2001, 2002- 2008 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '6/25/2000	SAV		Created original MyCases.asp page
   '08/17/2006  SAV		Added my scheduled activites for the day at the top of the page.
   '04/17/2008	SAV		Created original page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/GetPriorityFontColor.inc" -->
<!-- #INCLUDE FILE="../Language/QBOPTIONS.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow valid techs to access this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

	If SecurityON = "YES" Then ' Execute this code only if Security Option Flag is set to YES
		' This flag will be set in the db_define.inc file.

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			TechFullName = rstemp("first_name") & " " & rstemp("Last_name")
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing
	Else
		ValidUser = "YES"
	End If


 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "MyCases.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color
	' And the open Cases refresh rate from the Configuration Table

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Pending_Screen_Refresh_Rate = rstemp2("Pending_Screen_Refresh_Rate")
		ts_pending_color = rstemp2("ts_Pending_Color")
		WCDateFormat = rstemp2("Date_Display_Format")
		TimeZoneAdjustment = rstemp2("Time_zone_Adjustment")

		Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQLSERVER or MYSQL
		Databasetype2 = Database

	End If

	rstemp2.close
	set rstemp2=nothing
	' Do NOT close connection here ... wait until end of module
'	conntemp.close ' Close the connection
'	set conntemp=nothing

%>


<HTML>
<HEAD>


   <TITLE>Quick Book Options</TITLE>
   <!-- #INCLUDE FILE="Stylesheet.inc" -->


<!-- (C) 1996,1998, 1999, 2000, 2001, 2002-2008 by Internet Software Sciences -->
</HEAD>

<BODY class=topwindow TOPMARGIN=0  MARGINHEIGHT=0 >


<CENTER>






<table cellpadding=0 cellspacing=0><tr><td height=0></td> </tr></table> <!-- little spacer  -->


<table width=100% cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper>
<tr>

<td  align=center class=minorformtitle>
<b>
QuickBooks Integration Options
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(<a href=QBHelp.asp  target=user_screen>Help</a>)

</td>
</tr>
</table>

<table width=100% cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper>

<tr>

<td colspan=4 align=left width=25%  valign=top  class=minorformtitle>
<Center><B>Step 1<br>
Sync Customers</b></center><br>

<img src=bullet2.gif><a href=ImportQBIIF.asp target=user_screen>Import From QB Customers to W+C</a> <Br>
<img src=bullet2.gif><a href=ExportWCCustomersQB.asp target=user_screen>Export W+C into QB</a> <br>

<br>
<br>

</td>


<td colspan=4 width=25% align=left valign=top class=minorformtitle>
<Center><B>Step 2 <br>
Sync Employees (Techs)</b></center><br>

<img src=bullet2.gif><a href=DoExportWCTechsQB.asp  target=user_screen>Export to QB Employees</a> <Br>

</td>

</td>

<td colspan=4 align=center width=25%   valign=top class=minorformtitle>
<B>Step 3 <br>
Sync Item Lists
</b><br>
<br>

<img src=bullet2.gif><a href=ManageQBItems.asp  target=user_screen>Edit W+C Item Lists</a><br>


<img src=bullet2.gif><a href=DoExportWCItemListQB.asp  target=user_screen>Export Items to QB</a> <Br>


</td>



<td colspan=4  width=25% align=left  valign=top  class=minorformtitle>
<center><B>Step 4 <br>
Export Time Records to QB</b></center><br>
<img src=bullet2.gif><a href=ExportQBTimeSpentByCompany.asp  target=user_screen>Export Time Spent to QB </a> <Br>

<img src=bullet2.gif><a href=TManageQBFiles.asp  target=user_screen>Manage IIF Files</a> <Br><br>



</td>


</tr>
</table>

&nbsp;
</BODY>
</HTML>



<%End If ' End of security checks %>



