<% 'Module: SurveyReportAll.asp

   'Description: This module is the customer survey report search page.  It will show ALL of the
   ' reports based on the date range passed.
   '(C) 1999, 2000, 2001, 2002, 2003 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'03/05/03	SAV		Created original module
	'06/23/08	SAV		Created module to show all of the survey results on one page.
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "SurveyReport.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		AssetDatabase = rstemp2("Assets_db")
		WCDateFormat = rstemp2("Date_Display_Format")
		Customer_ID_List = rstemp2("customer_id_list")


	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<html>

<head>
<title>Show All Customer Surveys Results</title>
</head>


<body bgcolor="<%=UserPageColor%>">
<center><table border=1 cellspacing=2 cellpadding=10 width=98% >
<tr>
<td align=center>
<font size=+1>
<b>Show All Customer Surveys Results</b>
</font>
<br>
</td></tr></table><p>
</center>


<FORM METHOD=POST ACTION=DoSurveyReportAll.asp>

<center>

<input type=hidden value="BRIEF" name=resultsview >


<% ' Display the Form questions at the bottom of the page %>
<center>
<TABLE BORDER=0 CELLPADDING=3 WIDTH="90%" >
<TR>
<TD valign=bottom><FONT SIZE=-1><B><%=wc_Start_date%>:</b></FONT><br>


<% if WCDateFormat = "DDMMYYYY" Then %>
<font size=-1>(dd/mm/yyyy)</font><font size=-1><br>
<%Else %>
<font size=-1>(mm/dd/yyyy)</font><font size=-1><br>
<%End If %>

<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>">

</td>

<TD valign=bottom><FONT SIZE=-1><B><%=wc_End_date%>:</B></font><br>

<% if WCDateFormat = "DDMMYYYY" Then %>
<font size=-1>(dd/mm/yyyy)</font><font size=-1><br>
<%Else %>
<font size=-1>(mm/dd/yyyy)</font><font size=-1><br>
<%End If %>


<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>">
</TD>

<TD valign=bottom>
<input type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_search30x80.gif>

<input type=hidden name=date_type value=1>
<% ' 1 = last modifed daten
	'0 = creation date
%>
</TD>
</TR>



</TD>

<td>
<font size=-1>
</td>
<td><br>
</td>




</tr>

</TABLE>

<hr>



</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>
