<% 'Module: TCaseFormTimeAndBilling.inc

   'Description: This code got split off from TCaseForm for 7.5
   '  It puts out the Time and Billing Records
   '(C) 2000, 2001, 2002 - 2011 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '05/18/11	SAV	Created Projects.asp module from NewCase Module page
   '10/03/11    CMB     Split this page off from TCaseForm

%>

<% ' Time Spent Billing Option ***********%>

    <% If ExtendedTimeSpent = True or  ExtendedTimeSpent = Null or ExtendedTimeSpent = 1 Then
			TimeSpentBilling = "YES"
		End If

	%>

<% If TimeSpentBilling = "YES" Then  ' Only display this option if enabled %>


<%
  spacerline2 = "<tr><td><table cellspacing=0 cellpadding=0 width=100% ><tr><td height=" & spacerheight & "> </td></tr></table></td></tr>"
%>


<% ' following nested table is necessary to get consistent vertical line-up of left-hand-edge %>


	<tr><td  height=<%=spacerheight%> colspan=2></td></tr>


<tr>
   <td colspan=2 align=center>
     <table width=100% cellpadding=0 cellspacing=0 border=0>
       <tr>
         <td align=center class=MinorFormTitle><%=wc_Time_Spent_Billing%></td>
       </tr>
      </table>
   </td>
</tr>

<%
 response.write spacerline
%>

<tr>

<td colspan=2>
<table class=FormTable width=100% cellpadding=1 cellspacing=1>
<tr>
<td class=formlabelsuper align=center>
<%=wc_Date %>
</td>


<td class=formlabelsuper align=center>
<%=wc_Tech %>
</td>






<% If QBOption = "YES" Then ' Show the Quick Book method for this form
%>

<td class=formlabelsuper align=center>
Item/Hourly&nbsp;Rate
</td>


<%Else %>



<td class=formlabelsuper align=center>
<%=wc_Hourly_Rate %>
</td>

<td class=formlabelsuper align=center>
<%=wc_Notes %>
</td>
<td class=formlabelsuper align=center>
<%=wc_Billable %>
</td>

<% End If %>



<td class=formlabelsuper align=center>
<%=wc_Delete%>

</td>
</tr>

<% ' Now display any billing records for this case number if they exist %>

	<% ' Get the values if they exist

	TotalBillableHours = 0
	TotalBillableAmount = 0

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN


	If Case_Number <> "NEW" Then

		'mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE Case_Number = " & Case_Number
		mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE Case_Number = " & Case_Number & " Order By TimeSpent.Invoice_Date"

	Else
		mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE Case_Number = 999999"

	End If

'	response.write "SQL= " & mySQL
'    response.flush
	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If  rstemp.eof then ' Check to see any time spent values exist for this case number

	Else
		Do While rstemp.EOF <> True

%>

<tr>

<td class=formlisting align=center>

<!-- Old method
	<%=rstemp("Invoice_Date") %>
-->


<% ' Alternate Method to displaying the invoice date to handle UK compatibility date formats %>

<% 'Try this method to switch Day and Month %>


<%
	Locale = GetLocale() ' CMB 0
	Call SetLocale (1033)  ' CMB 
	If WCDateFormat = "DDMMYYYY" Then ' UK format
		CorrectedInvoiceDate = Day(rstemp("Invoice_Date")) & "/" & Month(rstemp("Invoice_Date")) & "/" & Year(rstemp("Invoice_Date"))
	Else
		CorrectedInvoiceDate = Month(rstemp("Invoice_Date")) & "/" & Day(rstemp("Invoice_Date")) & "/" & Year(rstemp("Invoice_Date"))
	End If
	Call SetLocale(Locale) ' CMB
%>

<%=CorrectedInvoiceDate%>


</td>



<td class=formlisting align=center>
<%=rstemp("last_name") %>, &nbsp; <%=rstemp("first_name") %>


</td>



<% If QBOption = "YES" Then ' Show the Quick Book method for this form
%>



<td class=formlisting>


<%=rstemp("TimeSpentNote") %>/<%=rstemp("HourlyRate") %>


</td>


<% Else %>


<td class=formlisting align=center>
<%=rstemp("HourlyRate") %>


</td>

<td class=formlisting>
<%=rstemp("TimeSpentNote") %><br>

</td>


<% End If %>
<td class=formlisting align=center>

<% If rstemp("Billable") = True Then
	Response.write wc_YES
  Else
	Response.write wc_NO
End If
%>
</td>

<td class=formlisting>

<% ' Link to Delete for this time spent entry %>

<a href=DeleteTimeSpentEntry.asp?ID=<%=rstemp("TimeSpentIndex")%>&Case_number=<%=Case_Number%>>
**</a>
</td>


</tr>


<%

	' Calculate Total Billable Hours

	If rstemp("Billable") = True Then
		TotalBillableHours = TotalBillableHours + rstemp("Hours")
		'-- fix this -- TotalBillableAMount = rstemp("Hours") * rstemp("HourlyRate") + TotalBillableAmount
		' We need to round to 2 dec places in case this calculation generates more e.g. 5.25 * 5.25 = 27.5625

		' we also need to guard against these fields being empty

		 HoldHourlyRate = HoldHourlyRate
		 If isNull(HoldHourlyRate) Then
		   HoldHourlyRate = 0
		 End If

		 HoldHours = rstemp("Hours")
		 If isNull(HoldHours) Then
		   HoldHours = 0
		 End If

		tempholder = HoldHours * HoldHourlyRate
		tempholder = Round(tempholder,2)
		TotalBillableAmount = TotalBillableAmount + tempholder

	End IF

	TotalHours = TotalHours + rstemp("Hours") ' Always in hours independently of billable.

			rstemp.MoveNext
		Loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>
<% ' Now display the form element to allow users to enter new time spent
    'data for storing
%>


<tr>

<td class=formboxholder nowrap="YES">

<%
	Locale = GetLocale() ' CMB 0
	Call SetLocale (1033)  ' CMB 
%>	

<% DisplayCurrentdate = Date()

	' For UK, display dd/mm/yyyy


If WCDateFormat = "DDMMYYYY" Then ' UK format

	DisplayCurrentDate = day(Now()) & "/" & Month(Now()) & "/" & Year(Now())

Else

	DisplayCurrentDate = Month(Now()) & "/" & Day(Now()) & "/" & Year(Now())

End IF


' For the date field, fill it in automatically but allow it to be changed.

%>

<!-- Old Way


<input type-text size=10 maxlength=10 name=TimeSpentDate value = "<%=DisplayCurrentDate%>">

-->


<%If WCDateFormat = "DDMMYYYY" Then ' UK format %>

<input type-text size=2 maxlength=2 name=TimeSpentDateDay value = "<%=Day(Now())%>">/
<input type-text size=2 maxlength=2 name=TimeSpentDateMonth value = "<%=Month(Now())%>">

<% Else %>

<input type-text size=2 maxlength=2 name=TimeSpentDateMonth value = "<%=Month(Now())%>">/
<input type-text size=2 maxlength=2 name=TimeSpentDateDay value = "<%=Day(Now())%>">

<% End If %>
/
<input type-text size=4 maxlength=4 name=TimeSpentDateYear value = "<%=Year(Now())%>">


</td>

 <% Call SetLocale(Locale) ' CMB  %>


<td class=formboxholder>

<% ' Display a list of techs from a drop down.. default to the
	' logged in tech.
%>

<SELECT size=1 name=TimeSpentTech_ID>
<OPTION  value="">
<FONT SIZE=-1><%=wc_Not_Assigned%></OPTION>

<% ' Display the List of Techs

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff Order by Last_Name"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True

		' Get the first group associated with this tech if it is exists
		' and display it as the display part of the drop down item.

		' * * * * * * * User customization * * * * * * * * * *
		' If you do not want Groups to be display with tech then
		' comment out the next 12 or so lines of code

		' * * * * * * * * End User Customizations * * * * * * * * * * * * *


			IF CookieId = rstemp("Tech_id") Then ' Default it to the logged in Tech
				response.write "<option value=" & rstemp("tech_id") & " SELECTED>" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)
			End If

			rstemp.MoveNext

		Loop

		response.write "</select></span></td>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



<input type=hidden size=6 maxlength=6 name=TimeSpentHours value=".5">
</td>




<% If QBOption = "YES" Then %>


<td class=formboxholder>


<% ' Display a dropdown of QBitems


	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN


	mySQL4="SELECT * from QBItem order by QBItemName"


'	response.write "SQL= " & mySQL4
'    response.flush
	set rstemp4 = server.createobject("adodb.recordset")
	rstemp4.open mySQL4, conntemp, 1,3


	If  rstemp4.eof then ' Check to see any time spent values exist for this case number

	Else



		response.write "<Select name =  QBItemIndex size=1>"

		Do While rstemp4.EOF <> True

			QBItemName = rstemp4("QBItemName")

				response.write "<option value=" & rstemp4("QBItemIndex") & ">" & rstemp4("QBItemName") & " At $" & rstemp4("QBItemPrice")& "/hr </option>" & chr(10) & chr(13)

			rstemp4.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp4.close
	set rstemp4=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


%>



</td>


<% Else ' Non Quick book configuraiton (Default) %>



<td class=formboxholder>
	<select name=TimeSpentHourlyRate>
<option value=Footer>Footer</option>
<option value=Rough-In>Rough-In</option>
<option value=Final>Final</option>
</select>



</td>

<td  class=formboxholder>

	<textarea name=TimeSpentNotes rows=2 cols=75></textarea>
</td>


<% End If %>
<td class=formboxholder align=center>

<input name=TimeSpentBillable type=checkbox value="YES">
</td>

<td class=formboxholder>
</td>

</tr>

</table>


</td>


</tr>





<%End If ' End of If Time Spent Billing Option enabled %>


