<% 'Module: MyInfo.asp

   'Description: This module is the MyInfo Edit Page
   ' so tech/users can edit some of their profile and login information.

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/29/00	SAV		Created original MyInfo.asp
   '8/16/04 JC      Cloned a variant for Tech+Center
   '12/2/13 CMB     SBCC added survey results


'GLOBALS
Dim DatabaseType
Dim TechID
Dim TodaysAv
Dim TotalAv

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If NOT rstemp.EOF  Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TMyInfo.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<!-- (C) 1996,1998, 1999, 2000, 2004 by Internet Software Sciences -->

<head>

<title>My Info </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>



<% ' Use the cookie to determine which profile to return

		TechID =  CookieID

	' Get all of the tech data into variable for displaying in the fields below.
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Tech_staff where Tech_id = '" & TechID & "'"

	set rstemp=conntemp.execute(mySQL)

	If  rstemp.eof then ' Check to see any Cases exist
		TechNotFound = "YES"
	Else
		First_Name =rstemp("First_Name")
		Last_Name = rstemp("Last_Name")
		Work_Phone1 = rstemp("Work_Phone1")
		Work_Phone2 = rstemp("Work_Phone2")
		Work_Email = rstemp("Work_Email")
		Notes = rstemp("Notes")
		LoginID = rstemp("Current_customer_id")
		Tech_Password = rstemp("tech_password")

	End If

	rstemp.close
	set rstemp=nothing

	'**** added 12/2/13

		mySQL="select CustomerSurvey, DatabaseType from Configuration"

		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL, conntemp, 1,3

		If rstemp.EOF = True  Then
			Response.write "No configuration file found"
		Else
			DatabaseType  = rstemp("DatabaseType") ' Database should be set to ACCESS or SQLSERVER
			Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer surveys
			IF CustomerSurvey Then
				ShowSurveyINfo = "YES"

			End IF


      End If

		rstemp.close
		set rstemp=nothing

	'*** end 12/2/13

		conntemp.close ' Close the connection
		set conntemp=nothing

	%>

<% ' Display the Tech Profile fields Send Options
%>

	<% If TechNotFound = "YES" Then %>

	<Center>
	<%=wc_Your_profile_not_found_block%> <P>

<a href="userscreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
	</center>
	</body>
	</html>
	<%Else %>

	<form action=TDoMyInfo.asp method=post>



<Center>


<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>
<%=wc_My_Info%>
</td>
</tr>
</table>


<P>
<table class=outerformwrapper >
 <tr>
   <td>

        <center>
        <table class=innerformwrapper cellspacing=1>
        <tr>
        <td class=formlabel align=right><font color=red>*</font><%=wc_First_Name%></td>
        <td  class=formboxholder align=left>
		<input size=20 maxlength=40 name= First_name value="<%=First_Name%>">
		</td></tr>

		<tr>
        <td  class=formlabel  align=right><font color=red>*</font><%=wc_Last_Name%></td>
        <td    class=formboxholder  align=left>
		<input size=20 maxlength=40 name= Last_name value="<%=Last_Name%>">
		</td></tr>

		<tr>
        <td  class=formlabel align=right><%=wc_Email%></td>
        <td    class=formboxholder  align=left>
		<input size=30 maxlength=80 name= work_Email value="<%=work_Email%>">
		</td></tr>

		<tr>
        <td  class=formlabel  align=right><%=wc_Phone%></td>
        <td    class=formboxholder  align=left>
		<input size=15 maxlength=20 name= work_phone1 value="<%=work_Phone1%>">
		</td></tr>

		<tr>
        <td  class=formlabel  align=right><%=wc_Phone2_Cell%></td>
        <td    class=formboxholder  align=left>
		<input size=15 maxlength=20 name= work_phone2 value="<%=Work_Phone2%>">
		</td></tr>

		<tr>
        <td  class=formlabel  align=right><%=wc_Notes%></td>
        <td    class=formboxholder  align=left>
		<textarea name=Notes rows=3 cols=30 WRAP=ON><%=Notes%></textarea>
		</td></tr>

		<tr>
        <td  class=formlabel  align=right><%=wc_Login_ID%></td>
        <td    class=formboxholder  align=left>
		<input size=20 maxlength=20 name=LoginID value="<%=LoginID%>">
		</td></tr>

		<tr>
        <td  class=formlabel  align=right><font color=red>*</font><%=wc_Password%></td>
        <td    class=formboxholder  align=left>
		<input type=password size=20 maxlength=20 name= tech_password value="<%=tech_password%>">
		</td></tr>
		</table>
		</center>


		<tr>
		<td align=center>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>
        &nbsp; &nbsp; &nbsp; &nbsp;
		<a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
        </tr>



</td>
</tr>
</table>


<!-- 12/2/13 -->


<% If ShowSurveyINfo = "YES" Then
%>
<%
x=GetSurveyInfo()
if x = 1 then

 %>
<Center>


<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>
Survey Results
</td>
</tr>
</table>


<P>
<table class=outerformwrapper >
 <tr>
   <td>

        <center>
        <table class=innerformwrapper cellspacing=1>

		<tr>
        <td  class=formlabel align=right>Avg Overall:</td>
        <td    class=formboxholder  align=left>
		<%=TotalAv%>
		</td></tr>

			<tr>
		        <td  class=formlabel align=right>Avg Today:</td>
		        <td    class=formboxholder  align=left>
				<%=TodaysAv%>
		</td></tr>

			<tr>
		        <td  class=formlabel align=right><a href=SurveyReportDetailsbyTech.asp?Tech_ID=<%=cookieID%>>Details</a></td>
		        <td    class=formboxholder  align=left>
				<%=TodaysAv%>
		</td></tr>


		</table>
		</center>


</td>
</tr>
</table>
<% end if ' survey results%>

<% End If ' If ShowSurveyResults = YES
%>


<! end 12/2/13 -->
</form>

</body>
</html>

<% End If %>
<% End If %>


<%
Function GetSurveyInfo()
	'returns 1 if anything else 0
	'puts results in totalav and todaysav (globals)

	Dim r
	r= 0

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		' ***** my info total for this tech for all questions for all time
		if  DatabaseType = "SQLSERVER" then
			sSql = "	SELECT  "
			sSQL = sSQL & " cast(avg(convert(float,range_answer)) as decimal(10,2)) as av "
			sSQL = sSQL & " from ((((result_detail"
			sSQL = sSQL & " left join survey_results on result_detail.results_id = survey_results.results_ID)"
			sSQL = sSQL & " left join survey on result_detail.question_ID = survey.Question_ID)"
			sSQL = sSQL & " left join cases on survey_results.case_number = cases.case_number)"
			sSQL = sSQL & " left join tech_staff on cases.tech_ID = tech_staff.tech_ID)"
			sSQL = sSQL & " where active = 'true' and question_type = 1 "
				sSQL = sSQL & "and tech_staff.tech_id = '" & techID & "'"

		Else
			sSql = "	SELECT  "
			sSQL = sSQL & "  avg(range_answer) as av "   ' different for ACCESS
			sSQL = sSQL & " from ((((result_detail"
			sSQL = sSQL & " left join survey_results on result_detail.results_id = survey_results.results_ID)"
			sSQL = sSQL & " left join survey on result_detail.question_ID = survey.Question_ID)"
			sSQL = sSQL & " left join cases on survey_results.case_number = cases.case_number)"
			sSQL = sSQL & " left join tech_staff on cases.tech_ID = tech_staff.tech_ID)"
			sSQL = sSQL & " where active = true and question_type = 1 "  ' different for ACCESS
				sSQL = sSQL & "and tech_staff.tech_id = '" & techID & "'"
		End If

		set rstemp=conntemp.execute(sSQL)

		If  rstemp.eof then
			r=0
		Else
			If ISNULL(rstemp("AV")) then
				r = 0
			else
				TotalAv =rstemp("AV")
				r = 1
         End If
		End If

		rstemp.close
		set rstemp=nothing

		IF r=1 then
		' ***** my info total for this tech for all questions for today
			if  DatabaseType = "SQLSERVER" then
				sSql = "	SELECT  "
				sSQL = sSQL & " cast(avg(convert(float,range_answer)) as decimal(10,2)) as av "
				sSQL = sSQL & " from ((((result_detail"
				sSQL = sSQL & " left join survey_results on result_detail.results_id = survey_results.results_ID)"
				sSQL = sSQL & " left join survey on result_detail.question_ID = survey.Question_ID)"
				sSQL = sSQL & " left join cases on survey_results.case_number = cases.case_number)"
				sSQL = sSQL & " left join tech_staff on cases.tech_ID = tech_staff.tech_ID)"
				sSQL = sSQL & " where active = 'true' and question_type = 1 "
				sSQL = sSQL & "and tech_staff.tech_id = '" & techID & "'"
				sSQL = sSQL & " and year(survey_date) = YEAR(getdate()) "
				sSQL = sSQL & " and month(survey_date) = month(getdate()) "
				sSQL = sSQL & " and day (survey_date) = day (getdate()) "
			Else
				sSql = "	SELECT  "
				sSQL = sSQL & "  avg(range_answer) as av "   ' different for ACCESS
				sSQL = sSQL & " from ((((result_detail"
				sSQL = sSQL & " left join survey_results on result_detail.results_id = survey_results.results_ID)"
				sSQL = sSQL & " left join survey on result_detail.question_ID = survey.Question_ID)"
				sSQL = sSQL & " left join cases on survey_results.case_number = cases.case_number)"
				sSQL = sSQL & " left join tech_staff on cases.tech_ID = tech_staff.tech_ID)"
				sSQL = sSQL & " where active = true and question_type = 1 "  ' different for ACCESS
				sSQL = sSQL & "and tech_staff.tech_id = '" & techID & "'"
				sSQL = sSQL & " and year(survey_date) = YEAR(now()) "  ' different for ACCESS
				sSQL = sSQL & " and month(survey_date) = month(now()) "  ' different for ACCESS
				sSQL = sSQL & " and day (survey_date) = day (now()) "  ' different for ACCESS
			End If

			set rstemp=conntemp.execute(sSQL)

			If  rstemp.eof then
				TodaysAv = "No results from today"
			Else
				TodaysAv =rstemp("AV")
			End If

			rstemp.close
			set rstemp=nothing

		end if  ' r = 1

		conntemp.close
		set conntemp = nothing
		GetSurveyInfo = r

	End Function
%>

