<%  ' Module: TViewCase.asp
	'
	' Description: Display Case record from FAQ list for Tech+center
	'
	' (C) 2000 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'06/22/2000	SAV		Created original template file
	'09/28/2000	SAV		Added functionality to be called from Form submit too
	'11/02/2000	SAV		Created page for techcenter from customer center asp module
%>

<% 'Define the DSN for this database %>
<!-- #INCLUDE FILE="DB_define.inc" -->
<% ' Define the three rotating colors for the category lists
	Color1 = "#F02020" ' Red color
	Color3 = "#A52a2a" ' Brown
	Color2 = "#778899"	' lightslategray
%>	


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<%	' Display the Main body of the page %>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
'	conntemp.close ' Close the connection
'	set conntemp=nothing

%>


<%	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE>Frequently Asked Questions </TITLE>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
</HEAD>
<body bgcolor="<%=UserPageColor%>">
<UL>
<br>
<center>
<table width=90% border=1 cellspacing=5 cellpadding=5>
<tr><td align=center>
<font face=arial> Case Details</Font><P>
</td></tr></table>

</center>
<P>


<font size=-1 face=arial>
<%
	
	' Handle both Form submit for query string parameter passing
	
	Case_Number = Request.Form("casenum")
	If Case_Number = "" Then
		Case_Number = Request.queryString("casenum")
	End If
	
	If Case_Number = "" Then
		Response.write " <font color=red>You must enter a case number.<P></font> "
	End IF
	
	ReturnPage = Request.querystring("ReturnPage")


	If Case_Number <> "" then 
	
	mySQL3 = "select * from Cases where case_number = " & Case_Number

	'response.write mySQL3

	set rstemp2 = Server.CreateObject("adodb.recordset")
	rstemp2.open mySQL3, myDSN, adopenstatic

	If rstemp2.EOF = True then
		Response.write " <font color=red>Case Record Not Found ... Invalid case number<P></font> "
		rstemp2.close ' Close the record set and exit
		set rstemp2=nothing

	Else

	 Case_History = rstemp2("case_History")
	 Case_Summary = rstemp2("Case_Summary")
	 Case_Resolution = rstemp2("Case_Resolution")
	 CaseNumber = rstemp2("Case_Number")
	 OpenDateUnformatted = rstemp2("Open_date")
	 ModDateUnformatted = rstemp2("mod_date")
	 OpenDateFormatted = Mid(OpenDateUnformatted, 5,2) & "/" & Mid(OpenDateUnformatted, 7,2) & "/" & Mid(OpenDateUnformatted, 1,4)
	 ModDateFormatted = Mid(modDateUnformatted, 5,2) & "/" & Mid(modDateUnformatted, 7,2) & "/" & Mid(modDateUnformatted, 1,4)
	 

	' Create the category display for this case
	
	CategoryString = ""
	ColorChoice = 1
	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = rstemp2("C"&i)
		If CategoryItem <> 0 Then 
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.
			
			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"
			
			'response.write mySQL4 ' Debugging only

			set rstemp3 = Server.CreateObject("adodb.recordset")
			rstemp3.open mySQL4, myDSN, adopenstatic
			
			if rstemp3.EOF <> True then

				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")

				If ColorChoice = 1 Then
					ColorFont = "<font color=" & Color1 & ">"
					Colorchoice = 2
				elseif ColorChoice = 2 then	
					ColorFont = "<font color="& Color2 & ">"
					Colorchoice = 3				
				elseif ColorChoice = 3 then
					ColorFont = "<font color="& "Color2" & ">"
					Colorchoice = 1
				End if


				CategoryString = CategoryString & ColorFont & "<LI>" & CategoryName & "  ==  " & Item_Name & "</li></font>"

			End If
			
			' Close this intermediate record set
			rstemp3.close
			set rstemp3=nothing
		End If			
	next
	
	' Close this intermediate record set
	rstemp2.close
	set rstemp2=nothing
	

%>
	<dl><dt>
	
	

<% ' Replace CR with <BR> characters
	New_Summary = ""
	if Case_Summary <> "" Then
		New_Summary = Format_Case_Text(Case_Summary)
	End If
	If New_Summary = "" Then
		New_Summary = "No Summary defined"
	End If
	
%>


	<B><%=New_summary%></b></font>
	<font size=-1 face=arial>
	</dt>
	<dd>
	
	
<% ' Replace CR with <BR> characters
	New_Resolution = ""
	If Case_Resolution <> "" Then
		New_Resolution = Format_Case_Text(Case_Resolution)
	End If
	
	If New_Resolution = "" then
		New_Resolution = " No resolution defined"
	End If
	
	
%>
	<br>
	<B>Categories:  </b>
	<UL>
	<%= CategoryString%>
	</ul>
	<br>
	<B>Article ID: </b> <%= Case_number %>  <br>
	<font color="#808080">
	<br>Date Created: <%=OpenDateFormatted%> &nbsp;&nbsp;&nbsp;&nbsp;
	Last modified on: <%=Moddateformatted%>
	</font>
	<P>
	
	<B>Resolution: </b><br><%=New_Resolution%>
	
	
	</dd>
	</dl>

<%End If  ' End if RSTEMP2.EOF = True%>

<% End if ' End if Case_number <> "" %>

</font>


<center>
<font size=-2 face=arial>

<% If ReturnPage = "FAQ" Then %>
	<a href="ViewTopTen.asp">
	Return to FAQ List </a>
	<%Else %>
	<B>Press the back button to review<br> another knowledge base article.
	</b>
	
	<%End if %>
	
</font>
</center>
<P>

</body>
</html>




<% Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;
	
	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;
		
		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")

	
		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")
		
		' Replace the special color coding characters
	
		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")
	
		NewText = Replace (NewText, "{g[", "<br><font color=#008000>")

		NewText = Replace (NewText, "{r[", "<br><font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font><br>")

		NewText = Replace (NewText, "]g}", "</font><br>")


	NewText = replace(NewText, chr(13), "<br>")
'	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")


	Format_Case_Text = NewText

End function
%>



<% Function Create_Text_Word_Query(Search_String)

' This function takes the Search_string as input and
' creates the query with each word mapped as a kbword entry
' it is exists.

If Search_string <> "" Then

	TextLen = Len(Search_string)
	LastChar = " " ' Start off with a space

	NewWord = ""
	For i = 1 to textlen
		CurrentChar = mid(search_string, i,1)
		if CurrentChar = chr(32) AND LastChar <> chr(32) THEN
			' New Word is found

			' Remove any extra spaces on the left and right sides of the word
			trim(NewWord)
			' Trim any word to 100 characters or less
			If Len(NewWord) > 100 Then
				NewWord = Mid(NewWord, 1,100)
			End If

			AddToQuery NewWord, Query
			If Query <> "" Then
				TotalQuery = TotalQuery & ORWord & Query
					ORWord = " OR "

			End If

			'response.write NewWord & "<br>"
			NewWord = ""
			LastChar = " " ' Set last character to 32
		Else
			NewWord = NewWord & currentchar
			LastChar = CurrentChar
		End If
	next

	' Output last word
			' Remove any extra spaces on the left and right sides of the word
			trim(NewWord)
			' Trim any word to 100 characters or less
			If Len(NewWord) > 100 Then
				NewWord = Mid(NewWord, 1,100)
			End If

			AddToQuery NewWord, Query
			If Query <> "" Then
				TotalQuery =  TotalQuery & ORWord & Query
					ORWord = " OR "
			End If


			'response.write NewWord & "<br>"

End If ' End of if Search_String <> blank

	Create_Text_word_Query = TotalQuery

End Function
%>

<% Sub AddToQuery(Word,  Query)
' Check to see if word exists and returns it to the query
' We will be creating a query like:
'  	WHERE (((KBMap.WordIndex) = 1 Or (KBMap.WordIndex)=2 Or (KBMap.WordIndex)=3))


' The Algorithm here is to use the "like SQL operator to find the word.

		mySQL2="select * from KBWords where Word like '%" & Word & "%'"


		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN
		set rstemp=conn.execute(mySQL2)

		' Check to see if any records are returned
		If rstemp.EOF <> True Then
			Query = "KBMap.WordIndex = " & rstemp("WordIndex")
		Else
			Query = "" ' If no match then clear out query
		End If

		rstemp.close
		set rstemp=nothing

		Conn.Close

End Sub
%>
