<% 'Module: TechSendTextMsg.asp

   'Description: This module is the Top Part of the page for the Tech Send Text Msg


   '(C) 2000, 2001, 2002 - 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '12/26/06	SAV		Created original TechSEndTextMsg.asp Page

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/TxtMsgConfiguration.inc" -->



<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 ' Allow Tech/Write and above to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			TechFullName = rstemp("first_name") & " " & rstemp("Last_name")
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TechSendTextMsg.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color
	' And the open cases refresh rate from the Configuration Table

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Pending_Screen_Refresh_Rate = rstemp2("Pending_Screen_Refresh_Rate")
		Dispatcher_Screen_Refresh_Rate = rstemp2("Dispatcher_screen_refresh_rate")

		ts_pending_color = rstemp2("ts_Pending_Color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing





%>



<% ' Get the information about the text session first


	TextChatThread = Request.querystring("TextChatThread")


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	IF TextChatThread = "" Then

		TextChatHistory = "No Text Chat Thread Number"
	Else



	mySQL2="select * from TextChat where TextChatThread = "  & TextChatThread
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		TextChatHistory = "Invalid Text Chat Thread Number" ' Send out default Message
	Else

		MessageStatus = rstemp2("MessageStatus")
		Tech_ID = rstemp2("Tech_ID")
		customer_ID = rstemp2("Customer_ID")

		CustomerName = GetCustomerName(Customer_ID)



	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	End IF


%>

<HTML>
<HEAD>

<!-- set focus to a field with the name "TechTextMsg" in my form -->
<script type="text/javascript">
function setfocus()
{
document.forms[0].TechTextMsg.focus()
}
</script>



   <TITLE>TXT Messaging - Thread - <%=TextChatThread%></TITLE>
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow   onload=setfocus() >

<%
TextChatThread = Request.querystring("TextChatThread")

If TextChatThread = "" Then

%>

<Font color=red> No Text Chat Thread Specified </font>

<% Else %>


<center>
<font size=-1 face=arial>
TXT Msg To:  - <B><%=CustomerName%></b>   &nbsp;&nbsp;&nbsp;&nbsp; Thread - <%=TextChatThread%>

<br>



<form action=DoTechSendTextMsg.asp method=post target="TextChat<%=TextChatThread%>">

<input type=hidden name="TextChatThread" value=<%=TextChatThread%>>


<textarea name=TechTextMsg rows=6 cols=60>
</textarea>
<Br>

<table cellspacing=3 cellpadding=2>
		<tr>
		<td  align=center>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>
		</td>
		<td>
		<img src=bullet2.gif><a href=CloseTechTextWindow.asp?TextChatThread=<%=TextChatThread%>  class=TightBodyTextLink target="TextChat<%=TextChatThread%>" >Close Text Window</a><br>

<% IF Customer_ID <> "" Then %>

		<img src=bullet2.gif><a href=TCaseForm.asp?Case_number=0&Customer_ID=<%=Customer_ID%>&TextChatThread=<%=TextChatThread%>  target="user_screen" class=TightBodyTextLink >Create Case with Text Message</a>

<% End IF %>


		</td>



        </tr>

</table>

</form>


<%End If %>


</body>
</html>
<%End If %>


<% '******************** FUNCTIONS ******************  %>

<% Function GetCustomerName(Customer_ID)
	'This function gets the full name of the Customer and company


		If Customer_ID = "" Then
			GetCustomerName = "User Not Defined"
		Else

			set conntemp5=server.createobject("adodb.connection")
			conntemp5.open myDSN ' Open the connection once here


			mySQL5 = "select * from Customers where customer_ID = '" & Customer_ID & "'"

			set rstemp5=conntemp.execute(mySQL5)

			' Check to see if any records are returned
			' if none found the
			if rstemp5.EOF then
				GetCustomerName = "User Not Defined"
			Else
				GetCustomerName = rstemp5("contact_fname") & " " & rstemp5("contact_lname")
				If rstemp5("Company") <> "" Then
					GetCustomerName = GetCustomerName & "/(" & rstemp5("Company") & ")"
				End IF

			End If

			rstemp5.close
			set rstemp5=nothing
			conntemp5.Close
			Set conntemp5 = nothing

		End If


	End Function ' End of GetCustomerName
	%>




