
<% 'Module: Upgradewebcenter30To31.asp

   'Description: This module should only be run once to create the table differences
   ' between version 3.0 and version 3.1.

 	' All of the differences between 3.0 and 3.1 are database table changes that
	' are required for the new Asset Management component upgrade.
	' If you are not using Asset Management, you do not need this upgrade.


   ' DO  NOT delete any databases until you can verify that the new database tables
   ' have been succesfully created.

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date	Who		What
   '-------	---		------------------------------------------------
	'01/02/01	SAV - Created initial version.
	' CONSTANTS

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->


<html>

<head>
<title>Web+Center Version 3.1 Add New Tables and Alter Tables Utility</title>
</head>

<body bgcolor=FFFFFF>

<% ' ********************* USER CUSTOMIZATION ********************
	' Step 1: On the line below, edit the ODBC connect string for your
	' original webcenter database.
	' Currently it is initially configured for a DSN called "webcenter_db"
	' If your require a userid and password, enter it into the string too.

		NewWebcenter30DatabaseDSN = "DSN=webcenter30_db;uid=wc30;pwd=wc30pass"

	' Open second connection to source database
	Set Conn2 = Server.CreateObject("ADODB.Connection")
	conn2.open  NewWebcenter30DatabaseDSN ' If it fails here, then check your connect string.

	response.write " Connection to New Webcenter30 Database Successful.</ul>"

	Conn2.close

	response.write "<B>Version 3.1 Table Upgrade (Version 3.0 to Version 3.1)<P>"
	Response.write "<b>Step 1: Creating New Asset Tables:</b><UL>"


%>


<% ' Create the AssetAssignment Table

mySQL2 = "CREATE TABLE AssetAssignment ( AssetAssignmentID AUTOINCREMENT constraint Primarykeyname Primary Key , asset_number int, 	customer_id text (20)  ,Tech_id text (20)  ,asset_number2  int ); "

	set conntemp=server.createobject("adodb.connection")

	conntemp.open NewWebcenter30DatabaseDSN ' Open the connection to new database

	conntemp.execute mySQL2, RecordsChanged, adCmdText

	conntemp.close ' Close the connection
	set conntemp=nothing

	response.write "Succesfully created AssetAssignment Table.<P>"

%>

<% ' Now we need to ALTER the existing Assets table by adding some new columns
	'and also changing the size of existing columns.

%>


<% ' Add New Columns to the Asset Table

		set conntemp=server.createobject("adodb.connection")

		conntemp.open NewWebcenter30DatabaseDSN ' Open the connection to new database

		' Adding new Columns

		mySQL2 = "Alter Table Assets Add Column LastUpdate Text (20) ;"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		mySQL2 = "Alter Table Assets Add Column UpDatedBy Text (20) ;"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		mySQL2 = "Alter Table Assets Add Column AssetNotes memo ;"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		' Add custom fields 1 -5

		mySQL2 = "Alter Table Assets Add Column Custom_Field1 Text (50) ;"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		mySQL2 = "Alter Table Assets Add Column Custom_Field2 Text (50) ;"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		mySQL2 = "Alter Table Assets Add Column Custom_Field3 Text (50) ;"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		mySQL2 = "Alter Table Assets Add Column Custom_Field4 Text (50) ;"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		mySQL2 = "Alter Table Assets Add Column Custom_Field5 Text (50) ;"

		conntemp.execute mySQL2, RecordsChanged, adCmdText


		response.write "Successfully Added New Columns to the Asset Table.<P>"


		' Now Alter the existing table columns sizes

		' Computer_Id increases from 25 to 50
		mySQL2 = "Alter Table Assets Alter Column computer_id text (50);"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		' property_tag increases from 25 to 50
		mySQL2 = "Alter Table Assets Alter Column property_tag text (50);"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		' equipment_type increases from 20 to 100
		mySQL2 = "Alter Table Assets Alter Column computer_id text (100);"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		' Monitor_serial_num  from 25 to 30
		mySQL2 = "Alter Table Assets Alter Column monitor_serial_num text (30);"

		conntemp.execute mySQL2, RecordsChanged, adCmdText


		' Assigned_group increases from 25 to 50
		mySQL2 = "Alter Table Assets Alter Column assigned_group text (50);"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		' location increases from 25 to 50
		mySQL2 = "Alter Table Assets Alter Column location text (50);"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		' Operating_system1 increases from 25 to 30
		mySQL2 = "Alter Table Assets Alter Column Operating_system1 text (30);"

		conntemp.execute mySQL2, RecordsChanged, adCmdText

		' Operating_system2 increases from 25 to 30
		mySQL2 = "Alter Table Assets Alter Column Operating_system1 text (30);"

		conntemp.execute mySQL2, RecordsChanged, adCmdText


		conntemp.close ' Close the connection
		set conntemp=nothing

		response.write "Successfully increase sizes of existing columns in the Asset Table.<P>"

%>


</body>
</html>



