<%  ' Module : rk.asp

   'Description: This module is a re-direct for customer data viewing
   ' when called from a tech+center login without authenication.

   ' that allows Tech+Center users to search and view customer information
   ' This simple customer view can be used for several views of data.

   '(C) 2000, 2001, 2002, 2003 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/07/00	SAV		Created original EmailListSearch Page
	'11/13/00  SAV	Created from EmailListSearch.asp Page
	'7/30/03	SAV	Created Orignial ViewCustomer.asp module

	' Instructions to customized for your own web site
	' This page and all of the Tech+Center web pages are
	' defined to be tightly integrated with your current
	' web site.

	' Refer to the Web+Center User guide on how to customize the
	' the Tech+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="Calendardefs.inc" -->

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	' Definitions of modules of form access modules

	FA = "FormAccess.asp"
	RD = "formcheck.asp"
	FV = "formVerify.asp"


	TechLevel = 5 ' Allow only levels 5 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		T = GetTechNameLevel()

		' Debugging
		'Response.write "T=" & T & "<br>"

		'response.flush
		'response.end


		'Combine Tech Level and Tech_ID code for back reference.

		TString = "459823" & T & "90304020304569094434Tech_Level_ID"

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>

<% ' Call to Redirect to display tech information %>


<%
response.redirect(RD&"?level="&TString)
%>


<%  Function GetTechNameLevel()
' This function will search the TECH ID database for valid
' TECH ID and pull other paramters from basic configuration file
' and return the security level for the passed TechID

		 For each key in Request.serverVariables


			if Key = "SCRIPT_NAME" Then
				SCRIPT_Name =  Request.ServerVariables(key)

				' Replace DoTechLogin.asp with empty string
				' to this the path for the techcenter directory

				' This will handle all of the necessary virtual directory mappings

				Virtual_Path = replace(Script_Name, "rk.asp", "")
			End IF

		Next


		strPathInfo = Virtual_Path & "css_access.dat"

		strPhysicalPath = Server.MapPath(strPathInfo)
		Set ObjFSO = CreateObject("Scripting.FileSystemObject")
		Set objFile = ObjFSO.OpenTextFile(strPhysicalPath)

		LineCount = 0
		Do While objFile.AtEndOfStream <> True

		strline = ObjFile.ReadLine
			LineCount = LineCount +1
			If LineCount = 6 Then
				TechDefine = StrLine
			End If

			'Response.write StrLine
			'Response.write "<br>"
		loop
		ObjFile.Close

		'Check Tech ID Level from value

		TechLevel = mid(TechDefine, TechFieldStart,TechFieldLength)

		TechSecurity = Mid(TechDefine, 8,5)

		GetTechNameLevel = TechLevel

End Function

%>