<% 'Module: PrintInvoiceTemplate.inc

   'Description: The PrintInvoiceTemplate.inc module takes the invoice information and
   ' creates a printable invoice output that can be viewed on the screen or even
   ' emailed to a user.

   '(C) 2000, 2001, 2002, 2003, 2004, 2005 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '11/28/03	SAV		Created original Invoice.asp module
   '08/25/05	SAV		Created PrintInvoice.asp module from Invoice.asp module.

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' If you change this module, do not change any of the form
	' element names since the corresponding DoEmailListReg.asp
	' page may not work.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%  PI = ""  %>


<% Function CreatePrintEmailInvoiceMsg(InvoiceNumber, InvoiceNotes)


	MessageString = ""

	Response.write "Inside Function with invoiceNumber:" & InvoiceNumber

	If InvoiceNumber <> "" Then
	' Query the database and get all of the registration values

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Invoice where InvoiceNumber =" & InvoiceNumber

	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL2, conntemp, 1,3



	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then

	Else

		' Grab all of the data and place it in to variables for displaying in the
		' HTML form.

		InvoiceDescription = rstemp2("InvoiceDescription")

		Item1 = rstemp2("Item1")
		Item2 = rstemp2("Item2")
		Item3 = rstemp2("Item3")
		Item4 = rstemp2("Item4")
		Item5 = rstemp2("Item5")

		NonTaxItem1 = rstemp2("NonTaxItem1")
		NonTaxItem2 = rstemp2("NonTaxItem2")
		NonTaxItem3 = rstemp2("NonTaxItem3")


		TaxRate = rstemp2("TaxRate")
		TaxCost = rstemp2("TaxCost")
		Hours = rstemp2("Hours")
		HourlyRate = rstemp2("HourlyRate")
		Case_Number = rstemp2("Case_number")
		TimeSpentCost = rstemp2("TimeSpentCost")
		UseTimeSpentValue = rstemp2("UseTimeSpentValue")

		SubTotal = rstemp2("SubTotal")
		PurchaseTotal = rstemp2("PurchaseTotal")
		InvoiceDescription = rstemp2("InvoiceDescription")
		PONumber  = rstemp2("PONumber")
		InvoiceNotes = rstemp2("InvoiceNotes")
		PaymentDueDate= rstemp2("PaymentDueDate")
		RenewalDate = rstemp2("RenewalDate")
		PurchaseDate = rstemp2("PurchaseDate")
		AmountPaid = rstemp2("AmountPaid")
		InvoiceBalance = rstemp2("InvoiceBalance")
		PaidDate = rstemp2("PaidDate")
		CheckNumber = rstemp2("CheckNumber")
		TransactionID = rstemp2("TransactionID")
		InvoiceTypeID = rstemp2("InvoiceTypeID")
		PaymentMethodID = rstemp2("PaymentMethodID")
		Customer_ID = rstemp2("Customer_ID")
		InvoiceStatusID = rstemp2("InvoiceStatusID")

		' Cost amounts
		Cost1 = rstemp2("Cost1")
		Cost2 = rstemp2("Cost2")
		Cost3 = rstemp2("Cost3")
		Cost4 = rstemp2("Cost4")
		Cost5 = rstemp2("Cost5")

		CostNonTax1 = rstemp2("CostNonTax1")
		CostNonTax2 = rstemp2("CostNonTax2")
		CostNonTax3 = rstemp2("CostNonTax3")

		' Quanity amounts

		Item1Qty = rstemp2("Item1Qty")
		Item2Qty = rstemp2("Item2Qty")
		Item3Qty = rstemp2("Item3Qty")
		Item4Qty = rstemp2("Item4Qty")
		Item5Qty = rstemp2("Item5Qty")

		NonTax1Qty = rstemp2("NonTax1Qty")
		NonTax2Qty = rstemp2("NonTax2Qty")
		NonTax3Qty = rstemp2("NonTax3Qty")

		' Amount accumulated from time spent specified in Case records

		ExtendedTimeSpentTotals = rstemp2("ExtendedTimeSpentTotals")

	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


	' Grab the Customer Information to get Company and email information if customer exists
	' We are not doing this as a join query with invoice incase there is no customer


	' **** Calling Invoice with a new Customer Record ******
	' The PrintInvoice.asp module can be called from a customer search directly
	' for existing invoices or new invoices by calling the Customer_ID querystring
	' value and the Invoice in the format like:

	'  PrintInvoice.asp?Customer_ID=XXXX_XXX&ID=45

	' where XXXX_XXXX is the customer ID and ID = Invoice Number
	' This must overwrite the existing customer_ID stored in the invoice record

	If Request.QueryString("Customer_ID") <> "" Then
		Customer_ID = Request.QueryString("Customer_ID")
	End If


	If ISNull(Customer_ID) = FALSE Then

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN



		mySQL2="select * from Customers where Customer_ID = '" & Customer_ID & "'"

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then

		Else

			Customer = rstemp2("Contact_Fname") & " " & rstemp2("Contact_LName")
			CustomerLink = "<a href=EmailListReg.asp?ID="&Customer_ID&">"&Customer&"</a>"

			Company = rstemp2("Company")
			Email = rstemp2("Email")
			If IsNull(Email) = FALSE Then
				EmailLink = "<a href=mailto:"&Email&">"& Email & "</a>"
			End If
			Phone = rstemp2("Phone1")

		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End IF ' End of If No customer_ID


	' Compute Totals based on quantity and costs

	' *****Item 1**************

	If IsNull(Item1Qty) = FALSE And IsNull(Cost1) = FALSE Then
		Item1Total = Item1Qty * Cost1
	End IF

	' Check if no Quantity then just use cost

	If IsNull(Item1Qty) AND IsNull(Cost1) = FALSE Then
		Item1Total = Cost1
	End If


	' *****Item 2**************

	If IsNull(Item2Qty) = FALSE And IsNull(Cost2) = FALSE Then
		Item2Total = Item2Qty * Cost2
	End IF

	' Check if no Quantity then just use cost

	If IsNull(Item2Qty) AND IsNull(Cost2) = FALSE Then
		Item2Total = Cost2
	End If

	' *****Item 3**************

	If IsNull(Item3Qty) = FALSE And IsNull(Cost3) = FALSE Then
		Item3Total = Item3Qty * Cost3
	End IF

	' Check if no Quantity then just use cost

	If IsNull(Item3Qty) AND IsNull(Cost3) = FALSE Then
		Item3Total = Cost3
	End If

	' *****Item 4**************

	If IsNull(Item4Qty) = FALSE And IsNull(Cost4) = FALSE Then
		Item4Total = Item4Qty * Cost4
	End IF

	' Check if no Quantity then just use cost

	If IsNull(Item4Qty) AND IsNull(Cost4) = FALSE Then
		Item4Total = Cost4
	End If

	' *****Item 5**************

	If IsNull(Item5Qty) = FALSE And IsNull(Cost5) = FALSE Then
		Item5Total = Item5Qty * Cost5
	End IF

	' Check if no Quantity then just use cost

	If IsNull(Item5Qty) AND IsNull(Cost5) = FALSE Then
		Item5Total = Cost5
	End If


	' *****NonTaxItem1 **************

	If IsNull(NonTax1Qty) = FALSE And IsNull(CostNonTax1) = FALSE Then
		NonTax1Total = NonTax1Qty * CostNonTax1
	End IF

	' Check if no Quantity then just use cost

	If IsNull(NonTax1Qty) AND IsNull(CostNonTax1) = FALSE Then
		NonTax1Total = CostNonTax1
	End If


	' *****NonTaxItem2 **************

	If IsNull(NonTax2Qty) = FALSE And IsNull(CostNonTax2) = FALSE Then
		NonTax2Total = NonTax2Qty * CostNonTax2
	End IF

	' Check if no Quantity then just use cost

	If IsNull(NonTax2Qty) AND IsNull(CostNonTax2) = FALSE Then
		NonTax2Total = CostNonTax2
	End If

	' *****NonTaxItem3 **************

	If IsNull(NonTax3Qty) = FALSE And IsNull(CostNonTax3) = FALSE Then
		NonTax3Total = NonTax3Qty * CostNonTax3
	End IF

	' Check if no Quantity then just use cost

	If IsNull(NonTax3Qty) AND IsNull(CostNonTax3) = FALSE Then
		NonTax3Total = CostNonTax3
	End If


	' Now Recompute the Totals and sub-totals

	Subtotal  = 0

	If Item1Total <> "" Then
		SubTotal = Subtotal + Item1Total
	End If

	If Item2Total <> "" Then
		SubTotal = Subtotal + Item2Total
	End If

	If Item3Total <> "" Then
		SubTotal = Subtotal + Item3Total
	End If

	If Item4Total <> "" Then
		SubTotal = Subtotal + Item4Total
	End If

	If Item5Total <> "" Then
		SubTotal = Subtotal + Item5Total
	End If



	TaxableSubtotal = Subtotal ' Grab taxable subtotal before continuing.

	If NonTax1Total <> "" Then
		SubTotal = Subtotal + NonTax1Total
	End If

	If NonTax2Total <> "" Then
		SubTotal = Subtotal + NonTax2Total
	End If

	If NonTax3Total <> "" Then
		SubTotal = Subtotal + NonTax3Total
	End If


	If isNull(ExtendedTimeSpentTotals) or ExtendedTimeSpentTotals = 0 or ExtendedTimeSpentTotals = "" then


	' Add in Time Spent Hours as non-taxable if it exists

      ' The Hourly Cost is always computed from the Hours and the Hourly Rate
      ' This field is only display and not stored in the database.

        	HourlyCost = HourlyRate * Hours

		If HourlyCost <> 0 Then
			SubTotal = Subtotal + HourlyCost
		End If



	Else

	  SubTotal = Subtotal + ExtendedTimeSpentTotals

	End If

	SubTotal = Round(Subtotal, 2)

	' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	'           CUSTOMIZABLE BUSINESS LOGIC
	' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *



	'Compute Tax Amount based on TaxableSubtotal X TaxRate/100





	If TaxRate <> "" Then

	  If MyOs = "Windows" Then ' Because Linux doesnt like to round on Ccur data...
		TaxCost = CCur((TaxRate*TaxableSubtotal)/100)
	  Else
		TaxCost = (TaxRate*TaxableSubtotal)/100
      End If

	  TaxCost = Round(TaxCost, 2)
	End If


	' Compute in Time Spent calculation

		If IsNull(TaxCost) = False Then
			Total = TaxCost + Subtotal
		Else
			Total = SubTotal
		End If



	' Compute InvoiceBalance which is computed by Total - Amount Paid

	If IsNull(AmountPaid) = False Then
		InvoiceBalance = Total - AmountPaid
	Else
		InvoiceBalance  = Total

	End If




	End If ' End of If InvoiceNumber <> ""

%>


<% ' Check if the customer_ID is passed

	If Request.QueryString("Customer_ID") <> "" Then
		Customer_ID = Request.QueryString("Customer_ID")
	End If

%>


<% ' Get Invoice Type


	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from InvoiceType where InvoiceTypeID = " & InvoiceTypeID
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Invoice Types exist
		InvoiceType = "Invoice Type Not Found"

	Else
		InvoiceType = rstemp("InvoiceType")
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

  %>




<% ' ************************* PRINTABLE INVOICE FORM AREA START **********%>

<% ' The Entire HTML PAGE will be put into a string so it either be outputted
	' to the screen in a response.write or it can be passed to the email
	' utility to be emailed to clients and sales reps.

	' The entire string is saved in a string variable called PI (PrintableInvoice).
	' Each string is added using the Subroutine called AddPI()

	' Some example valid syntax is listed below.

	PI = ""  ' Clear out string

	PI = "Some Text d d d d d"
	Response.Write "PI=" & PI

%>

<%

AddPI ("<html>                                                     ")
AddPI ("<head>                                                     ")
AddPI ("<Title> Invoice                                                     ")
AddPI ("</title>                                                     ")
AddPI ("</head>                                                     ")
AddPI ("<body bgcolor=FFFFF>                                                     ")


	Response.Write "PI=" & PI


AddPI ("<table width=800 cellspacing=4 cellpadding=4>                          ")
AddPI ("<tr> 										 ")
AddPI ("<td><img src=/" & "isssaleslanguage60" & "/InvoiceLogo.jpg>")
AddPI ("</td>                                                       ")
AddPI ("<td align=right>                                                       ")
AddPI ("<font size=+2 face=arial>                                                       ")
AddPI (InvoiceType & "<br>                                                       ")
AddPI ("  <table border=1 width=300 >                                                     ")
AddPI ("   <tr><td align=center><font size=-1 face=arial><B>" & wc_Date & "</B><Font></td>  ")
AddPI ("   <td align=center><font size=-1 face=arial><B>" & InvoiceType & " # </td></tr>                                                    ")
AddPI ("    <tr><td align=center><font size=-1>" & Date & "</td>            ")
AddPI ("    <td align=center><font size=-1 face=arial>" & InvoiceNumber & "</td></tr></table>")
AddPI (" </td></tr>                                                      ")
AddPI ("   <tr><td colspan=2>   <hr></td></tr>")

' -----------Display customer information (billing to)


AddPI ("<tr><td>")
AddPI ("<table  border=0 cellpadding=3 cellspacing=1>     ")
AddPI ("<tr>")
AddPI ("<td align=center font=arial size=+1><B> Customer Information</b> </td></tr>    ")
AddPI ("  <tr><td align=left><font size=-1 face=arial    ")
AddPI (CustomerLink & "<br>"      )
AddPI (Company & "<br>"      )
AddPI (" </td></tr></table>  " )

' -----------End of Display customer information (billing to)



AddPI (" </td>  ")





'------ Now Display Remit to Company Info

AddPI ("<td>      ")
AddPI (" <table  border=0 cellpadding=3 cellspacing=3>     ")
AddPI ("  <tr><td align=left><font size=-1 face=arial >   ")
AddPI ("<B>Please remit to: YOUR COMPANY NAME HERE </b><br>      ")

AddPI ("Company Address HERE <br>      ")
AddPI ("Company City State Zip  HERE <br>      ")
AddPI ("Company Phone HERE <br>      ")

AddPI (" </td></tr></table>   ")

' ------------ End of Remit to Company info here

AddPI (" </td></tr></table>")

' ---- Display line of Due Date, Purchase Order number, and notes

AddPI (" <br>")



AddPI ("                                                       ")

AddPI ("<table width=800 border = 1 cellspacing=1 cellpadding=1>                          ")
AddPI ("<tr> 										 ")
AddPI ("<td align=center><font size=-1  face=arial>Due Date</font></td>")
AddPI ("<td align=center><font size=-1  face=arial>Purchase Order #</font></td>")
AddPI ("<td align=left width=60% ><font size=-1 face=arial>Notes:</font></td></tr>")

AddPI ("<tr> 										 ")
AddPI ("<td align=center><font size=-1 face=arial>" & PaymentDueDate & "</font></td>")
AddPI ("<td align=center><font size=-1  face=arial>" & PONumber & "</font></td>")
AddPI ("<td align=left><font size=-1  face=arial>" & InvoiceNotes & "<br></font></td></tr></table>")


AddPI (" <br>")

' ------------ Display the Items and Description

AddPI ("        <table width=800 cellspacing=1 cellpadding=1 border=1> ")

AddPI ("        <tr>")
AddPI ("        <th  bgcolor=C0D0A0 align=center><B><font size=-1 face=arial>" & wc_Invoice_Qty & " </b></font></th>")
AddPI ("        <th  bgcolor=C0D0A0 align=center><B><font size=-1 face=arial>" & wc_Invoice_Items & "</b></font></th>")
AddPI ("        <th  bgcolor=C0D0A0 align=center><B><font size=-1 face=arial>" & wc_Invoice_Cost & "</b></font></th>")
AddPI ("        <th  bgcolor=C0D0A0 align=center><B><font size=-1 face=arial>" & wc_Invoice_Total_Computed & "</b></font></th>")
AddPI ("        <th  bgcolor=C0D0A0 align=center><B><font size=-1 face=arial>" & wc_Invoice_Taxable & "</b></font></th>")
AddPI ("		</tr>")


AddPI ("        <tr>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")
AddPI ( Item1Qty)
AddPI ("        </font>")
AddPI ("        ")

AddPI ("        </td>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

AddPI (Item1)
AddPI ("        </font>")
AddPI ("        ")

AddPI ("        </td>")


AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

AddPI (DisplayMoneyFormInput(Cost1))

AddPI ("        </font>")
AddPI ("        ")
AddPI ("        </td>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>" & DisplayMoney(Item1Total) )
AddPI ("        </font>")
AddPI ("        ")

AddPI ("        </td>")

AddPI ("        <td  bgcolor=C0D0A0 align=Center><font size=-1 face=arial>")


AddPI ("        (" & wc_Invoice_Taxable & ")")
AddPI ("        </font>")


AddPI ("        </td>")
AddPI ("		</tr>")


AddPI ("        <tr>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><B><font size=-1 face=arial>")
AddPI (Item2Qty)
AddPI ("        </font>")
AddPI ("        ")
AddPI ("        </td>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

AddPI (Item2)
AddPI ("        </font>")
AddPI ("        ")
AddPI ("        </td>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

AddPI (DisplayMoneyFormInput(Cost2))

AddPI ("        </td>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>" & DisplayMoney(Item2Total))

AddPI ("		</font>")
AddPI ("		")
AddPI ("		</td>")
AddPI ("        <td  bgcolor=C0D0A0 align=Center><font size=-1 face=arial>")

AddPI ("        (" & wc_Invoice_Taxable & ")")
AddPI ("        </font>")


AddPI ("        </td>")
AddPI ("		</tr>")

AddPI ("        <tr>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")
AddPI (Item3Qty)
AddPI ("		</font>")
AddPI ("		")
AddPI ("		</td>")
AddPI ("		<td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

AddPI (Item3)

AddPI ("		</font>")
AddPI ("		")
AddPI ("		</td>")
AddPI ("		<td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")



AddPI (DisplayMoneyFormInput(Cost3))

AddPI ("        </td>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>" & DisplayMoney(Item3Total) )
AddPI ("        </td>")

AddPI ("		<td  bgcolor=C0D0A0 align=Center><font size=-1 face=arial>")

AddPI ("        (" & wc_Invoice_Taxable & ")")


AddPI ("        </font>")

AddPI ("        </td>")
AddPI ("		</tr>")

AddPI ("        <tr>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")
AddPI (Item4Qty)

AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

AddPI (Item4)
AddPI ("        </font>")
AddPI ("        </td>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")


AddPI (DisplayMoneyFormInput(Cost4))

AddPI ("        </td>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>" & DisplayMoney(Item4Total) )

AddPI ("        </font>")
AddPI ("        </td>")
AddPI ("        <td  bgcolor=C0D0A0 align=center><font size=-1 face=arial>")


AddPI ("        (" & wc_Invoice_Taxable & ")")
AddPI ("        </font>")
AddPI ("        ")

AddPI ("        </td>")
AddPI ("		</tr>")

AddPI ("        <tr>")
AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")
AddPI (Item5Qty)

AddPI ("     	</font>")
AddPI ("     	")
AddPI ("     	</td>")
AddPI ("     	<td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

AddPI (Item5)
AddPI ("        </font>")
AddPI ("        ")
AddPI ("        </td>")

AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>")

AddPI (DisplayMoneyFormInput(Cost5))
AddPI ("        </font>")
AddPI ("        ")
AddPI ("        </td>")

AddPI ("        <td  bgcolor=C0D0A0 align=Right><font size=-1 face=arial>" & DisplayMoney(Item5Total) )

AddPI ("        </font>")
AddPI ("        </td>")

AddPI ("         <td  bgcolor=C0D0A0 align=center><font size=-1 face=arial>")

AddPI ("        (" & wc_Invoice_Taxable & ")")
AddPI ("        </font>")
AddPI ("        ")

AddPI ("        </td>")
AddPI ("		</tr>")


		'------------ 3 Non taxable items-----------

AddPI ("        <tr>")
AddPI ("        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")
AddPI (NonTax1Qty)
AddPI ("        </font>")
AddPI ("        ")
AddPI ("        </td>")
AddPI ("        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")

AddPI (NonTaxItem1)

AddPI ("		</font>")
AddPI ("		")
AddPI ("		</td>")

AddPI ("        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")

AddPI (DisplayMoneyFormInput(CostNonTax1))

AddPI ("        </td>")

AddPI ("        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>" & DisplayMoney(NonTax1Total) )

AddPI ("        </font>")
AddPI ("        </td>")

AddPI ("        <td  bgcolor=A0A0F0 align=center><font size=-1 face=arial>")

AddPI ("(" & wc_Invoice_Non_Taxable & ")")
AddPI ("        </font>")


AddPI ("        </td>")
AddPI ("		</tr>")


AddPI ("        <tr>")
AddPI ("        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")
AddPI (NonTax2Qty)
AddPI ("        </b>")
AddPI ("        </font>")
AddPI ("        </td>")


AddPI ("         <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")

AddPI (NonTaxItem2)

AddPI ("		")
AddPI ("		</font>")
AddPI ("		</td>")

AddPI ("        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")
AddPI (DisplayMoneyFormInput(CostNonTax2))
AddPI ("        </b>")
AddPI ("        </font>")

AddPI ("        </td>")
AddPI ("        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>" & DisplayMoney(NonTax2Total) )

AddPI ("		</font>")
AddPI ("		</td>")

AddPI ("		<td  bgcolor=A0A0F0 align=center><font size=-1 face=arial>")

AddPI ("(" & wc_Invoice_Non_Taxable & ")")
AddPI ("        </font>")


AddPI ("        </td>")
AddPI ("		</tr>")

AddPI ("        <tr>")
AddPI ("        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")
AddPI (NonTax3Qty)
AddPI ("       </b>")
AddPI ("       </font>")
AddPI ("        </td>")
AddPI ("        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")


AddPI (NonTaxItem3)
AddPI ("        ")
AddPI ("        </font>")
AddPI ("        </td>")

AddPI ("        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>")
AddPI (DisplayMoneyFormInput(CostNonTax3))
AddPI ("        ")
AddPI ("        </font>")

AddPI ("        </td>")
AddPI ("        <td  bgcolor=A0A0F0 align=Right><font size=-1 face=arial>" & DisplayMoney(NonTax3Total))
AddPI ("        ")
AddPI ("        </font>")
AddPI ("        </td>")

AddPI ("        <td  bgcolor=A0A0F0 align=center><font size=-1 face=arial>")

AddPI ("        <font size=-1 face=arial>")
AddPI ("(" & wc_Invoice_Non_Taxable & ")")
AddPI ("        </font>")


AddPI ("        </td>")
AddPI ("		</tr>")

AddPI ("		</table>")

' Display other remaining fields

AddPI ("        <table width=800 cellspacing=2 cellpadding=2 border=1> ")


    ' Either show the accumulated time spent amount from Case records if such exists, else show static fields from this Invoice Record

        If isNull(ExtendedTimeSpentTotals) or ExtendedTimeSpentTotals = 0 or ExtendedTimeSpentTotals = "" then





AddPI ("			<tr>")
AddPI ("			<td  bgcolor=B0B0A0 align=Right><font size=-1 face=arial>" & wc_Invoice_Hourly_Rate & ": " & HourlyRate & "> <B>X</B>  " & wc_Invoice_Hours  & " "  & hours & " </td>")


			 ' The Hourly Cost is always computed from the Hours and the Hourly Rate
				' This field is only display and not stored in the database.

				HourlyCost = HourlyRate * Hours




AddPI ("			<td  bgcolor=B0B0A0 align=Left><font size=-1 face=arial>")
AddPI (DisplayMoney(HourlyCost) & " &nbsp;&nbsp;" & wc_Invoice_Hourly_Total & "</td>")
AddPI ("			</tr>")

      Else

AddPI ("			<td  bgcolor=B0B0A0 align=Right><font size=-1 face=arial>" & wc_Cost_of_time_spent & "</td>")
AddPI ("			<td  bgcolor=B0B0A0 align=Left><font size=-1 face=arial>" & DisplayMoney(ExtendedTimeSpentTotals))
AddPI ("			</td>")

       End If


AddPI ("        <tr> ")
AddPI ("        <td  bgcolor=C0A0F0 align=Right><font size=-1 face=arial>" & wc_Invoice_SubTotal & "</td>")
AddPI ("        <td  bgcolor=C0A0F0 align=Left><font size=-1 face=arial>" & DisplayMoney(SubTotal) & "</td>")
AddPI ("		</tr>")


AddPI ("        <tr>")
AddPI ("        <td  bgcolor=F0F0A0 align=Right><font size=-1 face=arial>" & wc_Invoice_Tax_Rate & ":" & TaxRate & " <B>X</b>  " & DisplayMoney(TaxableSubTotal) & " </td>")
AddPI ("        <td  bgcolor=F0F0A0 align=Left><font size=-1 face=arial>" & DisplayMoney(TaxCost) & " &nbsp;&nbsp;" & wc_Invoice_Tax_Total & "</td>")
AddPI ("		</tr>")



AddPI ("        <tr>")
AddPI ("        <td  bgcolor=C0A0F0 align=Right><font size=-1 face=arial>" & wc_Invoice_Total & "</td>")
AddPI ("        <td  bgcolor=C0A0F0 align=Left><font size=-1 face=arial>" & DisplayMoney(Total) & "</td>")
AddPI ("		</tr>")

AddPI ("        <tr>")
AddPI ("        <td  bgcolor=B0C0C0 align=Right><font size=-1 face=arial>" & wc_Invoice_Amount_Paid & "</td>")
AddPI ("        <td  bgcolor=B0C0C0 align=Left valign=center><font size=-1 face=arial>" & DisplayMoney(AmountPaid) & "</td>")
AddPI ("		</tr>")

AddPI ("        <tr>")
AddPI ("        <td  bgcolor=B0C0C0 align=Right><font size=-1 face=arial>" & wc_Invoice_Balance & "</td>")
AddPI ("        <td  bgcolor=B0C0C0 align=Left valign=center><font size=-1 face=arial>" & DisplayMoney(InvoiceBalance) & "</td>")
AddPI ("		</tr>")
AddPI ("		</table>")
AddPI ("		</body>")
AddPI ("		</html>")



response.write "PI at End = "  & MessageString


CreatePrintEmailInvoiceMsg = MessageString


End Function
%>


<%'  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **%>
<% 'END OF PAGE CODE - START OF FUNCTIONS **************************%>
<%'  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * **%>



<% Function DisplayMoney(Amount)

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoney = wc_Invoice_Currency & " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If Cint(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoney = wc_Invoice_Currency  & "&nbsp;" & MoneyString2

	End If


	End Function
%>


<% Function DisplayMoneyNoSign(Amount)

	'This function Displays dollar/cents amounts with the dollar sign
	' or currency symbol.

	If IsNull(Amount) or Amount = 0 Then
		DisplayMoneyNoSign =  " 0.00"
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If Cint(MoneySTring2) < 0 Then
		MoneyString2 = "<Font color=red>(" & MoneyString2 & ")</font>"
	End If


	DisplayMoneyNoSign =  MoneyString2

	End If


	End Function
%>

<% Function DisplayMoneyFormInput(Amount)


	If IsNull(Amount) or Amount = 0 Then
		DisplayMoneyFormInput =  ""
	Else

	' Compute Amount by multiply by 100 take int and place decimal into string

	MoneyString = CStr(Int(Amount*100))
	MoneyStringLen = Len(MoneyString)
	MoneyString2 = Left(MoneyString, MoneyStringLen - 2) & "." & Right(MoneyString,2)

	If Cint(MoneySTring2) < 0 Then
		MoneyString2 = "-" & MoneyString2
	End If


	DisplayMoneyFormInput =  MoneyString2

	End If


	End Function
%>

<% Sub AddPI (NewString)

		'response.write "Inside ADDPI adding" & NewString

		'response.write "PI3 = " & PI

		PI = PI & NewString & vbCRLF

	End Sub
%>
