<% 	' Module: wcpLabels.inc
	'
	' Language Module English - US version (Default)
	
	' Description: This ASP include module contains the language 
	' specific prompts for the  Pocket+Center application.
	' Prompts are defined here as variables that will be used in 
	' the various ASP scripts. 
	' 
	' To make changes for various languages, change the value
	' of the label variable, but NOT the label variable name.
	' Label variable names always start with wcp_ .  Spaces are
	' defined with an underscore.  If the Label in the english-us
	' version is Customers, then the variable name is:
	'	wcp_Customers
	'
	' Longer blocks are defined as wcp_[text block name]
	
	' Important - All variables should be alphabetically arranged
	' by their english US variable names.
	
	'
	' (C) 1999, 2000, 2001, 2002, 2003 Internet Software Sciences
	'
	'History:
	
	'Date		Who		What
	'-----		-----	-------------------------------------------------
	'02/07/2003	JC		Created original File
%>



	<% ' NOTE: Keep This strings alphabetically arranged %>
	<% ' VARIABLE NAMES SHOULD ALL BE IN ENGLISH %>
	

<% ' Variable Name			= String Definition   ' ASP Module/Note %>

<% ' -------------		--	------------------%>

<% ' ***************  ***  *************************************%>
<% 

        wcp_Get                         = "Get" 
        wcp_Find                        = "Find"
        wcp_Search                      = "Search"
        wcp_Cases                       = "Cases"
        wcp_Mine                        = "Mine"
        wcp_Other                       = "Other"
        wcp_Calendar                    = "Calendar"
        wcp_Calendar_short              = "Cal"
        wcp_Month                       = "Month"
        wcp_Pocket_Center_Menu          = "Pocket+Center Menu"
        wcp_Due                         = "Due"
        wcp_Dup_number                  = "Dup. No"
        wcp_Asset_number                = "Asset No"
        wcp_Sort_by                     = "Sort by "
        wcp_Or_click_column_name        = "or click on column name"
        wcp_Assigned_to                 = "Assigned to"
        
	wcp_Every_Month			= "1 Month"
	wcp_Every_2_Months		= "2 Months"
	wcp_Every_3_Months		= "3 Months"
	wcp_Every_6_Months		= "6 Months"
	wcp_Every_12_Months		= "Year" 
	
	wcp_Schedule                   = "Schedule"
	wcp_Repeat                     = "Repeat"
	wcp_User_group_access          = "Usergroup Access"
	wcp_User_Groups                = "User Groups"
	wcp_Assigned_To                = "Assigned to"
	
	wcp_Deleted_From_Email_List    = "Del from Email List"
	wcp_Contact_Preferences        = "Contact Preferences"
	wcp_New_Contact_Notes          = "Contact Notes"
	wcp_Username_Login             = "Username Login"
	wcp_Open_New_Case              = "Open New Case"
	wcp_Customer_ID                = "Customer ID"
	wcp_Show_Cases_by_tech         = "Show Cases By Tech"
	wcp_Show_Cases_by_group        = "Show Cases By Group"
	wcp_Show_Cases_by_schedule     = "Show Cases By Schedule"
	
	wcp_All_Opened_Cases           = "All Opened Scheduled Cases"
	wcp_All_Single_Event_Cases     = "All Single Event Scheduled Cases"
	wcp_All_Repeating_Cases        = "All Repeating Scheduled Cases"
	wcp_All_Late_Cases             = "All Late Scheduled Cases"
	wcp_Todays_Scheduled_Cases     = "Today's Scheduled Cases"
	
	wcp_Show_Other_Cases           = "Show Other Cases"
	wcp_Matching_records_found     = "Matching Records Found"
	wcp_All_Cases_split            = "All<br>Cases"
	wcp_Case_Number                = "Case No."
	wcp_Case_Number_Descending     = "Case No. Desc."
	wcp_List                       = "List"
	wcp_Calendar                   = "Calendar"
	wcp_Schedule_List              = "Schedule List"
	wcp_schedule                   = "Schedule"
	wcp_Today_Mine                 = "Today (Mine)"
	wcp_Today_Group                = "Today (Group)"
	wcp_Mine_in_parens             = "(Mine)"
	wcp_Group_in_parens            = "(Group)"
	wcp_Case_record_successfully_processed = "Case Record Successfully Processed"
	
	wcp_Scheduled_cases_for        = "Scheduled Cases For "
	wcp_Open_Cases_By_Group        = "Open Cases By Group"
	wcp_Open_Cases_For             = "Open Cases For"
	wcp_Update_Asset_Number        = "Update Asset No."
	wcp_Create_New_Asset           = "Create New Asset"
	wcp_Created                    = "Created"
	wcp_Modified                   = "Modified"

       wc_Pocket_Center_Login_Failure = "Pocket+Center Login Failure"
       
       wcp_Logout = "Logout"
        
%>

<% ' Definition of Months
	Month1 = "Jan"
	Month2 = "Feb"
	Month3 = "Mar"
	Month4 = "Apr"
	Month5 = "May"
	Month6 = "Jun"
	Month7 = "Jul"
	Month8 = "Aug"
	Month9 = "Sep"
	Month10 = "Oct"
	Month11 = "Nov"
	Month12 = "Dec"

%>

<% ' Definition of Days of Week 
	Day1 = "Sun"
	Day2 = "Mon"
	Day3 = "Tue"
	Day4 = "Wed"
	Day5 = "Thu"
	Day6 = "Fri"
	Day7 = "Sat"
%>

<% 'Added 2/2005 to support Time Spent Feature

    wcp_bill = "Bill"
    wcp_hrs  = "Hrs"
    wcp_rate = "Rate"
%>
