<% 'Module: AccountManagerConfig.asp

   'Description: This module is the Page where you edit the customer Account Manager options
   ' This is a new features added in October 2013.

   '(C) 2000,2001 -2013 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '07/23/02	SAV		Created original EditCaseTextLabels.asp Module
   '10/28/13	SAV		Created EditOptionalCustomerInformation.asp module from EditCaseTextLabels.asp module
   '10/28/13	SAV		Created AccountManagerConfig.asp for new account manager configuration page
   '01/23/14    CMB     removed erroneous comments; box 8 getting set to box 1 value; removed redundant default settings; readonly fields


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "AccountManagerConfig.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>
<!-- (C) 1996 - 20013 by Internet Software Sciences -->
<head>
<title>Customer Account Manager Configuration</title>
</head>
<body bgcolor=#C0C0C0>

<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b>Customer Account Manager Configuration</b>
</font>
<br>
<font size=-1> The Customer Account Manager is an option that allows customers to view their <br>
own account
details showing invoices, assets, cases, and additional customer info fields.
</font>


</td></tr></table><p>
</center>


<% ' Get the Additional customer information field labels and enable status

	' Get the current white board contents into a variable if it exists.
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from BConfiguration" ' There should only be one row in this table

	set rstemp=conntemp.execute(mySQL)

	If  rstemp.eof then ' Check to see Configuration row created yet
		WhiteBoardContents = " No optional customer fields defined yet Not yet configured"
	Else
		WhiteBoardContents = rstemp("BWhiteboard")
		Box1Label = rstemp("Box1Label")
		Box2Label = rstemp("Box2Label")
		Box3Label = rstemp("Box3Label")
		Box4Label = rstemp("Box4Label")
		Box5Label = rstemp("Box5Label")
		Box6Label = rstemp("Box6Label")
		Box7Label = rstemp("Box7Label")
		Box8Label = rstemp("Box8Label")
		Box9Label = rstemp("Box9Label")
		Box10Label = rstemp("Box10Label")

	' Get the Enabled state of the boxes
		if not isnull(rstemp("Box1Enabled")) then
			Box1Enabled = rstemp("Box1Enabled")
		else
			Box1Enabled = false
		end if
		if not isnull(rstemp("Box2Enabled")) then
			Box2Enabled = rstemp("Box2Enabled")
		else
			Box2Enabled = false
		end if
		if not isnull(rstemp("Box3Enabled")) then
			Box3Enabled = rstemp("Box3Enabled")
		else
			Box3Enabled = false
		end if
		if not isnull(rstemp("Box4Enabled")) then
			Box4Enabled = rstemp("Box4Enabled")
		else
			Box4Enabled = false
		end if
		if not isnull(rstemp("Box5Enabled")) then
			Box5Enabled = rstemp("Box5Enabled")
		else
			Box5Enabled = false
		end if
		if not isnull(rstemp("Box6Enabled")) then
			Box6Enabled = rstemp("Box6Enabled")
		else
			Box6Enabled = false
		end if
		if not isnull(rstemp("Box7Enabled")) then
			Box7Enabled = rstemp("Box7Enabled")
		else
			Box17Enabled = false
		end if
		if not isnull(rstemp("Box8Enabled")) then
			Box8Enabled = rstemp("Box8Enabled")
		else
			Box8Enabled = false
		end if
		if not isnull(rstemp("Box9Enabled")) then
			Box9Enabled = rstemp("Box9Enabled")
		else
			Box9Enabled = false
		end if
		if not isnull(rstemp("Box10Enabled")) then
			Box10Enabled = rstemp("Box10Enabled")
		else
			Box10Enabled = false
		end if

	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing



	'  Get the values from the CustomerAccountManager  Table into variables


	'Set default values first

	AccountManagerEnabled = FALSE

	DisplayCustomerInfoBox1 = False
	DisplayCustomerInfoBox2 = False
	DisplayCustomerInfoBox3 = False
	DisplayCustomerInfoBox4 = False
	DisplayCustomerInfoBox5 = False
	DisplayCustomerInfoBox6 = False
	DisplayCustomerInfoBox7 = False
	DisplayCustomerInfoBox8 = False
	DisplayCustomerInfoBox9 = False
	DisplayCustomerInfoBox10 = False

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from CustomerAccountManager"
	set rstemp=conntemp.execute(mySQL2)

	if rstemp.EOF then


	Else

		If rstemp("EnableAccountManager") = True then
			 EnableAccountManager = "YES"
		else
			 EnableAccountManager = "NO"
		End IF

		If rstemp("DisplayCustomerAssetsInAccountManager") = True then
			 DisplayCustomerAssetsInAccountManager = "YES"
		else
			 DisplayCustomerAssetsInAccountManager = "NO"
		End IF

		If rstemp("DisplayCustomerSupportCases") = True then
			 DisplayCustomerSupportCases = "YES"
		else
			 DisplayCustomerSupportCases = "NO"
		End IF

		If rstemp("DisplayCustomerInvoices") = True then
			 DisplayCustomerInvoices = "YES"
		else
			 DisplayCustomerInvoices = "NO"
		End IF

		If rstemp("PreventCustomersEditingInfo") = True then
			 PreventCustomersEditingInfo = "YES"
		else
			 PreventCustomersEditingInfo = "NO"
		End IF

if not isnull(rstemp("DisplayCustomerInfoBox1")) then
		DisplayCustomerinfoBox1 = rstemp("DisplayCustomerInfoBox1")
else
		DisplayCustomerinfoBox1 = false
end if

		DisplayCustomerinfoBox2 = rstemp("DisplayCustomerInfoBox2")
		DisplayCustomerinfoBox3 = rstemp("DisplayCustomerInfoBox3")
		DisplayCustomerinfoBox4 = rstemp("DisplayCustomerInfoBox4")
		DisplayCustomerinfoBox5 = rstemp("DisplayCustomerInfoBox5")
		DisplayCustomerinfoBox6 = rstemp("DisplayCustomerInfoBox6")
		DisplayCustomerinfoBox7 = rstemp("DisplayCustomerInfoBox7")
		DisplayCustomerinfoBox8 = rstemp("DisplayCustomerInfoBox8")
		DisplayCustomerinfoBox9 = rstemp("DisplayCustomerInfoBox9")
		DisplayCustomerinfoBox10 = rstemp("DisplayCustomerInfoBox10")

	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<form action=DoAccountManagerConfig.asp method=post>

<CENTER>
		<table width=80% border = 1 cellspacing=3 cellpadding=3 >

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle>
		<a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>

		</td>
		</tr>
		</table>

</CENTER>




<P>
<center>
<table width=80% border=0>
<tr>
<td width=50% algin=left valign=top>
<br>
<br>
<B> General Account Manager Settings</b><br>
<hr>



<% If EnableAccountManager = "YES" Then %>

<input type=checkbox name=EnableAccountManager CHECKED> Enable Account Manager
<% Else %>
<input type=checkbox name=EnableAccountManager > Enable Account Manager

<% End If %>

<br>
<br>


<% If DisplayCustomerAssetsInAccountManager = "YES" Then %>

<input type=checkbox name=DisplayCustomerAssetsInAccountManager CHECKED> Display Customer Assets
<% Else %>
<input type=checkbox name=DisplayCustomerAssetsInAccountManager> Display Customer Assets on Account Manager


<% End If %>

<br>
<br>


<% If DisplayCustomerSupportcases = "YES" Then %>

<input type=checkbox name=DisplayCustomerSupportCases CHECKED> Display Customer Support Cases
<% Else %>
<input type=checkbox name=DisplayCustomerSupportCases> Display Customer Support Cases


<% End If %>


<br>
<br>

<% If PreventCustomersEditingInfo = "YES" Then %>

<input type=checkbox name=PreventCustomersEditingInfo CHECKED> Prevent Customers from Editing Customer Records
<% Else %>
<input type=checkbox name=PreventCustomersEditingInfo> Prevent Customers from Editing Customer Records

<% End If %>

<br>
<br>

<B>Select whether to show invoices and which <br>invoices to show by defining invoice <br> TYPES  and STATUS values </b>

<br>
<hr>

<% If DisplayCustomerInvoices = "YES" Then %>

	<input type=checkbox name=DisplayCustomerInvoices CHECKED> Display Customer Invoices
<% Else %>
	<input type=checkbox name=DisplayCustomerInvoices> Display Customer Invoices

<% End If %>

<br>
<br>

Invoice Types:<br>

		<select name=DisplayInvoiceType size=4 multiple>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from InvoiceType"
	set rstemp=conntemp.execute(mySQL)

	If  rstemp.eof then
		response.write wc_Invoice_No_Invoice_Types_Found
	Else

		Do While NOT rstemp.EOF
			response.write "DisplayTypeONAccountManager = " & rstemp("DisplayTypeOnAccountManager")
		%>

		<% if rstemp("DisplayTypeOnAccountManager") Then %>
				<Option value=<%=rstemp("InvoiceTypeID")%> SELECTED>
		<% Else %>
				<Option value=<%=rstemp("InvoiceTypeID")%>>
		<% End If %>

		<%=rstemp("InvoiceType")%>
		</option>
	<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>
		<br>
		<br>

Invoice Status:<br>
		<select name=DisplayInvoiceStatus size=4 multiple>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from InvoiceStatus"
	set rstemp=conntemp.execute(mySQL)

	If  rstemp.eof then
		response.write wc_Invoice_No_Payment_Methods_Found
	Else
		Do While NOT rstemp.EOF
		%>

		<% if rstemp("DisplayStatusOnAccountManager") Then %>
				<Option value=<%=rstemp("InvoiceStatusID")%> SELECTED>
		<% Else %>
				<Option value=<%=rstemp("InvoiceStatusID")%>>
		<% End If %>

			<%=rstemp("InvoiceStatus")%>
			</option>
	<%
			rstemp.movenext
		loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

		</select>

		<br>
</td>

<td width=10%>
</td>

<td valign=top align=left>

		<center>
		<font size=-1 face=arial><B>Select which customer information fields<br>
		to display on the Customer Account Manager Page</b><br>
		<table  border=1 cellspacing=2 cellpadding=2>
		<tr>
		<th>
		<font size=-1 face=arial><%=wc_Field_number%>
		</th>

		<th>
		<font size=-1 face=arial><%=wc_Field_Label%></th>

		<th>
		<font size=-1 face=arial>Field Enabled
		</th>

		<th>
		<font size=-1 face=arial>Display on<br> Account Manager
		</th>

		</tr>

		<% ' Individual fields %>
		<% ' fieldcounter = 0 %>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<%=Box1Label%>
		</td>
		<td><font size=-1  face=arial>

		<% If Box1Enabled = True Then%>
		YES
		<%Else %>
		NO
		<% End IF %>

		</td>
		<td align=right><font size=-1>
		<% If DisplayCustomerInfoBox1 = True Then %>
		<input type=checkbox name=DisplayCustomerInfoBox1 CHECKED>&nbsp;&nbsp;&nbsp;YES
		<% Else %>
		<input type=checkbox name=DisplayCustomerInfoBox1>&nbsp;&nbsp;&nbsp;YES
		<% end IF %>
		</td>
		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<%=Box2Label%>
		</td>
		<td><font size=-1  face=arial>

		<% If Box2Enabled = True Then%>
		YES
		<%Else %>
		NO
		<% End IF %>

		</td>

		<td align=right><font size=-1>
		<% If DisplayCustomerInfoBox2 = True Then %>
		<input type=checkbox name=DisplayCustomerInfoBox2 CHECKED>&nbsp;&nbsp;&nbsp;YES
		<% Else %>
		<input type=checkbox name=DisplayCustomerInfoBox2>&nbsp;&nbsp;&nbsp;YES
		<% end IF %>
		</td>



		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<%=Box3Label%>
		</td>
		<td><font size=-1  face=arial>

		<% If Box3Enabled = True Then%>
		YES
		<%Else %>
		NO
		<% End IF %>

		</td>

		<td align=right><font size=-1>
		<% If DisplayCustomerInfoBox3= True Then %>
		<input type=checkbox name=DisplayCustomerInfoBox3 CHECKED>&nbsp;&nbsp;&nbsp;YES
		<% Else %>
		<input type=checkbox name=DisplayCustomerInfoBox3>&nbsp;&nbsp;&nbsp;YES
		<% end IF %>
		</td>

		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<%=Box4Label%>
		</td>
		<td><font size=-1  face=arial>

		<% If Box4Enabled = True Then%>
		YES
		<%Else %>
		NO
		<% End IF %>

		</td>
		<td align=right><font size=-1>
		<% If DisplayCustomerInfoBox4 = True Then %>
		<input type=checkbox name=DisplayCustomerInfoBox4 CHECKED>&nbsp;&nbsp;&nbsp;YES
		<% Else %>
		<input type=checkbox name=DisplayCustomerInfoBox4>&nbsp;&nbsp;&nbsp;YES
		<% end IF %>
		</td>



		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<%=Box5Label%>
		</td>
		<td><font size=-1  face=arial>

		<% If Box5Enabled = True Then%>
		YES
		<%Else %>
		NO
		<% End IF %>

		</td>
		<td align=right><font size=-1>
		<% If DisplayCustomerInfoBox5 = True Then %>
		<input type=checkbox name=DisplayCustomerInfoBox5 CHECKED>&nbsp;&nbsp;&nbsp;YES
		<% Else %>
		<input type=checkbox name=DisplayCustomerInfoBox5>&nbsp;&nbsp;&nbsp;YES
		<% end IF %>
		</td>



		</tr>


		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<%=Box6Label%>
		</td>
		<td><font size=-1  face=arial>

		<% If Box6Enabled = True Then%>
		YES
		<%Else %>
		NO
		<% End IF %>

		</td>
		<td align=right><font size=-1>
		<% If DisplayCustomerInfoBox6 = True Then %>
		<input type=checkbox name=DisplayCustomerInfoBox6 CHECKED>&nbsp;&nbsp;&nbsp;YES
		<% Else %>
		<input type=checkbox name=DisplayCustomerInfoBox6>&nbsp;&nbsp;&nbsp;YES
		<% end IF %>
		</td>

		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<%=Box7Label%>
		</td>
		<td><font size=-1  face=arial>

		<% If Box7Enabled = True Then%>
		YES
		<%Else %>
		NO
		<% End IF %>

		</td>
		<td align=right><font size=-1>
		<% If DisplayCustomerInfoBox7 = True Then %>
		<input type=checkbox name=DisplayCustomerInfoBox7 CHECKED>&nbsp;&nbsp;&nbsp;YES
		<% Else %>
		<input type=checkbox name=DisplayCustomerInfoBox7>&nbsp;&nbsp;&nbsp;YES
		<% end IF %>
		</td>

		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<%=Box8Label%>
		</td>
		<td><font size=-1  face=arial>

		<% If Box8Enabled = True Then%>
		YES
		<%Else %>
		NO
		<% End IF %>

		</td>
		<td align=right><font size=-1>
		<% If DisplayCustomerInfoBox8 = True Then ' 01/23/14 was box1 %>
		<input type=checkbox name=DisplayCustomerInfoBox8 CHECKED>&nbsp;&nbsp;&nbsp;YES
		<% Else %>
		<input type=checkbox name=DisplayCustomerInfoBox8>&nbsp;&nbsp;&nbsp;YES
		<% end IF %>
		</td>


		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<%=Box9Label%>
		</td>
		<td><font size=-1  face=arial>

		<% If Box9Enabled = True Then%>
		YES
		<%Else %>
		NO
		<% End IF %>

		</td>

		<td align=right><font size=-1>
		<% If DisplayCustomerInfoBox9 = True Then %>
		<input type=checkbox name=DisplayCustomerInfoBox9 CHECKED>&nbsp;&nbsp;&nbsp;YES
		<% Else %>
		<input type=checkbox name=DisplayCustomerInfoBox9>&nbsp;&nbsp;&nbsp;YES
		<% end IF %>
		</td>

		</tr>

		<tr>
		<td><font size=-1  face=arial>
		<% fieldcounter = fieldcounter + 1
		   response.write wc_Field_number & fieldcounter %>
		</td>
		<td>
		<font size=-1 face=arial>
		<%=Box10Label%>
		</td>
		<td><font size=-1  face=arial>

		<% If Box10Enabled = True Then%>
		YES
		<%Else %>
		NO
		<% End IF %>

		</td>
		<td align=right><font size=-1>
		<% If DisplayCustomerInfoBox10 = True Then %>
		<input type=checkbox name=DisplayCustomerInfoBox10 CHECKED>&nbsp;&nbsp;&nbsp;YES
		<% Else %>
		<input type=checkbox name=DisplayCustomerInfoBox10>&nbsp;&nbsp;&nbsp;YES
		<% end IF %>
		</td>


		</tr>

		</table>

		</center>


</form>

</td>
</tr>
</table>
</center>



</body>
</html>

<% End If %>

