<% 'Module: AdvancedEscalationTimeFilter.asp

   'Description: This module sets the AUTO-Escalation Time Filter defintions
   '(C) 2013 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '2/15/00		SAV		Created original Search page
    '4/26/01	AJS	Changed KB Options to be numbered properly there were two of option 2
    '5/28/02	SAV		Created EscalationConfig.asp from KBoptions page
    '3/25/13		SAV		Created EnhancedEscalationConfig.asp module from escalation module
    '03/28/2013	SAV		Created AdvancedEscalationTimeFilter.asp

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only admins or configurators to access this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "AdvancedEscalationTimeFilter.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<head>
<title><%=wc_Advanced_Escalation_Time_Filters%></title>

<!-- #INCLUDE FILE="Stylesheet.inc" -->



</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<% ' Check if this file is being called with the ID parameter and if so, then we are
	' going to edit a rule


	TimeFilterName = ""

	ID = Request.Querystring("ID")
	If ID <> "" Then

		mySQL2="SELECT * from EscalationTimeFilters where TimeFilterIndex = " & ID

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here
		set rstemp = server.createobject("adodb.recordset")
		rstemp.open mySQL2, conntemp, 1,3

		if rstemp.eof <> True then

			TimeFilterNAme = rstemp("TimeFilterName")
			DayOfWeek = rstemp("DayOfWeek")
			StartTime = rstemp("StartTime")
			EndTime = rstemp("EndTime")
			TimeFilterDate = rstemp("TimeFilterDate")

		Else

			TimeFilterName = "Invalid Time Filter Index"
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End If

%>


<body bgcolor="<%=UserPageColor%>">
<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=5 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1><%=wc_Advanced_Escalation_Time_Filters%></FONT></B>

<br>
<br>
Time Filters define time windows when Advanced Escalation Rules/Actions will NOT escalate cases
<br>

</TD>
</TR>
</TABLE></TD>
</TR>
</TABLE></CENTER>
<br>

<table width=100% cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper>
<tr>
<td width=align=center class=BP2minorformtitle> Time Filter </td>
<td width=align=center class=BP2minorformtitle> Edit Time Filter </td>
<td width=align=center class=BP2minorformtitle> Delete Time Filter </td>
</tr>


<%  'Display all of the existing rules if any exist


	mySQL2="SELECT * from EscalationTimeFilters"

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here
	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	do while not rstemp.eof

%>

<tr>
<td width=align=center class=tightbodytext><%=rstemp("TimeFilterName") %></td>

<td width=align=center class=tightbodytext><a href=AdvancedEscalationTimeFilter.asp?ID=<%=rstemp("TimeFilterIndex")%>>Edit Filter</a></td>
<td width=align=center class=tightbodytext><a href=DeleteAdvancedEscalationTimeFilter.asp?ID=<%=rstemp("TimeFilterIndex")%>>Delete Filter</a></td>
</tr>
<%			rstemp.MoveNext
			loop


	' Finished with Database so close record set and connection
	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

</table>
<br>
<br>


<form action = DoAdvancedEscalationTimeFilter.asp method=post>

<% If ID <> "" Then
%>
<input type=hidden name=ID value=<%=ID%>>


<% End If %>




<table width=100% cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper>
<tr>

<% If ID <> "" Then
%>
<td align=center class=BP2minorformtitle width=90% colspan = 2> Edit Time Filter
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=AdvancedEscalationTimeFilter.asp>+ Add New Time Filter</a></td>

<% Else
%>
<td align=center class=BP2minorformtitle colspan=2> Create New Time  Filter </td>
<% End IF
%>

</tr>

<tr>
<td align=right class=BP2minorformtitle > Time Filter Name </td>
<td align=left class=BP2minorformtitle > <input type=text name=TimeFilterName size=30 value="<%=TimeFilterName%>"> Required</td>
</tr>

<tr>
<td align=right class=BP2minorformtitle > Day of the week </td>
<td align=left class=BP2minorformtitle > <input type=text name=DayOfWeek size=5 value="<%=DayOfWeek%>">1=Sunday 2=Monday 3=Tuesday 4=Wednesday 5=Thursday 6=Friday 7=Saturday 8=Sunday</td>
</tr>

<tr>
<td align=right class=BP2minorformtitle > Start Time </td>
<td align=left class=BP2minorformtitle > <input type=text name=StartTime size=5 value="<%=StartTime%>"> (HH:MM) 24 Hour Format (00:00 to 23:59)</td>
</tr>


<tr>
<td align=right class=BP2minorformtitle > End Time </td>
<td align=left class=BP2minorformtitle > <input type=text name=EndTime size= 5 value="<%=EndTime%>"> (HH:MM) 24 Hour Format (00:00 to 23:59)</td>
</tr>


<tr>
<td align=right class=BP2minorformtitle >Specific Date </td>
<td align=left class=BP2minorformtitle > <input type=text name=TimeFilterDate size=10 value="<%=TimeFilterDate%>"> (mm/dd/yyyy)</td>
</tr>

</table>






<center>
<table width=50% border=0>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="ConfigAdmin.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
</center>


</form>

</BODY>
</HTML>

<%End If ' End of security checks %>
