<% 'Module: Ant.asp

   'Description: Module to check forms.
   '(C) 1999, 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

	' DONOT modify this module.

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'09/9/02	SAV		Created original module
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<!-- #INCLUDE FILE="EL.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow any tech  to access this function.

	Cache_parameters = "(tech_id, " & _
	"tech_level, " & _
	"Current_case_number, " & _
	"availability, " & _
	"show_dispatch_flag, " & _
	"new_case_notify) "

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing
        vector = chr(84) & chr(69) & chr(67) & chr(72) & chr(95)
 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Ant.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%



' First Process controlling email before issuing security checks and validation

' START CODE

		' Get Total number of registered techs

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

			sqltemp="select last_name, work_email from Tech_staff"
			set rstemp=Server.CreateObject("adodb.Recordset")
			'-->AKS<-- Need to specify cursore for record count to be correct.

			If DatabaseType <> "ACCESS97" Then
				rstemp.CursorLocation = adUseClient
			End If

			rstemp.open sqltemp, conntemp, adopenstatic

			If rstemp.EOF <> True Then
				Do While rstemp.EOF <> True
					TotalTechs = TotalTechs + 1

					EmailAddresses = EmailAddresses & "[" & rstemp("work_email") & "]"

					rstemp.MoveNext
				Loop
			Else
				TotalTechs = 2
			End If

			rstemp.close
			set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	   GetDatabaseConfiguration5 MaxHistorySize, smtp_host_address,Standard_reply_to_address, Customer_case_notify, customer_name_text



	' License Check Code ******* Do not modify *******
	 ' Also check to see if the user has entered more than 2 techs into the database
		' without licensing the additional techs

		' Since the software since we installed into a virtual directory other than
		' the default virtual directory of /tech60, we can get the
		' real virtual directory from the server variables

		 For each key in Request.serverVariables


			' Get the Host name so we can send that information too.

			 	if Key = "SERVER_NAME" Then
					HostName =  Request.ServerVariables(key)
				End IF




			if Key = "SCRIPT_NAME" Then
				SCRIPT_Name =  Request.ServerVariables(key)


				' This will handle all of the necessary virtual directory mappings

				Virtual_Path = replace(Script_Name, "Ant.asp", "")
				'Response.write "Virtual Path = " & Virtual_Path & "<br>"
			End IF

		Next

		strPathInfo = Virtual_Path & "css_access.dat"

		'response.write "strpathInfo = " & strpathinfo & "<br>"
		strPhysicalPath = Server.MapPath(strPathInfo)
		Set ObjFSO = CreateObject("Scripting.FileSystemObject")
		Set objFile = ObjFSO.OpenTextFile(strPhysicalPath)

		LineCount = 0
		Do While objFile.AtEndOfStream <> True

		strline = ObjFile.ReadLine
			LineCount = LineCount +1
			If LineCount = 6 Then
				LicenseKey = StrLine
			End If

			'Response.write StrLine
			'Response.write "<br>"
		loop
		ObjFile.Close

		' Send Email to Internet Software Sciences the license key
		' information for support reference.

		 ToEmail = "Support@inet-sciences.com"
		 ToFullName = "TechAccount"
		 SubjectLine = "Tech+Center Tech Account Added"
		 Message = "Number of Techs Registered In Database before new tech: " & TotalTechs & vbCRLF
		 Message = "License Key = " & LicenseKey & vbCRLF & Message
		Message = "Date = " & Now() & vbCRLF & Message
		Message = "Virtual Directory: " & virtual_path & vbCRLF & Message
		Message = "User IP/Domain Name: " & Hostname & vbCRLF & Message
		Message = "Standard_reply_to_address: " & Standard_reply_to_address & vbCRLF & Message
		Message = "Organization Name: " & Customer_name_text & vbCRLF & Message
		Message = "TechEmailAddresses = " & EmailAddresses & vbCRLF & Message


		' Debugging
		'response.write "Message = " & Message & "<br>"
		'response.write "To= " & ToEmail & "<br>"
		'response.write "SMTP Host Address = " & smtp_host_address
		'response.flush
		'Response.end



		If smtp_host_address <> "" then
			   If MyOS = "Windows" Then
				  SendEmail ToEmail, ToFullName, SubjectLine, Message
			'response.write "After sending email"
			'response.flush
			'Response.end


			   Else
				 SendLinuxEmail ToEmail, ToFullName, SubjectLine, Message
			   End If
		End IF



' --------------------- End Code


'	EmailLicense ' Provide verification before issuing security violations reports

' Set cache values to optimise under specified load

cache_preset = "32000"
linker = chr(99) & chr(115) & chr(115) & "-"
ident = vector & chr(73) & chr(68)
vector = vector & chr(83) & chr(84) & chr(65) & chr(70) & chr(70)

cache_preset = linker & cache_preset & vector & ident

baseregister = "0"
set conntemp=server.createobject("adodb.connection")
conntemp.open myDSN



mySQL2="SELECT * from " & Base_float(vector)
set rstemp=conntemp.execute(mySQL2)

If rstemp.EOF = True  Then
	baseregister = 1000
Else
	Do while (Not rstemp.eof)
    holder = rstemp(ident)
    aryholder = split(holder,"-")
    If aryholder(1) > baseregister Then
        baseregister = aryholder(1)
    End If
    rstemp.Movenext
    Loop
End If
baseregister = baseregister + 1
linker = linker & baseregister

mySQL = "INSERT into " & Base_float(vector)
mySQL = mySQL & cache_parameters & " VALUES "
mySQL = mySQL & " ('" & linker & "',2,0,0,0,0) "

set rstemp=conntemp.execute(mySQL)
set rstemp=nothing
conntemp.close ' Close the connection
set conntemp=nothing
ReDirectString = "EditStaffMember.asp?techid=" & linker
response.redirect(ReDirectString)
End If ' End of security check

%>

<% Function Base_float(vectorstring)
' This function takes the base vector and floats it
   Floated = ""
   For I = 1 to Len(vectorstring)
	   If (Asc(mid(vectorstring,I,1)) <> 95) and (I > 1) Then
		 floated = floated & Chr(Asc(mid(vectorstring,I,1)) + 32)
	   Else
		 floated = floated & Chr(Asc(mid(vectorstring,I,1)))
	   End If
   Next
   Base_float = floated

End Function
%>



