<% 'Module: AssetReplace.asp

   'Description:

   '(C) 2000-2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
	'02/01/12  CMB    created from assetinfo
   '02/02/12   cmb      Use serial number instead
   '02/29/12  CMB    Also Date Installed and Installed by
   '02/29/12   CMB      Add two more fields for replacing assets for SBCC

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************

	TechLevel = 2 ' Allow only levels 2 and above

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If not rstemp.EOF  Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "AssetReplace.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get the information about the time formats

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'**** Major problem with SQL*Server and Conntemp.execute when getting

	set rstemp2 = server.createobject("adodb.recordset")
	rstemp2.open mySQL, conntemp, 1,3

	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		WCDateFormat = rstemp2("Date_Display_Format")
		End If
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

 ' Determine if this a new Asset entry or an edit of an existing asset

	 Asset_number = Request.Querystring("Asset_number")

	'Response.write "Asset_number = " & Asset_number & "<br>"

	If Asset_Number <> "" Then ' Get all of the asset values
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		Set rstemp2 = Server.CreateObject("ADODB.Recordset") ' NEW ASSETS changed this

		mySQL2="select * from Assets LEFT JOIN assetAssignment on Assets.Asset_Number = AssetAssignment.Asset_Number where Assets.asset_number =" & Asset_number
		rstemp2.Open mySQL2,conntemp,3,3

		if rstemp2.EOF then
			response.write " Invalid Asset_number:" & Asset_number
		Else

			AssignmentType = rstemp2("lease_or_purchase")
			serialnumber = rstemp2("serial_number")
			' CUSTOMER
			Department = rstemp2("monitor_model")
			SystemStatus = rstemp2("Monitor_serial_num")

			Room = rstemp2("assigned_group")
			Building = rstemp2("location")


		End If ' End if If EOF <> True


		rstemp2.close
		set rstemp2=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

	End IF 'if Asset <> NEW
%>

<html>


<!-- (C) 1996,1998, 1999, 2000, 2001, 2002, 2003 by Internet Software Sciences -->

<head>

<title><%=wc_Asset_Information%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>

<body class=rightwindow>


<center>
<Table class=BGWrapper width=50% >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>

<%=wc_Asset_Information%>
</td>
<td width=50% align=center valign=center  class=MajorScreenTitleValue>
<font  color=red><%= Asset_number%></font>
</td>
</tr></table>

<br>

<FORM name="myform" action=DoReplaceAsset.asp Method = POST>

<input type=hidden name="asset_number" value=<%=Asset_number%>>

<br>

<table class=outerformwrapper cellspacing=0 cellpadding=0  >

<tr>
<td align=center>

<TABLE class=innerformwrapper cellspacing=1 cellpadding=3 border=0>
	<tr>
	<td valign=top class=formlabelsuper>
   <table cellpadding=0 cellspacing=0 border=1>
			 <tr><td class=minorformtitle align=center colspan=2><%=Asset_Information_Label%></td></tr>

			<tr><td class=formlabelsuper><%=Asset_Number_Label%>:</td> <td class=formboxholder>&nbsp;<%=Asset_Number%></td></tr>
			<tr><td class=formlabelsuper><%=Serial_Number_Label%>:</td><td class=formboxholder>&nbsp;<%=SerialNumber%></td></tr>
			<tr><td class=formlabelsuper><%=Monitor_model_Label%>:</td><td class=formboxholder>&nbsp;<%=Department%></td></tr>
			<tr><td class=formlabelsuper><%=Assigned_Group_Label%>:</td><td class=formboxholder>&nbsp;<%=Room%></td></tr>
			<tr><td class=formlabelsuper><%=Location_Label%>:</td><td class=formboxholder>&nbsp;<%=Building%></td></tr>
			<tr><td class=formlabelsuper><%=Monitor_Serial_Number_Label%>:</td><td class=formboxholder>&nbsp;<%=SystemStatus%></td></tr>
			<tr><td class=formlabelsuper><%=Lease_Or_Purchase_Label%>:</td><td class=formboxholder>&nbsp;<%=AssignmentType%></td></tr>

<TR><TD COLSPAN=2><br></TD></TR>
			<tr><td class=formlabelsuper>Replace with Serial Number:</td> <td class=formboxholder>	<input type=text name=NewAsset_Number></td></tr>

			<% if SBCC = "YES" THEN  ' 02/29/12 %>
				<tr><td class=formlabelsuper><%=Date_put_into_service_Label%>:</td> <td class=formboxholder>	<input type=text name=DateInstalled></td></tr>
				<tr><td class=formlabelsuper><%=Monitor_size_Label%>:</td> <td class=formboxholder>	<input type=text name=InstalledBy></td></tr>
			<% end if %>

				<tr>
				  <td align=center colspan=2>

							<table border=0  cellspacing=0 cellpadding=0 width=100%>
								<tr>
								<td align=center>&nbsp; &nbsp; &nbsp;
								<%
								  Tech_Level = CInt(Tech_Level)
								  If Tech_Level >  2 Then
								  %>
										<input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0>

								<%End If ' Do not show button when read/write allowed %>
								&nbsp; &nbsp; &nbsp;
								</td>

								<td align=center>&nbsp; &nbsp; &nbsp;
								<a href="AssetInfo.asp?Asset_Number=<%=Asset_Number%>" ><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
								&nbsp; &nbsp; &nbsp;
								</td>
								</tr>
						</table>
			  </td>
			</tr>

		</table


</td><!-- END OF COLUMN 1 -->


		</table>

</tr>
</td>
</tr>
</table>
</td>
</tr>
</FORM>
</table>
<p>
<center><!-- removed for attached file</form>-->
</body></html>


