<%  ' Module: AssetReport.asp
	'
	' Description: Submit Module For Assets.asp module
	'
	' (C) 2000 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/03/11   CMB     Split DoAssets.asp into three modules; created this module
	'10/26/11   CMB     Export to csv directly from form
	'01/31/12   CMB     Add 'next' to page numbers; add page numbers to bottom
	'02/13/12   CMB     if customer_ID = "" customer name = ""
	'03/01/12   CMB     URL Encoding of link

%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
<% ' To customize the Asset labels, edit the file called AssetLabels.inc

%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Get the  variables
	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	ResultsView = request.querystring("ResultsView")
	Sortby=Request.querystring("SortBy")
	bIsTech = IsTech()

	PERPAGE = Request.querystring("PerPage")
	if perpage = "" or not isnumeric(PerPage) then
		nPERPAGE = 15
	Else
		nPerPage = Cint(PerPage)
	End if

	if sbcc = "YES" then
		MAXPAGES = 80  ' SBCC
	Else
		MAXPAGES = 20
	End If

	If SortBy = "" Then
		SortBy = "Assets.Asset_Number"
	End If

	If Page <> "" Then

		If SortBy = "" Then
			SortBy = Request.querystring("SortBy") ' Handle special case when called as link
		End If

		If SortBy = "" Then
			SortBy = "Assets.Asset_Number"
		End If

	End If

	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE><%=wc_Asset_Search_Results%> </TITLE>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<body class=rightwindow>

<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Asset_Search_Results%></td>
</tr>
</table>


<p>
<TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><A HREF="Assets.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
&nbsp;

<%
' *** to customize this report changes the following values
 Field1 =  Computer_ID_Label   ' Computer name
 sField1 = "Computer_ID"

 Field2 =  Serial_Number_Label  ' Serial Number
 sField2 = "Serial_Number"

 Field3 = Monitor_model_Label  ' System model
 sField3 = "Monitor_model"

 Field4 = Lease_Or_Purchase_Label ' System Status
 sField4 = "Lease_Or_Purchase"

 Field5 = Location_Label  ' building
 sField5 = "Location"

 Field6 = Assigned_Group_Label  ' Room
 sField6 = "Assigned_Group"  ' hopefully this isn't a dropdown

 Field7 = App_1_Label
 sField7 = "App1"

 Field8 = Date_put_into_service_Label
 sField8 = "Date_in_service"


  '    Select computerName, SerialNumber, SystemModel, #Cases (LINK), SystemStatus, Building, Location, ShipDate, InstallDate, Age (shipdate), asset_Number

		sFields =  sField1 & ", " & sField2 & ", " & sField3
		sFields = sFields & ", " & sField4 & ", " & sField5 & ", " & sField6 & ", " & sField7
		sFields = sFields & ", "  & sField8 & " , Assets.Asset_Number "
		mySQL2 = "Select " & sFields & " from Assets LEFT OUTER JOIN AssetAssignment ON Assets.asset_number = AssetAssignment.Asset_number"

		If Query > "" then
			mySQL2 = mySQL2 & " WHERE " & Query
		End If

		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.


	mySQL2 = mySQL2  & " Order by " & SortBy

	'response.write mySQL2
	'response.flush
	'response.end

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

		RecordsFound = rstemp.recordcount
	%>

<!--   HEADER -->
	<center>
	<FORM action=DoExportAssets.asp Method = POST>
	<table class=BGWrapper>
	<tr>
	<td class=MinorScreenTitle><%=wc_Your_Search_Has_Found%> </td>
	<td class=TitleInsert>&nbsp;<%=RecordsFound%>&nbsp;</td>
	<td class=MinorScreenTitle><%=wc_matching_records%>.
	<input type=hidden name="FormatType" value="TAB">  <!--COMMAFILE-->
	<input type=hidden name="Query"  value="<%=Query%>" >
	<input type=hidden name="AssetExportOption"  value="ALL" >
	<input type=hidden name="AssetAssignmentExport"  value="YES" >
	<input type=hidden name="ReportAgeAsOf" value="<%=ReportAgeAsOf%>" >
	<input type=hidden name="TechLevel" value=0 >
	&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
	<input type=image name=b_submit src=/<%=WCLanguageDirectory%>/export.gif border=0>
	</td>
	</TR><TR>
	<TD class=MinorScreenTitle>This is your query: </TD>
	<!--<TD colspan=2><INPUT Type=TEXTBOX value="AssetReport.asp?Page=1&PerPage=<%=nPerPage%>&Query=<%=Query%>&Sortby=<%=SortBy%>" size=100></TD>-->

	<% sURL=curPageURL & "?Page=1&PerPage=" & nPerPage & "&Query=" & Query & "&Sortby=" & SortBy & "&RptAgeOf=" & ReportAgeAsOf %>
		<% sURL = Server.HTMLEncode(sURL) %>
		<% sURL = Replace(sURL," ", "%20") %>

	<TD colspan=2><INPUT Type=TEXTBOX value="<%=sURL%>" size=100></TD>

	</tr>

</table>
</FORM>


<P>

	<% ' **************** Page Numbers   Algorithm for showing more pages
	'	Take the number of matching records and divide by nPERPAGE.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages

	If RecordsFound > 0 Then
		NumOfPages = Int((RecordsFound-1)/nPERPAGE)  + 1  ' cmb actually subtract one first
		If NumOfPages > MAXPAGES Then ' changed 01/31/2012
			NumOfPagesShown = MAXPAGES      ' changed 01/31/2012
		Else
			NumofPagesShown = NumOfPages ' changed 01/31/2012
		End If
	End If

	If NumOfPages > 1 Then

		response.write "<font size=-2 face=arial>"
		response.write "<B>" & wc_Result_Pages & ":</b> "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

			for i = 1 to NumOfPagesShown
			If CInt(CurrentPage) = i Then
				response.write "<B>" & i & "</b>"
			Else
			%>
			<a href="AssetReport.asp?Page=<%=i%>&PerPage=<%=nPerPage%>&Query=<%=Query%>&Sortby=<%=SortBy%>&RptAgeOf=<%=ReportAgeAsOf%>"><%=i%></a>
			<%
			End If
			response.write chr(10)& chr(13)
		next

			if cint(CurrentPage) > NumofPagesShown then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		If CInt(CurrentPage) < NumOfPages then 'dont show next if last page
		%>
		&nbsp;&nbsp;&nbsp; &nbsp;<a href="AssetReport.asp?Page=<%=CurrentPage+1%>&PerPage=<%=nPerPage%>&Query=<%=Query%>&Sortby=<%=SortBy%>&RptAgeOf=<%=ReportAgeAsOf%>"><%=wc_Next%>.. &gt;&gt; </a>
		<%
		End If
		response.write "<P></font>"
	End If

		count = 0

		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" and Page <> "1" Then ' calculate record Number
			PageNum = ((CInt(Page)-1)*nPERPAGE)
			rstemp.Move PageNum ' Move to the appropriate record
		End If

%>
		<!-- TABLE HEADER -->
		<CENTER>
		<TABLE BORDER CELLSPACING=2 CELLPADDING=2 WIDTH="98%" >
		<tr>
		<td class=formlabelsuper align=center><%=wc_Asset%></td>
		<td class=formlabelsuper align=center><%=Field1%></td>
		<td class=formlabelsuper align=center><%=Field2%></td>
		<td class=formlabelsuper align=center><%=Field3%></td>
		<td class=formlabelsuper align=center><%=Field4%></td>
		<td class=formlabelsuper align=center><%=Field5%></td>
		<td class=formlabelsuper align=center><%=Field6%></td>
		<td class=formlabelsuper align=center><%=Field7%></td>
		<% if SBCC = "YES" then %>
				<td class=formlabelsuper align=center>Age Today (yrs)</td>
				<td class=formlabelsuper align=center>Age on <br><%=ReportAgeAsOf%></td>
		<% end If %>
<%
If SBCC = "YES" Then
			' Calculate Age using above formatted date
			if isValidDateInput(rstemp("App1"),DateDisplayFormat) then  ' mm/dd/yyyy
				s=GetAgeAsOf(rstemp("App1"),Date(),DateDisplayFormat)  ' changed 01/31/2012
				's=GetAge(rstemp("App1"),DateDisplayFormat)
			else
				s="N/A"
			End If
%>
			<TD class=datavalue><%=s%>&nbsp;</TD>
<%  ' AGE AS OF
			' Calculate Age using above formatted date
			if isValidDateInput(rstemp("app1"),DateDisplayFormat) and IsValidDateInput(ReportAgeAsOf,DateDisplayFormat) then  ' mm/dd/yyyy
				s=GetAgeAsOf(rstemp("app1"),ReportAgeAsOf,DateDisplayFormat)
			else
				s="N/A"
			End If
%>
			<TD class=datavalue><%=s%>&nbsp;</TD>
<% end if %>
		<td class=formlabelsuper align=center><%=Field8%></td>
		<td class=formlabelsuper align=center><%=wc_Number_of_Cases%></td>
		</tr>
<%

		do while not rstemp.eof AND Count < nPERPAGE
		   ' Start to display each case record summary
			cnt = GetCaseCount(rstemp("asset_number"))
%>
			<TR>
				<TD ALIGN=CENTER NOWRAP  class=datavalue>

					<A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_number")%>"><%=rstemp("asset_Number")%></A>
					&nbsp;&nbsp;
					<A HREF="AssetInfo.asp?asset_number=<%=rstemp("asset_Number")%>" target="newcasewindow1">
					<IMG SRC="newwindow.gif" BORDER=0 ></A>
				&nbsp;</TD>


			<TD class=datavalue><%=rstemp(sField1)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField2)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField3)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField4)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField5)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField6)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField7)%>&nbsp;</TD>
			<TD class=datavalue><%=rstemp(sField8)%>&nbsp;</TD>

			<% ' case count is a link to the cases table %>
				<TD ALIGN=CENTER NOWRAP  class=datavalue>

					<%=cnt%>&nbsp;&nbsp;
					<A HREF="DisplayCasesForAssetNumber.asp?asset_number=<%=rstemp("asset_number")%>"  target=pending_screen>
					<img src=topframe.gif border=0></A>
					&nbsp;&nbsp;
					<A HREF="DisplayCasesForAssetNumber.asp?asset_number=<%=rstemp("asset_Number")%>" target="newcasewindow1">
					<IMG SRC="newwindow.gif" BORDER=0 ></A>
				&nbsp;</TD>

			</TR>

<%
			rstemp.movenext
			count = count + 1
		loop

		response.write "</table>"
	rstemp.close
	set rstemp=nothing

%>
<P>
	<% ' **************** BOTTOM Page Numbers   Algorithm for showing more pages

	If NumOfPages > 1 Then

		response.write "<font size=-2 face=arial>"
		response.write "<B>" & wc_Result_Pages & ":</b> "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPagesShown ' changed 01/31/2012
			If CInt(CurrentPage) = i Then
				response.write "<B>" & i & "</b>"
			Else
			%>
			<a href="AssetReport.asp?Page=<%=i%>&PerPage=<%=nPerPage%>&Query=<%=Query%>&Sortby=<%=SortBy%>&RptAgeOf=<%=ReportAgeAsOf%>"><%=i%></a>
			<%
			End If
			response.write chr(10)& chr(13)
		next

		if cint(CurrentPage) > NumofPagesShown then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		If CInt(CurrentPage) < NumOfPages then ' Don't show next if on last pages
		%>
		&nbsp;&nbsp;&nbsp; &nbsp;<a href="AssetReport.asp?Page=<%=CurrentPage+1%>&PerPage=<%=nPerPage%>&Query=<%=Query%>&Sortby=<%=SortBy%>&RptAgeOf=<%=ReportAgeAsOf%>"><%=wc_Next%>.. &gt;&gt; </a>
		<%
		End If
		response.write "<P></font>"
	End If
	' END OF BOTTOM PAGE
%>

<%'End IF ' End of if Text Search Criteria failed to return anything %>

</body>
</html>

<%
Function GetCaseCount(nAss)
' This function returns the number of cases associated with a given asset number

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL4="SELECT count(Case_Number) as cnt from cases where Asset_Number = " & nAss
		set rstemp4=conntemp.execute(mySQL4)

		If rstemp4.EOF  Then
			GetCaseCount = 0
		Else
			GetCaseCount = rstemp4("cnt")
		End If

		rstemp4.close
		set rstemp4=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

End Function
%>
<%
Function GetCustomer(sID)
' This function returns the customer
	Dim Customer
	Customer = ""

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL4="SELECT contact_lname, contact_fname, customer_ID  from customers where customer_ID = '" & sID & "'"
		set rstemp4=conntemp.execute(mySQL4)

		If rstemp4.EOF  Then
			Customer  = "Customer (" & sID & ") No Longer in Database"
		Else
			if isnull(rstemp4("Contact_fname")) then
				Contact_fname = ""
			else
				Contact_Fname = rstemp4("Contact_fname")
			end if

			if isnull(rstemp4("Contact_lname")) then
				Contact_lname = ""
			else
				Contact_lname = rstemp4("Contact_lname")
			end if

			if contact_fname > "" or contact_Lname > "" then
				Customer  = Contact_Fname & " " & contact_Lname
			end if

			if contact_fname = "" and contact_Lname = "" then
				Customer = "Customer (" & rstemp4("Customer_ID") & ") No Longer in Database"
			end if
		End If
		rstemp4.close
		set rstemp4=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing
		GetCustomer = Customer

End Function

%>

<%
function curPageURL()
' This function returns the URL of this page so it can be sent in an email for viewing the report with the search parameters

 dim s, protocol, port

 if Request.ServerVariables("HTTPS") = "on" then
   s = "s"
 else
   s = ""
 end if

 protocol = strleft(LCase(Request.ServerVariables("SERVER_PROTOCOL")), "/") & s

 if Request.ServerVariables("SERVER_PORT") = "80" then
   port = ""
 else
   port = ":" & Request.ServerVariables("SERVER_PORT")
 end if

 curPageURL = protocol & "://" & Request.ServerVariables("SERVER_NAME") &_
              port & Request.ServerVariables("SCRIPT_NAME")
end function

function strLeft(str1,str2)
 strLeft = Left(str1,InStr(str1,str2)-1)
end function
%>
<% Function IsTech()
		Dim bReturn
		bReturn = false

		CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		if CookieID > "" then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			mySQL2="SELECT Tech_Level from Tech_staff where Tech_ID = '" & CookieID & "'"
			set rstemp=conntemp.execute(mySQL2)
			If NOT rstemp.EOF Then
				If not isNull(rstemp("Tech_Level")) then
					bReturn = true
				end if
			End If

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing
		End If
		IsTech = bReturn
	End Function

 %>
<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" or IsNull(Tech_ID) Then  '02/08/12 added is null
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>