<% 'Module: Assets.asp

   'Description: This module is the asset search engine first page.
   '(C) 1999, 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page
	'12/12/00	SAV	Created Assets.asp search page from search.asp page
	'09/15/2011 CMB  New Asset stuff; dropdown support; PerPage;
    '10/14/11   CMB  Dropdown box wasn't rendering correctly in Firefox
	'11/01/11   CMB  Don't sort by fields that aren't defined
    '02/15/12   CMB  Added stuff for SBCC
    '02/20/12  CMB   Table width - cosmetic change
    '02/29/12  CMB   Import only for 7.5 because of dropdowns etc.
	'03/13/12   CMB   Serial Number in sort by
	'03/23/12   CMB   Import works with 7.0 now
	'04/25/12   CMB   Asset group and a couple of other fields can now be dropdowns
	'04/25/12   CMB   added set retire/replace


	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->


<% ' To customize the Asset labels, edit the file called AssetLabels.inc
PERPAGE = 100
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			Tech_Level = rstemp("Tech_Level") ' 02/15/12
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Assets.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title><%=wc_Asset_Search%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow>

<Table class=BGWrapper align=center>
<tr>
    <td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Asset_Search%></td>
</tr>
</table>
<p>

<Center>


<FORM METHOD=POST name="myform" ACTION=DoAssets.asp>

<Table class=outerformwrapper cellspacing=0 cellpadding=0>
<tr>
<td>
	<!-- COLUMN 1 -->

	<Table class=innerformwrapper cellspacing=1 cellpadding=0 width=100%>

    <tr><td class=MinorFormTitle align=center ><%=wc_Asset_Assignments%></td></tr>

    <tr>
    <td>

			<Table  width=100% cellpadding=0 cellspacing=2>
			<TR>

			<TD class=formlabelsuper ><%=Asset_Number_Label%>:<br><span class=formboxholder> <INPUT type=text name=asset_number size=8 maxlength=10></span></TD>

			<TD class=formlabelsuper >Customer:&nbsp;
			<BR><span class=formboxholder>
			<% ' The customerID field can either be a drop down box if that option is selected
				' or it can be a text box for large customer databases
				CustomerDropDown = "YES"
				'--AKS<-- Conversion to INT required
				Customer_Id_List = CInt(Customer_Id_List)

				If Customer_Id_List = 1 Then
					Response.write "<FONT SIZE=-1><SELECT size=1 name=customer_id>"
					Response.write "<OPTION selected value="""">Ignore</OPTION>"
					Response.write "<OPTION value=""Unassigned"">None Assigned</OPTION>" ' 2/15/12 unassigned '
				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN
				mySQL="select * from Customers Order by Contact_lname"
				set rstemp=conntemp.execute(mySQL)


					Do While rstemp.EOF <> True
						if isnull(rstemp("contact_fname")) then
							FirstName = ""
						else
							FirstName = rstemp("contact_Fname")
						end if

						if isnull(rstemp("contact_lname")) then
							LastName = ""
						else
							LastName = rstemp("contact_lname")
						end if
						sCustomer = trim(LastName) & ", " & Trim(FirstName)

				'		response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)
						response.write "<option value=" & rstemp("customer_id") & ">" &  sCustomer & "</option>" & chr(10) & chr(13)
						rstemp.MoveNext
					Loop
					response.write "</select>"
				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing
			 ' End of Display the Customer_List
			 End If

			   If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
						%>
						<input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
						<a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
						<img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
						<%
				  End If  ' End of If using on-click and Javascript sub-window

				  If Customer_Id_List = 0 Then' If using copy/paste sub-window
						%>
						<font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
						<a href=Customer_Id_Copy_Paste.asp target=subwindow>
						<img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
						<%
				 End If

			%>
            </span>
			</TD>

			<TD class=formlabelsuper valign=top ><%=wc_tech%>:&nbsp;
			<span class=formboxholder><BR>
			<SELECT size=1 name=tech_id>
			<OPTION selected value=""><FONT SIZE=-1>Ignore</OPTION>
			<OPTION value="ALL"><FONT SIZE=-1>All Assigned</OPTION> <!-- 02/15/12 ALL option -->

			<% ' Display the List of Techs

				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				mySQL="select * from Tech_staff Order by Last_Name"
				set rstemp=conntemp.execute(mySQL)

				' Check to see if any records are returned

				If  rstemp.eof then

				Else
					Do While rstemp.EOF <> True
							response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)

						rstemp.MoveNext

					Loop

					response.write "</select></td>"
				End IF

				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing

			%>
            </span>

			<TD class=formlabelsuper>Other Asset:<br>
			<span class=formboxholder>
			<INPUT type=text name=assigned_asset_number size=10 maxlength=10></span></TD>

			</TR>

			</table> <!-- end 2nd table -->


<tr>
  <td align=center class=minorformtitle>Asset Values</td>
</tr>

<tr>
<td>

<TABLE BORDER=0 CELLPADDING = 0 cellspacing=0  width=100%>
<tr>
<td>
<table border=0 cellpadding=5 cellspacing=2  width=100%>

<TR>

<TD valign=top class=formlabelsuper>

<!-- COMPUTER ID -->
	<% If Computer_ID_Label <> "" THen %>
	<%=Computer_ID_Label%>:<br>
	<span class=formboxholder>
	<INPUT type=text name=computer_id size=20 maxlength=25></span>

			<%  ' Uncomment this next line to have computer_id field as a dropdown
				' Note: This field defaults to unique and keyed and its design must be changed to use
				' this popup properly.

				Computer_ID_Popup = "YES"

				If Computer_ID_Popup = "YES" Then
			%>

			<a href='javascript:var w=window.open("Asset_Computer_ID_Field_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>

			<% End IF %>
<% End IF %>
</td>

 <% call DisplayFieldOrDropDown(Property_Tag_Label,"property_tag",20,25)%>

<TD valig=top class=formlabelsuper>

<% If Description_Label <> "" Then %>


<%=Description_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=Equipment_Type size=20 maxlength=20> &nbsp;&nbsp;

		    <a href='javascript:var w=window.open("Asset_Description_Field_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
</span>

<% End If %>


</td>



</tr>

<TR>


<TD valign=top class=formlabelsuper>

<% If Serial_Number_Label <> "" Then %>
<%=Serial_Number_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=serial_number size=20 maxlength=25></span>

<% End If %>

</td>
 <%  Call DisplayFieldOrDropDown(Assigned_Group_Label, "assigned_group",20,25) ' 04/25/12 %>
 <%  Call DisplayFieldOrDropDown(IP_Address_Label, "ip_address",20,20) ' 04/25/12 %>

</tr>

<TR>

 <%  Call DisplayFieldOrDropDown(Purchase_Order_Number_Label, "purchase_order_num",20,25) ' 04/25/12 %>

<!-- NEW ASSETS -->

	 <%  Call DisplayFieldOrDropDown(Lease_Or_Purchase_Label, "Lease_or_Purchase",8,25) %>
	 <%  Call DisplayFieldOrDropDown(Acquired_From_Label, "Acquired_from",20,20) %>

</tr>

<TR>
	 <%  Call DisplayFieldOrDropDown(Location_Label, "location",20,25) %>
	 <%  Call DisplayFieldOrDropDown(Wall_Port_Number_Label, "wall_port_number",8,8) %>
	 <%  Call DisplayFieldOrDropDown(Date_Assigned_Label, "Date_Assigned",15,15) %>
</tr>

<TR>
	 <%  Call DisplayFieldOrDropDown(Custom_Field_1_Label, "Custom_Field1",20,25) %>
	 <%  Call DisplayFieldOrDropDown(Custom_Field_2_Label, "Custom_Field2",20,25) %>
	 <%  Call DisplayFieldOrDropDown(Custom_Field_3_Label, "Custom_Field3",20,25) %>
</tr>
<TR>
<% Call DisplayFieldOrDropDown(Custom_Field_4_Label, "Custom_Field4",20,25) %>
<TD class=formlabelsuper colspan=3 valign=top><%=wc_Asset_Notes%><br><span class=formboxholder><input type=textbox name=Asset_Notes></span> 	</TD><!-- fuzzy asset notes search -->
</TR>
</TABLE><!-- in 2 -->
</td></tr>
</table><!-- in 1 -->

</td>
</tr>

 <tr><td class=MinorFormTitle align=center >Output Format Control</td></tr>
<tr><td >

			<Table  width=100% cellpadding=0 cellspacing=2 border=1 class=BGWrapper >

			<TR>
			<!-- NEW ASSET STUFF two new options; export; report; changed default -->

			<TD  class=class=BGWrapper  align=center valign=top >
			   <table cellpadding=0 cellspacing=0 border=0>
					<tr> <td class=formlabelsuper colspan=2> <%=wc_Results_View%>:&nbsp;  <td></tr>
					<tr>
						 <td class=formboxholder><INPUT type=radio name=ResultsView value="BRIEF"  CHECKED>Brief</td>
						 <td class=formboxholder><input type=radio name=ResultsView value="EXPORT" >Export						 &nbsp;</td>
					  </tr>
					 <tr>
						 <td class=formboxholder><input type=radio name=ResultsView value="DETAILED">Detailed </td>
						<% 'if Version7point5 = "YES" then %>

							 <td class=formboxholder><INPUT type=radio name=ResultsView value="REPORT">Report
						<% 'else %>
							<!--<td class=formboxholder>-->
						<% 'end if %>
					 </tr>
					<tr><td  class=formboxholder>Items Per Page: </td>
					<td  class=formboxholder><input  size=10  type=textbox name=PerPage></td></tr>

			</TD>

			    </table>
			<!-- END NEW ASSET STUFF two new options; export; report; changed default -->


			<TD  class=class=BGWrapper  align=center valign=top  >
					   <TABLE cellpadding=0 cellspacing=0 border=0>

						   <tr>	<td class=formlabelsuper><%=wc_Sort_By%>: </td>
						   	<td class=formlabelsuper>Then: </td>
						   </tr>

							<tr><td>
								<select name=SortBy size=1>

		                  <% call GetSortBy()  %>
								</select>
								<br>
								<select name=OrderBy size=1>
										<option value="ASC">Ascending</option>
										<option value="DESC">Descending</option>
								</select>
							</td>

							<!-- secondary sort -->

							<td>
								<select name=SortBy2 size=1>
							    <% call GetSortBy() %>
								</select>

							<br>
								<select name=OrderBy2 size=1>
										<option value="ASC">Ascending</option>
										<option value="DESC">Descending</option>
								</select>

							</td>
							</tr>
							<!-- ENd of secondary sort -->

							 <tr><td>&nbsp;</td></tr>
				</TABLE>

</td></tr>

</table><!-- end of inner form wrapper -->

<tr><td>

<!-- ------------------------- buttons ----------------------------- -->
<TABLE align=center>
<TR>
<TD ALIGN=CENTER><INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_search30x80.gif border=0></TD>
<td ALIGN=CENTER><A HREF="Assets.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_clear30x80.gif" BORDER=0 ></A></TD></td>
<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE>

<!-- ------------------------- end buttons ----------------------------- -->
</td></tr>

</td>
</tr>
</table><!-- end of outerform wrapper -->

	<Table cellspacing=10 cellpadding=10>
	<tr>
		 <td class=BGWrapper><span class=tinyprint><a href=AssetInfo.asp><%=wc_Create_New_Asset%></a></span></td>
		 <td class=BGWrapper><span class=tinyprint><a href=AssetInfo.asp target=NewAssetWindow><%=wc_New_Window%></a></span></td>
		 <td class=BGWrapper><span class=tinyprint><a href=TVerifyAsset.asp>Verify Asset</a></span></td>

<% IF Version7 = "YES" Then
%>

		 <td class=BGWrapper><span class=tinyprint><a href=AssetGroups.asp><%=wc_Asset_Groups%></a></span></td>
<% if Tech_Level >= 6 then ' 02/07/12%>
		 <td class=BGWrapper><span class=tinyprint><a href=SearchSetAssets.asp><%=wc_Search_And_Set_Values%></a></span></td>
		 <td class=BGWrapper><span class=tinyprint><a href=SearchDeleteAssets.asp><%=wc_Search_And_Delete%></a></span></td>
	<% if SBCC="YES" then ' 05/01/12%>
		 <td class=BGWrapper><span class=tinyprint><a href=SearchRetireSurplusAssets.asp><%=wc_SetRetireSurplus_Button%></a></span></td>
		 <td class=BGWrapper><span class=tinyprint><a href=AssetsCSVRetireSurplus.asp><%=wc_CSVRetireSurplus_Button%></a></span></td>
	<% end if %>
<% end if %>

		 <% 'if Version7point5 = "YES" then %>
		 <td class=BGWrapper><span class=tinyprint><a href=ImportAssetsRobust.asp><%=wc_Import_Assets%></a></span></td>
       <% 'end if %>
<% end if %>






	</tr>
	</table>
</CENTER>

</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>

<% '*************** NEW ASSET SUBS *********************** %>

<% Function DropDownID(AssetCategoryName) ' CMB 09/13/11
' returns 0 if not a dropdown or AssetCategoryID if it is for use in filling drop down box
	Dim nReturn
	nReturn = 0

	'This function gets the values of the drop down plus blank
	 If Version7point5 = "YES" then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="Select AssetCategoryID from AssetCategories where AssetCategory = '" & AssetCategoryName & "'"

			set rstemp2=conntemp.execute(mySQL2)
			'response.write "SQL" & mySQL2
			'response.flush
			'response.end
			if not rstemp2.eof then
				nReturn = rstemp2("AssetCategoryID")
			end if

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing
			DropDownID = nReturn
		End  If

	End Function
	%>

<% Sub GetDropDownValuesForSearch(CatID, ColName) ' CMB 09/13/11
	'This function gets the values of the drop down plus blank plus anything already in the assets table for this column, plus blank

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

		'select assetcategoryItem from assetcategoryitems where assetcategoryid = 1
		'union
		'select distinct(lease_or_Purchase) from assets
		'where lease_or_Purchase is not null
		'and lease_or_purchase not in (Select assetcategoryItem from assetcategoryitems where assetcategoryid = 1)
		'order by assetcategoryitem

		mySQL2="Select assetcategoryItem from AssetCategoryItems where AssetCategoryID = " & CatID
		mySQL2=mySQL2 & " UNION Select distinct(" & ColName & ") From Assets where " & ColName & " is not null "
		mySql2=mySql2 & " and " & ColName & " NOT IN (Select assetcategoryItem from assetcategoryitems where assetcategoryid = " & CatID & ") "
		mySql2=mySql2 & " ORDER BY AssetCategoryItem "

		'response.write "SQL" & mySql2
		'response.flush
		'response.end

		set rstemp2=conntemp.execute(mySQL2)
		'response.write "<Option value=></OPTION>"   ' blank
		Response.write "<OPTION selected value="""">Ignore</OPTION>"  ' blank use this for consistency

		Do While not rstemp2.eof
			if trim(rstemp2("AssetCategoryItem")) > "" Then ' 02/12/2012 added trim
				response.write "<Option value=""" & rstemp2("AssetCategoryItem") & """>" & rstemp2("AssetCategoryItem") & "</OPTION>"
			End If

			RsTemp2.MoveNext
		Loop

		rstemp2.close
		set rstemp2=nothing
		conntemp.Close
		Set conntemp = nothing

	End Sub
	%>

	<%
Sub DisplayFieldOrDropDown(LabelName,ColName,nSize,nMax) ' send value of the label name

	 Response.write "<TD valign=top class=formlabelsuper>"
	 If LabelName <> "" Then
		Response.write LabelName & ":<br>"
		Response.write "<span class=formboxholder>"

		n = DropDownID(LabelName)
		if n > 0 then
			Response.write "<SELECT MULTIPLE size=3 name=" & ColName & ">"
			Call GetDropDownValuesForSearch(n,ColName)
			Response.write "</SELECT>"
		 else
			Response.write "<INPUT type=text name=" & ColName & " size=nSize maxlength=nMax></span>"
		End if

	End If
	Response.write "</TD>"

 End Sub
%>
<%
Sub GetSortBy()

%>
	<option value=""></option>

							<% if Asset_Number_Label > "" then %>
									<option value="Assets.Asset_Number"><%=Asset_Number_Label%></option>
							<% end if %>

							<% if Serial_Number_Label > "" then %>
								<option value="Assets.SERIAL_Number"><%=Serial_Number_Label%></option>
							<% end if %>

							<% if wc_Customer_ID > "" then %>
								<option value="AssetAssignment.Customer_Id"><%=wc_Customer_ID%></option>
							<% end if %>

							<% if wc_Tech > "" then %>
								<option value="AssetAssignment.Tech_Id"><%=wc_Tech%></option>
							<% end if %>

							<% if Description_Label > "" then %>
								<option value="Assets.Equipment_Type"><%=Description_Label%></option>
							<% end if %>

							<% if Location_Label > "" then %>
								<option value="Assets.Location"><%=Location_Label%></option>
							<% end if %>

							<% if Computer_ID_Label > "" then %>
								<option value="Assets.Computer_ID"><%=Computer_ID_Label%></option>
							<% end if %>

							<% if Property_Tag_Label > "" then %>
								<option value="Assets.Property_Tag"><%=Property_Tag_Label%></option>
							<% end if %>

							<% if IP_Address_Label >  "" then %>
								<option value="Assets.IP_Address"><%=IP_Address_Label%></option>
							<% end if %>

							<% if Monitor_model_Label > "" then ' 01/30/2012 %>
									<option value="Assets.Monitor_model"><%=Monitor_model_Label%></option>
							<% end if %>

							<% if Monitor_Serial_Number_Label > "" then ' 01/30/2012 %>
									<option value="Monitor_Serial_Num"><%=Monitor_Serial_Number_Label%></option>
							<% end if %>

							<% if Assigned_Group_Label > "" then %>
								<option value="Assets.Assigned_Group"><%=Assigned_Group_Label%></option>
							<% end if %>

							<% if Custom_Field_2_Label > "" then %>
								<option value="Assets.Custom_Field2"><%=Custom_Field_2_Label%></option>
							<% end if %>

							<% if Custom_Field_3_Label > "" then %>
								<option value="Assets.Custom_Field3"><%=Custom_Field_3_Label%></option>
							<% end if %>

							<% if Lease_Or_Purchase_Label > "" then %>
								<option value="Assets.Lease_Or_Purchase"><%=Lease_Or_Purchase_Label%></option>
							<% end if %>

							<% if  IP_Address_Label > "" then %>
								<option value="Assets.IP_Address"><%=IP_Address_Label%></option>
							<% end if %>




 <% end sub %>