<% 'Module: CasesByGroupByCategory.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '10/5/01 SAV		Create originalOpenCasesByCustoerByDate.asp module
   '10/6/01 SAV		Created CasesByCategory.asp module

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<html>

<head>
<title><%=wc_Cases_By_Group_By_Category%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing

%>


<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		CategoryNumber = Request.form("CategoryNumber")
		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Date_Type = Request.form("Date_Type") ' Passed as 0 (Start date) or 1 (Last Modified)
		Case_Status = Request.form("Case_Status")

		Date_Type  = "1" ' Force last modified date

%>


<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Cases_By_Group_By_Category%></font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>

</center>

<form action=CasesByGroupByCategory.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
(mm/dd/yyyy)<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>(mm/dd/yyyy)<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<TD valign=top><B><FONT SIZE=-1><%=wc_Category%>:</font></b><br>
<font size=-2>
<%=wc_Select_One%><br></font>

<% ' Display the Categories %>

<% ' Display the  Categories


	'set conntemp=server.createobject("adodb.connection")
	'conntemp.open myDSN

	mySQL="select * from Categories where  State <> 0 Order by Category_index ASC"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Categories exist

		response.write " No Categories Defined"


	Else %>

		<% FirstCategoryNumber = CInt(rstemp("Category_Number")) %>

		<select name=CategoryNumber size=1>

	<% Do While rstemp.EOF <> True
		Category_Number = CInt(rstemp("Category_Number"))
		If Category_Number <> Last_Category_Number Then
	%>

		<% If CInt(CategoryNumber) = Category_Number then%>
			<option SELECTED value=<%=rstemp("Category_Number")%>><%=rstemp("Category_Name")%></option>
		<%Else %>
			<option value=<%=rstemp("Category_Number")%>><%=rstemp("Category_Name")%></option>
		<%End If %>


	<%
		End If
		Last_Category_Number = Category_Number
		rstemp.MoveNext
		Loop
	%>

		</select>
	<%	End IF %>

<%
	rstemp.close
	set rstemp=nothing


%>

		</td>

<TD valign=top><B><FONT SIZE=-1><%=wc_Status%>:</FONT></B>
<br><font size=-2><%=wc_Select_One%></font><br>

<FONT SIZE=-1><SELECT size=1 name=case_status>

<% If Case_Status = "" Then%>
	<OPTION selected value=""><%=wc_All_Cases%></OPTION>
<%Else %>
	<OPTION value=""><%=wc_All_Cases%></OPTION>
<%End If %>


<% If Case_Status = "1" Then%>
	<OPTION value=1 SELECTED><%=wc_Closed_Cases%></OPTION>
<%Else %>
	<OPTION value=1><%=wc_Closed_Cases%></OPTION>
<%End If %>

<% If Case_Status = "4" Then %>
	<OPTION value=4 SELECTED><%=wc_All_Open_Cases%></OPTION>
<%Else %>
	<OPTION value=4><%=wc_All_Open_Cases%></OPTION>
<%End If %>


<% If Case_Status = "0" Then %>
	<OPTION value=0 SELECTED><%=wc_Active%></OPTION>
<%Else %>
	<OPTION value=0><%=wc_Open_Active%></OPTION>
<%End IF %>

<% If Case_Status = "2" Then %>
	<OPTION value=2 SELECTED><%=wc_Open_Waiting%></OPTION>
<%Else %>
	<OPTION value=2><%=wc_Open_Waiting%></OPTION>
<%End If %>

<% If Case_Status = "3" Then %>
	<OPTION value=3 SELECTED><%=wc_Open_on_Hold%></OPTION>
<%Else %>
	<OPTION value=3><%=wc_Open_on_Hold%></OPTION>
<%End If %>

</font>
</SELECT></TD>


</SELECT></font></TD>
<td valign=middle>
<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>

<% ' Create the query based on the entered date range if they entered any data

		If Date_Type = 0 Then

			If Start_Date <> "" Then
				' Remove the slashes so we can do a proper date search
				Start_Date = Replace (Start_Date, "/", "")
				' Move the date characters around into YYYYMMDD format
				NewDate = mid(Start_Date, 5,4) & mid(start_date, 1,2) & mid(start_date,3,2)

				WhereStatement = " Cases.Open_Date >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Cases.Open_date <= '" & NewDate & "'"
				AndText = " AND "
			End IF

		End If

		If Date_Type = 1 Then

			If Start_Date <> "" Then
				Start_Date = Replace (Start_Date, "/", "")
				NewDate = mid(Start_Date, 5,4) & mid(Start_date, 1,2) & mid(Start_date,3,2)

				WhereStatement = " Cases.Mod_Date >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewDate & "'"
				AndText = " AND "
			End IF

		End If

		' Case Status Search
		If  Case_Status <> "" Then
			If Case_Status = "4" Then 'All Open Cases
				WhereStatement = WhereStatement & AndText & " Cases.status <> 1 "
			Else
				WhereStatement = WhereStatement & AndText & " Cases.status = " & Case_Status
			End If
			AndText = " AND "
		End IF

		' Case Category Selection
		' We are passed a Category number so we need to add a "C" infront of it
		' to get the category number in the case table.

		Category_Number = CStr(Request.form("CategoryNumber"))

		'Response.write "Cat=" & Category_Number

		If Category_Number = "" Then
			Category_Number = FirstCategoryNumber
		End If

		CategoryColumn = "C" & Category_Number

		If WhereStatement <> ""Then
			WhereStatement = " Where "& WhereStatement
		End IF

		' Add order by clause
		WhereStatement = WhereStatement & " Order by " & "Group_Number,"  & CategoryColumn
%>


<%' First get all of the open Cases total count since we will need that for our percentage calculation%>
<% ' Get Total number of Cases

	sqltemp="select * from Cases " & WhereStatement

	'response.write "SQL=" & sqltemp

	set rstemp=Server.CreateObject("adodb.Recordset")

	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	TotalCategoryCases = rstemp.recordcount
%>

<% ' Display the Category Name at the top of the table
	mySQL2="select * from Categories where  Category_Number = " & Category_number
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned

	If rstemp2.EOF = True Then
		Category_Name = " No Category Defined"
	Else
		Category_Name = rstemp2("Category_Name")
	End If

	rstemp2.close
	set rstemp2 = Nothing
%>


<center>
<B><%=wc_Cases_By_Group_By_Category%>: <font color=blue><%=Category_Name %></font> <%=wc_Report%></b><br>

<table width=95% border = 1>
<tr>

<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Tech_Group%></th>

<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Category_Item%></th>

<th width=10% bgcolor=E0E0E0><font size=-1> # </th>
<th width=10% bgcolor=E0E0E0><font size=-1> %&nbsp;&nbsp;of&nbsp;&nbsp;<%=wc_Total%></th>
<th width=50% bgcolor=E0E0E0><font size=-1><%=wc_Graphical_Percentage%></th>
</tr>

<%' Now step through data set %>


<%
	' Get the Case statistics from the case table
	if not rstemp.BOF then
		rstemp.MoveFirst
	end if

	' Check to see if any records are returned
	If  rstemp.eof then ' Check to see if any open Cases

%>
		<tr><td colspan=4 align=center><font size=-1><B> No Matching Cases Found </b></font></td></tr>

<%  '---------------- Set up for report
	Else ' Must be one or more open Cases
		' Setup for the first one  outside of the loop
			Color = "Purple" ' Set up First color
			CategoryCases = 0 ' Default to one case
			NewCategoryCount = 0 ' Default this to zero first

		' Before we get into the loop determine the value for the first category
			' Check to see if this category value is null or blank
			if IsNull(rstemp(CategoryColumn)) = TRUE Then
				Lastcategory = "Un-assigned"
			else
				LastCategory = rstemp(CategoryColumn)
			End IF
			Last_Group_Number = rstemp("Group_Number") ' CMB ADDED
	End If

'--------------------- LOOP
		do while not rstemp.eof

			' Now step through the records
			' Check to see if this category is null or blank
			if IsNull(rstemp(CategoryColumn)) = TRUE Then
				Category = "Un-assigned" ' This should never happen - it should default to 0
			else
				Category = rstemp(CategoryColumn)
			End If

			'Last_Group_Number = rstemp("Group_Number") CMB
			Group_Number = rstemp("Group_Number")  ' CMB

			' Now compare LastCategory and Category to see if they are the same.  If
			' they are the same then continue on until they change and then
			' output a record

			'If LastCategory <> Category then  CMB
			If LastCategory <> Category or Last_Group_Number <> Group_Number then  ' CMB

				' There must be at least one new category count here
				' so set a flag
				NewCategoryCount = 1
			  ' Display a row in the table
			%>
<tr>
<td><font size=-1>

<%
				'Group_Number = rstemp("Group_Number") CMB
				'Response.write GetGroupName(Group_Number) CMB
				Response.write GetGroupName(Last_Group_Number) ' CMB
%>

</td>

<td><font size=-1>

<%				If LastCategory = "Un-assigned" Then
					Response.write "Not Assigned"
				Else
					Response.write GetCategoryItemName(Category_Number, LastCategory)
				End If
%>

<% color=RotateColor(color) %>

</td>

<td align=center><font size=-1><%=CategoryCases %>
</td>

<% Percentage = Int(1000* (CategoryCases/TotalCategoryCases))/10%>
<td align=center><font size=-1><%=Percentage %>%
</td>
<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

<%
			CategoryCases = 0 ' Reset Back to 1
			LastCategory = Category 'CMB
			Last_Group_Number = Group_Number ' CMB

		End IF ' End if LastCategory <> Category

			'LastCategory = Category CMB moved up

			rstemp.movenext

			if rstemp.EOF <> True AND rstemp.BOF <> True then ' This is OK, gets incremented at end anyway
				CategoryCases = CategoryCases + 1
			End If

	loop

'--------------------- End Loop
	' Display the Last Category information or the only Category
%>

<% If CategoryCases <> 0 Or NewCategoryCount = 1 Then %>
<tr>

<td><font size=-1>

<%
		Response.write GetGroupName(Last_Group_Number)
%>

</td>

<td><font size=-1>

	<% If LastCategory = "Un-assigned" Then
			Response.write "Not Assigned"
	   Else
	 		response.write GetCategoryItemName(Category_Number, LastCategory)
	   End If
	%>
		Color = RotateColor(Color)
		CategoryCases = CategoryCases + 1
%>

</td>
<td align=center><font size=-1>

<%=CategoryCases%>
</td>
<%
	If CategoryCases <> 0 Then
		Percentage = Int(1000* (CategoryCases/TotalCategoryCases))/10
	Else
		Percentage = 0
	End If%>

<td align=center><font size=-1><%=Percentage %>%
</td>
<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

<% End If ' Do not display last if no items or only one row %>

<%
	rstemp.close ' Close the record set and the connection
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

<% ' Display the summary row information %>

<tr>

<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  <%=wc_Summary_Total%>:</b>

<% color=RotateColor(color) %>
</td>
<td align=center bgcolor=FFFFFF><font size=-1>
<B>

<%=TotalCategoryCases%></b>
</td>
<td align=center bgcolor=FFFFFF><font size=-1><B>100% </b>
</td>
<td bgcolor=FFFFFF><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=100*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>
	<%' Close the Table %>

</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

</body>
</html>

<% Function GetCategoryItemName(Category_Number, item_number)
' This function returns the item_name for this category from both Category_Number and item_number

	mySQL2="select * from Categories where Category_number = " & Category_Number & " AND Item_Number = " & item_number

	If Item_Number = 0 Then
		GetCategoryItemName = "<B>Category Not Set</b>"
	Else
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found then login fails.
		if rstemp2.EOF then
			GetCategoryItemName = "<B>Category Setting Disabled</b>"
		Else
			GetCategoryItemName = rstemp2("Item_name")
		End If

		rstemp2.close
		set rstemp2=nothing
	End If

End Function
%>

<%
Function GetGroupName(Group_Number)

' This function returns the Tech Group_name for the passed Group_Number

	If Group_Number = ""  or Group_Number = Null Then
		GetGroupName = "No Group or Records Found"
	Else
		mySQL2="select * from group_list where group_number = " & Group_Number

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found then login fails.
		if rstemp2.EOF then
			GetGroupName = "<B>Group Name not found</b>"
		Else
			GetGroupName = rstemp2("Group_Name")

		End If

		rstemp2.close
		set rstemp2=nothing

	End If
End Function
%>

<%
Function RotateColor(inColor)
	Dim sColor
' Rotate between 5 colors
		If inColorcolor="Red" Then
			sColor = "Blue"
		Elseif inColorcolor= "Blue" Then
			sColor = "Green"
		Elseif inColorcolor = "Green" Then
			sColor = "Yellow"
		Elseif inColorcolor = "Yellow" Then
			sColor = "Purple"
		Elseif inColorcolor = "Purple" then
			sColor = "Red"
		End If
	RotateColor = sColor
End Function
%>