<% 'Module: ConfigAdmin.asp

   'Description: This module is the main menu page for Systems Administration


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '09/04/02	 JC		Created original ASP version based on old DLL version
   '03/10/2011   CMB    Moved configuration of email to case stuff before option for turning it on
   '10/05/2011   CMB    Asset Category Admin; version 7.5
   '0326/13		SAV		Added options for Advanced Escalation Options
   '10/28/13	SAV		Added options for account manager


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>



<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down, ldap_enabled %>


<%

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>System Configuration Administration - CSS</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>


<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
  <td align=center>
     <font size=+1><b>System Configuration Menu</b></font><br>
  </td>
</tr>
</table>
<p>

<center>

<table border=1 cellspacing=2 cellpadding=20 width=98%>
<tr>
<td>

<UL>

<br>
<br>
<center> <b>General Web+Center System Level Settings</b></center>
<hr>


<LI><a href=SystemConfigOptions.asp><%=wc_System_Configuration_Options%></a><br>
<UL> Options: Background colors, SMTP settings and HTML Email options, Database Type, Customer
dropdown options, case text limits, screen refresher rates, Extended Time Spent options, Txt Messages,
Assets <% if version7point5 = "YES" then %>(Management, Audit Trail, Inspections), Projects and Expenses, Reservation+Center<%end if%>
, Web+Center Calendar,
<% if version7point5 = "YES" then %> Additional Emails, <%end if%>
LDAP/Active Directory
</ul>



<LI><a href=EditConfiguration.asp><%=wc_Additional_Configuration_Options%></a><Br>
<UL> Options: Case Form Sizing, Date Format (US/UK), Time Zone, Knowledge Base settings, Time Spent Categories
</ul>


<LI><a href=OtherConfiguration.asp>Other Configuration</a><br>
<UL> Options: Attach File to Case Options, Customer+Center Security Options
</ul>




<LI><a href=MoreConfiguration.asp> More Configuration</a><br>

<UL> Options: Customer Surveys, Web+Center Virtual/Application Directory Definitions
</ul>

<br>
<br>
<center> <b>Customer+Center User Interface Logos and banners</b></center>
<hr>



<li><a href=UploadCustomLogo.asp>Upload and customize Customer+Center Company/Organizational Logo</a><Br>
<UL> Options: Upload and replace Customer+Center Banner logo graphic
</ul>

<li><a href=CustomerCenterConfiguration.asp>Customer+Center Configurations</a><br>
<UL> Options: Customize the Customer+Center Banner Title
</ul>


<br>
<br>
<center> <b> Case Form Categories and Text Fields</b></center>
<hr>


<LI><a href=EditCaseTextLabels.asp>Edit Case Text Labels</a>
<ul> Options: Enable, Optional Case Text Fields for Techs and/Or Customers
</ul>


<LI><a href=ManageCategoryLists.asp><%=wc_Manage_Category_Lists%></a><br>

<UL> Options: Create, modify, order, disable, delete Case Category Lists
</ul>


<br>
<br>
<center> <b> Case Auto-Escalation Options</b></center>
<hr>


<LI><a href=EscalationConfig.asp> Auto Escalation Configuration</a><br>
<UL> Options: Enable and configure Case Auto Escalation Options
</ul>

<% IF  Version8point0 = "YES"  Then %>

<LI><a href=AdvancedEscalationConfig.asp>Configure Advanced Auto-Escalation Options</a>
<UL> Option: Create advanced sets of case escalation rules and actions
</ul>

<LI><a href=AdvancedEscalationTimeFilter.asp>Create Time Filters</a>
<UL> Option: Create Time Filters for Advanced Auto-Escalation Rules
</ul>



<% End IF %>


<% IF  Version8point0 = "YES"  Then %>

<br>
<br>
<center> <b>SMS Text Messaging / Notifications </b></center>
<hr>


<LI><a href=SMSConfig.asp>Configure SMS Account information</a>
<UL> Option: Configure SMS Messaging Twilio Account for SMS notifications and messages
</ul>


<% End If %>




<br>
<br>
<center> <b>Email To Case Configurations and launcher </b></center>
<hr>



<LI><a href=EmailToCaseConfiguration.asp> Configure Email To Case Feature </a><br>
<UL> Options: Configure settings to Email To Case feature including pop address and filter options
</ul>

<LI><a href=StartEmailToCase.asp> Start Email To Case Feature Polling Window</a><br>
<UL> Options: Launch the Email to Support case window to enable polling and process of emails into cases
</ul>


<br>
<br>
<center> <b> Asset Configurations </b> </center>
<hr>

<LI><a href=ManageInspectionStatus.asp>Manage Inspection Status Values</a><br>

<UL> Options: Create, modify, merge and delete Asset Inspection Status Values
</ul>

<% IF  Version7point5 = "YES" and CInt(Assets_Db) = 1 Then %>

<LI><a href=EditAssetCategory.asp>Manage Asset Categories</a>
<UL> Option: Create, Edit and Delete Asset Categories
</ul>
<% End IF %>




<br>
<br>
<center> <b>Customer User Categories and Optional Information Fields </b></center>
<hr>


<LI><a href=ManageUserCategories.asp>Manage User Categories</a>
<UL> Option: Create, Merge, Delete and edit User Categories
</ul>


<LI><a href=EditOptionalCustomerInformation.asp>Edit Optional Customer Information Fields</a>
<UL> Option: Enable/Disable and Edit labels for Optional Customer Information fields
</ul>


<% IF  Version8point0 = "YES"  Then %>

<br>
<br>
<center> <b> Customer Account Manager Setup</b></center>
<hr>


<LI><a href=AccountManagerConfig.asp>Configure Customer Account Manager Options</a>
<UL> Option: Enable and Configure Customer Account Manager options
</ul>


<% End If %>





<br>
<br>
<center> <b>Case Processing Rules and Methods </b></center>
<hr>


<LI><a href=ConfigureDefaultGroupAssignment.asp><%=wc_Configure_Initial_Group_Assignments%></a>
<UL> Options: Configure how cases are initially assigned to groups based on categories or not
</ul>



<br>
<br>
<center> <b>Customer Importing Tools  </b></center>
<hr>



<LI><a href=ImportCustomers.asp><%=wc_Import_Customers_Wizard%></a>
<UL> Options: Import customers into Web+Center from External customer databases
</ul>





<% If LDAP_enabled   Then %>


<br>
<br>
<center> Active Directory Integration Configuration and Tools</center>
<hr>



<LI>		<a href=LdapConfig.asp>LDAP Cofigurator for Autologin with Active Directory</a><p>
<LI>		<a href=DirSynch.asp>Directory Synch of Customers from Directory</a><p>
<% end if %>


<!-- OLD DEFUNCT <a href=ConfigureCategories.asp>Configure Category Views</a><p> -->
</b>
</td>
</tr>
</table>
<p>
<center>
<b>
<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a></b>



<% End If ' is (not) a valid user%>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down, ldap_enabled)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
			ldap_enabled = rstemp2("option1")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>


</body>
</html>
