<% 'Module:

   'Description: This is the First Page for the Database Export to SQL*Server. The user
   ' must submit their Tech ID and password to run the script. Only configuration level
   ' users are allowed to process this import filter.

   ' See additional instructions inside of the DoConvertToSQLServer.asp module for
   ' more information.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'02/15/02	SAV 	Created Original Version

	' CONSTANTS

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<html>
<head>
<title>Access to SQL*Server Conversion</title>
</head>

<body bgcolor=FFFFFF>
<table border=1 cellspacing=2 cellpadding=15 width=98%>
<tr>
<td>
<table border=1 width=98% bgcolor=F0D0B0>
<tr><td><br>
<font size=+2>
<center>Web+Center Version 3.5 Access to SQL*Server Conversion Utility</center><br></font>
</td></tr></table>
<P>
<font size=-1 face=arial>
To migrate an Access database to SQL*Server database, please
carefully follow all of the important instructions listed below.
<P>
This migration should only for Web+Center Version 3.5 and site configurators and those familar with
Web+Center application, Access database and SQL*Server database.  Plan on about 60
minutes to complete this process yet make sure all databases are backed up
before attempting any conversion. The Web+Center application should not be used during this
database migration.<P>
<font color=red>This script is designed for versions 3.5 migrations only... it is not 4.X compatible</font>
<P>

<P>
<U><B>Access To SQL*Server/SQL 2000 Migration Steps</B></u><P>
<UL>
<LI>Create a Web+Center 30 database on your SQL*Server using the
steps listed in the Web+Center install guide.  Do this by running just the
CreateWebCenter35.sql script. Create the database
but DO NOT populate the database with any initial data.
<B>Do not run the LoadWC35Defaults.sql</b> script.
<LI> Setup the proper wc30 user accounts for this database as
specified in the install guide.
<LI> Modify the Web+Center Access Database DSN ODBC connection to be called "webcenter30_dbACCESS"

<LI> Create an new SQL*Server ODBC DSN called webcenter30_db for this SQL*Server
Webcenter30 database.

<LI> IMPORTANT - Since the tables in the SQL*Server database have some autonumber (Identity)fields,
one must first change the autonumber fields of the following tables and their
columns to regular integer fields before running this script.  Export errors will
occur if this is not done.  The table below indicates the table and the column
that must be manually modified using the design mode of tables with SQL*Server.
To do this, put the mouse over the table name and perform a right mouse click
and select the Design Table option.  Click on the
identity column checkbox to remove the Identity column type.  This will
automatically remove the Identity seed value too.  Convert all of the 9
table indentity keys below before continuing.

<LI> Select which database tables you want to migrate.  Typically all tables should be
migrated.
<LI> Select the output method desired (Show All data or Table Summary).
<LI> Press the Migrate Database Button.
<LI> If you encountered errors, typically this is to one column not properly
reset from autonumber before running the migration script.  Reset that column
and select only that table and run the script again.

<LI> Once the database has been successfully export, these columns must be <u>converted
back</u> to Autonumber (Identity) fields by going into Design Table for each
of the specified tables and columns listed in the table below.

</font></center>

</ul>

<center>
<B>Columns to change to Integer from Autonumber</b><br>

<table border=1 cellspacing=3 cellpadding=3>
<tr>
<th bgcolor=B0A0F0> Table Name
</th>
<th bgcolor=B0F0A0> Column Name
</th>
</tr>

<tr>
<td>Cases</td>
<td>Case_Number</td>
</tr>

<tr>
<td>Group_list</td>
<td>Group_number</td>
</tr>

<tr>
<td>Groups</td>
<td>GroupsID</td>
</tr>

<tr>
<td>Assets</td>
<td>asset_number</td>
</tr>

<tr>
<td>CustomerNotes</td>
<td>notesid</td>
</tr>

<tr>
<td>CustomerTechAssignment</td>
<td>CustomerTechAssignmentID</td>
</tr>

<tr>
<td>EmailCategory</td>
<td>EmailCategoryID</td>
</tr>

<tr>
<td>EmailText</td>
<td>EmailTextID</td>
</tr>


<tr>
<td>KBWords</td>
<td>WordIndex</td>
</tr>


</table>

</td>
</tr>
</table>
<p>
<FORM METHOD=POST ACTION=DoConvertToSQLServer.asp>
<table border=1 cellspacing=2 cellpadding=1 width=98%>
<tr>
<td>
<center> <B>Select All or individual tables to Export</b></center><br>
<input type=checkbox name=ALLTABLES checked> All Tables (Default)<br>
<hr>
<table border=0 width=100%>
<tr>
<td width=30%  valign=top>
<font size=-1>
<input type=checkbox name=AssetAssignment checked value="YES"> AssetAssignment <br>
<input type=checkbox name=Assets checked value="YES"> Assets <br>
<input type=checkbox name=BConfiguration checked value="YES"> BConfiguration <br>
<input type=checkbox name=Cases checked value="YES"> Cases <br>
<input type=checkbox name=Categories checked value="YES"> Categories <br>
<input type=checkbox name=Configuration checked value="YES"> Configuration <br>
<input type=checkbox name=Customers checked value="YES"> Customers <br>

<input type=checkbox name=CustomerNotes checked value="YES"> CustomerNotes <br>
<input type=checkbox name=CustomerTechAssignment checked value="YES"> CustomerTechAssignment <br>
<input type=checkbox name=DeleteList checked value="YES"> DeleteList <br>


</td>
<td width=30%  valign=top>
<font size=-1>
<input type=checkbox name=EmailCategory checked value="YES"> EmailCategory <br>
<input type=checkbox name=EmailCategoryLinks checked value="YES"> EmailCategoryLinks <br>
<input type=checkbox name=EmailText checked value="YES"> EmailText <br>
<input type=checkbox name=Email_text checked value="YES"> Email_text <br>
<input type=checkbox name=Groups checked value="YES"> Groups <br>
<input type=checkbox name=Group_list checked value="YES"> Group_list <br>
<input type=checkbox name=KBConfiguration checked value="YES"> KBConfiguration <br>
<input type=checkbox name=KBMap checked value="YES"> KBMap <br>
<input type=checkbox name=KBWords checked value="YES"> KBWords <br>

</td>

<td width=30% valign=top>
<font size=-1>
<input type=checkbox name=Priority checked value="YES"> Priority <br>
<input type=checkbox name=Tech_staff checked value="YES"> Tech_staff <br>
<input type=checkbox name=TopCases checked value="YES"> TopCases <br>
<input type=checkbox name=UserCategory checked value="YES">  UserCategory <br>

</td>
</tr>
</table>
</td>
</tr>
</table>
<br>

<table border=1 cellspacing=2 cellpadding=1 width=98%>
<tr>
<td>
<table border=0 cellspacing=2 cellpadding=15 width=98%>
<tr>
<td align=center>
<font size=-1>
<b>Logging Options: </b><input type=radio name=LoggingOptions value=FULL checked>FULL
&nbsp;&nbsp;&nbsp;
<input type=radio name=LoggingOptions value=MIN> MINIMUM

</td><td align=center>
<font size=+1>
<input type=submit name=submit value="EXPORT TO SQL*SERVER">

</td></tr></table></td></tr></table>
<br>
<table border=0 cellspacing=1 cellpadding=1 width=50%>
<tr>
<td align=center>


</td>
</tr>
</table>
<br>
</form>


</body>
</html>

