<% 'Module: CustomButton.asp

   'Description: This module is the search engine first page.
   '(C) 1999 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Search.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		AssetDatabase = rstemp2("Assets_db")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>




<% 'First Show the Report Menu at the top of the page
%>



<html>

<head>
<title>Technician Report</title>
</head>


<body bgcolor="<%=UserPageColor%>">
<center>
<font size=+1>Technician Report For 


<% ' Get the tech cookie
CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN")
' Get the Logged TechID from the cookie
FullTechName = GetTechName(CookieID)
response.write FullTechName
%>
</font></center>
<br>


<FORM METHOD=POST ACTION=DoCustomButton.asp>

<center>

<input type=hidden value="BRIEF" name=resultsview >


<% ' Display the Form questions at the bottom of the page %>
<center>
<TABLE BORDER=0 CELLPADDING=3 WIDTH="90%" >
<TR>
<TD valign=bottom><B><FONT SIZE=3>Start date:</FONT></td>
<td>
<font size=-1>(mm/dd/yyyy)</font><font size=3><br>
<INPUT type=text name=start_date size=11 maxlength=10></TD>


<TD valign=bottom><B><FONT SIZE=3>End date:</font></b></td>
<td>
<font size=-1>(mm/dd/yyyy)</font><font size=3><br>

<font size=3>
<INPUT type=text name=end_date size=11 maxlength=10></TD>

<TD valign=top>
<input type=submit name=submit value="Submit">

<input type=hidden name=date_type value=1>
<% ' 1 = last modifed daten
	'0 = creation date
%>
</TD>
</TR>
</TABLE>

<hr>
<input type=hidden name=tech_id value="<%=CookieID%>">



</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>

<% Function GetTechName(Passed_Tech_ID)
' This function returns the name of the tech from the Tech_ID

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here


	mySQL2="select * from Tech_staff where Tech_ID = '" & Passed_Tech_ID & "'"

	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found then login fails.
	if rstemp2.EOF then
		GetTechName = "Tech Un-defined" ' Tech may no longer exist in the database
	Else
		GetTechName = rstemp2("first_name") & " " & rstemp2("last_name")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close
	Set Conntemp = Nothing

End Function
%>
