
<% 'Module: Reports.asp

   'Description: This module is the main Tech+Center reports page.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original Reports.asp page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow Admins to see this function.


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Reports.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>




<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title>Custom Reports Menu</title>
</head>

<!-- #INCLUDE FILE="Stylesheet.inc" -->

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		TimeSpentCategory = rstemp2("Time_Spent_Category")
		If TimeSpentCategory <> "" then
			TimeSpentCategory = "C" & TimeSpentCategory
		End If

		ExtendedTimeSpent = rstemp2("ExtendedTimeSpent")

	End If

	rstemp2.close
	set rstemp2=nothing
'	conntemp.close ' Close the connection
'	set conntemp=nothing

%>

<body bgcolor="<%=UserPageColor%>">
<center>


<table width=100% border = 1 bgcolor=E0E0E0>
<tr>
<td width=33%  valign=top><font size=-1>
<table><tr>
<td class=TightBodyTextHiLight>
Place your own custom reports on this page.
</td></tr></table>




<img src=bullet2.gif> <a href=TimeToCloseByCategory.asp claass=TightBodyTextLink>TimeToCloseByCategory</a><br>

<br>


</td>
<td width=33% valign=top><font size=-1>
</td>

</tr></table>
</center>

<!-- End of Top Report Menu -->

<hr>



<center>
<% ' show graphics of case status %>

<P>
<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</center>
</body>
</html>


<%End If ' End of security checks %>
