<% 'Module: DeleteExpenseEntry.asp

   'Description: This module allows a user to delete a single expense entry. It is passed an ExpenseID.

   ' It is passed a ExpenseID
   '(C) 2000-2011 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '07/29/02	SAV		Created original module.
   '7/4/11		SAV		Created DeleteExpenseEntry

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DeleteTimeSpentEntry.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with Configuration information %>

<%
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	set rstemp=conntemp.execute(mySQL)

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		MinutesPerCategory = rstemp("Time_Spent_Interval")
		WCDateFormat = rstemp("Date_Display_Format")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


	<% GetDatabaseConfiguration ts_user_page_color, Assets_db
		If CInt(Assets_db) = 1 then
			AssetEnabled = True
		Else
			AssetEnabled = False
		End If

	%>


<% ' Display the Delete Time Spent Entry Form %>


<html>

<!-- (C) 1996,1998, 1999, 2000, 2001, 2002, 2003, 2004 by Internet Software Sciences -->

<head>

<title>Delete Expense Entry</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

<p>

<center>


<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=5 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=4 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1>Delete Expense Entry</B>
</font>
</TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE></CENTER>



<form action="DoDeleteExpenseEntry.asp"  method="post">

<% ExpenseIndex = Request.querystring("ID")

	Case_Number = Request.querystring("Case_Number")

%>

<input type=hidden name=ExpenseIndex value = <%=ExpenseIndex%>>
<input type=hidden name=Case_Number value = <%=Case_Number%>>


<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="SELECT Tech_staff.tech_id, Tech_staff.first_name, Tech_staff.last_name, TimeSpent.Invoice_Date, TimeSpent.Tech_ID, TimeSpent.Billable, TimeSpentIndex, TimeSpent.Hours, TimeSpent.HourlyRate , TimeSpent.TimeSpentNote FROM Tech_staff INNER JOIN TimeSpent ON Tech_staff.tech_id = TimeSpent.Tech_ID  WHERE TimeSpentIndex = " & ExpIndex

	mySQL = "SELECT Expenses.case_number, tech_staff.first_name, tech_staff.last_name, Expenses.Description, Expenses.Cost, Expenses.Quantity, Expenses.ExpenseDate, Expenses.ExpenseIndex FROM (Expenses INNER JOIN tech_staff ON Expenses.Tech_ID = tech_staff.tech_id) INNER JOIN cases ON (tech_staff.tech_id = cases.tech_id) AND (Expenses.case_number = cases.case_number)  WHERE ExpenseIndex = " & ExpenseIndex


	'response.write "SQL= " & mySQL

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If  rstemp.eof then ' Check to see any time spent values exist for this case number

	Else
		Do While rstemp.EOF <> True

%>

<center>
<br>
<font size=+1>
Do you wish to delete the Expense Entry listed below?
<br>


<table bgcolor=F0F0F0 width=100% border=1>
<tr>
<th>
<font size=-1>
<%=wc_Date %>
</td>

<th>
<font size=-1>
<%=wc_Tech %>
</th>

<th>
<font size=-1>
Quantity

</th>

<th>
<font size=-1>
Description
</th>

<th>
<font size=-1>
Cost
</th>

<th width=40% >
<font size=-1 >
Total
</th>

</tr>


<tr>

<td>
<font size=-1>
<%=rstemp("ExpenseDate") %>

</td>



<td align=center>
<font size=-1>
<%=rstemp("last_name") %>, &nbsp; <%=rstemp("first_name") %>


</td>

<td  align=right>
<font size=-1>

<%=rstemp("Quantity") %>

</td>

<td align=center>
<font size=-1>

<%=rstemp("Description") %>

</td>


<td  align=right>
<font size=-1> $

<%=rstemp("Cost") %>

</td>



<td align=right>
<font size=-1>
<%
	Total = rstemp("Quantity")* rstemp("Cost")

%>
$<%=Total%>


</td>



</tr>
</table>

<%

			rstemp.MoveNext
		Loop

	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>



<P>

<CENTER><TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER><INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_yes30x80.gif border=0></TD>

<TD ALIGN=CENTER><A HREF="TCaseForm.asp?customer_id=0&case_number=<%=case_number%>"><IMG SRC="/<%=WCLanguageDirectory%>/ts_no30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
<P>



<P>


</form>
</body>
</html>


<%End If ' End of security checks %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>


