<% 'Module: DoAssetInfo.asp

   'Description: This module adds or updates the Assets table
   ' and prompts them with some other options.
   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '08/27/00	SAV		Created original ASP
   '09/05/00	SAV		Fixed problem with Adding Deletes
   '12/17/00	SAV		Created DoAssetInfo.asp module from DoNewCustomer.asp
'   03/09/11    CMB     Included reports.inc
'   09/15/2011  CMB     IsDateValid and IsRequired subs and text
'   10/03/11    CMB     Uncommented limit on notes size; seems to be fine in sql2005 although only writes about 4300; max row =8060
'   10/4/11     CMB     Configuration file
'   10/25/11    CMB    Fixed problem with history; also From and To.
'   10/27/11    CMB    Asset notes size doesn't seem to be a problem; changed to not truncate
'   12/07/11    CMB    support for cancel
'   01/06/12    CMB    NOTE: If equipment type is not required, reretrieve fails but this wasn't fixed since it is required here
'   02/21/12    CMB     OK to assign to more than one entity
'   04/10/12    CMB    Emails not going out because of missing configuration information

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="MakeAssetHTML.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<% 'Get the form data

	' Get the Logged in Tech

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
   SearchURL = request.form("hdnSearchURL") ' PREV

'  GLOBALS NEEDED FOR SEND EMAIL must be declared here moved up and made sure configuration got them 04/09/12
				Dim smtp_host_address
				Dim Standard_reply_to_address
				Dim Customer_case_notify
				Dim UserPageColor

				Dim SendHTMLEmail
				Dim SMTP_User_Name
				Dim SMTP_Password

    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)

		Asset_number = Request.form("Asset_number")

		'-------- Assignments -----------
		Customer_ID = Request.form("Customer_id")
		OldTechID = request.form("OldTechID")  ' 02/21/12 need for emails if tech changes

		Tech_id = Request.form("Tech_id")
		Asset_number2 = Request.form("asset_number2")
		Assigned_Group = Request.form("Assigned_Group")
		Location = Request.form("Location")
		Date_Assigned = Request.form("Date_assigned")

		IP_Address = Request.form("IP_address")
		Wall_Port_Number = Request.form("Wall_Port_Number")
		Computer_ID = Request.form("Computer_ID")
		Property_Tag = Request.form("Property_Tag")
		Equipment_type = Request.form("Equipment_type")
		Lease_or_Purchase = Request.form("Lease_Or_Purchase")
		Serial_Number = Request.form("Serial_number")
		Purchase_order_num = Request.form("Purchase_order_num")


		' --------- Acquisition
		Acquired_from = Request.form("Acquired_from")

		Date_Acquired = Request.form("Date_Acquired")
		Date_In_Service = Request.form("Date_In_Service")


		' Specifications
		Processor_speed = Request.form("Processor_speed")

		RAM_Size = Request.form("Ram_Size")
		HD_Size = Request.form("HD_Size")
		Monitor_model = Request.form("Monitor_model")
		Monitor_size = Request.form("Monitor_size")
		Monitor_serial_num = Request.form("monitor_serial_num")

		' Software

		Operating_system1 = request.form("Operating_system1")
		Operating_system2 = request.form("Operating_system2")


		'----- Applications --------
		app1 = Request.form("App1")
		app1_product_id = Request.form("app1_product_id")
		app1_install_date = Request.form("app1_install_date")

		app2 = Request.form("App2")
		app2_product_id = Request.form("app2_product_id")
		app2_install_date = Request.form("app2_install_date")

		app3 = Request.form("App3")
		app3_product_id = Request.form("app3_product_id")
		app3_install_date = Request.form("app3_install_date")

		app4 = Request.form("App4")
		app4_product_id = Request.form("app4_product_id")
		app4_install_date = Request.form("app4_install_date")

		app5 = Request.form("App5")
		app5_product_id = Request.form("app5_product_id")
		app5_install_date = Request.form("app5_install_date")

		app6 = Request.form("App6")
		app6_product_id = Request.form("app6_product_id")
		app6_install_date = Request.form("app6_install_date")

		app7 = Request.form("App7")
		app7_product_id = Request.form("app7_product_id")
		app7_install_date = Request.form("app7_install_date")

		app8 = Request.form("App8")
		app8_product_id = Request.form("app8_product_id")
		app8_install_date = Request.form("app8_install_date")

		app9 = Request.form("App9")
		app9_product_id = Request.form("app9_product_id")
		app9_install_date = Request.form("app9_install_date")

		app10 = Request.form("App10")
		app10_product_id = Request.form("app10_product_id")
		app10_install_date = Request.form("app10_install_date")

		app11 = Request.form("App11")
		app11_product_id = Request.form("app11_product_id")
		app11_install_date = Request.form("app11_install_date")

		app12 = Request.form("App12")
		app12_product_id = Request.form("app12_product_id")
		app12_install_date = Request.form("app12_install_date")

		app13 = Request.form("App13")
		app13_product_id = Request.form("app13_product_id")
		app13_install_date = Request.form("app13_install_date")

		app14 = Request.form("App14")
		app14_product_id = Request.form("app14_product_id")
		app14_install_date = Request.form("app14_install_date")

		app15 = Request.form("App15")
		app15_product_id = Request.form("app15_product_id")
		app15_install_date = Request.form("app15_install_date")

		' Asset Notes Field

		AssetNotes = Request.form("AssetNotes")

		' Custom Asset fields 1 -5

		custom_field1 = request.form("custom_field1")
		custom_field2 = request.form("custom_field2")
		custom_field3 = request.form("custom_field3")
		custom_field4 = request.form("custom_field4")
		custom_field5 = request.form("custom_field5")

		' Check for the required fields
		' You can add additional required fields or removed
		' restrictions by commenting out the checks below.
		' NOTE you'll probably want to change the last parameter for this field in AssetInfo since it determines whether this is marked
		' with a red asterisk DropDownOrText(App_5_Label,"app5",app5,20,20,false) -> change to true

		ErrorMessage = "" ' Clear error message

		If equipment_type = "" Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_Description_is_a_required_field
		End If

		'**** test for required fields that in category assets
		ErrorMessage = ErrorMessage &  TestRequired(Location_Label,Location)
		ErrorMessage = ErrorMessage &  TestRequired(Assigned_Group_Label,  Assigned_Group)
		ErrorMessage = ErrorMessage &  TestRequired(Date_Assigned_Label,  Date_Assigned)
		ErrorMessage = ErrorMessage &  TestRequired(IP_Address_Label,  IP_Address)
		ErrorMessage = ErrorMessage &  TestRequired(Wall_Port_Number_Label,  Wall_Port_Number)
		ErrorMessage = ErrorMessage &  TestRequired(Computer_ID_Label,  Computer_ID)
		ErrorMessage = ErrorMessage &  TestRequired(Property_Tag_Label,  Property_Tag)
		ErrorMessage = ErrorMessage &  TestRequired(Description_Label,  Equipment_Type)
		ErrorMessage = ErrorMessage &  TestRequired(Lease_or_purchase_Label,  Lease_or_purchase)
		ErrorMessage = ErrorMessage &  TestRequired(Purchase_order_number_Label,  Purchase_order_num)
		ErrorMessage = ErrorMessage &  TestRequired(Serial_Number_Label,  Serial_Number)
		ErrorMessage = ErrorMessage &  TestRequired(Acquired_From_Label,  Acquired_From)
		ErrorMessage = ErrorMessage &  TestRequired(Date_Acquired_Label,  Date_Acquired)
		ErrorMessage = ErrorMessage &  TestRequired(Date_put_into_service_Label, Date_in_service)
		ErrorMessage = ErrorMessage &  TestRequired(Processor_speed_Label,  Processor_speed)
		ErrorMessage = ErrorMessage &  TestRequired(RAM_Size_Label,  RAM_Size)
		ErrorMessage = ErrorMessage &  TestRequired(HD_Size_Label,  HD_Size)
		ErrorMessage = ErrorMessage &  TestRequired(Monitor_size_Label,  Monitor_size)
		ErrorMessage = ErrorMessage &  TestRequired(Monitor_model_Label,  Monitor_model)
		ErrorMessage = ErrorMessage &  TestRequired(Monitor_Serial_Number_Label,  Monitor_Serial_Num)
		ErrorMessage = ErrorMessage &  TestRequired(Operating_system_1_Label,  Operating_system1)
		ErrorMessage = ErrorMessage &  TestRequired(Operating_system_2_Label,  Operating_system2)

		ErrorMessage = ErrorMessage &  TestRequired(App_1_Label,  App1)
		ErrorMessage = ErrorMessage &  TestRequired(App_1_product_id_Label, App1_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_1_Installation_Date_Label, App1_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_2_Label,  App2)
		ErrorMessage = ErrorMessage &  TestRequired(App_2_product_id_Label, App2_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_2_Installation_Date_Label, App2_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_3_Label,  App3)
		ErrorMessage = ErrorMessage &  TestRequired(App_31_product_id_Label, App3_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_3_Installation_Date_Label, App3_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_4_Label,  App4)
		ErrorMessage = ErrorMessage &  TestRequired(App_4_product_id_Label, App4_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_4_Installation_Date_Label, App4_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_5_Label,  App5)
		ErrorMessage = ErrorMessage &  TestRequired(App_5_product_id_Label, App5_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_5_Installation_Date_Label, App5_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_6_Label,  App6)
		ErrorMessage = ErrorMessage &  TestRequired(App_6_product_id_Label, App6_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_6_Installation_Date_Label, App6_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_7_Label,  App7)
		ErrorMessage = ErrorMessage &  TestRequired(App_7_product_id_Label, App7_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_7_Installation_Date_Label, App7_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_8_Label,  App8)
		ErrorMessage = ErrorMessage &  TestRequired(App_8_product_id_Label, App8_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_8_Installation_Date_Label, App8_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_9_Label,  App19)
		ErrorMessage = ErrorMessage &  TestRequired(App_9_product_id_Label, App9_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_9_Installation_Date_Labe9, App1_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_10_Label,  App10)
		ErrorMessage = ErrorMessage &  TestRequired(App_10_product_id_Label, App10_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_10_Installation_Date_Label, App10_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_11_Label,  App11)
		ErrorMessage = ErrorMessage &  TestRequired(App_11_product_id_Label, App11_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_11_Installation_Date_Label, App11_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_12_Label,  App12)
		ErrorMessage = ErrorMessage &  TestRequired(App_12_product_id_Label, App12_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_12_Installation_Date_Label, App12_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_13_Label,  App1)
		ErrorMessage = ErrorMessage &  TestRequired(App_13_product_id_Label, App13_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_13_Installation_Date_Label, App13_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_14_Label,  App14)
		ErrorMessage = ErrorMessage &  TestRequired(App_14_product_id_Label, App14_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_14_Installation_Date_Label4, App1_install_date)
		ErrorMessage = ErrorMessage &  TestRequired(App_15_Label,  App15)
		ErrorMessage = ErrorMessage &  TestRequired(App_15_product_id_Label, App15_product_id)
		ErrorMessage = ErrorMessage &  TestRequired(App_15_Installation_Date_Label, App15_install_date)

		ErrorMessage = ErrorMessage &  TestRequired(Custom_field_1_Label, Custom_field1)
		ErrorMessage = ErrorMessage &  TestRequired(Custom_field_2_Label, Custom_field2)
		ErrorMessage = ErrorMessage &  TestRequired(Custom_field_3_Label, Custom_field3)
		ErrorMessage = ErrorMessage &  TestRequired(Custom_field_4_Label, Custom_field4)
		ErrorMessage = ErrorMessage &  TestRequired(Custom_field_5_Label, Custom_field5)


		' *********************** USER CUSTOMIZATIONS ********************
		' If you want to develop a system with additional checks for required
		' asset fields, then add them below based on the commented out line
		' below.  Additional unique values can also be checked using the
		' the checkForUniqueTableValue() function.

		'If equipment_type = "" Then
		'	ErrorMessage = ErrorMessage & "<LI> Equipment_type is a required field."
		'End If

		'****** NEW ASSETS ********/
		'If Trim(Date_Acquired) > "" then
			'If Not IsValidDateInput(Date_Acquired, DateDisplayFormat) then
				'ErrorMessage = ErrorMessage & "<LI> " & Date_Acquired_Label & " " & wc_Is_An_Invalid_Date  'wc_Is_A_Required_Field
			'End If
		'End If
		'**** end NEW ASSETS


		' *********************** END USER CUSTOMIZATIONS ********************


		' Check for unique values for IP address and serial number

		' Check for valid asset_number2 value


		If Asset_number2 <> "" Then

			ValidAsset = CheckForValidAssetNumber(asset_number2)
			if ValidAsset <> "YES" Then
				ErrorMessage = ErrorMessage & "<LI> This is not a valid Asset number.  Please perform an asset search    "
				ErrorMessage = ErrorMessage & " <br>and find a valid asset number."
			End If
		End IF


			UniqueEmail = CheckForUniqueTableValues("Assets", "ip_address", ip_address, asset_number)
			If UniqueEmail <> "UNIQUE" Then
				ErrorMessage = ErrorMessage & "<LI> This IP address is already in use for another asset.    "
				ErrorMessage = ErrorMessage & " <br>If you want to assign one IP to more than one machine, make it unique by adding an -2 to it."
			End If

			' Check for unique Serial Number
			If CheckForUniqueTableValues("Assets", "serial_number", serial_number, asset_number) <> "UNIQUE" Then
				ErrorMessage = ErrorMessage & "<LI> This serial number is already being used.  Please check if this a duplicate."
			End If


		'	REMOVED 02/03/12 AssetAssignCount = 0
			If customer_id <> "" then
				AssetAssignCount = AssetAssignCount + 1
			End IF

			If Tech_ID <> "" Then
				AssetAssignCount = AssetAssignCount + 1
			End IF

			If asset_Number2 <> "" then
				AssetAssignCount = AssetAssignCount + 1
			End IF

		' REMOVED 02/03/12	If AssetAssignCount > 1 Then
			'	ErrorMessage = ErrorMessage & "<LI> Only one asset assignment can be selected. Please remove any other assignment before re-assigning this asset."
		'	End IF

		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be display to ErrorMessage string variable.


		If ErrorMessage <> "" Then
		%>


<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise save the asset information.

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if asset_number exists then this is an update

	sNewHistory = ""	' NEW ASSETS initialize asset history variable


	If asset_number <> "" Then
		sNewHistory = sNewHistory & GetOldAssignmentInfo(Asset_Number)
	 End If

	If asset_number <> "" Then
		SQL = "Select * from Assets where asset_number = " & asset_number
	Else
		SQL = "Select * from Assets"
	End If

		'response.write SQL
		Set NewRecord = Server.CreateObject("ADODB.Recordset")
		NewRecord.Open SQL,Conn,3,3

		If Asset_number = "" Then ' If asset_number is blank then creat new one
			NewRecord.AddNew  ' This will create a unique asset_number
		End If

		' Set all of the variables the same for either new/update


		' ----- Asset Assignments ---------------
		sNewHistory =  sNewHistory & SetValue(Asset_Number, Assigned_Group_Label, "Assigned_Group", Assigned_Group)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Location_Label, "Location",Location)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Date_Assigned_Label, "Date_Assigned",Date_Assigned)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, IP_Address_Label, "IP_Address",IP_Address)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Wall_Port_Number_Label, "Wall_Port_Number",Wall_Port_Number)


		' ------------Computer Info Section
		sNewHistory =  sNewHistory & SetValue(Asset_Number, Computer_ID_Label, "Computer_ID",Computer_ID)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Property_Tag_Label, "Property_Tag",Property_Tag)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Description_Label, "Equipment_Type",Equipment_Type)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Lease_or_purchase_Label, "Lease_or_purchase",Lease_or_purchase)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Purchase_order_number_Label, "Purchase_order_num",Purchase_order_num)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Serial_Number_Label, "Serial_Number",Serial_Number)

		' ----- Acquisition------------
		sNewHistory =  sNewHistory & SetValue(Asset_Number, Acquired_From_Label, "Acquired_From",Acquired_From)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Date_Acquired_Label, "Date_Acquired",Date_Acquired)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Date_put_into_service_Label, "Date_in_service",Date_in_service)

		' ---- Specifications -----------
		sNewHistory =  sNewHistory & SetValue(Asset_Number, Processor_speed_Label, "Processor_speed",Processor_speed)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, RAM_Size_Label, "RAM_Size",RAM_Size)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, HD_Size_Label, "HD_Size",HD_Size)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Monitor_size_Label, "Monitor_size",Monitor_size)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Monitor_model_Label, "Monitor_model",Monitor_model)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Monitor_Serial_Number_Label, "Monitor_Serial_Num",Monitor_Serial_Num)

		' -------------Software ------------------------
		sNewHistory =  sNewHistory & SetValue(Asset_Number, Operating_system_1_Label, "Operating_system1",Operating_system1)

		sNewHistory =  sNewHistory & SetValue(Asset_Number, Operating_system_2_Label, "Operating_system2",Operating_system2)

		' Applications

		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_1_Label, "App1",App1)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_1_product_id_Label, "App1_product_id",App1_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_1_Installation_Date_Label, "App1_install_date",App1_install_date)

		' ----2
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_2_Label, "App2",App2)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_2_product_id_Label,"App2_product_id",App2_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_2_Installation_Date_Label, "App2_install_date",App2_install_date)


		'----- 3
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_3_Label, "App3",App3)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_3_product_id_Label, "App3_product_id",App3_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_3_Installation_Date_Label, "App3_install_date",App3_install_date)

		' -----------4
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_4_Label, "App4",App4)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_4_product_id_Label, "App4_product_id",App4_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_4_Installation_Date_Label, "App4_install_date",App4_install_date)

		'-------------- 5
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_5_Label, "App5",App5)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_5_product_id_Label, "App5_product_id",App5_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_5_Installation_Date_Label, "App5_install_date",App5_install_date)

		' ------------- 6
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_6_Label, "App6",App6)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_6_product_id_Label, "App6_product_id",App6_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_6_Installation_Date_Label, "App6_install_date",App6_install_date)

		'*** old way
		'If App6<> "" Then
			'NewRecord("App6") = App6
		'End If

		'If IsNull(NewRecord("App6")) = False and App6 = "" Then
			'NewRecord("App6") = Null ' Set to Null
		'End If

		'If App6_product_id <> "" Then
			'NewRecord("App6_product_id") = App6_product_id
		'End If

		'If IsNull(NewRecord("App6_product_id")) = False and App6_product_id = "" Then
			'NewRecord("App6_product_id") = Null ' Set to Null
		'End If

		'If App6_install_date <> "" Then
			'NewRecord("App6_install_date") = App6_install_date
		'End If

		'If IsNull(NewRecord("App6_install_date")) = False and App6_install_date = "" Then
			'NewRecord("App6_install_date") = Null ' Set to Null
		'End If

		' -------7---
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_7_Label, "App7",App7)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_7_product_id_Label, "App7_product_id",App7_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_7_Installation_Date_Label, "App7_install_date",App7_install_date)

		' ------- 8 -----------------------
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_8_Label, "App8",App8)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_8_product_id_Label, "App8_product_id",App8_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_8_Installation_Date_Label, "App8_install_date",App8_install_date)

		' ----------9-----------
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_9_Label, "App9",App9)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_9_product_id_Label, "App9_product_id",App9_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_9_Installation_Date_Label, "App9_install_date",App9_install_date)

		' ------10 ----------

		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_10_Label, "App10",App10)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_10_product_id_Label, "App10_product_id",App10_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_10_Installation_Date_Label, "App10_install_date",App10_install_date)

		' -------11-----------

		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_11_Label, "App11",App11)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_11_product_id_Label, "App11_product_id",App11_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_11_Installation_Date_Label, "App11_install_date",App11_install_date)

		' ------12 ----
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_12_Label, "App12",App12)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_12_product_id_Label, "App12_product_id",App12_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_12_Installation_Date_Label, "App12_install_date",App12_install_date)

		' ------13 ------

		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_13_Label, "App13",App13)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_13_product_id_Label, "App13_product_id",App13_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_13_Installation_Date_Label, "App13_install_date",App13_install_date)

		' ------ 14 ------

		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_14_Label, "App14",App14)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_14_product_id_Label, "App14_product_id",App14_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_14_Installation_Date_Label, "App14_install_date",App14_install_date)

		' ------ 15 ------

		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_15_Label, "App15",App15)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_15_product_id_Label, "App15_product_id",App15_product_id)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, App_15_Installation_Date_Label, "App15_install_date",App15_install_date)


		' Custom fields 1 - 5
		sNewHistory =  sNewHistory & SetValue(Asset_Number, Custom_field_1_Label, "Custom_field1",Custom_field1)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, Custom_field_2_Label, "Custom_field2",Custom_field2)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, Custom_field_3_Label, "Custom_field3",Custom_field3)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, Custom_field_4_Label, "Custom_field4",Custom_field4)
		sNewHistory =  sNewHistory & SetValue(Asset_Number, Custom_field_5_Label, "Custom_field5",Custom_field5)


		' Now put in the most current date/Time into the database
		Dim AssetAuditTrail

		GetDatabaseConfiguration2 ts_user_page_color, Assets_db, customer_Drop_Down, TimeZoneAdjustment, TimeZoneLabel, MaxAuditTrail, AssetAuditTrail
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

		DateString = ""
		TimeString = ""
		 CreateTimeDateValues DateString, TimeString, DateTimeString


		' Update any asset Notes if they exist

		' Set this flag to always update the notes if modified
		AlwaysUpdate = 1

		If (AssetNotes <> "")  OR (AlwaysUpdate = 1) OR (AssetAuditTrail = True) Then
			CurrentNotes = NewRecord("AssetNotes")

			' Add Date and Time stamps and who edited the notes
			' Time Stamp the Case History before we put it into the case record

			CreateTimeDateValues DateString, TimeString, DateTimeString
		' 02/21/12	UserName = TechFullName() ' Get the name of the tech logged in
			UserName = TechFullNameCookie() ' Get the name of the tech logged in

			if Version7point5 = "YES" and AssetAuditTrail = True  then
				 NewNotes = CurrentNotes & "<P><font color=green>" &  DatetimeString &  "</font><br><font color=brown><B>Updated By: </b> "& UserName & "</font><br>" & vbCRLF

				if AssetNotes <> "" then ' add assetnotes
					sNewHistory = "<b>Note:</b> " & AssetNotes & "</br>"
				End If
				NewNotes = NewNotes & sNewHistory ' NEW ASSETS
			Else
				NewNotes = "<font color=green>" &  DatetimeString &  "</font><br><font color=brown><B>Asset Updated By: </b> "& UserName & "</font><br><B>Note:</b>" & vbCRLF & AssetNotes &"<P>" &  CurrentNotes
			End If

			'debugging
			'response.write sNewHistory
			'Response.flush
			'response.end

			' Limit the notes to 2000 characters max NOTE 9/21/11 sqlserver seems to be good to about 4600 before it truncates.  max row = 8060
			' to prevent ODBC problems with
		'	NewNotes = Mid(NewNotes,1,MaxAuditTrail) ' get from configuration file 10/04/11
			NewRecord("AssetNotes") = NewNotes
		End IF


		LastUpdateString = DateString&TimeString
		NewRecord("LastUpdate") = LastUpdateString

		NewRecord("UpdatedBy") = CookieID ' Store the Tech_id of user making mods

		NewRecord("Dummy_field") = 0 ' Set this required field for historical reasons.



				NewRecord.Update
	'If  err.number>0 then
	'      response.write "VBScript Errors Occured:" & "<P>"
	'      response.write "Error Number=" & err.number & "<P>"
	'     response.write "Error Descr.=" & err.description & "<P>"
	'      response.write "Help Context=" & err.helpcontext & "<P>"
	'      response.write "Help Path=" & err.helppath & "<P>"
	'      response.write "Native Error=" & err.nativeerror & "<P>"
	'      response.write "Source=" & err.source & "<P>"
	'      response.write "SQLState=" & err.sqlstate & "<P>"
	'else
	'      response.write "No VBScript Errors Occured" & "<P>"
	'end if
	'IF  conn.errors.count> 0 then
	'      response.write "Database Errors Occured" & "<P>"
	'for counter= 0 to conn.errors.count
	'      response.write "Error #" & conn.errors(counter).number & "<P>"
	'      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
	'next
	'else
	''      response.write "No Database Errors Occured!" & "<P>"
	'end if


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


	' If this is a new asset, we need to get the new asset number before we can
	' create any asset assignments

	If Asset_Number = 0 or Asset_Number = ""  Then
	' Get the asset_number of the asset just submitted

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		' NOTE THE FOLLOWING NEEDS TO BE A FIELD THAT IS REQUIRED

		mySQL2="SELECT * from Assets where  equipment_type  = '" & Equipment_Type & "' AND LastUpdate = '" & LastUpdateString & "'"
	'	mySQL2="SELECT * from Assets where  serial_Number  = '" & Serial_number & "' AND LastUpdate = '" & LastUpdateString & "'"

		' Response.write "SQL=" & mySQL2

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			asset_number = "Asset Not Found - Check Database "
		Else
			asset_number = rstemp2("asset_number")
		End IF

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection
		set conntemp=nothing


	End If '  End of if asset_number = 0


	' Now add any of the Asset Assignments that go into the AssetAssignment Table
	' which could be Customer_ID, Tech_ID or other related asset.



				Set Conn2 = Server.CreateObject("ADODB.Connection")
				conn2.open  myDSN

				Set NewRecord = Server.CreateObject("ADODB.Recordset")
				SQL = "Select * from AssetAssignment where Asset_number=" & Asset_number
				NewRecord.Open SQL,Conn2,3,3

				OldValue = ""

				If NewRecord.EOF = True Then
					NewRecord.AddNew
					OldValue = ""
				End IF

				NewRecord("Asset_Number") = Asset_number ' Set asset number
				' Clear out all of the fields to handle the new assignment

				If Customer_ID = "" then
					NewRecord("Customer_ID") = NULL
				else
					NewRecord("Customer_ID") = Customer_ID  ' 02/03/12 Null
				End If

				If Tech_ID = "" then
					NewRecord("Tech_ID") = Null
				Else
					NewRecord("Tech_ID") = Tech_ID ' 02/03/12 Null
				End If

				If Trim(asset_Number2) = "" then
					NewRecord("Asset_number2") =  Null
			   Else
					NewRecord("Asset_number2") = Trim(Asset_Number2) ' 02/03/23 Null
				End If



				NewRecord.Update

				NewRecord.Close
				Conn2.Close

				Set NewRecord = Nothing
'	Else ' Check if to remove all asset assignments

				'	Set Conn2 = Server.CreateObject("ADODB.Connection")
				'	conn2.open  myDSN

				'	Set NewRecord = Server.CreateObject("ADODB.Recordset")
				'		SQL = "Select * from AssetAssignment where Asset_number=" & Asset_number
				'		NewRecord.Open SQL,Conn2,3,3

				'		If NewRecord.EOF = True Then
				'			NewRecord.AddNew
				'		End If

				'		NewRecord("Asset_Number") = Asset_number ' Set asset number
						' Clear out all of the fields to handle the new assignment

				'		NewRecord("Customer_ID") = Null

					'	NewRecord("Tech_ID") = Null

					'	NewRecord("Asset_number2") = Null

					'	NewRecord.Update

				'	NewRecord.Close
				'	Conn2.Close

				'	Set NewRecord = Nothing

'	End If	 ' End if one assignment is set
%>

<% ' Display the page now %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights
	If SBCC = "YES" then
		EditTechLevel = 4
	Else
		EditTechLevel = 2
	End If

	TechLevel = 2 ' Allow only levels 2 and above



		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoAssetInfo.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>

<!-- (C) 1996,1998, 1999, 2000, 2001, 2002, 2003 by Internet Software Sciences -->

<head>

<title><%=wc_Asset_Information%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>




<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>

<%=wc_Asset_Information%>
</td>
<td width=50% align=center valign=center  class=MajorScreenTitleValue>
<font  color=red><%= Asset_number%></font>
</td>
</tr></table>

<font size=-1 face=arial>
<UL>
 <B>(<%=wc_Asset_Number%>: <%=Asset_number%>)</b>  <%=wc_Asset_Info_Update_Block%>.
<%	If SentTo > "" then   ' 02/03/12
		response.write "<br><br>EMAIL sent to: " & SentTo
	End If	%>
<P>

<%=wc_Please_select_a_link_below%>:<P>

	<center>
	<table width=70%>
	<tr>
	<td width=30% align=center>
	<font size=-1 face=arial>
	<!-- PREV CHANGED THIS TO INCLUDE URL -->
	<a href=AssetInfo.asp?Asset_number=<%=Asset_number%>&From=<%=SearchURL%> ><%=wc_Review_Asset_Record%></a>
	</td>
	<td width=30% align=center>
	<font size=-1 face=arial>
	<a href=Assets.asp><%=wc_Asset_Search%></a>
	</td>

	<td width=30% align=center>
	<font size=-1 face=arial>
	<a href=UserScreen.asp><%=wc_Cancel%></a>
	</td></tr>
	</table>


</ul>

<br>
<br>


</font>


</body>
</html>


<%End If %>





<% End if ' End of I ErrorMessage <> "" %>


<% Sub GetDatabaseConfiguration2(ts_user_page_color, Assets_db, customer_drop_down, TimeZoneAdjustment, TimeZoneLabel, nMaxAuditTrail,bAssetAuditTrail)
	'This function gets the database configuration information

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2 = server.createobject("adodb.recordset")

		rstemp2.open mySQL2, conntemp, 1,3 ' apparently you need to do this for bit fields!

		MaxAuditTrail = 2000
		bAssetAuditTrail = False

		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
			TimeZoneAdjustment = rstemp2("Time_zone_Adjustment")
			TimeZoneLabel = rstemp2("Time_zone_Label")
			If Version7point5 = "YES" then
				if IsNull(rstemp2("MaxAssetAuditTrail"))	Then
					nMaxAuditTrail=2000
				Else
					nMaxAuditTrail = rstemp2("MaxAssetAuditTrail")
				End If
				if IsNull(rstemp2("AssetAuditTrail")) then
					bAssetAuditTrail = False
				else
					bAssetAuditTrail = rstemp2("AssetAuditTrail")
				End If
			End If
			'--

			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = CInt(rstemp2("customer_case_notify"))
			UserPageColor = rstemp2("ts_user_page_color")

			' New 5.0 SMTP mailer options

			'SendHTMLEmail = rstemp2("SendHTMLEmail") ' Boolean value
			SMTP_User_Name = rstemp2("SMTP_User_Name")
			SMTP_Password = rstemp2("SMTP_Password")

			'If SendHTMLEmail = True Then
			'	HTMLEmail = "YES"
			'Else
				'HTMLEmail = ""
			'End If
		'--
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration2
	%>

<% Function CheckForUniqueTableValues(Tablename, Columnname, tablevalue, asset_number)
	'This function checks to see if the passed column for a selected
	' table is unique (ie email in customer table, username, etc)
	' This functions either a "UNIQUE" or "NOTUNIQUE" returns

		' Notice we using another connection incase we already using conntemp.
If Trim(tablevalue) = "" then
CheckForUniqueTableValues = "UNIQUE"
Else

		set conntemp2=server.createobject("adodb.connection")

		conntemp2.open myDSN ' Open the connection once here

		If Asset_number <> "" Then
			mySQL2="select * from " & tablename & " where " & Columnname & " = '" & TableValue & "' AND Asset_number <> " & Asset_number
		Else
			mySQL2="select * from " & tablename & " where " & Columnname & " = '" & TableValue & "'"
		End If


		set rstemp5=conntemp2.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp5.EOF then
			CheckForUniqueTableValues = "UNIQUE"
		Else
			' Check if this is the correct asset number

				CheckForUniqueTableValues = "NONUNIQUE"


		End If

		rstemp5.close
		set rstemp5=nothing

		conntemp2.close ' Close the connection
		set conntemp2=nothing
End if
	End Function ' End of CheckForUniqueTableValues
	%>


<% Function CheckForValidAssetNumber(asset_number2)
	'This function checks to see if the passed asset_number is a valid
	' asset number -- must be numeric and exist
	' This functions returns either a "YES" or "NO"

		' Notice we using another connection incase we already using conntemp.

		If IsNumeric(Asset_number2) then

			set conntemp2=server.createobject("adodb.connection")

			conntemp2.open myDSN ' Open the connection once here

			mySQL2="select * from Assets where Asset_number  = " & Asset_number2

			set rstemp5=conntemp2.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp5.EOF then
				CheckForValidAssetNumber = "NO"
			Else
				CheckForValidAssetNumber = "YES"
			End If

			rstemp5.close
			set rstemp5=nothing

			conntemp2.close ' Close the connection
			set conntemp2=nothing
	  Else

           CheckForValidAssetNumber = "NO"

      End If
	End Function ' End of CheckForUniqueTableValues
	%>

<% Function TechEmail(ID)

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & ID & "'"
			set rstemp2=conntemp.execute(mySQL2)

			if rstemp2.EOF then
				TechEmail = ""
			Else
				TechEmail = rstemp2("work_Email")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

	End Function '
	%>

<% Function TechFullNameCookie()
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		If TechID = "" Then
			TechFullNameCookie = "User Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullNameCookie = "User Not Defined for TechID: " & Techid
			Else
				TechFullNameCookie = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullNameCookie
	%>

<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" OR IsNull(TimeZoneAdjustment) = True Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)
	If HourPart > 12 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	Else
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End IF


	End Sub ' End of CreateTimeDateValues
%>

<% '************* NEW ASSETS *********** %>

<% Function TestRequired(LabelName, NewValue)
' this function tests whether something is a required field and if so, and it is blank, puts out an error string
	Dim sOut
	sOut = ""

	if isrequired(LabelName) and Trim(NewValue) = "" then
			sOut = "<LI> " & LabelName & " " & wc_Is_A_Required_Field
	End If
	TestRequired = sOut

   End Function

 %>
<% Function IsRequired(AssetCategoryName) ' CMB 09/13/11
' This function returns true if the categoryname is checked as required in the AssetCategory table

		Dim bReturn
		bRequired = false

		if Version7point5 = "YES" then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="Select * from AssetCategories where AssetCategory = '" & AssetCategoryName & "'"

			set rstemp2=conntemp.execute(mySQL2)
			if not rstemp2.eof then
				if not isnull(rstemp2("IsRequired")) and rstemp2("IsRequired") = true then
					bRequired = true
				end if
			end if

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing
		End If

		IsRequired = bRequired
	End Function
	%>

	<%
	Function SetValue(nAss, LabelName, ColumnName, NewValue)
	'This function sets a value in the database then writes it into the record

		Dim sOut
		Dim OldValue

		sOut = ""

		if nAss <> "" then  ' don't do it for new records
			if isnull(NewRecord(ColumnName)) then
				OldValue = ""
			else
				OldValue = NewRecord(ColumnName)
			End if

			If OldValue <> NewValue then
				'add to asset history
				If oldValue = "" then
					' sout =  "<B>" & ucase(LabelName) & "</B> ADDED</br>" SHORT VERSION
					sout =  "<B>" & ucase(LabelName) & "</B> ADDED: " & NewValue & "</br>" ' VERSION
				Else
					if NewValue > "" then
			 	 		sout =  "<FONT COlor=Blue>" & ucase(LabelName) & "</FONT> CHANGED FROM: " & OldValue & " TO: " & NewValue & "</br>"  ' LONG VERSION
			 	 	else
			 	 		sout =  "<FONT COlor=Blue>" & ucase(LabelName) & "</FONT>: " & OldValue & " DELETED</br>"  ' LONG VERSION
					End If
				'	sout =  "<B>" & ucase(LabelName) & "</B> CHANGED FROM: " & OldValue & "</br>"  ' SHORT VERSION
				End If
			End If
		end if

		If NewValue <> "" Then
			NewRecord(ColumnName) = NewValue
		End If

		If IsNull(NewRecord(ColumnName)) = False and NewValue = "" Then
			NewRecord(ColumnName) = Null ' Set to Null
		End If

		SetValue = sOut

	End Function
	%>

	<% Function GetOldAssignmentInfo(nAsset)
		Dim sOut
		sOut = ""
		OldValue = ""

		Set Conn2 = Server.CreateObject("ADODB.Connection")
		conn2.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")  ' NEW RECORD IS THE OLD VALUE
		SQL = "Select * from AssetAssignment where Asset_number=" & nAsset
		NewRecord.Open SQL,Conn2,3,3

			If customer_ID > "" then
				sNewCustomer = Customer_ID
			End If

			if tech_ID > "" then
				sNewTech = Tech_ID
			End If

			if Asset_Number2 > "" then
				sNewAssetNumber2 = Asset_Number2
			end if

			If NewRecord.EOF  Then ' these were all added
				sOldCustomer = ""
				sOldTech = ""
				sOldAssetNumber2 = ""
			Else
				If Not IsNull(NewRecord("Customer_ID")) and NewRecord("Customer_ID") > "" then
						sOldCustomer = NewRecord("Customer_ID")
				End If
				If Not IsNull(NewRecord("Tech_ID")) and NewRecord("Tech_ID") > ""  then
						sOldTech = NewRecord("Tech_ID")
				End If
				If Not IsNull(NewRecord("Asset_number2")) and NewRecord("Asset_number2") > ""  then
					sOldAssetNumber2 = NewRecord("Asset_number2")
				End If
			End If


			If sOldCustomer <> sNewCustomer then
				If sOldCustomer = "" and sNewCustomer > "" then ' ADDED
						sNewCustomerName = CustomerFullName(sNewCustomer)
						sOut = 	sOut & "<FONT COlor=Blue>" & ucase(wc_Assigned_To) & " " & ucase(wc_Customer) &"</FONT>: " & sNewCustomerName & " ADDED</br>"
				End If

				If sOldCustomer > "" and sNewCustomer > "" then ' Changed
							NewValue = CustomerFullName(sNewCustomer)
							OldValue = CustomerFullName(sOldCustomer)
							sout =  	sOut &  "<FONT COlor=Blue>" & ucase(wc_Assigned_To) & " " & ucase(wc_Customer) & "</FONT> CHANGED FROM: " & OldValue & " TO: " & NewValue & "</br>"  ' LONG VERSION
				End If

				If sOldCustomer > "" and sNewCustomer = "" then 'deleted
						OldValue = CustomerFullName(sOldCustomer)
						sout = 	sOut &   "<FONT COlor=Blue>" & ucase(wc_Assigned_To) & " " & ucase(wc_Customer) & "</FONT>" & OldValue & " DELETED</br>"  ' LONG VERSION
				End If
			End If

			If sOldTech <> sNewTech then
				If sOldTech = "" and sNewTech > "" then ' ADDED
					sNewTechName = TechFullName(sNewTech)
					sOut = 	sOut & "<FONT COlor=Blue>" & ucase(wc_Tech_assignment) & "</FONT>: " & sNewTechName & " ADDED</br>"
				End If

				If sOldTech > "" and sNewTech > "" then ' Changed
							NewValue = TechFullName(sNewTech)
							OldValue = TechFullName(sOldTech)
							sout = 	sOut &   "<FONT COlor=Blue>" & ucase(wc_Tech_assignment) & "</FONT> CHANGED FROM: " & OldValue & " TO: " & NewValue & "</br>"  ' LONG VERSION
				End If

				If sOldTech > "" and sNewTech = "" then 'deleted
						OldValue = TechFullName(sOldTech)
						sout = 	sOut &   "<FONT COlor=Blue>" & ucase(wc_Tech_assignment) &  "</FONT> " & OldValue & " DELETED</br>"  ' LONG VERSION
				End If
			End If

			If trim(sOldAssetNumber2) <> sNewAssetNumber2 then
				If sOldAssetNumber2 = "" and sNewAssetNumber2 > "" then ' ADDED
					sOut = 	sOut & "<FONT COlor=Blue>" & ucase(wc_Other_Asset_Number) & "</FONT>: " & sNewAssetNumber2  & " ADDED</br>"
				End If

				If sOldAssetNumber2 > "" and sNewAssetNumber2 > "" then ' Changed
							NewValue = sNewAssetNumber2
							OldValue = sOldAssetNumber2
							sout = 	sOut &   "<FONT COlor=Blue>" & ucase(wc_Other_Asset_Number) & "</FONT> CHANGED FROM: " & OldValue & " TO: " & NewValue & "</br>"  ' LONG VERSION
				End If

				If sOldAssetNumber2 > "" and sNewAssetNumber2 = "" then 'deleted
						OldValue = sOldAssetNumber2
						sout = 	sOut &   "<FONT COlor=Blue>" & ucase(wc_Other_Asset_Number) &  "</FONT> " & OldValue & " DELETED</br>"  ' LONG VERSION
				End If
			End If

	NewRecord.Close
	Conn2.Close

	Set NewRecord = Nothing

	GetOldAssignmentInfo = sOut

End Function
%>
<% Function CustomerFullName(CustID)
	'This function gets the full name of the Customer
		Dim sReturn
		sReturn = ""

		If CustID = "" Then
			sReturn = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Customers where customer_id = '" & custid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			if rstemp2.EOF then
				sReturn = "Customer Not Defined for Customer_ID: " & CustID
			Else
				if isnull(rstemp2("contact_fname")) then
					FirstName = ""
				else
					FirstName = rstemp2("contact_Fname")
				end if

				if isnull(rstemp2("contact_lname")) then
					LastName = ""
				else
					LastName = rstemp2("contact_lname")
				end if

				if isnull(rstemp2("company")) then
					Company = ""
				else
					Company = rstemp2("Company")
				end if

				sReturn = trim(FirstName) & " " & LastName
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If

		CustomerFullName = sReturn
	End Function '
	%>
	<% Function TechFullName(Tech_ID)

			If Tech_ID = "" Then
				TechFullName = "Un-assigned"
			Else

				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN ' Open the connection once here

				mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
				set rstemp2=conntemp.execute(mySQL2)

				' Check to see if any records are returned
				' if none found the
				if rstemp2.EOF then
					TechFullName = "User Not Defined for Tech_ID: " & Tech_id
				Else
					TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
				End If

				rstemp2.close
				set rstemp2=nothing
				conntemp.Close
				Set conntemp = nothing

			End If


		End Function ' End of TechFullName
		%>
