<% 'Module: DoAttachFiletoProject.asp

   'Description: This module is the submit for the AttachFileToProject.asp module.
   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

	' Incase the files take a long time to download, set the Server.Scripttimeout to some value
	' which is defined in seconds.  This allows the script to run longer that the default timeout amount.

	Server.ScriptTimeOut = 1200 ' Set to 1200 seconds (20 minutes)

'**************************VERY IMPORTANT NOTE *************************************
' VERY IMPORTANT NOTE!!!!! If you have Norton Anti-virus installed on web server
' machine, you must disable script blocking (configured under options).  This will
' prevent the file from being written and it will also crash the ASP engine and lock
' up the whole tech+Center.
'**************************VERY IMPORTANT NOTE *************************************

   'History:

   'Date	Who		What
   '-------	---		------------------------------------------------
   '7/29/02	SAV		Created original ASP -
   '10/03/11 CMB    Copied DoAttachFileToCase.asp
   '10/05/11 CMB    Date Problem fixed
  	'04/02/12 CMB   Gif files ok; add comment

%>

<%'Option Explicit%>
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->

<!-- #include file="Upload.asp" -->
<%

'NOTE - YOU MUST HAVE VBSCRIPT v5.0 INSTALLED ON YOUR WEB SERVER
'	   FOR THIS LIBRARY TO FUNCTION CORRECTLY. YOU CAN OBTAIN IT
'	   FREE FROM MICROSOFT WHEN YOU INSTALL INTERNET EXPLORER 5.0
'	   OR LATER.

'**************************VERY IMPORTANT NOTE *************************************
' VERY IMPORTANT NOTE!!!!! If you have Norton Anti-virus installed on web server
' machine, you must disable script blocking (configured under options).  This will
' prevent the file from being written and it will also crash the ASP engine and lock
' up the whole tech+Center.
'**************************VERY IMPORTANT NOTE *************************************

Dim bGood
bGood = 1

' Create the FileUploader
Dim Uploader, File
Set Uploader = New FileUploader

' This starts the upload process
Uploader.Upload()

' NOTE: When using the FileUp features, you can not use Request.form() functions
' You must use  the Uploader.Form() functions

'******************************************
' Use [FileUploader object].Form to access
' additional form variables submitted with
' the file upload(s). (used below)
'******************************************

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<% ' Get the Configuration information from the Configuration table

		' Call functions to get configuration and SMTP info

	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		'Response.write "No Configuration file found"
		bGood=0
	Else
		' Get the values from the configuration File

		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		TimeSpentInterval = rstemp("Time_Spent_Interval")
		DateDisplayFormat = rstemp("Date_Display_Format")

		TechCenterVirtualDirectory = rstemp("TechVirtual")

		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")
		UserPageColor = rstemp("ts_user_page_color")

		'**** cmb 09/07/11  fields from docaseform for sending emails
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out

		SendHTMLEmail = rstemp("SendHTMLEmail") ' Boolean value
		SMTP_User_Name = rstemp("SMTP_User_Name")
		SMTP_Password = rstemp("SMTP_Password")

		If SendHTMLEmail = True Then
			HTMLEmail = "YES"
		Else
			HTMLEmail = ""
		End IF

		Dim TechEmailSent  '  CMB 05/05/2011 this is to make sure the tech doesn't get two emails
		TechEmailSent = 0  '  CMB 05/05/2011
		Dim AssignedTechID '  CMB 05/05/2011
		AssignedTechID = 0 '  CMB 05/05/2011

	'*** end 09/07/11

 	' Get virtual directory and upload physical directories from configuration tables

		FileUpLoadDestinationPath = rstemp("FileUploadPhysicalPath") ' Set this to your full destination path

		FileUploadVirtualDirectory = rstemp("FileUploadVirtualDirectory") ' You must configure this virtual in IIS - Allow read ONLY!
		' For security reasons, do not allow FileVirtualDirectory Script or execute permissions

		MaxFileUploadSize = rstemp("MaxFileUploadSize") ' Maximum Allowed download file size in bytes

		If MaxFileUploadSize = NULL Then
			FileUploadMaximumSize = 0
		Else
			FileUploadMaximumSize = MaxFileUploadSize
		End If

		RenameUploadFile = rstemp("RenameUploadFile") ' Boolean if to rename files based on case num
		If RenameUploadFile = True Then
			FileRenameOption  = "YES"
		End IF

	End If ' End if for no Configuration row found

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>

<% 'Get the form data

		LoginTech_ID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		Tech_Full_Name = TechFullName(LoginTech_ID)

		ProjectID = Uploader.form("ProjectID")
		'response.write "ProjectID" & ProjectID & uploader.form("ProjectID")
		'response.flush
		'response.end
		' Check for the required fields
		' You can add additional required fields or removed
		' restrictions by commenting out the checks below.

		ErrorMessage = "" ' Clear error message

'		If Case_One_Line  = "" Then
'			ErrorMessage = ErrorMessage & "<LI> The case one line field must be completed."
'		End If


'************************** FILE UPLOAD AND SAVE TO DISK CODE *******************

	' Save the file to the disk at the FileUploadDestinationPath location specified
	' in the DB_define.inc in the customercenter directory.

If Uploader.Files.Count = 0 Then
	'Response.Write "File(s) not uploaded."
Else
	' Loop through the uploaded files
	For Each File In Uploader.Files.Items

		' ***** CODE CUSTOMIZATIONS TO HANDLE FILE type restrictions
		' Option 1: do not allow file of those types to be downloaded
		' Option 2: Rename the extension to .renamed so it can be re-downloaded and renamed by user
		' Other options as you define them

		CheckFileName = CStr(File.FileName)

		'response.write CheckFileName
		'Response.flush
		'response.end

		FileTypeError = "NO"

	'	If (Instr(1, CheckFileName, ".gif",1)) <> 0 Then
		'	FileTypeError = "YES"
		'	FileError = "GIF Files not allowed"
		'	bGood=0
		'End If

		' Check for File Size and file name
		If (File.FileSize >= FileUploadMaximumSize) OR (FileTypeError = "YES") Then
			FileUploadStatus = "Tech attempted to download File: " & File.FileName & " (" & File.FileSize & " Bytes).  File is too large to upload or other error. " &  FileError
			bGood=0
		Else

			' ********* File Renaming options code *********************************
			If FileRenameOption = "YES" Then ' File rename featured enabled
				OriginalFileName = File.FileName
				NewFileName = "P" & ProjectID & "." & OriginalFileName
				File.FileName = NewFileName
			End If

			'Response.Write "File Uploaded: " & File.FileName & "<br>"
			'Response.Write "Size: " & File.FileSize & " bytes<br>"
			'Response.write "File Desitination path = " & FileUploadDestinationPath & "<br>"

			' This line appears to fail and lock the server up sometimes
			' It may be due to norton anti-virus security options.

			File.SaveToDisk FileUploadDestinationPath

			' Note: FileUploadVirtualDirectory is defined in DB_define.inc as relative path

		' We must create a full URL link to this file by determining the current
		' URL for DoAttachFiletoCase.asp and then replacing the virtual directory name
		' and also the file name

			 For each key in Request.serverVariables

			 	if Key = "SERVER_NAME" Then
					HostName =  Request.ServerVariables(key)
				End IF

			 	if Key = "SCRIPT_NAME" Then
					SCRIPT_Name =  Request.ServerVariables(key)

					Virtual_Path = replace(Script_Name, "DoAttachFiletoProject.asp", File.FileName,1,99.1)

					' We next need to replace TechCenter Virtual Directory Name with the
					' the download virtual directory

					If TechCenterVirtualDirectory = "" Then
						TechCenterVirtual = "tech70"
					Else
						TechCenterVirtual = TechCenterVirtualDirectory
					End If

					Virtual_Path = replace(Virtual_Path, TechCenterVirtual, FileUploadVirtualDirectory,1,99,1)
				End IF
			Next

			FullFileURL = "http://" &  hostname & Virtual_Path

			' Possible customization might be required here if using a alias like Help desk so this line above
			' might be replaced with

			'FullFileURL = "http://" &  hostname & "/wcfiledownloads/"

			'Debug
			'response.write "FILE URL = " & FullFileURL & "<br>"

			FileUploadStatus = "Uploaded File: <a href=""" & FullFileURL & """>" & File.FileName  & " (" & File.FileSize & " Bytes)</a>"&vbCRLF

			DisplayFileName = File.FileName

		End If
	Next
End If

	' Debugging information about File being uploaded

'	Response.Write "File Uploaded: " & File.FileName & "<br>"
'	Response.Write "Size: " & File.FileSize & " bytes<br>"
'	Response.Write "Type: " & File.ContentType & "<br><br>"

' ************************** END OF FILE UPLOAD AND SAVE TO DISK CODE ****************


	' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	' * * * * * * * * * * * Project Updating Process starts here *******************
	' * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

	CreateTimeDateValues DateString, TimeString, DateTimeString

	' Check for the required fields
	' You can add additional required fields or removed
	' restrictions by commenting out the checks below.

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' This should alway be an update to existing project

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		If DatabaseType <> "ACCESS97" Then
			NewRecord.CursorLocation = adUseClient
		End If

		SQL = "Select * from ProjectHistory where ProjectID = " & ProjectID
		'response.write "ProjectID" & ProjectID & uploader.form("ProjectID")
		'response.flush
		'response.end

		NewRecord.Open SQL,Conn,3,3

		NewRecord.AddNew

		'New_Case_History = vbCRLF & "{r[" &  DatetimeString &  " File Uploaded by ["& Tech_Full_Name & "] ]r}"  &  vbCRLF  & FileUploadStatus
		ProjectHistory = " File Uploaded by " & Tech_Full_Name &  vbCRLF  & FileUploadStatus
		ProjectHistory = " File Uploaded: "   & FileUploadStatus

		NewRecord("ProjectID") = ProjectID
		sDate = Month(Now) & "/" & Day(Now) & "/" & Year(Now)
		NewRecord("ProjectHistoryDate") = CDate(sDate)
		NewRecord("ProjectHistoryTime") = Hour(Now) & ":" & Minute(Now)  'Hour(Now()) & ":" & Minute(Now())

		NewRecord("ProjectHistory") = ProjectHistory
		NewRecord("ProjectHistoryUpdatedBy") = LoginTech_ID ' Set it to the tech_id of the logged in tech

		NewRecord.Update

		If  err.number>0 then
			  response.write "VBScript Errors Occured:" & "<P>"
			  response.write "Error Number=" & err.number & "<P>"
			  response.write "Error Descr.=" & err.description & "<P>"
			  response.write "Help Context=" & err.helpcontext & "<P>"
			  response.write "Help Path=" & err.helppath & "<P>"
			  response.write "Native Error=" & err.nativeerror & "<P>"
			  response.write "Source=" & err.source & "<P>"
			  response.write "SQLState=" & err.sqlstate & "<P>"
			  bGood=0
		else
		'      response.write "No VBScript Errors Occured" & "<P>"
		end if
		IF  conn.errors.count> 0 then
			  response.write "Database Errors Occured" & "<P>"
		for counter= 0 to conn.errors.count
			  response.write "Error #" & conn.errors(counter).number & "<P>"
			  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
			   bGood=0
		next
		else
		'      response.write "No Database Errors Occured!" & "<P>"
		end if

	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing

%>

<% ' Display the page now CMB actuallly redirect instead %>
<%
	if bGood=1 then
	'	sRedirect = "MakeProject.asp?id=" & ProjectID & "#attachfile" ' actually go to top of page or history because don't get confirmation
		sRedirect = "MakeProject.asp?id=" & ProjectID & "#projupdates"
		response.redirect(sRedirect)
	Else
%>
<html>

<!-- (C) 1996,1998, 1999, 2000, 2001, 2002, 2011 by Internet Software Sciences -->

<head>

<title><%=wc_Attach_File_To_Project%></title>

</head>

<body bgcolor=#<%=UserPageColor%>>

<p>

<center>

<CENTER><TABLE BORDER CELLSPACING=2 CELLPADDING=5 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER>
<TABLE BORDER=0 CELLPADDING=4 WIDTH="99%" >
<TR>
<TD ALIGN=CENTER><B><FONT SIZE=+1><%=wc_Attach_File_To_Project_Confirmation%></B>
</font>
</TD>
</TR>
</TABLE>
</TD>
</TR>
</TABLE></CENTER>

<P>

<center>
<TABLE BORDER=1 CELLPADDING=13 width=98% >
<TR>

<TD ALIGN=CENTER><B> &nbsp;<%=wc_Case_number%>:</B>
<font color=red size=+1><%=case_number%></font><p> has now attached file of: &nbsp;&nbsp;

<B><%=DisplayFileName%></B>

</font></TD>
</tr>
</table>

<P>

<CENTER><TABLE BORDER=0 WIDTH="50%" >
<TR>
<TD ALIGN=CENTER></TD>

<TD ALIGN=CENTER><A HREF="MakeProject.asp?id=<%=ProjectID%>"><IMG SRC="/<%=WCLanguageDirectory%>/ts_continue30x100.gif" BORDER=0 ></A></TD>
</TR>
</TABLE></CENTER>
<P>
</form>
</body>
</html>
<% end If %>

<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)
	If HourPart > 12 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	Else
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End IF

	End Sub ' End of CreateTimeDateValues
%>

<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If

	End Function ' End of TechFullName
	%>


