<% 'Module: DoEditCategory2.asp

   'Description: This module is invoked by DoEditCategory1.asp. It reads up all the passed parameters which contain
   ' all the necessary info about the database records for this category - it deletes all existing records for this category
   ' and then reinserts them entirely afresh from the data in the parameters that got passed to it



   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/28/02	JC		Created original ASP module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>
<%

set conntemp=server.createobject("adodb.connection")
conntemp.open myDSN

' --- First we scan the existing Categories table to build up an array which will remember the sequence of the
'     category_numbers so we can restore it to that sequence after we have done


' We DIM the following variables to make them globally visible in subroutines
DIM Array_catnumber()

Dim XCounter
DIM first_time
DIM category_number
DIM category_already_seen

Call Establish_Sequence

 ' At this point upon completion of the above subroutne, we have an array of length "XCounter" containing the sequence of category numbers


 ' response.write "Sequence of categories is "
 ' for i = 0 to XCounter - 1
 '    response.write Array_catnumber(i) & ", "
 ' next

 '--- At this point we have completed the scan to determine sequence of category numbers


' --- First we pick up all the parameters passed as form variables ---

category_name = request.form("category_name")
' --- render this field safe from single quotes and double quotes
 category_name = replace(category_name, "'", "`")
  category_name = replace(category_name, """", "``")


if Trim(category_name) = "" Then Call bail_out

saved_category_number = request.form("saved_category_number")
global_state = request.form("global_state")

' --- Now we do a quick check to see if the category number we are dealing with exists in the sequence array we built above
'     If not, it means we are inserting a new category, so add the category number to the end of the array to ensure
'     that it gets resequenced to the end of the file during the resequence process later on

category_exists = "no"

for k = 0 to XCounter - 1
   if Cint(Array_catnumber(k)) = Cint(saved_category_number) Then
	 category_exists = "yes"
   End if
next

if category_exists = "no" then
	   ReDim preserve Array_catnumber(XCounter)
	   Array_catnumber(XCounter) = saved_category_number
	   XCounter = XCounter + 1
end if


' --- And we resume picking up all the parameters passed as form variables after that brief interruption ---

DIM aryItem_name()
DIM aryEdit_image()

count = 0
For Each SubKey in Request.form("item_name")
   ReDim Preserve aryItem_name(Count + 1)
   ReDim Preserve aryEdit_image(Count + 1)
   Count = Count + 1
   aryItem_name(Count) = Request.Form("item_name")(Count)
   aryEdit_image(Count) = Request.Form("edit_image")(Count)
Next
occurs_count = count
search_count = count + 200




' --- At this point we have 2 arrays (aryItem_name, aryEdit_image) both with "occurs_count" entries
' ---   as well as category_name in its own variable
' --- Each element in aryEdit_image contains a delimited concatenated string with a word ("edit" or "new") category_number, item_number, and group_number
' ---   each of which is separated by "delim" which we have set to be "|"



myDebug = "no"
If mydebug <> "no" Then
	response.write "Category Name is " & Category_name & "<P>"
	response.write "Category number is " & saved_category_number & "<P>"
	For i = 1 to count
	   response.write "Item name # " & i & " is named-" &   aryItem_Name(i) & "- image is " & aryEdit_image(i)  & "<br>"
	next
	response.flush
	response.end
End If




' --- Now we delete all existing records for this category, prior to inserting fresh new ones

mySQL = "DELETE from Categories WHERE  category_number = " & saved_category_number
 set rstemp=conntemp.execute(mySQL)


insert_count = 0
delim = "|"
for i = 1 to occurs_count

     ' --- now set up the variables to do insert of fresh record

    number_values = split(aryEdit_Image(i), Delim)
    category_number = number_values(1)
    item_number = number_values(2)
    group_number = number_values(3)
    item_name = aryItem_name(i)
    ' --- render this field safe from single quotes
    item_name = replace(item_name, "'", "`")
    item_name = replace(item_name, """", "``")

    ' --- we fish out the "state" directly from the form variables because we know how to reconstitute its name
    tempname = "Disable" & item_number
    state = request.form(tempname)



    ' but if global_state is zero - it over-rides whatever the previous value was
    If global_state = 0 Then
       state = 0
    End If

    If global_state = 1 Then
       If state = 1 Then
         State  = 1
       Else
         State = 0
       End If
    End If

    If global_state = 2 Then
       If state = 1 Then
         State  = 2
       Else
         State = 0
       End If
    End If


' NOTE if this is too long it crashes (item_Name) must be 50 or less

	mySQL = "INSERT into Categories (category_number, item_number, category_name, item_name, state, group_number) VALUES ("
	mySQL = mySQL & category_number & ", "
	mySQL = mySQL & item_number & ", "
	mySQL = mySQL & "'" & category_name & "', "
	mySQL = mySQL & "'" & item_name & "', "
	mySQL = mySQL & state & ", "
	mySQL = mySQL & group_number & ") "




  If Trim(item_name) <> "" Then ' If the item_name is empty, this record is deleted or never existed - so do not insert
        set rstemp=conntemp.execute(mySQL)
        insert_count = insert_count + 1
   End If

Next



 ' --- At this point we have completed the main intent of this module - now we have to restore
 '     the original sequence of category numbers

 	for i = 0 to XCounter - 1
 	   Call Resequence
 	next





If insert_count = 0 Then
  target =  "ManageCategoryLists.asp"
Else
  target = "DoEditCategory1.asp?category_name=" & category_name
End If

response.redirect(target)

End If ' this was a valid user


'  - - - E N D  O F  M A I N  P R O G R A M  P A T H  - - - - - - - - - - - - - - - - -

%>

<% ' -----Following subroutine never exits - it issues a diagnostic and stops ------------------ %>
<% sub bail_out
  a = 1

%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<%' NOTE- THIS NEEDS TO BE EVENTUALLY ADJUSTED TO POINT TO THE CORRECT DIRECTORY <<<<<<<<<<<<<<<<<< %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Edit Category  - CSS</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>



<center>

<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td align=center>
	    <font size=+1><b><%=wc_Edit_Category%></b></font><br>
	</td>
</tr>
</table>

<p>



<table border=1 cellspacing=2 cellpadding=20 width=98%>

<tr>
<td>
<div align=center>
     <font color=red><b> <%=wc_You_may_not_delete_category_name%> </b></font><p>
</div>
        <%=wc_You_may_note_delete_category_block%>
<div align=center>
<a href=ManageCategoryLists.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
<a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</div>
</td>
</tr>
</table>
<%
response.flush
response.end
end sub
%>



<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration



  Sub Establish_Sequence ' this subroutine scans the Categories table to build an array showing the sequence of category numbers
  		mySQL="SELECT category_number from  Categories order by category_index asc"
  		set rstemp=conntemp.execute(mySQL)
  		If rstemp.eof then
  		  response.write "No Categories exist to be migrated<br>"
  		  response.write "No database actions performed</body></html>"
  		  response.flush
  		  response.end
  		End if



        first_time = "Yes"  ' Used as flag to prevent looking inside the array when it doesnt even exist yet
  		XCounter = 0 ' Used as subscript into the array of category numbers

  		Do while (Not rstemp.eof)
  		    category_number = rstemp("category_number")
  		    category_already_seen = "no"
  		    Call check_if_category_already_seen
  		    if category_already_seen = "yes" then
  		      ' do nothing
  		    else
  		       first_time = "no" 'Means array now exists
  		       ReDim preserve Array_catnumber(XCounter)
                 Array_catnumber(XCounter) = category_number
                 XCounter = XCounter + 1
              End If
  			rstemp.Movenext
		Loop

  End Sub

  Sub check_if_category_already_seen
	  If first_time = "no" Then ' i.e. look for it only if the array even exists
		 For x = 0 to XCounter - 1
		   If category_number = Array_catnumber(x) Then
			  category_already_seen = "yes"
		   End If
		 Next
	  Else
	  End If 'the array already exists
  End Sub


  Sub Resequence
        ' response.write "<p><b>Rewriting Category Number - " & Array_catnumber(i)  & " </b><br>"
        category_number = Array_catnumber(i)
		mySQL="SELECT * from  Categories WHERE category_number = " & category_number & " order by category_index asc"
		set rstemp=conntemp.execute(mySQL)
		' Read up all the records in this given category and place fields in an array
		rec_count = 0

		  Dim  Ary_categorynumber()
		  Dim  Ary_itemnumber()
		  Dim  Ary_categoryname()
		  Dim  Ary_itemname()
		  Dim  Ary_state()
		  Dim  Ary_groupnumber()

		Do while (Not rstemp.eof)
		  ' response.write "reading up " & rstemp("category_number") & "-" & rstemp("category_name") & "-" & rstemp("item_number") & "-" & rstemp("item_name") & "<br>"

		  ReDim preserve Ary_categorynumber(rec_count)
		  ReDim preserve Ary_itemnumber(rec_count)
		  ReDim preserve Ary_categoryname(rec_count)
		  ReDim preserve Ary_itemname(rec_count)
		  ReDim preserve Ary_state(rec_count)
		  ReDim preserve Ary_groupnumber(rec_count)

		  Ary_categorynumber(rec_count) = rstemp("category_number")
		  Ary_itemnumber(rec_count) = rstemp("item_number")
		  Ary_categoryname(rec_count) = rstemp("category_name")
		  Ary_itemname(rec_count) = rstemp("item_name")
		  Ary_state(rec_count) = rstemp("state")
		  Ary_groupnumber(rec_count) = rstemp("group_number")

		  rec_count = Rec_count + 1
		  rstemp.Movenext
		Loop

         if rec_count > 0 Then

			' Now delete all the existing records for this particular category
			SQLDEL = "DELETE from Categories where category_number = " & Ary_categorynumber(0)
			' response.write SQLDEL & "<p>"
			set rstemp=conntemp.execute(SQLDEL)
			' response.write "Deleted existing records<p>"
			' Now re-insert the records afresh
			for j = 0 to Rec_count - 1
				SQL2 = "INSERT into Categories (category_number, item_number, category_name, item_name, state"
				If isNull(Ary_groupnumber(j)) Then
				 SQL2 = SQL2 & ") VALUES ("
				Else
				 SQL2 = SQL2 & ", group_number) VALUES ("
				End if
				SQL2 = SQL2 & Ary_categorynumber(j) & ", "
				SQL2 = SQL2 & Ary_itemnumber(j) & ", "
				SQL2 = SQL2 & "'" & Ary_categoryname(j) & "', "
				SQL2 = SQL2 & "'" & Ary_itemname(j) & "', "
				SQL2 = SQL2 & Ary_state(j)
				If isNull(Ary_groupnumber(j)) Then
				  ' response.write "SQUAWK"
				Else
				   SQL2 = SQL2 & ", " & Ary_groupnumber(j)
				End If
				SQL2 = SQL2 &  ") "
				' response.write "SQL2 is " & SQL2 & "<p>"
				set rstemp=conntemp.execute(SQL2)

				' Now insert a <null> into group_number for this record if that is what was there before


				If isNull(Ary_groupnumber(j)) Then
					SQL3 = "UPDATE Categories SET Group_number =  " & "null" & " "
					SQL3 = SQL3 & " WHERE category_number = " & Ary_categorynumber(j) & " AND item_number = " & Ary_itemnumber(j)
					' response.write SQL3 & "<br>"
					set rstemp=conntemp.execute(SQL3)
				End If
           next
     End If ' If there were any records at all

  End Sub





%>
