<%  ' Module: DoEmailListSearchExport.asp
	'
	' Description: Submit Module For EmailListSearchExport.asp module
	'
	' (C) 2000,2001 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/18/01	SAV		Created original DoEmailListSearchExport.asp Page
   '05/13/11    CMB     Added email opt-outs option; fixed not filtering by city; fixed bug if selecting e.g. street and tech (not adding 'and')
   '05/31/11    CMB     Increase timeout
   '06/01/11    CMB     Options for reduced file size
   '06/02/11    CMB    Also added only opt-outs, customer ID
   '01/14/13    CMB    Changed the way we do comma delimited exports

	' Note: This page does NOT generated HTML, instead it send out a application
	' HTML mime type that you
	' directly Save As on you particular machine for potential
	' importing to a computer based scheduler/day timer program and
	' or Palm-top PDA.

%>
<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<% Server.ScriptTimeOut = 12000   ' CMB 05/31/2011 %>

<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	FileType="FULL" 'MINIMAL, NONOTES, FULL
	Query = request.querystring("Query")
	Page = request.querystring("page") ' Each page displays 15 records
	Title = request.querystring("Title")

	if Page = "" Then

		' Get the form variables if passed from the original form

		EmailOptions = Request.form("EmailOptions")   ' CMB 5/13/2011
		Contact_fname = Request.form("Contact_fname")
		Contact_lname = Request.form("Contact_lname")
		Email = Request.form("email")
		Company = Request.form("Company")
		Address = Request.form("Address")
		City = Request.form("City")
		State = Request.form("State")
		Phone1 = Request.form("Phone1")
		FormatType = Request.form("FormatType")
		Category = Request.form("AddressBookCategory")
		If Category = "" then
			Category = Request.form("EnteredCategory")
		End IF
		FileType = Request.form("FileType")

		If Contact_fname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_fname like '" & contact_fname & "%'"
			AndText = " AND "
		End IF


		If City <> "" Then  ' ADD CITY CMB 05/13/2011
			WhereStatement = WhereStatement & AndText & " Customers.City like '" & City & "%'"
			AndText = " AND "
		End IF

		If Contact_lname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_lname like '" & contact_lname & "%'"
			AndText = " AND "
		End IF

		If email <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.email like '" & email & "%'"
			AndText = " AND "
		End IF

		If Company <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Company like '" & Company & "%'"
			AndText = " AND "
		End IF

		If Address <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Address like '" & Address & "%'"
			AndText = " AND "
		End IF

		If State <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.State like '" & State & "%'"
			AndText = " AND "
		End IF

		If Phone1 <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Phone1 like '" & Phone1 & "%'"
			AndText = " AND "
		End IF

	' CMB 5/13/11 email opt outs
		If EmailOptions <> "" Then
			If EmailOptions = "exclude" Then ' don't include people that have opted out
				WhereStatement = WhereStatement & AndText & " Deletelist.Customer_ID is NULL "
				AndText = " AND "
			else
				if EmailOptions = "only" then ' CMB 06/02/2011
					WhereStatement = WhereStatement & AndText & " Deletelist.Customer_ID is not NULL "
					AndText = " AND "
				End if
			End If
		End IF

		OrText = ""  ' CMB Move up
		If Request.Form("EmailUserCategory") <> ""Then

			If AndText = "" Then
				WhereStatement = WhereStatement & " ("
			Else
				WhereStatement = WhereStatement &  " AND ("
			End If

			'OrText = ""  ' CMB Move up
			For each SelectedGroup in Request("emailUserCategory")
				If SelectedGroup <> "ALL" Then
					WhereStatement = WhereStatement & ORText & " EmailCategoryID = " & SelectedGroup
					ORText = " OR "
				End If
				'response.write SelectedGroup & "<br>"
			next

			WhereStatement = WhereStatement & " )"

		End IF ' End if if EmailUserCategory <> ""

		' Now get the tech/customer assignments too

		If WhereStatement <> "" Then
			OrText = " AND " ' set OrText to And once
		End IF

		For each SelectedGroup in Request("CustomerTechAssignment")
			If SelectedGroup <> "" Then
				If WhereStatement <> "" Then
					OrText = " AND " ' set OrText to And once
				End IF
				WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & SelectedGroup & "'"
				ORText = " OR "
			End If
		next

		'***
		If AssignedTechID <> "" Then ' This is getting called to view their own Customers
			WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & AssignedTechID & "'"
		End If


		' Add in the word "WHERE"
		If WhereStatement <> "" Then
			WhereStatement = " WHERE " & WhereStatement
		End If



	End If  ' End of If Page <> ""


	' Display the Main body of the page %>
<%

	' Build the query based on the passed input fields
	' No not categories or tech assignement the use a simple query

	If request.form("EmailUserCategory") = "" And Request.form("CustomerTechAssignment") = ""  Then
		if request.form("EmailOptions") = "include" then ' CMB
			mySQL2 = "SELECT * From Customers "
		else ' CMB
			mySQL2 = "SELECT Customers.* FROM Customers LEFT JOIN DeleteList ON Customers.customer_id = DeleteList.Customer_ID "
		end if
	Else
		mySQL2 = "SELECT DISTINCT Customers.customer_id, Customers.contact_fname, customers.phone2, customers.Phone1, Customers.contact_lname, Customers.email, Customers.company, customers.address, customers.mailstop, customers.city, customers.state, customers.zip, customers.country,  customers.fax, customers.phone2, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company "
		mySQL2 = mySQL2 & "FROM ((Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID) LEFT JOIN DeleteList ON Customers.customer_id = DeleteList.Customer_ID "  ' CMB 05/13

	End IF

	If Page <> "" Then
		mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company "
		mySQL2 = mySQL2 & "FROM ((Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID) LEFT JOIN DeleteList ON Customers.customer_id = DeleteList.Customer_ID "  ' CMB 05/13
	End If


	If AssignedTechID <> "" Then ' Handle special condition for my Customers
		mySQL2 = "SELECT DISTINCT Customers.customer_id, Customers.contact_fname, Customers.contact_lname, customers.Phone1, customers.phone2, Customers.email, customers.company, customers.address, customers.mailstop, customers.city, customers.zip, customers.country, customers.fax, customers.phone2, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company "
		mySQL2 = mySQL2 & "FROM ((Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID) LEFT JOIN DeleteList ON Customers.customer_id = DeleteList.Customer_ID "  ' CMB 05/13
	End If

	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.
	End If

	mySQL2 = mySQL2 & WhereStatement & " Order by Contact_lname"
'response.write mySQL2
'response.flush
'response.end
	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
	RecordsFound = rstemp.recordcount

	%>
	<% ' In this case, we will output all of the records at once and not break them
		' down into 15 records at a view
	%>
	<% ' Send out special Content Type HTTP header so it will prompt the
	' user to either open or save the file instead of viewing it
	' * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	'    User Customizations
	' It is possible to change the order and columns headings below
	' * * * * * * * * * * * * * * * * * * * * * * * * * * * *

	' We have define the content type to ms-excel format.  You can change it
	' to other format if you wish.

	%>
	<% ' Make the first ROW define the columns for the export file %>
	<% ' Set the delimiter character based on format type

		If FormatTYpe = "TAB" Then
			Delimiter = vbTab
			Response.ContentType = "application/vnd.ms-excel"
		Elseif FormatType = "OUTLOOK" Then
			Delimiter = vbTab
			Response.ContentType = "application/vnd.ms-outlook"
		Elseif FormatType = "COMMA" Then
			Delimiter = "," ' Comma Delimited
			Response.ContentType = "application/txt"
		else			' Comma delimited to screen for viewing on screen.
			Delimiter = "," ' Comma Delimited
			'Response.ContentType = "text/plain"
			'Modified the way the CSV output is handled using the AddHeader method rather than content
			' Customization - You can change the name of the file below

			' ***** USER CUSTOMIZATION ************ CaseSearchExport.csv can be modified
			Response.AddHeader "Content-Disposition","attachment;filename=EmailListSearchexport.csv"

		End IF

		' Current Items and Order of Fields is:
		' LastName, Firstname, Company, Email, Phone, address, mailstop, city, state, zip, country, phone2, fax, notes

		' Palm Desktop order of Fields and includes blank fields that we don't have
		' include:
		' Last Name, First NAme, Title, Company, Work Phone, Home Phone, Fax, Other, Email, Address
		' City, state, zip, country, custom1, custom2, custom3, custom4, Note, Private, category.

		' Palm Notes
		' Custom 1 -4 map into the custom fields 1-4 if they exist for this customer
		' Note maps into notes for this customer if they exist
		' Category is selected as an option from the search page.

		' --------------- MS Outlook specifications fields ------------------------------
		' For outlook tab based imports, the first line defines the fields we are importing.

		' MS Outlook Address TAB delimited book fields
		'  Important Note - You do not have to export all of the fields - just selected fields
		' and the MS outlook will properly map the field assuming you have sent the correct columns
		' names in the first row.

		'   *** = Customer Fields that we export with this tool for Outlook

		' Field 1 Title
		' Field 2 First Name ***
		' Field 3 Middle Name
		' Field 4 Last Name	***
		' Field 5 Suffix
		' Field 6 Company ***
		' Field 7 Department
		' Field 8 Job Title
		' Field 9 Business Street ***
		' Field 10 "Business Street 2" ***
		' Field 11 "Business Street 3"
		' Field 12 Business City ***
		' Field 13 Business State ***
		' field 14 Business Postal Code ***
		' Field 15 Business Country ***
		' field 16 	Home Street
		' Field 17 "Home Street 2"
		' Field 18 "Home Street 3"
		' Field 19 Home City
		' Field 20 Home State
		' Field 21 Home Postal
		' field 22 Code	Home Country
		' field 23 Other Street
		' Field 24 "Other Street 2"
		' Field 25 "Other Street 3"
		' field 26 Other City
		' Field 27 Other State
		' field 28 Other Postal Code
		' field 29 Other Country
		' Field 30 Assistant's Phone
		' Field 31 Business Fax ***
		' field 32 Business Phone *** (phone 1)
		' field 33 "Business Phone 2" *** (phone 2)
		' Field 34 Callback
		' field 35 Car Phone
		' Field 36 Company Main Phone
		' Field 37 Home Fax
		' Field 38 Home Phone
		' Field 39 "Home Phone 2"
		' Field 40 ISDN
		' field 41 Mobile Phone
		' Field 42 Other Fax
		' Field 43 Other Phone
		' Field 44 Pager
		' Field 45 Primary Phone
		' Field 46 Radio Phone
		' Field 47 TTY/TDD Phone
		' Field 48 Telex
		' Field 49 Account
		' field 50 Anniversary
		' field 51 Assistant's Name
		' Field 52 Billing Information
		' field 53 Birthday
		' field 54 Categories *** (Multiple Categories are comma delimited)
		' Field 55 Children
		' Field 56 Directory
		' Field 57 Server
		' Field 58 E-mail Address
		' Field 59 E-mail Display Name
		' Field 60 E-mail 2 Address
		' Field 61 E-mail 2 Display Name
		' Field 62 E-mail 3 Address
		' Field 63 E-mail 3 Display Name
		' Field 64 Gender
		' field 65 Government ID Number
		' field 66 Hobby
		' Field 67 Initials
		' Field 68 Internet Free Busy
		' field 69 Keywords
		' field 70 Language
		' Field 71 Location
		' Field 72 Manager's Name
		' Field 73 Mileage
		' field 74 Notes ***
		' Field 75 Office Location
		' Field 76 Organizational ID Number
		' Field 77 PO Box
		' field 78 Priority
		' Field 79 Private
		' Field 80 Profession
		' Field 81 Referred By
		' Field 82 Sensitivity
		' Field 83 Spouse
		' Field 84 "User 1"
		' Field 85 "User 2"
		' Field 86 "User 3"
		' Field 87 "User 4"
		' Field 88 Web Page



		Response.write   wc_Quoted_First_Name & Delimiter
		Response.write   wc_Quoted_Last_Name & Delimiter
		Response.write   wc_Quoted_Company & Delimiter
		Response.write   wc_Quoted_E_mail_Address ' & Delimiter

		If FileType = "FULL" or FileType = "NONOTES" then
			Response.write Delimiter
			Response.write   wc_Quoted_Business_Phone & Delimiter
			Response.write   wc_Quoted_Business_Phone_2 & Delimiter
			Response.write   wc_Quoted_Business_Street & Delimiter
			Response.write   wc_Quoted_Business_Street_2 &  Delimiter
			Response.write   wc_Quoted_Business_City &  Delimiter
			Response.write   wc_Quoted_Business_State & Delimiter
			Response.write   wc_Quoted_Business_Postal_Code & Delimiter
			Response.write   wc_Quoted_Business_Country & Delimiter
			Response.write   wc_Quoted_Business_Fax '& Delimiter

			If FileType = "FULL" then
				Response.write Delimiter
				Response.write   wc_Quoted_Categories & Delimiter
				Response.write   wc_Quoted_Notes ' & Delimiter

				' New Optional Text Fields
				response.write Delimiter
				Response.write  "" &  "Field-" & "1"  & "" & Delimiter
				Response.write   "" & "Field-" & "2"  & "" & Delimiter
				Response.write   "" & "Field-" & "3"  & "" & Delimiter
				Response.write   "" & "Field-" & "4"  & "" & Delimiter
				Response.write   "" & "Field-" & "5"  & "" & Delimiter
				Response.write   "" & "Field-" & "6"  & "" & Delimiter
				Response.write   "" & "Field-" & "7"  & "" & Delimiter
				Response.write   "" & "Field-" & "8"  & "" & Delimiter
				Response.write   "" & "Field-" & "9"  & "" & Delimiter
				Response.write   "" & "Field-" & "10" & ""
			End if
		End if
		Response.write Delimiter & "Customer_ID"
		Response.write  vbCRLF

		' Save the delimiter since we will temporary replace it [X*X] to remove any extra tabs

		FinalDelimiter = Delimiter ' Save FinalDelimiter Value


		do while not rstemp.eof
			If FileType = "FULL" then
				' Get any notes for this customer if they exist

				' Need to replace any single quotes in customer ID if they exist

				FixedCustomerID = Replace(rstemp("Customer_ID"), "'", "''")

					mySQL2="select * from CustomerNotes where Customer_ID = '" & FixedCustomerID & "'"

					set conntemp=server.createobject("adodb.connection")
					conntemp.open myDSN
			'conntemp.CommandTimeout = 120  ' CMB increase sql server command timeout

					set rstemp2=conntemp.execute(mySQL2)
					If rstemp2.EOF = True then ' Notes not set for this customer
						NoteText = ""
						TextNote1 = ""
						TextNote2 = ""
						TextNote3 = ""
						TextNote4 = ""
						TextNote5 = ""
						TextNote6 = ""
						TextNote7 = ""
						TextNote8 = ""
						TextNote9 = ""
						TextNote10 = ""

					else ' Set for this customer so add selected
						NoteText = rstemp2("ContactNotes")

						' Remove the CRLF characters

						' This is required since Excel wants to interupt the HMLT font characters
						' and it messes up the cells if HTML exists (especially the font character) in the cell.

						If NoteText <> ""  Then

							NoteText = replace(NoteText, vbCRLF, " ")
							NoteText = replace(NoteText, vbCR, " ")
							NoteText = replace(NoteText, vbLF, " ")
							NoteText = replace(NoteText, vbTab, " ") ' Replace any tabs with single space

							Notetext = replace (NoteText, "<br>", " ")
							Notetext = replace (NoteText, "<p>", " ")
							Notetext = replace (NoteText, "<P>", " ")
							NoteText = replace (NoteText, "<font color=green>", " ")
							NoteText = replace (NoteText, "<font color=brown>", " ")
							Notetext = replace (NoteText, "</font>", " ")
							Notetext = replace (NoteText, "</b>", " ")
							Notetext = replace (NoteText, "<B>", " ")

							' Replace any commas too with spaces

							Notetext = replace (NoteText, ",", " ")

							'NoteText = "<B>Notes</b>"
						End IF


						' Get these 10 text notes
						TextNote1 = rstemp2("TextNote1")
						TextNote2 = rstemp2("TextNote2")
						TextNote3 = rstemp2("TextNote3")
						TextNote4 = rstemp2("TextNote4")
						TextNote5 = rstemp2("TextNote5")
						TextNote6 = rstemp2("TextNote6")
						TextNote7 = rstemp2("TextNote7")
						TextNote8 = rstemp2("TextNote8")
						TextNote9 = rstemp2("TextNote9")
						TextNote10 = rstemp2("TextNote10")
					End IF

					' Close this record set
					rstemp2.Close ' Close this record set
					conntemp.close ' Close the connection
					set conntemp=nothing
			end if

			' To remove any commas, tabs, CR,LF Newlines from the
			' the record line, we will first create the whole line
			' and then parse the whole string for these values and then put the tabs
			' back into the string.


			' We need to remove any commas from the fields since when we attempt
			' to import the data, outlook with insert a CR where a comma exists.
			' We will replace the comma with a space for entries my mycompany.com, INC.



			Record = "" ' Clear out record

			Delimiter = "[X*X]" ' Set Delimiter to this value which will replace out later
			' This way we can remove any extra tabs


			Record = Record & ""& rstemp("contact_fname") &"" & Delimiter & "" & "" & rstemp("contact_lname")
			Record = Record & "" & Delimiter & "" &  rstemp("Company") & "" & Delimiter & "" & rstemp("Email") & ""

			If FileType = "FULL" or FileType = "NONOTES" then

				Record = Record &  Delimiter & "" & rstemp("Phone1") & "" & Delimiter & "" & rstemp("Phone2") & ""
				Record = Record & Delimiter & "" & rstemp("Address") &  "" & Delimiter & "" & rstemp("MailStop") & ""
				Record = Record & Delimiter &  "" & rstemp("City") & "" & Delimiter & "" & rstemp("State") & "" & Delimiter
				Record = Record & "" & rstemp("Zip")  & "" & Delimiter  & "" & rstemp("Country") & "" &  Delimiter & "" & rstemp("fax") & ""           ' &  Delimiter  &  ""


				If FileType = "FULL"  then
					Record = Record &  Delimiter & "" &  Category & "" &  Delimiter & ""
					Record = Record &  NoteText & "" &  Delimiter & ""
					' New Code to Display Option Customer Text Boxes

					Record = Record & "" & TextNote1 & "" &  Delimiter  &  ""
					Record = Record & "" & TextNote2 & "" &  Delimiter  &  ""
					Record = Record & "" & TextNote3 & "" &  Delimiter  &  ""
					Record = Record & "" & TextNote4 & "" &  Delimiter  &  ""
					Record = Record & "" & TextNote5 & "" &  Delimiter  &  ""
					Record = Record & "" & TextNote6 & "" &  Delimiter  &  ""
					Record = Record & "" & TextNote7 & "" &  Delimiter  &  ""
					Record = Record & "" & TextNote8 & "" &  Delimiter  &  ""
					Record = Record & "" & TextNote9 & "" &  Delimiter  &  ""
					Record = Record & "" & TextNote10 & "" '   &  Delimiter  &  ""
				end if
   			End if
			Record = Record & Delimiter & "" &  rstemp("Customer_ID")  & ""   ' should i use FixedCustomerID? ' CMB 06/03/2011

			' Now appy replace functions to the whole record

			Record = Replace (Record, ",", " ") ' Replace comma with space
			Record = Replace (Record, vbNewLine, " ") ' Replace comma with space
			Record = Replace (Record, vbCRLF, " ") ' Replace comma with space
			Record = Replace (Record, vbTAB, " ") ' Replace Tab with space
			record = Replace (Record, vbCR, " ") ' Replace individual CR
			record = Replace (Record, vbLF, " ") ' Replace individual LF

			' now put tabs back in replace the [X*X] string with tabs

			record = Replace (Record, "[X*X]", FinalDelimiter ) ' Put delimter back in

			Response.write Record
			response.write  vbCRLF

			rstemp.movenext
			count = count + 1
		loop

	rstemp.close
	set rstemp=nothing

%>
