<%  ' Module: DoExportTechStaffTech.asp
	'
	' Description: Submit Module To Export Tech Staff info to TAB Outlook Format.
	'
	' (C) 2000,2001 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
	'01/23/01	SAV		Created Original DoExportTechStaff.asp module
   '01/14/13   CMB      Changed the way we export comma delimited files


	' Note: This page does NOT generated HTML, instead it send out a application
	' HTML mime type that you
	' directly Save As on you particular machine for potential
	' importing to a computer address book and To Do List (like outlook) and
	' or Palm-top PDA.  This exports all the techstaff members and their group information

%>
<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<%

	' Get all of the Tech_staff records
	' The SQL statement will be a simple Select * if ALl records are selected, or
	' or more complex SQL Statement returning only records from that group

	RecordChoice = Request.form("RecordChoice")
	If RecordChoice = "ALLRECORDS" Then
		mySQL2 = "Select * from Tech_staff"
	Else
		TechGroup = Request.form("TechGroup")

		mySQL2 = "SELECT Groups.tech_id, Groups.group_number, Group_list.group_name, Group_list.default_flag, Tech_staff.first_name, Tech_staff.last_name, Tech_staff.department, Tech_staff.mailstop, Tech_staff.work_email, Tech_staff.work_phone1, Tech_staff.work_phone2, Tech_staff.work_fax, Tech_staff.home_address, Tech_staff.home_city, Tech_staff.home_state, Tech_staff.home_zip, Tech_staff.home_email, Tech_staff.home_phone, Tech_staff.home_fax, Tech_staff.notes FROM (Groups INNER JOIN Group_list ON Groups.group_number = Group_list.group_number) INNER JOIN Tech_staff ON Groups.tech_id = Tech_staff.tech_id "
		WhereClause = " Where Groups.Group_number = " & TechGroup
		mySQL2 = mySQL2 & WhereClause
	End if

	'response.write mySQL2

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	set rstemp=conntemp.execute(mySQL2)


'	set rstemp = Server.CreateObject("adodb.recordset")
'	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
	RecordsFound = rstemp.recordcount

	%>
	<% ' Send out special Content Type HTTP header so it will prompt the
	' user to either open or save the file instead of viewing it
	' * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	'    User Customizations
	' It is possible to change the order and columns headings below
	' * * * * * * * * * * * * * * * * * * * * * * * * * * * *

	' We have define the content type to ms-excel format.  You can change it
	' to other format if you wish.

	%>
	<% ' Make the first ROW define the columns for the export file %>
	<% ' Set the delimiter character based on format type

	FormatType = Request.form("FormatType")

		If FormatTYpe = "TAB" Then '(Excel format)
			Delimiter = vbTab
			Response.ContentType = "application/vnd.ms-excel"
		Elseif FormatType = "OUTLOOK" Then
			Delimiter = vbTab
			Response.ContentType = "application/vnd.ms-outlook"
			'Response.ContentType = "text/plain"

		Elseif FormatType = "COMMASCREEN" Then
			Delimiter = ","
			Response.ContentType = "text/plain"

		Else ' Plain Text screen output
			Delimiter = "," ' Comma Delimited
			'Response.ContentType = "text/plain"
			'Modified the way the CSV output is handled using the AddHeader method rather than content
			' Customization - You can change the name of the file below

			' ***** USER CUSTOMIZATION ************ CaseSearchExport.csv can be modified
			Response.AddHeader "Content-Disposition","attachment;filename=ExportTechStaff.csv"

		End IF

		' Current Items and Order of Fields is:
		' LastName, Firstname, Company, Email, Phone, address, mailstop, city, state, zip, country, phone2, fax, notes

		' Palm Desktop order of Fields and includes blank fields that we don't have
		' include:
		' Last Name, First NAme, Title, Company, Work Phone, Home Phone, Fax, Other, Email, Address
		' City, state, zip, country, custom1, custom2, custom3, custom4, Note, Private, category.

		' Palm Notes
		' Custom 1 -4 map is fields with up to 4 tech+Center Groups.
		' Note maps into notes for this tech if they exist

		' Get the category values and set them based on the form inputs

		AddressBookCategory = Request.Form("AddressBookCategory")
		EnteredCategory = Request.form("EnteredCategory")

		'Response.write "AddressBookCategory = " & AddressBookCategory
		'Response. write " EnteredCategory = " & EnteredCategory

		If EnteredCategory <> "" then
			Category = EnteredCategory
		Else
			Category = AddressbookCategory
		End IF



			' --------------- MS Outlook specifications fields ------------------------------
			' For outlook tab based imports, the first line defines the fields we are importing.

			' MS Outlook Address TAB delimited book fields
			'  Important Note - You do not have to export all of the fields - just selected fields
			' and the MS outlook will properly map the field assuming you have sent the correct columns
			' names in the first row.

			'   ** = Tech Staff Info Fields that we export with this tool for Outlook

			' Field 1 Title
			' Field 2 First Name **
			' Field 3 Middle Name
			' Field 4 Last Name	**
			' Field 5 Suffix
			' Field 6 Company
			' Field 7 Department **
			' Field 8 Job Title
			' Field 9 Business Street
			' Field 10 "Business Street 2"
			' Field 11 "Business Street 3"
			' Field 12 Business City
			' Field 13 Business State
			' field 14 Business Postal Code
			' Field 15 Business Country
			' field 16 	Home Street	**
			' Field 17 "Home Street 2"
			' Field 18 "Home Street 3"
			' Field 19 Home City **
			' Field 20 Home State **
			' Field 21 Home Postal **
			' field 22 Code	Home Country
			' field 23 Other Street
			' Field 24 "Other Street 2"
			' Field 25 "Other Street 3"
			' field 26 Other City
			' Field 27 Other State
			' field 28 Other Postal Code
			' field 29 Other Country
			' Field 30 Assistant's Phone
			' Field 31 Business Fax ** (work fax)
			' field 32 Business Phone ** (work phone 1)
			' field 33 "Business Phone 2" ** (work phone 2)
			' Field 34 Callback
			' field 35 Car Phone
			' Field 36 Company Main Phone
			' Field 37 Home Fax	** (home fax)
			' Field 38 Home Phone **	(home phone)
			' Field 39 "Home Phone 2"
			' Field 40 ISDN
			' field 41 Mobile Phone
			' Field 42 Other Fax
			' Field 43 Other Phone
			' Field 44 Pager
			' Field 45 Primary Phone
			' Field 46 Radio Phone
			' Field 47 TTY/TDD Phone
			' Field 48 Telex
			' Field 49 Account
			' field 50 Anniversary
			' field 51 Assistant's Name
			' Field 52 Billing Information
			' field 53 Birthday
			' field 54 Categories ** (Multiple Categories are comma delimited)
			' Field 55 Children
			' Field 56 Directory
			' Field 57 Server
			' Field 58 E-mail Address ** (Business Email)
			' Field 59 E-mail Display Name
			' Field 60 E-mail 2 Address ** (Home Email)
			' Field 61 E-mail 2 Display Name
			' Field 62 E-mail 3 Address
			' Field 63 E-mail 3 Display Name
			' Field 64 Gender
			' field 65 Government ID Number
			' field 66 Hobby
			' Field 67 Initials
			' Field 68 Internet Free Busy
			' field 69 Keywords
			' field 70 Language
			' Field 71 Location
			' Field 72 Manager's Name
			' Field 73 Mileage
			' field 74 Notes ** (tech notes)
			' Field 75 Office Location ** (Mailstop/office)
			' Field 76 Organizational ID Number
			' Field 77 PO Box
			' field 78 Priority
			' Field 79 Private
			' Field 80 Profession
			' Field 81 Referred By
			' Field 82 Sensitivity
			' Field 83 Spouse
			' Field 84 "User 1"
			' Field 85 "User 2"
			' Field 86 "User 3"
			' Field 87 "User 4"
			' Field 88 Web Page

		Response.write  wc_Quoted_First_Name  & Delimiter
		Response.write  wc_Quoted_Last_Name  & Delimiter
		Response.write  wc_Quoted_Department & delimiter
		Response.write  wc_Quoted_Home_Street & Delimiter
		Response.write  wc_Quoted_Home_City & Delimiter
		Response.write  wc_Quoted_Home_State  & Delimiter
		Response.write  wc_Quoted_Home_Postal_Code  & delimiter
		Response.write  wc_Quoted_Business_Fax  & Delimiter
		Response.write  wc_Quoted_Business_Phone  & Delimiter
		Response.write  wc_Quoted_Business_Phone_2 & Delimiter
		Response.write  wc_Quoted_Home_Fax & Delimiter
		Response.write  wc_Quoted_Home_Phone  &  Delimiter
		Response.write  wc_Quoted_Categories &  Delimiter
		Response.write  wc_Quoted_E_mail_Address & Delimiter
		Response.write  wc_Quoted_E_mail_Address_2 & Delimiter
		Response.write  wc_Quoted_Notes  & Delimiter
		Response.write  wc_Quoted_Office_Location
		Response.write  vbCRLF


		FinalDelimiter = Delimiter ' Save the Tab or comma delimiter for later

		do while not rstemp.eof
	' Get any group enrollments for this tech

		mySQL3 = "SELECT Groups.tech_id, Groups.group_number, Group_list.group_name, Group_list.default_flag FROM Groups INNER JOIN Group_list ON Groups.group_number = Group_list.group_number where tech_ID = '" & rstemp("tech_ID") & "'"

		'response.write "SQL=" & mySQL3


		set rstemp2=conntemp.execute(mySQL3)

		' Clear these variables

			Custom1 = ""
			Custom2  = ""
			Custom3 = ""
			Custom4 = ""
			GroupNote = ""


		If rstemp2.EOF = True then

		Else
			GroupNote = "(" & rstemp2("Group_Name") & " Group Member)"
			rstemp2.MoveNext
		End IF

		If rstemp2.EOF = False Then
			GroupNote = GroupNote & "(" & rstemp2("Group_Name") & " Group Member)"
			rstemp2.MoveNext
		End IF

		If rstemp2.EOF = False Then
			GroupNote = GroupNote & "(" &  rstemp2("Group_Name") & " Group Member)"
			rstemp2.MoveNext
		End IF

		If rstemp2.EOF = False Then
			GroupNote = GroupNote & "(" & rstemp2("Group_Name") & " Group Member)"
			rstemp2.MoveNext
		End IF

		' Close this record set
		rstemp2.Close ' Close this record set



		' Write Record to string variable so we can parse out extra tabs,etc
		' with the whole line at a time.

			Delimiter = "[X*X]"
		'	Record = ""
		'	Record = Record &  ""& rstemp("first_name") &"" & Delimiter & "" & "" & rstemp("last_name")
		'	Record = Record & Delimiter & "" & rstemp("department")&  ""
		'	Record = Record & Delimiter & "" & rstemp("Home_address") & ""
		'	Record = Record & Delimiter &  "" & rstemp("home_City") & "" & Delimiter & "" & rstemp("home_State") & "" & Delimiter
		'	Record = Record & "" & rstemp("home_Zip")   & ""
		'	Record = Record & "" & Delimiter & "" &  rstemp("Work_Fax") & "" & Delimiter & "" & rstemp("Work_Phone1") & ""
'
		'	Record = Record & Delimiter & "" & rstemp("Work_Phone2") & "" &  Delimiter
		'	Record = Record &  "" & rstemp("Home_fax") & "" & Delimiter
		'
'
		'	Record = Record  & "" & rstemp("Home_Phone") & ""
		'
		'	Record = Record & Delimiter  & "" &  Category & "" & Delimiter & "" & rstemp("work_email") & ""
		'	Record = Record & Delimiter  & "" &  rstemp("home_email") & ""
		'	Record = Record & Delimiter  & "" &  rstemp("Notes") & GroupNote & "" & Delimiter & "" & rstemp("mailstop") & ""

	' -----------------

			Delimiter = "[X*X]"
			Record = ""

			Record = Record &   rstemp("first_name")  & Delimiter  & rstemp("last_name")
			Record = Record & Delimiter  & rstemp("department")
			Record = Record & Delimiter & rstemp("Home_address")
			Record = Record & Delimiter  & rstemp("home_City")  & Delimiter  & rstemp("home_State")  & Delimiter
			Record = Record & rstemp("home_Zip")
			Record = Record  & Delimiter  &  rstemp("Work_Fax")  & Delimiter  & rstemp("Work_Phone1")

			Record = Record & Delimiter  & rstemp("Work_Phone2")  &  Delimiter
			Record = Record  & rstemp("Home_fax")  & Delimiter

			If IsEmpty(Rstemp("home_Phone")) = True OR IsNull(rstemp("home_phone")) = True Then
				' Do not output record
			else
				' Check if first character is null and characters following
				' There is a problem with the Tech Staff admin functions that set the first character
				' to zero without properly nulling out the field.
				' This happens if a field was initially set to value like 543-4344
				' and then it was blanked out, the field will be
				' set to [0]43-4333 so the field is not null and not empty but
				' the first characters is 0 so anything past it will be lost.

				If rstemp("Home_Phone") <> "" then
					If Asc(mid(rstemp("Home_Phone"), 1,1)) <> 0 Then
						Record = Record  & rstemp("Home_Phone")

					End If
				End If
			End If

			' For debugging records

			'For i = 1 to 11
			'	record = record & "Value = " & asc(mid(rstemp("home_phone"), i,1))
			'Next


			Record = Record & Delimiter

			If IsEmpty(Category) = False AND IsNull(Category) = FALSE Then
				Record = Record & Category
			End if

			Record =  Record & Delimiter

			If IsEmpty(Rstemp("work_email")) = False AND IsNull(rstemp("work_email")) = FALSE Then
				Record = Record &  rstemp("work_email")
			End If


			Record = Record & Delimiter


			If IsEmpty(Rstemp("home_email")) = False AND IsNull(rstemp("home_email")) = FALSE Then
				Record = Record &  rstemp("home_email")
			End If

			Record = Record & Delimiter

			Record = Record &  GroupNote  & Delimiter

			Record = Record & rstemp("mailstop")


			' Now remove extra CR, Tabs, etc

			' Now appy replace functions to the whole record

			Record = Replace (Record, ",", " ") ' Replace comma with space
			Record = Replace (Record, vbNewLine, " ") ' Replace comma with space
			Record = Replace (Record, vbCRLF, " ") ' Replace comma with space
			Record = Replace (Record, vbTAB, " ") ' Replace Tab with space
			record = Replace (Record, vbCR, " ") ' Replace individual CR
			record = Replace (Record, vbLF, " ") ' Replace individual LF

			' now put tabs back in replace the [X*X] string with tabs

			record = Replace (Record, "[X*X]", FinalDelimiter ) ' Put delimter back in

			Response.write Record
			response.write  vbCRLF

			rstemp.movenext
			count = count + 1
		loop

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>
