<%  ' Module: DoExportWCCustomersQB.asp
	'
	' Description: Submit Module For DoExportWCCustomersQB.asp module
	'
	' (C) 2000,2001- 2007 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/18/01	SAV		Created original DoEmailListSearchExport.asp Page
   '03/01/07	SAV		Created DoExportWCCustomersQB.asp
   '10/5/07		SAV		Updated to output direct .iif file with clickable link.

	' Note: This page does NOT generated HTML, instead it send out a application
	' HTML mime type that you
	' directly Save As on you particular machine for potential
	' importing to a computer based scheduler/day timer program and
	' or Palm-top PDA.
	'

%>
<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/WriteTextFile.inc" -->
<!-- #INCLUDE FILE="../Language/QBOptions.inc" -->




<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' Each page displays 15 records
	Title = request.querystring("Title")

	if Page = "" Then

		' Get the form variables if passed from the original form

		ShowOutput = request.form("ShowOutput")
		Contact_fname = Request.form("Contact_fname")
		Contact_lname = Request.form("Contact_lname")
		Email = Request.form("email")
		Company = Request.form("Company")
		Address = Request.form("Address")
		City = Request.form("City")
		State = Request.form("State")
		Phone1 = Request.form("Phone1")
		FormatType = Request.form("FormatType")
		Category = Request.form("AddressBookCategory")
		If Category = "" then
			Category = Request.form("EnteredCategory")
		End IF


		If Contact_fname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_fname like '" & contact_fname & "%'"
			AndText = " AND "
		End IF

		If Contact_lname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_lname like '" & contact_lname & "%'"
			AndText = " AND "
		End IF

		If email <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.email like '" & email & "%'"
			AndText = " AND "
		End IF

		If Company <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Company like '" & Company & "%'"
			AndText = " AND "
		End IF

		If Address <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Address like '" & Address & "%'"
			AndText = " AND "
		End IF

		If State <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.State like '" & State & "%'"
			AndText = " AND "
		End IF

		If Phone1 <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Phone1 like '" & Phone1 & "%'"
			AndText = " AND "
		End IF


		If Request.Form("EmailUserCategory") <> ""Then

			If AndText = "" Then
				WhereStatement = WhereStatement & " ("
			Else
				WhereStatement = WhereStatement &  " AND ("
			End If


			OrText = ""
			For each SelectedGroup in Request("emailUserCategory")
				If SelectedGroup <> "ALL" Then
					WhereStatement = WhereStatement & ORText & " EmailCategoryID = " & SelectedGroup
					ORText = " OR "
				End If
				'response.write SelectedGroup & "<br>"
			next

			WhereStatement = WhereStatement & " )"

		End IF ' End if if EmailUserCategory <> ""

		' Now get the tech/customer assignments too

		For each SelectedGroup in Request("CustomerTechAssignment")
		If SelectedGroup <> "ALL" Then
		WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & SelectedGroup & "'"
		ORText = " OR "

		End If
		'response.write SelectedGroup & "<br>"
		next

		If AssignedTechID <> "" Then ' This is getting called to view their own Customers
			WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & AssignedTechID & "'"
		End If


		' Add in the word "WHERE"
		If WhereStatement <> "" Then
			WhereStatement = " WHERE " & WhereStatement
		End If



	End If  ' End of If Page <> ""

%>


<%

	' Display the Main body of the page %>



	<html>
	<head>
	<title>Export Web+Center Customers into QuickBooks Customers(CUST)</title>
	</head>

	<body>

	<center>

	<font size=+2>
	Export Web+Center Customers into QuickBooks Customers(CUST)
	</font>
	</center>


<%
	' Build the query based on the passed input fields
	' No not categories or tech assignement the use a simple query

	If request.form("EmailUserCategory") = "" And Request.form("CustomerTechAssignment") = ""  Then
		mySQL2 = "SELECT * From Customers "
	Else
		'mySQL2 = "SELECT DISTINCT  Customers.customer_id, Customers.contact_fname, customers.Phone1, Customers.contact_lname, Customers.email, Customers.company, customers.address, customers.mailstop, customers.city, customers.zip, customers.country, customers.fax, customers.phone2,  CategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM (Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID "
		'mySQL2 = "SELECT DISTINCT  Customers.customer_id, Customers.contact_fname, customers.Phone1, Customers.contact_lname, Customers.email,  CategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM (Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID "

		mySQL2 = "SELECT DISTINCT Customers.customer_id, Customers.contact_fname, customers.phone2, customers.Phone1, Customers.contact_lname, Customers.email, Customers.company, customers.address, customers.mailstop, customers.city, customers.state, customers.zip, customers.country,  customers.fax, customers.phone2, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM (Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID "

	End IF

	If Page <> "" Then
		mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM (Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID "
	End If


	If AssignedTechID <> "" Then ' Handle special condition for my Customers
		mySQL2 = "SELECT DISTINCT Customers.customer_id, Customers.contact_fname, Customers.contact_lname, customers.Phone1, customers.phone2, Customers.email, customers.company, customers.address, customers.mailstop, customers.city, customers.zip, customers.country, customers.fax, customers.phone2, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM (Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID "
	End If

	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.
	End If

	mySQL2 = mySQL2 & WhereStatement & " Order by Contact_lname"

	'response.write mySQL2

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
	RecordsFound = rstemp.recordcount

	%>
	<% ' In this case, we will output all of the records at once and not break them
		' down into 15 records at a view
	%>
	<% ' Send out special Content Type HTTP header so it will prompt the
	' user to either open or save the file instead of viewing it
	' * * * * * * * * * * * * * * * * * * * * * * * * * * * *
	'    User Customizations
	' It is possible to change the order and columns headings below
	' * * * * * * * * * * * * * * * * * * * * * * * * * * * *

	' We have define the content type to ms-excel format.  You can change it
	' to other format if you wish.

	%>
	<% ' Make the first ROW define the columns for the export file %>
	<% ' Set the delimiter character based on format type

		If FormatTYpe = "TAB" Then
			Delimiter = vbTab

		else			' Comma delimited to screen for viewing on screen.
			Delimiter = "," ' Comma Delimited
		End IF

		' Current Items and Order of Fields is:
		' LastName, Firstname, Company, Email, Phone, address, mailstop, city, state, zip, country, phone2, fax, notes

		' The QB .iif file is of the format of:

		'!CUST	NAME	REFNUM	TIMESTAMP	BADDR1	BADDR2	BADDR3	BADDR4	BADDR5	SADDR1	SADDR2	SADDR3	SADDR4	SADDR5	PHONE1	PHONE2	FAXNUM	EMAIL	NOTE	CONT1	CONT2	CTYPE	TERMS	TAXABLE	SALESTAXCODE	LIMIT	RESALENUM	REP	TAXITEM	NOTEPAD	SALUTATION	COMPANYNAME	FIRSTNAME	MIDINIT	LASTNAME	CUSTFLD1	CUSTFLD2	CUSTFLD3	CUSTFLD4	CUSTFLD5	CUSTFLD6	CUSTFLD7	CUSTFLD8	CUSTFLD9	CUSTFLD10	CUSTFLD11	CUSTFLD12	CUSTFLD13	CUSTFLD14	CUSTFLD15	JOBDESC	JOBTYPE	JOBSTATUS	JOBSTART	JOBPROJEND	JOBEND	HIDDEN	DELCOUNT	PRICELEVEL

		'****** W+C Customers to QB Datamapping

		' These fields are mapped into the QB fields as below.  Fields
		' without comments are not mapped.

		' Fields  and Notes

		'!CUST
		'NAME = QB name - this can be customer_id or company name or QB_Customer_Name
		'REFNUM	 - Filled in if it exists in WC database (QB_refnum)
		'TIMESTAMP ' not mapped
		'BADDR1	 Maps to Address field
		'BADDR2	 Maps to Mail stop field
		'BADDR3	 Maps to City, State Field
		'BADDR4	 Zip field
		'BADDR5	 maps to country field
		'SADDR1	maps to address field
		'SADDR2	maps to mail stop field
		'SADDR3	maps to city,state fields
		'SADDR4	zip field
		'SADDR5	country field
		'PHONE1	maps to phone1 field
		'PHONE2	maps to phone2 field
		'FAXNUM	maps to fax field
		'EMAIL	maps to email field
		'NOTE
		'CONT1
		'CONT2
		'CTYPE
		'TERMS
		'TAXABLE
		'SALESTAXCODE
		'LIMIT
		'RESALENUM
		'REP
		'TAXITEM
		'NOTEPAD
		'SALUTATION
		'COMPANYNAME	maps to company
		'FIRSTNAME	customer_fname
		'MIDINIT
		'LASTNAME	customer_lname
		'CUSTFLD1
		'CUSTFLD2
		'CUSTFLD3
		'CUSTFLD4
		'CUSTFLD5
		'CUSTFLD6
		'CUSTFLD7
		'CUSTFLD8
		'CUSTFLD9
		'CUSTFLD10
		'CUSTFLD11
		'CUSTFLD12
		'CUSTFLD13
		'CUSTFLD14
		'CUSTFLD15
		'JOBDESC
		'JOBTYPE
		'JOBSTATUS
		'JOBSTART
		'JOBPROJEND
		'JOBEND
		'HIDDEN
		'DELCOUNT
		'PRICELEVEL


		' Now send out the first line that defines the columns we are going to export


		Record = "" ' Clear out record variable
		FileStr = "" ' Clear out single line variable




		FileStr = FileStr & "!CUST" 	& Delimiter

		FileStr = FileStr & "NAME"		& Delimiter
		FileStr = FileStr & "REFNUM" 	& Delimiter
		FileStr = FileStr & "BADDR1" 	& Delimiter
		FileStr = FileStr & "BADDR2" 	& Delimiter
		FileStr = FileStr & "BADDR3" 	& Delimiter
		FileStr = FileStr & "BADDR4" 	& Delimiter
		FileStr = FileStr & "BADDR5" 	& Delimiter
		FileStr = FileStr & "SADDR1" 	& Delimiter
		FileStr = FileStr & "SADDR2" 	& Delimiter
		FileStr = FileStr & "SADDR3" 	& Delimiter
		FileStr = FileStr & "SADDR4" 	& Delimiter
		FileStr = FileStr & "SADDR5" 	& Delimiter
		FileStr = FileStr & "PHONE1" 	& Delimiter
		FileStr = FileStr & "PHONE2" 	& Delimiter
		FileStr = FileStr & "FAXNUM" 	& Delimiter
		FileStr = FileStr & "EMAIL" 	& Delimiter
		FileStr = FileStr & "COMPANYNAME" 	& Delimiter
		FileStr = FileStr & "FIRSTNAME" 	& Delimiter
		FileStr = FileStr & "LASTNAME"	& Delimiter

		FileStr = FileStr &  vbCRLF

		If ShowOutput = "YES" Then

			Response.write FileStr & "<br>"
		End If



	Record = Record & FileStr


' Fields not mapped for conversion into QB.  These are here for documentation and customizations of mapping other fields.


		'FileStr = FileStr & "TIMESTAMP

		'FileStr = FileStr & "MIDINIT" 	& Delimiter


		'FileStr = FileStr & "NOTE	' not used initially
		'FileStr = FileStr & "CONT1
		'FileStr = FileStr & "CONT2
		'FileStr = FileStr & "CTYPE
		'FileStr = FileStr & "TERMS
		'FileStr = FileStr & "TAXABLE
		'FileStr = FileStr & "SALESTAXCODE
		'FileStr = FileStr & "LIMIT
		'FileStr = FileStr & "RESALENUM
		'FileStr = FileStr & "REP
		'FileStr = FileStr & "TAXITEM
		'FileStr = FileStr & "NOTEPAD
		'FileStr = FileStr & "SALUTATION
		'FileStr = FileStr & "CUSTFLD1
		'FileStr = FileStr & "CUSTFLD2
		'FileStr = FileStr & "CUSTFLD3
		'FileStr = FileStr & "CUSTFLD4
		'FileStr = FileStr & "CUSTFLD5
		'FileStr = FileStr & "CUSTFLD6
		'FileStr = FileStr & "CUSTFLD7
		'FileStr = FileStr & "CUSTFLD8
		'FileStr = FileStr & "CUSTFLD9
		'FileStr = FileStr & "CUSTFLD10
		'FileStr = FileStr & "CUSTFLD11
		'FileStr = FileStr & "CUSTFLD12
		'FileStr = FileStr & "CUSTFLD13
		'FileStr = FileStr & "CUSTFLD14
		'FileStr = FileStr & "CUSTFLD15
		'FileStr = FileStr & "JOBDESC
		'FileStr = FileStr & "JOBTYPE
		'FileStr = FileStr & "JOBSTATUS
		'FileStr = FileStr & "JOBSTART
		'FileStr = FileStr & "JOBPROJEND
		'FileStr = FileStr & "JOBEND
		'FileStr = FileStr & "HIDDEN
		'FileStr = FileStr & "DELCOUNT
		'FileStr = FileStr & "PRICELEVEL



		' Save the delimiter since we will temporary replace it [X*X] to remove any extra tabs

		FinalDelimiter = Delimiter ' Save FinalDelimiter Value

		' Now loop through the returned records and out the fields mapped


		do while not rstemp.eof

	' Get any notes for this customer if they exist

	' Need to replace any single quotes in customer ID if they exist

	FixedCustomerID = Replace(rstemp("Customer_ID"), "'", "''")

		mySQL2="select * from CustomerNotes where Customer_ID = '" & FixedCustomerID & "'"

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN


		set rstemp2=conntemp.execute(mySQL2)
		If rstemp2.EOF = True then ' Notes not set for this customer
			NoteText = ""
			TextNote1 = ""
			TextNote2 = ""
			TextNote3 = ""
			TextNote4 = ""
			TextNote5 = ""
			TextNote6 = ""
			TextNote7 = ""
			TextNote8 = ""
			TextNote9 = ""
			TextNote10 = ""

		else ' Set for this customer so add selected
			NoteText = rstemp2("ContactNotes")

			' Remove the CRLF characters

			' This is required since Excel wants to interupt the HMLT font characters
			' and it messes up the cells if HTML exists (especially the font character) in the cell.

			If NoteText <> ""  Then

				NoteText = replace(NoteText, vbCRLF, " ")
				NoteText = replace(NoteText, vbCR, " ")
				NoteText = replace(NoteText, vbLF, " ")
				NoteText = replace(NoteText, vbTab, " ") ' Replace any tabs with single space

				Notetext = replace (NoteText, "<br>", " ")
				Notetext = replace (NoteText, "<p>", " ")
				Notetext = replace (NoteText, "<P>", " ")
				NoteText = replace (NoteText, "<font color=green>", " ")
				NoteText = replace (NoteText, "<font color=brown>", " ")
				Notetext = replace (NoteText, "</font>", " ")
				Notetext = replace (NoteText, "</b>", " ")
				Notetext = replace (NoteText, "<B>", " ")

				' Replace any commas too with spaces

				Notetext = replace (NoteText, ",", " ")

				'NoteText = "<B>Notes</b>"
			End IF


			' Get these 10 text notes
			TextNote1 = rstemp2("TextNote1")
			TextNote2 = rstemp2("TextNote2")
			TextNote3 = rstemp2("TextNote3")
			TextNote4 = rstemp2("TextNote4")
			TextNote5 = rstemp2("TextNote5")
			TextNote6 = rstemp2("TextNote6")
			TextNote7 = rstemp2("TextNote7")
			TextNote8 = rstemp2("TextNote8")
			TextNote9 = rstemp2("TextNote9")
			TextNote10 = rstemp2("TextNote10")
		End IF

		' Close this record set
		rstemp2.Close ' Close this record set
		conntemp.close ' Close the connection
		set conntemp=nothing

			' To remove any commas, tabs, CR,LF Newlines from the
			' the record line, we will first create the whole line
			' and then parse the whole string for these values and then put the tabs
			' back into the string.


			' We need to remove any commas from the fields since when we attempt
			' to import the data, outlook with insert a CR where a comma exists.
			' We will replace the comma with a space for entries my mycompany.com, INC.




			Delimiter = "[X*X]" ' Set Delimiter to this value which will replace out later
			' This way we can remove any extra tabs

			' QB import specific

			FileStr = ""

			FileStr = FileStr & "CUST" & Delimiter

		' Customer Name could be company or customer first and last or something else
		' This option in defined in the QB Options.inc file in the language directory

		If QBName = "Company" Then
			' Option 1 = Company name
			FileStr = FileStr &  rstemp("Company") 	& Delimiter
		End If


		If QBName = "CustomerFirstLast" Then
			' Option 2 = First + Last name
			FileStr = FileStr &  rstemp("contact_fname") & " " & rstemp("contact_lname") & Delimiter
		End IF


		IF QBName = "CustomerID" Then
			' Option 3 = Customer_ID Lastname_Firstname
			FileStr = FileStr &  rstemp("Customer_ID")		& Delimiter
		End If



		FileStr = FileStr &  rstemp("Customer_ID")		& Delimiter ' Refname
		FileStr = FileStr &  rstemp("Address")	& Delimiter
		FileStr = FileStr &  rstemp("Mailstop")	& Delimiter
		FileStr = FileStr &  rstemp("City") & ", " & rstemp("State") 	& Delimiter
		FileStr = FileStr &  rstemp("zip") & Delimiter
		FileStr = FileStr &  rstemp("Country") & Delimiter

		FileStr = FileStr &  rstemp("Address")	& Delimiter
		FileStr = FileStr &  rstemp("Mailstop")	& Delimiter
		FileStr = FileStr &  rstemp("City") & ", " & rstemp("State") 	& Delimiter
		FileStr = FileStr &  rstemp("zip") & Delimiter
		FileStr = FileStr &  rstemp("Country") & Delimiter

		FileStr = FileStr &  rstemp("Phone1")	& Delimiter
		FileStr = FileStr &  rstemp("Phone2") 	& Delimiter
		FileStr = FileStr &  rstemp("fax") 	& Delimiter
		FileStr = FileStr &  rstemp("Email") 	& Delimiter
		FileStr = FileStr &  rstemp("Company") 	& Delimiter
		FileStr = FileStr &  rstemp("contact_fname") 	& Delimiter
		FileStr = FileStr &  rstemp("contact_lname")	& Delimiter


			'FileStr = FileStr & ""& rstemp("contact_fname") &"" & Delimiter & "" & "" & rstemp("contact_lname")
			'FileStr = FileStr & "" & Delimiter & "" &  rstemp("Company") & "" & Delimiter & "" & rstemp("Email") & ""
			'FileStr = FileStr &  Delimiter & "" & rstemp("Phone1") & "" & Delimiter & "" & rstemp("Phone2") & ""
			'FileStr = FileStr & Delimiter & "" & rstemp("Address") &  "" & Delimiter & "" & rstemp("MailStop") & ""
			'FileStr = FileStr & Delimiter &  "" & rstemp("City") & "" & Delimiter & "" & rstemp("State") & "" & Delimiter
			'FileStr = FileStr & "" & rstemp("Zip")  & "" & Delimiter  & "" & rstemp("Country") & "" &  Delimiter & ""
			'FileStr = FileStr & "" & rstemp("fax") & "" &  Delimiter  &  "" &  Category & ""  & Delimiter  & "" &  NoteText & ""



			' Now appy replace functions to the whole record

			FileStr = Replace (FileStr, ",", " ") ' Replace comma with space
			FileStr = Replace (FileStr, vbNewLine, " ") ' Replace comma with space
			FileStr = Replace (FileStr, vbCRLF, " ") ' Replace comma with space
			FileStr = Replace (FileStr, vbTAB, " ") ' Replace Tab with space
			FileStr = Replace (FileStr, vbCR, " ") ' Replace individual CR
			FileStr = Replace (FileStr, vbLF, " ") ' Replace individual LF

			' now put tabs back in replace the [X*X] string with tabs

			FileStr = Replace (FileStr, "[X*X]", FinalDelimiter ) ' Put delimter back in

			FileStr = FileStr &  vbCRLF
			Record = Record & FileStr

		If ShowOutput = "YES" Then

			Response.write FileStr & "<br>"
		End If




			rstemp.movenext
			count = count + 1
		loop

	rstemp.close
	set rstemp=nothing


	'Now Write the File to wctempfiles directory


	' Add a date to the file name to make it unique
	DateName = CStr(Month(Now())) & "." & CStr(Day(Now())) & "." & CStr(Year(Now()))


	Filename = "WCCustomerExport." & DateName & ".IIF"


	WriteTextFile Record, Filename




%>

<Br>
QB Export file succesfully created<br>


<% ' Determine virtual directory definition

		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			' This will handle all of the necessary virtual directory mappings

			Virtual_Path = replace(Script_Name, "DoExportWCCustomersQB.asp", Filename)

		End IF


	Next

	' Debugging
	'response.write "Hostname= " & Hostname
	'response.flush
	'response.end


	' Now replace the techcenter virtual directory with the "wctemp" - web+center temp files
	' virtual directory so we can create a link to it that the users can click on.


		If TechVirtual = "" Then
			TechCenterVirtual = "tech60"
		Else
			TechCenterVirtual = TechVirtual
		End If

		wctempvirtual = wctempdirectory ' Obtain from Global.asa and db_define.inc

		Virtual_Path = replace(Virtual_path, TechCenterVirtual, wctempvirtual,1,99,1)

		'response.write "Virtual_Path= " & Virtual_Path
		'response.flush
		'response.end



%>


Directions: Click on the link below to save and import your Web+Center into QB<br><br>


<a href="http://<%=hostname%><%=Virtual_path%>">Quick Book Customer Import IIF File</a>




</body>
</html>



