<%  ' Module: DoGetCustomer.asp
	'
	' Description: Submit Module For GetCustomer.asp module
	'
	' (C) 2000 Internet Software Sciences
	'
   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/07/00	SAV		Created original EmailListSearch Page
	'11/13/00 SAV	Created version for techcenter from DoEmailListSearch.asp module
	'4/26/01 AJS	Converted input values to ucase and used Oracle function UPPER to work with Oracles
	'				Case Sentitivity
	'03/27/12   CMB     Fixed number of page calc; don't display next if last page
	'04/25/13   CMB     Version 8 support for primary only; include code customizations
	'04/04/14   CMB   Added search by company table
	'04/04/14   CMB   retrieving multiple records if more than 1 email category or tech assignment so removed those from select

	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TCaseForm.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>


<% ' Display the New Case Form %>



<html>

<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->

<head>

<title><%=wc_Customer_Search_Results%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>

	<body class=rightwindow>





<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	If Trim(Query) = "AND" Then Query=""
	Page = request.querystring("page") ' Each page displays 15 records
	Title = request.querystring("Title")

	if Page = "" Then

		' Get the form variables if passed from the original form
		PrimaryOnly = 1
		if Version8point0="YES" Then  ' 04/25/13
				PrimaryOnly = request.form("PrimaryOnly")
				if primaryOnly = "" then
					PrimaryOnly = 0
				else
					PrimaryOnly = 1
				End if
		End If

		Contact_fname = UCase(Request.form("Contact_fname"))
		Contact_lname = UCase(Request.form("Contact_lname"))

		' Replace any single quote for names like O'mally with O''Mally for searches

		Contact_fname = Replace(Contact_fname, "'", "''")
		Contact_lname = Replace(Contact_lname, "'", "''")

		Email = UCase(Request.form("email"))
		Company = UCase(Request.form("Company"))
		Company = Replace(Company, "'", "''")
        CompanyName = request.form("CompanyName")  ' 04/04/14

		Address = UCase(Request.form("Address"))
		Address = Replace(Address, "'", "''")


		City = UCase(Request.form("City"))
		State = UCase(Request.form("State"))
		Phone1 = Request.form("Phone1")
		TextNote1 = Request.form("TextNote1")
		TextNote2 = Request.form("TextNote2")
		TextNote3 = Request.form("TextNote3")
		TextNote4 = Request.form("TextNote4")
		TextNote5 = Request.form("TextNote5")
		TextNote6 = Request.form("TextNote6")
		TextNote7 = Request.form("TextNote7")
		TextNote8 = Request.form("TextNote8")
		TextNote9 = Request.form("TextNote9")
		TextNote10 = Request.form("TextNote10")




		If Contact_fname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_fname like '" & contact_fname & "%'"
			AndText = " AND "
		End IF

		If Contact_lname <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.contact_lname like '" & contact_lname & "%'"
			AndText = " AND "
		End IF

		If email <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.email like '" & email & "%'"
			AndText = " AND "
		End IF

		If Company <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Company like '" & Company & "%'"
			AndText = " AND "
		End IF

		If Address <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Address like '" & Address & "%'"
			AndText = " AND "
		End IF

		If City <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.City like '" & City & "%'"
			AndText = " AND "
		End IF

		If State <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.State like '" & State & "%'"
			AndText = " AND "
		End IF


		If CompanyName <> "" Then  ' 04/04/14
		    if companyName = "NOT" then
				WhereStatement = WhereStatement & AndText & " Companies.company_ID Is NULL "
	        Else
				WhereStatement = WhereStatement & AndText & " Companies.company_ID = " & CompanyName  ' ID really
			End If
			AndText = " AND "
		End IF


		If Phone1 <> "" Then
			WhereStatement = WhereStatement & AndText & " Customers.Phone1 like '" & Phone1 & "%'"
			AndText = " AND "
		End IF

		' add any textnotes to the WHERE statement - for all 10 textnote fields

		If TextNote1 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote1 like '%" & TextNote1 & "%'"
		  AndText = " AND "
        End If


		If TextNote2 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote2 like '%" & TextNote2 & "%'"
		  AndText = " AND "
        End If


		If TextNote3 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote3 like '%" & TextNote3 & "%'"
		  AndText = " AND "
        End If


		If TextNote4 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote4 like '%" & TextNote4 & "%'"
		  AndText = " AND "
        End If


		If TextNote5 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote5 like '%" & TextNote5 & "%'"
		  AndText = " AND "
        End If


		If TextNote6 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote6 like '%" & TextNote6 & "%'"
		  AndText = " AND "
        End If


		If TextNote7 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote7 like '%" & TextNote7 & "%'"
		  AndText = " AND "
        End If


		If TextNote8 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote8 like '%" & TextNote8 & "%'"
		  AndText = " AND "
        End If


		If TextNote9 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote9 like '%" & TextNote9 & "%'"
		  AndText = " AND "
        End If


		If TextNote10 <> "" Then
		  WhereStatement = WhereStatement & AndText & " CustomerNotes.TextNote10 like '%" & TextNote10 & "%'"
		  AndText = " AND "
        End If



		If Request.Form("EmailUserCategory") <> ""Then

			If AndText = "" Then
				WhereStatement = WhereStatement & " ("
			Else
				WhereStatement = WhereStatement &  " AND ("
			End If


			OrText = ""
			For each SelectedGroup in Request("emailUserCategory")
				If SelectedGroup <> "ALL" Then
					WhereStatement = WhereStatement & ORText & " EmailCategoryID = " & SelectedGroup
					ORText = " OR "
				End If
				'response.write SelectedGroup & "<br>"
			next

			WhereStatement = WhereStatement & " )"

		End IF ' End if if EmailUserCategory <> ""

		' Now get the tech/customer assignments too

		For each SelectedGroup in Request("customertechassignment")
		If SelectedGroup <> "ALL" Then
		WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & SelectedGroup & "'"
		ORText = " OR "

		End If
		'response.write SelectedGroup & "<br>"
		next

		If AssignedTechID <> "" Then ' This is getting called to view their own customers
			WhereStatement = WhereStatement & ORText & " CustomerTechAssignment.Tech_ID = '" & AssignedTechID & "'"
		End If


		' Add in the word "WHERE"
		If WhereStatement <> "" Then
			WhereStatement = " WHERE " & WhereStatement
		End If



	End If  ' End of If Page <> ""


	' Display the Main body of the page %>





<%

	' Build the query based on the passed input fields
	' If no categories or tech assignement the use a simple query for first page




		' mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.address, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company FROM (Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID "  ' 04/04/14 added company_id
		' Original SELECT statement (above) extended to also join on CustomerNotes


		'mySQL2 = "SELECT DISTINCT Customers.Phone1, Companies.Company_ID, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.address, Customers.email, EmailCategoryLinks.EmailCategoryID, CustomerTechAssignment.Tech_ID, Customers.company, "  ' 04/04/14 added company id
		mySQL2 = "SELECT DISTINCT Customers.Phone1, Customers.customer_id, Customers.contact_fname, Customers.contact_lname, Customers.address, Customers.email,   Customers.company "  ' 04/04/14 added company id

	'	mySQL2 = mySQL2 & ", CustomerNotes.TextNote1, CustomerNotes.TextNote2, CustomerNotes.TextNote3, CustomerNotes.TextNote4, CustomerNotes.TextNote5, CustomerNotes.TextNote6, CustomerNotes.TextNote7, CustomerNotes.TextNote8, CustomerNotes.TextNote9, CustomerNotes.TextNote10 "

		mySQL2 = mySQL2 & "FROM (((Customers LEFT JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) " ' 04/04/14 added parenthesis

		mySQL2 = mySQL2 & "LEFT JOIN CustomerTechAssignment ON Customers.customer_id = CustomerTechAssignment.Customer_ID) "

		mySQL2 = mySQL2 & "LEFT JOIN CustomerNotes ON Customers.customer_id = CustomerNotes.Customer_ID) "  ' 04/04/14 added parenthesis
		mySQL2 = mySQL2 & "LEFT JOIN Companies ON Customers.company_id = Companies.company_ID "  ' 04/04/14

'response.write mySQL2
'response.flush
'response.end

		If page <> "" Then
			WhereStatement = Query ' Where Query passed from link
			' This is important to pass the Select part of the query since people can
			' modify whole query and put in SQL like DELETE.
		End If



	If Trim(WhereStatement) = "AND" Then
		mySQL2 = mySQL2 & " Order by Contact_lname"
	Else
		mySQL2 = mySQL2 & WhereStatement & " Order by Contact_lname"
	End If
	' response.write "<font color=red>SQL statement is </font>" & mySQL2 & "<P>"

	set rstemp = Server.CreateObject("adodb.recordset")
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
	RecordsFound = rstemp.recordcount

	%>


	<CENTER>
	<Table class=BGWrapper >
	<tr>
	<td  align=center valign=center class=majorscreentitlefixed>
	<%=wc_Customer_Search_Results%>
	<br>
	 <span class=MinorScreenTitle><%=wc_Your_search_has_found%> </span>
	 <span class=TitleInsert>&nbsp;<%=RecordsFound%>&nbsp;</span>
     <span class=MinorScreenTitle> <%=wc_matching_records%>.</span>


	</td>
	</tr></table>

	<table bgcolor=red cellpadding=0 cellspacing=0><tr><td height=5></td></table><!-- a little spacer -->


 <TABLE BORDER=0 WIDTH="50%" >
 <TR>
 <TD ALIGN=CENTER><A HREF="GetCustomer.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_search_again30x120.gif" BORDER=0 ></A></TD>

 <TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
 </TR>
 </TABLE>

<table bgcolor=red cellpadding=0 cellspacing=0><tr><td height=5></td></table><!-- a little spacer -->

	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by 15.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.

	response.write "<span class=tinyprint>"

	If RecordsFound > 0 Then
			NumOfPages = Int((RecordsFound-1)/25) + 1 ' 03/27/12 fixed calculation
			If NumOfPages > 20 Then
				NumOfPages = 20
			End If
	End If

	If NumOfPages > 1 Then

		response.write  wc_Result_Pages & ": "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write  i
			Else
				response.write "<a href=DoGetCustomer.asp?Page=" & i & "&Query="& Query&"> "& i& "</a>"
			End If
			response.write chr(10)& chr(13)
		next

		if CurrentPage > 20 then
			response.write "&nbsp;..." & CurrentPage
		End If

		If CInt(CurrentPage) <> 1 Then
			response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoGetCustomer.asp?Page=" & CurrentPage-1 & "&Query="& Query&">&lt;&lt; " & wc_Prev & "..</a>"
		End If
		If CInt(CurrentPage) < CInt(NumOfPages) Then
			response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoGetCustomer.asp?Page=" & CurrentPage+1 & "&Query="& Query&">" & wc_Next & ".. &gt;&gt; </a>"
		End If
		'Response.Write "&nbsp&nbsp;&nbsp; Page " & CurrentPage & " of " & NumOfPages
		response.write "<P>"
	End If

	response.write "</span>"
%>
	<center>
	<TABLE class=TightTableWrapper cellspacing=1" >
	<tr>

	<td class=ColumnLabel align=center><%=wc_Last%></td>
	<td  class=ColumnLabel align=center><%=wc_First%></td>
	<td class=ColumnLabel align=center>Customer ID</td>
	<td class=ColumnLabel align=center><%=wc_New_break_Case%>&nbsp;</td>
	<td  class=ColumnLabel align=center>All<br>Cases&nbsp;</td>
	<td  class=ColumnLabel align=center><%=wc_Company%></td>
	<td  class=ColumnLabel align=center><%=wc_Address%></td>
	<td  class=ColumnLabel align=center><%=wc_Email%></td>
	<td  class=ColumnLabel align=center><%=wc_Phone%></td>
	<td  class=ColumnLabel align=center><%=wc_Edit%> or<br><%=wc_Summary%></td>
	</tr>



<%

	' Check to see if any records are returned
	' if none found the

		count = 0


		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" Then
			PageNum = ((CInt(Page)-1)*25)
			rstemp.Move PageNum ' Move to the appropriate record
		End If


		do while not rstemp.eof AND Count < 25


%>
	<tr>

	<% ' Note - because this table contains no instances of two lines within a cell, it appears too tight for comfortable
	   ' reading - not enough white space - so we cheat by putting a height specification in the first <td> of each row %>


<%If rstemp("contact_fname") <> "" then%>

	<td class=tightbodytext>&nbsp;&nbsp;<%= rstemp("contact_lname") %>&nbsp;&nbsp; </td>

	<td class=tightbodytext>&nbsp;&nbsp;<%= rstemp("contact_fname") %>&nbsp;&nbsp; </td>
	
	<td class=tightbodytext>&nbsp;&nbsp;<%= rstemp("customer_id") %>&nbsp;&nbsp;</td>

	<td class=tightbodytext><%	Response.write "<a href=TCaseForm.asp?Case_number=0&Customer_ID=" & rstemp("customer_ID") & ">New</a>" %></td>

	<td class=tightbodytext><a href=DoGetCase.asp?Customer_ID=<%=rstemp("customer_ID")%>&PrimaryOnly=<%=PrimaryOnly%>>ALL</a> </td>

	<td class=tightbodytext>&nbsp;&nbsp;<%= rstemp("Company") %>&nbsp;&nbsp; </td>

	<td class=tightbodytext>&nbsp;&nbsp;<%= rstemp("address") %>&nbsp;&nbsp; </td>

	<td class=tightbodytext><%= rstemp("Email") %> </td>

	<td class=tightbodytext><%= rstemp("Phone1") %> </td>

    <td class=tightbodytext ><a href=NewCustomer.asp?ID=<%=rstemp("customer_ID")%>><%=wc_Edit%></a> /
                             <a href=TCustomerSummary.asp?ID=<%=rstemp("customer_ID")%>><%=wc_Summary%></a>
    </td>
	
<%Else%>
	
	<td class=Itightbodytext height=20>Inactive</td>
	<td class=Itightbodytext><%= rstemp("contact_lname") %> </td>

	<td class=Itightbodytext><%= rstemp("contact_fname") %> </td>

	<td class=Itightbodytext>&nbsp;</td>

	<td class=Itightbodytext><a href=DoGetCase.asp?Customer_ID=<%=rstemp("customer_ID")%>&PrimaryOnly=<%=PrimaryOnly%>>ALL</a> </td>

	<td class=Itightbodytext><%= rstemp("Company") %> </td>


	<td class=Itightbodytext><%= rstemp("Email") %> </td>

	<td class=Itightbodytext><%= rstemp("Phone1") %> </td>

    <td class=Itightbodytext ><a href=NewCustomer.asp?ID=<%=rstemp("customer_ID")%>><%=wc_Edit%></a> /
                             <a href=TCustomerSummary.asp?ID=<%=rstemp("customer_ID")%>><%=wc_Summary%></a>
    </td>
	
<%End If%>

	</tr>

<%
			rstemp.movenext
			count = count + 1
		loop


	rstemp.close
	set rstemp=nothing

%>

	</table>
	</center>
<p><center><a href="newcustomer.asp"><img src="../language/new_cust.png" border=0></a></center></p>



</body>
</html>

<% End If ' End of If Valid user %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

<%
Sub DebugWrite( DbgMsg )
	ForReading = 1
	ForWriting = 2
	ForAppending = 8

	TristateUseDefault = -2
	TristateTrue = -1
	TristateFalse = 0

	Dim ScObj, DbgFile

	FileName = Server.MapPath(".") & "\Debug.log"

	Set ScObj = Server.CreateObject("Scripting.FileSystemObject")
	Set DbgFile = ScObj.OpenTextFile(FileName,ForAppending,TRUE,TristateFalse)
	DbgFile.WriteLine Now() & ":    " & DbgMsg
	DbgFile.Close
	Set DbgFile = Nothing
	Set ScObj = Nothing

End Sub
%>
