
<% 'Module: DoImportAssetsStep3.asp    'Description: This module is used for importing assets directly from a csv file


   'Description: This module is

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/05/12 CMB		Created original
   '02/06/12 CMB      Added ability to assign to tech; added ability to add an asset notes
   '02/12/12 CMB     Script timeout; set blanks to NULL
   '03/05/12 CMB     Button - added form around it
   '03/20/12 CMB     changed save message so saves x of nonblank, correct number of columns rows
   '03/26/12 CMB      Customers plus tech id and customer id column (last two not tested)

%>
	<% ' Set the Script Timeout value to something fairly large
		' You may need to increase this if you are sending to large volume of customers

		Server.ScriptTimeOut = 10000 ' Set to 1200 seconds (20 minutes)

	%>

	<!-- #INCLUDE FILE="DB_define.inc" -->
	<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
	<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
	<!-- #INCLUDE FILE="Reports.inc" -->
	<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
	<!-- #INCLUDE FILE="Adovbs.inc" -->
	<HTML>
	<HEAD>
	   <TITLE><%=wc_Import_assets%> </TITLE>
	<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
	<!-- #INCLUDE FILE="Stylesheet.inc" -->
	</HEAD>
<body class=rightwindow>
<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Import_assets%></td>
</tr>
</table>

<p>
<TABLE BORDER=0 WIDTH="50%" >
<TR>
<FORM action="Assets.asp">
<TD ALIGN=CENTER><A HREF="Assets.asp"><input type=submit value=Return></A></TD>
</FORM>
</TR>
</TABLE></CENTER>

	<%
	Dim nExtraColumns
	nExtraCOlumns = 6
	Dim cnt
	cnt = request.form("ColCount")
	nRows = Request.form("RowCount")
	nNonBlankRows = Request.form("RowCount")  ' 03/20/12
	sContainsHeader = request.form("FirstRow")
	%>
<CENTER>
		<table class=BGWrapper>
		<tr>
		<td class=MinorScreenTitle><%=wc_Import_Confirm_Part1%> </td>
		<td class=TitleInsert>&nbsp;<%=nRows%>&nbsp;</td>
		<td class=MinorScreenTitle><%=wc_Import_confirm_part2%>.
	</td>
	</TR>
	</TABLE>
	<p>

<%
Dim ary(100) ' - this holds the number of columns
Dim ary2(100)
Dim AssignedTech

    	Dim lvl
		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		AssignedTech = Request.form("Technician")
		AssignedCustomer = Request.form("Customer")

 	'*** FILE EXISTS?
 	set conntemp=server.createobject("adodb.connection")
 	conntemp.open myDSN

 	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

 	set rstemp = server.createobject("adodb.recordset")
 	rstemp.open mySQL, conntemp, 1,3

 	If rstemp.EOF = True  Then
 		ErrorMessage = "No Configuration file found"
 		UserPageColor = "FFFFFF" ' Default to white if record not found
		DateDisplayFormat = "MMDDYYYY"
		DatabaseType = "ACCESS97"

 	Else
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		UserPageColor = rstemp("ts_user_page_color")
		DateDisplayFormat = rstemp("Date_Display_Format")
		DatabaseType = rstemp("DatabaseType")
 		TechCenterVirtualDirectory = rstemp("TechVirtual")
 		UserPageColor = rstemp("ts_user_page_color")
 		FileUpLoadDestinationPath = rstemp("FileUploadPhysicalPath") ' Set this to your full destination path
 		FileUploadVirtualDirectory = rstemp("FileUploadVirtualDirectory") ' You must configure this virtual in IIS - Allow read ONLY!
 	End If ' End if for no Configuration row found

 	rstemp.close
 	set rstemp=nothing
 	conntemp.close ' Close the connection
 	set conntemp=nothing

sFileName = request.Form("FileName")

if sFileName = "" or instr(sFilename,".csv") = 0 then
	'invalid file
else
End If

	 For each key in Request.serverVariables
		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)

			Virtual_Path = replace(Script_Name, "DoImportAssetStep3.asp", sFileName,1,99.1)

			' We next need to replace TechCenter Virtual Directory Name with the
			' the download virtual directory

			If TechCenterVirtualDirectory = "" Then
				TechCenterVirtual = "tech70"
			Else
				TechCenterVirtual = TechCenterVirtualDirectory
			End If
			'Response.write "TechCenterVirtual = " & TechCenterVirtual

			Virtual_Path = replace(Virtual_Path, TechCenterVirtual, FileUploadVirtualDirectory,1,99,1)
		End IF
	Next

	FullFileURL = "http://" &  hostname & Virtual_Path

			slash = "\"
			TargetFilePath = FileUploadDestinationPath & slash & sFileName

			Set fs1 = CreateObject("Scripting.FileSystemObject")

			If fs1.FileExists(TargetFilePath) Then
			 	'response.write "<br>FILE EXISTS<br>"
			  	'	response.write TargetFilePath & "<br>"
			  	'	response.write TargetFilePath2  ' c:\program files
			Else
				response.write TargetFilePath & "<br>"
				response.write "<br>File does not exist<br>"
			End If

'response.flush
'response.end

	'-- *************** open file and read it in
	num_Cols = request.form("ColCount")

	'********* this creates the first part of the insert statement
	Dim bFirst

	' ---- below is for SBCC requiring input for their rquired fields; serial_number handled elsewhere
	Dim bStatusEntered
	Dim bAssignmentTypeEntered
	bStatusEntered = 0  ' Monitor_Serial_Number_Label
	nStatusRow = 0
	bAssignmentTypeEntered = 0 ' Lease_Or_Purchase_Label
	nAssignmentTypeRow = 0
	nTechIDRow = -1
	nCustomerIDRow = -1

	'--- end SBCC required fields

	bFirst = 1
	sSql = "Insert into assets ("
	sSql2 = ""
	%>
	<%
	'**** these are the values in the extra constant columns
    sNewNotes = ""  ' 02/06/12
	nSerialNumberRow = 0
	for i = 0 to nExtraColumns
			sCol = "Option" & i
			sValueCol = "Value" & i
			sTextCol = "TextValue" & i
			sValue = ""
			sDBColumnName = ""
			sTemp = Request.Form(sCol)
			If sTemp > ":" then
				if sTEMP = "NOTES:NOTES" then ' 02/06/12 added notes - handle this elsewhere
					sNewNotes = trim(request.form(sTextCol))
					sNewNotes  = replace(sNewNotes ,chr(34),"")
					sNewNotes  = replace(sNewNotes ,chr(39),"")
				Else
				' get column name
					aryValue=split(sTemp,":")
					sDBColumnName = aryValue(0)

					' is there a value in the dropdown?
					sDropDownValue = Trim(Request.form(sValueCol))
					if sdropdownvalue <> "" then
							sValue = sDropDownValue
					Else
						  'see whether something in textbox
						  sTextBoxValue = trim(request.form(sTextCol))
						  if sTextBoxValue > "" then
								sValue = sTextBoxValue
								sValue  = replace(sValue ,chr(34),"")
								'Remove all quotes (If your csv has quotes other than to seperate text
								' cmb added - remove all apostrophes because sqlserver can't handle it
								sValue  =  replace(sValue,chr(39),"")  ' CMB 02/06/12
							End If
					End If

					if sValue > "" then
						' add to sSql
						' MAKE SURE THIS IS ONE OF THE REQUIRED COLUMNS; CHECK FOR VALID DATES; MAKE SURE THIS ISN"T A UNIQUE COLUMN


						if sDBColumnName = Lease_Or_Purchase_Label or sDBColumnName = "Lease_Or_Purchase" then
							bAssignmentTypeEntered = 1
						End if

						if sDBColumnName = Monitor_Serial_Number_Label or sDBColumnName = "Monitor_Serial_Num" then
							bStatusEntered = 1
						End if

						if bFirst = 0 then
							sSql2 = sSql2 & ", "
							sSql = sSql & ", "
						End If
						sSql = sSql & sDBColumnName


						bFirst = 0
						sSql2 = sSql2 & "'" & sValue & "'"
					End If
				End if
			End If
	 	next

bFirstBottom = bFirst
'*** get the rest of the columns - these are the values of the dropdown above the file columns - NOTE You need at least one of these
	for i = 0 to cnt
			sCol = "Col" & i
			sDBColumnName = ""
			sTemp = Request.Form(sCol)

			If sTemp > ":" then
				' get column name
					aryValue=split(sTemp,":")
					sDBColumnName = aryValue(0)
					if sDBColumnName > "" then
						if sDBCOlumnName = "Serial_Number" then
								nSerialNumberRow = i
						End If
						' check here to make sure any required fields are set
						' also check for valid dates and uniqueness
							if sDBColumnName = Lease_Or_Purchase_Label or sDBColumnName = "Lease_Or_Purchase" then
								bAssignmentTypeEntered = 1
								nAssignmentTypeRow = i
							End if

							if sDBColumnName = Monitor_Serial_Number_Label or sDBColumnName = "Monitor_Serial_Num" then
								bStatusEntered = 1
								nStatusRow = i
							End if

						If UCASE(sDBColumnName) = "TECH_ID" or UCASE(sDBColumnName) = "CUSTOMER_ID" Then ' 03/25/12
							if ucase(sDBColumnName) = "TECH_ID" then
								nTechIDRow = i
							End If
							If ucase(sDBColumnName) = "CUSTOMER_ID" then
								nCustomerIDRow = i
							End If

						Else ' 03/25/12 don't add to normal sql if techid or customerID because these go into assetassignment table
						' add to sSql
							if bFirst = 0 then
								sSql = sSql & ","
							End If
							sSql = sSql & sDBColumnName
							bFirst = 0
						End If	 ' 03/25/12
					End If
				End If
	 	next

	sSql = sSQL & ", AssetNotes, LastUpdate, UpdatedBy)"
	%>

	<%
		DateString = ""
		TimeString = ""

	' Add Date and Time stamps and who edited the notes
	' Time Stamp the Case History before we put it into the case record

		CreateTimeDateValues DateString, TimeString, DateTimeString
		UserName = TechFullNameCookie() ' Get the name of the tech logged in

		AssetNotes = "<P><font color=green>" &  DatetimeString &  "</font><br><font color=brown><B>Batch Inserted By: </b> "& UserName & "</font><br>" & vbCRLF
		if sNewnotes > "" then
			AssetNotes = AssetNotes & "<b>Note:</b> " & sNewnotes & "</br>"
		End If

		LastUpdateString = DateString&TimeString
	'************************ body of text
   nSaved = 0
  	set conn=server.createobject("adodb.connection")
	conn.open myDSN ' Open the connection once here

'---------------------------------- TABLE HEADER
%>
		<CENTER>
		<TABLE BORDER CELLSPACING=2 CELLPADDING=2 WIDTH="75%" >
		<tr>
		<td class=formlabelsuper align=center><%=wc_Row_Number%></td>
		<td class=formlabelsuper align=center><%=wc_Update_status%></td>
		<td class=formlabelsuper align=center><%=wc_New_Asset_Number%></td>
		<td class=formlabelsuper align=center><%=Serial_Number_Label%></td>
		</tr>
<%
'------------------------------- These are the rows being inserted
	nRows = 0
	iRows = 0 ' number of actual rows

	set act = fs1.opentextfile(targetfilepath,1)

	Do while not act.AtEndOfStream
		bRowFirst = bFirstBottom
		sSqlValues = ""
		bAnything = 0
		sSerialNumber = ""

		if iRows = 0 and sContainsHeader= "on" then
			rec  = act.Readline ' throw out first row
		End If
		smsg=""

   	rec  = act.Readline
   	ReadAry = Split(Rec,",")

   	if ubound(readary)+1 <> cint(num_cols) then
   		sStatus= "<font color=red>Bad row - has " & ubound(readary)+1 & " columns. Should be " & num_cols &  "</font>"
   		%>
   					<TR>
						<TD class=datavalue><%=iRows%></TD>
						<TD class=datavalue colspan=3><%=sStatus%></TD>
						</TR>
			<%
   	Else

			bNotBlank=0
			sCustomerID = ""
			sTechID = ""

			for iCol = 0 to Num_Cols-1 ' process columns
				sMsg = ""
				sValue = ReadAry(iCol)
				sCol = "Col" & iCol
				sTemp = Request.Form(sCol)

					If sTemp > ":" then

						sValue = trim(sValue)
						sValue = replace(sValue,chr(10),"")
						sValue = replace(sValue,chr(13),"")
						sValue  = replace(sValue ,chr(34),"")
						sValue  =  replace(sValue,chr(39),"")  ' CMB 02/06/12

						if len(sValue) > 0 then ' Make sure it isn't a blank row
							bAnything = 1 ' this is set to figure out whether all blanks
						End If

						if iCol = nCustomerIDRow then
							sCustomerID = sValue
						Else
							if iCol = nTechIDRow then
								sTechID = sValue
							Else

								if bRowFirst = 0 then
									sSqlValues = sSqlValues & ","
								End If
								if iCol = nSerialNumberRow then
									sSerialNumber = sValue
								End If
								bRowFirst = 0

								if sValue = "" then  '02/13/12 CMB
									sSqlValues = sSqlValues & " NULL " ' 02/13/12 got to assume that there are other things in the row and that they are setting this to blank
								Else
									sSqlValues = sSqlValues & "'" & sValue & "'" ' 02/10/12 got to assume that there are other things in the row and that they are setting this to blank
								End If
							End if ' techid
						End if ' customer id
					End If
			next ' column

			if bNotBlank = 0 then
				nRows = nRows + 1 ' number of nonblank rows (doesn't count if bad columns
			End If
		End If ' wrong number of columns

		iRows = iRows + 1

		if bAnything = 1 then
			nSaved = nSaved + 1

			sWholeSql = sSql & " VALUES (" & sSQL2 &  sSqlValues & ",'" & AssetNotes & "','" &  LastUpdateString & "','" & TechID & "')"

  ' response.write "SQL" & sWholeSql & "<br>" 'TEST
      	sAsset_Number = DoInsert(sWholeSql)  ' THIS IS THE INSERT!!!!!

      	if cint(sasset_number) = 0 then
      		sStatus = "INSERT FAILED." & " SQL: " & sWholeSql & "<br>" & sStatus '' 02/13/12
      	Else
      		sStatus = "OK"
      	End If
%>
			<TR>
			<TD class=datavalue><%=iRows%></TD>
			<TD class=datavalue><%=sStatus%></TD>
			<TD ALIGN=CENTER NOWRAP  class=datavalue>
					<A HREF="AssetInfo.asp?asset_number=<%=sAsset_Number%>"><%=sAsset_Number%></A>
					&nbsp;&nbsp;
					<A HREF="AssetInfo.asp?asset_number=<%=sAsset_Number%>" target="newcasewindow1">
					<IMG SRC="newwindow.gif" BORDER=0 ></A>
				&nbsp;</TD>
			<TD class=datavalue><%=sSerialNumber%>&nbsp;</TD>
			</TR>
<%
      else
      	'	response.write "BLANK ROW <BR>"
      End If
	 loop 'end of row
	 act.close
%>
</TABLE>
<p>
<b><%= nSaved%></b> successfully saved of <b><%= nNonBlankRows %></b> rows that were not blank and had correct number of columns.
<%
    ' at this point nSaved are those  saved (not blank rows)
	 Conn.Close
	 Set Conn = nothing
	 %>

<%  Function DoInsert(sql) ' returns asset number > 0 if successful and updates sStatus variable
	Asset_Number = 0
	bOK = true

	Set NewRecord = Server.CreateObject("ADODB.Recordset")
    'response.write SQL

  		on error resume next  ' 02/10/12

    set rstemp2=conn.execute(SQL)
		If  err.number>0 then
			bok = false
			sStatus = wc_Import_Err & ": " &  err.description
		end if

		IF  conn.errors.count> 0 then
			sStatus = wc_Import_Err & ": Database error"
			bok = false
		end if

	Set NewRecord = Nothing

		if bok = true then ' if the insert failed we really don't want to get the last good asset_Number !!!!!
			' Get the asset_number of the asset just submitted
				Set rstemp2 = Server.CreateObject("ADODB.Recordset")

				mySQL2="SELECT * from Assets ORDER by asset_number desc"
				set rstemp2=conn.execute(mySQL2)
				if rstemp2.EOF then
					sStatus = "Asset Inserted but not found! "
				Else
					'bReturn = true
					asset_number = rstemp2("asset_number")
				'	arySaved(nSaved) = asset_Number
				End IF

				Set rstemp2 = nothing

				' PUT IN ASSET ASSIGNMENT TABLE IF APPROPRIATE

				if Asset_Number <> 0 and (sCustomerID > "" or sTechID > "" or AssignedTech <> ":" or AssignedCustomer <> ":") then
					If AssignedTech <> ":" then
						sTechID = AssignedTech
					End if
					if AssignedCustomer <> ":" then
						sCustomerID = AssignedCustomer
					End if

					If sCustomerID > "" and sTechID = "" then
						 mySQL2="Insert into AssetAssignment (Customer_ID, Asset_Number) Values ('" & sCustomerID & "', " & asset_number & ")"
					Else
						If sCustomerID = "" and sTechID > "" then
							 mySQL2="Insert into AssetAssignment (Tech_ID, Asset_Number) Values ('" & sTechID & "', " & asset_number & ")"
						Else
							If sCustomerID > "" and sTechID > "" then
								 mySQL2="Insert into AssetAssignment (Tech_ID, Customer_ID, Asset_Number) Values ('" & sTechID & "', '" & sCustomerID & "', " & asset_number & ")"
							End if
						end if
					end if


					 set rstemp2=conn.execute(mySQL2)
					If  err.number>0 then
						sStatus = wc_Import_Error_no_Tech & ": " &  err.description
					end if

					IF  conn.errors.count> 0 then
						sStatus = wc_Import_Error_no_Tech
						for counter= 0 to conn.errors.count
						next
					end if

					 set rstemp2 = nothing
				Else ' assetassignment
				End If
		End If ' bok
	DoInsert = Asset_Number

	End Function

%>

<% Function TechFullNameCookie()
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		TechID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		If TechID = "" Then
			TechFullNameCookie = "User Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & techid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullNameCookie = "User Not Defined for TechID: " & Techid
			Else
				TechFullNameCookie = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullNameCookie
	%>

<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" OR IsNull(TimeZoneAdjustment) = True Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)
	If HourPart > 12 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	Else
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End IF


	End Sub ' End of CreateTimeDateValues
%>
