<% 'Module: DoMakeProject.asp

   'Description: This module processes the response from the MakeProject.asp module
   ' and displays a confirmation page.
   '(C) 2011 Internet Software Sciences
   ' www.inet-sciences.com

	' This page process several different subforms on the makeproject.asp module


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/03/00	SAV		Created original ASP
   '3/27/07 JC		Cloned from DoEmailListUserGroups in BusinessCenter for use in Tech Center
	'5/26/2011 SAV	Cloned from DoEmailListuserGroup.asp  - Created on Ferry between Victoria and Tawassan BC
   '10/03/11    CMB  Testing, emails, scrolling to sections, updating project history.
   '10/04/11 CMB    Date Problem fixed
	'11/28/11  CMB   Due date, hours and resources estimated are all required fields
   '11/28/11  CMB   Don't let them add cases or subcases if already associated with project
   '11/28/11  CMB   When deleting a case also delete subcases under it
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="MakeProjectHTML.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<%   '  GLOBALS NEEDED FOR SEND EMAIL must be declared here
				Dim smtp_host_address
				Dim Standard_reply_to_address
				Dim Customer_case_notify
				Dim UserPageColor

				Dim SendHTMLEmail
				Dim SMTP_User_Name
				Dim SMTP_Password
				Dim HTMLEmail
	%>
<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

	Tech_Full_Name = TechFullName(LoginTech_ID)

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
<%

			response.flush
			response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% 'Get the form data
	DateDisplayFormat = GetDateDisplayFormat()

	ErrorMessage = "" ' Clear error message

	Submit = Request.form("Update")

	If Submit = "Update Project Info" Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 1: Block one -  Update Project Info Area
	' * * * * * * * * * * * * * * * * * * * * * *
		ProjectID = Request.form("ProjectID")

		ProjectName = Request.form("ProjectName")

		ProjectDescription  = Request.form("ProjectDescription")
		HoursEstimated = Request.form("HoursEstimated")
		ResourcesEstimated = Request.form("ResourcesEstimated")
		ProjectReferenceNumber = Request.form("ProjectReferenceNumber")
		ProjectDueDate = Request.form("ProjectDueDate")
		ProjectStatus = Request.form("ProjectStatus")


		If Trim(ProjectName) = "" Then
		  ErrorMessage = ErrorMessage & "<LI> " & "Project Name is required"
		End If

		If Trim(ProjectDescription) = "" Then
		  ErrorMessage = ErrorMessage & "<LI> " & "Project Description is required"
		End If

		if trim(HoursEstimated) = "" then  ' 11/28/2011
			 	ErrorMessage = ErrorMessage & "<LI> " & "'Hours Estimated' is required"
		else
			if trim(HoursEstimated) > "" and NOT isNumeric(HoursEstimated) then
				ErrorMessage = ErrorMessage & "<LI> " & "Hours Estimated must be numeric"
			End If
		end if

		if Trim(ResourcesEstimated) = "" then ' 11/28/2011
					 	ErrorMessage = ErrorMessage & "<LI> " & "'Resources Estimated' is required"
		else
			If Trim(ResourcesEstimated) > "" and Not IsNumeric(ResourcesEstimated) then
				ErrorMessage = ErrorMessage & "<LI> " & "Resources Estimated must be numeric"
			End If
		end if

		if Trim(ProjectDueDate) = "" then ' 11/28/2011
			 	ErrorMessage = ErrorMessage & "<LI> " & "'Project Due Date' is required"
		else
			if Trim(ProjectDueDate) > "" and NOT IsValidDateInput(ProjectDueDate,"MM/DD/YYYY") then  ' 11/28/11 changed date checking
				ErrorMessage = ErrorMessage & "<LI> " & wc_Invalid_Due_Date
			End If
		End If

		If ErrorMessage <> "" Then
		%>

<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise either add new or update record

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if projectID exists then this is an update
		If ProjectID = "NEW" then ' CMB 09/28/2011
			ProjectID = 0
		End if

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Projects where ProjectID = " & ProjectID
			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF Then
				NewRecord.AddNew
			End If

			If NOT NewRecord.EOF  Then

				NewRecord("ProjectName") = ProjectName
				NewRecord("ProjectDescription") = ProjectDescription

				NewRecord("HoursEstimated") =  HoursEstimated

				NewRecord("ResourcesEstimated") = ResourcesEstimated
				NewRecord("ProjectReferenceNumber") = ProjectReferenceNumber
				NewRecord("ProjectDueDate") = CDate(ProjectDueDate)
				NewRecord("ProjectStatus") = ProjectStatus

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					  response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
					' CMB If ProjectID = 0 get new project ID
					If ProjectID = 0 then
						'strSQL2 = "select @@IDENTITY as NewId" ' only works > access 2000
						'strSQL2 = "select SCOPE_IDENTITY() as NewID" ' for Access 2000 doesn't work
						strSQL2 = "Select max(ProjectID) as NewID from Projects" ' i don't like doing it this way
						Set rstWork = conn.execute(strSQL2)
						ProjectID = rstWork("NewId")
						rstWork.Close
						Set rstWork = Nothing

						'response.write "NEW PROJECT" & projectID
						'response.flush
						'response.end
					End If
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing




 ' Display the final page now

 	RedirectString = "MakeProject.asp?ID=" & ProjectID & "#projectinfo"

	response.redirect(RedirectString)


%>

<% end if ' errors %>
<% End IF ' End of Update Project Info %>
<!-- ******************** END UPDATE PROJECT INFO  -->

<!-- ******************** UPDATE PROJECT MEMBERS  -->

<% 'Get the form data  ' Option 2 - Update Project Members

	Submit = Request.form("Submit")
	ProjectID = Request.form("ProjectID")


'	response.write "here = " & Submit
'	response.flush
'	response.end


	If Submit = "Update Project Members" Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 1: Block one -  Update Project Members area
	' * * * * * * * * * * * * * * * * * * * * * *
		ProjectLeader = Trim(Request.form("ProjectLeader"))


		If Trim(ProjectLeader) = "" Then
				 	ErrorMessage = ErrorMessage & "<LI> " &  "Project Leader is required"
		End If

		If ErrorMessage <> "" Then %>				%>

				<!-- #INCLUDE FILE="Techusererror.inc" -->

		<% Else 'Otherwise either add new or update record

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if projectID exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Projects where ProjectID = " & ProjectID
			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF = TRUE Then
				NewRecord.AddNew
			End If


			If NewRecord.EOF <> True  Then

				NewRecord("ProjectLeader") = ProjectLeader  ' THis will be a tech_ID

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing

	' Next Add all of the Assigned group Members - to do this, we must first delete all of the records for project and then
	' add back all of the selected customer_Id or Tech_ID values back into the table

	' The table Project Members contains either Tech_ID or customer_ID (both 20 characters)

	' First we will need to remove all existing members for that project and then add them back in


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		'NOTE CMB had to change how this was done because if you remove one person and add another but some were in both, get error
		' because they were previously marked for deletion

		' **** delete old project members and add the new ones

		mySQL2="Delete from ProjectMembers where ProjectID = " & ProjectID
		conntemp.execute(mySQL2)

		conntemp.close ' Close the connection
		set conntemp=nothing

		' Now put back all the selected project members incase they added some and
		' deleted others.

			Set Conn2 = Server.CreateObject("ADODB.Connection")
			conn2.open  myDSN

			For each ProjectMember in Request.form("ProjectMembers")

				If ProjectMember <> "ALL" and ProjectMember <> "" Then  ' ALL actually isn't an option

					Set NewRecord = Server.CreateObject("ADODB.Recordset")
					SQL = "Select * from ProjectMembers where projectmember = '" & ProjectMember & "' And projectID = " & projectid
					NewRecord.Open SQL,Conn2,3,3
					if  NewRecord.eof then
						NewRecord.AddNew

						NewRecord ("ProjectID") = ProjectID
						NewRecord ("ProjectMember") = ProjectMember
						NewRecord.Update
					End If

					NewRecord.Close
					Set NewRecord = Nothing
				End If
			next
			Conn2.Close


' Now store and update the additional project Members text field into the database
' this is stored in the projects table


	AdditionalProjectMembers = Request.form("AdditionalProjectMembers")

	response.write "ProjectMembers = " & AdditionalProjectMembers


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if projectID exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Projects where ProjectID = " & ProjectID
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF = TRUE Then
				NewRecord.AddNew
			End If


			If NewRecord.EOF <> True  Then

				NewRecord("AdditionalProjectMembers") = AdditionalProjectMembers  ' Additional Project Members

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					  response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing

 ' Display the final page now

 	RedirectString = "MakeProject.asp?ID=" & ProjectID & "#members"

	response.redirect(RedirectString)

End If  ' project leader
%>


<% End IF ' End of Update Project Members Info %>
<!-- ******************** END OF UPDATE PROJECT MEMBERS  -->


<!-- ******************** ASSOCIATED CASES  -->

<% 'Get the form data  ' Option 3 - Add and delete Associated Cases and child cases

	Submit = Request.form("Submit")
	ProjectID = Request.form("ProjectID")


	If Submit = "Add Cases To Project" Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 1: Block one -  Add cases to project area
	' * * * * * * * * * * * * * * * * * * * * * *
			AssociatedCases = Request.form("AssociatedCases")

			if trim(AssociatedCases) = "" or NOT isNumeric(AssociatedCases) then
				ErrorMessage = ErrorMessage & "<LI> " & "A valid case number must be entered"
				%>
				<!-- #INCLUDE FILE="Techusererror.inc" -->

			<% Else 'Otherwise  add new

				Set Conn = Server.CreateObject("ADODB.Connection")
				conn.open  myDSN

				Set NewRecord = Server.CreateObject("ADODB.Recordset")

				SQL = "Select * from ProjectCases where ProjectID = " & ProjectID & " AND Case_Number = " & AssociatedCases

				NewRecord.Open SQL,Conn,3,3

			' IF EXISTS DON't LET THEM DO THIS
				If Not NewRecord.EOF then
					ErrorMessage = ErrorMessage & "<LI> " & "This case is already associated with this project."  ' 11/28/11
				else
					NewRecord.AddNew

					If not NewRecord.EOF  Then

						NewRecord("Case_Number") = AssociatedCases  ' this should be a case number
						NewRecord("ProjectID") = ProjectID

						NewRecord.Update

						If  err.number>0 then
							  response.write "VBScript Errors Occured:" & "<P>"
							  response.write "Error Number=" & err.number & "<P>"
							  response.write "Error Descr.=" & err.description & "<P>"
							  response.write "Help Context=" & err.helpcontext & "<P>"
							  response.write "Help Path=" & err.helppath & "<P>"
							  response.write "Native Error=" & err.nativeerror & "<P>"
							  response.write "Source=" & err.source & "<P>"
							  response.write "SQLState=" & err.sqlstate & "<P>"
						else
						'      response.write "No VBScript Errors Occured" & "<P>"
						end if
						IF  conn.errors.count> 0 then
							  response.write "Database Errors Occured" & "<P>"
						for counter= 0 to conn.errors.count
							  response.write "Error #" & conn.errors(counter).number & "<P>"
							  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
						next
						else
						'      response.write "No Database Errors Occured!" & "<P>"
						end if

					End If ' added OK
				End If ' already exists

				NewRecord.Close
				Conn.Close

				Set NewRecord = Nothing

				'*** go back to projects page or error page

				If ErrorMessage <> "" Then 				%>
					<!-- #INCLUDE FILE="Techusererror.inc" -->
					<%
				Else
					RedirectString = "MakeProject.asp?ID=" & ProjectID & "#asscases"
					response.redirect(RedirectString)
				End If
		End If ' nothing entered

 End IF ' End of Update Project Cases %>

<!-- ******************** END OF ADD CASES  -->


<!-- ******************** ADD CHILD CASES  -->

<% 'Get the form data  ' Option 4 - Add associated Child cases or delete top level associated cases

	Submit = Request.form("Submit")
	ProjectID = Request.form("ProjectID")
	Case_Number = Request.form("Case_Number")
	Subcase_Number = Request.form("Subcase_number")


	If Submit = "Add Child" Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 1: Block one -  Add child cases to project area
	' * * * * * * * * * * * * * * * * * * * * * *

		if trim(Subcase_Number) = "" or NOT isNumeric(Subcase_Number) or trim(Case_Number) = "" or NOT isNumeric(Case_Number) then
		 	ErrorMessage = ErrorMessage & "<LI> " & "A valid case number must be entered"
		Else
			' NOTE MAKE SURE THIS ISN"T ALREADY IN THERE

			Set Conn = Server.CreateObject("ADODB.Connection")
			conn.open  myDSN
			SQL = "Select * from ProjectCases where ProjectID = " & ProjectID & "  AND Case_Number = " & Subcase_Number
			Set NewRecord = Server.CreateObject("ADODB.Recordset")
			NewRecord.Open SQL,Conn,3,3

			If NOT NewRecord.EOF  Then
				 	ErrorMessage = ErrorMessage & "<LI> " & "This case is already associated with this project"
			End If

			NewRecord.Close
			Conn.Close
			Set NewRecord = Nothing

		End If
		If ErrorMessage <> "" Then %>

		<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise add new

		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from ProjectCases where ProjectID = " & ProjectID & " AND ParentCase = " & Case_number & " AND Case_Number = " & Subcase_Number
			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF  Then
				NewRecord.AddNew
			End If

			If NOT NewRecord.EOF   Then

				NewRecord("Case_Number") = SubCase_Number  ' this should be a case number
				NewRecord("ParentCase") = Case_Number
				NewRecord("ProjectID") = ProjectID

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					  response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
					for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
					next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If

	NewRecord.Close
	Conn.Close
	Set NewRecord = Nothing

 ' Redirect to project page

 	RedirectString = "MakeProject.asp?ID=" & ProjectID & "#asscases"

	response.redirect(RedirectString)
	End If

%>

<!-- END OF ASSOCIATED SUB_CASES INFO -->
<% End IF ' End of Update Associated Sub-cases Info %>


<!-- ******************** DELETE CASES  -->

<% 'Get the form data  ' Option 5 - Delete Associated Cases
	' This is the code that is executed if the Delete Associated Case button is pressed.  It is passed the case_number

	Submit = Request.form("Submit")
	ProjectID = Request.form("ProjectID")
	Case_Number = Request.form("Case_Number")
	Subcase_Number = Request.form("Subcase_number")
'Response.write "SUBMIT" & request.form("Submit")
'response.flush
'response.end

	If Submit = "Remove Case"  Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 1: Remove case from associated cases
	' * * * * * * * * * * * * * * * * * * * * * *
		if  trim(Case_Number) = "" or NOT isNumeric(Case_Number) then
		 	ErrorMessage = ErrorMessage & "<LI> " & "A valid case number must be entered"
		End If

		If ErrorMessage = "" Then

			Set Conn = Server.CreateObject("ADODB.Connection")
			conn.open  myDSN

		'	Set NewRecord = Server.CreateObject("ADODB.Recordset")

 			SQL = "Delete from ProjectCases where ProjectID = " & ProjectID & " AND Case_number = " & Case_number
 			set rstemp=conn.execute(SQL)

			SQL = "Delete from ProjectCases where ProjectID = " & ProjectID & " AND ParentCase = " & Case_number
 			set rstemp=conn.execute(SQL)

			'SQL = "Select * from ProjectCases where ProjectID = " & ProjectID & " AND Case_number = " & Case_number
			''response.write SQL
			''response.flush
			''response.end
			'NewRecord.Open SQL,Conn,3,3

			'If NOT NewRecord.EOF Then

					'NewRecord.delete
					'NewRecord.Update

					'If  err.number>0 then
						  'ErrorMessage = ErrorMessage & "<LI> A problem occurred while trying to delete this case."
						  'response.write "VBScript Errors Occured:" & "<P>"
						 'response.write "Error Number=" & err.number & "<P>"
						  'response.write "Error Descr.=" & err.description & "<P>"
						 ' response.write "Help Context=" & err.helpcontext & "<P>"
						  'response.write "Help Path=" & err.helppath & "<P>"
						 ' response.write "Native Error=" & err.nativeerror & "<P>"
						 ' response.write "Source=" & err.source & "<P>"
						 ' response.write "SQLState=" & err.sqlstate & "<P>"
				'	else
					'     ' response.write "No VBScript Errors Occured" & "<P>"
				'	end if

				'	IF  conn.errors.count> 0 then
						'  ErrorMessage = ErrorMessage & "<LI> A problem occurred while trying to delete this case."
						  'response.write "Database Errors Occured" & "<P>"
						 ' for counter= 0 to conn.errors.count
						  'response.write "Error #" & conn.errors(counter).number & "<P>"
						  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
						'next
					'else
					''      response.write "No Database Errors Occured!" & "<P>"
				'	end if

			'End If

			'NewRecord.Close
			Conn.Close
			'Set NewRecord = Nothing
	End If

	If ErrorMessage <> "" Then %>				%>

		<!-- #INCLUDE FILE="Techusererror.inc" -->

	<%
	Else 'redirect to Project Page
 		RedirectString = "MakeProject.asp?ID=" & ProjectID & "#asscases"
		response.redirect(RedirectString)
	End If
%>

<!-- ******************** END OF DELETE CASES -->
<% End IF ' End of Delete Cases %>




<!-- ******************** UPGRADE PROJECT HISTORY -->

<% 'Get the form data  ' Option 6 - Upgrade Project History

	Submit = Request.form("Submit")
	ProjectID = Request.form("ProjectID")
	Case_Number = Request.form("Case_Number")
	SendEmailValue = Request.form("SendEmail")

	If Submit = "Update Project History" Then
	' * * * * * * * * * * * * * * * * * * * * * *
	'  Update Project History Area
	' Each new history item goes in as row in the projecthistory database.
	' * * * * * * * * * * * * * * * * * * * * * *

		ProjectHistory = Request.form("ProjectHistory")

		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from ProjectHistory"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		NewRecord.AddNew

		NewRecord("ProjectID") = ProjectID

		sDate = Month(Now) & "/" & Day(Now) & "/" & Year(Now)
		NewRecord("ProjectHistoryDate") = CDate(sDate)
		NewRecord("ProjectHistoryTime") = Hour(Now) & ":" & Minute(Now)  'Hour(Now()) & ":" & Minute(Now())

		NewRecord("ProjectHistory") = ProjectHistory
		NewRecord("ProjectHistoryUpdatedBy") = CookieID ' Set it to the tech_id of the logged in tech

		NewRecord.Update
		If  err.number>0 then
			  response.write "VBScript Errors Occured:" & "<P>"
			  response.write "Error Number=" & err.number & "<P>"
			  response.write "Error Descr.=" & err.description & "<P>"
			  response.write "Help Context=" & err.helpcontext & "<P>"
			  response.write "Help Path=" & err.helppath & "<P>"
			  response.write "Native Error=" & err.nativeerror & "<P>"
			  response.write "Source=" & err.source & "<P>"
			  response.write "SQLState=" & err.sqlstate & "<P>"
		else
		'      response.write "No VBScript Errors Occured" & "<P>"
		end if
		IF  conn.errors.count> 0 then
			  response.write "Database Errors Occured" & "<P>"
		for counter= 0 to conn.errors.count
			  response.write "Error #" & conn.errors(counter).number & "<P>"
			  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
		next
		else
		'      response.write "No Database Errors Occured!" & "<P>"
		end if

		NewRecord.Close
		Conn.Close
		Set NewRecord = Nothing

		If SendEmailValue = "YES" Then
			Confirmation = SendProjectEmail(ProjectID,CookieID) '  Email project history changes to people on projects
		End IF

	 	RedirectString = "MakeProject.asp?ID=" & ProjectID  ' actually go to top since probably dont want to add more updates
	 	'RedirectString = "MakeProject.asp?ID=" & ProjectID & "#projupdates"

	If Confirmation > "" then
			'PUT UP A CONFIRMATION IF SENDING EMAILS
%>
			<html><head>
			<Title><%=wc_Project_Confirmation%></title>
			<!-- C. 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2011 Internet Software Sciences -->
			<!-- #INCLUDE FILE="Stylesheet.inc" -->
			</head>

			<body class=rightwindow>
			<center>
			<Table class=BGWrapper >
				<tr>
				<td width=50% align=center valign=center class=majorscreentitlefixed>
					<%=wc_Project%> <font color=red><B><%=ProjectID%></b></font>
					<%=wc_successfully_created_or_updated%>
				</td>
				</tr>
			</table>

			<p>
			<table border=1 cellspacing=2 cellpadding=10 width=98%>
				<tr><td>
					<B><%=wc_Email_Notification_Report%>:</b><P>
					<UL><%=Confirmation%></ul>
					<P>
				</td></tr>
			</table>

			<p>
			<center>

			<a href=<%=RedirectString%> >
			<img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
			</center>

			</body>
		</html>
			<%
	else ' no emails, just display the updated project
	 	response.redirect(RedirectString)

	 End If
	' response.write "MSG: <br>" & msg ' debugging isn't defined tho
%>

<!-- ******************** END OF UPDATE PROJECT HISTORY -->

<% End IF ' End of Update Project History  %>


<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>

<%
Function SendProjectEmail(nID, sCookieID) ' don't send to person making change
' NOTE: problem might be if tech and customer has same ID... will get two emails?
'
' Returns list of people send emails to, or blank string

	Server.ScriptTimeOut = 300 ' Set to 300 seconds (5 minutes)

		Dim bReturn
		Dim ListOfPeopleEmailsSentTo

		bReturn = 1 'good
		HTMLEmail = "YES"
		ListOfPeopleEmailsSentTo = ""

		'Get HTML message for the body do this first since CreateHTML thing uses conntemp also

		Msg = CreateHTMLEmailProjectMsg(nID) ' apparently uses conntemp so close and open afterwards
		SubjectLine = wc_Project_Email_SubjectLine

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection

		mySQL2="select * From Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			bReturn = 0
		Else
			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = CInt(rstemp2("customer_case_notify"))
			UserPageColor = rstemp2("ts_user_page_color")

			SendHTMLEmail = rstemp2("SendHTMLEmail") ' Boolean value
			SMTP_User_Name = rstemp2("SMTP_User_Name")
			SMTP_Password = rstemp2("SMTP_Password")
			HTMLEmails = "YES"
		End If
		rstemp2.close
		set rstemp2=nothing

		If bReturn = 1 then
	'************************* get project leader
		' go through list of members and send emails; could also get , AdditionalEmail but if projectleader has updated....

			mySQL2="Select First_Name, Last_Name, Work_Email, ProjectLeader from Projects inner join Tech_Staff on Projects.ProjectLeader=Tech_Staff.Tech_ID  where ProjectID = " & nID
			mySQL2=mySQL2 & " and ProjectLeader <> '" & sCookieID & "'"  ' not if he was the one who was doing the updating
			mySQL2=mySQL2 & " and work_Email is not null "
			'response.write mySQL2

			set rstemp2=conntemp.execute(mySQL2)

			If not rstemp2.EOF then
				if not IsNull(rstemp2("Work_Email")) then

					EmailAddr = rstemp2("Work_Email")

					if isnull(rstemp2("first_name")) then
						FirstName = ""
					else
						FirstName = rstemp2("first_name")
					end if

					if isnull(rstemp2("Last_name")) then
						LastName = ""
					else
						LastName = rstemp2("Last_name")
					end if

					FullName = FirstName & " " & LastName
					if trim(FullName) = "" then
							FullName = rstemp2("ProjectMember")  ' if no name use techid
					End if

					Call SendEmail(EmailAddr,FullName,SubjectLine,Msg)
					ListOfPeopleEmailsSentTo = ListOfPeopleEmailsSentTo & "<LI><b>Project Leader: </b>" & FullName & " <b>Email: </b>" & EmailAddr

					'response.write "SENDING EMAIL TO leader: " & "<BR>" & EmailAddr & "<BR>"  & FullName & "<BR>" &  SubjectLine & "<BR>"
				End If  ' email address not null

			End If
			rstemp2.close
			set rstemp2=nothing

'************************** tech staff
	' go through list of members and send emails; also get everyone in the additional people list
	' first get techs

		mySQL2="Select First_Name, Last_Name, Work_Email, ProjectMember from ProjectMembers inner join Tech_Staff on ProjectMembers.ProjectMember=Tech_Staff.Tech_ID  where ProjectID = " & nID
		mySQL2=mySQL2 & " and ProjectMember <> '" & sCookieID & "'"   ' not if he was the one who was doing the updating
		mySQL2=mySQL2 & " and work_Email is not null "

		'response.write mySQL2

		set rstemp2=conntemp.execute(mySQL2)

		Do While not rstemp2.EOF
			if not IsNull(rstemp2("Work_Email")) then

				EmailAddr = rstemp2("Work_Email")

				if isnull(rstemp2("first_name")) then
					FirstName = ""
				else
					FirstName = rstemp2("first_name")
				end if

				if isnull(rstemp2("Last_name")) then
					LastName = ""
				else
					LastName = rstemp2("Last_name")
				end if

				FullName = FirstName & " " & LastName
				if trim(FullName) = "" then
						FullName = rstemp2("ProjectMember")  ' if no name use techid
				End if

				Call SendEmail(EmailAddr,FullName,SubjectLine,Msg)
				ListOfPeopleEmailsSentTo = ListOfPeopleEmailsSentTo & "<LI><b>Tech: </b>" & FullName & " <b>Email: </b>" & EmailAddr

			'	response.write "SENDING EMAIL TO staff: " & "<BR>" & EmailAddr & "<BR>"  & FullName & "<BR>" &  SubjectLine & "<BR>"
			End If  ' email address not null

			rstemp2.movenext
		Loop
		rstemp2.close
		set rstemp2=nothing

'************************** customers

		' get all customers

			mySQL2="Select Email,contact_fname, Contact_lname, ProjectMember from ProjectMembers inner join Customers on ProjectMembers.ProjectMember=Customers.Customer_ID  where ProjectID = " & nID
			mySQL2=mySQL2 & " and ProjectMember <> '" & sCookieID & "'"   ' not if he was the one who was doing the updating
			mySQL2=mySQL2 & " and Email is not null "

			'response.write mySQL2

			set rstemp2=conntemp.execute(mySQL2)

			Do While not rstemp2.EOF

				if not IsNull(rstemp2("Email")) then
					EmailAddr = rstemp2("Email")

					if isnull(rstemp2("contact_fname")) then
						FirstName = ""
					else
						FirstName = rstemp2("contact_fname")
					end if

					if isnull(rstemp2("contact_lname")) then
						LastName = ""
					else
						LastName = rstemp2("contact_lname")
					end if

					FullName = FirstName & " " & LastName
					if trim(FullName) = "" then
							FullName = rstemp2("ProjectMember")  ' if no name use customerid
					End if

					Call SendEmail(EmailAddr,FullName,SubjectLine,Msg)
					ListOfPeopleEmailsSentTo = ListOfPeopleEmailsSentTo & "<LI><b>Customer: </b>" & FullName & " <b>Email: </b>" & EmailAddr

					'response.write "SENDING EMAIL TO customer: " & "<BR>" & EmailAddr & "<BR>"  & FullName & "<BR>" &  SubjectLine & "<BR>"

				End If  ' email address not null
				rstemp2.movenext
			Loop
			rstemp2.close
			set rstemp2=nothing

		'************************** additional people
		' get additional people (don't need to call again since it was gotten from the projects file

			mySQL2="Select AdditionalProjectMembers from Projects where ProjectID = " & nID
			set rstemp2=conntemp.execute(mySQL2)
			'response.write mySQL2

			if not rstemp2.EOF then
				if not isnull(rstemp2("additionalProjectMembers")) then
				' break up array

				 DIM aryChunk
				 Dim i
				 Dim u

				 aryChunk = Split(rstemp2("additionalProjectMembers"),",")
				 u = UBound( aryChunk)
				 i = 0

		   		do while i <= u
		   			EmailAddr = Trim(aryChunk(i))
		   			FullName = EmailAddr ' don't have fullname so use email address instead
		   	'		msg="<HTML>HI THERE</HTML>"  ' TEST ONLY

					Call SendEmail  (EmailAddr,FullName,SubjectLine,Msg)
					ListOfPeopleEmailsSentTo = ListOfPeopleEmailsSentTo & "<LI><b>Additional emails: </b>"  & EmailAddr
					'response.write "SENDING EMAIL TO additional: " & "<BR>" & EmailAddr & "<BR>"  & FullName & "<BR>" &  SubjectLine & "<BR>"

					i = i + 1
				Loop
				End If
			End If

			rstemp2.close
			set rstemp2=nothing

		End If
		conntemp.Close
		Set conntemp = nothing

	SendProjectEmail = ListOfPeopleEmailsSentTo  'bReturn

	'response.write MSG
	'response.flush
	'response.end
End Function
%>

