<% 'Module: DoManageInspectionStatus.asp

   'Description: This module processes the response from the ManageInspectionStatus.asp page
   ' and displays a confirmation page.
   '(C) 2000- 2011 Internet Software Sciences
   ' www.inet-sciences.com

	' This page process 5 difference types of UserGroup (category) options

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/03/00	SAV		Created original ASP
   '3/27/07 JC		Cloned from DoEmailListUserGroups in BusinessCenter for use in Tech Center

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

			%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
			<%

			response.flush
			response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>



<% 'Get the form data

	Submit = Request.form("Submit")
	If Submit = wc_Modify_Inspection_Status_button Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 1: Modify existing Inspection Status
	' * * * * * * * * * * * * * * * * * * * * * *

		OldInspection = Request.form("OldInspection")
		NewInspection = Request.form("NewInspection")

		If Trim(NewInspection) = "" Then
		  response.write "You must enter a new inspection status"
		  response.flush
		  response.end
		End If



		OldInspectionStatus = GetOldInspection(OldInspection)

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if customer_ID exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from InspectionStatus where InspectionStatusIndex = " & OldInspection
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True and NewInspection <> "" Then

				NewRecord("InspectionStatus") = NewInspection

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


 ' Display the final page now
%>

<html>
<head>
<title> Inspection Status Options</title>
</head>

<body class=rightwindow>
<center>
<font face=arial>
<%=wc_Modify_Inspection_Status %>
</font>
</center>

<font size=-1 face=arial>
<UL>
Inspection Status  <B><%=OldInspectionStatus %></b> renamed to<B> <%=NewInspection %></b>.
<P>
<center>
<table width=70%>
<tr><td align=center>
<a href="ManageInspectionStatus.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
</td>
<td>

<a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</td>
</tr>
</table>

</center>
<P>

</body>
</html>


<%End IF ' End of Option 1 - Modify Inspection Status %>


<% ' Option - Set Default inspection status


	If Submit = wc_Set_Default_Inspection_button Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 1: Set Default Inspection Status
	' * * * * * * * * * * * * * * * * * * * * * *

		OldInspection = Request.form("OldInspection")

		If Trim(oldinspection) = "" Then
		  response.write "You must select an inspection status to set for default"
		  response.flush
		  response.end
		End If



		OldInspectionStatus = GetOldInspection(OldInspection)

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if customer_ID exists then this is an update


	' First unset the previous setting

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from InspectionStatus"
			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

		Do While NewRecord.EOF <> True

				NewRecord("DefaultStatus") = 0 ' unset all values

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


			newrecord.movenext
		loop


	NewRecord.Close


	' Now set the new one

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from InspectionStatus where InspectionStatusIndex = " & OldInspection
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3


			If NewRecord.EOF <> True  Then

				NewRecord("DefaultStatus") = 1

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing
 ' Display the final page now
%>

<html>
<head>
<title> Inspection Status Options</title>
</head>

<body class=rightwindow>
<center>
<font face=arial>
<%=wc_Set_Default_Inspection_Status %>
</font>
</center>

<font size=-1 face=arial>
<UL>
Default Inspection Status changed to  <B><%=OldInspectionStatus %></b>
<P>
<center>
<table width=70%>
<tr><td align=center>
<a href="ManageInspectionStatus.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
</td>
<td>

<a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</td>
</tr>
</table>

</center>
<P>

</body>
</html>


<%  End IF ' End of Default Inspection Status

'---
 ' Option - Set Complete inspection status

	If Submit = wc_Set_Complete_Inspection_button Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 1: Set Default Inspection Status
	' * * * * * * * * * * * * * * * * * * * * * *

		OldInspection = Request.form("CompleteInspection")

		If Trim(oldinspection) = "" Then
		  response.write "You must select an inspection status to set for default"
		  response.flush
		  response.end
		End If

		OldInspectionStatus = GetOldInspection(OldInspection)

		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN

	'  First unset the previous setting

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from InspectionStatus"

		NewRecord.Open SQL,Conn,3,3

		Do While NewRecord.EOF <> True

				NewRecord("CompleteStatus") = 0 ' unset all values

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
					for counter= 0 to conn.errors.count
						  response.write "Error #" & conn.errors(counter).number & "<P>"
						  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
					next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			newrecord.movenext
		loop

		NewRecord.Close

	' Now set the new one

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from InspectionStatus where InspectionStatusIndex = " & OldInspection
		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		If NewRecord.EOF <> True  Then
			NewRecord("CompleteStatus") = 1

			NewRecord.Update
			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				 response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if
			IF  conn.errors.count> 0 then
				  response.write "Database Errors Occured" & "<P>"
			for counter= 0 to conn.errors.count
				  response.write "Error #" & conn.errors(counter).number & "<P>"
				  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
			'      response.write "No Database Errors Occured!" & "<P>"
			end if

		End If

		NewRecord.Close

		Conn.Close

		Set NewRecord = Nothing

 ' Display the final page now
%>

<html>
<head>
<title> Inspection Status Options</title>
</head>

<body class=rightwindow>
<center>
<font face=arial>
<%=wc_Set_Complete_Inspection_Status %>
</font>
</center>

<font size=-1 face=arial>
<UL>
Complete Inspection Status changed to  <B><%=OldInspectionStatus %></b>
<P>
<center>
<table width=70%>
<tr><td align=center>
<a href="ManageInspectionStatus.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
</td>
<td>

<a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</td>
</tr>
</table>

</center>
<P>

</body>
</html>


<%End IF ' End of Option 1 - Modify Inspection Status %>




<% ' Option #2 Add New Inspection

	If Submit = wc_Add_Inspection_button  Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 2: Add New Inspection
	' * * * * * * * * * * * * * * * * * * * * * *

		NewInspection = Request.form("NewInspection")


		If Trim(NewInspection) = "" Then
		  response.write " You must enter a new inspection status"
		  response.flush
		  response.end
		End If

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from InspectionStatus where InspectionStatus = '" & NewInspection & "'"
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3

			' It must not exist before we add it.
			If NewRecord.EOF = True and NewInspection <> "" Then
				NewRecord.AddNew

				NewRecord("InspectionStatus") = NewInspection

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


 ' Display the final page now
%>

<html
<head>
<title> Inspection Status</title>
</head>

<body class=rightwindow>
<center>
<font face=arial>
New Inspection Status Added
</font>
</center>

<font size=-1 face=arial>
<UL>
New Inspection Status <B> <%=NewInspection %></b> added.
<P>
<P>
<center>
<table width=70%>
<tr><td align=center>
<a href="ManageInspectionStatus.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
</td>
<td>

<a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</td>
</tr>
</table>

</center>
<P>

</body>
</html>


<%End IF ' End of Option 2 - Add Inspection Status %>

<% ' Option #3 Delete Inspection Status

	If Submit = wc_Delete_Inspection_Button Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 3: Delete Inspection Status
	' * * * * * * * * * * * * * * * * * * * * * *

		DeleteInspectionStatus = Request.form("DeleteInspectionStatus")
		DeleteInspection =  GetOldInspection(DeleteInspectionStatus)


' First see if there are any inspection that use this inspection status state..
' if so, one must first merge this status state with another one before it can be deleted
' to prevent orphaned records.



	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Inspection where InspectionStatusIndex = " & DeleteInspectionStatus
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3

			' It must exist before we delete
			If NewRecord.EOF <> True  Then

				RecordsFound ="YES"




				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing




If RecordsFound <> "YES" Then


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from InspectionStatus where InspectionStatusIndex = " & DeleteInspectionStatus
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3

			' It must exist before we delete
			If NewRecord.EOF <> True  Then

				NewRecord.Delete

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing

 End IF ' If no records found


 ' Display the final page now
%>

<html>
<head>
<title> Inspection Status</title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>
<center>
<font face=arial>


<table class=BGWrapper align=center>
<tr>
<td class=MinorScreenTitle><%=wc_Delete_Inspection_Status_Option%></td>
</tr>
</table>

 <%=wc_Inspection_Status_Deleted%>
</font>
</center>

<font size=-1 face=arial>
<UL>

<% If RecordsFound = "YES"  Then %>

The inspection status <B> <%= DeleteInspection%> </B> could not be deleted since they
are inspections that use this inspection status.  You must first merge all inspections
with this status to another inspection status.

<% Else %>


Inspection Status <B> <%= DeleteInspection%> </B> has been deleted.


<% End If
%>


<center>
<table width=70%>
<tr><td align=center>
<a href="ManageInspectionStatus.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
</td>
<td>

<a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</td>
</tr>
</table>

</center>
<P>

</body>
</html>


<% End IF ' End of Option 3



%>


<% ' Option #4 Merge InspectionStatus

      '  response.write "we are here - " & submit & "<P>"
       ' response.flush
      '  response.end


	If Submit = wc_Merge_Inspection_Button Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 4: Merge Inspection Status
	' * * * * * * * * * * * * * * * * * * * * * *

		FromInspection = Request.form("FromInspection")
		ToInspection = Request.form("ToInspection")

		If (Trim(FromInspection)) = (Trim(ToInspection))  Then
		  response.write wc_Inspection_Merge_Failed
		  response.flush
		  response.end
		End If



		FromInspectionName = GetOldInspection(FromInspection)
		ToInspectionName = GetOldInspection(ToInspection)

		' Change all of the User Category from one value to another

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Inspection where InspectionStatusIndex = " & FromInspection

		Set rstemp = Server.CreateObject("ADODB.Recordset")
			rstemp.Open mySQL2,ConnTemp,3,3

		Do while rstemp.EOF <> True
			rstemp("InspectionStatusIndex") = ToInspection
			rstemp.Update

			rstemp.movenext
		loop


		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing


 ' Display the final page now
%>

<html
<head>
<title> Manage Inspection Status</title>
</head>
<body>
<center>
<font face=arial>
 <%=wc_Merge_Inspection_Status_Button%>
</font>
</center>

<font size=-1 face=arial>
<UL>
Inspection Status  <B><%=FromInspectionName%></b> has been merge with the inspection status
<B><%=ToInspectionName%></b> .

<P>
Press Continue to continue for Inspection Status Changes or Cancel to exit.
<P>
<center>
<table width=70%>
<tr><td align=center>
<a href="ManageInspectionStatus.asp"><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></A>
</td>
<td>

<a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
</td>
</tr>
</table>

</center>
<P>

</body>
</html>


<%End IF ' End of Option 4 - Merge inspection status %>




<%Function GetOldInspection(InspectionID)
' This function returns the name of the passed Inspection ID

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

		mySQL="select * from InspectionStatus where InspectionStatusIndex = " & InspectionID

	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.
	If  rstemp.eof then ' Check to see any category exists
		GetOldInspection = " Not Found"
	Else
		GetOldInspection = rstemp("InspectionStatus")
	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

End Function
	%>


