<% 'Module: DoManageQBItems.asp

   'Description: This module processes the response from the ManageQBItems.asp page
   ' and returns back to the ManageQBItems.asp page
   '(C) 2008 Internet Software Sciences
   ' www.inet-sciences.com

   ' It can process updates, deletes, and new QB Item entries


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '8/03/00	SAV		Created original ASP
   '3/27/07 JC		Cloned from DoEmailListUserGroups in BusinessCenter for use in Tech Center
   '03/24/2008	SAV	Cloned from DoManageUserGroups.asp

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

			%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
			<%

			response.flush
			response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>



<% 'Get the form data

	Submit = Request.form("Submit")
	If Submit = "Update" Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 1: Update Existing QB Item Record
	' * * * * * * * * * * * * * * * * * * * * * *

		QBItemName = Request.form("QBItemName")
		QBItemType = Request.form("QBItemType")
		QBItemDesc = Request.form("QBItemDesc")
		QBItemPrice = Request.form("QBItemPrice")
		QBItemIndex = Request.form("QBItemIndex")


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if customer_ID exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from QBItem where QBItemIndex = " & QBItemIndex
			'response.write SQL


			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True Then

				NewRecord("QBItemName") = QBItemName
				NewRecord("QBItemType") = QBItemType
				NewRecord("QBItemDesc") = QBItemDesc
				NewRecord("QBItemPrice") = QBItemPrice

				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End If


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


 ' Display the final page now
%>


<% response.redirect("ManageQBItems.asp")  %>





<% End IF ' End of Update option
%>

<% ' Option #2 Add New Category

	If Submit = "Add New QB Item" Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 2: Add New QB Item
	' * * * * * * * * * * * * * * * * * * * * * *


		QBItemName = Request.form("QBItemName")
		QBItemType = Request.form("QBItemType")
		QBItemDesc = Request.form("QBItemDesc")
		QBItemPrice = Request.form("QBItemPrice")


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from QBItem"

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			' It must not exist before we add it.
				NewRecord.AddNew

				NewRecord("QBItemName") = QBItemName
				NewRecord("QBItemType") = QBItemType
				NewRecord("QBItemDesc") = QBItemDesc

				If QBItemPrice <> "" Then
					NewRecord("QBItemPrice") = QBItemPrice
				End IF


				NewRecord.Update
				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if


	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


 ' Display the final page now
%>

<%
response.redirect("ManageQBItems.asp")
%>

<% End IF ' End of Option 2 - Add new QB Item
%>

<% ' Option #3 Delete QB Item

	If Submit = "Delete" Then
	' * * * * * * * * * * * * * * * * * * * * * *
	' Option 2: Delete QB Item
	' * * * * * * * * * * * * * * * * * * * * * *


		QBItemIndex = Request.form("QBItemIndex")


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if customer_ID exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from QBItem where QBItemIndex = " & QBItemIndex
			'response.write SQL


			'response.write SQL


			NewRecord.Open SQL,Conn,3,3

			' It must exist before we delete
			If NewRecord.EOF <> True  Then

				NewRecord.Delete

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
					  response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			End IF



	NewRecord.Close

	Conn.Close

	Set NewRecord = Nothing


 ' Display the final page now
%>


<% response.redirect("ManageQBItems.asp")  %>



<% End IF ' End of Option 3 - Delete User Category

%>



