<% 'Module: DoDeleteTech2.asp

   'Description: This module does the deleting of tech staff member and
   ' and also nulls out or reassigns cases, customers and assets to the
   ' specified staff member.

   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/24/01	SAV		Created original DoReAssignCustomerID2.asp page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Allow only levels 6 and above do deletes

		CookieID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoReAssignCaseCustomerID2.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<%' Include this file to get special database cursor constants to read record count values

	' If this page is called, they have said yes to delete the tech and reassign cases, customers and assets

	Old_Customer_ID = Request.form("Old_Customer_ID")

	New_Customer_ID = Request.form("New_Customer_ID")


	' First we will search for case records that have this customer

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Cases where customer_id = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		CasesReassigned = 0
		Do While NewRecord.EOF <> True
			CasesReassigned = CasesReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Reassign Cases

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  response.write "Error #" & conn.errors(counter).number & "<P>"
					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if
				NewRecord.MoveNext


		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


	' Now check for any asset assignments for customer
	' This is NOT CALLED but left for possible integration for other enhancements

'	Set Conn = Server.CreateObject("ADODB.Connection")
'	conn.open  myDSN
'
'
'		Set NewRecord = Server.CreateObject("ADODB.Recordset")
'
'		SQL = "Select * from AssetAssignment where Customer_ID = '" & Old_Customer_ID & "'"
'
'		'response.write SQL
'
'		NewRecord.Open SQL,Conn,3,3
'
'		AssetsReAssigned = 0
'		Do While NewRecord.EOF <> True
'			AssetsReassigned = AssetsReassigned + 1
'
'				NewRecord("Customer_ID") = New_Customer_ID ' Set to Reassigned customer
'				NewRecord.Update
'
'			If  err.number>0 then
'				  response.write "VBScript Errors Occured:" & "<P>"
'				  response.write "Error Number=" & err.number & "<P>"
'				  response.write "Error Descr.=" & err.description & "<P>"
'				  response.write "Help Context=" & err.helpcontext & "<P>"
'				  response.write "Help Path=" & err.helppath & "<P>"
'				  response.write "Native Error=" & err.nativeerror & "<P>"
'				  response.write "Source=" & err.source & "<P>"
'				  response.write "SQLState=" & err.sqlstate & "<P>"
'			else
'			'      response.write "No VBScript Errors Occured" & "<P>"
'			end if
'
'
'			IF  conn.errors.count> 0 then
'				'response.write "Database Errors Occured" & "<P>"
'				for counter= 0 to conn.errors.count
'					  'response.write "Error #" & conn.errors(counter).number & "<P>"
'					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
'				next
'			else
'				  'response.write "No Database Errors Occured!" & "<P>"
'			end if
'
'			NewRecord.MoveNext
'
'		Loop
'
'
'	NewRecord.Close
'	Set NewRecord = Nothing
'
'	Conn.Close
'	Set Conn = Nothing
'

	' Now check for any customertech assignments
	' THIS IS NOT CALLED but left in for future enhancements


'	Set Conn = Server.CreateObject("ADODB.Connection")
'	conn.open  myDSN
'
'
'		Set NewRecord = Server.CreateObject("ADODB.Recordset")
'
'		SQL = "Select * from CustomerTechAssignment where customer_ID = '" & Old_Customer_ID & "'"
'
'		'response.write SQL
'
'		NewRecord.Open SQL,Conn,3,3
'
'		CustomersReassigned = 0
'		Do While NewRecord.EOF <> True
'			CustomersReassigned = CustomersReassigned + 1
'
'				NewRecord("Customer_ID") = New_Customer_ID ' Set to ReassignTech or NULL
'
'				NewRecord.Update
'
'			If  err.number>0 then
'				  response.write "VBScript Errors Occured:" & "<P>"
'				  response.write "Error Number=" & err.number & "<P>"
'				  response.write "Error Descr.=" & err.description & "<P>"
'				  response.write "Help Context=" & err.helpcontext & "<P>"
'				  response.write "Help Path=" & err.helppath & "<P>"
'				  response.write "Native Error=" & err.nativeerror & "<P>"
'				  response.write "Source=" & err.source & "<P>"
'				  response.write "SQLState=" & err.sqlstate & "<P>"
'			else
'			'      response.write "No VBScript Errors Occured" & "<P>"
'			end if
'
'
'			IF  conn.errors.count> 0 then
'				'response.write "Database Errors Occured" & "<P>"
'				for counter= 0 to conn.errors.count
'					  'response.write "Error #" & conn.errors(counter).number & "<P>"
'					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
'				next
'			else
'				  'response.write "No Database Errors Occured!" & "<P>"
'			end if
'
'			NewRecord.MoveNext
'
'		Loop
'
'
'	NewRecord.Close
'	Set NewRecord = Nothing
'
'	Conn.Close
'	Set Conn = Nothing
'
'
%>

<%	' We need to get the name of the customer that it was re-assigned from.

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from  Customers where customer_id = '" & Old_customer_ID & "'"

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True Then

				Old_CustomerFullName = NewRecord("Contact_fname") & " " & NewRecord("Contact_lname")


			Else ' If it already exists do not add another entry
				Old_CustomerFullName = " User Not Found "

			End If

		NewRecord.Close

		Conn.Close

		Set NewRecord = Nothing
		Set Conn = Nothing
%>


<% ' Display the page now %>


<%	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>

<!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->

<head>

<title>Final Case Re-assignment Confirmation </title>

</head>

<body bgcolor=#<%=UserPageColor%>>

<center><table border=1 cellspacing=2 cellpadding=10 width=80%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Final_Case_Re_assignment_Confirmation%></b>
</font>
<br>
</td></tr></table><p>
</center>

<center>
<table width=90%>
<tr><td>
<UL>

<%=wc_The_following_re_assigned_from_customer%><Font color=red><u><%=Old_CustomerFullName%></u></font>:<p>
<Ul>
<LI> <%=CasesReassigned%>&nbsp;<%=wc_Cases_re_assigned%>

<P>
</ul>

</td></tr></table>

<br>

<center>


	<a href=SystemAdmin.asp>
	<img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif></a>

</center>

<br>
<br>


</font>


</body>
</html>


<%End If %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
