<% 'Module: DoReAssignOneCaseCustomerID2.asp

   'Description: This module does the re-assigning of the customer ID
   ' for one case.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/24/01	SAV		Created original DoReAssignCustomerID2.asp page
   '02/12/02	SAV		Created original DoReAssignOneCustomerID2.asp page
   '04/26/2011  CMB     Call be called from TCaseForm; change security level if so
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

		FromCase = Request.form("FromCase") ' CMB 04/26/2011
		if FromCase = "YES" then ' CMB 04/26/2011
			TechLevel = 3
		Else
			TechLevel = 5 ' Allow Admins only
		End If

		CookieID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoReAssignOneCaseCustomerID2.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<%' Include this file to get special database cursor constants to read record count values

	' If this page is called, they have said yes to reassign case

	CaseNumber = Request.form("casenumber")

	New_Customer_ID = Request.form("New_Customer_ID")


	' First we will search for case records that have this customer

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Cases where case_number = " & casenumber

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		CasesReassigned = 0
		Do While NewRecord.EOF <> True
			CasesReassigned = CasesReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Reassign Cases

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			' This was commented out for SQL*Server compatability.
			' SQL sends warning errors that are not needed.

			'IF  conn.errors.count> 0 then
			'	response.write "Database Errors Occured" & "<P>"
			'	for counter= 0 to conn.errors.count
			'		  response.write "Error #" & conn.errors(counter).number & "<P>"
			'		  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
			'	next
			'else
			'	  'response.write "No Database Errors Occured!" & "<P>"
			'end if

				NewRecord.MoveNext


		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing

%>

<%	' We need to get the name of the customer that it was re-assigned from.

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from  Customers where customer_id = '" & New_customer_ID & "'"

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True Then

				CustomerFullName = NewRecord("Contact_fname") & " " & NewRecord("Contact_lname")


			Else ' If it already exists do not add another entry
				CustomerFullName = " User Not Found "

			End If

		NewRecord.Close

		Conn.Close

		Set NewRecord = Nothing
		Set Conn = Nothing
%>


<% ' Display the page now %>


<%	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>

<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->

<head>

<title>Final One Case Re-assignment Confirmation </title>

</head>

<body bgcolor=#<%=UserPageColor%>>

<center><table border=1 cellspacing=2 cellpadding=10 width=80%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Final_One_Case_Re_assignment_Confirmation%></b>aaaa
</font>
<br>
</td></tr></table><p>
</center>

<center>
<table width=90%>
<tr><td>
<UL>

<%=wc_Case_Number%> <font color=red><%=CaseNumber%></font>
<%=wc_Has_been_re_assigned_to%>:
<Font color=red><u><%=CustomerFullName%></u></font><p>

</td></tr></table>

<br>

<center>

<%  if FromCase = "YES" then ' CMB 04/26/2011 %>
	<a href=TCaseForm.asp?Case_Number=<%=CaseNumber%>&Customer_ID=<%=New_Customer_ID%>>
<% else %>
	<a href=PermitMaintenance.asp border=0>
<% end if %>


	<img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif></a>

</center>

<br>
<br>


</font>


</body>
</html>


<%End If %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
