<% 'Module: DoReassignCaseCustomerID.asp

   'Description: This module is the first confirmation to re-assigning an
   ' the customer_ID field in the case table.
   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/24/01	SAV		Created original DoReassignCaseCustomerID.asp Page

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only levels 6 and above--- Configurators Only


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoDeleteTech.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% ' Get customer for Cases to be re-assigned and customer to get new Cases

	Old_Customer_Id = Request.form("Old_Customer_ID") ' From customer
	New_Customer_ID = Request.form("New_Customer_ID") ' Reassign Cases to this customer


%>


<% ' Display the Confirmation %>

<html>


<!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->

<head>

<title>Case Re-Assignment Confirmation</title>

</head>


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing


' When Customer_ID drop down is turned off, users must enter the Customer_Id manually
' and the entered customer_ID may be invalid, so we need to confirm that the Old_Customer_ID
' and the New_Customer_ID are all valid customer_id values.

	' Check Old_Customer_ID

	sqltemp="select * from Customers where customer_id = '" & Old_Customer_ID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	If rstemp.EOF = True Then
		ErrorMessage = ErrorMessage & "<LI> " &  wc_Invalid_FROM_Customer_ID_Value & " <font color=red> " & Old_Customer_ID & "</font> " & wc_not_found_in_Database
	End IF

	rstemp.close
	set rstemp=nothing


	' Check New_Customer_ID

	sqltemp="select * from Customers where customer_id = '" & New_Customer_ID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	If rstemp.EOF = True Then
		ErrorMessage = ErrorMessage & "<LI> " & wc_Invalid_TO_Customer_ID_Value  & " <font color=red> " & New_Customer_ID & "</font> " & wc_not_found_in_Database
	End IF

	rstemp.close
	set rstemp=nothing


' Now get the numbers of cases, contact assignments, and
' related assets that will be modified by deleting this staff member.

	' Get assigned cases

	sqltemp="select * from Cases where customer_id = '" & Old_Customer_ID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	TotalAssignedCases = rstemp.recordcount
	rstemp.close
	set rstemp=nothing


	' Get contact assignments

	sqltemp="select * from CustomerTechAssignment where Customer_id = '" & Old_Customer_ID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	TotalAssignedCustomers = rstemp.recordcount
	rstemp.close
	set rstemp=nothing

	' Get Asset Assignments

	sqltemp="select * from AssetAssignment where Customer_id = '" & Old_Customer_ID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	TotalAssignedAssets = rstemp.recordcount
	rstemp.close
	set rstemp=nothing



	' Get Customers Full Name for displaying on page

	sqltemp="select * from Customers where  customer_id = '" & Old_Customer_ID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	If rstemp.EOF <> True Then

		CustomerFullName = rstemp("Contact_fname") & " " & rstemp("Contact_lname")
	End IF

	rstemp.close
	set rstemp=nothing

	' Get reassigned Customers Full Name for displaying on page

	sqltemp="select * from Customers where  Customer_ID = '" & New_Customer_ID & "'"
	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic

	If rstemp.EOF <> True Then
		ReassignedCustomerFullName = rstemp("Contact_Fname") & " " & rstemp("Contact_lname")
	End If

	rstemp.close
	set rstemp=nothing


	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body bgcolor=#<%=UserPageColor%>>


<% ' First verify that the Tech to be deleted was selected and
	' that the assignment is not the same as the tech to be deleted.
%>


<center><table border=1 cellspacing=2 cellpadding=10 width=80%>
<tr>
<td align=center>
<font size=+1>
<b>Re-Assign Case Customer Confirmation</b>
</font>
<br>
</td></tr></table><p>
</center>


<% If New_Customer_ID = Old_Customer_ID Then
	ErrorMessage = ErrorMessage & " <LI>" & wc_New_Customerassignment_is_same
	End IF

	If Old_Customer_ID = "" Then
		ErrorMessage = ErrorMessage & " <LI>" & wc_You_must_select_a_customer_from
	End If

	If New_Customer_ID = "" Then
		ErrorMessage = ErrorMessage & " <LI>" & wc_You_must_select_to_transfer_TO
	End If

	If ErrorMessage <> "" Then

%>

	<UL>

	<B><%=wc_Sorry_we_cannot_re_assign_the_Cases%>:</b><P>

	<UL>
	<%=ErrorMessage %>
	</ul>

	<P>
	<%=wc_Please_press_back_and_submit_again%>
	</ul>

<%Else ' Choices ok %>


<center>
<table width=70%>
<tr><td>


<%=wc_Re_assigning_Cases_from%> <font color=red><U><%=CustomerFullName%></u></font> <%=wc_will_re_assign%>: <P>
<UL>

<LI><%= TotalAssignedCases %>&nbsp; <%=wc_Support_Cases%>
</ul>


<%=wc_To_Customer%> <font color=red><U><%=ReassignedcustomerFullName %> </u></font>

 <hr>

<P>
<%=wc_Do_you_wish_to_re_assign_Cases%><P>


<form action=DoReAssignCaseCustomerID2.asp method=post>
<input type=hidden name=Old_Customer_ID value=<%=Old_Customer_ID%>>
<input type=hidden name=New_Customer_ID value=<%=New_Customer_ID%>>

</td></tr></table>

<br>

<table border=0 cellspacing=1 cellpadding=1 width=65%>
<tr>
<td align=center>
<input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_yes30x80.gif border=0>

</td>
<td align=center>
<a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_no30x80.gif border=0></a>
</td>

</tr>
</table>
<br>
<p>
<center></form>

<%End IF %>


</body></html>

<%End If %>

