<% 'Module: DoRecoverPassword.asp

   'Description: This module is the submit module for tech+Center recover password form.
   ' It sends an email to the tech to the submitted password if the tech is registered in the tech+Center as
   ' as a technician and allows them to view or reset the password.

   '(C) 2000, 2001-2014 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'4/25/2014	SAV		Created DoRecoverPassword.asp module for recovering tech passwords


	' CONSTANTS
%>

<%' Set Global application variables - must be done prior to anything else %>
<!-- #INCLUDE FILE="SetGlobal.asp" -->

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="Adovbs.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->

<!-- #INCLUDE FILE="Encodepwd.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->
<!-- #INCLUDE FILE="../Language/HTMLEmailTemplateLostTechPassword.inc" -->




<%

' --- First we will see if the cookie exists already

TimeOffsetMinutes = Request.Cookies("WEB_CENTER_TIMEOFFSET") ' Get the time offset from the cookie

If TimeOffsetMinutes = "" Then ' -- Check to see if we got a value out of the cookie
    'response.write "Cookie does not yet exist<p>"
    ' -- pick up the value from the submitted form instead
    TimeOffsetMinutes = request.form("TimeDiff")
    ' -- and now set the cookie
     Response.Cookies("WEB_CENTER_TIMEOFFSET") = TimeOffsetMinutes
     Response.Cookies("WEB_CENTER_TIMEOFFSET").Path = "/"
     Response.Cookies("WEB_CENTER_TIMEOFFSET").Secure = FALSE
Else
    ' response.write "Existing Cookie successfully retrieved<p>"
end if

'response.write "I see the time offset from GMT (of the machine running your browser) in minutes is " & TimeOffsetMinutes & "<p>"
'response.flush
'response.end


TimeOffsetHours = TimeOffsetMinutes / 60

'response.write "Which means the offset in hours is " & TimeOffsetHours & "<p>"


%>


<% ' Verify the Username LoginID and password

	LoginTechID = request.form("Login_Tech_ID")
	Field_Validation_Check "User Id", LoginTechID

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here



		mySQL2="select * from Tech_staff where work_email = '" & LoginTechID & "'"
		'response.write "SQL= " & mySQL2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			LoginFailed = "YES"
			' email or password fails so send out page to have then try again.
		Else

		' match was made so send out Email message to tech with password
			Techpassword = rstemp("tech_password") ' Set cookie with TechID
			LoginID =rstemp("current_customer_ID")
			tech_ID= rstemp("tech_ID")
			Tech_Level = rstemp("tech_level") ' Grab tech level to display different startup user page
			ToEmail = LoginTechID
			password = rstemp("Tech_password")


		End If

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing


	If LoginFailed = "YES" OR LicenseKeyViolation = "YES" Then


%>

<html><!-- (C) 1996,1998 by Internet Software Sciences-->
<head>
<title>Tech+Center Account Recover</title>
</head>
<body bgcolor=#D8D8D8>
<center><table border=1 cellspacing=2 cellpadding=10
width=98%><tr><td><div align=center><font size=+1><b>
<%=wc_Tech_Center_Login_Failure%>
</b></font>
<br>
<font size=+1 color=blue><b></b></font></div><div align=left><p>
<font size=-1></div></td></tr></table><p>
<center>
<table width=80%><tr><td bgcolor=F0F0F0>
<font size=-1 face=arial>

<% If LicenseKeyViolation = "YES" Then %>
<center>
	<Font size=+2 color=red>FREE (2) Tech License Key Violation <br>
	  2 Tech License Exceeded<P></font>

</center>
	Only 2 techs can be registered with the FREE 2 tech version.  To obtain licensed
	versions for more than 2 techs, please contact
	<a href=http://www.inet-sciences.com>Internet Software Sciences</a> or
	send an email to the ISS Sales at <a href=mailto:Sales@inet-sciences.com>Sales@inet-sciences.com</a>
	with your Tech staff requirements.
	<P>
	<B>You must remove any additonal techs beyond 2  from the Tech_staff table in the database before you
	can use the Tech+Center
	application again.</b>
	<P>
	<I>If a licensed user obtains this message, please contact ISS and we can provide you with
	your appropriate tech user license key immediately.</i>
	<P>

<%Else %>

<B>Sorry,</b> your Tech+Center email address could not be found.  Please press the Continue
button below and retry your email address again or contact your Web+Center administrator:<P>
<%End If %>

<center>
<a href=recoverpassword.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>
</td></tr></table>

</td></tr></table>

<br>
</form>
</body>
</html>


<%Else ' Email address is valid so send email and provide back to return back to login screen



		OrganizationFromName = "" ' Default to Blank for Global

	 ' Get Other Configuration settings


		GetDatabaseEmailConfiguration2 SMTP_User_Name, SMTP_Password, HTMLEMail, smtp_host_address, Standard_Reply_To_Address, OrganizationFromName

			If EncryptPasswords = True Then
				Decode = "YES"
			Else
				Decode = "NO"
			End If

			'Customer Passwords maybe encoded so before we send it back to the user, we
			' may need to decode them back for the email message

		If Decode = "YES" Then
			Customer_Password = DecodePassword(Customer_Password)
		End If


		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.

		Message = "Below is your Tech+Center account login information.  You can log into Tech+Center with LoginID, TechID, or Email and password"

		SubjectLine = "Tech+Center Password Recovery"


		IF HTMLEmail = "YES" Then

			Message = 	CreateHTMLLostTechPassword (LoginID, tech_ID, message, password, ToEmail)

		End If


		' *********************** END USER CUSTOMIZATIONS**********************

		If ToEmail <> ""  Then
		   If MyOs = "Windows" Then
			   SendEmail ToEmail, ToFullName, SubjectLine, Message
		   Else
		      SendLinuxEmail ToEmail, ToFullName, SubjectLine, Message
		   End If
		End If


%>



<html><!-- (C) 1996,1998 by Internet Software Sciences-->
<head>
<title>Tech+Center Account Recover</title>
</head>
<body bgcolor=#D8D8D8>
<center><table border=1 cellspacing=2 cellpadding=10
width=98%><tr><td><div align=center><font size=+1><b>
Tech+Center account recovery
</b></font>
<br>
<font size=+1 color=blue><b></b></font></div><div align=left><p>
<font size=-1></div></td></tr></table><p>
<center>
<table width=80%><tr><td bgcolor=F0F0F0>
<font size=-1 face=arial>


<B>An email with the Tech+Center account password has been sent to <U><%=LoginTechID%></u>.  Check your
email inbox for this password recovery email.  Click on the Continue button below to return back
to the Tech+Center login page.

<P>



<center>
<a href=default.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>
</td></tr></table>

</td></tr></table>

<br>
</form>
</body>
</html>



<% End If %>

<% Sub GetDatabaseEmailConfiguration2(SMTP_User_Name, SMTP_Password, HTMLEMail, smtp_host_address, Standard_Reply_To_Address, OrganizationFromName )
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"

		set rstemp2 = server.createobject("adodb.recordset")
		rstemp2.open mySQL2, conntemp, 1,3

		' set rstemp2=conntemp.execute(mySQL2)
		' Old Method


		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then

			' New 5.0 SMTP mailer options

				SendHTMLEmail = False ' Boolean value
				SMTP_User_Name = ""
				SMTP_Password = ""

				If SendHTMLEmail = True Then
					HTMLEmail = "YES"
				Else
					HTMLEmail = ""
				End IF

		smtp_host_address = ""
		Standard_reply_to_address = ""
		 OrganizationFromName = "None" ' Use this for organization name in mail out

		Else

			' New 5.0 SMTP mailer options

				SendHTMLEmail = rstemp2("SendHTMLEmail") ' Boolean value
				SMTP_User_Name = rstemp2("SMTP_User_Name")
				SMTP_Password = rstemp2("SMTP_Password")

				If SendHTMLEmail = True Then
					HTMLEmail = "YES"
				Else
					HTMLEmail = ""
				End IF

				' Disable HTML email for scheduler message for now
				 'HTMLEmail = "NO"

				smtp_host_address = rstemp2("smtp_host_address")
				Standard_reply_to_address = rstemp2("Standard_reply_to_address")
				 OrganizationFromName = rstemp2("Customer_Name_Text") ' Use this for organization name in mail out



			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseEmailConfiguration
%>





