<% 'Module: DoRenameCustomerID.asp

   'Description: This module does the renameing of a customer_ID field in the
   ' customers table and changing all of the references in related files.
   ' The orginal customer_id must exist and the new customer_id
   ' must be unique before it can created.

   '(C) 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '05/07/01	SAV		Created original DoRenameCustomerID.asp page
   '10/09/07	JC		Updated to take care of new tables in V6 - Invoices, Media_schedule, and TextChat


	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only levels 5 and above these renames of customerIDs

		CookieID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoRenameCustomerID.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<%' Include this file to get special database cursor constants to read record count values


	' First confirm that the original Customer_ID exists incase
	' they have directly entered the customer_ID

	Old_Customer_ID = Request.form("Customer_ID")

	New_Customer_ID = Request.form("New_Customer_ID")

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN ' Open connection here once


		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from  Customers where customer_id = '" & Old_customer_ID & "'"

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True Then

				Old_CustomerFullName = NewRecord("Contact_fname") & " " & NewRecord("Contact_lname")


			Else ' If it already exists do not add another entry
				ErrorMessage = ErrorMessage & "<LI> " & wc_The_original_Customer_ID_can_not_be_found


			End If

		NewRecord.Close
		Set NewRecord = Nothing

		' Do not close connection yet

		' Now confirm that the new customer_id is unique and not in use

				Set NewRecord = Server.CreateObject("ADODB.Recordset")
					SQL = "Select * from  Customers where customer_id = '" & New_customer_ID & "'"

					'response.write SQL

					NewRecord.Open SQL,Conn,3,3

					If NewRecord.EOF <> True Then
						ErrorMessage = ErrorMessage & "<LI> " & wc_The_new_Customer_ID_already_exists


						Old_CustomerFullName = NewRecord("Contact_fname") & " " & NewRecord("Contact_lname")


					End If

				NewRecord.Close
				Set NewRecord = Nothing

		Conn.Close
		Set Conn = Nothing

	' Now confirm that the size of the customer_id is at least 5 characters

	If Len(New_Customer_ID) < 5 then
			ErrorMessage = ErrorMessage & "<LI> " & wc_The_new_Customer_ID_must_be_at_least_5_characters
	End If



	' Now check if there are any errors

	If ErrorMessage <> "" Then
%>

<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise rename the customer_ID

	' First we must change the primary key Customer_Id in the customers table

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Customers where customer_id = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3


				NewRecord("Customer_ID") = New_Customer_ID ' Reassign Cases

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if
				NewRecord.MoveNext
	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


	' Now we must update all foreign keys with the new customer_id value
	' Tables that have references to Customer_ID are the following:

	' (1) Cases
	' (2) AssetAssignment
	' (3) CustomerNotes
	' (4) CustomerTechAssignment
	' (5) DeleteList

	' New Version 4.0 References including:

	' (6) EmailCategoryLinks (User Groups)
	' (7) Schedule (Events)
	' (8) Survey_Results

	' New Version 6.0 References including

	' (9)  Invoice
	' (10) Media_schedule
	' (11) TextChat



	' ******* ASSETASSIGNMENT *********************

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from AssetAssignment where Customer_ID = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		AssetsReAssigned = 0
		Do While NewRecord.EOF <> True
			AssetsReassigned = AssetsReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Set to Reassigned customer
				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext

		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


	' Now check for any customertech assignments

	' ********** CustomerTechAssignment Table Changes

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from CustomerTechAssignment where customer_ID = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		CustomerTechReassigned = 0
		Do While NewRecord.EOF <> True
			CustomerTechReassigned = CustomerTechReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Set to ReassignTech or NULL

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
		'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext

		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


	' Now check for any cases

	' ********** Cases Table Changes

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Cases where customer_ID = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		CasesReassigned = 0
		Do While NewRecord.EOF <> True
			CasesReassigned = CasesReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Set to new customer_id

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
		'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext

		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


	' Now check for any CustomerNotes

	' ********** CustomerNotes

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from CustomerNotes where customer_ID = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		CustomerNotesReassigned = 0
		Do While NewRecord.EOF <> True
			CustomerNotesReassigned = CustomerNotesReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Set to new customer_id

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
		'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext

		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


	' Now check for any CustomerNotes and delete lists

	' ********** DeleteList

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from DeleteList where customer_ID = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		DeleteListReassigned = 0
		Do While NewRecord.EOF <> True
			DeleteListReassigned = DeleteListReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Set to new customer_id

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
		'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext

		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


	' Now check for any Email Category Links

	' ********** EmailCategoryLinks (User Groups)

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from EmailCategoryLinks where customer_ID = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		EmailCategoryLinksReassigned = 0
		Do While NewRecord.EOF <> True
			EmailCategoryLinksReassigned = EmailCategoryLinksReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Set to new customer_id

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
		'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext

		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing



	' Now check for any Schedule (Events)

	' ********** Schedule Checks

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Schedule where customer_ID = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		ScheduleReassigned = 0
		Do While NewRecord.EOF <> True
			ScheduleReassigned = ScheduleReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Set to new customer_id

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
		'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext

		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing



	' Now check for any Schedule (Events)

	' ********** Schedule Checks

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Survey_Results where customer_ID = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		Survey_ResultsReassigned = 0
		Do While NewRecord.EOF <> True
			Survey_ResultsReassigned = Survey_ResultsReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Set to new customer_id

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
		'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext

		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing

'------------------------------------New tables added in v6 ----------------------------



	' Now check for any TextChat

	' ********** TextChat

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from TextChat where customer_ID = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		TextChatReassigned = 0
		Do While NewRecord.EOF <> True
			TextChatReassigned = TextChatReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Set to new customer_id

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
		'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext

		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing



	' Now check for any Invoice

	' ********** Invoice

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Invoice where customer_ID = '" & Old_Customer_ID & "'"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		InvoiceReassigned = 0
		Do While NewRecord.EOF <> True
			InvoiceReassigned = InvoiceReassigned + 1

				NewRecord("Customer_ID") = New_Customer_ID ' Set to new customer_id

				NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
		'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext

		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing



	' Now check for any Media_schedule

	' ********** Media_schedule

	If TableExists("Media_schedule","customer_id") Then
		media = "Yes"
	else
		media = "No"
	end if

	If media = "Yes" then

		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN


			Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Media_schedule where customer_ID = '" & Old_Customer_ID & "'"

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			Media_scheduleReassigned = 0
			Do While NewRecord.EOF <> True
				Media_scheduleReassigned = Media_scheduleReassigned + 1

					NewRecord("Customer_ID") = New_Customer_ID ' Set to new customer_id

					NewRecord.Update

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					  response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
			'      response.write "No VBScript Errors Occured" & "<P>"
				end if


				IF  conn.errors.count> 0 then
					'response.write "Database Errors Occured" & "<P>"
					for counter= 0 to conn.errors.count
						  'response.write "Error #" & conn.errors(counter).number & "<P>"
						  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
					next
				else
					  'response.write "No Database Errors Occured!" & "<P>"
				end if

				NewRecord.MoveNext

			Loop


		NewRecord.Close
		Set NewRecord = Nothing

		Conn.Close
		Set Conn = Nothing

 end if ' media table exists



%>


<% ' Display the page now %>


<%	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>

<!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->

<head>

<title>Rename Customer ID Confirmation </title>

</head>

<body bgcolor=#<%=UserPageColor%>>

<center><table border=1 cellspacing=2 cellpadding=10 width=80%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Customer_ID_Confirmation%></b>
</font>
<br>
</td></tr></table><p>
</center>

<center>
<table width=90%>
<tr><td>
<UL>

Customer ID
 <Font color=red><u><%=Old_Customer_ID%></u></font>
<%=wc_Has_been_renamed_to_new_Customer_ID%> <Font color=red><u><%=New_Customer_ID%></u></font>
<%=wc_Which_has_re_assigned%>:<p>
<Ul>
<LI> <%=CasesReassigned%>&nbsp;<%=wc_Case_entries_re_assigned%>
<LI> <%=CustomerTechReassigned%>&nbsp;<%=wc_CustomerTech_entries_re_assigned%>
<LI> <%=DeleteListReassigned%>&nbsp;<%=wc_DeleteList_entries_re_assigned%>
<LI> <%=CustomerNotesReassigned%>&nbsp;<%=wc_Customer_Notes_entries_re_assigned%>
<LI> <%=EmailCategoryLinksReassigned%>&nbsp;<%=wc_User_Categories_entries_re_assigned%>
<LI> <%=ScheduleReassigned%>&nbsp;<%=wc_Events_entries_re_assigned%>
<LI> <%=Survey_ResultsReassigned%>&nbsp;<%=wc_Survey_Results_entries_re_assigned%>

<LI> <%=InvoiceReassigned%>&nbsp; Invoice Records Re-Assigned
<LI> <%=TextChatReassigned%>&nbsp; Text Chat Records Re-Assigned
<LI> <%=Media_scheduleReassigned%>&nbsp; Media Schedule Records Re-Assigned

<P>
</ul>

</td></tr></table>

<br>

<center>


	<a href=PermitMaintenance.asp>
	<img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif></a>

</center>

<br>
<br>


</font>


</body>
</html>

<%End IF ' End of if ErrorMEssage = "" %>

<%End If %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

	<%
	 ' This function takes 2 parameters - a table-name and optionaly a column-name which must be an empty string if absent.
	 ' It returns TRUE or FALSE depending on whether the named table (and the column if specified) are in the database
	  Function TableExists(tablename,columnname)
		set conntempveryunique=server.createobject("adodb.connection")
		conntempveryunique.open myDSN ' Open the connection once here
		if columnname = "" Then
		     mySQLveryunique="select * from " & tablename
		else
		     mySQLveryunique="select " & columnname & " from " & tablename
		end if
		' response.write "Executing " & mySQLveryunique & "<P>"
		errorcode = 0
		On error resume next
		set rstempveryunique=conntempveryunique.execute(mySQLveryunique)
		errorcode = err.number
		' response.write "I see error code is " & errorcode & "<P>"
		if errorcode = 0 then
	       TableExists = 1
	    else
	       TableExists = 0
	    end if

		rstempveryunique.close
		set rstempveryunique=nothing
		conntempveryunique.close ' Close the connection
		set conntempveryunique=nothing

	  end function

%>
