<% 'Module: DoSurplusAsset.asp

   'Description:  This module allows a tech user (level 2 and above)
   ' to retire an asset.  Actually it moves it into surplus!
   ' Since this was customized code, the fields used are those from
   ' the client for which the code was customized.  In order to
   ' use this, you'd probably want to change some of the fields to
   ' values which make sense for your corporation

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'SBCC - must be level 4, otherwise level 2
  ' This is really SBCC-specific although it could be easily modified

  '' Sets assignments to Blank (customer, tech, asset number)
  ' Sets Bldg (location) to blank
  ' Sets Room # (group) to blank
 '  Sets Department (monitor model) to blank
 '  Sets Assignment type (Lease or purchase) to 'unassigned'
 '  Sets Status (Monitor serial number) to 'surplus'

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/01/12	cmb		Created original ASP
   '02/03/12   CMB      EditTechLevel; multiple assigned to entities - save tech
   '03/05/12   CMB      Set refresh to NO
   '04/25/12   CMB      Moved functions to include file; changed success msg to 'moved to surplus';
   '04/30/12   CMB      RENAMED TO DoSurplusAsset.asp


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="RetireSurplus.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<% 'Get the form data
	If SBCC = "YES" then
		EditTechLevel = 4
	Else
		EditTechLevel = 2
	End If
	' Get the Logged in Tech

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
	Asset_number = Request.Querystring("Asset_number")
	If asset_Number <= "" then
		'invalid asset number
	End If

	ValidUser = IsValidUser(EditTechLevel) ' Allow only levels 2 and above ' 02/03/12

 %>

<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoRetireAsset.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

	<html>

	<!-- (C) 1996,1998, 1999, 2000, 2001, 2002, 2003 by Internet Software Sciences -->

	<head>

	<title><%=wc_Asset_Information%></title>
	<!-- #INCLUDE FILE="Stylesheet.inc" -->
	</head>

	<body class=rightwindow>
	<center>
	<Table class=BGWrapper >
	<tr>
	<td width=50% align=center valign=center class=majorscreentitlefixed>
 <%	bOK = Surplus(Asset_Number)

%>
	<%=wc_Asset_Information%>
	</td>
	<td width=50% align=center valign=center  class=MajorScreenTitleValue>
	<font  color=red><%= Asset_number%></font>
	</td>
	</tr></table>

	<font size=-1 face=arial>
	<UL>
	 <B>(<%=wc_Asset_Number%>: <%=Asset_number%>)</b> <%=wc_Surplus_Asset_Block%>.
	<P>

	<%=wc_Please_select_a_link_below%>:<P>
		<center>
		<table width=70%>
		<tr>
		<td width=30% align=center>
		<font size=-1 face=arial>
		<a href=AssetInfo.asp?Asset_number=<%=Asset_number%>&From=<%=SearchURL%> ><%=wc_Review_Asset_Record%></a>
		</td>
		<td width=30% align=center>
		<font size=-1 face=arial>
		<a href=Assets.asp><%=wc_Asset_Search%></a>
		</td>

		<td width=30% align=center>
		<font size=-1 face=arial>
		<a href=UserScreen.asp><%=wc_Cancel%></a>
		</td></tr>
		</table>
	</ul>

	<br>
	<br>
	</font>
	</body>
	</html>
<% End if ' End of I ErrorMessage <> "" %>
<%
Function IsValidUser(lvl)

'returns yes or no; uses cookie id
		CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie
		IsValidUser = "NO"  ' set default
		set conn=server.createobject("adodb.connection")
		conn.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & lvl
		set rstemp=conn.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			IsValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conn.close ' Close the connection
		set conn=nothing

End Function
%>

