<%  ' Module: DoSurveyResultsDetails.asp
	'
	' Description: Submit Module For ViewSurveyResults.asp module
	'
	' (C) 2000, 2001, 2002 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'08/27/02	SAV		Created original module
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		AssetDatabase = rstemp2("Assets_db")
		WCDateFormat = rstemp2("Date_Display_Format")
		Customer_ID_List = rstemp2("customer_id_list")
		Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQL

		' This will override databasetype2 constants set in the DB_define.inc file


			DatabaseType2 = Database



	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	Sort = Request.querystring("Sort") ' Sort order

	' Allow toggling of ascending/descending order for links
 	Ascend = Request.Querystring("Ascend") ' Ascending/Descending Order

	if Page = "" Then

		' Get the form variables if passed from the original Case Search Form



		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Customer_ID = Request.form("customer_Id")
		'response.write "Customer_ID= " & Customer_ID

		Question_ID = Request.form("Question_ID")

		ReturnSurveyValue = Request.form("ReturnSurveyValue") ' SQL expression - less than, etc
		YESNOANSWER = Request.form("YESNOAnswer")

		AnswerValue = Request.form("AnswerValue") ' Value of 1-5

		' Get the Question from the Question_ID in a separate SQL statement

 		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN



			mySQL2="SELECT * from Survey where Question_ID = " & Question_ID
			set rstemp=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the

			If rstemp.EOF <> True Then
				Question_String = rstemp("Survey_Question")
				Question_Type = rstemp("Question_Type") ' Type 1 or 2

				' Type 2 = YES
				' Type 1 = 1-5 Range box

			Else
				Question_String = "Question Not Found... "
			End If

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing



			If Question_Type = 1 Then

				If Question_ID <> ""   Then ' 1-5 Range Questions
						WhereStatement = WhereStatement & AndText & " Result_Detail.Question_ID = " & Question_ID & " AND Result_Detail.RANGE_ANSWER " & ReturnSurveyValue & " " & AnswerValue
				AndText = " AND "

				End IF

			End IF

			If Question_Type = 2 Then ' YES/NO Question


			If DatabaseType2 = "SQLSERVER" Then


				If Question_ID <> ""   AND YESNOAnswer = "YES" Then
						WhereStatement = WhereStatement & AndText & " Result_Detail.Question_ID = " & Question_ID & " AND Result_Detail.YES_NO_ANSWER = 1 "
				AndText = " AND "
				End If

				If Question_ID <> ""   AND YESNOAnswer = "NO" Then
						WhereStatement = WhereStatement & AndText & " Result_Detail.Question_ID = " & Question_ID & " AND Result_Detail.YES_NO_ANSWER  = 0"
				AndText = " AND "
				End If


			Else


				If Question_ID <> ""   AND YESNOAnswer = "YES" Then
						WhereStatement = WhereStatement & AndText & " Result_Detail.Question_ID = " & Question_ID & " AND Result_Detail.YES_NO_ANSWER "
				AndText = " AND "
				End If

				If Question_ID <> ""   AND YESNOAnswer = "NO" Then
						WhereStatement = WhereStatement & AndText & " Result_Detail.Question_ID = " & Question_ID & " AND NOT( Result_Detail.YES_NO_ANSWER )"
				AndText = " AND "
				End If

			End If




			End If


		Case_number = Request.form("Case_number")

		' Customer_ID  Search
		If  Customer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Customer_ID = '" & Customer_ID & "'"
			AndText = " AND "
		End IF


		' Case Number Search
		If  Case_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Case_number = " & Case_number
			AndText = " AND "
		End IF


		' Survey Date Range check

		If Start_Date <> "" Then

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= '" & Start_Date & "'"
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= #" & Start_Date & "#"
			End IF

			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= '" & YYMMDD(Start_Date) & "'"
			End IF

			AndText = " AND "


		End If

		If End_Date <> "" Then

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <=  '" & End_Date & "'"
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <= #" & End_Date & "#"
			End IF

			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <=  '" & YYMMDD(End_Date) & "'"
			End IF

			AndText = " AND "


		End If


	' The complete query is in the WhereStatement at this point

	End If  ' End of If Page <> ""


	' Display the Main body of the page %>

<html>

<head>
<title>Customer Surveys Reports with Links</title>
</head>


<body bgcolor="<%=UserPageColor%>">
<center><table border=1 cellspacing=2 cellpadding=10 width=98% >
<tr>
<td align=center>
<font size=+1>
<b>Customer Surveys Reports with Links</b>
</font>
<br>
</td></tr></table><p>
</center>

<UL>
<B>Survey Question:</B> <I><%=Question_String%></i>
<br><br>

<B>With Search Criteria of:</b>


<%
			If Question_Type = 1 Then


				SearchCriteriaString = "When survey result is answered with a (1-5) selection " & ReturnSurveyValue & " " & AnswerValue


			End IF

			If Question_Type = 2 Then ' YES/NO Question



				If Question_ID <> ""   AND YESNOAnswer = "YES" Then
					SearchCriteriaString = " When Survey result is answered with YES"

				End If

				If Question_ID <> ""   AND YESNOAnswer = "NO" Then
					SearchCriteriaString = " When Survey result is answered with NO"
				End If



			End If
%>

<I><%= SearchCriteriaString %> </i>
<br>
</uL>


<hr>




</FORM>



<%

	' Build the query based on the passed input fields

	'mySQL2 = "SELECT Survey_Results.Case_Number, Survey_Results.Survey_Date, Survey_Results.Results_id, Cases.case_one_line, Cases.customer_id FROM Survey_Results INNER JOIN Cases ON Survey_Results.Case_Number = Cases.case_number "


'	mySQL2 = "SELECT Survey_Results.Case_Number, Survey_Results.Survey_Date, Result_Detail.Results_ID, Result_Detail.Question_ID, Result_Detail.YES_NO_ANSWER, Result_Detail.OPEN_ENDED_ANSWER, Result_Detail.RANGE_ANSWER, Survey.Question_Type FROM (Survey_Results INNER JOIN Result_Detail ON Survey_Results.Results_ID = Result_Detail.Results_ID) INNER JOIN Survey ON Result_Detail.Question_ID = Survey.Question_ID "


'	mySQL2 = "SELECT Survey.Survey_Question, Survey.Question_Type, Result_Detail.Question_ID, Result_Detail.YES_NO_ANSWER, Result_Detail.OPEN_ENDED_ANSWER, Result_Detail.RANGE_ANSWER, Survey_Results.Case_Number, Survey_Results.Survey_Date, Customers.contact_fname, Customers.contact_lname, Survey_Results.Customer_ID, Survey_Results.Case_Number FROM ((Survey_Results INNER JOIN Result_Detail ON Survey_Results.Results_ID = Result_Detail.Results_ID) INNER JOIN Survey ON Result_Detail.Question_ID = Survey.Question_ID) INNER JOIN Customers ON Survey_Results.Customer_ID = Customers.customer_id "

'	mySQL2 = "SELECT Survey.Survey_Question, Survey.Question_Type, Result_Detail.Question_ID, Result_Detail.YES_NO_ANSWER, Result_Detail.OPEN_ENDED_ANSWER, Result_Detail.RANGE_ANSWER, Survey_Results.Case_Number, Survey_Results.Survey_Date, cases.customer_id FROM ((Survey_Results INNER JOIN Result_Detail ON Survey_Results.Results_ID = Result_Detail.Results_ID) INNER JOIN Survey ON Result_Detail.Question_ID = Survey.Question_ID) INNER JOIN cases ON Survey_Results.Case_Number = cases.case_number "


'	mySQL2 = "SELECT Survey.Survey_Question, Survey.Question_Type, Result_Detail.Question_ID, Result_Detail.YES_NO_ANSWER, Result_Detail.OPEN_ENDED_ANSWER, Result_Detail.RANGE_ANSWER, Survey_Results.Case_Number, Survey_Results.Survey_Date, cases.customer_id, cases.case_one_line FROM ((Survey_Results INNER JOIN Result_Detail ON Survey_Results.Results_ID = Result_Detail.Results_ID) INNER JOIN Survey ON Result_Detail.Question_ID = Survey.Question_ID) INNER JOIN cases ON Survey_Results.Case_Number = cases.case_number "


	mySQL2 = "SELECT Survey.Survey_Question, Survey.Question_Type, Result_Detail.Question_ID, Result_Detail.YES_NO_ANSWER, Result_Detail.OPEN_ENDED_ANSWER, Result_Detail.RANGE_ANSWER, Survey_Results.Case_Number, Survey_Results.Survey_Date, cases.customer_id, cases.case_one_line, Result_Detail.Results_ID FROM ((Survey_Results INNER JOIN Result_Detail ON Survey_Results.Results_ID = Result_Detail.Results_ID) INNER JOIN Survey ON Result_Detail.Question_ID = Survey.Question_ID) INNER JOIN cases ON Survey_Results.Case_Number = cases.case_number "



	If  WhereStatement <> "" THEN
		WhereStatement = " WHERE " & WhereStatement
	End IF

	' Now Add that Where clause to the select statement

	mySQL2 = mySQL2 & WhereStatement

	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.


	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

		mySQL2 = mySQL2 & Query

	End If

	If Sort = "" Then
		'mySQL2 = mySQL2 & " Order by Cases.Case_Number"
		mySQL2 = mySQL2 & " Order by Survey_Results.Survey_Date" & " " & Ascend

	End IF

	If Sort <> "" and Sort = "Survey_date" Then
			mySQL2 = mySQL2 & " Order by Survey_Results.Survey_Date" & " " & Ascend
	End If

	If Sort <> "" AND Sort <> "Survey_date" Then
		mySQL2 = mySQL2 & " Order by Cases." & Sort & " " & Ascend
	End IF


'	response.write mySQL2
'	response.flush
'	response.end

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string


	set rstemp = Server.CreateObject("adodb.recordset")

	' Uncomment below to view SQL statement
	'Response.Write mySQL2

	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount

	%>

	<% If RecordsFound = 0 THen
		Response.write "<B>"
		Response.write wc_No_Records_Found_Date  & "</b><P>"
	Else
%>

	 <center><%=wc_Your_search_has_found%>  <%=RecordsFound%> &nbsp;<%=wc_matching_records%>.<br></center><P>

	</font>


	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by 15.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.

	If RecordsFound > 0 Then
		If RecordsFound = 15 Then ' See if exactly 15 records are return
			NumOfPages = 1
		Else
			NumOfPages = Int(RecordsFound/15) + 1
			If NumOfPages > 20 Then
				NumOfPages = 20
			End If
		End If
	End If


	 'toggle the asend flag


'	If NumOfPages > 1 Then
'
'		response.write "<font size=-2 face=arial>"
'		response.write "<B>" & wc_Result_Pages & ":</b> "
'
'		If Page = "" THEN
'			Page = 1
'		End If
'
'		If Page <> ""  Then
'			CurrentPage = Page
'		End If
'
'		for i = 1 to NumOfPages
'			If CInt(CurrentPage) = i Then
'				response.write "<B>" & i & "</b>"
'			Else
'				response.write "<a href=DoViewSurveyResults.asp?Page=" & i & "&Query="& Query&"&Text="& TextFlag&"&ResultsView="&ResultsView & "&Sort="&Sort & "&Ascend=" & Ascend &" > "& i& "</a>"
'			End If
'			response.write chr(10)& chr(13)
'		next
'
'		if CurrentPage > 20 then
'			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
'		End If
'
'		response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoViewSurveyResults.asp?Page=" & CurrentPage+1 & "&Query="& Query&"&Text="&TextFlag&"&ResultsView="&ResultsView&"&Sort="&Sort & "&Ascend=" & Ascend &">" & wc_Next & ".. &gt;&gt; </a>"
'		response.write "<P></font>"
'	End If

	 'toggle the asend flag before we make the links to the headers

		IF Ascend = "ASC"  Then
			Ascend = "Desc"
		Else
			Ascend = "ASC"
		End If


	' Check to see if any records are returned
	' if none found the

'		count = 0


		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

'		if Page <> "" Then
'			PageNum = ((CInt(Page)-1)*15)
'			rstemp.Move PageNum ' Move to the appropriate record
'		End If
'
'		IF Page = "" Then
'				PageLink = "1"
'			Else
'				PageLink = Page
'			End IF
		%>



		<CENTER><TABLE BORDER=1 CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
		<tr>

		<%
		Response.write "<th bgcolor=D0E0F0><font size=-1><a href=DoViewSurveyResults.asp?Page=" & PageLink & "&Query=" & Query  & "&Sort=Case_Number&Ascend=" & Ascend & ">" & wc_Case & "</a></th>" & vbCRLF
		Response.write "<th bgcolor=D0E0F0><font size=-1><a href=DoViewSurveyResults.asp?Page=" & PageLink & "&Query=" & Query  & "&Sort=Customer_id&Ascend="& Ascend& ">" & wc_Customer & "</a></th>" & vbCRLF
		Response.write "<th bgcolor=D0E0F0 ><font size=-1><a href=DoViewSurveyResults.asp?Page=" & PageLink & "&Query=" & Query  & "&Sort=case_One_Line&Ascend="&Ascend&">" & wc_One_Line_Description & "</a></th>" & vbCRLF
		Response.write "<th bgcolor=D0E0F0><font size=-1><a href=DoViewSurveyResults.asp?Page=" & PageLink & "&Query=" & Query  & "&Sort=Survey_date&Ascend="& Ascend &">" & wc_Survey_Date & "</a></th>" & vbCRLF
		Response.write "<th bgcolor=D0E0F0><font size=-1>" & wc_Survey & "</a></th>" & vbCRLF
		Response.write "<th bgcolor=D0E0F0><font size=-1>" & wc_Delete & "</a></th>" & vbCRLF

		%>
		</tr>
<%

		'do while not rstemp.eof AND Count < 15
		do while not rstemp.eof



		' Start to display each case record summary
%>

<TR>
<TD ALIGN=CENTER><FONT SIZE=-1><B><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>"><%=rstemp("Case_Number")%></A></B><br><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_Number")%>" target="newcasewindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</FONT></TD>

<TD ALIGN=CENTER><FONT size=-1><A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>"><%=rstemp("Customer_ID")%></A></FONT></TD>

<TD align=center>
<FONT SIZE=-1><%=rstemp("Case_One_Line")%></FONT></TD>
<TD align=center>

<FONT SIZE=-1>

<% ' Survey_Date actually stores date and time but we want to display it
	' two lines so we will extract each part and display it

	Survey_Date = rstemp("Survey_Date")

	Monthstring = DatePart("m", Survey_Date)
	Daystring = DatePart("d", Survey_Date)
	Yearstring = DatePart("yyyy", Survey_Date)

	Hourstring = DatePart("h", Survey_Date)
	If Hourstring > 13 then
		HourString = HourString - 12
		AMPM = "PM"
	Else
		AMPM = "AM"
	End if

	Minutestring = DatePart("n", Survey_Date)

	DateString = Monthstring & "/" & Daystring & "/" & Yearstring &  "<br>" & Hourstring & ":" & Minutestring & " " & AMPM

%>


<%=DateString%>
</font>
</td>


<TD ALIGN=CENTER>
<font size=-1>
<a href=ViewSurveyDetail.asp?Results_ID=<%=rstemp("Results_ID")%>><%=wc_Survey%></a>
</td>

<TD ALIGN=CENTER>
<font size=-1>
<a href=DeleteSurvey.asp?Results_ID=<%=rstemp("Results_ID")%>><%=wc_Delete%></a>
</td>


</TR>



<%
			rstemp.movenext
			count = count + 1
		loop

	response.write "</table>"


 End If ' If RecordCount = 0


	rstemp.close
	set rstemp=nothing
'old	conntemp.close ' Close the connection
'old	set conntemp=nothing

%>

</body>
</html>



<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


'	NewText = replace(NewText, chr(13)&chr(10), "<br>")



'	NewText = replace(NewText, chr(13), "<br>")
	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")


	Format_Case_Text = NewText

End function
%>

<% Function YYMMDD(datestring)
' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

   DIM aryChunk
   aryChunk = Split(datestring,"/")
   YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

End Function
%>
