<% 'Module: DoSystemConfigOptions.asp

   'Description: This module saves the system configuration values
   ' that are setup by the SystemConfigOptions.asp module.
   '(C) 2000, 2001, 2002, 2006 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/01/02	JC		Created original ASP module to replace the ?dll version
   '04/08/09	SAV		Updated date on this file to fix calendar problem.
   '10/05/11    CMB     Version 7.5 additiona options
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<!-- #INCLUDE FILE="Adovbs.inc" -->

	<% ' Save all of the values into the Configuration table

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Configuration"
			' There should only be 1 row in the configuration table

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3


			If NewRecord.EOF = True then ' Create new record if none exists

				NewRecord.AddNew
			Else
				' Record should already exist
			End IF

	' -------- Set Values and check for empty string before setting ----------

		' Move the form field ts_options_color to the database field ts_options_color

			ts_options_color = Request.form("ts_options_color")
			If ts_options_color <> "" Then
			     NewRecord("ts_options_color") = ts_options_color
			Else
			     NewRecord("ts_options_color") =   Null  ' Set to null
			End If


		' Move the form field ts_pending_color to the database field ts_pending_color


           ts_pending_color = Request.form("ts_pending_color")
           If ts_pending_color <> "" Then
		        NewRecord("ts_pending_color") = ts_pending_color
		   Else
                NewRecord("ts_pending_color") = 	Null ' Set to Null
           End If



		' Move the form field ts_user_page_color to the database field ts_user_page_color

           ts_user_page_color = Request.form("ts_user_page_color")
           If ts_user_page_color <> "" Then
		        NewRecord("ts_user_page_color") = ts_user_page_color
		   Else
                NewRecord("ts_user_page_color") = 	Null ' Set to Null
           End If


		' Move the form field pending_screen_refresh_rate to the database field pending_screen_refresh_rate

           pending_screen_refresh_rate = Request.form("pending_screen_refresh_rate")
           If pending_screen_refresh_rate <> "" Then
		        NewRecord("pending_screen_refresh_rate") = pending_screen_refresh_rate
		   Else
                NewRecord("pending_screen_refresh_rate") = 	Null ' Set to Null
           End If


		' Move the form field dispatcher_screen_refresh_rate  to the database field dispatcher_screen_refresh_rate

           dispatcher_screen_refresh_rate = Request.form("dispatcher_screen_refresh_rate")
           If dispatcher_screen_refresh_rate <> "" Then
		        NewRecord("dispatcher_screen_refresh_rate") = dispatcher_screen_refresh_rate
		   Else
                NewRecord("dispatcher_screen_refresh_rate") = 	Null ' Set to Null
           End If


		' Move the form field smtp_host_address	to the database field smtp_host_address

           smtp_host_address = Request.form("smtp_host_address")
           If smtp_host_address <> "" Then
		        NewRecord("smtp_host_address") = smtp_host_address
		   Else
                NewRecord("smtp_host_address") = 	Null ' Set to Null
           End If


		' New SMTP field for User_name and Password and HTML options - Version 5.0


           smtp_user_name = Request.form("smtp_user_name")
           If smtp_user_name <> "" Then
		        NewRecord("smtp_user_name") = smtp_user_name
		   Else
                NewRecord("smtp_user_name") = 	Null ' Set to Null
           End If


           smtp_password = Request.form("smtp_password")
           If smtp_password <> "" Then
		        NewRecord("smtp_password") = smtp_password
		   Else
                NewRecord("smtp_password") = 	Null ' Set to Null
           End If



           SendHTMLEmail = Request.form("SendHTMLEmail")
           If  SendHTMLEmail = "1" Then
                NewRecord("SendHTMLEmail") = True
		   Else
                NewRecord("SendHTMLEmail") = False
           End If



		' Move the form field standard_reply_to_address	to the database field standard_reply_to_address

           standard_reply_to_address = Request.form("standard_reply_to_address")
           If standard_reply_to_address <> "" Then
		        NewRecord("standard_reply_to_address") = standard_reply_to_address
		   Else
                NewRecord("standard_reply_to_address") = 	Null ' Set to Null
           End If


		' Move the form field OrganizationFromName	to the database field standard_reply_to_address

           OrganizationFromName = Request.form("organizationFromName")
           If OrganizationFromName <> "" Then
		        NewRecord("customer_Name_Text") = OrganizationFromName
		   Else
                NewRecord("customer_Name_Text") = 	Null ' Set to Null
           End If


		' Move the form field Database	to the database field database

           Database = Request.form("databaseType")
           If Database <> "" Then
		        NewRecord("DatabaseType") = Database
		   Else
                NewRecord("DatabaseType") = 	"ACCESS" ' Default TO ACCESS database
           End If


		' Move the form field customer_id_list to the database field customer_id_list

           customer_id_list = Request.form("customer_id_list")

           If  customer_id_list = "" Then
                NewRecord("customer_id_list") = 0
           Else
                NewRecord("customer_id_list") = customer_id_list
           end if



		' Move the form field customer_case_notify to the database field customer_case_notify

           customer_case_notify = Request.form("customer_case_notify")
           If  customer_case_notify = "" Then
                NewRecord("customer_case_notify") = 0
		   Else
                NewRecord("customer_case_notify") = 1
           End If

		' Move the form field assets_db	to the database field assets_db


           Assets_db = Request.form("Assets_db")
           If  Assets_db = "" Then
                NewRecord("Assets_db") = 0
		   Else
                NewRecord("Assets_db") = 1
           End If

		'**** VERSION 7.5
		If Version7point5="YES" Then
			If Request.Form("AssetAuditTrail") <> "" then
				NewRecord("AssetAuditTrail") = True
			Else
				NewRecord("AssetAuditTrail") = False
			End If

			If Request.Form("EnableProjects") <> "" then
				NewRecord("Projects") = True
			Else
				NewRecord("Projects") = False
			End If

			If Request.Form("EnableExpenses") <> "" then
				NewRecord("Expenses") = True
			Else
				NewRecord("Expenses") = False
			End If

			If Request.Form("EnableReservations") <> "" then
				NewRecord("ReservationCenter") = True
			Else
				NewRecord("ReservationCenter") = False
			End If

			If Request.Form("AssetInspections") <> "" then
				NewRecord("AssetInspections") = True
			Else
				NewRecord("AssetInspections") = False
			End If

			If Request.Form("AdditionalEmails") <> "" then
				NewRecord("AdditionalNotificationEmails") = True
			Else
				NewRecord("AdditionalNotificationEmails") = False
			End If
		End If


	'*************** Version 8.0 Configuration Options **********************
		If Version8point0="YES" Then

			If Request.Form("AdditionalCustomerCaseAssignments") <> "" then
				NewRecord("AdditionalCustomerCaseAssignments") = True
			Else
				NewRecord("AdditionalCustomerCaseAssignments") = False
			End If


			If Request.Form("DueDateControls") <> "" then
				NewRecord("DueDateControls") = True
			Else
				NewRecord("DueDateControls") = False
			End If


	'*************** Version 8.0 Configuration Options END **********************




		End IF




		' Move the form field EnableWebcenterCalendar to the database field language
		' place the text string of "EnableWebCenterCalendar" into that character field
		' The language field can contain a few flag variables in it.


           Calendar = Request.form("Calendar")
           If  Calendar = "" Then  ' Disable this function


			If IsNull(NewRecord("Language"))  Then

			Else


				CurrentLanguageVariable = NewRecord("Language")


				NewRecord("Language") = Replace(CurrentLanguageVariable, "Calendar", "NoCal")


				'response.write "NewRecord = " & NewRecord("Language")
				'response.flush
				'response.end


			End IF

		   Else
		   		If Instr(NewRecord("Language"), "Calendar") Then

		   		' do nothing
		   		else

               	 NewRecord("Language") = NewRecord("Language") & "Calendar"
               	 NewRecord("Language") = Replace(NewRecord("Language"), "NoCal", "")
                End If


           End If


		' Quickbooks settings


           Quickbooks = Request.form("Quickbooks")
           If  Quickbooks = "" Then



			If IsNull(NewRecord("Language"))  Then

			Else


				CurrentLanguageVariable = NewRecord("Language")


				NewRecord("Language") = Replace(CurrentLanguageVariable, "Quickbooks", "NoQB")


				'response.write "NewRecord = " & NewRecord("Language")
				'response.flush
				'response.end


			End IF

		   Else
		   		If Instr(NewRecord("Language"), "Quickbooks") Then

		   		' do nothing
		   		else

               	 NewRecord("Language") = NewRecord("Language") & "Quickbooks"
               	 NewRecord("Language") = Replace(NewRecord("Language"), "NoQB", "")
                End If





           End If




		' Move the form field max_case_history_size to the database field max_case_history_size

           max_case_history_size = Request.form("max_case_history_size")
           If max_case_history_size <> "" Then
		        NewRecord("max_case_history_size") = max_case_history_size
		   Else
                NewRecord("max_case_history_size") = 	Null ' Set to Null
           End If


		' Move the form field max_case_summary_size to the database field max_case_summary_size

           max_case_summary_size = Request.form("max_case_summary_size")
           If max_case_summary_size <> "" Then
		        NewRecord("max_case_summary_size") = max_case_summary_size
		   Else
                NewRecord("max_case_summary_size") = 	Null ' Set to Null
           End If


		' Move the form field max_case_resolution_size to the database field max_case_resolution_size

           max_case_resolution_size = Request.form("max_case_resolution_size")
           If max_case_resolution_size <> "" Then
		        NewRecord("max_case_resolution_size") = max_case_resolution_size
		   Else
                NewRecord("max_case_resolution_size") = 	Null ' Set to Null
           End If


		' Move the form field ExtendedTimeSpent	to the database field ExtendedTimeSpent


           ExtendedTimeSpent = Request.form("ExtendedTimeSpent")
           If  ExtendedTimeSpent = "" Then
                NewRecord("ExtendedTimeSpent") = 0
		   Else
                NewRecord("ExtendedTimeSpent") = 1
           End If

' --------------------------------------------------------------------------------------------------------
' Note - We are using the database field called "option1" to carry the Ldap_enbaled flag
' --------------------------------------------------------------------------------------------------------

		' Move the form field Ldap_config	to the database field Option1

           Ldap_enabled = Request.form("ldap_enabled")
           If  ldap_enabled = "" Then
                NewRecord("Option1") = 0
		   Else
                NewRecord("Option1") = 1
           End If

' --------------------------------------------------------------------------------------------------------
' Note - We are using the database field called "option2" to carry the TextMessagingEnabled flag
' --------------------------------------------------------------------------------------------------------

		' Move the form field Ldap_config	to the database field Option1

           TextMessagingEnabled = Request.form("TextMessagingEnabled")
           If  TextMessagingEnabled = "" Then
                NewRecord("Option2") = 0
		   Else
                NewRecord("Option2") = 1
           End If




' --------------------------------------------------------------------------------------------------------
' Note - Following chunk of code rendered inoperative as no longer desired - but may be re-instated if
'        desired by removing the "IF" guard
' --------------------------------------------------------------------------------------------------------
removed_flag = 1
if removed_flag <> 1 Then

		' Move the form field max_tech_case_search_return to the database field max_tech_case_search_return

           max_tech_case_search_return = Request.form("max_tech_case_search_return")
           If max_tech_case_search_return <> "" Then
		        NewRecord("max_tech_case_search_return") = max_tech_case_search_return
		   Else
                NewRecord("max_tech_case_search_return") = 	Null ' Set to Null
           End If


		' Move the form field max_cust_case_search_return to the database field max_cust_case_search_return


           max_cust_case_search_return = Request.form("max_cust_case_search_return")
           If max_cust_case_search_return <> "" Then
		        NewRecord("max_cust_case_search_return") = max_cust_case_search_return
		   Else
                NewRecord("max_cust_case_search_return") = 	Null ' Set to Null
           End If
end if
' --------------------------------------------------------------------------------------------------------
' Note - Preceding chunk of code rendered inoperative as no longer desired - but may be re-instated if
'        desired by removing the "IF" guard
' --------------------------------------------------------------------------------------------------------



' End Game Follows --------------------------------------

	NewRecord.Update
	NewRecord.Close
	Conn.Close

	Set NewRecord = Nothing
	Set Conn = nothing

%>

<% ' Call the EditConfiguration page again to confirm settings %>

<!-- #INCLUDE FILE="SystemConfigOptions.asp" -->







