<% 'Module: DoTDeleteEvent.asp

   'Description: This module does the deleting of event and the related event_attending
   ' entries.

   '(C) 2008 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/03/01	SAV		Created original DoDelete.asp page
   '05/30/08	SAV		Created original DoTDeleteEvent.asp

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 ' Allow only levels 5 and above do deletes

		CookieID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DoAssetInfo.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<%' Include this file to get special database cursor constants to read record count values

	' If this page is called, they have said yes to delete the passed asset.


	schedule_id = request.form("schedule_id")


	set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Schedule where schedule_Id =" & Schedule_ID
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			response.write " Invalid Schedule_ID:" & Schedule_ID
		Else

			Start_Date = rstemp2("Start_Date")
			Start_Time  = rstemp2("Start_Time")
			Event_Title = rstemp2("Event_Title")
		End If ' End if If EOF <> True


	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing





	' To main referential integerity of the database, we must find
	' and null out any references to this schedule_id before we delete the event itself.



	' Now check for any customer/tech assignments

	' First we will search for case records that have this asset assigned.

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		SQL = "Select * from Event_Attending where Schedule_ID = " & schedule_ID

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		Do While NewRecord.EOF <> True

				NewRecord.Delete ' Delete the entire record

				'NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if


			IF  conn.errors.count> 0 then
				'response.write "Database Errors Occured" & "<P>"
				for counter= 0 to conn.errors.count
					  'response.write "Error #" & conn.errors(counter).number & "<P>"
					  'response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
				next
			else
				  'response.write "No Database Errors Occured!" & "<P>"
			end if

			NewRecord.MoveNext


		Loop


	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing




	' Finally we can delete the asset from the asset table

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN


		Set NewRecord = Server.CreateObject("ADODB.Recordset")
			SQL = "Select * from  schedule where schedule_ID = " & schedule_id

			'response.write SQL

			NewRecord.Open SQL,Conn,3,3

			If NewRecord.EOF <> True Then
				NewRecord.Delete

'				NewRecord.Update

				If  err.number>0 then
					  response.write "VBScript Errors Occured:" & "<P>"
					  response.write "Error Number=" & err.number & "<P>"
					 response.write "Error Descr.=" & err.description & "<P>"
					  response.write "Help Context=" & err.helpcontext & "<P>"
					  response.write "Help Path=" & err.helppath & "<P>"
					  response.write "Native Error=" & err.nativeerror & "<P>"
					  response.write "Source=" & err.source & "<P>"
					  response.write "SQLState=" & err.sqlstate & "<P>"
				else
				'      response.write "No VBScript Errors Occured" & "<P>"
				end if
				IF  conn.errors.count> 0 then
'					  response.write "Database Errors Occured" & "<P>"
'				for counter= 0 to conn.errors.count
'					  response.write "Error #" & conn.errors(counter).number & "<P>"
'					  response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
'				next
				else
				'      response.write "No Database Errors Occured!" & "<P>"
				end if

			Else ' If it already exists do not add another entry

			End If

		NewRecord.Close

		Conn.Close

		Set NewRecord = Nothing



%>

<% ' Display the page now %>



<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>

<html>

<!-- (C) 1996,1998, 1999, 2008 by Internet Software Sciences -->

<head>

<title>Delete Event Confirmation </title>

</head>

<body bgcolor=#<%=ts_User_Page_Color%>>




<table border=1 width=100% >
<tr>
<td>
<br>
<center>
<font size=+1 face=arial>
Delete Event Confirmation
</font>
</center>
<br>

</td></tr></table>
<br>


<font size=+1 face=arial>
<center>

The Event:  <B><font color=blue><%=Event_Title%></font></b> on <b><font color=blue><%=Start_Date%></font></b> at <b><font color=blue><%=Start_time%></font></b>
and related records has been deleted.
<P>
<br>
<br>


<center>


<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>

</center>


<br>
<br>


</font>


</body>
</html>


<%End If %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			assets_db = rstemp2("assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
