<% 'Module: Dotechlogin.asp

   'Description: This module is the special version of the Login Page.
	' This page was created to specially handle Login Issues with IE versions
	' on the MAC and with version 4.5 and above.
	' This ASP file takes two parameters (LoginTechID and Password)
	' and determines if the user is in the database by checking the
	' following combinations of accounts:

	' The User is login'ed when tech_id and password match
	'		OR
	'	LoginID and password match.

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '6/13/2000	SAV		Created original DoMacLogin.asp page

	' CONSTANTS
%>


<%' Set Global application variables - must be done prior to anything else %>
<!-- #INCLUDE FILE="SetGlobal.asp" -->


<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/Valid_Data_Check.inc" -->



<% ' Verify the Username LoginID and password

	LoginTechID = request.form("Login_Tech_ID")
	Field_Validation_Check "User Id", LoginTechID

	Password = request.form("Password")
    Field_Validation_Check "Password", Password

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Tech_staff where tech_id= '" & LoginTechID & "' AND tech_password = '" & password & "'"
	'response.write "SQL= " & mySQL2

	set rstemp=conntemp.execute(mySQL2)

	if rstemp.eof = True then
		LoginFailed = "YES"
		' email or password fails so send out page to have then try again.
	Else

	    ' check here for injection by doing a compare of the record contents with what was typed in
	    thestring = "UN=" & LoginTechID & " and PW=" & password
	    If NOT (Ucase(rstemp("tech_id")) = Ucase(LoginTechID) AND Ucase(rstemp("tech_password")) = Ucase(password)) Then Bad_Data_Detected "Login String", thestring, "99"


		LoginFailed = "NO"
		TechID = rstemp("tech_id") ' Set cookie with TechID

	End If

		rstemp.close
		set rstemp=nothing

		' Close connection later
	'	conntemp.close ' Close the connection
	'	set conntemp=nothing


	If LoginFailed = "YES" Then

		' If this login fail, then check if they passed the LoginID and password
	'	set conntemp=server.createobject("adodb.connection")
	'	conntemp.open myDSN

		mySQL2="select * from Tech_staff where current_customer_id= '" & LoginTechID & "' AND tech_password = '" & password & "'"
		'response.write "SQL= " & mySQL2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			LoginFailed = "YES"
			' email or password fails so send out page to have then try again.
		Else
			LoginFailed = "NO"
		TechID = rstemp("tech_id") ' Set cookie with TechID

		End If

			rstemp.close
			set rstemp=nothing

	' Close connection later
	'		conntemp.close ' Close the connection
	'		set conntemp=nothing
	End If

	' Check one more time for email and password
	If LoginFailed = "YES" Then

		' If this login fail, then check if they passed the LoginID and password
'		set conntemp=server.createobject("adodb.connection")
'		conntemp.open myDSN

		mySQL2="select * from Tech_staff where work_email = '" & LoginTechID & "' AND tech_password = '" & password & "'"
		'response.write "SQL= " & mySQL2

		set rstemp=conntemp.execute(mySQL2)

		if rstemp.eof = True then
			LoginFailed = "YES"
			' email or password fails so send out page to have then try again.
		Else
			LoginFailed = "NO"
		TechID = rstemp("tech_id") ' Set cookie with TechID

		End If

			rstemp.close
			set rstemp=nothing
'			conntemp.close ' Close the connection
'			set conntemp=nothing
	End If

	' Now close the connection for any of the tests

			conntemp.close ' Close the connection
			set conntemp=nothing


	If LoginFailed = "YES" Then


%>

<html><!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences-->
<head>
<title>Tech+Center Login Failure</title>
</head>
<body bgcolor=#D8D8D8>
<center><table border=1 cellspacing=2 cellpadding=10
width=98%><tr><td><div align=center><font size=+1><b>
Tech+Center Login Failure</b></font><br><font size=+1 color=blue><b></b></font></div><div
align=left><p><font size=-1></div></td></tr></table><p>
<center>
<table width=80%><tr><td bgcolor=F0F0F0>
<font size=-1 face=arial>


<B>Sorry,</b> your login could not be verified.  Please press the Continue
button below and retry your login again with:<P>
	<UL>
	<LI> LoginID and password OR
	<LI> TechID and password OR
	<LI> Your Email and password
	</ul>

<center>
<a href=default.htm><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>
</td></tr></table>

</td></tr></table>

<br>
</form>
</body>
</html>


<%Else ' Password and email are valid so displayed logged in page

	' Old Way
	' Important : It appear that we need to still set the cookie the old way
	' and new way to be compatible with techsupp.dll cookie reading code when
	' using MS Internet Explorer.  - Not exactly sure why the cookie code is
	' is sending and receiving the cookies differently, but for now we
	' need to set both cookies to compatible with techsupp.dll with IE.

	' so that is why we have both the addheader method and response.cookies
	' approach.
	response.addheader "Set-Cookie", "ISS_TECH_CENTER_LOGIN="&TechID&"; path=/;"

	' New Way (Compatible with ASP modules)

		Response.Cookies("ISS_TECH_CENTER_LOGIN") = TechID

			 Response.Cookies("ISS_TECH_CENTER_LOGIN").Path = "/"
			 Response.Cookies("ISS_TECH_CENTER_LOGIN").Secure = FALSE

		CookieString= "ISSTECHCENTERLOGIN"
	' Let them expire after each session
	'	 Response.Cookies(Cookiestring).Expires = Date + 90

	'	 Response.Cookies(Cookiestring).Path = "/"
	'	 Response.Cookies(Cookiestring).Secure = FALSE

	'	Response.Cookies ("MemberID") =  "3"
	'	Response.Cookies ("MemberID").Expires = Date + 90

%>


<html><!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences-->
<head>
<title>Tech+Center Login Success</title>
</head>
<body bgcolor=#D8D8D8>
<center><table border=1 cellspacing=2 cellpadding=10
width=98%><tr><td align=center><font size=+1>
<b>
Tech+Center Login Sucessful</b></font><br>
</td></tr></table><p>
<center>
<table width=80%><tr><td bgcolor=F0F0F0>
<font size=-1 face=arial>

<center>
<B>Please press the Continue button to start your Tech+Center session.</b>
<P>
<a href=StartTech.asp?Techid=<%=TechID%>><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>
</td></tr></table>

</td></tr></table>

<br>
</form>
</body>
</html>


<html><!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<head>
<title>Tech+Center</title>
</head>
<frameset cols="160,80%">
<frame src=Toptions.asp?TechID=<%=techid%> scrolling=auto name=options_screen>
<frameset rows="10%, 90%">
<frame src=MyCases.asp?TechID=<%=techid%> scrolling=auto name=pending_screen>
<frame src=UserScreen.asp scrolling=auto name=user_screen>
</frameset>
</frameset>
</html>


<% End If %>

