<%  ' Module: DoTechReport.asp
	'
	' Description: Submit Module For Search.asp module
	'
	' (C) 2000 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'10/11/99	SAV		Created original template file
   '03/27/12   CMB  Added 'date modified' to date fields
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% 'Get the value of the User Screen background color from the Configuration Table
    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
%>

<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	TextFlag = request.querystring("text") ' This will be set to NO when called with no text
	ResultsView = request.querystring("ResultsView")
	Sort = Request.querystring("Sort") ' Sort order

	' Allow toggling of ascending/descending order for links
 	Ascend = Request.Querystring("Ascend") ' Ascending/Descending Order

	' Tech_Id must be picked up from query string for label at top

	Tech_ID = Request.Querystring("tech_ID")

	if Page = "" Then
		' Get the form variables if passed from the original Case Search Form

		Search_String = Request.form("Search_String")
		If Search_String  = "" Then
			TextFlag = "NO"
		Else
			TextFlag = "YES"
		End If

		'SearchType = Request.form("SearchType") ' Set to ALL or ANY

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Date_Type = Request.form("Date_Type")
		Group_Number = Request.form("Group_Number")
		Case_Status = Request.form("Case_status")
		Customer_ID = Request.form("customer_Id")
		Tech_ID = Request.form("Tech_ID")
		Case_Severity = Request.form("Case_Severity")
		Dup_Cases = Request.form("Dup_Cases")
		Case_number = Request.form("Case_number")
		Asset_Number = Request.form("Asset_number")
		ResultsView = Request.form("ResultsView") 'Detailed/Brief

		' Categories come in the form of C1, C2, C3 ... C100.
		' We will put in the code for C1 - C20.  If a user needs more the can
		' code additional code here to handle for categories

		Cat1 = Request.form("C1")
		Cat2 = Request.form("C2")
		Cat3 = Request.form("C3")
		Cat4 = Request.form("C4")
		Cat5 = Request.form("C5")
		Cat6 = Request.form("C6")
		Cat7 = Request.form("C7")
		Cat8 = Request.form("C8")
		Cat9 = Request.form("C9")
		Cat10 = Request.form("C10")

		Cat11 = Request.form("C11")
		Cat12 = Request.form("C12")
		Cat13 = Request.form("C13")
		Cat14 = Request.form("C14")
		Cat15 = Request.form("C15")
		Cat16 = Request.form("C16")
		Cat17 = Request.form("C17")
		Cat18 = Request.form("C18")
		Cat19 = Request.form("C19")
		Cat20 = Request.form("C20")

		' Start to Create the query based on the passed fields

		' String Search Processing Algorithm
		' Each word of the search string will separated out and then checked
		' against the kbwords table and a query will be built.

		If Search_String <> "" Then
			TextSearchQuery = Create_Text_Word_Query(Search_String)
			'Response.write TextSearchQuery
		End If

		' Date Searches

			If Start_Date <> "" Then
				Start_Date = PadDate(Start_Date)
				Passed_start_Date = Start_Date
				NewStartDate = MakeYYYYMMDD(Start_date,DateDisplayFormat)

				WhereStatement = " Cases.Mod_Date >= '" & NewStartDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = PadDate(End_Date)
				Passed_End_date = End_Date
				NewEndDate = MakeYYYYMMDD(End_date,DateDisplayFormat)

				WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewEndDate & "'"
				AndText = " AND "
			End IF

		' Assigned Group Search
		If  Group_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Group_number = " & Group_Number
			AndText = " AND "
		End IF

		' Case Status Search
		If  Case_Status <> "" Then
			If Case_Status = "1" Then ' Closed Cases
				WhereStatement = WhereStatement & AndText & " Cases.status = 1 "
			Else
				WhereStatement = WhereStatement & AndText & " Cases.status <> 1 "
			End If
			AndText = " AND "
		End IF

		' Customer_ID  Search
		If  Customer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Customer_ID = '" & Customer_ID & "'"
			AndText = " AND "
		End IF

		' Tech_ID  Search
		If  Tech_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Tech_ID = '" & Tech_ID & "'"
			AndText = " AND "
		End IF

		' Priority Search
		If  Case_Severity <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Severity = " & Case_Severity
			AndText = " AND "
		End IF

		' Duplicate Search
		If  Dup_Cases <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Dup_case_Num = 0 "
			AndText = " AND "
		End IF

		' Case Number Search
		If  Case_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Case_number = " & Case_number
			AndText = " AND "
		End IF

		' Asset Number Search
		If  Asset_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.asset_number = " & Asset_number
			AndText = " AND "
		End IF

		' Case Category Search

		If Cat1 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C1 = " & Cat1
				AndText = " AND "
		End If

		If Cat2 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C2 = " & Cat2
				AndText = " AND "
		End If

		If Cat3 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C3 = "&Cat3
				AndText = " AND "
		End If

		If Cat4 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C4 = "&Cat4
				AndText = " AND "
		End If

		If Cat5 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C5 = "&Cat5
				AndText = " AND "
		End If

		If Cat6 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C6 = "&Cat6
				AndText = " AND "
		End If

		If Cat7 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C7 = "&Cat7
				AndText = " AND "
		End If

		If Cat8 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C8 = "&Cat8
				AndText = " AND "
		End If

		If Cat9 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C9 = "&Cat9
				AndText = " AND "
		End If

		If Cat10 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C10 = "&Cat10
				AndText = " AND "
		End If

		If Cat11 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C11 = " & Cat11
				AndText = " AND "
		End If

		If Cat12 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C12 = " & Cat12
				AndText = " AND "
		End If

		If Cat13 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C13 = "&Cat13
				AndText = " AND "
		End If

		If Cat14 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C14 = "&Cat14
				AndText = " AND "
		End If

		If Cat15 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C15 = "&Cat15
				AndText = " AND "
		End If

		If Cat16 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C16 = "&Cat16
				AndText = " AND "
		End If

		If Cat17 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C17 = "&Cat17
				AndText = " AND "
		End If

		If Cat18 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C18 = "&Cat18
				AndText = " AND "
		End If

		If Cat19 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C19 = "&Cat19
				AndText = " AND "
		End If

		If Cat20 <> "" Then
				WhereStatement = WhereStatement & AndText & " Cases.C20 = "&Cat20
				AndText = " AND "
		End If

	' The complete query is in the WhereStatement at this point

	End If  ' End of If Page <> ""

	' Display the Main body of the page %>

<HTML>
<HEAD>
   <TITLE><%=wc_Tech_Report%></TITLE>
   <!-- #INCLUDE FILE="Stylesheet.inc" -->
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
</HEAD>

<body class=rightwindow>
<center>

<% ' Get the tech cookie

	If Tech_Id = "" Then
		CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN")
	Else
		CookieID = Tech_ID ' Get from passed parameters
	End If

' Get the Logged TechID from the cookie
FullTechName = GetTechName(CookieID)
%>

<table class=BGWrapper>
<tr>
<td class=MinorScreenTitle><%=wc_Technician_Report_For%>  </td>
<td class=TitleInsert>&nbsp;<%=FullTechName%>&nbsp;</td>
</tr>
</table>

</center>
<br>

<FORM METHOD=POST ACTION=DoTechReport.asp>

<center>

<input type=hidden value="BRIEF" name=resultsview >

<% ' Display the Form questions at the bottom of the page %>
<center>
<TABLE BORDER=0 CELLPADDING=3 cellspacing=0 class=innerformwrapper>
<TR>

<td class=lightline width=3></td>

<TD  align=right class=formlabelsuper><B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=wc_Start_date%>:
</b><br>(<%=wc_date%>&nbsp;<%=wc_modified%>)
</td>

<td class=formboxholder>

	<span class=tinyprint>
	<% if datedisplayformat = "DDMMYYYY" then
			response.write "(dd/mm/yyyy)"
		else
			response.write "(mm/dd/yyyy)"
		end if
	%>
	</span><br>
	<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>">
</TD>

<td class=lightline width=3></td>

<TD   align=right class=formlabelsuper><B>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=wc_End_date%>:
</b><br>(<%=wc_date%>&nbsp;<%=wc_modified%>)</td>

<td class=formboxholder>

	<span class=tinyprint>
	<% if datedisplayformat = "DDMMYYYY" then
			response.write "(dd/mm/yyyy)"
		else
			response.write "(mm/dd/yyyy)"
		end if
	%>

	</span><br>
	<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>">
</TD>

<td class=lightline width=3></td>

<TD valign=bottom class=formboxholder align=center>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
<input type=hidden name=date_type value=1>
</TD>

<td class=lightline width=3></td>
</TR>
</TABLE>

<hr>
<input type=hidden name=tech_id value="<%=CookieID%>">

</FORM>

<%
	' Build the query based on the passed input fields

	' There are two basic queries... one for a search with a search string and
	' another for searches without search strings.

	If TextFlag = "YES" THEN ' Text Search string is enter so use this first query
		mySQL2 = "SELECT DISTINCT KBMap.Case_Number, Cases.case_one_line, Cases.customer_id, Cases.status FROM Cases INNER JOIN KBMap ON Cases.case_number = KBMap.Case_Number "
	else
		mySQL2 = "Select * from Cases "
	End If

	If TextSearchQuery <> "" Then ' Add in Keyword search query first
		If WhereStatement = "" THen
			WhereStatement = " WHERE (" & textSearchQuery & ")"
		Else
			WhereStatement = " WHERE " & WhereStatement & " AND (" & textSearchQuery & ")"
		End If
	End If

	If TextSearchQuery = "" AND WhereStatement <> "" THEN
		WhereStatement = " WHERE " & WhereStatement
	End IF

	' Now Add that Where clause to the select statement

	mySQL2 = mySQL2 & WhereStatement

	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.

	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.

		mySQL2 = mySQL2 & Query
	End If

	If Sort = "" Then
		mySQL2 = mySQL2 & " Order by Cases.Case_Number"
	Else
		mySQL2 = mySQL2 & " Order by Cases." & Sort & " " & Ascend
	End IF

	'response.write mySQL2

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string

	If Search_String <> "" AND TextSearchQuery = "" Then ' no matching words found
		Response.write "<center>Your search has found 0 records matching text search criteria.<br></center><P>"
	Else ' Otherwise continue with the query

	set rstemp = Server.CreateObject("adodb.recordset")
	'Response.Write mySQL2
	rstemp.open mySQL2, myDSN, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount

	%>

	<% If RecordsFound = 0 THen
		Response.write wc_No_Records_Found_Date  & "<P>"
	Else
%>

<table class=BGWrapper>
<tr>
<td class=MinorScreenTitle><%=wc_Your_search_has_found%> &nbsp;  </td>
<td class=TitleInsert>&nbsp; <%=RecordsFound%> &nbsp;</td>
<td class=MinorScreenTitle><%=wc_matching_records%> &nbsp;  </td>
</tr>

</table>

<P>
	</font>

	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by 15.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.

	If RecordsFound > 0 Then
		If RecordsFound = 15 Then ' See if exactly 15 records are return
			NumOfPages = 1
		Else
			NumOfPages = Int(RecordsFound/15) + 1
			If NumOfPages > 20 Then
				NumOfPages = 20
			End If
		End If
	End If

	 'toggle the asend flag

	If NumOfPages > 1 Then

		response.write "<font size=-2 face=arial>"
		response.write "<B>" & wc_Result_Pages & ":</b> "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write "<B>" & i & "</b>"
			Else
				response.write "<a href=DoTechReport.asp?Page=" & i &  "&Tech_ID=" & Tech_ID &"&Query="& Query & "&Text="& TextFlag&"&ResultsView="&ResultsView & "&Sort="&Sort & "&Ascend=" & Ascend &" > "& i& "</a>"
			End If
			response.write chr(10)& chr(13)
		next

		if CurrentPage > 20 then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoTechReport.asp?Page=" & CurrentPage+1 & "&Query=" & Query & "&Tech_ID=" & Tech_ID & "&Text="&TextFlag&"&ResultsView="&ResultsView&"&Sort="&Sort & "&Ascend=" & Ascend &">" & wc_Next & ".. &gt;&gt; </a>"
		response.write "<P></font>"
	End If

	 'toggle the asend flag before we make the links to the headers

		IF Ascend = "ASC"  Then
			Ascend = "Desc"
		Else
			Ascend = "ASC"
		End If

	' Check to see if any records are returned
	' if none found then

		count = 0

		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" Then
			PageNum = ((CInt(Page)-1)*15)
			rstemp.Move PageNum ' Move to the appropriate record
		End If

		If ResultsView = "BRIEF" Then
%>
		<% IF Page = "" Then
				PageLink = "1"
			Else
				PageLink = Page
			End IF
		%>

		<CENTER>
		<TABLE class=TightTableWrapper cellspacing=1>
		<tr>

		<%
		Response.write "<TD  class=ColumnLabel align=center><a href=DoTechReport.asp?Page=" & PageLink & "&Query=" & Query & "&Text=" & TextFlag & "&ResultsView=BRIEF&Sort=Case_Number&Ascend=" & Ascend & ">" & wc_Case & "</a></td>" & vbCRLF
		Response.write "<TD  class=ColumnLabel align=center><a href=DoTechReport.asp?Page=" & PageLink & "&Query=" & Query & "&Text=" & TextFlag & "&ResultsView=BRIEF&Sort=Customer_id&Ascend="& Ascend& ">" & wc_Customer & "</a></td>" & vbCRLF
		Response.write "<TD  class=ColumnLabel align=center><a href=DoTechReport.asp?Page=" & PageLink & "&Query=" & Query & "&Text=" & TextFlag & "&ResultsView=BRIEF&Sort=case_One_Line&Ascend="&Ascend&">" & wc_One_Line_Description & "</a></td>" & vbCRLF
		Response.write "<TD  class=ColumnLabel align=center><a href=DoTechReport.asp?Page=" & PageLink & "&Query=" & Query & "&Text=" & TextFlag & "&ResultsView=BRIEF&Sort=Open_date&Ascend="& Ascend &">" & wc_Opened & "</a></td>" & vbCRLF
		Response.write "<TD  class=ColumnLabel align=center><a href=DoTechReport.asp?Page=" & PageLink & "&Query=" & Query & "&Text=" & TextFlag & "&ResultsView=BRIEF&Sort=mod_date&Ascend="& Ascend & ">" & wc_Closed & "</a></td>" & vbCRLF

		 IF TimeSpentCategory <> "" Then ' See note below
			Response.write "<TD  class=ColumnLabel align=center><a href=DoTechReport.asp?Page=" & PageLink & "&Query=" & Query & "&Text=" & TextFlag & "&ResultsView=BRIEF&Sort=c3&Ascend=" & Ascend & ">" & wc_Time & "</a></td>" & vbCRLF
		End IF

		Response.write "<TD  class=ColumnLabel align=center><a href=DoTechReport.asp?Page=" & PageLink & "&Query=" & Query & "&Text=" & TextFlag & "&ResultsView=BRIEF&Sort=Status&Ascend=" & Ascend & ">" & wc_Status & "</a></td>" & vbCRLF
		Response.write "<TD  class=ColumnLabel align=center><a href=DoTechReport.asp?Page=" & PageLink & "&Query=" & Query & "&Text=" & TextFlag & "&ResultsView=BRIEF&Sort=Severity&Ascend=" & Ascend & ">" & wc_Pri & ".</a></td>" & vbCRLF

		%>
		</tr>
<%
		End If ' End of if Resultsview = BRIEF

		do while not rstemp.eof AND Count < 15

		' Start to display each case record summary
%>

	<% ' Check to see what type of results are to be displayed
		' Options are set with the ResultsView variable and
		' it is set to BRIEF or DETAILED.

		If ResultsView = "DETAILED" THEN
	%>

<CENTER><TABLE class=bgwrapper CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
<TR>
<TD ALIGN=CENTER class=TightBodyText><B>Case: <A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>"><%=rstemp("Case_Number")%></A>
</B>&nbsp;<A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_Number")%>" target="newcasewindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>
&nbsp;</TD>

<TD ALIGN=CENTER class=TightBodyText><B>Customer: <A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>"><%=rstemp("Customer_ID")%></A></B></TD>

<% If rstemp("Status") <> 1 Then
	Response.write "<TD ALIGN=CENTER class=TightBodyTextOpen>" & wc_Open
  Else
	Response.write "<TD ALIGN=CENTER class=TightBodyTextClosed>" & wc_Closed
  End If
%>

</B></TD>
</TR>

<TR>
<TD COLSPAN="3" class=TightBodyText><B>Problem Description:&nbsp;</B>
<BR><%=rstemp("Case_One_Line")%></TD>
</TR>

<TR>
<TD COLSPAN="3" class=TightBodyText><B>Case History:&nbsp;</B>

<% ' We need to get the Case_History, Summary and Resolution fields using a different
	' record set since the DISTINCT clause will not work with these memo fields

	mySQL3 = "select * from Cases where case_number = " & rstemp("Case_Number")

	'response.write mySQL3

	set rstemp2 = Server.CreateObject("adodb.recordset")
	rstemp2.open mySQL3, myDSN, adopenstatic

	Open_Date = rstemp2("Open_Date")
	' Date format is string like YYYYMMDD

	 Case_History = rstemp2("case_History")
	 Case_Summary = rstemp2("Case_Summary")
	 Case_Resolution = rstemp2("Case_Resolution")

	' Close this intermediate record set
	rstemp2.close
	set rstemp2=nothing

	CaseText = Format_Case_Text (Case_History)

	response.write CaseText
%>

</TD>
</TR>

<TR>
<TD COLSPAN="3" class=TightBodyText><B>Case Summary:&nbsp;</b><%=Case_Summary%></TD>
</TR>

<TR>
<TD COLSPAN="3" class=TightBodyText><B>Case Resolution:&nbsp;</b><%=Case_Resolution%></TD>
</TR>
</TABLE></CENTER>

<CENTER>&nbsp;</CENTER>

<% 	Else ' Display the results in Brief view mode %>

<TR>
<TD ALIGN=right class=TightBodyText><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>"><%=rstemp("Case_Number")%></A></B>&nbsp;<A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_Number")%>" target="newcasewindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</TD>

<TD  class=TightBodyText><A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>"><%=rstemp("Customer_ID")%></A></TD>

<TD class=TightBodyText>
<%=rstemp("Case_One_Line")%></TD>
<TD class=TightBodyText>


<% ' Convert date from yyyymmdd to mm/dd/yyyy for display

	Open_date = rstemp("open_date")

	If datedisplayformat = "DDMMYYYY" Then
		NewDate = mid(open_Date, 7,2) & "/" & mid(open_date, 5,2) & "/" & mid(open_date,1,4)
	Else
		NewDate = mid(open_Date, 5,2) & "/" & mid(open_date, 7,2) & "/" & mid(open_date,1,4)
	End If
%>
<%=NewDate%></TD>

<% IF CInt(rstemp("status")) = 1 Then  ' Status 1 = closed%>

<TD class=TightBodyText>


<% ' Convert date from yyyymmdd to mm/dd/yyyy

	mod_date = rstemp("mod_date")
	If datedisplayformat = "DDMMYYYY" Then
		NewDate = mid(mod_Date, 7,2) & "/" & mid(mod_date, 5,2) & "/" & mid(mod_date,1,4)
	Else
		NewDate = mid(mod_Date, 5,2) & "/" & mid(mod_date, 7,2) & "/" & mid(mod_date,1,4)
	End If

%>
<%=NewDate%></TD>

<%Else %>
<td class=TightBodyText>
<br></TD>
<%end If %>

<% ' Special Time Category
	' If the variable TimeSpentCategory is set to a particular value in the
	' DB_define.inc file, Time Spent reporting will be turned on.
	' To enable this row, set the variable TimeSpentCategory to the category column number
	' used to store this value.  IT should be C1 or C2, or C3... to C100.
	' One should also set the MinutesPerCategory variable to show the correct computations
	' of the time spent.
%>

<% IF TimeSpentCategory <> "" Then %>

<td class=TightBodyText>

<%
	CategoryValue = rstemp(TimeSpentCategory)

	' Time Spent is computed by assuming that each Category value is 15 minutes intervals

	If CategoryValue = 0 Then
		TimeSpent = " ?? "
	Else
		TimeSpent = MinutesPerCategory*CategoryValue & " min"
	End If
%>
<%=TimeSpent%></TD>
<% End IF ' If TimeSpentCategory is not set in DB_define.inc file %>

<% If CInt(rstemp("Status")) <> 1 Then
	Response.write "<TD ALIGN=CENTER class=TightBodyTextOpen>" & wc_Open
  Else
	Response.write "<TD ALIGN=CENTER class=TightBodyTextClosed>" & wc_Closed
  End If
%>

</TD>

<TD ALIGN=CENTER class=TightBodyText>

<%=rstemp("Severity") %>

</TD>
</TR>

<% End if ' End If ResultsView = Detailed
%>

<%
			rstemp.movenext
			count = count + 1
		loop

		If ResultsView = "BRIEF" Then
			response.write "</table>"
		End If

 End If ' If RecordCount = 0

	rstemp.close
	set rstemp=nothing

%>

<%End IF ' End of if Text Search Criteria failed to return anything %>

</body>
</html>

<%Function Format_Case_Text_Old(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = ""

	LenCaseText = Len(Case_text)
	i = 1

	Do while i <= LenCaseText

		CurrentChar = mid(Case_text, i,1)

		If i <= LenCaseText - 3 Then ' Check to see if special format characters in string

			If CurrentChar = "{" Then

				If  mid(Case_text, i+1, 1) = "g" AND  mid(Case_text, i+2, 1) = "[" THEN
					NewText = NewText & "<br><Font color=#008000 size=-1>"
					i = i + 3


				ElseIf  mid(Case_text, i+1, 1) = "r" AND mid(Case_text, i+2, 1) = "[" THEN
					NewText = NewText & "<br><Font color=#FF0000 size=-1>"
					i = i + 3
				End If

			ElseIf CurrentChar = "]" THEN

				If mid(Case_text, i+1, 1) = "g" AND mid(Case_text, i+2, 1) = "}" THEN
					NewText = NewText & "</font><br>"
					i = i + 3

				ElseIf mid(Case_text, i+1, 1) = "r" AND  mid(Case_text, i+2, 1) = "}" THEN
					NewText = NewText & "</font><br>"
					i = i + 3
				End If

			ElseIf CurrentChar = chr(13) Then
				NewText = NewText & "<br>"
				i = i + 1
			Else
				NewText = NewText & Mid(case_text, i,1)
				i = i + 1
			End If
		Else ' Else if LenCaseText  is less than 3 characters from the end
			NewText = NewText & Mid(case_text, i,1)
			i = i + 1
		End If
	Loop

	Format_Case_Text_Old = NewText

End function
%>

<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")

	NewText = replace(NewText, chr(10), "<br>")

	Format_Case_Text = NewText

End function
%>

<% Function Create_Text_Word_Query(Search_String)

' This function takes the Search_string as input and
' creates the query with each word mapped as a kbword entry
' it is exists.

If Search_string <> "" Then

	TextLen = Len(Search_string)
	LastChar = " " ' Start off with a space

	NewWord = ""
	For i = 1 to textlen
		CurrentChar = mid(search_string, i,1)
		if CurrentChar = chr(32) AND LastChar <> chr(32) THEN
			' New Word is found

			' Remove any extra spaces on the left and right sides of the word
			trim(NewWord)
			' Trim any word to 100 characters or less
			If Len(NewWord) > 100 Then
				NewWord = Mid(NewWord, 1,100)
			End If

			AddToQuery NewWord, Query
			If Query <> "" Then
				TotalQuery = TotalQuery & ORWord & Query
					ORWord = " OR "
			End If

			'response.write NewWord & "<br>"
			NewWord = ""
			LastChar = " " ' Set last character to 32
		Else
			NewWord = NewWord & currentchar
			LastChar = CurrentChar
		End If
	next

	' Output last word
			' Remove any extra spaces on the left and right sides of the word
			trim(NewWord)
			' Trim any word to 100 characters or less
			If Len(NewWord) > 100 Then
				NewWord = Mid(NewWord, 1,100)
			End If

			AddToQuery NewWord, Query
			If Query <> "" Then
				TotalQuery =  TotalQuery & ORWord & Query
					ORWord = " OR "
			End If

			'response.write NewWord & "<br>"

End If ' End of if Search_String <> blank

	Create_Text_word_Query = TotalQuery

End Function
%>

<% Sub AddToQuery(Word,  Query)
' Check to see if word exists and returns it to the query
' We will be creating a query like:
'  	WHERE (((KBMap.WordIndex) = 1 Or (KBMap.WordIndex)=2 Or (KBMap.WordIndex)=3))

' The Algorithm here is to use the "like SQL operator to find the word.

' We need to make sure that any word that has single quotes is converted to
' to two single quotes for SQL compatibility.

		SearchWord = ""

		for i = 1 to len(word)
			if (Mid(Word, i,1) = "'") Then
				SearchWord = SearchWord & "''"
			else
				SearchWord = SearchWord & Mid(Word, i,1)
			End If
		next

		mySQL2="select * from KBWords where Word like '%" & SearchWord & "%'"

		Set Conn = Server.CreateObject("ADODB.Connection")
		conn.open  myDSN
		set rstemp=conn.execute(mySQL2)

		' Check to see if any records are returned
		If rstemp.EOF <> True Then
			Query = "KBMap.WordIndex = " & rstemp("WordIndex")
		Else
			Query = "" ' If no match then clear out query
		End If

		rstemp.close
		set rstemp=nothing

		Conn.Close
End Sub
%>

<% Function GetTechName(Passed_Tech_ID)
' This function returns the name of the tech from the Tech_ID

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here


	mySQL2="select * from Tech_staff where Tech_ID = '" & Passed_Tech_ID & "'"

	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found then login fails.
	if rstemp2.EOF then
		GetTechName = "Tech (" & Passed_tech_ID & ") Not Registered" ' Tech may no longer exist in the database
	Else
		GetTechName = rstemp2("first_name") & " " & rstemp2("last_name")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close
	Set Conntemp = Nothing

End Function
%>
