<%  ' Module: DoViewSurveyResults.asp
	'
	' Description: Submit Module For ViewSurveyResults.asp module
	'
	' (C) 2000, 2001, 2002 Internet Software Sciences
	'
	' Author: Scott Vanderlip
	' History:
	' Date		Who		What
	' -----		----	----------------------------------------------
	'08/27/02	SAV		Created original module
	 '08/13/11  CMB    UK date compliance; Added PadDate, YYMMDD switchdate, display of dates,
	 '                 use reports.inc, SqlServer Set DateFormat necessitates using the same connection for the recordset
%>

<% 'Define the DSN for this database %>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		AssetDatabase = rstemp2("Assets_db")
		WCDateFormat = rstemp2("Date_Display_Format")
		Customer_ID_List = rstemp2("customer_id_list")
		Database = rstemp2("DatabaseType") ' Database should be set to ACCESS or SQL

		' This will override databasetype2 constants set in the DB_define.inc file
		DatabaseType2 = Database
	End If

	rstemp2.close
	set rstemp2=nothing
	'conntemp.close ' Close the connection ' cmb need to use connection for sqlserver
	'set conntemp=nothing

	If  DatabaseType2 = "SQLSERVER" Then  ' CMB 08/15/2011
		conntemp.Execute "Set DateFormat mdy " ' CMB 08/15/2011
	End if  ' CMB 08/15/2011
%>


<% ' Get the form variables

	' Check to see if this page is getting called from a Method=post form
	' or this page is being called as a Link.

	Query = request.querystring("Query")
	Page = request.querystring("page") ' This is passed when called from a link to view pages
	Sort = Request.querystring("Sort") ' Sort order

	' Allow toggling of ascending/descending order for links
 	Ascend = Request.Querystring("Ascend") ' Ascending/Descending Order

	if Page = "" Then

		' Get the form variables if passed from the original Case Search Form



		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")


		Customer_ID = Request.form("customer_Id")
		'response.write "Customer_ID= " & Customer_ID

		Case_number = Request.form("Case_number")

		' Customer_ID  Search
		If  Customer_ID <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Customer_ID = '" & Customer_ID & "'"
			AndText = " AND "
		End IF


		' Case Number Search
		If  Case_number <> "" Then
			WhereStatement = WhereStatement & AndText & " Cases.Case_number = " & Case_number
			AndText = " AND "
		End IF


		' Survey Date Range check
' NOTE CMB Have to change this depending on how they entered date
' if sql server might have to check locale
' if dateformat = mm then switch date


		If Start_Date <> "" Then
			Start_Date = PadDate(Start_Date) ' CMB 08/15/2011

			if WCDateFormat = "DDMMYYYY" then  ' CMB 08/15/2011 put in US format
				NewStart = SwitchMonthDate (Start_Date) ' CMB 08/15/2011 ' CMB 08/15/2011
			Else
				NewStart = Start_Date ' CMB 08/15/2011
			end if

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= '" & NewStart & "'"
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= #" & NewStart & "#"
			End IF

			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date >= '" & YYMMDD(NewStart) & "'"
			End IF

			AndText = " AND "


		End If

		If End_Date <> "" Then
			End_Date = PadDate (End_Date) ' CMB 08/15/2011

			if WCDateFormat = "DDMMYYYY" then  ' CMB 08/15/2011 put in US format
				NewEnd = SwitchMonthDate (End_Date)
			Else
				NewEnd = End_Date
			end if

			If DatabaseType2 = "SQLSERVER" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <=  '" & NewEnd & "'"
			End IF

			If DatabaseType2 = "ACCESS" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <= #" & NewEnd & "#"
			End IF

			If DatabaseType2 = "MYSQL" Then
				WhereStatement = WhereStatement & AndText & " Survey_Date <=  '" & YYMMDD(NewEnd) & "'"
			End IF

			AndText = " AND "


		End If


	' The complete query is in the WhereStatement at this point

	End If  ' End of If Page <> ""


	' Display the Main body of the page %>



<HTML>
<HEAD>
   <TITLE><%=wc_Customer_Survey_Results%></TITLE>
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
</HEAD>

<body bgcolor="<%=UserPageColor%>">

<center><table border=1 cellspacing=2 cellpadding=10 width=98% >
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Customer_Survey_Results%></b>
</font>
<br>
</td></tr></table><p>
</center>

<FORM METHOD=POST name="myform" ACTION=DoViewSurveyResults.asp>

<center>


<% ' Display the Form questions at the bottom of the page %>
<center>
<TABLE BORDER=0 CELLPADDING=3 WIDTH="90%" >
<TR>
<TD valign=bottom><FONT SIZE=-1><B><%=wc_Start_date%>:</b></FONT><br>


<% if WCDateFormat = "DDMMYYYY" Then %>
<font size=-1>(dd/mm/yyyy)</font><font size=-1><br>
<%Else %>
<font size=-1>(mm/dd/yyyy)</font><font size=-1><br>
<%End If %>

<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>">

</td>

<TD valign=bottom><FONT SIZE=-1><B><%=wc_End_date%>:</B></font><br>

<% if WCDateFormat = "DDMMYYYY" Then %>
<font size=-1>(dd/mm/yyyy)</font><font size=-1><br>
<%Else %>
<font size=-1>(mm/dd/yyyy)</font><font size=-1><br>
<%End If %>


<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>">
</TD>

<TD valign=bottom>
<input type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_search30x80.gif>

<input type=hidden name=date_type value=1>
<% ' 1 = last modifed daten
	'0 = creation date
%>
</TD>
</TR>

<tr>
<TD><B><FONT SIZE=-1><%=wc_Customer_ID%>:&nbsp;</FONT></B>
<font size=-1><BR>

<% ' The customerID field can either be a drop down box if that option is selected
	' or it can be a text box for large customer databases

	CustomerDropDown = "YES"

	'--AKS<-- Conversion to INT required
	Customer_Id_List = CInt(Customer_Id_List)

	If Customer_Id_List = 1 Then
		Response.write "<FONT SIZE=-1><SELECT size=1 name=customer_id>"
		Response.write "<OPTION value="""">Ignore</OPTION>"

	set conntemp=server.createobject("adodb.connection")
	' Issue with conntemp not being open
	' Maybe this line needs to stay uncommented with SQL*Server?  11/22/2013 - SAV
	' it needs to be open for Access


	conntemp.open myDSN

	mySQL="select * from Customers Order by Contact_lname"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist

	Else
		Do While rstemp.EOF <> True
			If Customer_ID = rstemp("Customer_ID") Then
				response.write "<option value=" & rstemp("customer_id") & " SELECTED>" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)
			Else
				response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)
			End If

			rstemp.MoveNext

		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	'conntemp.close ' Close the connection
	'set conntemp=nothing

 ' End of Display the Customer_List

 End If


   If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
            %>
            <font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
            <%
      End If  ' End of If using on-click and Javascript sub-window

      If Customer_Id_List = 0 Then' If using copy/paste sub-window
			%>
            <font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href=Customer_Id_Copy_Paste.asp target=subwindow>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
			<%
     End If ' End of If using copy/paste sub-window


%>

</TD>

<td>
<font size=-1><B>Case Number:</b><br>
<input type=text name=case_Number size=10 maxlength=10 value="<%=Case_Number%>">
</td>
<td><br>
</td>

</tr>

</TABLE>

<hr>

</FORM>



<%
'	Locale = GetLocale() ' CMB 08/15/2011
	Call SetLocale (1033) ' CMB 08/15/2011

	' Build the query based on the passed input fields

	mySQL2 = "SELECT Survey_Results.Case_Number, Survey_Results.Survey_Date, Survey_Results.Results_id, Cases.case_one_line, Cases.customer_id FROM Survey_Results INNER JOIN Cases ON Survey_Results.Case_Number = Cases.case_number "

	If  WhereStatement <> "" THEN
		WhereStatement = " WHERE " & WhereStatement
	End IF

	' Now Add that Where clause to the select statement
	mySQL = mySQL & WhereStatement
	mySQL2 = mySQL2 & WhereStatement

	' If we are calling this page from a link, we need to check if the variable
	' "query" is set to anything.  If it is then we need to add the "WHERE" and
	' and the query together.


	If page <> "" Then
		WhereStatement = Query ' Where Query passed from link
		' This is important to pass the Select part of the query since people can
		' modify whole query and put in SQL like DELETE.
		mySQL = mySQL & WhereStatement
		mySQL2 = mySQL2 & Query

	End If

	If Sort = "" Then
		mySQL2 = mySQL2 & " Order by Cases.Case_Number"
	End IF

	If Sort <> "" and Sort = "Survey_date" Then
			mySQL2 = mySQL2 & " Order by Survey_Results.Survey_Date" & " " & Ascend
	End If

	If Sort <> "" AND Sort <> "Survey_date" Then
		mySQL2 = mySQL2 & " Order by Cases." & Sort & " " & Ascend
	End IF


	'response.write mySQL2

	' Check to see if a search_string was entered by no matching words were
	' even found to create a query.  If this is true, then by pass all of the
	' query code and just display a message telling the user that the search
	' returned no records due to the search string


	set rstemp = Server.CreateObject("adodb.recordset")

	' Uncomment below to view SQL statement
	'Response.Write mySQL2

	'rstemp.open mySQL2, myDSN, adopenstatic ' CMB 08/15/2011 need to use same connection as above Set DateFormat
	rstemp.open mySQL2, conntemp, adopenstatic

	Query = Server.URLEncode(WhereStatement)

	' Now display the links to all of the various pages of 1-10
		RecordsFound = rstemp.recordcount

	%>

	<% If RecordsFound = 0 THen
		Response.write "<B>"
		Response.write wc_No_Records_Found_Date  & "</b><P>"
	Else
%>

	 <center><%=wc_Your_search_has_found%>  <%=RecordsFound%> &nbsp;<%=wc_matching_records%>.<br></center><P>

	</font>


	<% ' Algorithm for showing more pages
	'	Take the number of matching records and divide by 15.  If less than
	' one do not show any links
	' if between 16 and 300 show up to the 20 page links
	' Show number of pages as needed. For example, for 90 matches, we
	' would show 1-6 pages.

	If RecordsFound > 0 Then
		If RecordsFound = 15 Then ' See if exactly 15 records are return
			NumOfPages = 1
		Else
			NumOfPages = Int(RecordsFound/15) + 1
			If NumOfPages > 20 Then
				NumOfPages = 20
			End If
		End If
	End If


	 'toggle the asend flag


	If NumOfPages > 1 Then

		response.write "<font size=-2 face=arial>"
		response.write "<B>" & wc_Result_Pages & ":</b> "

		If Page = "" THEN
			Page = 1
		End If

		If Page <> ""  Then
			CurrentPage = Page
		End If

		for i = 1 to NumOfPages
			If CInt(CurrentPage) = i Then
				response.write "<B>" & i & "</b>"
			Else
				response.write "<a href=DoViewSurveyResults.asp?Page=" & i & "&Query="& Query&"&Text="& TextFlag&"&ResultsView="&ResultsView & "&Sort="&Sort & "&Ascend=" & Ascend &" > "& i& "</a>"
			End If
			response.write chr(10)& chr(13)
		next

		if CurrentPage > 20 then
			response.write "&nbsp;<B>..." & CurrentPage & "</b>"
		End If

		response.write "&nbsp;&nbsp;&nbsp; &nbsp;<a href=DoViewSurveyResults.asp?Page=" & CurrentPage+1 & "&Query="& Query&"&Text="&TextFlag&"&ResultsView="&ResultsView&"&Sort="&Sort & "&Ascend=" & Ascend &">" & wc_Next & ".. &gt;&gt; </a>"
		response.write "<P></font>"
	End If

	 'toggle the asend flag before we make the links to the headers

		IF Ascend = "ASC"  Then
			Ascend = "Desc"
		Else
			Ascend = "ASC"
		End If


	' Check to see if any records are returned
	' if none found the

		count = 0


		' Move to the appropriate starting record if this is displaying
		' a page other than page 1

		if Page <> "" Then
			PageNum = ((CInt(Page)-1)*15)
			rstemp.Move PageNum ' Move to the appropriate record
		End If

		IF Page = "" Then
				PageLink = "1"
			Else
				PageLink = Page
			End IF
		%>



		<CENTER><TABLE BORDER=1 CELLSPACING=2 CELLPADDING=7 WIDTH="98%" >
		<tr>

		<%
		Response.write "<th bgcolor=D0E0F0><font size=-1><a href=DoViewSurveyResults.asp?Page=" & PageLink & "&Query=" & Query  & "&Sort=Case_Number&Ascend=" & Ascend & ">" & wc_Case & "</a></th>" & vbCRLF
		Response.write "<th bgcolor=D0E0F0><font size=-1><a href=DoViewSurveyResults.asp?Page=" & PageLink & "&Query=" & Query  & "&Sort=Customer_id&Ascend="& Ascend& ">" & wc_Customer & "</a></th>" & vbCRLF
		Response.write "<th bgcolor=D0E0F0 ><font size=-1><a href=DoViewSurveyResults.asp?Page=" & PageLink & "&Query=" & Query  & "&Sort=case_One_Line&Ascend="&Ascend&">" & wc_One_Line_Description & "</a></th>" & vbCRLF
		Response.write "<th bgcolor=D0E0F0><font size=-1><a href=DoViewSurveyResults.asp?Page=" & PageLink & "&Query=" & Query  & "&Sort=Survey_date&Ascend="& Ascend &">" & wc_Survey_Date & "</a></th>" & vbCRLF
		Response.write "<th bgcolor=D0E0F0><font size=-1>" & wc_Survey & "</a></th>" & vbCRLF
		Response.write "<th bgcolor=D0E0F0><font size=-1>" & wc_Delete & "</a></th>" & vbCRLF

		%>
		</tr>
<%

		do while not rstemp.eof AND Count < 15

		' Start to display each case record summary
%>

<TR>
<TD ALIGN=CENTER><FONT SIZE=-1><B><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_number")%>"><%=rstemp("Case_Number")%></A></B><br><A HREF="TCaseForm.asp?b_get_x=0&b_get_y=0&customer_id=0&case_number=<%=rstemp("Case_Number")%>" target="newcasewindow1"><IMG SRC="newwindow.gif" BORDER=0 ></A>&nbsp;</FONT></TD>

<TD ALIGN=CENTER><FONT size=-1><A HREF="NewCustomer.asp?ID=<%=rstemp("Customer_ID")%>"><%=rstemp("Customer_ID")%></A></FONT></TD>

<TD align=center>
<FONT SIZE=-1><%=rstemp("Case_One_Line")%></FONT></TD>
<TD align=center>

<FONT SIZE=-1>

<% ' Survey_Date actually stores date and time but we want to display it
	' two lines so we will extract each part and display it


	Survey_Date = rstemp("Survey_Date") ' CMB if sql, could be retrieved in sql locale format; use locale above this so formats correctly

	Monthstring = DatePart("m", Survey_Date)
	Daystring = DatePart("d", Survey_Date)
	Yearstring = DatePart("yyyy", Survey_Date)

	Hourstring = DatePart("h", Survey_Date)
	If Hourstring > 13 then
		HourString = HourString - 12
		AMPM = "PM"
	Else
		AMPM = "AM"
	End if

	Minutestring = DatePart("n", Survey_Date)

	DateString = Monthstring & "/" & Daystring & "/" & Yearstring &  "<br>" & Hourstring & ":" & Minutestring & " " & AMPM

%>


<%=DateString%>
</font>
</td>


<TD ALIGN=CENTER>
<font size=-1>
<a href=ViewSurveyDetail.asp?Results_ID=<%=rstemp("Results_ID")%>><%=wc_Survey%></a>
</td>

<TD ALIGN=CENTER>
<font size=-1>
<a href=DeleteSurvey.asp?Results_ID=<%=rstemp("Results_ID")%>><%=wc_Delete%></a>
</td>


</TR>



<%
			rstemp.movenext
			count = count + 1
		loop

	response.write "</table>"


 End If ' If RecordCount = 0


	rstemp.close
	set rstemp=nothing
'old	conntemp.close ' Close the connection
'old	set conntemp=nothing

%>

</body>
</html>



<%
Function Format_Case_Text(Case_Text)

' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


'	NewText = replace(NewText, chr(13)&chr(10), "<br>")



'	NewText = replace(NewText, chr(13), "<br>")
	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")


	Format_Case_Text = NewText

End function
%>

