<% 'Module: EditAssetCategory.asp

   'Description: This module is the Page that allows the user to create and fill a drop-down box for use in assets

   '(C) 2000, 2001, 2002, 2011 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '09/13/12     CMB    Created EditAssetCategory

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Reports.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Get the Internationalization File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	ValidUser = IsValidUser (TechLevel)

	if ValidUser <> "YES" Then %>
		<html>
		<head>
		<title>Invalid User</title>
		</head>
		<body bgcolor=beige>
		<p><font size=+2 color=red>
		   You do not have authorization to use this program - please Login first<p>
		   </font>
		</body>
		</html>
	<%

	response.flush
	response.end
End If

 ' End of ASP page security checks
 %>

<html>
<head>

<title><%=wc_Manage_Asset_Category_Label%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

<SCRIPT LANGUAGE="JavaScript">
function PreDelete(nCat)
{
	var s;
	if (confirm("Do you really want to delete this category PLUS all it's values?","Confirm Deletion")) {
		s= 'DoDeleteAssetCategory.asp?ID=' +  nCat;
		location.replace(s);
		//return true;
		}
	else
		return false;
}
</script>
</head>

<body class=rightwindow>
<P>


			  <%
			  Dim ID
			  Dim sAssetCategory
			  Dim nRequired

			  ID = 0
			  ID = request.querystring("ID")
			  if ID = "" then
			  	ID = 0
			  end if

			  sAssetCategory = ""
			  nRequired = 0

			  '**************** get it
			  if ID >0 then
					set conntemp=server.createobject("adodb.connection")
					conntemp.open myDSN ' Open the connection once here

					mySQL="select AssetCategoryID, AssetCategory, IsRequired from AssetCategories where assetCategoryID=" & ID
					set rstemp=conntemp.execute(mySQL)

					if not rstemp.EOF then

						sAssetCategory = rstemp("AssetCategory")
						if not IsNull(rstemp("IsRequired")) and rstemp("IsRequired") = True then
							nRequired = 1
						end if
					end if

					rstemp.close
					set rstemp=nothing

					conntemp.close ' Close the connection
					set conntemp=nothing
			  end if
			  %>

<table class=BGWrapper align=center>
	<tr>
	<td class=MinorScreenTitle><%=wc_Manage_Asset_Category_Label%></td>
	</tr>
</table>
<p>

<table><tr><td height=5></td></tr></table> <!-- a little spacer -->

<center>

<Table class=SimpleWrapper align=center width=75%>
	<tr>
	<td valign=top width=50%>
	   <table width=100%>
			<tr>
			  <td valign=top><img src=red_tri.gif>&nbsp;</td>
			  <td class=InstructionTextBold align=left valign=top>
				<%=wc_Edit_Create_Asset_Category %>:
			  </td>
			</tr>

			<tr>
			  <td></td>
			  <td valign=top class=InstructionText><%=wc_Edit_Create_Asset_Category_Block%></td>
			</tr>
		</TABLE>
	</td>

		<td width=50% rowspan=8>
			<TABLE class=formboxholder width=100% height=100%>
				<FORM action=DoEditAssetCategory.asp method=post>
					 <TR><td>&nbsp;</td><td>&nbsp;</td></tr>
					<tr>
					<td class=formlabelsuper nowrap=nowrap><%=wc_Asset_Category%>:</td>
					<td class=formboxholder nowrap=nowrap>
						<input type=text name=txtAssetCategory input size=30 maxlength=50 value="<%=sAssetCategory%>">
					</TD></tr><tr><td class=formlabelsuper >
						<%=wc_Asset_Required%>? </td><td class=formboxholder >
						<%	if nRequired = 1 then %>
						 <input type=checkbox name=chkRequired Checked>
						 <% else %>
						  <input type=checkbox name=chkRequired>
						<% end if %>
						<input type=hidden name=txtID value=<%=ID%>>
				  </td>
				  </tr>

					<tr>
						<td class=formlabelsuper colspan=2 align=center><input  id=forsubmitbutton type=submit name=submit value="<%=wc_Submit%>"></td>
					</tr>
				</FORM>
		</table>
</td>
</tr>
</table>

<P>

<!-- Grid with all asset categories -->

<Table class=SimpleWrapper align=center width=75%>

        <tr>
        <td valign=top width=66%>
        <table width=100%>
			<tr>
			  <td valign=top><img src=red_tri.gif>&nbsp;</td>
			  <td class=InstructionTextBold align=left valign=top><%=wc_Asset_Categories%></td>
			</tr>

			<tr>
			  <td></td>
			  <td valign=top class=InstructionText><%=wc_Edit_Asset_Category_Block%></td>
			</tr>

			<TR><TD colspan=2>
				<TABLE WIDTH=100% border=1>
					<TR> <td valign=top class=InstructionTextBold align=center><%=wc_Asset_Category%></td>
					<td valign=top class=InstructionTextBold align=center><%=wc_Asset_Required%>?</td>
					<td valign=top class=InstructionTextBold align=center><%=wc_Number_Of_Values%></td>
					<td valign=top class=InstructionTextBold align=center><%=wc_Rename_Edit%></td>
					<td valign=top class=InstructionTextBold align=center><%=wc_Edit_Subitems%></td>
					<td valign=top class=InstructionTextBold align=center><%=wc_Delete_Asset_Category%></td>
						<%
							set conntemp=server.createobject("adodb.connection")
							conntemp.open myDSN ' Open the connection once here

							mySQL="select AssetCategories.AssetCategoryID, AssetCategory, IsRequired, count(AssetCategoryItemID) as cnt from AssetCategories LEFT join AssetCategoryItems on AssetCategories.AssetCategoryID = AssetCategoryItems.AssetCategoryID GROUP BY AssetCategories.AssetCategoryID, AssetCategories.IsRequired, AssetCategories.AssetCategory Order by AssetCategory"
							set rstemp=conntemp.execute(mySQL)

							do while not rstemp.EOF
								%>
								<tr>
								<td class=InstructionText><%=rstemp("AssetCategory")%></td>
								<td class=InstructionText align=center>
								<% if not IsNull(rstemp("IsRequired")) and rstemp("IsRequired") = True then %>
										<input type=checkbox checked disabled=disabled>
								<% else %>
									<input type=checkbox disabled=disabled>
								<% end if %>
								</td>
								<td class=InstructionText align=center><%=rstemp("cnt")%></td>
								<td class=InstructionTextBold><A HREF="EditAssetCategory.asp?ID=<%=rstemp("AssetCategoryID")%>"><%=wc_Rename_Edit%></td>
								<td class=InstructionTextBold><A HREF="EditAssetCategoryItem.asp?CatID=<%=rstemp("AssetCategoryID")%>&Cat=<%=rstemp("AssetCategory")%>"><%=wc_Edit_Subitems%></a></td>

								<!--<td class=InstructionTextBold><A HREF="DoDeleteAssetCategory.asp?ID=<%=rstemp("AssetCategoryID")%>"><%=wc_Delete_Asset_Category%></a></td>-->
								<%	response.write "<td class=InstructionTextBold><A HREF=""javascript: PreDelete(" & rstemp("AssetCategoryID") & ")"">" & wc_Delete_Asset_Category & "</a></td>" %>

								</tr>
								<%
								rstemp.movenext
							LOOP
					%>
						<!--	<tr>
								<td class=InstructionTextBold><A HREF="EditAssetCategory.asp?ID=0"><%=wc_Add_New_Asset_Category%></a></td>
								<td class=InstructionTextBold>&nbsp;	</td>
								<td class=InstructionTextBold>&nbsp;	</td>
								<td class=InstructionTextBold>&nbsp;	</td>
								<td class=InstructionTextBold>&nbsp;	</td>
								<td class=InstructionTextBold>&nbsp;	</td>
								</tr>-->

							<%
							rstemp.close
							set rstemp=nothing

							conntemp.close ' Close the connection
							set conntemp=nothing
			%>
			</TABLE>
			</td>
			</TR>
		</td>
		</tr>
		</table>
</td></tr>
<TR><TD ALIGN=CENTER><A HREF="ConfigAdmin.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD></tr>

		</table>
		</form>
		</center>


</body>
</html>