<% 'Module: EditPriority.asp

   'Description: This module is the Page that the priority table to be edited

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '10/16/00	SAV		Created original EditPriority.asp Module


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditPriority.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>
<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences -->
<head>
<title>Edit Priority Table</title>
</head>
<body bgcolor=#C0C0C0>
<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Edit_Priority_Table %></b>
</font>
<br>
</td></tr></table><p>
</center>

<FORM METHOD=POST ACTION=DoEditPriority.asp>

<font size=-1>
<blockquote>
<%=wc_Edit_Priority_Instruction_block%>
</blockquote>

<center>
<table border=1 cellspacing=2 cellpadding=3 width=98%><tr>
<th><font size=-1><%=wc_Priority%></font></th>
<th><font size=-1><%=wc_Short_description%></font></th>
<th><font size=-1><%=wc_Long_description%></font></th>
</tr>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Priority order by PriorityID" ' We will allow up to 10 priority values

	set rstemp=conntemp.execute(mySQL)


	For i = 0 to 9 ' Display up to 10 priorities (0-9)

		If rstemp.EOF <> True then
			ShortDesc = rstemp("Shortdesc")
			LongDesc = rstemp("LongDesc")
			rstemp.MoveNext
		Else
			ShortDesc = ""
			LongDesc = ""
		End IF
		ShortDescName = "shortdesc" & i
		LongDescName = "longdesc" & i
	%>

	<tr>
	<% If I = 0 Then %>
	<td bgcolor=006400><font size=-1> 0 <br></font></td>
	<%elseif I = 1 Then %>
	<td bgcolor=ff0000><font size=-1>   <%=I%> <br></font></td>
	<%Elseif I = 2 then %>
	<td bgcolor=ff1493><font size=-1>   <%=I%> <br></font></td>
	<%Elseif I = 3 then %>
	<td bgcolor=a52a2a><font size=-1>   <%=I%> <br></font></td>
	<%Elseif I = 4 then %>
	<td bgcolor=ff8c00><font size=-1>   <%=I%> <br></font></td>
	<%Elseif I = 5 then %>
	<td bgcolor=0000ff><font size=-1>   <%=I%> <br></font></td>
	<%Elseif I = 6 then %>
	<td bgcolor=5959ff><font size=-1>   <%=I%> <br></font></td>
	<%Elseif I = 7 then %>
	<td bgcolor=000000><font size=-1 color=white>   <%=I%> <br></font></td>
	<%Elseif I = 8 then %>
	<td bgcolor=6e6e6e><font size=-1>   <%=I%> <br></font></td>
	<%Elseif I = 9 then %>
	<td bgcolor=a9a9a9><font size=-1>   <%=I%> <br></font></td>
	<%else %>
	<td bgcolor=a9a9a9><font size=-1>   <%=I%> <br></font></td>
	<%End If %>

	<td align=center><font size=-1>
	<input size=20 maxlength=20 name=<%=ShortDescName%> value = "<%=ShortDesc%>">
	</td><td align=center><font size=-1>
	<input size=25 maxlength=50 name=<%=LongDescName%> value = "<%=LongDesc%>">
	</td>
	</tr>

	<% Next

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	%>

	</table>


	<table width=50%>

		<tr>

		<td  align=center valign=middle>
		<input type=image src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="UserScreen.asp"><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></A>
		</td>
		</tr>
		</table>
		</center>


</form>

</body>
</html>

<% End If %>

