<% 'Module: EditWhiteBoard.asp

   'Description: This module is the Page that enables editing of just the tech+center white board.


   '(C) 2013 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/3/02	     JC		Created original ASP version based on previous dll?EmailConfiguration
   '5/23/13		SAV		Created EditWhiteBoard.asp module for EditMailMsg.asp file


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<%' NOTE- THIS NEEDS TO BE EVENTUALLY ADJUSTED TO POINT TO THE CORRECT DIRECTORY <<<<<<<<<<<<<<<<<< %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 4

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>

<%
	' FIRST Get the values from the email_text table and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Email_text"


	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the table

		user_page_html = rstemp("user_page_html")
		tech_update_case = rstemp("tech_update_case")
		customer_update_case = rstemp("customer_update_case")
		customer_registration = rstemp("customer_registration")
		lost_customer_id_search = rstemp("lost_customer_id_search")

	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Edit White Board</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>

<p>

   <center>

   <table border=1 cellspacing=2 cellpadding=10 width=98%>

   <tr>

   <td>


   <table border=0 cellspacing=2 cellpadding=2 width=100%%>

   <tr>

   <td>

   <div align=center>

   <font size=+1><b>Edit Tech+Center White Board</b></font>

   </div>



   </td>

   </tr>

   </table>

   </td>

   </tr>

   </table>

   <FORM METHOD=POST ACTION=DoEditWhiteBoard.asp>


   <p>

   <center>

   <table border=1 cellspacing=2 cellpadding=10 width=98%>

   <tr>

   <td>

   <table border=0 cellpadding=4 width=100%%>

   <tr>

   <td valign=top width=80%%><font size=-1>



   <center><b> Edit the Tech+Center White board HTML document below</b>
   <br>
   (*Note: Just the HTML inside of the BODY part of the HTML document)</center><br>


   &lt;html&gt;<br>
   &lt;head&gt;<br>
   &lt;title&gt;Tech+Center White Board&lt;/title&gt;<br>
   &lt;!-- #INCLUDE FILE="Stylesheet.inc" --&gt;<br>
   &lt;/head&gt;<br>
&lt;body class=rightwindow&gt;<br>

   <textarea name=user_page_html wrap=virtual rows=12 cols=80><%=user_page_html%></textarea>
<br>
&lt;/body&gt;&lt;/html&gt;
<br>




   </td>

   </tr>

   </table>

   </td>

   </tr>

   </table>



   <p>

   <center>

   <table border=0 cellspacing=1 cellpadding=1 width=50%>

   <tr>

   <td align=center>

   <input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0>

   </td>

   <td align=center>

   <a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>

   </td>

   </tr>

   </table>


   </form>



   </body>

   </html>



<% End If %>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>
