<% 'Module: InspectionsScheduledButNotDoneRpt.asp.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.

   '(C) 2011 Internet Software Sciences
   ' www.inet-sciences.com
' CMB TO DO - check date formatting strings to make sure they work for non-general
' format date format strings for output in td's
' error messages invalid date, no criteria

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '04/20/2011 CMB  Modified for InspectionsScheduledbutnotdone Report
   '08/15/2011 CMB  UK dates
   '01/05/2012  CMB  Multiple values for inspections

   ' NOTE there must be a due date and case must not be closed

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

<title><%=wc_Inspection_NotPerformed_Report%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table
Dim InspectionStatus
Dim InspectionDate
Dim InspectionTime
Dim InspectionNotes
Dim TechName
Dim ClosedStatusIndex
Dim DefaultStatusIndex
Dim InspectionStatusIndex

	Call SetLocale (1033) ' this is needed if using Month and day and other cstring functions CMB 08/15/2011

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		WCDateFormat = rstemp2("Date_Display_Format")
		databaseType = rstemp2("DatabaseType")
	End If

	rstemp2.close
	set rstemp2=nothing
		if instr(databaseType,"ACCESS") > 0 then
			mySQL2="select * from inspectionstatus where defaultstatus = true"
		else
			mySQL2="select * from inspectionstatus where defaultstatus = 1"
		End If
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			DefaultStatusIndex = 0 ' ??
		Else
			DefaultStatusIndex = rstemp2("InspectionStatusIndex")
		End If

		rstemp2.close
		set rstemp2=nothing

		If version7point5="YES" then
			if instr(databaseType,"ACCESS") > 0 then
				mySQL2="select * from InspectionStatus where  completestatus = true"
			else
				mySQL2="select * from InspectionStatus where completestatus = 1"
			End If

			set rstemp2=conntemp.execute(mySQL2)

			if rstemp2.EOF then
				ClosedStatusIndex = 999
			Else
				closedStatusIndex = rstemp2("InspectionStatusIndex")
			End If

			rstemp2.close
			set rstemp2=nothing
	Else
		closedStatusIndex = 999
	End If
	conntemp.close ' Close the connection
	set conntemp=nothing


%>

<!-- REPORT HEADER -->
<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=100%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Inspection_NotPerformed_Report%></font>
<br>
<font size=-2>This report retrieves cases that have a due date but have not been closed.
<br>For each case, it shows any assets which have been inspected.</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>
</tr></table>
</center>

<form action=InspectionsScheduledButNotDoneRpt.asp method=post>

	</form>
<%



sSQL = "select case_Number, assetGroupName, due_date, due_time, case_one_Line, cases.assetGroupIndex  "
sSQL = sSQL & "FROM cases INNER JOIN assetGroup ON  "
sSQL = sSQL & "AssetGroup.AssetGroupIndex = cases.AssetGroupIndex "
sSQL = sSQL & "where status <> 1 "
sSQL = sSQL & "and cases.assetgroupindex is not null "
sSQL = sSQL & "and cases.assetgroupindex <> 0 "
sSQL = sSQL & "and due_date is not null "
sSQL = sSQL & "order by case_Number DESC"

'*** loop thru outer records THIS GETS ALL CASES WITH ASSET GROUPS ASSOCIATED***

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN


		set rstemp=Server.CreateObject("adodb.Recordset")
		rstemp.open sSQL, conntemp, adopenstatic
		if rstemp.eof then
			response.write "No records found which meet these criteria"
		else
%>
<%			Dim bFirstCase

			do while not rstemp.eof
				bFirstCase = 1
                '***** get assets associated with this case number
					call GetAssetsForCaseGroup(rstemp("Case_Number"),rstemp("AssetGroupIndex"))
                response.write "</TABLE>"
				rstemp.MoveNext
			loop
		end if

			rstemp.close
			set rstemp=nothing

			conntemp.close ' Close the connection
			set conntemp=nothing
%>

</table>

<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

</body>
</html>


<% Sub GetAssetsForCaseGroup(Passed_Case_No, Passed_Asset_group)

	mySQL2 =  "Select * from assets where asset_number in (Select asset_number from assetgroupvalues where AssetGroupIndex = " & Passed_Asset_group & ")"
'response.write mySQL2
	set conntemp2=server.createobject("adodb.connection")
	conntemp2.open myDSN

	'Response.write  mySQL2
	'response.flush
	'response.end

	set rstemp2=conntemp2.execute(mySQL2)
		Dim bFirst
		bFirst = 1
	if not rstemp2.eof then


		do while not rstemp2.eof
			InspectionDate = ""
			InspectionTime = ""
			InspectionNotes= ""
			TechName = ""
			InspectionStatus = "Not Inspected"
			InspectionStatusIndex = 0
			call GetLastInspection(Passed_Case_No,rstemp2("Asset_Number"),InspectionStatusIndex)
				'response.write "COMPLETE" & ClosedStatusIndex
				'RESPONSE.WRITE "this" & InspectionStatusIndex
				'response.write techName
			'	response.write inspectionnotes
			'	RESPONSE.FLUSH
			'	RESPONSE.END
			If InspectionStatusIndex <> ClosedStatusIndex then  ' DON"T REALLLY WANT TO PRINT HEADER IF NONE
				If bFirst = 1 then ' do header
					if bFirstCase = 1 then 'do case header
						Call DisplayCaseHeader
						bFirstCase = 0
					end if

				' HEADER
						%>
							<center>
							<table width=95% border = 1>
							<tr>
								<td class=formlabelsuper nowrap=false><%=wc_Asset_Number%></td>
								<td class=formlabelsuper nowrap=false><%=wc_Inspection_Status%></td>
								<td class=formlabelsuper>Inspection Time</td>
								<td class=formlabelsuper>Technician</td>
								<td class=formlabelsuper>Notes</td>
								<td class=formlabelsuper><%=Computer_ID_Label%></td> <!--Description = ? also barcode = property_tag -->
								<td class=formlabelsuper>Type</td>
								<td class=formlabelsuper><%=Serial_Number_Label%></td>
							</tr>
					<%
				' END HEADER
					bFirst = 0
				End If
%>
			<TR>
				<TD  class=formboxholder align=center><%=rstemp2("Asset_Number")%>&nbsp;</TD>
				<TD  class=formboxholder align=center><%=InspectionStatus%>&nbsp;</TD>
				<TD  class=formboxholder nowrap=false align=center><%=InspectionDate & " " & InspectionTime%>&nbsp;</TD>
				<TD  class=formboxholder><%=techName%>&nbsp;</TD>
				<TD  class=formboxholder nowrap=false align=center ><%=InspectionNotes%>&nbsp;</TD>
				<TD  class=formboxholder align=center><%=rstemp2("computer_id")%>&nbsp;</TD>
				<TD  class=formboxholder align=center><%=rstemp2("equipment_type")%>&nbsp;</TD>
				<TD  class=formboxholder align=center><%=rstemp2("serial_number")%>&nbsp;</TD>
			</TR>
<%
		End If
		rstemp2.MoveNext
		LOOP
		response.write "</TABLE>"
	end if

	rstemp2.close
	set rstemp2=nothing
	conntemp2.close ' Close the connection
	set conntemp2=nothing
End Sub

Sub GetLastInspection(Passed_Case_No, Passed_Asset, OutStatus)

	mySQL2 =  "Select top 1 Inspection.*, tech_Staff.first_name+' '+tech_Staff.last_name AS techName, InspectionStatus, Inspection.InspectionStatusIndex "
	mySQL2 = mySql2 & " from (inspection "
	mySQL2 = mySql2 & " Left join Tech_Staff on Inspection.Tech_ID = Tech_Staff.Tech_ID)"
	mySQL2 = mySQL2 & " Inner join inspectionstatus on inspection.Inspectionstatusindex = inspectionstatus.Inspectionstatusindex "
	mySQL2 = mySql2 & " where asset_number = " & Passed_asset & " and case_number = " & Passed_Case_no
	mySql2 = MySQL2 & " order by inspectiondate DESC, inspectiontime DESC, inspectionIndex DESC "

	set conntemp3=server.createobject("adodb.connection")
	conntemp3.open myDSN

	'Response.write  mySQL2
	'response.flush
	'response.end

	set rstemp3=conntemp3.execute(mySQL2)

	if not rstemp3.eof then

			if not isnull(rstemp3("InspectionDate")) and not isnull(rstemp3("InspectionTime")) then
				  If WCDateFormat = "DDMMYYYY" Then ' UK format
						sDate=Day(rstemp3("InspectionDate")) & "/" & Month(rstemp3("InspectionDate")) & "/" &  Year(rstemp3("InspectionDate"))
				  Else
						sDate=Month(rstemp3("InspectionDate")) & "/" & Day(rstemp3("InspectionDate")) & "/" & Year(rstemp3("InspectionDate"))
				  End If
				InspectionDate = sDate
				sTime = Hour(rstemp3("InspectionTime")) & ":" & Minute(rstemp3("InspectionTime"))
				InspectionTime = sTime

			End If
			outstatus=rstemp3("InspectionStatusIndex")

			'response.write "THIS" & outstatus
			inspectionStatus=rstemp3("InspectionStatus")
			TechName = rstemp3("TechName")
			InspectionNotes = rstemp3("InspectionNotes")
	end if

	rstemp3.close
	set rstemp3=nothing
	conntemp3.close ' Close the connection
	set conntemp3=nothing
End Sub
%>

<% sub DisplayCaseHeader() %>
	<!-- Display the top of part of the table and headers -->
				<center>
				<table width=100% border = 1>
				<tr>
					<th bgcolor=F0F0BO nowrap=false><font size=-1><%=wc_Case_Number%></font></th>
					<th bgcolor=F0F0BO nowrap=false><font size=-1 ><%=wc_CASE_ONE_LINE_DESCRIPTION%></font>	</th>
					<th bgcolor=F0F0BO nowrap=false><font size=-1><%=wc_Due_Date%></font></th>
					<th bgcolor=F0F0BO><font size=-1><%=wc_Due_Time%></font></th>
					<th bgcolor=F0F0BO><font size=-1><%=wc_Asset_Group%></font></th>

				</tr>
<%
				if not isnull(rstemp("Due_Time")) then
					sTime = Hour(rstemp("Due_Time")) & ":" & Minute(rstemp("Due_Time"))
				else
					sTime = " "
				end if


				  If WCDateFormat = "DDMMYYYY" Then ' UK format
				  		sDate=Day(rstemp("Due_Date")) & "/" & Month(rstemp("Due_Date")) & "/" &  Year(rstemp("Due_Date"))
				  Else
				  		sDate=Month(rstemp("Due_Date")) & "/" & Day(rstemp("Due_Date")) & "/" & Year(rstemp("Due_Date"))
				   End If
%>
				<TR>
					<TD align=center><font size=-1 align=center><%=rstemp("Case_Number")%>&nbsp;</font></TD>
					<TD align=center><font size=-1><%=rstemp("Case_One_Line")%>&nbsp;</font></TD>
					<TD align=center><font size=-1 ><%=sDate%>&nbsp;</font></TD>
					<TD align=center><font size=-1 ><%=sTime%>&nbsp;</font></TD>
					<TD align=center><font size=-1><%=rstemp("assetGroupName")%>&nbsp;</font></TD>
				</TR>
	<%
	end sub
	%>