<% 'Module: LdapConfig.asp

   'Description: This module is used by the Ldap Administrator to create (and test) the parameter settings
   ' required to enable Customers to be validated using an LDAP-compliant directory

   '(C) 1998,1999, 2000, 2001, 2002, 2005, 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '10/5/2005	JC		Created original version





' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks



 if ValidUser <> "YES" Then

    %>
    <html>
    <head>
    <title>Access denied</title>
    </head>
    <body bgcolor=beige>
    <p>
    <font size=+2 color=red>You must first be validated via Login  in order to be able to perform this function</font>
    </body>
    </html>
   <%
   response.flush
   response.end
 end if
%>

<html>
<head>
<title>LDAP Configurator</title>
<!-- Copyright Internet Software Sciences 2005 -->
<style>

.Outerformwrapper {
		border-width: 1px;
		border-style: solid;
		border-color: black;
		background-color: #D6DFE7;
		padding-top: 10px;
		padding-bottom: 10px;
		padding-left: 15px;
		padding-right: 15px;
		}

.InnerformWrapper {
		border-width: 2px;
		border-style: solid;
		border-color: black;
		background-color: lightblue;
		padding-top: 0px;
		padding-bottom: 0px;
		padding-left: 0px;
		padding-right: 0px;
		}

.MinorFormTitle  {
            font-family: verdana, arial, helvetica, sans-serif;
            font-size: 12;
            font-weight: bold;
		    border-width: 1px;
		    border-style: solid;
		    border-color: black;

		    padding-top: 3px;
		    padding-bottom: 3px;
		    padding-left: 25px;
		    padding-right: 25px;


                   }

.MajorScreenTitleFixed  {
            font-family: Times;
            font-size: 20;
		    background-color: #D6DFE7;
		    padding-top: 3px;
		    padding-bottom: 3px;
		    padding-left: 25px;
		    padding-right: 25px;


                   }

.BGWrapper {
		border-width: 1px;
		border-style: solid;
		border-color: black;
		background-color: silver;
		padding-top: 3px;
		padding-bottom: 5px;
		padding-left: 3px;
		padding-right: 5px;
		}

.formboxholder {
           font-family: verdana, arial, helvetica, sans-serif;
           font-size: 11;
           background-color: #C0C0C0;

		}
.formboxholderred {
           font-family: verdana, arial, helvetica, sans-serif;
           font-size: 11;
           background-color: #C0C0C0;
           color: red;

		}
.formvalue {
           font-family: verdana, arial, helvetica, sans-serif;
           font-size: 11;
           background-color: #dddddd;

		}

.MinorFormTitle  {
            font-family: verdana, arial, helvetica, sans-serif;
            font-size: 12;
            font-weight: bold;
		    border-width: 1px;
		    border-style: solid;
		    border-color: black;

		    padding-top: 3px;
		    padding-bottom: 3px;
		    padding-left: 25px;
		    padding-right: 25px;


                   }

 .tinyprint {
            font-family: verdana, arial, helvetica, sans-serif;
            font-size: 10;
            font-weight: normal;
            color: Navy;

           }

  .tinyprint2 {
             font-family: verdana, arial, helvetica, sans-serif;
             font-size: 10;
             font-weight: normal;
             color: black;

           }

 .tablerow {
            font-family: verdana, arial, helvetica, sans-serif;
            font-size: 10;
            font-weight: normal;
            color: Navy;

           }



 .tablehead {
            font-family: verdana, arial, helvetica, sans-serif;
            font-size: 11;
            font-weight: normal;
            color: black;

           }

 .yellowhilight {
            font-family: verdana, arial, helvetica, sans-serif;
            font-size: 12;
            font-weight: normal;
            color: Navy;
            background-color: yellow;

           }
input {
          font-family: verdana, arial, helvetica, sans-serif;
          font-size: 11;
          background-color: #dddddd;

		}
</style>
</head>
<body bgcolor=beige>


<center>
<table class=BGWrapper>
<tr><td class=MajorScreenTitleFixed>LDAP Synchronization Configurator for Active Directory</td></tr>
</table>
<br>

<%
if request.form("capturebutton") <> "" Then ' SAFETY CHECK If we have a submitted form as a result of the "capture" then do a quick safety check and abort if it appears he is storing an empty config and might clobber a valid one

	If Trim(request.form("RetrieveField16")) = "" OR Trim(request.form("LdapAddress")) = "" OR Trim(request.form("WhereField2")) = "" Then

         %>
         </center><blockquote><blockquote>
         <p> &nbsp; <p>
         <font color=red size=+2><b> Warning !</b></font> You attempted to "Capture" a configuration which was missing some required fields, and thus potentially over-writing
         a valid existing  configuration. <p> The requested operation was <b>not</b> performed and the prior configuration settings remain untouched. <p> Use the back button to return
         to your previous screen (and use the "Load Configuration" button if you want to see what your current settings are.)
        <%
		response.flush
		response.end

	End If
end if

%>



<%
' ----------- Code Module for Load Button
if request.form("loadbutton") <> "" Then ' If we have a submitted form as a result of the "load" button being pressed
                                         ' and we read up config params from file called ZCustomerHolder.asp


  response.write "The <font color=red><b>'Load Configuration'</b></font> button was pressed and The LDAP configuration settings that were previously stored will be used."

baseDirectory = Server.MapPath(".")
slash = "\"
' now we chop off end of baseDirectory string to point us up to our parent directory
lastpos = InstrRev(baseDirectory,slash)
baseDirectory = Left(baseDirectory,lastpos)
TargetFilePath = baseDirectory & "ZCustomerHolder.asp"




Set fs1 = CreateObject("Scripting.FileSystemObject")



If fs1.FileExists(TargetFilePath) Then
   ' do nothing
Else
   response.write "<p><font size=+1 color=red><b>Error - </b></font>You must first 'Capture' your settings before attempting to 'Load' them.  <P>"
   response.flush
   response.end
End if



REM the "1" in the next statement represents "ForReading"
Set b = fs1.OpenTextFile(TargetFilePath, 1, FALSE)


linecounter = 0
Tabchar = Chr(9)

While not b.AtEndOfStream
   InRec  = b.Readline
   if Left(Inrec,1) =  "'" Then ' chop off the first character
       InRec = Mid(InRec,2)
	   linecounter = linecounter + 1
	   splitter = split(InRec,Tabchar)
	   If splitter(1) = "ConnectString1" Then ConnectString1 = splitter(0)
	   If splitter(1) = "ConnectString2" Then ConnectString2 = DeObfuscate(splitter(0))
	   If splitter(1) = "RetrieveField1" Then RetrieveField1 = splitter(0)
	   If splitter(1) = "RetrieveField2" Then RetrieveField2 = splitter(0)
	   If splitter(1) = "RetrieveField3" Then RetrieveField3 = splitter(0)
	   If splitter(1) = "RetrieveField4" Then RetrieveField4 = splitter(0)
	   If splitter(1) = "RetrieveField5" Then RetrieveField5 = splitter(0)
	   If splitter(1) = "RetrieveField6" Then RetrieveField6 = splitter(0)
	   If splitter(1) = "RetrieveField7" Then RetrieveField7 = splitter(0)
	   If splitter(1) = "RetrieveField8" Then RetrieveField8 = splitter(0)
	   If splitter(1) = "RetrieveField9" Then RetrieveField9 = splitter(0)
	   If splitter(1) = "RetrieveField10" Then RetrieveField10 = splitter(0)
	   If splitter(1) = "RetrieveField11" Then RetrieveField11 = splitter(0)
	   If splitter(1) = "RetrieveField12" Then RetrieveField12 = splitter(0)
	   If splitter(1) = "RetrieveField13" Then RetrieveField13 = splitter(0)
	   If splitter(1) = "RetrieveField14" Then RetrieveField14 = splitter(0)
	   If splitter(1) = "RetrieveField15" Then RetrieveField15 = splitter(0)
	   If splitter(1) = "RetrieveField16" Then RetrieveField16 = splitter(0)
	   If splitter(1) = "LdapAddress" Then LdapAddress = splitter(0)
	   If splitter(1) = "WhereField1" Then WhereField1 = splitter(0)
	   If splitter(1) = "SearchField1" Then SearchField1 = splitter(0)
	   If splitter(1) = "WhereField2" Then WhereField2 = splitter(0)
	   If splitter(1) = "SearchField2" Then SearchField2 = splitter(0)

	   If splitter(1) = "WhereField3" Then WhereField3 = splitter(0)
	   If splitter(1) = "SearchField3" Then SearchField3 = splitter(0)


	   If splitter(1) = "Upperlimit" Then Upperlimit = splitter(0)
	   If splitter(1) = "Lowerlimit" Then Lowerlimit = splitter(0)
	   If splitter(1) = "RangeVariable" Then RangeVariable = splitter(0)
   end if
Wend
b.Close



End If ' if we were called as a result of  "Load" button being pressed



' ----------- End of Code Module for Load Button

if request.form("loadbutton") = "" Then ' If we were *NOT* called by the load button then pick up form field values in the usual way


	ConnectString1 = request.form(Trim("ConnectString1"))     ' Connection string user id
	ConnectString2 = request.form(Trim("ConnectString2"))     ' Connection string password

	RetrieveField1 = request.form(Trim("RetrieveField1"))   ' Customer_Id
	RetrieveField2 = request.form(Trim("RetrieveField2"))   ' Contact_Fname
	RetrieveField3 = request.form(Trim("RetrieveField3"))   ' Contact_Lname
	RetrieveField4 = request.form(Trim("RetrieveField4"))   ' Company
	RetrieveField5 = request.form(Trim("RetrieveField5"))   ' Mailstop
	RetrieveField6 = request.form(Trim("RetrieveField6"))   ' Address
	RetrieveField7 = request.form(Trim("RetrieveField7"))   ' City
	RetrieveField8 = request.form(Trim("RetrieveField8"))   ' State
	RetrieveField9 = request.form(Trim("RetrieveField9"))   ' Zip
	RetrieveField10 = request.form(Trim("RetrieveField10")) ' Country
	RetrieveField11 = request.form(Trim("RetrieveField11")) ' Email
	RetrieveField12 = request.form(Trim("RetrieveField12")) ' Phone1
	RetrieveField13 = request.form(Trim("RetrieveField13")) ' Phone2
	RetrieveField14 = request.form(Trim("RetrieveField14")) ' Fax
	RetrieveField15 = request.form(Trim("RetrieveField15")) ' Customer_Password
	RetrieveField16 = request.form(Trim("RetrieveField16")) ' Customer_Username

	LdapAddress = request.form(Trim("LdapAddress"))
	WhereField1 = request.form(Trim("WhereField1"))
	SearchField1 = request.form(Trim("SearchField1"))
	WhereField2 = request.form(Trim("WhereField2"))
	SearchField2 = request.form(Trim("SearchField2"))

	WhereField3 = request.form(Trim("WhereField3"))
	SearchField3 = request.form(Trim("SearchField3"))


	Upperlimit = request.form(Trim("Upperlimit"))
	Lowerlimit = request.form(Trim("Lowerlimit"))
	RangeVariable = request.form(Trim("RangeVariable"))
End If


if request.form("capturebutton") <> "" Then
  response.write "The <font color=red><b>'Capture Configuration'</b></font> button was pressed and The LDAP configuration settings have been stored."
End if

if request.form("capturebutton") = "" AND request.form("loadbutton") = "" AND request.form("testbutton") = "" Then
   initialcall = TRUE
Else
   initialcall = FALSE
End If



%>

<Form action=LdapConfig.asp method=post>


<table class=outerformwrapper  width=66%>
<tr>
  <td>
    <table class=innerformwrapper>
      <tr>
      <td class=minorformtitle colspan=4 align=center>Access  Permission Specification</td>
      </tr>
      <tr>
       <td class=formboxholder align=right>User&nbsp;Id:</td>
       <td align=left class=formboxholder><input type=text size=50 name=ConnectString1
          <% if Trim(ConnectString1) = "" and initialcall Then
            response.write " value=''"
          Else
            response.write "value='" & Trim(ConnectString1) & "'"
          End If %>
         >
        </td>

       <td class=formboxholder align=right>Password:</td>
       <td align=left class=formboxholder><input type=password size=25 name=ConnectString2
          <% if Trim(ConnectString2) = ""  and initialcall Then
            response.write " value=''"
          Else
            response.write "value='" & Trim(ConnectString2) & "'"
          End If %>
         >
        </td>
      </tr>

      <td class=tinyprint colspan=4> No value need  be entered here if an 'Open' directory is being accessed. However, for a directory that is protected (e.g. by password) then
      two values need to be entered here to enable access to the directory.
      </tr>

    </table>
  </td>
</tr>
</table>


<p>


<table class=outerformwrapper >
<tr>
<td>
<table class=innerformwrapper>

<tr>
    <td  class=minorformtitle colspan=4 align=center><b>SELECT</b></td>
</tr>

<tr>
    <td align=right class=formboxholderred><b>(1)</b>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField16
    <% if Trim(RetrieveField16) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField16) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Customer_UserName</b> in Web+Center</td>
</tr>



<!-- ------------- following two fields are shunted as not applicable with active directory


<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=hidden size=30 name=RetrieveField15
    <% if Trim(RetrieveField15) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField15) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Customer_Password</b> in Web+Center</td>
</tr>



<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=hidden size=30 name=RetrieveField1
    <% if Trim(RetrieveField1) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField1) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Customer_Id</b> in Web+Center</td>
</tr>

----------------- -->

<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField2
    <% if Trim(RetrieveField2) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField2) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Contact_Fname</b> in Web+Center</td>
</tr>
<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField3
    <% if Trim(RetrieveField3) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField3) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Contact_Lname</b> in Web+Center</td>
</tr>

<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField4
    <% if Trim(RetrieveField4) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField4) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Company</b> in Web+Center</td>
</tr>

<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField5
    <% if Trim(RetrieveField5) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField5) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Mailstop</b> in Web+Center</td>
</tr>


<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField6
    <% if Trim(RetrieveField6) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField6) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Address</b> in Web+Center</td>
</tr>


<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField7
    <% if Trim(RetrieveField7) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField7) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>City</b> in Web+Center</td>
</tr>


<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField8
    <% if Trim(RetrieveField8) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField8) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>State</b> in Web+Center</td>
</tr>


<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField9
    <% if Trim(RetrieveField9) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField9) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Zip</b> in Web+Center</td>
</tr>


<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField10
    <% if Trim(RetrieveField10) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField10) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Country</b> in Web+Center</td>
</tr>


<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField11
    <% if Trim(RetrieveField11) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField11) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Email</b> in Web+Center</td>
</tr>


<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField12
    <% if Trim(RetrieveField12) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField12) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Phone 1</b> in Web+Center</td>
</tr>


<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField13
    <% if Trim(RetrieveField13) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField13) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Phone 2</b> in Web+Center</td>
</tr>


<tr>
    <td align=right class=formboxholder>This field in the Directory:</td>
    <td align=left class=formboxholder><input type=text size=30 name=RetrieveField14
    <% if Trim(RetrieveField14) = ""  and initialcall Then
          response.write " value=''"
       Else
          response.write "value='" & Trim(RetrieveField14) & "'"
       End If %>
    >
    </td>
    <td colspan=2 class=formboxholder> And Map it to <b>Fax</b> in Web+Center</td>
</tr>


<!-- --------------------------------------------------------- -->
<tr>
    <td  class=minorformtitle colspan=4 align=center>FROM <span class=tinyprint>(Required)</span></td>
</tr>

<tr>
   <td align=right class=formboxholder >LDAP Server Address:</td>
   <td colspan=3 class=formboxholder ><input type=text size=80 name=LdapAddress
    <% if Trim(LdapAddress) = ""  and initialcall Then
          response.write " value='LDAP://'"
       Else
          response.write " value='" & Trim(LdapAddress) & "'"
       End If %>
    >
    </td>
</tr>

<!-- --------------------------------------------------------- -->
<tr>
    <td  class=minorformtitle colspan=4 align=center>Range Between <span class=tinyprint>(Optional - to select a subset of the population)</span></td>
</tr>


<tr>
    <td align=right class=formboxholder >Name of Range Variable</td>
    <td class=formboxholder ><input type=text size=30 name=RangeVariable
    <% if Trim(RangeVariable) = ""  and initialcall Then
          response.write "value=''"
       Else
          response.write "value='" & Trim(RangeVariable) & "'"
       End If %>
    >
    </td>
</tr>
<tr>
    <td align=right class=formboxholder >Lower-value limit</td>
    <td class=formboxholder ><input type=text size=30 name=Lowerlimit
    <% if Trim(Lowerlimit) = ""  and initialcall Then
          response.write "value=''"
       Else
          response.write "value='" & Trim(Lowerlimit) & "'"
       End If %>
    >
    </td>
    <td class=formboxholder align=right>Upper-value Limit</td>
    <td class=formboxholder ><input type=text size=25 name=Upperlimit
    <% if Trim(Upperlimit) = ""  and initialcall Then
          response.write "value=''"
       Else
          response.write "value='" & Trim(Upperlimit) & "'"
       End If %>
    >
    </td>
</tr>



<!-- --------------------------------------------------------- -->



<tr>
    <td  class=minorformtitle colspan=4 align=center><b>WHERE <span class=tinyprint>(Optional - to filter a given object class)</span></b></td>
</tr>
<tr>
    <td align=right class=formboxholder >Name of Filter field</td>
    <td class=formboxholder ><input type=text size=30 name=WhereField1
    <% if Trim(WhereField1) = ""  and initialcall Then
          response.write "value=''"
       Else
          response.write "value='" & Trim(WhereField1) & "'"
       End If %>
    >
    </td>
    <td class=formboxholder align=right>EQUALS value of this field</td>
    <td class=formboxholder ><input type=text size=25 name=SearchField1
    <% if Trim(SearchField1) = ""  and initialcall Then
          response.write "value=''"
       Else
          response.write "value='" & Trim(SearchField1) & "'"
       End If %>
    >
    </td>
</tr>
<tr>
    <td  class=MinorFormTitle colspan=4 align=center><b>AND <span class=tinyprint>(Required - Specimen User-id for a known individual)</span></b></td>
</tr>

<tr>
    <td align=right class=formboxholderred ><b>(2)</b>Name of User-id Field</td>
    <td class=formboxholder ><input type=text size=30 name=WhereField2
    <% if Trim(WhereField2) = ""  and initialcall Then
          response.write "value=''"
       Else
          response.write "value='" & Trim(WhereField2) & "'"
       End If %>
    >
    </td>
    <td class=formboxholder align=right>EQUALS value of this field</td>
    <td class=formboxholder ><input type=text size=25 name=SearchField2
    <% if Trim(SearchField2) = ""  and initialcall Then
          response.write "value=''"
       Else
          response.write "value='" & Trim(SearchField2) & "'"
       End If %>
    >
    </td>
</tr>

<!-- shunt out the password field as not used with active directory
<tr>
    <td align=right class=formboxholderred ><b>(3)</b>Name of Password Field</td>
    <td class=formboxholder ><input type=text size=20 name=WhereField3
    <% if Trim(WhereField2) = ""  and initialcall Then
          response.write "value=''"
       Else
          response.write "value='" & Trim(WhereField3) & "'"
       End If %>
    >
    </td>
    <td class=formboxholder >EQUALS value of this field</td>
    <td class=formboxholder ><input type=text size=20 name=SearchField3
    <% if Trim(SearchField2) = ""  and initialcall Then
          response.write "value=''"
       Else
          response.write "value='" & Trim(SearchField3) & "'"
       End If %>
    >
    </td>
</tr>

-->


</table><!-- end of inner form -->

<tr>
   <td>
      <table width=100%>
      <tr>
          <td  align=left><input type=submit name=capturebutton value="Capture Configuration"></td>
          <td  align=center><input type=submit name=loadbutton value="Load Configuration"></td>
          <td align=right><input type=submit name=testbutton value="Test Directory Access"></td>
      </tr>
      </table>
   </td>
</tr>

</tr></td>
</table><!-- end of outer form -->

</form>
</center>
<%





if request.form("testbutton") <> "" then ' If we have a submitted form as a result of the "test" button being pressed rather than initial invocation of the form

' ----------- If we arrive here as a result of the Capture Button being Pressed --------------


Debugstring ="No"

' First we will capture the names of the source and target fields in 2 parallel arrays


Tabchar = Chr(9)
SourceFieldstring = ""
TargetFieldstring = ""
Call Collect (RetrieveField1,"Customer_id",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField2,"Contact_Fname",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField3,"Contact_Lname",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField4,"Company",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField5,"Mailstop",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField6,"Address",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField7,"City",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField8,"State",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField9,"Zip",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField10,"Country",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField11,"Email",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField12,"Phone1",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField13,"Phone2",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField14,"Fax",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField15,"Customer_Password",SourceFieldstring,TargetFieldstring)
Call Collect (RetrieveField16,"Customer_Username",SourceFieldstring,TargetFieldstring)
ArySourceField = Split(SourceFieldstring,Tabchar)
AryTargetField = Split(TargetFieldstring,Tabchar)

FieldCount = Ubound(ArySourceField) - 1

Debugstring ="Yes"

If Debugstring ="Yes" Then

	for i = 0 to FieldCount
	  ' response.write "Entry " & I & " contains <b>" & ArySourceField(i) & "</b> to be mapped into <b>" & AryTargetField(i) & "</b><BR>"
	Next
	' response.write "Field Count goes from 0 to " & FieldCount & "<P>"
End If

' ---- Assemble the names of the fields to be selected into the SELECT string


SelectString = "SELECT "

used_status = 0

DIM Aryused()
ReDim Preserve Aryused(1)
Aryused(0) = "&/()garbage_preset"

For i = 0 to FieldCount
  Call CheckUsed(ArySourceField(i), Aryused, used_status)
  If  used_status = 0 Then
    SelectString = SelectString & ArySourceField(i) & ", "
    'response.write "Checking " & ArySourceField(i) &" NOT Used at postiton " & Instr(UsedAlready,ArySourceField(i)) & "<br>"
 Else
    'response.write "Checking " & ArySourceField(i) &" IS Used at postiton " & Instr(UsedAlready,ArySourceField(i)) & "<br>"
  End if
Next

' ---- chop off the final comma space and append FROM and the address

Lambda = Len(SelectString)
Lambda = Lambda - 2
conjunct = " WHERE "
SelectString = Left(SelectString,Lambda)
SelectString = SelectString & " FROM " & "'" & LdapAddress & "'"


' ---- now append Range Control to Select string

If RangeVariable <> "" Then
  SelectString = SelectString & conjunct
  SelectString = SelectString & RangeVariable & " >= '" & Lowerlimit & "' AND " & RangeVariable & " <= '" & UpperLimit & "'"
  conjunct = " AND "
End If

' ---- now append the first Search to Select string
If WhereField1 <> "" Then
  SelectString = SelectString & conjunct
  SelectString = SelectString & WhereField1 & " = '" & SearchField1 & "'"
  conjunct = " AND "
End If

' ---- now append the second Search to Select string (this is the User-Id field)
If WhereField2 <> "" Then
  SelectString = SelectString & conjunct
  SelectString = SelectString & WhereField2 & " = '" & SearchField2 & "'"
  conjunct = " AND "
End If


' ---- now append the third Search to Select string (this is the Password field)
If WhereField3<> "" Then
  SelectString = SelectString & conjunct
  SelectString = SelectString & WhereField3 & " = '" & SearchField3 & "'"
  conjunct = " AND "
End If


  response.write "The LDAP command as issued is --- <br><Blockquote><Span class=yellowhilight>" & SelectString & "</span></blockquote><P>"
  response.flush

response.write "<center><table border=1 bgcolor=lightgrey><tr>"
For i = 0 to FieldCount
  response.write "<td align=center class=tablehead><b>" & ArySourceField(i) & "</b><br><span class=tinyprint2><i>maps into</i></span><br><b>" & AryTargetField(i) & "</b></td> "
Next
response.write "</tr>"
response.flush

 showvalue SelectString,FieldCount,ArySourceField,AryTargetField,ConnectString1,ConnectString2

response.write "</table></center>"
response.write "<p><center><font size=+1><b>Test Retrieval Completed</b><p>"
response.write "</body></html>"




End if ' we were called by test button

' end of mainline code for executing Test Button
' -----------------------------------------------------------------------------

%>


<%

Sub showvalue(SQL,FieldCountx,Sources,Targets,username,password)

        DIM TheValues()
        ReDim Preserve TheValues(FieldCountx)

		Set Conn = CreateObject("ADODB.Connection")
		' (following line fails in Linux environment)
	    Conn.Provider = "ADSDSOObject"

	    If username = "" and password = "" Then
		    Conn.Open "ADs Provider"
		    response.write "Connecting to ADs Provider without username and password<p>"
		    response.flush
		Else
		    response.write "Connecting to ADs Provider with username=<font color=red>" &  username & "</font> and the password as provided in the form above<br>"
		    response.flush
			Conn.Open "ADs Provider", username, password
			response.write "Connected to ADs Provider successfully<br>"
		    response.flush
		End If
		response.write "Executing LDAP request<br>"
		response.flush
        Set rs = Conn.Execute(SQL)
		response.write "Executed LDAP request successfully<br>"
		response.write "Now retrieving individual fields within the record<p>"
		response.flush
		If rs.EOF Or rs.BOF then
			Response.write "<font color=red><b>No record returned</b></font>"
		Else
            Do While Not rs.EOF Or rs.BOF
              ' retrieve each of the fields in a given record into an array

               'now emit the array as a row in a table
               response.write "<tr>"
               For k = 0 to FieldCountx


                   thefield = Sources(k)
                  ReturnValue = Rs(thefield)
                  TheValues(k) = ReturnValue


' ------------------------------------------------------- if it is NOT an array
                  if not isArray(TheValues(k)) then
					  if TheValues(k) <> "" Then
						 response.write "<td class=tablerow>" & TheValues(k) & "<br></td>"
						 response.flush
					  Else
						 response.write "<td align=center class=tablerow><font color=red>" & "[empty]" & "</font></td>"
						 response.flush
					  End if
			      else

' -------------------------------------------------------- if it IS an array
                       MyAry = TheValues(k)
					   Aryholder = ""
					   for zz = 0 to Ubound(MyAry)
						 if MyAry(zz) <> "" Then
							Aryholder = Aryholder & MyAry(zz) & " "
						 end if
					   next
					   mytemp = Aryholder

					   if mytemp <> "" Then
						 response.write "<td class=tablerow>" & mytemp & "<br></td>"
						 response.flush
					   Else
						 response.write "<td align=center class=tablerow><font color=red>" & "[empty]" & "</font></td>"
						 response.flush
					   End if

' ---------------------------------------------------------- end if

			      end if


               Next
               response.write "</tr>"
               response.flush
			   rs.MoveNext
			Loop

		End If

End Sub


sub Collect(Sourcex,Targetx,SourceFieldString,TargetFieldString)
Tabchar = Chr(9)
If Trim(Sourcex) <> "" Then
   SourceFieldstring = SourceFieldstring & Trim(Sourcex) & Tabchar
   TargetFieldstring = TargetFieldstring & Trim(Targetx) & Tabchar
End If
End Sub
%>

<%
' ----------- Code Module for Capture Button
if request.form("capturebutton") <> "" Then ' If we have a submitted form as a result of the "capture" button being pressed rather than initial invocation of the form

baseDirectory = Server.MapPath(".")

slash = "\"
' now we chop off end of baseDirectory string to point us up to our parent directory
lastpos = InstrRev(baseDirectory,slash)
baseDirectory = Left(baseDirectory,lastpos)
TargetFilePath = baseDirectory & "ZCustomerHolder.asp"


Set fs2 = CreateObject("Scripting.FileSystemObject")
Set c = fs2.CreateTextFile(TargetFilePath, True)

lessthan = "<"
greaterthan = ">"
percent = "%"

startblock = lessthan & percent
endblock = percent & greaterthan


Call ShortEmit (startblock, " ' starting here")

Call Emit (ConnectString1,"ConnectString1")
If ConnectString2 <> "" Then
   Call Emit (Obfuscate(ConnectString2),"ConnectString2")
End if

Call Emit (RetrieveField1,"RetrieveField1")
Call Emit (RetrieveField2,"RetrieveField2")
Call Emit (RetrieveField3,"RetrieveField3")
Call Emit (RetrieveField4,"RetrieveField4")
Call Emit (RetrieveField5,"RetrieveField5")
Call Emit (RetrieveField6,"RetrieveField6")
Call Emit (RetrieveField7,"RetrieveField7")
Call Emit (RetrieveField8,"RetrieveField8")
Call Emit (RetrieveField9,"RetrieveField9")
Call Emit (RetrieveField10,"RetrieveField10")
Call Emit (RetrieveField11,"RetrieveField11")
Call Emit (RetrieveField12,"RetrieveField12")
Call Emit (RetrieveField13,"RetrieveField13")
Call Emit (RetrieveField14,"RetrieveField14")
Call Emit (RetrieveField15,"RetrieveField15")
Call Emit (RetrieveField16,"RetrieveField16")

Call Emit (LdapAddress,"LdapAddress")
Call Emit (WhereField1,"WhereField1")
Call Emit (SearchField1,"SearchField1")
Call Emit (WhereField2,"WhereField2")
Call Emit (SearchField2,"SearchField2")
Call Emit (WhereField3,"WhereField3")
Call Emit (SearchField3,"SearchField3")

Call Emit (Upperlimit,"Upperlimit")
Call Emit (Lowerlimit,"Lowerlimit")
Call Emit (RangeVariable,"RangeVariable")

quotex = Chr(34)
redirecter = "response.redirect " & quotex &  "http://www.google.com" & quotex
Call ShortEmit (redirecter, "   ")
Call ShortEmit (endblock, "   ")


c.close

End If ' if we were called via form submission with "capture" button




sub Emit(Sourcex,Targetx)
Tabchar = Chr(9)
If Sourcex <> "" Then
	myrec = "'" & Sourcex & tabchar & Targetx
	c.WriteLine(myrec)
End If
end sub



sub ShortEmit(Sourcex,Targetx)
Tabchar = Chr(9)
If Sourcex <> "" Then
	myrec =  Sourcex & tabchar & Targetx
	c.WriteLine(myrec)
End If
end sub

' ----------- End of Code Module for Capture Button


%>


<%

' -------------------------------------------------------------------

Function Obfuscate(Mystring)

seedx = Timer()
' response.write "seedx is " & seedx & "<P>"
If Instr(seedx,".") Then
 aryseed = split(seedx,".")
 seed = Cdbl(aryseed(0)) + Cdbl(aryseed(1))
Else
 seed = 12345
End If



'response.write "seed is " & seed & "<P>"

Randomize(seed)
' response.write  " and seed is " & seed & "<br>"


strlength = Len(Mystring)

'response.write "The string is " & Mystring & " which has length of " & strlength & "<BR>"


Dim Arystring(80)


fuse = 0

  ' put in initial population

  For I = 0 to Strlength - 1
      Arystring(I) = PickOne(Strlength)
  Next

  Valid = "No"

While Valid = "No"
	 Valid = "Yes"
	 'response.write "--------------------------------BREAK----------------------------------<p>"
	 For I = 0 to Strlength - 1
	   For J = 0 to I
		 If I <> J Then ' dont compare with self
			  'response.write " comparing pos " & I & " which contains " & Arystring(I) & " with pos " & J & " which contains " & Arystring(J) & "<BR>"
			  if Arystring(I) = Arystring(J) Then
			     Valid = "No"
			     ' response.write "Dup found<br>"
			     Arystring(I) = PickOne(Strlength)
			  end if
			  fuse= fuse + 1
			  if fuse > 30000 Then
						response.write "----------------abort----------"
						response.flush
						response.end
			  End if
		End If
	   Next

	 Next
Wend



Arystring(Strlength) = (Strlength) ' Plant the length
'response.write "-----------Length set in pos " & Strlength & "<BR>"


For I = 0 to Strlength - 1 ' now that we have position vectors in place, plant the secret message
	 offset = Arystring(I)

	 ThisChar = Mid(MyString,I+1,1)
	 ThisChar = Asc(ThisChar) - 48
	 Arystring(offset) = ThisChar
	 'response.write "Planting " & ThisChar & " in position " & Offset & " which is " & Chr(ThisChar+48) & "<BR>"
Next

' Now fill in the empties with random values


	for i = 0 to 79
		 if Arystring(i) = "" Then
		   Arystring(i) = Int(Rnd()*78) + 1
		 End if
	next


Target = "" ' and now we add 48 to each element
for i = 0 to 79
	 if Arystring(i) <> "" Then
		'response.write "String pos " & i & " is " & Arystring(i) & " which maps to " & Arystring(i)+48 & " which is the character " & Chr(Arystring(i)+48) & "<br>"
	 else
		'response.write "String pos " & i & " is " & "&#920;<br>"
	 End if
	 Target = Target & Chr(Arystring(i)+48)
Next

Obfuscate = Target

End Function

Function PickOne(MinVal)
  candidate = Int(Rnd()*78) + 1
  TooLow = "Yes"
  While TooLow = "Yes"
	  If candidate <= MinVal Then
		'response.write "Candidate " & candidate & " is Too Low<br>"
		candidate = Int(Rnd()*78) + 1
	  Else
		TooLow = "No"
	  End If
  Wend

  PickOne = candidate
End Function


Function DeObfuscate(thecode)

For I = 1 to 80 ' search for the string length value
	 ThisChar = Mid(thecode,I,1)
	 thisChar = Asc(thisChar) - 48
	 if Cint(thisChar) = Cint(I-1) Then
	  Strlength = I-1
	  Exit For
	 End if
Next
 'response.write "String length is " & Strlength & "<BR>"

Target = ""
For I = 1 to Strlength

  Offset =  Asc(Mid(thecode,I,1)) - 48
   ' response.write "Offset Number " & I & " has the value " & offset
  Target = Target & Mid(thecode,offset+1,1)
 ' Response.write " where the char I see is " & Mid(thecode,offset+1,1) & "<BR>"
Next
DeObfuscate = Target
End Function

%>

<%
Sub CheckUsed(FieldToBeChecked, Aryused, used_status)
Used_count = Ubound(Aryused)
If used_count = 0 Then
  used_count = used_count + 1
  ReDim Preserve Aryused(used_count)
  response.write "fisrt one is " & FieldToBeChecked & "<br>"
  Aryused(used_count) = FieldToBeChecked
  used_status = 0
Else
  used_status = 0
  for KK = 0 to Used_count
	  if Aryused(kk) = FieldToBeChecked Then
		' response.write "checking " & FieldToBeChecked & " and it is <b>used</b><br>"
		used_status = 1
		exit sub
	  else
		used_count = used_count + 1
		ReDim Preserve Aryused(used_count)
		Aryused(used_count) = FieldToBeChecked
		' response.write "checking " & FieldToBeChecked & " and storing as unused so far<br>"
	  end if
  Next
End If

End Sub
%>


</body>
</html>