<% 'Module: ListAllView.asp

   'Description: This module is the List View Page


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '03/11/02	SAV		Created original ListAllView.asp Page

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/CalendarDays.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file for special database cursor constants %>

<% ' Get The Database Type from the Database
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'set rstemp=conntemp.execute(mySQL)

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer Surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out
		Database = rstemp("DatabaseType") ' Database should be set to ACCESS or SQLSERVER or MYSQL


		WCDateFormat = rstemp("Date_Display_Format") ' Get Date Format

		' This will override databasetype2 constants set in the DB_define.inc file

			DatabaseType2 = Database



	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	' End of get Database Type Information

%>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 '

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Users_Tech_Level = rstemp("Tech_level")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "CalendarView.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>


<HTML>
<HEAD>
<!-- (C) 1996-2002 by Internet Software Sciences -->
<Title><%=wc_List_View%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow>


<% ' Display the List View Page
%>
<br>

<%
    selected_id = request.form("selected_id")
    if selected_id = "" Then
       selected_id = Request.QueryString("selected_id")
    end if
    if selected_id = "" Then
       selected_id = wc_All_Tech_Staff
    end if

    PassedMonth = request.form("PassedMonth")
    If PassedMonth = "" Then
       PassedMonth = Request.QueryString("PassedMonth")
    end if

    PassedYear = request.form("PassedYear")
    If PassedYear = "" Then
       PassedYear = Request.QueryString("PassedYear")
    end if

    PassedDay = request.form("PassedDay")
    If PassedDay = "" Then
       PassedDay = Request.QueryString("PassedDay")
    end if



	If PassedMonth = "" Then
		PassedMonth = Month(Now())
		PassedYear = Year(Now())
	End If

'	PassedMonth = 2
'	PassedYear = 2002

openouter = "no"
openinner = "no"
%>

<table width=100%>
<tr>
<td>
<font size=-1>

<%
	PreviousYear=Cint(PassedYear) -1
	NextYear=Cint(PassedYear) + 1
	XSelected_id = Server.URLEncode(Selected_id)
%>
<!-- -->

<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PreviousYear%>&PassedMonth=12><%=PreviousYear%></a>
</font>

<font size=+2>  .  <%=PassedYear%>  .
</font>
<font size=-1>


<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=NextYear%>&PassedMonth=1><%=NextYear%></a>
</font>


</td>

<td>


<%If PassedMonth = 1 Then%>
<font size=+2 color=RED><%=Month1%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=1><%=Month1%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 2 Then%>
<font size=+2 color=RED><%=Month2%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=2><%=Month2%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 3 Then%>
<font size=+2 color=RED><%=Month3%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=3><%=Month3%></a>
</font>
<%End If %>
   .

<%If PassedMonth = 4 Then%>
<font size=+2 color=RED><%=Month4%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=4><%=Month4%></a>
</font>
<%End If %>
   .

<%If PassedMonth = 5 Then%>
<font size=+2 color=RED><%=Month5%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=5><%=Month5%></a>
</font>
<%End If %>
   .

<%If PassedMonth = 6 Then%>
<font size=+2 color=RED><%=Month6%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=6><%=Month6%></a>
</font>
<%End If %>

  <br>

<%If PassedMonth = 7 Then%>
<font size=+2 color=RED><%=Month7%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=7><%=Month7%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 8 Then%>
<font size=+2 color=RED><%=Month8%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=8><%=Month8%></a>
</font>
<%End If %>
   .

<%If PassedMonth = 9 Then%>
<font size=+2 color=RED><%=Month9%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=9><%=Month9%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 10 Then%>
<font size=+2 color=RED><%=Month10%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=10><%=Month10%></a>
</font>
<%End If %>
   .


<%If PassedMonth = 11 Then%>
<font size=+2 color=RED><%=Month11%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=11><%=Month11%></a>
</font>
<%End If %>
   .

<%If PassedMonth = 12 Then%>
<font size=+2 color=RED><%=Month12%></font>
<%else%>
<font size=-1>
<a href=ListAllView.asp?Selected_id=<%=XSelected_id%>&PassedYear=<%=PassedYear%>&PassedMonth=12><%=Month12%></a>
</font>
<%End If %>

</td>

<td><font size=+1><a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=<%=PassedMonth%>><%=wc_CALENDAR%></a></font>
</td>

</table>

<p>






<% ' ---------start of logic to show selection menu of tech staff ------------------------------- %>
<center>

<table class=innerformwrapper>
<tr>
	<form action=ListAllView.asp method=post>
	  <td class=formlabelsuper>
		<input type=hidden size=3 name=invoked value="Yes">
		<%=wc_Show_Schedule_Summary_For%>: </td>
		<td class=formboxholder>




<%


set conntemp=server.createobject("adodb.connection")
conntemp.open MyDSN
SQL6 = "Select * from Tech_staff"
set rstemp6=conntemp.execute(SQL6)
If rstemp6.eof Then
    %>
   <center>
      <p> &nbsp; <p> &nbsp; <p> No records found for Tech Staff
   </center>
   <%
   response.flush
   response.end
End If
%>
<select name=selected_id class=inputbox>
<option value="<%=wc_All_Tech_Staff%>"><%=wc_All_Tech_Staff%>
<%
Do while (Not rstemp6.eof)
%>


		   <option value=<%=rstemp6("tech_id")%>
			  <% if selected_id = rstemp6("tech_id") then
				  response.write " selected "
				 end if %>
			  ><%=rstemp6("first_name")%>
			    &nbsp;
			    <%=rstemp6("last_name")%>


<%
rstemp6.Movenext
Loop

%>

		</select>
		</td>
		<td>
		   <input type=hidden name=PassedMonth value="<%=PassedMonth%>">
		   <input type=hidden name=PassedYear value="<%=PassedYear%>">
		   <input type=hidden name=PassedDay value="<%=PassedDay%>">
		   <input type=submit class=inputbox name=submit value="Go">
		</td>
	  </td>
	</form>
</tr>
</table>

<% ' ---------end of logic to show selection menu of tech staff ------------------------------- %>


<p>


<table width=80% cellspacing=2 cellpadding=2 border=0 class=InnerFormwrapper>
<tr>
<td width= 14% align=center class=minorformtitle>
<b>

<%=wc_Date_Event_Info%>

&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

<a href=EditEvent.asp><%=wc_Add_New_Event%></a>
</b>
</td>


</tr>



<%' Now display the event for this month %>


<%
StartingDate  = DateSerial(PassedYear, PassedMonth, 1)


' Compute current Date
	CurrentYear = Year(Now())
	CurrentMonth = Month(Now())
	CurrentDay = Day(Now())

For i = 0 to 31

	NextDate = DateAdd("d", i, StartingDate)

	NextYear = Year(NextDate)
	NextMonth = Month(NextDate)
	NextDay = Day(NextDate)


	'*****Important Change 8/29/05 SQL queries need to be UK or US specific


'	If WCDateFormat = "DDMMYYYY" Then   ' UK Format
	If WCDateFormat = "DDMMYYYY" AND (DatabaseType2 <> "SQLSERVER") Then' UK Format
		SQLDateString = NextDay & "/" & NextMonth & "/" & NextYear
	Else
		SQLDateString = NextMonth & "/" & NextDay & "/" & NextYear
	End If




	If Month(NextDate) = Cint(PassedMonth) Then

		'response.write "NewDate = " & NextDate

		DayNumber = Day(NextDate)

		' Now check if any events for this date by creating a special query
		' that will check for events for this person for this date

		Tech_ID = Request.Cookies("ISS_TECH_CENTER_LOGIN")

		mySQL2 = "SELECT Event_Attending.Tech_ID, Schedule.Schedule_ID, Event_Type.Event_Type_Name, Schedule.Start_Date, Schedule.Start_Time, Schedule.customer_ID, Schedule.End_Time, Schedule.End_Date, Schedule.Event_Title, Schedule.Event_Status FROM (Event_Attending INNER JOIN Schedule ON Event_Attending.Schedule_ID = Schedule.Schedule_ID) INNER JOIN Event_Type ON Schedule.Event_Type_ID = Event_Type.Event_Type_ID "
		'mySQL2 = "SELECT Event_Attending.Tech_ID, Schedule.Schedule_ID, Event_Type.Event_Type_Name, Schedule.Start_Date, Schedule.Start_Time, Schedule.End_Time, Schedule.End_Date, Schedule.Event_Title, Schedule.Event_Status, Customers.contact_fname, Customers.contact_lname, Customers.company FROM ((Event_Attending INNER JOIN Schedule ON Event_Attending.Schedule_ID = Schedule.Schedule_ID) INNER JOIN Event_Type ON Schedule.Event_Type_ID = Event_Type.Event_Type_ID) INNER JOIN Customers ON Schedule.Customer_ID = Customers.customer_id "

        If selected_id = wc_All_Tech_Staff Then
            show_attendees = "Yes"
		    mySQL2 = mySQL2 & " Where 2 = 2 "
		Else
		    show_attendees = "No"
		   mySQL2 = mySQL2 & " Where Event_Attending.Tech_ID = '" & selected_ID & "' "
		End If



		' Now add dates into query
		' Note Access version requires # for dates, SQL requires single quotes


		If DatabaseType2 = "ACCESS" Then
				mySQL2 = mySQL2 & " and  Start_Date <= #" & NextDate & "# And End_Date >= #"& NextDate & "#"
		End IF

		If DatabaseType2 = "SQLSERVER" Then
			mySQL2 = mySQL2 & "  and Start_Date <= '" & NextDate & "' And End_Date >= '"& NextDate & "'"
		End IF

		If DatabaseType2 = "MYSQL" Then
			mySQL2 = mySQL2 & " and  Start_Date <= '" & YYMMDD(NextDate) & "' And End_Date >= '"& YYMMDD(NextDate) & "'"
		End IF

        mySQL2 = mySQL2 & " ORDER BY Schedule.start_time"   ' order the meetings by start time within a given day

		'mySQL2 = " select * from Schedule"

	If openouter = "no" Then
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN
		openouter = "yes"
	end If




	set rstemp2=conntemp.execute(mySQL2)

	ThisDebug="Yes"
	If thisDebug = "No" Then
			response.write "SQL=" &  mySQL2
			if rstemp2.EOF then
			   response.write "<p> I have eof<p>"
			else
			  response.write "<p> I DO NOT have eof<p>"
			End if
			response.flush
		    response.end
    End If



	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then ' Close out the table cell

		If NextDay = CurrentDay AND NextMonth = CurrentMonth AND NextYear = CurrentYear THEN
			response.write "<tr><td   class=CalendarListToday>" & vbCRLF
		Else
			response.write "<tr><td class=CalendarListText>" & vbCRLF
		End If

		response.write "<a href=ShowDayCalendar.asp?PassedDay=" & DayNumber & "&PassedMonth=" & PassedMonth & "&PassedYear=" & PassedYear & ">"
		response.write DayNumber & "</a>"


		DayName = WeekDayName(WeekDay(NextDate))
		response.write " / " & DayName

		'response.write "&nbsp;&nbsp;&nbsp;("
		'response.write "<a href=ShowDayCalendar.asp?PassedDay=" & DayNumber & "&PassedMonth=" & PassedMonth & "&PassedYear=" & PassedYear & ">"
		'response.write wc_My_Calendar & "</a>)"


		'response.write "&nbsp;&nbsp;&nbsp;("
		'response.write "<a href=ShowGroupDayCalendar.asp?PassedDay=" & DayNumber & "&PassedMonth=" & PassedMonth & "&PassedYear=" & PassedYear & ">"
		'response.write wc_Group_Calendar & "</a>)"


		response.write "<br></td>"
		response.write "</tr>"

	Else ' There is at least one entry for this date



		If NextDay = CurrentDay AND NextMonth = CurrentMonth AND NextYear = CurrentYear THEN
			response.write "<tr><td  class=CalendarListToday>"  & vbCRLF
			todayclass="CalendarListToday"
		Else
			response.write "<tr><td class=CalendarListText>" & vbCRLF
			todayclass="CalendarListText"
		End If

		response.write "<a href=ShowDayCalendar.asp?PassedDay=" & DayNumber & "&PassedMonth=" & PassedMonth & "&PassedYear=" & PassedYear & ">"
		response.write DayNumber & "</a>"




		DayName = WeekDayName(WeekDay(NextDate))
		response.write " / " & DayName

		'response.write "&nbsp;&nbsp;&nbsp;("
		'response.write "<a href=ShowDayCalendar.asp?PassedDay=" & DayNumber & "&PassedMonth=" & PassedMonth & "&PassedYear=" & PassedYear & ">"
		'response.write wc_My_Calendar & "</a>)"

		'response.write "&nbsp;&nbsp;&nbsp;("
		'response.write "<a href=ShowGroupDayCalendar.asp?PassedDay=" & DayNumber & "&PassedMonth=" & PassedMonth & "&PassedYear=" & PassedYear & ">"
		'response.write wc_Group_Calendar & "</a>)"


		response.write "<Table >" ' initiate table containing event details

       previous_id = ""

		Do While rstemp2.EOF <> True
			Schedule_ID = rstemp2("Schedule_ID")


			' Get the Customer and company information from a separate Query

			Customer_ID = rstemp2("customer_id")
			CustomerName = "" ' Clear out customer name

			If Customer_ID <> ""  Then

				MySQL3 = " Select * from Customers where customer_id =  '" & customer_id & "'"



                If openinner = "no" Then
				   set rstemp3=Server.CreateObject("adodb.Recordset")
				   openinner= "yes"
				end if

				rstemp3.open mySQL3, conntemp, adopenstatic

				If rstemp3.EOF <> "True" Then
					CustomerName = rstemp3("contact_fname") & " " &  rstemp3("Contact_lname")
					Company = rstemp3("Company")
				Else
					CustomerName = ""
					Company = ""
				End If

				rstemp3.close ' Close the Record set now

			End IF

			CustomerNAme = CustomerName & "/" & Company


			'Event_Type_ID = rstemp2("Event_Type_ID")
			'Email_Reminder = rstemp2("email_reminder")
			Start_Date = rstemp2("Start_Date")
			Start_Time = rstemp2("Start_Time")
			End_Date = rstemp2("End_Date")
			End_Time = rstemp2("End_Time")
			Tech_ID =  rstemp2("Tech_ID")
			Event_Title = rstemp2("Event_Title")
			'Event_Notes = rstemp2("Event_Notes")
			Status = rstemp2("Event_Status")
			'CustomerName = rstemp2("contact_fname") & " " &  rstemp2("Contact_lname")
			'Company = rstemp2("Company")
			'CustomerNAme = CustomerName & "/" & Company
			Event_Type = rstemp2("Event_Type_Name")



	' -------- start of a meeting item ------------------
	if Schedule_ID <> previous_id Then

            response.write "<tr><td width=20 align=right valign=top>&bull;</td><td class=" & todayclass & ">"
			response.write "<B><a href=EditEvent.asp?ID=" & Schedule_ID & ">" & Event_Title & "</a></b>"

			response.write "&nbsp;&nbsp;" & Start_Time & "-" & End_Time





			If Customer_ID <> "" Then
				response.write "&nbsp;&nbsp;&nbsp;(" &  CustomerName & ")"
			End If


			If status = "0" Or status = "" Then
			StatusString = wc_No_Status
			End If

			If status = "1"  Then
			StatusString = wc_Scheduled
			End IF

			If status = "2"  Then
			StatusString = wc_Postponed
			End IF

			If status = "3"  Then
			StatusString = wc_Cancelled
			End IF

			If status = "4"  Then
			StatusString = wc_Rescheduled
			End IF

			response.write "&nbsp;&nbsp;&nbsp;&nbsp;<B>[" & StatusString & "]</B>"
			response.write "</td>"



			If show_attendees = "Yes" Then
				response.write "</tr><tr><td width=20></td><td class=" & todayclass & ">"
				response.write " <b>Attendees: </b>"
				ResolveName Tech_ID
		    End If

	Else
	        If show_attendees = "Yes" Then
                   ResolveName Tech_ID
            End If

	End If

 ' -------- end of a meeting item ------------------





		previous_id = Schedule_ID


		rstemp2.movenext


		loop
        response.write "</tr></table>" ' end of meetings within a given day
		response.write "</td></tr>"


	End If ' End of If rstemp = EOF



	Event_Type = ""
	CustomerName = ""


	End If ' If Month <> Current Month


Next  ' End of For ... Next Loop for all 31 days

%>

</table>


</body>
</html>

<%End If %>



<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>

<% Function YYMMDD(datestring)
' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

   DIM aryChunk
   aryChunk = Split(datestring,"/")
   YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

End Function
%>

<% Sub ResolveName (The_ID)

  'response.write "<font color=red> " & The_id & " </font>"

  		mySQL5="select * from Tech_staff WHERE tech_id = '" & The_ID & "'"
		set rstemp5=conntemp.execute(mySQL5)
		if rstemp5.EOF then
		   namestring = "?"
		else
		   if Ucase(rstemp5("Tech_Id")) = Ucase(Request.Cookies("ISS_TECH_CENTER_LOGIN")) then
		     namestring = "<font color=red>" & rstemp5("first_name") & " " & rstemp5("last_name") & "</font>"
		   else
		     namestring = rstemp5("first_name") & " " & rstemp5("last_name")
		   end if
		end if

		response.write namestring & ", "



   End Sub
%>