<% 'Module: ManageAssetGroups.asp

   'Description: This module is the asset group search engine first page.
   '(C) 1999, 2000, 2001, 2002 - 2010 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page
	'12/12/00	SAV	Created Assets.asp search page from search.asp page
	'12/2/2010 	SAV	Created ManageAssetGroups.asp page from assets.asp
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->


<% ' To customize the Asset labels, edit the file called AssetLabels.inc
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ManageAssetsGroups.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<html>

<head>
<title><%=wc_Manage_asset_groups%></title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow>

<Table class=BGWrapper align=center>
<tr>
    <td width=50% align=center valign=center class=majorscreentitlefixed><%=wc_Manage_Asset_Groups%></td>
</tr>
</table>
<p>

<body class=rightwindow>

<Table class=BGWrapper align=center>
<tr>
    <td width=50% align=center valign=center class=innerformwrapper>

To Add, view, delete assets for asset groups, <br>
first find the asset(s) using the
search form below.

    </td>
</tr>
</table>
<p>


<Center>


<FORM METHOD=POST name="myform" ACTION=DoManageAssetGroups.asp>

<Table class=outerformwrapper cellspacing=0 cellpadding=0>
<tr>
<td>
	<Table class=innerformwrapper cellspacing=1 cellpadding=0>

    <tr><td class=MinorFormTitle align=center ><%=wc_Asset_Group%></td></tr>

    <tr>
    <td>

			<Table  width=100% cellpadding=0 cellspacing=2>
			<TR>

			<TD class=formlabelsuper ><%=wc_Asset_Group%>:<br><span class=formboxholder>

			<select name=AssetGroup size=1>
			<option value = "">No Group Selected</a>


			<%

				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				mySQL="select * from AssetGroup order by AssetGroupName"
				set rstemp=conntemp.execute(mySQL)

				' Check to see if any records are returned
				' if none found then login fails.

				If  rstemp.eof then ' Check to see any Groups exist

					' No asset groups found


				Else
					Do While rstemp.EOF <> True
							response.write "<option value=" & rstemp("AssetGroupIndex") & ">" & rstemp("AssetGroupName") & "</option>" & chr(10) & chr(13)

						rstemp.MoveNext

					Loop

					response.write "</select>"
				End IF

				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing


			%>





			</span></TD>

			</TR>
		</table>





    <tr><td class=MinorFormTitle align=center ><%=wc_Asset_Assignments%></td></tr>

    <tr>
    <td>

			<Table  width=100% cellpadding=0 cellspacing=2>
			<TR>

			<TD class=formlabelsuper ><%=Asset_Number_Label%>:<br><span class=formboxholder> <INPUT type=text name=asset_number size=8 maxlength=10></span></TD>

			<TD class=formlabelsuper >Customer:&nbsp;
			<BR><span class=formboxholder>
			<% ' The customerID field can either be a drop down box if that option is selected
				' or it can be a text box for large customer databases
				CustomerDropDown = "YES"
				'--AKS<-- Conversion to INT required
				Customer_Id_List = CInt(Customer_Id_List)

				If Customer_Id_List = 1 Then
					Response.write "<FONT SIZE=-1><SELECT size=1 name=customer_id>"
					Response.write "<OPTION selected value="""">Ignore</OPTION>"
				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN
				mySQL="select * from Customers Order by Contact_lname"
				set rstemp=conntemp.execute(mySQL)
				' Check to see if any records are returned
				' if none found then login fails.
				If  rstemp.eof then ' Check to see any Groups exist
				Else
					Do While rstemp.EOF <> True
							response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_id") & "</option>" & chr(10) & chr(13)

						rstemp.MoveNext
					Loop
					response.write "</select>"
				End IF
				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing
			 ' End of Display the Customer_List
			 End If



			   If Customer_Id_List = 2 Then ' If using on-click and Javascript sub-window
						%>
						<input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
						<a href='javascript:var w=window.open("Customer_Id_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
						<img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
						<%
				  End If  ' End of If using on-click and Javascript sub-window

				  If Customer_Id_List = 0 Then' If using copy/paste sub-window
						%>
						<font size=-1><input size=20 name=customer_id maxlength=20 value = "<%= Customer_ID %>">
						<a href=Customer_Id_Copy_Paste.asp target=subwindow>
						<img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
						<%
				 End If

			%>
            </span>
			</TD>

			<TD class=formlabelsuper valign=top >Staff Member:&nbsp;
			<span class=formboxholder><BR>
			<SELECT size=1 name=tech_id>
			<OPTION selected value=""><FONT SIZE=-1>Ignore</OPTION>

			<% ' Display the List of Techs

				set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				mySQL="select * from Tech_staff Order by Last_Name"
				set rstemp=conntemp.execute(mySQL)

				' Check to see if any records are returned
				' if none found then login fails.

				If  rstemp.eof then ' Check to see any Groups exist

				Else
					Do While rstemp.EOF <> True
							response.write "<option value=" & rstemp("tech_id") & ">" & rstemp("Last_Name") & "," & rstemp("first_Name") & "</option>" & chr(10) & chr(13)

						rstemp.MoveNext

					Loop

					response.write "</select></td>"
				End IF

				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing

			%>
            </span>

			<TD class=formlabelsuper>Other Asset:<br>
			<span class=formboxholder>
			<INPUT type=text name=assigned_asset_number size=10 maxlength=10></span></TD>

			</TR>

			</table> <!-- end 2nd table -->


<tr>
  <td align=center class=minorformtitle>Asset Values</td>
</tr>

<tr>
<td>




<TABLE BORDER=0 CELLPADDING = 0 cellspacing=0 >
<tr>
<td>
<table border=0 cellpadding=5 cellspacing=2 >


<TR>


<TD valign=top class=formlabelsuper>

<% If Computer_ID_Label <> "" THen %>


<%=Computer_ID_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=computer_id size=20 maxlength=25></span>


			<%  ' Uncomment this next line to have computer_id field as a dropdown
				' Note: This field defaults to unique and keyed and it's design must be change to use
				' this popup properly.

				Computer_ID_Popup = "YES"

				If Computer_ID_Popup = "YES" Then
			%>

			<a href='javascript:var w=window.open("Asset_Computer_ID_Field_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'><img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>


			<% End IF %>



<% End IF %>


</td>



<TD valig=top class=formlabelsuper>

<% IF Property_Tag_Label <> "" Then %>


<%=Property_Tag_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=property_tag size=20 maxlength=25></span>

<% End IF %>


</td>



<TD valig=top class=formlabelsuper>

<% If Description_Label <> "" Then %>


<%=Description_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=Equipment_Type size=20 maxlength=20> &nbsp;&nbsp;

		    <a href='javascript:var w=window.open("Asset_Description_Field_Assist.asp","subwindow","width=<%=wc_Width_Customer_Id_Assist_Window%>,height=400,screenX=50,screenY=50,left=50,top=50,scrollbars=yes,resizable=yes")'>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a>
</span>

<% End If %>


</td>



</tr>

<TR>


<TD valign=top class=formlabelsuper>

<% If Serial_Number_Label <> "" Then %>
<%=Serial_Number_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=serial_number size=20 maxlength=25></span>

<% End If %>

</td>

<TD valig=top class=formlabelsuper>

<% If Assigned_Group_Label <> "" Then %>

<%=Assigned_Group_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=assigned_group size=20 maxlength=25></span>

<% End If %>

</td>

<TD valig=top class=formlabelsuper>

<% If IP_Address_Label <> "" Then %>

<%=IP_Address_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=ip_address  size=20 maxlength=20></span>

<%End If %>

</td>
</tr>

<TR>

<TD valign=top class=formlabelsuper>

<% IF Purchase_Order_Number_Label <> "" Then %>

<%=Purchase_Order_Number_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=purchase_order_num size=20 maxlength=25></span>

<% End If %>

</td>

<TD valig=top class=formlabelsuper>

<% If Lease_Or_Purchase_Label <> "" Then %>

<%=Lease_Or_Purchase_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=lease_or_purchase size=10 maxlength=10></span>

<% End If %>

</td>

<TD valig=top class=formlabelsuper>

<% If Acquired_From_Label <> "" Then %>

<%=Acquired_From_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=Acquired_from  size=20 maxlength=20></span>

<% End If %>

</td>
</tr>

<TR>

<TD valign=top class=formlabelsuper>

<% If Location_Label <> "" Then %>

<%=Location_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=location size=20 maxlength=25></span>

<% End If %>

</td>

<TD valig=top class=formlabelsuper>

<% If Wall_Port_Number_Label <> "" Then %>

<%=Wall_Port_Number_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=wall_port_number size=8 maxlength=8></span>

<% End If %>

</td>

<TD valig=top class=formlabelsuper>

<% If Date_Assigned_Label <> "" Then %>

<%=Date_Assigned_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=Date_Assigned size=15 maxlength=15></span>

<% End If %>

</td>
</tr>

<TR>

<TD valign=top class=formlabelsuper>

<% If Custom_Field_1_Label <> "" Then %>

<%=Custom_Field_1_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=Custom_Field1 size=20 maxlength=25></span>

<% End If %>

</td>

<TD valig=top class=formlabelsuper>

<% If Custom_Field_2_Label <> "" Then %>

<%=Custom_Field_2_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=Custom_Field2 size=20 maxlength=25>

</span>

<% End If %>


</td>

<TD valig=top class=formlabelsuper>

<% If Custom_Field_3_Label <> "" Then %>


<%=Custom_Field_3_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=Custom_Field3 size=20 maxlength=25></span>

<% End If %>

</td>
</tr>



</TABLE><!-- in 2 -->
</td></tr>
</table><!-- in 1 -->







</td>
</tr>
 <tr><td class=MinorFormTitle align=center >Output Format Control</td></tr>

<tr>

			<td class=formlabelsuper align=center><%=wc_Sort_By%>:
			<span class=formboxholder>
			<select name=SortBy size=1>
			<option value="Assets.Asset_Number"><%=Asset_Number_Label%></option>
			<option value="AssetAssignment.Customer_Id"><%=wc_Customer_ID%></option>
			<option value="AssetAssignment.Tech_Id"><%=wc_Staff_Member%></option>
			<option value="Assets.Equipment_Type"><%=Description_Label%></option>
			<option value="Assets.Location"><%=Location_Label%></option>
			<option value="Assets.Computer_ID"><%=Computer_ID_Label%></option>
			<option value="Assets.Property_Tag"><%=Property_Tag_Label%></option>
			<option value="Assets.IP_Address"><%=IP_Address_Label%></option>
			<option value="Assets.Assigned_Group"><%=Assigned_Group_Label%></option>
			</select>
			</span>
			</td>
			</TR>
			</TABLE>


</td></tr>

</table><!-- end of inner form wrapper -->

<tr><td>

<!-- ------------------------- buttons ----------------------------- -->
<TABLE align=center>
<TR>
<TD ALIGN=CENTER><INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_search30x80.gif border=0></TD>
<td>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE>


<!-- ------------------------- end buttons ----------------------------- -->
</td></tr>



</td>
</tr>
</table><!-- end of outerform wrapper -->




</CENTER>

</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>
