<% 'Module: OpenCasesByCustomerByDate.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '10/5/01 SAV		Create originalOpenCasesByCustoerByDate.asp module

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title>Open Cases By Customer By Date</title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing

%>


<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Date_Type = Request.form("Date_Type") ' Passed as 0 (Start date) or 1 (Last Modified)

%>


<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1>CASE REPORT</font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1>Open Cases By Customer By Date</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>

</center>

<form action=OpenCasesByCustomerByDate.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1>Start date:</FONT></b><br>
<font size=-2>
(mm/dd/yyyy)<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1>End date:</font></b><br>
<font size=-2>(mm/dd/yyyy)<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<TD valign=top><B><FONT SIZE=-1>Date Type:</font></b><br>
<font size=-2>Create/Last Modify<br></FONT>
<FONT SIZE=-1>
<SELECT  name=date_type>
<% If Date_type <> 1 Then %>
<OPTION selected value=0>Creation date</OPTION>
<%Else %>
<OPTION  value=0>Creation date</OPTION>
<%End If %>

<% If Date_Type <> 1 Then %>
<OPTION value=1>Last modification date</OPTION></SELECT></font></TD>
<%Else %>
<OPTION selected value=1>Last modification date</OPTION>
<%End If %>


</SELECT></font></TD>
<td valign=middle>
<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>

<% ' Create the query based on the entered date range if they entered any data


		If Date_Type = 0 Then


			If Start_Date <> "" Then
				' Remove the slashes so we can do a proper date search
				Start_Date = Replace (Start_Date, "/", "")
				' Move the date characters around into YYYYMMDD format
				NewDate = mid(Start_Date, 5,4) & mid(start_date, 1,2) & mid(start_date,3,2)

				WhereStatement = " Cases.Open_Date >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Cases.Open_date <= '" & NewDate & "'"
				AndText = " AND "
			End IF



		End If

		If Date_Type = 1 Then


			If Start_Date <> "" Then
				Start_Date = Replace (Start_Date, "/", "")
				NewDate = mid(Start_Date, 5,4) & mid(Start_date, 1,2) & mid(Start_date,3,2)

				WhereStatement = " Cases.Mod_Date >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewDate & "'"
				AndText = " AND "
			End IF

		End If


		WhereStatement = " Where "& WhereStatement & AndText & " Status <> 1 "


%>


<%' First get all of the open Cases total count since we will need that for our percentage calculation%>
<% ' Get Total number of Cases

	sqltemp="select * from Cases " & WhereStatement & " order by Customer_ID"




	set rstemp=Server.CreateObject("adodb.Recordset")

	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	TotalOpenCases = rstemp.recordcount
	'rstemp.close
	'set rstemp=nothing

%>

<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1>Customer/Company</th>
<th width=10% bgcolor=E0E0E0><font size=-1> # </th>
<th width=10% bgcolor=E0E0E0><font size=-1> % of Total</th>
<th width=50% bgcolor=E0E0E0><font size=-1>Graphical Percentage</th>
</tr>

<%' Now step through data set %>


<% ' Get all open Cases, sort by Tech ID and count for each tech and then
	' compute what percentage that Tech ID has and then display it graphically
	'

	' Get the Case statistics from the case table
	if not rstemp.BOF then
		rstemp.MoveFirst
	end if
	'mySQL="select * from cases where status <> 1  order by Customer_ID"
	'set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see if any open Cases
		TotalOpenCases = 0
%>
		<tr><td colspan=4 align=center><font size=-1><B> No Open Cases </b></font></td></tr>
<%
	Else ' Must be one or more open Cases
		' Setup for the first one  outside of the loop
			Color = "Purple" ' Set up First color
			CustomerOpenCases = 0 ' Default to one case

		' Before we get into the loop determine the value for the first tech
			' Check to see if this tech value is null or blank
			if IsNull(rstemp("customer_id")) = TRUE Then
				Lastcustomer = "Un-assigned"

			Elseif IsNull(rstemp("customer_ID")) = False THEN
				If ASC(rstemp("customer_ID")) = 0 Then
					LasCustomer = "Un-assigned"
				Else
					LastCustomer = rstemp("customer_ID")
				End If
			End If


		do while not rstemp.eof

			' Now step through the records
			' Check to see if this tech value is null or blank
			if IsNull(rstemp("Customer_id")) = TRUE Then
				Customer = "Un-assigned" ' This should never happen


			Elseif IsNull(rstemp("Customer_ID")) = False THEN
				customer = rstemp("Customer_id")
			End If

			' Now compare LastCustomer and Customer to see if they are the same.  If
			' they are the same then continue on until they change and then
			' output a record

			If Lastcustomer <> Customer then
			' Display a row in the table
			%>

<tr>

<td><font size=-1>

<%				If LastCustomer = "Un-assigned" Then
					Response.write "Not Assigned"
				Else
					Response.write GetCustomerName(LastCustomer)
				End If
%>


<% ' Rotate between 5 colors %>
<% 				If color="Red" Then
					color = "Blue"
				Elseif color= "Blue" Then
					color = "Green"
				Elseif color = "Green" Then
					color = "Yellow"
				Elseif color = "Yellow" Then
					color = "Purple"
				Elseif color = "Purple" then
					color = "Red"
				End If
%>

</td>

<td align=center><font size=-1><%=CustomerOpenCases %>
</td>

<% Percentage = Int(100* (CustomerOpenCases/TotalOpenCases))%>
<td align=center><font size=-1><%=Percentage %>%
</td>
<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

<%
				CustomerOpenCases = 0 ' Reset Back to 1

			End If
			LastCustomer = Customer
			rstemp.movenext
			if rstemp.EOF <> True AND rstemp.BOF <> True then
				CustomerOpenCases = CustomerOpenCases + 1
			End If
		loop

	End If


	' Display the Last Customer information or the only Customer
%>

<% If TotalOpenCases <> 0 Then %>


<tr>

<td><font size=-1>

	<% If LastCustomer = "Un-assigned" Then
		Response.write "Not Assigned"
	   Else
	 	response.write GetCustomerName(LastCustomer)
	   End If
	%>



<% ' Rotate between 5 colors %>
<% 				If color="Red" Then
					color = "Blue"
				Elseif color= "Blue" Then
					color = "Green"
				Elseif color = "Green" Then
					color = "Yellow"
				Elseif color = "Yellow" Then
					color = "Purple"
				Elseif color = "Purple" then
					color = "Red"
				End If
	CustomerOpenCases = CustomerOpenCases + 1
%>

</td>
<td align=center><font size=-1>


<%=CustomerOpenCases%>
</td>
<%
	If TotalOpenCases <> 0 Then
		Percentage = Int(100* (CustomerOpenCases/TotalOpenCases))
	Else
		Percentage = 0
	End If%>

<td align=center><font size=-1><%=Percentage %>%
</td>
<td><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=Percentage*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>

<% End If ' Do not display last if no items or only one row %>


<%


	rstemp.close ' Close the record set and the connection
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>


<% ' Display the summary row information %>

<tr>

<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  Summary Total:</b>




<% ' Rotate between 5 colors %>
<% 				If color="Red" Then
					color = "Blue"
				Elseif color= "Blue" Then
					color = "Green"
				Elseif color = "Green" Then
					color = "Yellow"
				Elseif color = "Yellow" Then
					color = "Purple"
				Elseif color = "Purple" then
					color = "Red"
				End If
	CustomerOpenCases = CustomerOpenCases + 1
%>

</td>
<td align=center bgcolor=FFFFFF><font size=-1>
<B>


<%=TotalOpenCases%></b>
</td>
<td align=center bgcolor=FFFFFF><font size=-1><B>100% </b>
</td>
<td bgcolor=FFFFFF><font size=-1>
<%' Build a table graphic with color and fixed size %>
<table><tr><td bgcolor=<%=color%> width=<%=100*3%>><font size=-1>&nbsp</td></tr></table>

</td>
</tr>



	<%' Close the Table %>

</table>
<P>
<center>
<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</center>


</body>
</html>


<% Function GetCustomerName(Passed_Customer_ID)
' This function returns the name of the Customer from the Customer_ID

	mySQL2="select * from Customers where customer_ID = '" & Passed_Customer_ID & "'"

	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found then login fails.
	if rstemp2.EOF then
		GetCustomerName = "Customer (" & Passed_Customer_ID & ") No Longer in Database" ' Tech may no longer exist in the database
	Else
		GetCustomerName = rstemp2("contact_fname") & " " & rstemp2("contact_lname") & " / "
		If rstemp2("Company") <> "" Then
			GetCustomerName = GetCustomerName & "(<font color=brown>" & rstemp2("Company") & "</font>)"
		End IF

	End If

	rstemp2.close
	set rstemp2=nothing

End Function
%>
