<% 'Module: DoTCaseForm.asp

   'Description: This module add or updates the case table
   ' with the new case information. It displays an resultant page
   ' that shows the status of the case updating and emailing information.
   ' with an continue button to return back to display the case again or cancel.
   ' This functions sends out emails to the Customers, and techs
   ' notifying them of this new case.

   '(C) 2000,2001,2002, 2003 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '3/27/00	SAV		Created original ASP
   '09/17/00 SAV	Created from DoCaseForm.asp Module for customer case forms which
   ' is similar but Tech Case form has more fields.
   '03/23/01 SAV	Modifed for AdjustedTimeZone Variable
   '05/11/01 SAV	Added code for intial group assignment based on Categories
   '07/31/01 SAV	Added code to send short emails to cell phone email address for techs
   '09/05/02 SAV	Added feature to send Customers - customer survey emails

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% 'Get the form data

	LoginTech_ID = Request.Cookies ("ISS_TECH_CENTER_LOGIN")
	Tech_Full_Name = TechFullName(LoginTech_ID)

	Customer_ID = Request.form("Customer_ID")

		' Get Any optional case text fields data

		Text_Field_1 = Request.form("Text_field_1")
		Text_Field_2 = Request.form("Text_field_2")
		Text_Field_3 = Request.form("Text_field_3")
		Text_Field_4 = Request.form("Text_field_4")
		Text_Field_5 = Request.form("Text_field_5")
		Text_Field_6 = Request.form("Text_field_6")
		Text_Field_7 = Request.form("Text_field_7")
		Text_Field_8 = Request.form("Text_field_8")
		Text_Field_9 = Request.form("Text_field_9")
		Text_Field_10 = Request.form("Text_field_10")


		Case_Number = Request.form("Case_Num")
		If Case_Number = "0"  then
			CaseType = "NEW"
		End If

		Case_History = Request.form("Case_History")

		Case_Summary = Request.form("Summary")
		Case_Resolution = Request.form("Resolution")

		Case_One_Line = Request.form("Case_One_Line")
		Asset_Number = Request.form("Asset_Number")

		' Get tech specific fields of Group_Number, Case_status, tech_id (assigned)
		' and case_severity (Priority)

		Group_Number_From_Form = Request.form("Group_Number")
		Case_Status = Request.form("Case_Status")
		Tech_ID = Request.form("Tech_ID")
		AssignedTechID = Request.form("Tech_ID") ' Save this for later with repeat Cases
		Dup_Case_Num = Request.form("Dup_Case_Num")
		Status = request.form("Case_Status")
		Case_Severity = Request.form("Case_Severity")

		' Schedule Case Form Fields

		ScheduleCase = Request.form("ScheduleCase")
		RepeatInterval = Request.form("RepeatInterval")
		DueMonth = Request.form("DueMonth")
		DueDay = Request.form("DueDay")
		DueYear = Request.Form("DueYear")
		DueHour = Request.form("DueHour")
		DueMinute = Request.form("DueMinute")
		DueAMPM = Request.Form("DueAMPM")
		External_Case_Number = Request.form("External_Case_Number")


		SendEmailValue = Request.form ("SendEmail") ' Radio button to send email to Customers
		' This fields is set to either "YES" or "NO"


	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'set rstemp=conntemp.execute(mySQL)

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If rstemp.EOF = True  Then
		Response.write "No configuration file found"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		TimeSpentInterval = rstemp("Time_Spent_Interval")
		DateDisplayFormat = rstemp("Date_Display_Format")

		MaxHistorySize =  rstemp("max_case_history_size")
		'Response.write "MaxCAseHistorySize=	" & MaxHistorySize

		MaxHistorySize =  Cint(rstemp("max_case_history_size"))
		MaxSummarySize =  Cint(rstemp("max_case_summary_size"))
		MaxResolutionSize =  Cint(rstemp("max_case_resolution_size"))

		'Response.write "MaxResolutionSize=	" & MaxResolutionSize

		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")
		Customer_case_notify = CInt(rstemp("customer_case_notify"))
		UserPageColor = rstemp("ts_user_page_color")

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

' Major Issue found with SQL*Server
' DO NOT Change the two calls below.
' Discovered May 2001 by SAV

' It does not want to get all of the configuration values in a single
' fetch so I broke this up into two queries.  This does seem to work.
' Might be related to the two memo fields since commenting those out
' gives different results.

' Now get other values

'	set conntemp=server.createobject("adodb.connection")
'	conntemp.open myDSN
'
'	mySQL="select * from Configuration" ' We will allow up to 10 Priority values
'
'	set rstemp=conntemp.execute(mySQL)
'
'	If rstemp.EOF = True  Then
'		Response.write "No configuration file found"
'	Else
'
'
'		' Get the other fields with another lookup
'
'
'		MaxHistorySize =  rstemp("max_case_history_size")
'		'Response.write "MaxCAseHistorySize=	" & MaxHistorySize
'
'		MaxHistorySize =  Cint(rstemp("max_case_history_size"))
'		MaxSummarySize =  Cint(rstemp("max_case_summary_size"))
'		MaxResolutionSize =  Cint(rstemp("max_case_resolution_size"))
'
'		'Response.write "MaxResolutionSize=	" & MaxResolutionSize
'
'		smtp_host_address = rstemp("smtp_host_address")
'		Standard_reply_to_address = rstemp("Standard_reply_to_address")
'		Customer_case_notify = CInt(rstemp("customer_case_notify"))
'		UserPageColor = rstemp("ts_user_page_color")
'
'
'	End If
'
'	rstemp.close
'	set rstemp=nothing
'	conntemp.close ' Close the connection
'	set conntemp=nothing





		' We will get and store all of the Categories below.

		' Call functions to get configuration and SMTP info

		' Old method
		'GetDatabaseConfiguration MaxHistorySize, MaxSummarySize, MaxResolutionSize, smtp_host_address,Standard_reply_to_address, Customer_case_notify, UserPageColor

		CreateTimeDateValues DateString, TimeString, DateTimeString
		DefaultGroupNumber = GetDefaultGroupNumber()

		' Check for the required fields
		' You can add additional required fields or removed
		' restrictions by commenting out the checks below.

		ErrorMessage = "" ' Clear error message


		If Case_One_Line  = "" Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_The_case_one_line_field_must_be_completed
		End If

		' Check to see if the size of the case_history is larger
		' or will be larger than the maximum size allowed in
		' the configuration file





		If Len(Case_History) >= (CInt(MaxHistorySize) - 100)   Then
			ErrorMessage = ErrorMessage & "<LI> " & wc_Case_History_text_is_too_long
		End If


		' If asset is entered, verify it is a valid asset number
		If Asset_Number <> "" Then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			mySQL="select * from Assets WHERE asset_Number = " & Asset_Number

			set rstemp=conntemp.execute(mySQL)

			If rstemp.EOF = True  Then
				ErrorMessage = ErrorMessage & "<LI> " & wc_Invalid_Asset_Number

			Else
				' Other wise it must exist so it is ok and no message
			End IF

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing
		End IF ' If Asset_Number <> ""


		' If Dup_Case_Num is entered, verify it is a valid case number
		If Dup_Case_Num <> "" Then
			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			mySQL="select * from Cases WHERE case_number = " & Dup_Case_num

			set rstemp=conntemp.execute(mySQL)

			If rstemp.EOF = True  Then
				ErrorMessage = ErrorMessage & "<LI> " & wc_Invalid_Dup_case_Number

			Else
				' Other wise it must exist so it is ok and no message
			End IF

			rstemp.close
			set rstemp=nothing
			conntemp.close ' Close the connection
			set conntemp=nothing
		End IF ' If Dup_Case_Number <> ""




		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be displayed to ErrorMessage string variable.

		If ErrorMessage <> "" Then
		%>

<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise either add new or update case record
		' DO NOT MODIFY this code below with caution:
		' The case record has some required fields and the
		' several of the fields must be carefully filled in
		' to make other parts of the system work correctly.


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if case_number exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		If Case_Number = "0" Then
			SQL = "Select * from Cases"
		Else
				SQL = "Select * from Cases where case_number = " & case_number
		End IF

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

		If CaseType = "NEW" Then
			NewRecord.AddNew

			' For new records we fill in the
			' the opendate and open time fields
			' with the following formats:
			' OpenDate: YYYYMMDD

			' OpenTime: HHMMSS

			NewRecord("modified_flag") = 1
			NewRecord("Open_Date") = DateString ' YYYYMMDD
			NewRecord("Open_Time") = TimeString ' HHMMSS
			NewRecord("mod_date") = DateString ' YYYYMMDD
			NewRecord("mod_time") = TimeString ' HHMMSS
		' Reopen_Date and reopen_time fields are not really used
		' so we will use these fields to determine if it is new
		' case by only setting them during tech updates.

			'NewRecord("Reopen_Date") = Datestring
			'NewRecord("reopen_Time") = TimeString

			NewRecord("Customer_ID") = Customer_ID

			' * * * * * * Schedule Case Fields Processing

			If ScheduleCase <> "" Then
				NewRecord("Scheduled_Case_Type") = ScheduleCase
			End IF

			If RepeatInterval <> "" Then
				NewRecord("Repeat_Interval") = RepeatInterval
			End IF

			' Attempt to create a valid date string and then check to see
			' if the date is valid and if so then set in the Due_Date_Time Date field

			If DueMonth <> "" AND DueDay <> "" AND DueYear <> "" Then
				DueDateString = DueMonth & "/" & DueDay & "/" & DueYear
			End IF

			If DueHour <> "" AND DueMinute <> "" and DueAMPM <> "" Then
				DueTimeString = DueHour & ":" & DueMinute & DueAMPM
			End IF

			' Check for a valid date string and reset to blank if not valid

			'response.write " DueDateString=" & DueDateString

			IF IsDate(DueDateString) = False Then
				DueDateString = "" ' Do not accept DueDateString
			End If

			If DueDateString <> "" Then ' DueDateString should MM/DD/YYYY
				NewRecord("Due_Date") = DueDateString
			End IF

			'response.write "Due_time= " & DueTimeString
			If DueTimeString <> "" AND DueTimeString <> ":"  Then ' DueTimeString should be HH:MM AM formats
				NewRecord("Due_Time") = DueTimeString
			End If


			' * * * * * * End Schedule Case Fields processing


			' Now Add in any info about changed records for Tech, Status, group and Priority
			Old_Group_Number = NewRecord("Group_Number")
			If IsNull(Old_Group_Number) Then
				Old_Group_Number = ""
			Else
				Old_Group_Number = CStr(Old_Group_Number)
			End If
			If Old_Group_Number <> Group_Number_from_Form then
				NewGroupName = GroupFullName(Group_Number_From_Form)
				GroupChanged = "YES"
				New_Case_History = New_Case_History &  wc_CASE_ASSIGNED_TO_GROUP  & NewGroupName & vbCRLF
			End IF


			Old_Tech_ID = NewRecord("Tech_ID")
			If Old_Tech_ID <> Tech_ID then

				NewTechName = TechFullName(Tech_ID)
				TechChanged = "YES"

				New_Case_History = New_Case_History &  wc_CASE_ASSIGNED_TO_TECH & NewTechName & vbCRLF
			End IF

			Old_Status = "0"
			If Old_Status <> Status  then
				StatusChanged = "YES"
				If Status = "0" Then
					NewStatus = wc_Open_Active
				Elseif Status = "1" Then
					NewStatus = wc_Closed
				Elseif Status = "2" Then
					NEwStatus = wc_Open_Waiting
				Else
					NewStatus = wc_Open_On_Hold
				End IF

				New_Case_History = New_Case_History  & wc_CASE_STATUS_SET    & NewStatus & vbCRLF
			End IF

			Old_Priority = "0"

			If Old_Priority <> Case_Severity then
				NewPriority = PriorityFullDescription(Case_Severity)

				New_Case_History = New_Case_History & wc_CASE_Priority_SET_TO  & NewPriority & vbCRLF
			End IF


			If Dup_case_Num  = "" Then
				NewRecord("Dup_case_num") = 0
			Else
				NewRecord("Dup_case_num") = Dup_Case_Num
			End If


			If Status = "" Then
				NewRecord("Status") = 0 ' Reset status back to undefined
			Else
				NewRecord("Status") = Case_Status ' Reset status back to undefined
			End IF

			If Case_Severity = "" Then
				NewRecord("Severity") = 0 ' Set back to 0 (un-assigned)
			Else
				NewRecord("Severity") = Case_Severity
			End IF

			NewRecord("Case_One_Line") = Case_One_Line

			If External_Case_Number <> "" Then
				NewRecord("External_Case_Number") = External_Case_Number
			End If


			If Asset_Number = "" Then
				NewRecord("Asset_Number") = 0 ' Default to zero
			Else
				NewRecord("Asset_Number") = Asset_Number
			End If

			NewRecord("Category_Count") = 100 ' Default to 100

			' Add tech assignment

			If Tech_ID <> "" Then
				NewRecord("Tech_ID") = Tech_ID
			Else ' Set back to null if undefined
				NewRecord("Tech_ID") = Null
			End If

			' Read and set all of the Categories that have come in

			For i = 1 to 50 ' Increase this up to 100 if necessary

				CategoryColumn = "C" & i
				CategoryValue = Request.form(CategoryColumn)

				If CategoryValue = "" OR IsNumeric(CategoryValue) = False Then
					CategoryValue = 0

				Else ' Value must be set so check if this defines a default group
					Category_Number = i
					Category_Item = CategoryValue
					' Perform small query to see if initial group assignment is set
					' for this category

					mySQL5="SELECT * from Categories where Category_Number = " & Category_Number & " AND Item_number = " & Category_Item

					'Response.write "SQL=" & mySQL5

					set rstemp5=conn.execute(mySQL5)

					if rstemp5.EOF then
						' This should not happen but ok
					Else
						Group_Number = rstemp5("Group_Number")
						If Group_Number <> "" Then
							NewDefaultGroup = Group_Number
						End IF

					End IF

					rstemp5.close
					set rstemp5=nothing

				End If
				NewRecord(CategoryColumn) = CategoryValue
			Next

			'* * * * * * * * * * * * * * * * * * * * *
			' Default Group Setting ******************
			' * * * * * * * * * * * * * * * * * * * * *
			' The initial setting of the default group can now be set by
			' a selected category and selecting a category item.
			' This can all be configured under system administration options
			' If category group is not enabled or if no category
			' item is selected, it then reverts to the original defaultGroup
			' This assignment is only done during the initial case creation.
			' For the Techs, any group assignment done directly by the
			' tech overrides the category group selection.

			If NewDefaultGroup <> "" Then
				DefaultGroupNumber = NewDefaultGroup ' Over with category group
			End IF

			'If Group_Number = "" Then set to the default group otherwise set to the passed group
			IF Group_Number_From_Form = "" Then
				NewRecord("Group_Number") = DefaultGroupNumber ' Categories or default
			Else
				NewRecord("Group_Number") = Group_Number_From_Form ' Group re-assigned
			End IF

			' Time Stamp the Case History before we put it into the case record

			Case_History = "{r[" &  DatetimeString &  wc_Opened_by & " ["& Tech_Full_Name & "] ]r}"  & vbCRLF & New_Case_History  & wc_Case_History & vbCRLF & Case_History

			' We need to check the size of the case_history before we put it
			' into the record

			If Len(Case_History) < (MaxHistorySize - 10) Then ' Only update is size is ok.
				NewRecord("Case_History") = Case_History
			Else
				Response.Write wc_Case_History_size_of & Len(Case_History)&  wc_exceeds_maximum_value_of  & MaxHistorySize - 10 & "<br>"
			End If

			' Update Summary and Resolution Fields
			' Limit the size based on the max case resolution and summary sizes

			' Note DO NOT RESET the case_Summary or Case_Resolution from
			' their NULL state if case_resolution is empty

			If Case_Resolution <> "" Then
				NewRecord("Case_Resolution") = Mid(Case_Resolution, 1, MaxResolutionSize - 5)
			End IF

			If Case_Summary <> "" Then
				NewRecord("Case_Summary") = Mid(Case_Summary, 1, MaxSummarySize - 5)
			End If

			' Update any option case text fields here

			If Text_field_1 <> "" Then
				NewRecord("Text_field_1") = Text_field_1
			End If
			If Text_field_2 <> "" Then
				NewRecord("Text_field_2") = Text_field_2
			End If
			If Text_field_3 <> "" Then
				NewRecord("Text_field_3") = Text_field_3
			End If
			If Text_field_4 <> "" Then
				NewRecord("Text_field_4") = Text_field_4
			End If
			If Text_field_5 <> "" Then
				NewRecord("Text_field_5") = Text_field_5
			End If
			If Text_field_6 <> "" Then
				NewRecord("Text_field_6") = Text_field_6
			End If
			If Text_field_7 <> "" Then
				NewRecord("Text_field_7") = Text_field_7
			End If
			If Text_field_8 <> "" Then
				NewRecord("Text_field_8") = Text_field_8
			End If
			If Text_field_9 <> "" Then
				NewRecord("Text_field_9") = Text_field_9
			End If
			If Text_field_10 <> "" Then
				NewRecord("Text_field_10") = Text_field_10
			End If




		Else ' Update Case Info when case already exists

			NewRecord("modified_flag") = 1
			NewRecord("mod_date") = DateString ' YYYYMMSS
			NewRecord("mod_time") = TimeString ' HHMMSS

			' Set these fields only on TECH updates
			NewRecord("Reopen_Date") = Datestring
			NewRecord("reopen_Time") = TimeString

			NewRecord("Case_One_Line") = Case_One_Line


			' Update any option case text fields here

			If Text_field_1 <> "" Then
				NewRecord("Text_field_1") = Text_field_1
			End If
			If Text_Field_1 = "" AND NewRecord("Text_Field_1") <> "" Then
				NewRecord("Text_Field_1") = NULL ' Null out field if needed
			End IF


			If Text_field_2 <> "" Then
				NewRecord("Text_field_2") = Text_field_2
			End If
			If Text_Field_2 = "" AND NewRecord("Text_Field_2") <> "" Then
				NewRecord("Text_Field_2") = NULL ' Null out field if needed
			End IF

			If Text_field_3 <> "" Then
				NewRecord("Text_field_3") = Text_field_3
			End If
			If Text_Field_3 = "" AND NewRecord("Text_Field_3") <> "" Then
				NewRecord("Text_Field_3") = NULL ' Null out field if needed
			End IF

			If Text_field_4 <> "" Then
				NewRecord("Text_field_4") = Text_field_4
			End If
			If Text_Field_4 = "" AND NewRecord("Text_Field_4") <> "" Then
				NewRecord("Text_Field_4") = NULL ' Null out field if needed
			End IF

			If Text_field_5 <> "" Then
				NewRecord("Text_field_5") = Text_field_5
			End If
			If Text_Field_5 = "" AND NewRecord("Text_Field_5") <> "" Then
				NewRecord("Text_Field_5") = NULL ' Null out field if needed
			End IF

			If Text_field_6 <> "" Then
				NewRecord("Text_field_6") = Text_field_6
			End If
			If Text_Field_6 = "" AND NewRecord("Text_Field_6") <> "" Then
				NewRecord("Text_Field_6") = NULL ' Null out field if needed
			End IF


			If Text_field_7 <> "" Then
				NewRecord("Text_field_7") = Text_field_7
			End If
			If Text_Field_7 = "" AND NewRecord("Text_Field_7") <> "" Then
				NewRecord("Text_Field_7") = NULL ' Null out field if needed
			End IF

			If Text_field_8 <> "" Then
				NewRecord("Text_field_8") = Text_field_8
			End If
			If Text_Field_8 = "" AND NewRecord("Text_Field_8") <> "" Then
				NewRecord("Text_Field_8") = NULL ' Null out field if needed
			End IF

			If Text_field_9 <> "" Then
				NewRecord("Text_field_9") = Text_field_9
			End If
			If Text_Field_9 = "" AND NewRecord("Text_Field_9") <> "" Then
				NewRecord("Text_Field_9") = NULL ' Null out field if needed
			End IF

			If Text_field_10 <> "" Then
				NewRecord("Text_field_10") = Text_field_10
			End If
			If Text_Field_10 = "" AND NewRecord("Text_Field_10") <> "" Then
				NewRecord("Text_Field_10") = NULL ' Null out field if needed
			End IF



			' * * * * * * Schedule Case Fields Processing


			If NewRecord("External_Case_Number") <> "" and External_case_number = "" Then
				NewRecord("External_Case_Number") = Null
			End If

			If External_case_number <> "" Then
				NewRecord("External_Case_Number") = External_case_Number
			End If


			If NewRecord("Scheduled_Case_Type") <> "" And ScheduleCase = "" Then
				NewRecord("Scheduled_Case_Type") = Null
			End If

			If ScheduleCase <> "" Then
				NewRecord("Scheduled_Case_Type") = ScheduleCase
			End IF

			If RepeatInterval <> "" Then
				NewRecord("Repeat_Interval") = RepeatInterval
			End IF

			' Attempt to create a valid date string and then check to see
			' if the date is valid and if so then set in the Due_Date_Time Date field

			If DueMonth <> "" AND DueDay <> "" AND DueYear <> "" Then
				DueDateString = DueMonth & "/" & DueDay & "/" & DueYear
			End If

			If DueHour <> "" AND DueMinute <> "" AND DueAMPM <> "" Then
				DueTimeString = DueHour & ":" & DueMinute & DueAMPM
			End IF

			' Check for a valid date string and reset to blank if not valid

			IF IsDate(DueDateString) = False Then
				DueDateString = "" ' Do not accept DueDateString
			End If

			' It is possible that the due date may want to be nulled out
			' so this section handles nulls out the date and time strings

			If NewRecord("Due_Date") <> "" and DueDateString = "" Then
				NewRecord("Due_Date") = NULL ' Reset back to Null
			End If

			If DueDateString <> "" Then ' DueDateString should MM/DD/YYYY
				NewRecord("Due_Date") = DueDateString
			End IF

			'response.write "Due_time= " & DueTimeString

			If NewRecord("Due_Time") <> "" AND DueTimeString = "" Then
				NewRecord("Due_Time") = NULL
			End If

			If DueTimeString <> "" Then ' DueTimeString should be HH:MM AM formats
				NewRecord("Due_Time") = DueTimeString
			End If


			' * * * * * * End Schedule Case Fields processing



			If Asset_Number <> "" then
				NewRecord("Asset_Number") = Asset_Number
			End If
			Current_Case_History = NewRecord("Case_History")

			' Make sure we are not exceeding the size of the case_history field.

			' Append to the bottom of the case

			New_Case_History = vbCRLF & "{r[" &  DatetimeString &  wc_Updated_by & " ["& Tech_Full_Name & "] ]r}"  &  vbCRLF
		'	New_Case_History = Current_Case_History &	vbCRLF & "{r[" &  DatetimeString &  wc_Updated_by & " ["& Tech_Full_Name & "] ]r}"  &  vbCRLF


			' Now Add in any info about changed records for Tech, Status, group and Priority
			Old_Group_Number = CStr(NewRecord("Group_Number"))

			If Old_Group_Number <> Group_Number_From_Form then
				NewGroupName = GroupFullName(Group_Number_From_Form)
				GroupChanged = "YES"
				New_Case_History = New_Case_History &  wc_CASE_ASSIGNED_TO_GROUP  & NewGroupName & vbCRLF
			End IF


			Old_Tech_ID = NewRecord("Tech_ID")
			If IsNull(Old_Tech_ID) = True Then ' Handle Special condition of un-assigned
				If Tech_ID <> "" then
					TechChanged = "YES"

					NewTechName = TechFullName(Tech_ID)

					New_Case_History = New_Case_History &  wc_CASE_ASSIGNED_TO_TECH & NewTechName & vbCRLF
				End IF
			ElseIf Old_Tech_ID <> Tech_ID then
				TechChanged = "YES"

				NewTechName = TechFullName(Tech_ID)

				New_Case_History = New_Case_History &  wc_CASE_ASSIGNED_TO_TECH & NewTechName & vbCRLF
			End IF



			Old_Status = CStr(NewRecord("Status"))
			If Old_Status <> Status  then
				StatusChanged = "YES"
				If Status = "0" Then
					NewStatus = wc_Open_Active
				Elseif Status = "1" Then
					NewStatus = wc_Closed
				Elseif Status = "2" Then
					NEwStatus = wc_Open_Waiting
				Else
					NewStatus = wc_Open_On_Hold
				End IF

				New_Case_History = New_Case_History  & wc_CASE_STATUS_CHANGED_TO   & NewStatus & vbCRLF
			End IF

			Old_Priority = CStr(NewRecord("Severity"))
			If Old_Priority <> Case_Severity then
				NewPriority = PriorityFullDescription(Case_Severity)

				New_Case_History = New_Case_History & wc_CASE_Priority_CHANGED_TO   & NewPriority & vbCRLF
			End IF




			New_Case_History = New_Case_History  & "Case History:" & vbCRLF & Case_History & vbCRLF

			' Now Add in the Current_Case_History to the string so that we can

			' New Case History String = New_Case_History so save this for customer emails
			New_Case_History_Without_OLD = New_Case_History

			New_Case_History = Current_Case_History  & New_Case_History


			If Len(New_Case_History) < (MaxHistorySize - 10) Then ' Only update is size is ok.
				NewRecord("Case_History") = New_Case_History
			Else
				Response.Write wc_Case_History_size_of  & Len(New_Case_History) & wc_exceeds_maximum_value_of  & MaxHistorySize - 10 & "<br>"
			End If


			' Update Summary and Resolution Fields
			' Limit the size based on the max case resolution and summary sizes

			' Only update these fields if the case_resolution or
			' case_summary is not empty.  DO NOT RESET these
			' from their null values

			If Case_Resolution <> "" Then
				NewRecord("Case_Resolution") = Mid(Case_Resolution, 1, MaxResolutionSize - 5)
			End If

			IF Case_Summary <> "" Then
				NewRecord("Case_Summary") = Mid(Case_Summary, 1, MaxSummarySize - 5)
			End IF


		' Update any category changes

			For i = 1 to 50 ' Only reset values passed on update

				CategoryColumn = "C" & i
				CategoryValue = CInt(Request.form(CategoryColumn))
				If CategoryValue <> "" Then
					NewRecord(CategoryColumn) = CInt(CategoryValue)
				End If
			Next

			' Update any Group, tech, status or severity assignements

			'If Group_Number = "" Then set to the default group otherwise set to the passed group
			IF Group_Number_From_Form = "" Then
				NewRecord("Group_Number") = CInt(DefaultGroupNumber)
			Else
				NewRecord("Group_Number") = CInt(Group_Number_From_Form)
			End IF


			' Add tech assignment - it might be reset back to un-assigned so we must set
			' this field back to null for assigned


			If Tech_ID <> "" Then
				NewRecord("Tech_ID") = Tech_ID
			Else
				NewRecord("Tech_ID") = Null
			End IF

			If Dup_case_Num  = "" Then
				NewRecord("Dup_case_num") = CInt(0)
			Else
				NewRecord("Dup_case_num") = CLng(Dup_Case_Num)
			End If


			If Status = "" Then
				NewRecord("Status") = CInt(0) ' Reset status back to undefined
			Else
				NewRecord("Status") = CInt(Case_Status) ' Reset status back to undefined
			End IF

			If Case_Severity = "" Then
				NewRecord("Severity") = 0
			Else
				NewRecord("Severity") = CInt(Case_Severity)
			End IF

			NewRecord("Case_One_Line") = Case_One_Line

			If Asset_Number = "" Then
				NewRecord("Asset_Number") = 0 ' Default to zero
			Else
				NewRecord("Asset_Number") = CInt(Asset_Number)
			End If


		End If ' End if Add Record or Update

		NewRecord.Update

	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	      response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if


	IF  conn.errors.count> 0 then
	    response.write "Database Errors Occured" & "<P>"
		for counter= 0 to conn.errors.count
		      response.write "Error #" & conn.errors(counter).number & "<P>"
		      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
		next
	else
	      'response.write "No Database Errors Occured!" & "<P>"
	end if

	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing


	' If this was a new case, we need to get the case_number for future reference

	If Case_Number = "0" Then
	' Get the case number of the case just submitted

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="SELECT * from Cases where Customer_ID = '" & Customer_ID & "' AND Open_date = '" & DateString & "' AND Open_Time = '" & TimeString & "'"

		' Response.write "SQL=" & mySQL2

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_number = "Case Not Found - Contact ISS Support "
		Else
			case_number = rstemp2("case_number")
		End IF

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection
		set conntemp=nothing


	End If '  End of if Case_number = 0


	' First get the CategoryText so it can be sent out
	' with the Emails going to the techs and to the Groups.

	CategoryText = CreateCategoryText(Case_Number)
	' Debugging

	'Response.write " Category Text = " & CategoryText & "<P>"


	' Now send out 3 sets of emails including:
	' 	(1) Email to customer with case confirmation
	'	(2) Emails to any techs assigned to the default group
	' 	(3) Emails to any tech assigned to the that case

	' Only send Emails to Customers if the Send Customer Email flag is set to true

	Customer_Notification = wc_None
	Survey_Notification = wc_None

	 '***** User Customization Here ********************
		' Some users have request that email should be sent to Customers whenever a case
		' is closed even if the tech forgets to set the Send Email Radio Button.
		' If you wish to have this behavior, then uncomment the first IF statement below
		' and comment the second IF statement with a preceding single quote.

	' First Choice Below - Automatically Send Emails to Customers when first closed
	'If (Old_Status <> "1" and Status = "1")  OR SendEmailValue = "YES" Then ' First time it is closed force sending message

	' Second Choice below - Let Techs always choose if emails are to be sent
	If SendEmailValue = "YES" Then

		If Customer_Case_Notify = 1 Then
			SendEmailToCustomer(Case_Number) ' Email confirmation to customer
		End If
	End IF


	' *************** Send customer survey emails *******************

	'Customersurvey = True ' Obtain from database value


	If (Old_Status <> "1" and Status = "1")  AND Customersurvey = True Then ' ONLY First time it is closed force sending message

		SendSurveyEmailToCustomer(Case_Number) ' Email survey email (link) to customer
	End IF



	' Send Email to Assigned Tech
		Tech_Notification = "None"
		SendEmailToAssignedTech Case_Number , Tech_Assigned_Email

	' Now send emails to persons assigned to this group
	Group_Notification = wc_None

	' * * * * * * * * * * * * *User Customizations * * * * * * * * * *
	' There are numerous options deciding when an email should be sent to
	' a group.  Listed below are come IF statement that can be
	' configured when emails are sent to group members.  The flags
	' GroupChanged, Status Changed, TechChanged will be set to the
	' value of "YES" if any of these conditions has changed or been
	' orginally set.  Using this flag, one can program how and when
	' they want emails set to Groups.

	' Approach 1: Always send group emails.


	SendEmailToAssignedGroupTechs Case_Number , Tech_Assigned_Email

	' Approach 2: - Comment line above and un-comment line below for this option
		'Email are send when:
			'Group changes (emails sent to new group only)
			' Case Status changes

	 ' If StatusChanged = "YES" OR GroupChanged = "YES" Then
			'SendEmailToAssignedGroupTechs Case_Number , Tech_Assigned_Email
	 'End If

	'  * * * * Repeat Scheduled Cases Code
	' Last Item - Check if this is repeat Scheduled case and generate a new case
	' if they are closing a scheduled case

	If ScheduleCase = "REPEAT" AND Status = "1" Then
		CreateRepeatScheduledCase(Case_Number)
	End IF


%>

<% ' Display the page now %>

<html><head>
<Title><%=wc_Case_Confirmation%></title>
<!-- C. 1996, 1997, 1998, 1999, 2000, 2001, 2002 Internet Software Sciences -->

</head>

<body bgcolor=#<%=UserPageColor%>>
<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr><td><font size=+1><%=wc_Case_record_successfully_created_or_updated%></font>

<p>
<font size-1>
<B><%=wc_Email_Notification_Report%>:</b><P>
<UL>
<LI><B><%=wc_Customer%>:</b>  <%=Customer_Notification%>
<LI><B><%=wc_Customer_Surveys%>:</b>  <%=Survey_Notification%>
<LI><B><%=wc_Assigned_Tech%>:</b>  <%=Tech_Notification%>
<LI><B><%=wc_Assigned_Group_Members%>:</b>  <%=Group_Notification%>
</ul>

</font>
<P>

<% ' If AllKBUpdate is set to YES, then the Continue button will
' call the UpdateOneKB.asp call when they press the continue
' button.  Otherwise display an optional link to add it to the
' knowledge base.

If AllKBUpdate <> "YES" Then %>

<%=wc_Add_To_KB_Question_Block%>


<B><a href=UpdateOneKB.asp?casenumber=<%=Case_Number%>><%=wc_YES_Update_Now%></a></b>
<P>

<%End If %>

</td>
</tr>
</table>


<%If AllKBUpdate = "YES" Then %>
<p>
<center>

<%=wc_ALLKBUpdateBlock%>



</b><P>
<a href=UpdateOneKB.asp?casenumber=<%=Case_Number%>>
<img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>


<%Else ' AllKBUpdate = YES  so make continue link adding it to KB %>
<center>
<p><a href=TCaseForm.asp?customer_id=0&case_number=<%=Case_Number%>>
<img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>




<%End If %>

</body>
</html>


<% End if ' End of IF ErrorMessage <> ""%>

<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" Or IsNull(TimeZoneAdjustment) Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

'	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)


	'Response.write "HourPart = " & Hourpart & "<br>"
	'response.write "DateTimeString = " & DateTimeString

	' Fix to AM/PM Calculation corrected in version 4.0


	If HourPart = 0 Then
		NewHourPart = HourPart + 12
		DateTimeString = DateTimeString & NewHourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If


	If HourPart <> 0 AND HourPart < 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End If

	If HourPart = 12 Then
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End If

	If HourPart >= 13 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	End IF


	End Sub ' End of CreateTimeDateValues
%>



<% Sub GetDatabaseConfiguration(MaxHistorySize, MaxSummarySize, MaxResolutionSize, smtp_host_address,Standard_reply_to_address, Customer_case_notify, userpagecolor)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			MaxHistorySize = 2000 ' Default to white if record not found
		Else
			MaxHistorySize =  rstemp2("max_case_history_size")
			MaxSummarySize =  rstemp2("max_case_summary_size")
			MaxResolutionSize =  rstemp2("max_case_resolution_size")

			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = CInt(rstemp2("customer_case_notify"))
			UserPageColor = rstemp2("ts_user_page_color")
		End If

		rstemp2.close
		set rstemp2=nothing

		' Get the Email Head that will sent infront of the email msg

		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>

<% Function GetDefaultGroupNumber()
' This functions gets the current default group number from
' the Group_list table by searching for the row where the
' default flag = 1 and grabbing the group_number

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Group_list where default_flag = 1"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			' There should always be a default group
			' send out an error
			response.write " No default group is set "
			Group_Number = 1
		Else
			GetDefaultGroupNumber = rstemp2("Group_number")
		End If

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection
		set conntemp=nothing

	End Function
%>

<% Sub SendEmailToCustomer(Case_Number)
'	This subroutine sends out a confirmation email to the customer.
	' From the case number we need to first get the customer's email address


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here
		If DatabaseType = "ORACLE" Then
			mySQL2="SELECT Customers.contact_fname, Customers.contact_lname, Customers.email, Cases.case_number FROM Cases, Customers where Cases.customer_id = Customers.customer_id and case_number = "& case_number
		Else
			mySQL2="SELECT Customers.contact_fname, Customers.contact_lname, Customers.email, Cases.case_number FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id where case_number = "& case_number
		End If
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ToEmail = ""
		Else
			ToEmail = rstemp2("email")
			ToFullName = rstemp2("contact_fname") & " " & rstemp2("contact_lname")

		End If

		rstemp2.close
		set rstemp2=nothing

		' Now get the part of the email message that should be sent out when Cases
		' are updated or created by the Tech+Center.

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			NewCaseMessage = ""
		Else
			NewCaseMessage = rstemp2("tech_update_case")
		End If

		rstemp2.close
		set rstemp2=nothing

		' Now get the case Information (One Line, summary, resolution, etc)

		mySQL2="SELECT * from Cases where case_number = " & case_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_History = ""
			Case_summary = ""
			Case_Resolution = ""
			Status = 1

		Else
			Case_History = rstemp2("Case_History")
			Case_Summary = rstemp2("Case_Summary")
			Case_Resolution = rstemp2("Case_Resolution")
			Case_One_Line = rstemp2("Case_One_Line")
			Status = rstemp2("Status")
			Case_customer_ID = rstemp2("Customer_ID")
			Status = CInt(Status)
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.

		Message = ""
		Message = NewCaseMessage
		Message = Message & vbCRLF & wc_Your_current_case_information_is & vbCRLF
		Message = Message & wc_Case_Number_capital_letters & Case_Number & vbCRLF
		Message = Message & wc_CASE_STATUS_CAPITAL_LETTERS
		If Status = 1 Then
			Message = Message & wc_Closed & vbCRLF
		Else
			Message = Message & wc_Open & vbCRLF
		End If
		Message = Message & wc_Customer_ID_capital_letters & Case_Customer_ID & vbCRLF
		Message = Message & wc_CASE_ONE_LINE_DESCRIPTION & Case_One_Line & vbCRLF & vbCRLF


		' The special color codes have to be removed before sending the case_history

		' If the case is not closed then send out smaller message with just the updates
		' if the case is closed, then send the whole case history

		If Status = 1 Then  ' Status = Closed .. so send whole history text
			Message = Message & wc_COMPLETE_CASE_HISTORY_BELOW & vbCRLF &"---------------------------------" & vbCRLF

			Case_Text = Case_History
		Else
			Message = Message & wc_IMPORTANT_CASE_UPDATES_BELOW & vbCRLF &"---------------------------------" & vbCRLF

			Case_Text = New_Case_History_Without_Old
		End If

		If Case_Text = "" Then
			Case_Text = Case_History ' For initial case openings
		End If


		'************** USER CUSTOMIZATION ************************
		' DISPLAY ENTIRE CASE HISTORY FOR CUSTOMER EMAIL
		' If you want to display the whole Case History every time simply uncomment the line below
		' Case_Text = Case_History
		'***************End USER CUSTOMIZATION ********************


		Case_History = CleanUpHistoryText(Case_Text)
		Message = Message & "Case History:"& vbCRLF & Case_History & vbCRLF

		If Case_Summary <> "" Then
			Message = Message & wc_Case_summary_head & vbCRLF & Case_Summary & vbCRLF
		End If

		If Case_Resolution <> "" Then
			Message = Message & wc_Case_Resolution_head & vbCRLF & Case_Resolution & vbCRLF
		End If


		' Now display a link back to the Customer+Center Home page
		' so they can get directly back to the customer+center to update the case.

		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			' Replace DoEmailListSend.asp with RemoveFromList.asp
			' This will handle all of the necessary virtual directory mappings

			Virtual_Path = replace(Script_Name, "DoTCaseForm.asp", "DCF.asp")

		End IF


	Next


		' ******** Important User Customizations ***************
		' The Customer+Center virtual directory must be specified here
		' since it may not be customer40 if you are using a non-default name
		' Set your customer+center virtual directory name below
		' Also set if you want to turn on this embedded link to customer+center
		' then un-comment or comment out the SendCustomerCenterLink variable line below.

		' Set these to exactly your virtual directory names... this is case sensitive

		'CustomerCenterVirtual = "customer40"
		'TechCenterVirtual = "tech40"


		'CustomerCenterVirtual = CustomerVirtual
		'TechCenterVirtual = TechVirtual ' Obtain this from the database


		If CustomerVirtual = "" Then
			CustomerCenterVirtual = "customer40"
		Else
			CustomerCenterVirtual = CustomerVirtual ' Grab it from database
		End IF

		If TechVirtual = "" Then
			TechCenterVirtual = "tech40"
		Else
			TechCenterVirtual = TechVirtual
		End If



		'SendCustomerCenterLink = "YES" ' Defaults to NOT including link

		' ********** End User Customizations ***********************

		Virtual_Path = replace(Virtual_path, TechCenterVirtual, CustomerCenterVirtual,1,99,1)

		If SendCustomerCenterLink <> "" Then

			Message = Message & vbCRLF & wc_Click_link_below_to_login_and_update & vbCRLF
			Message = Message &  "http://" &  hostname & Virtual_path & "?ID=" & Case_Customer_ID & "&N=" & Case_Number & vbCRLF & vbCRLF

		End IF


		' Do not remove this line.

		Message = Message & EmailChecksum


		' *************User Customizations *************************
		' You can change the Subject line if necessary

		SubjectLine = "Support Case " & Case_Number & " Update"

		' Now we have everything we need to send the email to the customer
		' Only send the message if ToEmail exists and Customer_case_notify flag is set

		If ToEmail <> ""  And Customer_case_notify = 1 Then
			 If MyOS = "Windows" Then
				SendEmail ToEmail, ToFullName, SubjectLine, Message
			 Else
				SendLinuxEmail ToEmail,  SubjectLine, Message
			 End If
			Customer_Notification = "<I>" &  ToFullName & "</i>(" & ToEmail & ")"
		End If

End Sub ' End of SendEmalToCustomer() subroutine
%>


<% Sub SendSurveyEmailToCustomer(Case_Number)
'	This subroutine sends out an email to the customer with a link to
	' web-based customer survey.
	' From the case number we need to first get the customer's email address


		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here
		If DatabaseType = "ORACLE" Then
			mySQL2="SELECT Customers.contact_fname, Customers.contact_lname, Customers.email, Cases.case_number FROM Cases, Customers where Cases.customer_id = Customers.customer_id and case_number = "& case_number
		Else
			mySQL2="SELECT Customers.contact_fname, Customers.contact_lname, Customers.email, Cases.case_number FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id where case_number = "& case_number
		End If
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ToEmail = ""
		Else
			ToEmail = rstemp2("email")
			ToFullName = rstemp2("contact_fname") & " " & rstemp2("contact_lname")

		End If

		rstemp2.close
		set rstemp2=nothing

		' Now get the part of the email message that should be sent out when Cases
		' are updated or created by the Tech+Center.

		mySQL2="SELECT * from Email_text" ' There should only be one row in this table
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			NewCaseMessage = ""
		Else
			NewCaseMessage = rstemp2("tech_update_case")
		End If

		rstemp2.close
		set rstemp2=nothing

		' Now get the case Information (One Line, summary, resolution, etc)

		mySQL2="SELECT * from Cases where case_number = " & case_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_History = ""
			Case_summary = ""
			Case_Resolution = ""
			Status = 1

		Else
			Case_History = rstemp2("Case_History")
			Case_Summary = rstemp2("Case_Summary")
			Case_Resolution = rstemp2("Case_Resolution")
			Case_One_Line = rstemp2("Case_One_Line")
			Status = rstemp2("Status")
			Case_customer_ID = rstemp2("Customer_ID")
			Status = CInt(Status)
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

		' Now Build the Whole message body
		' *********************** USER CUSTOMIZATIONS**********************
		' The fix part of the message that is sent out can be modified by
		' changing the text below.

		Message = ""
		Message = SurveyEmailText ' First part of message comes from configuration
		Message = Message & vbCRLF & vbCRLF

		' Now display a link back to the Customer+Center Home page
		' so they can get directly back to the customer+center to update the case.

		' Get the full server http URL for the direct LINK.
		 For each key in Request.serverVariables

		if Key = "SERVER_NAME" Then
			HostName =  Request.ServerVariables(key)
		End IF

		if Key = "SCRIPT_NAME" Then
			SCRIPT_Name =  Request.ServerVariables(key)
			' Replace DoEmailListSend.asp with RemoveFromList.asp
			' This will handle all of the necessary virtual directory mappings

			Virtual_Path = replace(Script_Name, "DoTCaseForm.asp", "CShowSurvey.asp")

		End IF


	Next


	' These virtual directories are now obtain out of the database unless they
	' have not been set inwhich case they are defaulted to tech40 and customer40

		' Set these to exactly your virtual directory names... this is case sensitive
		' Get the Customer Center Virtual Directory from the database.  If it
		' is NULL or blank, then default to customer40.

		If CustomerVirtual = "" Then
			CustomerCenterVirtual = "customer40"
		Else
			CustomerCenterVirtual = CustomerVirtual ' Grab it from database
		End IF

		If TechVirtual = "" Then
			TechCenterVirtual = "tech40"
		Else
			TechCenterVirtual = TechVirtual
		End If


		'CustomerCenterVirtual = "customer40"
		'TechCenterVirtual = "tech40"


		Virtual_Path = replace(Virtual_path, TechCenterVirtual, CustomerCenterVirtual,1,99,1)


			'Message = Message & wc_Click_link_below_customer_survey & vbCRLF & vbCRLF
			Message = Message &  "http://" &  hostname & Virtual_path & "?CN=" & Case_Number & vbCRLF & vbCRLF


		' Do not remove this line.

		Message = Message & EmailChecksum


		' *************User Customizations *************************
		' You can change the Subject line if necessary

		SubjectLine = wc_Customer_Survey_for_Case  & Case_Number

		' Now we have everything we need to send the email to the customer
		' Only send the message if ToEmail exists and Customer_case_notify flag is set

		If ToEmail <> ""  And Customer_case_notify = 1 Then
			  If MyOS = "Windows" Then
				SendEmail ToEmail, ToFullName, SubjectLine, Message
			  Else
				SendLinuxEmail ToEmail,  SubjectLine, Message
			  End If
			Survey_Notification = "<I>" &  ToFullName & "</i>(" & ToEmail & ")"
		End If

End Sub ' End of SendSurveyEmailToCustomer() subroutine
%>




<% Sub SendEmailToAssignedTech(Case_Number, Tech_Assigned_Email)
'	This subroutine sends out a notification email to a tech if a tech has already
	' being assigned to the case.  Only case updates will possibly have a
	' tech assigned to the case.

	' First we determine if case has a tech assigned to it.

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		' Now get the case Information (One Line, summary, resolution, etc)

		mySQL2="SELECT * from Cases where case_number = " & case_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_History = ""
			Case_summary = ""
			Case_Resolution = ""
			Status = 1
			Tech_ID = ""

		Else
			' Get all of the information while we are here

			Case_History = rstemp2("Case_History")
			Case_Summary = rstemp2("Case_Summary")
			Case_Resolution = rstemp2("Case_Resolution")
			Case_One_Line = rstemp2("Case_One_Line")
			Status = rstemp2("Status")
			Tech_ID = rstemp2("Tech_ID")
			Customer_ID = rstemp2("Customer_ID")
			PriorityID = rstemp2("Severity")

			' Perform another query to get the Priority text
			mySQL4="SELECT * from Priority where PriorityID = " & PriorityID
			set rstemp4=conntemp.execute(mySQL4)

			PriorityText = rstemp4("ShortDesc")
			' Close record set

			rstemp4.close
			set rstemp4 = nothing

			'******* CELL PHONE EMAIL TEXT FIELDS *****************************
			' Perform another query to get the customer information so
			' it can be displayed in the email for text page cell phone email
			' We will grab the two phone numbers and company name

			mySQL4="SELECT * from Customers where customer_id = '" & Customer_ID & "'"
			set rstemp4=conntemp.execute(mySQL4)


			CustomerCompany = rstemp4("Company")
			CustomerPhone1 = rstemp4("Phone1")
			CustomerPhone2 = rstemp4("Phone2")


			' Close record set

			rstemp4.close
			set rstemp4 = nothing

			'********** CELL PHONE EMAIL TEXT FIELD ENDING

		End If

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection since we may not open it again
		set conntemp=nothing


		If Tech_ID <> "" Then ' Tech Found so get their email

		' Check if Assigned tech is the one doing the updates to the
		' case and if so do not send an email

		If LoginTech_ID = Tech_ID Then
			Tech_Notification = " No message sent(Updated by assigned tech)"
			' Do not send out email

		Else


			set conntemp=server.createobject("adodb.connection")

			conntemp.open myDSN ' Open the connection once here

			' only send out email to tech if New_Case_notify = 1

				mySQL2="SELECT * from Tech_staff where Tech_ID = '" & Tech_ID & "' AND New_Case_Notify = 1"
				set rstemp2=conntemp.execute(mySQL2)

				' Check to see if any records are returned
				' if none found the
				if rstemp2.EOF then
					ToEmail = ""
				Else
					ToEmail = rstemp2("work_email")
					ToFullName = rstemp2("first_name") & " " & rstemp2("last_name")

					CellEmail = rstemp2("Home_Email")
					If IsNull(rstemp2("Home_Email")) Then
						CellEmail = ""
					End If

					' *** Important note about Tech staff fields if they are blanked out
					' The Tech staff edit functions do not properly NULL out the
					' the text fields in the database when they are cleared out.
					' They current set the first character to 0 but leave the other
					' characters there so the we can't check for string <> "".
					' The test below checks to see if the first characters is ASC "0"
					' ***************************************
					If Len(CellEmail) > 0 Then
						If ASC(Mid(CellEmail,1,1)) = 0 Then
							CellEmail = ""
						End IF
					End IF

					CellFullName = ToFullName

				End If

				rstemp2.close
				set rstemp2=nothing

				conntemp.close ' Close the connection
				set conntemp=nothing



				Message = ""

			'******* USER CUSTOMIZATION FOR CELL PHONE EMAILS **********************
			' To enable a short condensed email to be sent to a tech cell email address/home email
			' beginning of the email message, comment/uncomment the
			' variable definition below
			CELLPHONE_EMAIL_NOTIFICATION = "YES" ' Comment out this line to disable
			'******* USER CUSTOMIZATION FOR CELL PHONE EMAILS **********************

			If CELLPHONE_EMAIL_NOTIFICATION = "YES" Then
				CellMessage = ""
				CellMessage = CellMessage & Customer_ID & vbCRLF & CustomerCompany & vbCRLF &vbCRLF
				CellMessage = CellMessage & CustomerPhone1 & vbCRLF  & CustomerPhone2  & vbCRLF
				CellMessage = CellMessage & "->" & Case_One_Line & vbCRLF
				CellSubjectLine = wc_ALERT
			End If


				' Now Build the Whole message body
				' *********************** USER CUSTOMIZATIONS**********************
				' The fix part of the message that is sent out can be modified by
				' changing the text below.


				Message = Message & vbCRLF & wc_CASE & " " & case_number & " " & wc_Update_Notification_for_case_assigned_to_you & vbCRLF
				Message = Message & vbCRLF & wc_This_case_was_updated_by_another_Tech_staff_Member & vbCRLF

				' Now display a link directly to the tech+center for that case window.

				' Get the full server http URL for the direct LINK.
			 For each key in Request.serverVariables

			 	if Key = "SERVER_NAME" Then
					HostName =  Request.ServerVariables(key)
				End IF

			 	if Key = "SCRIPT_NAME" Then
					SCRIPT_Name =  Request.ServerVariables(key)
					' Replace DoEmailListSend.asp with RemoveFromList.asp
					' This will handle all of the necessary virtual directory mappings

					Virtual_Path = replace(Script_Name, "DoTCaseForm.asp", "SC.asp")

				End IF

			Next

				Message = Message & vbCRLF & wc_Click_link_below_to_login_and_update & vbCRLF
				Message = Message &  "http://" &  hostname & Virtual_path &"?ID=" & Tech_ID & "&N=" & Case_Number & vbCRLF

				Message = Message & vbCRLF & wc_Tech_assignment & ToFullName & vbCRLF

				Message = Message & wc_Case_Number_capital_letters & Case_Number & vbCRLF
				Message = Message & wc_CASE_STATUS_CAPITAL_LETTERS

				If CInt(Status) = 1 Then
					Message = Message & wc_Closed& vbCRLF
				ElseIf CInt(Status) = 0 Then
					Message = Message & wc_Open_Active & vbCRLF
				ElseIf CInt(Status) = 2 Then
					Message = Message & wc_Open_Waiting & vbCRLF
				ElseIf CInt(Status) = 3 Then
					Message = Message & wc_Open_On_Hold & vbCRLF
				End If
				Message = Message & wc_Priority_capital_letters & PriorityText & vbCRLF

				Message = Message & wc_Customer_ID_capital_letters & Customer_ID & vbCRLF
				Message = Message & wc_Phone_numbers_capital_letters & CustomerPhone1 & "/" & CustomerPhone2 & vbCRLF

				Message = Message & wc_Case_description_capital_letters & Case_One_Line & vbCRLF

				Message = Message & CategoryText ' Display category text

				' The special color codes have to be removed before sending the case_history

				Case_Text = Case_History
				Case_History = CleanUpHistoryText(Case_Text)
				Message = Message & "Case History:"& vbCRLF & Case_History & vbCRLF

				If Case_Summary <> "" Then
					Message = Message & wc_Case_summary_head & vbCRLF & Case_Summary & vbCRLF
				End IF
				If Case_Resolution <> "" Then
					Message = Message & wc_Case_Resolution_head & vbCRLF & Case_Resolution & vbCRLF
				End If

				' Do not remove this line.
				Message = Message & EmailChecksum


				SubjectLine = "*** " & wc_Support_Case  & Case_Number & " " & wc_Alert & " ***"

				' Now we have everything we need to send the email to the tech
				' Only send the message if ToEmail exists and

				If ToEmail <> ""   Then
					 If MyOS = "Windows" Then
						SendEmail ToEmail, ToFullName, SubjectLine, Message
					 Else
						SendLinuxEmail ToEmail,  SubjectLine, Message
					 End If

					Tech_Notification = "<I>" &  ToFullName & "</i>(" & ToEmail & ")"
				End If

				' Determine if we should send out email to Tech's cell phone email address

				If CellEmail <> "" AND  CELLPHONE_EMAIL_NOTIFICATION = "YES"  Then

				' *************** User customizations *********************
				' This section below allows one to configure disabling cell emails
				' sent during certain hours. This is option can be configured by
				' un-commenting the lines below

				'LimitCellEmailHours = "YES"

				If LimitCellEmailHours = "YES" Then
					' The code below will limit cell emails sent between 7 AM and 5 PM
					StartLimitHour = 7 ' 24 hour time for 7 AM
					EndLimitHour = 17 ' 24 hour time for 5 PM

					If (Hour(Now) >= StartLimitHour) AND (Hour(Now) < EndLimitHour) Then
						' If in this range then do not send cell email
					Else ' outside of this range then send cell email
						 If MyOS = "Windows" Then
							SendEmail CellEmail, CellFullName, CellSubjectLine, CellMessage
						 Else
							SendLinuxEmail CellEmail, CellSubjectLine, CellMessage
						 End If

						Tech_Notification = Tech_Notification & " Cell:(" & CellEmail & ")"
					End If


				Else
					  If MyOS = "Windows" Then
						SendEmail CellEmail, CellFullName, CellSubjectLine, CellMessage
					  Else
						SendLinuxEmail CellEmail,  CellSubjectLine, CellMessage
					  End If


					Tech_Notification = Tech_Notification & " Cell:(" & CellEmail & ")"

				End IF

				'*********** End User Customization Area *********************

				End If ' End of If CellEmail <> ""


			End IF ' End of If LoginTech_ID = Tech_ID

		End If ' Do not send out email if no tech is assigned

End Sub ' End of SendEmailToAssignedTech() subroutine
%>

<% Sub SendEmailToAssignedGroupTechs(Case_Number , Tech_Assigned_Email)
	'	This subroutine sends out a notification email to any tech that are
	' configured with the default group or assigned group.  Check to see if any of those techs have already been sent
	' an email from the SendEmailToAssignedTech() function

	' Set Group_Notification to blank
	 Group_Notification = ""


	' First we need to get the Group Number assigned for this case

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		' Now get the case Information (One Line, summary, resolution, etc)

		mySQL2="SELECT * from Cases where case_number = " & case_number
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			Case_History = ""
			Case_summary = ""
			Case_Resolution = ""
			Status = 1
			Tech_ID = ""

		Else
			' Get all of the information while we are here

			Case_History = rstemp2("Case_History")
			Case_Summary = rstemp2("Case_Summary")
			Case_Resolution = rstemp2("Case_Resolution")
			Case_One_Line = rstemp2("Case_One_Line")
			Status = rstemp2("Status")
			Tech_ID = rstemp2("Tech_ID")
			Group_Number = rstemp2("Group_Number")
			Customer_ID = rstemp2("Customer_ID")

			PriorityID = rstemp2("Severity")

			' Perform another query to get the Priority text
			mySQL4="SELECT * from Priority where PriorityID = " & PriorityID
			set rstemp4=conntemp.execute(mySQL4)

			PriorityText = rstemp4("ShortDesc")
			' Close record set

			rstemp4.close
			set rstemp4 = nothing


			'******* CELL PHONE EMAIL TEXT FIELDS *****************************
			' Perform another query to get the customer information so
			' it can be displayed in the email for text page cell phone email
			' We will grab the two phone numbers and company name

			mySQL4="SELECT * from Customers where customer_id = '" & Customer_ID & "'"
			set rstemp4=conntemp.execute(mySQL4)


			CustomerCompany = rstemp4("Company")
			CustomerPhone1 = rstemp4("Phone1")
			CustomerPhone2 = rstemp4("Phone2")


			' Close record set

			rstemp4.close
			set rstemp4 = nothing

			'********** CELL PHONE EMAIL TEXT FIELD ENDING


			' Perform another query to get the Assigned Tech Name
			If Tech_ID <> "" Then

				mySQL4="SELECT * from Tech_staff where Tech_ID = '" & Tech_ID & "'"
				set rstemp4=conntemp.execute(mySQL4)

				AssignedTechName = rstemp4("First_Name") & " " & rstemp4("Last_Name")
				' Close record set

				rstemp4.close
				set rstemp4 = nothing
			End If


		End If

		rstemp2.close
		set rstemp2=nothing

		conntemp.close ' Close the connection since we may not open it again
		set conntemp=nothing

		' Now build the message since we may need to send it to more than one person

			'******* USER CUSTOMIZATION FOR CELL PHONE EMAILS **********************
			' To enable a short condensed email to be sent to a tech cell email address/home email
			' beginning of the email message, comment/uncomment the
			' variable definition below
			CELLPHONE_EMAIL_NOTIFICATION = "YES" ' Comment out this line to disable
			'******* USER CUSTOMIZATION FOR CELL PHONE EMAILS **********************

			If CELLPHONE_EMAIL_NOTIFICATION = "YES" Then
				CellMessage = ""
				CellMessage = CellMessage & Customer_ID & vbCRLF & CustomerCompany & vbCRLF &vbCRLF
				CellMessage = CellMessage & CustomerPhone1 & vbCRLF  & CustomerPhone2  & vbCRLF
				CellMessage = CellMessage & "->" & Case_One_Line & vbCRLF
				CellSubjectLine = wc_ALERT
			End If



			' Now Build the Whole message body
			' *********************** USER CUSTOMIZATIONS**********************
			' The fix part of the message that is sent out can be modified by
			' changing the text below.

			Message = ""


			Message = Message & vbCRLF & wc_CASE & " " & case_number & " " & wc_Update_Group_Notification & vbCRLF
			Message = Message & vbCRLF & wc_Tech_assignment & AssignedTechName & vbCRLF

			Message = Message & wc_Case_Number_capital_letters & Case_Number & vbCRLF

				' Now display a link directly to the tech+center for that case window.

				' Get the full server http URL for the direct LINK.
			 For each key in Request.serverVariables

			 	if Key = "SERVER_NAME" Then
					HostName =  Request.ServerVariables(key)
				End IF

			 	if Key = "SCRIPT_NAME" Then
					SCRIPT_Name =  Request.ServerVariables(key)
					' Replace DoEmailListSend.asp with RemoveFromList.asp
					' This will handle all of the necessary virtual directory mappings

					Virtual_Path = replace(Script_Name, "DoTCaseForm.asp", "SC.asp")

				End IF

			Next



			Message = Message & "CASE STATUS:"
			If CInt(Status) = 1 Then
				Message = Message & wc_Closed& vbCRLF
			ElseIf CInt(Status) = 0 Then
				Message = Message & wc_Open_Active & vbCRLF
			ElseIf CInt(Status) = 2 Then
				Message = Message & wc_Open_Waiting & vbCRLF
			ElseIf CInt(Status) = 3 Then
				Message = Message & wc_Open_on_hold & vbCRLF
			End If

			Message = Message & wc_Priority_capital_letters & PriorityText & vbCRLF


			Message = Message & wc_Customer_ID_capital_letters & Customer_ID & vbCRLF
			Message = Message & wc_Phone_numbers_capital_letters & CustomerPhone1 & "/" & CustomerPhone2 & vbCRLF

			Message = Message & wc_Case_description_capital_letters & Case_One_Line & vbCRLF

			Message = Message & CategoryText ' Display category text

			' The special color codes have to be removed before sending the case_history

			Case_Text = Case_History
			Case_History = CleanUpHistoryText(Case_Text)
			Message = Message & "Case History:"& vbCRLF & Case_History & vbCRLF

			If Case_Summary <> "" Then
				Message = Message & wc_Case_summary_head & vbCRLF & Case_Summary & vbCRLF
			End IF
			If Case_Resolution <> "" Then
				Message = Message & wc_Case_Resolution_head	 & vbCRLF & Case_Resolution & vbCRLF
			End If



			SubjectLine = "Group Alert For Case " & Case_Number

		' Now see if there are any techs configured for this group that have
		' configured email notification


		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

			mySQL2="SELECT * from Groups where Group_Number = " & Group_Number &" AND New_Case_Notify = 1"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				ToEmail = "" ' No body is configured
			Else
			' Loop through all of the entries and send email to each of them
			' each for the one where the tech_id is the same as the assigned tech.

			Do While rstemp2.EOF <> True
				' For each tech, we will have to get their email address
				Tech_ID = rstemp2("tech_id")
				Group_Tech_ID = Tech_ID

				' Now get the email for each tech_id

				mySQL3="SELECT * from Tech_staff where Tech_ID = '" & Tech_ID & "'"
				set rstemp3=conntemp.execute(mySQL3)

				' Check to see if any records are returned
				' if none found the
				if rstemp3.EOF then
					ToEmail = ""
				Else
					ToEmail = rstemp3("work_email")
					ToFullName = rstemp3("first_name") & " " & rstemp3("last_name")
					CellEmail = rstemp3("Home_Email")
					If IsNull(rstemp3("Home_Email")) Then
						CellEmail = ""
					End If

					' *** Important note about Tech staff fields if they are blanked out
					' The Tech staff edit functions do not properly NULL out the
					' the text fields in the database when they are cleared out.
					' They current set the first character to 0 but leave the other
					' characters there so the we can't check for string <> "".
					' The test below checks to see if the first characters is ASC "0"
					' ***************************************
					If Len(CellEmail) > 0 Then
						If ASC(Mid(CellEmail,1,1)) = 0 Then
							CellEmail = ""
						End IF
					End IF

					CellFullName = ToFullName

				End If

				rstemp3.close
				set rstemp3=nothing

				' Part of the message is a web link for the tech to directly log back
				' into the Tech+Center and go directly to the case.  The link here must
				' have the Tech_ID for the person who we are sending the email to
				' so it is changed for each tech for who this email is sent.

				VariableMessage = "" ' Reset old one
				VariableMessage = VariableMessage & vbCRLF & wc_Click_link_below_to_login_and_update & vbCRLF
				VariableMessage = VariableMessage &  "http://" &  hostname & Virtual_path &"?ID=" & Tech_ID & "&N=" & Case_Number & vbCRLF & vbCRLF

				VariableMessage = VariableMessage & EmailChecksum


				TotalMessage = Message & VariableMessage ' Combined fixed part and variable part

				' Send out the email if an email address exists
				If ToEmail <> "" AND LoginTech_ID <> Group_Tech_ID   Then
					  If MyOS = "Windows" Then
						SendEmail ToEmail, ToFullName, SubjectLine, TotalMessage
					  Else
						 SendLinuxEmail ToEmail,  SubjectLine, TotalMessage
					  End If
					Group_Notification = Group_Notification & "<Br><I>" & ToFullName & "</i>(" & ToEmail & ")"

				End If

				' Send out emails to techs cell email address

				If CellEmail <> "" AND LoginTech_ID <> Group_Tech_ID AND CELLPHONE_EMAIL_NOTIFICATION = "YES"  Then

				' *************** User customizations *********************
				' This section below allows one to configure disabling cell emails
				' sent during certain hours. This is option can be configured by
				' un-commenting the lines below

				'LimitCellEmailHours = "YES"

					If LimitCellEmailHours = "YES" Then
						' The code below will limit cell emails sent between 7 AM and 5 PM
						StartLimitHour = 7 ' 24 hour time for 7 AM
						EndLimitHour = 17 ' 24 hour time for 5 PM

						If (Hour(Now) >= StartLimitHour) AND (Hour(Now) < EndLimitHour) Then
							' If in this range then do not send cell email
						Else ' outside of this range then send cell email
							  If MyOS = "Windows" Then
								SendEmail CellEmail, CellFullName, CellSubjectLine, CellMessage
							  Else
								SendLinuxEmail CellEmail,  CellSubjectLine, CellMessage
							  End If

							Group_Notification = Group_Notification & " Cell:(" & CellEmail & ")"
						End If

					Else
					  If MyOS = "Windows" Then
						SendEmail CellEmail, CellFullName, CellSubjectLine, CellMessage
					  Else
					    SendLinuxEmail CellEmail,  CellSubjectLine, CellMessage
					  End If

						Group_Notification = Group_Notification & " Cell:(" & CellEmail & ")"

					End IF


				End If

				' Add some message why we didn't send group to assigned tech
				If LoginTech_ID = Group_Tech_ID Then
					Group_Notification = Group_Notification & "<Br><I>" & ToFullName & "</i>(" & ToEmail & ")- " & wc_No_message_sent
				End IF

				rstemp2.MoveNext
			Loop

			End If

			rstemp2.close
			set rstemp2=nothing

			conntemp.close ' Close the connection
			set conntemp=nothing


End Sub ' End of SendEmailToAssignedGroupTechs() subroutine
%>


<% Function CleanUpHistoryText(Case_Text)
' This functions removes all of the special color coding codes
' that exists in the case_history field so when the email is sent it sends
' it without all of those funny colors.


' This subroutines formats the case_text with the proper color coding conventions

NewText = Case_Text
	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;


		' Replace the special color coding characters

		NewText = Replace (Newtext, chr(10), vbCRLF)

		NewText = Replace (NewText, "{g[", "")

		NewText = Replace (NewText, "{r[", "")

		NewText = Replace (NewText, "]r}", "")

		NewText = Replace (NewText, "]g}", "")

'		NewText = Replace (NewText, vbLF, vbCRLF)

		' There are some places where we have put LFCR
		' at the end of the end of the lines in techcenter
'		NewText = Replace (NewText, vbLF & vbCR, vbCRLF)

		' Other places have just LF (10)
'		NewText = Replace (Newtext, vbCR, vbCRLF)

	CleanUpHistoryText = NewText

'	For i = 1 to len(NewText)
'		NewMessage  = NewMessage & mid(NewText,i,1)
'		NewMessage = NewMessage & "[" & asc(mid(NewText,i,1)) & "]"
'	next

'	response.write NewMessage


'	CleanUpHistoryText = Case_Text

End function
%>

<% Function GetCasestatus(CaseNumber)
	' This function gets the case status information for existing Cases
	' to see if it is closed or open.  This function returned "OPEN" Or "CLOSED"
		' Now get case information
		set conntemp=server.createobject("adodb.connection")
				conntemp.open myDSN

				mySQL2="SELECT * from Cases where Case_Number = " & CaseNumber

				set rstemp=conntemp.execute(mySQL2)

				' Check to see if any records are returned
				' if none found the

				If rstemp.EOF = True Then
					GetCasestatus = "OPEN" ' Set this variable to prevent problems on next page
				Else
					If rstemp("Status") = 1 Then
						GetCasestatus = "CLOSED"
					Else
						GetCasestatus = "OPEN"
					End IF
				End If

				rstemp.close
				set rstemp=nothing
				conntemp.close ' Close the connection
				set conntemp=nothing

	End Function ' End of GetCasestatus
%>

<% Function TechFullName(Tech_ID)
	'This function gets the full name of the Tech or Sales Contact logged
	'into the system.

		If Tech_ID = "" Then
			TechFullName = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Tech_staff where tech_id = '" & Tech_id & "'"
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				TechFullName = "User Not Defined for Tech_ID: " & Tech_id
			Else
				TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of TechFullName
	%>

<% Function GroupFullName(Group_Number)
	'This function gets the full name of the Passed Group Number
		If Group_Number = "" Then
			GroupFullName = "Default Group"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Group_list where Group_Number = " & Group_Number
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				GroupFullName = "Group Not Defined"
			Else
				GroupFullName = rstemp2("Group_Name")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If

	End Function ' End of GroupFullName
%>

<% Function PriorityFullDescription(Priority_Number)
	'This function gets the full description of the Passed Priority Number
		If Priority_Number  = "" Then
			PriorityFullDescription =  "Priority Not Defined"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Priority where PriorityID =  " & Priority_Number
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				PriorityFullDescription = "Priority Not Defined"
			Else
				PriorityFullDescription = rstemp2("ShortDesc")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If

	End Function ' End of PriorityFullDescription Function
%>

<% Function CreateCategoryText(Case_Number)
	' This function performs a query of the set Categories and
	' returns a string to be used when sending out the email messages

	mySQL3 = "select * from Cases where case_number = " & Case_Number

	'response.write mySQL3

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here


	set rstemp2=conntemp.execute(mySQL3)


	' Create the category display for this case

	CategoryString = ""
	for i = 1 to 20 ' Increase this beyond 20 if more than 20 Categories
		CategoryItem = CInt(rstemp2("C"&i))
		If CategoryItem <> 0 Then
			' Some category value is set so see if the state of the category
			' equal to one (customer+tech display) and get the category
			' and category item description from the table lookup.

			mySQL4 = "select * from Categories where category_number = " & i & " AND Item_number = " & CategoryItem & " AND State = 1"

			'response.write mySQL4 ' Debugging only

			set rstemp3=conntemp.execute(mySQL4)


			If rstemp3.EOF <> True THEN
				Item_name = rstemp3("Item_name")
				CategoryName = rstemp3("Category_name")

				CategoryString = CategoryString &  "  [" & CategoryName & "==" & Item_Name & "]"
				CategoryString = CategoryString & vbCRLF
				' Close this intermediate record set

			End If

			rstemp3.close
			set rstemp3=nothing
		End If
	next ' Loop through the first 20 Categories

		If CategoryString = "" then
			CategoryString = wc_Categories & ":" & wcNone  & vbCRLF
		Else
			CategoryString = wc_Categories & ":" & vbCRLF & CategoryString
		End If

	CreateCategoryText = CategoryString ' Put function return value


	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing


 End Function ' CreateCategoryText
%>

<% Function CreateRepeatScheduledCase(Case_Number)
	' This function will open a new scheduled case based on information
	' found in the old case.  It will set the new scheduled
	' date and time to be repeat_interval number of days from the
	' originally scheduled due date.  The following fields will
	' be transferred from the old case to the newly opened case.
	' No emails will be sent.
	' Fields transfered:
		' Case_One_Line
		' Case_Summary
		' Case_Resolution
		' Group_Assignment (Group_Number)
		' Tech Assignment (Tech_ID)
		' Scheduled_Case_Type
		' Repeat_Interval
		' Due_Time
		' Customer_ID
		' Any Category Assignments
		' Priority (Severity)
		' Asset_Number
		' Duplicate_Case_Number

	' Fields recreated dynamically
		' Due Date (Repeat_Interval + Last Due_Date)
		' Open_Date
		' Open_Time
		' Mod_Date
		' Mod_Time
		' Status - Set to Open
		' Case History

	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if case_number exists then this is an update


		Set NewRecord = Server.CreateObject("ADODB.Recordset")

			SQL = "Select * from Cases"

		'response.write SQL

		NewRecord.Open SQL,Conn,3,3

			NewRecord.AddNew

			' For new records we fill in the
			' the opendate and open time fields
			' with the following formats:
			' OpenDate: YYYYMMDD

			' OpenTime: HHMMSS

			NewRecord("modified_flag") = 1
			NewRecord("Open_Date") = DateString ' YYYYMMDD
			NewRecord("Open_Time") = TimeString ' HHMMSS
			NewRecord("mod_date") = DateString ' YYYYMMDD
			NewRecord("mod_time") = TimeString ' HHMMSS
			NewRecord("Reopen_Date") = Datestring
			NewRecord("reopen_Time") = TimeString

			NewRecord("Customer_ID") = Customer_ID

			' * * * * * * Schedule Case Fields Processing

			If ScheduleCase <> "" Then
				NewRecord("Scheduled_Case_Type") = ScheduleCase
			End IF

			If RepeatInterval <> "" Then
				NewRecord("Repeat_Interval") = RepeatInterval
			End IF

			' Attempt to create a valid date string and then check to see
			' if the date is valid and if so then set in the Due_Date_Time Date field

			DueDateString = DueMonth & "/" & DueDay & "/" & DueYear
			DueTimeString = DueHour & ":" & DueMinute & DueAMPM

			' Check for a valid date string and reset to blank if not valid

			IF IsDate(DueDateString) = False Then
				DueDateString = "" ' Do not accept DueDateString
			End If

			' Now we must add the Repeat Interval to the due_date
			' to create a new due date


			If DueDateString <> "" and RepeatInterval <> "" Then
				New_Due_Date = DateAdd("d", RepeatInterval, DueDateString)
			End If



			If IsDate(New_Due_Date) = True Then ' verify valid new date
				NewRecord("Due_Date") = New_Due_Date
			End IF

			' Keep the same Due Time
			'response.write "Due_time= " & DueTimeString
			If DueTimeString <> "" Then ' DueTimeString should be HH:MM AM formats
				NewRecord("Due_Time") = DueTimeString
			End If


			' * * * * * * End Schedule Case Fields processing


			' Now Add in any info about changed records for Tech, Status, group and Priority
			Old_Group_Number = NewRecord("Group_Number")
			If IsNull(Old_Group_Number) Then
				Old_Group_Number = ""
			Else
				Old_Group_Number = CStr(Old_Group_Number)
			End If
			If Old_Group_Number <> Group_Number_from_Form then
				NewGroupName = GroupFullName(Group_Number_From_Form)
				GroupChanged = "YES"
				Repeat_History = Repeat_History &  wc_CASE_ASSIGNED_TO_GROUP  & NewGroupName & vbCRLF
			End IF


			Old_Tech_ID = NewRecord("Tech_ID")
			If Old_Tech_ID <> AssignedTechID then

				NewTechName = TechFullName(AssignedTechID)
				TechChanged = "YES"

				Repeat_History = Repeat_History &  wc_CASE_ASSIGNED_TO_TECH & NewTechName & vbCRLF
			End IF


			Old_Priority = "0"

			If Old_Priority <> Case_Severity then
				NewPriority = PriorityFullDescription(Case_Severity)

				Repeat_History = Repeat_History & wc_CASE_Priority_SET_TO & NewPriority & vbCRLF
			End IF


			If Dup_case_Num  = "" Then
				NewRecord("Dup_case_num") = 0
			Else
				NewRecord("Dup_case_num") = Dup_Case_Num
			End If

			' Set status to undefined for this new record
			NewRecord("Status") = 0 ' Reset status back to undefined

			If Case_Severity = "" Then
				NewRecord("Severity") = 0 ' Set back to 0 (un-assigned)
			Else
				NewRecord("Severity") = Case_Severity
			End IF

			NewRecord("Case_One_Line") = Case_One_Line
			If Asset_Number = "" Then
				NewRecord("Asset_Number") = 0 ' Default to zero
			Else
				NewRecord("Asset_Number") = Asset_Number
			End If

			NewRecord("Category_Count") = 100 ' Default to 100

			' Add tech assignment

			If AssignedTechID <> "" Then
				NewRecord("tech_ID") = AssignedTechID
			Else ' Set back to null if undefined
				NewRecord("Tech_ID") = Null
			End If

			' Read and set all of the Categories that have come in

			For i = 1 to 50 ' Increase this up to 100 if necessary

				CategoryColumn = "C" & i
				CategoryValue = Request.form(CategoryColumn)

				If CategoryValue = "" OR IsNumeric(CategoryValue) = False Then
					CategoryValue = 0

				Else ' Value must be set so check if this defines a default group
					Category_Number = i
					Category_Item = CategoryValue
					' Perform small query to see if initial group assignment is set
					' for this category

					mySQL5="SELECT * from Categories where Category_Number = " & Category_Number & " AND Item_number = " & Category_Item

					'Response.write "SQL=" & mySQL5

					set rstemp5=conn.execute(mySQL5)

					if rstemp5.EOF then
						' This should not happen but ok
					Else
						Group_Number = rstemp5("Group_Number")
						If Group_Number <> "" Then
							NewDefaultGroup = Group_Number
						End IF

					End IF

					rstemp5.close
					set rstemp5=nothing

				End If
				NewRecord(CategoryColumn) = CategoryValue
			Next

			'* * * * * * * * * * * * * * * * * * * * *
			' Default Group Setting ******************
			' * * * * * * * * * * * * * * * * * * * * *
			' The initial setting of the default group can now be set by
			' a selected category and selecting a category item.
			' This can all be configured under system administration options
			' If category group is not enabled or if no category
			' item is selected, it then reverts to the original defaultGroup
			' This assignment is only done during the initial case creation.
			' For the Techs, any group assignment done directly by the
			' tech overrides the category group selection.

			If NewDefaultGroup <> "" Then
				DefaultGroupNumber = NewDefaultGroup ' Over with category group
			End IF

			'If Group_Number = "" Then set to the default group otherwise set to the passed group
			IF Group_Number_From_Form = "" Then
				NewRecord("Group_Number") = DefaultGroupNumber ' Categories or default
			Else
				NewRecord("Group_Number") = Group_Number_From_Form ' Group re-assigned
			End IF

			' Time Stamp the Case History before we put it into the case record

			Case_History = "{r[" &  DatetimeString &  wc_Repeat_Scheduled_Case_Opened_by_Scheduler & " ]r}"  & vbCRLF & Repeat_History

			' We need to check the size of the case_history before we put it
			' into the record

			If Len(Case_History) < (MaxHistorySize - 10) Then ' Only update is size is ok.
				NewRecord("Case_History") = Case_History
			Else
				Response.Write wc_Case_History_size_of & Len(Case_History)& wc_exceeds_maximum_value_of & MaxHistorySize - 10 & "<br>"
			End If

			' Update Summary and Resolution Fields
			' Limit the size based on the max case resolution and summary sizes

			NewRecord("Case_Resolution") = Mid(Case_Resolution, 1, MaxResolutionSize - 5)
			NewRecord("Case_Summary") = Mid(Case_Summary, 1, MaxSummarySize - 5)

		NewRecord.Update

	If  err.number>0 then
	      response.write "VBScript Errors Occured:" & "<P>"
	      response.write "Error Number=" & err.number & "<P>"
	      response.write "Error Descr.=" & err.description & "<P>"
	      response.write "Help Context=" & err.helpcontext & "<P>"
	      response.write "Help Path=" & err.helppath & "<P>"
	      response.write "Native Error=" & err.nativeerror & "<P>"
	      response.write "Source=" & err.source & "<P>"
	      response.write "SQLState=" & err.sqlstate & "<P>"
	else
	'      response.write "No VBScript Errors Occured" & "<P>"
	end if


	IF  conn.errors.count> 0 then
	    response.write "Database Errors Occured" & "<P>"
		for counter= 0 to conn.errors.count
		      response.write "Error #" & conn.errors(counter).number & "<P>"
		      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
		next
	else
	      'response.write "No Database Errors Occured!" & "<P>"
	end if

	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing

	End Function
%>

