<% 'Module: OtherConfiguration.asp

   'Description: This module is the Page for displaying the Third
   ' system level configuration page.

   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '03/28/01	SAV		Created original EditConfiguration.asp Module
	'08/15/02	SAV		Created OtherConfiguration.asp module from EditConfiguration.asp Module


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->


<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 6 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%
	' FIRST Get the values from the configuration file and into variables


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		TechCenterFileUpload = rstemp("TechCenterFileUpload")
		customerCenterFileUpload = rstemp("CustomerCenterFileUpload")
		FileUploadPhysicalPath = rstemp("FileUploadPhysicalPath")
		FileUploadVirtualDirectory = rstemp("FileUploadVirtualDirectory")
		RenameUploadFile = rstemp("RenameUploadFile")

		MaxFileUploadSize = rstemp("MaxFileUploadSize")
		CustomerPasswordRequired = rstemp("CustomerPasswordRequired")
		CustomerAssetsearch = rstemp("CustomerAssetsearch")
		EncryptPasswords = rstemp("EncryptPasswords")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title>Other Configuration Options</title>
</head>
<body bgcolor=#C0C0C0>
<center><table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Other_Configuration_Options%></b><br>
</font>
<font size=-2>
<%=wc_Please_refer_to_User_Guide_for_instructions%>
</font>
</font>
<br>
</td></tr></table><p>
</center>

<FORM ACTION=DoOtherConfiguration.asp method=post>

<center>

	<table width=98% border=0 cellspacing=3 cellpadding = 3>

		<tr>

		<td  align=center valign=middle>
		<input type=image src="/<%=WCLanguageDirectory%>/ts_submit30x80.gif" name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="UserScreen.asp"><img src="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" border=0></A>
		</td>
		</tr>
		</table>
		</center>


<center>
<table border=1 cellspacing=2 cellpadding=3 width=98%>
<tr>
<td>
<table border=0>
<tr>
<td width=50% valign=top>
<font size=-1>
<br>


<center><font size=+1><%=wc_File_Upload_Options%></font></center><hr width=80%>
<UL>


<% If TechCenterFileUpload <> False Then%>
<input type=checkbox name=TechCenterfileUpload value=YES CHECKED><B><%=wc_Tech_Center_File_Upload%></b><P>

<% Else %>

<input type=checkbox name=TechCenterFileUpload value=YES ><B><%=wc_Tech_Center_File_Upload%></b><P>
<%End If %>

<% If CustomerCenterFileUpload <> False Then%>
<input type=checkbox name=CustomerCenterfileUpload value=YES CHECKED><B><%=wc_Customer_Center_File_Upload%></b><P>

<% Else %>

<input type=checkbox name=CustomerCenterFileUpload value=YES ><B><%=wc_Customer_Center_File_Upload%></b><P>
<%End If %>

<% If MyOS = "Windows" Then %>

	<B><%=wc_File_Upload_Physical_Path%></B> (<%=wc_Physical_Path_Default%>)<br>
	<input type=text size=30 maxlength=100 name=FileUploadPhysicalPath value="<%=FileUploadPhysicalPath%>"><P>
	<B><%=wc_File_Upload_Virtual_Directory%></B> (<%=wc_Default_Download_Virtual_Directory%>)<br>
	<input type=text size=30 maxlength=100 name=FileUploadVirtualDirectory value="<%=FileUploadVirtualDirectory%>"><P>

<% Else %>


	<input type=hidden size=30 maxlength=100 name=FileUploadPhysicalPath value="<%=FileUploadPhysicalPath%>">
	<B><%=wc_File_Upload_Linux_Directory%></B> <br>
	<input type=text size=30 maxlength=100 name=FileUploadVirtualDirectory value="<%=FileUploadVirtualDirectory%>">
	<br>
    <%=Request.ServerVariables("server_name")%>/<Font color=red>support/downloads</font>
	<P>

<%End If %>


<% If RenameUploadFile <> False Then%>
<input type=checkbox name=FileUpLoadRename value=YES CHECKED><B><%=wc_Rename_uploaded_file_based_on_Case_Number%></b><P>

<% Else %>

<input type=checkbox name=FileUploadRename value=YES ><B><%=wc_Rename_uploaded_file_based_on_Case_Number%></b><P>
<%End If %>

<B><%=wc_Maximum_File_Size_in_Bytes%></B>    (<%=wc_Optional%>)<br>

<input type=text size=10 maxlength=10 name=MaxFileUploadSize value="<%=MaxFileUploadSize%>"> Bytes<P>

</ul>

</center>
</td>

<td valign=top width=50%>
<br>
<font size=-1>
<center><font size=+1><%=wc_Customer_Center_Security%></font></center><hr width=80%>
<UL>

<B><%=wc_Customer_Password%></b><br>

<% If CustomerPasswordRequired = FALSE Then %>
<input type=radio name=CustomerPasswordRequired value="YES"> <%=wc_Require_Password%> <br>
<input type=radio name=CustomerPasswordRequired value="NO" CHECKED> <%=wc_Do_not_require_password%> <P>

<%Else ' Default value %>

<input type=radio name=CustomerPasswordRequired value="YES" CHECKED> <%=wc_Require_Password%> <br>
<input type=radio name=CustomerPasswordRequired value="NO"> <%=wc_Do_not_require_password%> <P>


<%End If %>

<BR>
<br>

<B><%=wc_Customer_Assets_and_Searches%></b><br>

<% If CustomerAssetsearch = "NONE" Or CustomerAssetsearch = "" Then %>
<input type=radio name=customerAssetsearch value="NONE" CHECKED> <%=wc_Do_not_display_Assets_for_Customers%><br>
<%Else ' Default value %>
<input type=radio name=customerAssetsearch value="NONE"> <%=wc_Do_not_display_Assets_for_Customers%><br>
<%End If %>

<% If CustomerAssetsearch = "CAssetsONLY" Then %>
<input type=radio name=customerAssetsearch value="CAssetsONLY" CHECKED> <%=wc_Only_show_customer_Assets_only%><br>
<%Else %>
<input type=radio name=customerAssetsearch value="CAssetsONLY"><%=wc_Only_show_customer_Assets_only%> <br>

<%End If %>

<% If CustomerAssetsearch = "ALLAssets" Then %>

<input type=radio name=customerAssetsearch value="ALLAssets" CHECKED> <%=wc_Allow_customer_to_search_all_Assets%><br>


<%Else ' Default value %>
<input type=radio name=customerAssetsearch value="ALLAssets"><%=wc_Allow_customer_to_search_all_Assets%><br>


<%End If %>
<P>

<B><%=wc_Encrypt_Passwords_in_DB%></b><br>

<% If EncryptPasswords = False Then %>
<input type=radio name=EncryptPasswords value="YES"> <%=wc_Encrypt_passwords_in_DB%> <br>
<input type=radio name=EncryptPasswords value="NO" CHECKED><%=wc_Do_not_encrypt_passwords%> <P>

<%Else ' Default value %>

<input type=radio name=EncryptPasswords value="YES" CHECKED> <%=wc_Encrypt_passwords_in_DB%> <br>
<input type=radio name=EncryptPasswords value="NO"><%=wc_Do_not_encrypt_passwords%> <P>

<%End If %>

<BR>

</ul>




</td>
</tr>

<% ' Close inner table %>

</table>
</td>
</tr>
</table>



</form>

</body>
</html>

<% End If %>

