<% 'Module: ReAssignCaseCustomerID.asp

   'Description: This module is the first page to reassign cases assigned
   ' to a particular customer ID to another customer ID

   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '02/26/00	SAV		Created original ReAssignCaseCustomerID.asp module.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DeleteTech.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<html>
<!-- (C) 1996,1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title>Re-Assign Case Customer ID</title>
</head>

<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
%>


<body bgcolor=#<%=UserPageColor%>>
<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Re_Assign_Case_Customer_ID%></b>
</font>
<br>
</td></tr></table><p>
</center>

<center>
<FORM METHOD=POST  name="myform" ACTION=DoReassignCaseCustomerID.asp>
<table width=98%>
<tr><td>
<font size=-1>
<B><%=wc_Instructions%>:</b>
<UL>
<%=wc_Re_Assign_Case_Customer_ID_block%>

<P>
</uL>

</td></tr></table>
</center>
<br>

<center>

<table border=1 cellspacing=2 cellpadding=3 width=98%><tr>
<td>
<UL>
<br>

<font size=-1>
<UL>
<%=wc_Transfer_all_Cases_for_Customer%>:


<%' Check for CustomerDropDownFlag

'--AKS<-- Conversion to INT required

	Customer_Id_List = CInt(Customer_Id_List)

	' Display debug message about customer_id_list value
	response.write "<!--Customer_ID_List Value = " & Customer_ID_List & "-->" & vbCRLF

	If Customer_Id_List = 1 Then %>
<select size=1 name=Old_customer_id>

<% ' Now get all of the Customers from the customer table
%>

<% ' Grab all Customers from customer table

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Customers Order by Customer_Id"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist
		response.write "<option value=xx>No Customers Founds</option>"
	Else
		response.write "<option value=>Select One</option>"

		Do While rstemp.EOF <> True
			response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_ID") & "</option>" & chr(10) & chr(13)
			rstemp.MoveNext
		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

End If


   ' Note - we cannot use the javascript variant of assist window due to 2 input fields required so force copy/paste if this option chose

      If Customer_Id_List = 0 or  Customer_Id_List = 2 Then' Force using copy/paste sub-window
			%>
            <font size=-1><input size=20 name=Old_customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href=Customer_Id_Copy_Paste.asp target=subwindow>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
			<%
     End If ' End of If using copy/paste sub-window

%>



<P>

<%=wc_To_Customer%>:

<%' Check for CustomerDropDownFlag

'--AKS<-- Conversion to INT required

	Customer_Id_List = CInt(Customer_Id_List)

	' Display debug message about customer_id_list value
	response.write "<!--Customer_ID_List Value = " & Customer_ID_List & "-->" & vbCRLF

	If Customer_Id_List = 1 Then %>
<select size=1 name=New_customer_id>

<% ' Now get all of the Customers from the customer table
%>

<% ' Grab all Customers from customer table

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Customers Order by Customer_Id"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Groups exist
		response.write "<option value=xx>No Customers Founds</option>"
	Else
		response.write "<option value=>Select One</option>"

		Do While rstemp.EOF <> True
			response.write "<option value=" & rstemp("customer_id") & ">" & rstemp("customer_ID") & "</option>" & chr(10) & chr(13)
			rstemp.MoveNext
		Loop

		response.write "</select>"
	End IF

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
End If




   ' Note - we cannot use the javascript variant of assist window due to 2 input fields required so force copy/paste if this option chose

      If Customer_Id_List = 0 or  Customer_Id_List = 2 Then' Force using copy/paste sub-window
			%>
            <font size=-1><input size=20 name=New_customer_id maxlength=20 value = "<%= Customer_ID %>">
		    <a href=Customer_Id_Copy_Paste.asp target=subwindow>
		    <img src="/<%=WCLanguageDirectory%>/Assist.gif" border=0></a> <font size=-2><%=wc_Click_on_question_mark_for_assistance%></font>
			<%
     End If ' End of If using copy/paste sub-window
%>
<br>
<br>
</ul>
	</td></tr>
	</table>

	<P>

	<table width=50% border=0>

		<tr>

		<td  align=center valign=middle>
		<input type=image src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif name=b_submit border=0>

		</td><td  align=center width=50% valign=middle><a href="PermitMaintenance.asp"><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></A>
		</td>
		</tr>
		</table>
		</center>


</form>

</body>
</html>

<% End If %>

