<% 'Module: PerformInspections

   'Description: This module is invoked into a sub-window from a button in TCaseForm.
   'When originaly invoked it is paster the case_number via ID parameter on the URL, then
   ' it contains a form with a button that can cause it to loop on itself allowing it
   ' to update the Pnotes for this case number
   ' It also expects a parameter called "mode" which can be either "Show", "Update", "Clear" or "Confirm"
   ' which drives the mainline logic to perform the relevant action


   '(C) 2000,2001, 2002 2003, 2004, 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '8/30/2006	JC		Created original module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% if request.querystring("Mode") = "Close" Then %>
<SCRIPT language="javascript">
    window.close();
</SCRIPT>
<% end if %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF  = True Then

			%>
			<html>
			<head>
			<title>Invalid User</title>
			</head>
			<body bgcolor=beige>
			<p><font size=+2 color=red>
			   You do not have authorization to use this program - please Login first<p>
			   </font>
			</body>
			</html>
			<%

			response.flush
			response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>





<% ' Display the Customer Search Form %>


<html>
<head>
	<title>Pnotes Editor</title>
    <!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>
<body class=rightwindow>
<%


If request.querystring("ID") <> "" Then '
 case_number = request.querystring("ID")
 mode = request.querystring("Mode")
else
case_number = request.form("case_number")
  If request.form("update.y") <> "" then
    mode="Update"
  end if
  If request.form("clear.y") <> "" then
    mode="Clear"
  end if
  If request.form("confirm.y") <> "" then
    mode="Confirm"
  end if

end if

%>
  <center>

	<Table  class=BGWrapper><tr><td>
	<div class=MajorScreenTitleFixed>
	 Private Notes For Case Number <%=Case_number%>
	</div>
	</tr></td></table>
	</center>




<%

'response.write "I see the case number is " & case_number & "<P>"
'response.write "I see the mode is " & mode & "<P>"
'response.write request.form
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN ' Open the connection once here

if Mode = "Show" then
  read_display case_number,mode
end if

if Mode = "Update" Then
   ' first make sure there is a record to be updated
   mySQL="select * from Pnotes WHERE Case_number =" & case_number
  ' response.write "Mysql is " & mysql & "<P>"
 '  response.flush
 '  response.end

   set rstemp=conntemp.execute(mySQL)
   if rstemp.eof then
	   MySQL = "INSERT into Pnotes (Case_Number) values (" & case_number & ")"
	  ' response.write "INSerting viz " & Mysql & "<P>"
   'response.flush
   'response.end
	   set rstemp=conntemp.execute(mySQL)
   end if
   Pnote_text = request.form("Pnote")
   If Pnote_text = "" then ' protect against updating with zero length string - if user tries to do this we just delete the record
	   mysql = "DELETE from Pnotes Where Case_number =" & case_number
	   set rstemp=conntemp.execute(mySQL)
   else
      Pnote_text = Replace(Pnote_text,"'","''")   ' protect aginst embedded apostrphes
	   mysql = "UPDATE Pnotes SET Pnote = '" & Pnote_text & "' WHERE case_number =" & case_number
	   set rstemp=conntemp.execute(mySQL)
   end if
   read_display case_number,mode
end if

if Mode = "Clear" then
  read_display case_number,mode
end if

if Mode = "Confirm" then
  mysql = "DELETE from Pnotes Where Case_number =" & case_number
  set rstemp=conntemp.execute(mySQL)

  response.write "Deleted<p>"
%>

<SCRIPT language="javascript">
    window.close();
</SCRIPT>

<%
end if

%>


<%
Sub Read_display(this_case,this_mode)
mySQL="select * from Pnotes WHERE Case_number =" & this_case

'response.write "the sql is " & mySQL & "<P>"
set rstemp=conntemp.execute(mySQL)

if rstemp.eof then
  thetext= " "
else
  thetext=  rstemp("Pnote")
end if
%>
<center>
<p>
<form action=Pnotes.asp METHOD=POST name=myform>
<table cellspacing=0 cellpadding=0>
<tr>
   <td class=outerformwrapper align=center>
		  <table cellspacing=0 cellpadding=0>
			<tr>
			  <td>
				<input type=hidden name=case_number value=<%=this_case%> >
				<textarea name=Pnote wrap=virtual rows=17 cols=80><%=thetext%></textarea>
			  </td>
			</tr>
			<tr>
			  <td align=center>
					<% If this_mode = "Update" then %>
					 <span class=tinyprint>(Updated)</span>
					 <% else %>
					 <span class=tinyprint>&nbsp;</span>
					 <% end if %>
			 </td>
			</tr>
			</table>
  </td>
</tr>
<tr><td height=10></td></tr>
<tr><td align=center>
	<% If this_mode = "Clear" then %>
		<input type=image name=confirm src=/<%=WCLanguageDirectory%>/ts_red_delete30x100.gif border=0>
        &nbsp; &nbsp; &nbsp;
        <a href=Pnotes.asp?Mode=Close><img src=/<%=WCLanguageDirectory%>/ts_close30x80.gif border=0></a>
	<% else %>

		<input type=image name=update src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0>
		&nbsp; &nbsp; &nbsp;
		<input type=image name=clear src=/<%=WCLanguageDirectory%>/ts_clear30x80.gif border=0>
        &nbsp; &nbsp; &nbsp;
        <a href=Pnotes.asp?Mode=Close><img src=/<%=WCLanguageDirectory%>/ts_close30x80.gif border=0></a>
	<% end if %>


</td></tr></table>
</form>
<%

end sub
%>




<% ' the following function (which is invoked automatically every time the window is loaded because it is "in-line code") is
   ' necessary to prevent user-confusion - by allways forcing this sub-window to the front when it is invoked.
   ' If you don't have it and the user by chance clicks on the main window befor using it (this subwindow) and then clicks again on the assist
   ' button, this sub-window will stay hidden behind the main window and cause the user to become absolutely lost...
%>

<SCRIPT language="javascript">
    window.focus();
</SCRIPT>

</body>
</html>
