<% 'Module: ProcessManageAssetGroups.asp

   'Description: This module adds or updates the Assets to the Asset Groups Table
   '(C) 2010 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '08/27/00	SAV		Created original ASP
   '09/05/00	SAV		Fixed problem with Adding Deletes
   '12/17/00	SAV		Created DoAssetInfo.asp module from DoNewCustomer.asp
   '12/26/2010	SAV		Created ProcessManageAssetGrops.asp from DoAssetInfo Module
   '01/26/12   CMB      Changed add and delete procedures

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->


<% 'Get the form data

	' Get the Logged in Tech

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie



	' First grab  the asset group index from the previous form
	AssetGroupIndex  = Request.form("AssetGroup")

'	AddAssetsToGroup = Request.form("AddAssetsToGroup")
'	DeleteAssetsFromGroup = Request.form("DeleteAssetsFromGroup")

	if Request.form("buttonChoice") = "ADD" then
		AddAssetsToGroup = "ADD"
		DeleteAssetsFromGroup = ""
	End If
	if Request.form("buttonChoice") = "DELETE" then
		AddAssetsToGroup = ""
		DeleteAssetsFromGroup = "DELETE"
	End If

	' Debugging
	'response.write "AddAssetsToGroup = " & AddAssetsToGroup
	'Response.flush
	'response.end






		' Check for the required fields
		' You can add additional required fields or removed
		' restrictions by commenting out the checks below.

		ErrorMessage = "" ' Clear error message



		' *********************** USER CUSTOMIZATIONS ********************
		' If you want to develop a system with additional checks for required
		' asset fields, then add them below based on the commented out line
		' below.  Additional unique values can also be checked using the
		' the checkForUniqueTableValue() function.

		If AssetGroupIndex  = "" Then
			ErrorMessage = ErrorMessage & "<LI> You must select an Asset Group to Add or Delete Assets from that group."
		End If



		' *********************** END USER CUSTOMIZATIONS ********************



		' ************* USER CUSTOMIZATIONS **************************
		' Add your own data requirements as necessary and add any
		' error text to be display to ErrorMessage string variable.


		If ErrorMessage <> "" Then
		%>


<!-- #INCLUDE FILE="Techusererror.inc" -->

	<% Else 'Otherwise save the asset information.


	' First grab  the asset group index from the previous form
	AssetGroupIndex  = Request.form("AssetGroup")




		' Now start the out loop

	NumberOfAssetsModified = Request.Form("List").Count
	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

  For i = 1 To Request.Form("List").Count
	' Debugging
	'Response.Write Request.Form("List")(i)

		Asset_Number = Request.Form("List")(i)


		If asset_number <> "" Then
  			If AddAssetsToGroup = "ADD" THEN
  				Set NewRecord = Server.CreateObject("ADODB.Recordset")
				SQL = "Select * from AssetGroupValues where asset_number = " & asset_number & " AND AssetGroupIndex = " & AssetGroupIndex
				NewRecord.Open SQL,Conn,3,3

				If NewRecord.EOF  THEN
					NewRecord.AddNew  ' This will create  a new record if it doesn't exist
					NewRecord("AssetGroupIndex") = AssetGroupIndex
					NewRecord("Asset_Number") = Asset_Number
					NewRecord.Update
				End If  ' else already in there
				NewRecord.close
				Set NewRecord = Nothing
			Else
				If DeleteAssetsFromGroup = "DELETE" then
					mySQL2 = "Delete from AssetGroupValues where asset_Number = " & asset_number & " AND AssetGroupIndex = " & AssetGroupIndex
					set rstemp2 = server.createobject("adodb.recordset")

					conn.execute(mySQL2)
					if err.number <> 0 then
					'	response.write "<TD>Problem executing " & err.description & " SQL: " & mySQL2 & "</TD>"
					end if

				End If
			End If
		End If
				'response.write mySQL2

	 Next   ' Loop for all of the list elements
	Conn.Close


%>


<% ' Display the page now %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above



		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ProcessMAnageAssetGroups.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down, TimeZoneAdjustment, TimeZoneLabel
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If

	%>

<html>

<!-- (C) 1996,1998, 1999, 2000, 2001, 2002, 2003-2010 by Internet Software Sciences -->

<head>

<title><%=wc_Manage_Asset_Groups%> </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>


<center>
<Table class=BGWrapper >
<tr>
<td width=50% align=center valign=center class=majorscreentitlefixed>

<%=wc_Manage_Asset_Groups%>
</td>
</tr></table>

<font size=-1 face=arial>
<UL>
 <B>
 (<%= NumberOfAssetsModified%>) </b>
 Assets have been added or deleted to Asset Group : <U> <%=GetAssetGroupName(AssetGroupIndex) %> </u>


 <P>

<%=wc_Please_select_a_link_below%>:<P>

	<center>
	<table width=70%>
	<tr>

	<td width=25% align=center>
	<font size=-1 face=arial>
	<a href=AssetGroups.asp><%=wc_Asset_Groups%></a>
	</td>

	<!--<td width=20% align=center>
		<font size=-1 face=arial>
		<a href=DoManageAssetGroups.asp><%=wc_Manage_Asset_Groups%></a>
	</td>-->

	<td width=25% align=center>
		<font size=-1 face=arial>
		<a href=ManageAssetGroups.asp><%=wc_Search_And_Manage_Asset_Groups%></a>
	</td>

	<td width=25% align=center>
	<font size=-1 face=arial>
	<a href=Assets.asp><%=wc_Asset_Search%></a>
	</td>

	<td width=25% align=center>
	<font size=-1 face=arial>
	<a href=UserScreen.asp><%=wc_Cancel%></a>
	</td></tr>
	</table>


</ul>

<br>
<br>


</font>


</body>
</html>


<%End If %>



<% End if ' End of I ErrorMessage <> "" %>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down, TimeZoneAdjustment, TimeZoneLabel)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
			TimeZoneAdjustment = rstemp2("Time_zone_Adjustment")
			TimeZoneLabel = rstemp2("Time_zone_Label")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>


<% Function GetAssetGroupName(AssetGroupID)
	'This function gets the name of the asset group that was added or deleted
	'into the system.

		If AssetGroupID = "" Then
			AssetGroupID = "0"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from AssetGroup where AssetGroupIndex = " & AssetGroupID
			set rstemp2=conntemp.execute(mySQL2)

			' Check to see if any records are returned
			' if none found the
			if rstemp2.EOF then
				GetAssetGroupName = "Asset Group Not Found - Check database"
			Else
				GetAssetGroupName = rstemp2("AssetGroupName")
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If


	End Function ' End of GetAssetGroupName
	%>




