<% 'Module: Projects.asp

   'Description: This module display the Projects page when the user press the
   ' Projects button.
   '(C) 2000, 2001, 2002 - 2011 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '11/03/00	SAV		Created original NewCase.asp Module Page
   '05/18/11	SAV		Created Projects.asp module from NewCase Module page
   '10/03/11    CMB     Testing
	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "Projects.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>


<% ' Display the New Case Form %>


<html>

<!-- (C) 1996,1998, 1999, 2000 - 2011 by Internet Software Sciences -->

<head>

<title>Projects </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->

</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow>


<center>


<Table class=BGWrapper align=center>
<tr>
    <td width=50% align=center valign=center class=majorscreentitlefixed>Projects</td>
</tr>
</table>
<p>

<table width= 100% >


<Tr>

<TD  class=MinorFormTitle align=right colspan=2 >

<form action = MakeProject.asp method=get>

<input type=hidden name=ID value=NEW>

<input type=submit name="New Project" Value="Create New Project">

</form>
</td></tr><tr></table>

<table width=100%>
<tr>
<TD  class=TightBodyText align=right colspan=2 >
<form action = MakeProject.asp method=get>
Enter Project Number:  <input type=text name=ID size=5 maxlength=10>&nbsp;
<input type=submit value="Get Project">
</form>


<!--
<a href=MakeProject.asp?ID=NEW><img src=/<%=WCLanguageDirectory%>/NewProject.gif border=0></a>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

-->


<td>
</tr>



<tr>
<td class=TightBodyText width=60% >

Projects are collections of cases and the associated extended time spent and associated
costs in each of the related cases associated with a project. Click on the links
to the right for various project views or click on New Project button at the top to create a new project.
To open up a project, click on the individual project name link.


<br>
</td>

<td class=TightBodyText>



<UL>
<li><a href = "Projects.asp?view=MyOpenProjects"> View My Open Projects </a>
<li><a href = "Projects.asp?view=AllOpenProjects"> View All Open Projects </a>
<li><a href = "Projects.asp?view=AllClosedProjects"> View All Closed Projects </a>
<li><a href = "Projects.asp?view=AllProjects"> View All Projects </a>

</ul>

</td>
</tr>
</table>


<%

View = Request.Querystring("View")


If View = "" Then
	View = "MyOpenProjects"
End if



If view = "MyOpenProjects" Then

	Wherestatement = " WHERE ProjectLeader = '" & cookieID & "' AND ProjectStatus = 0"
	OrderBy = " ORDER By ProjectDueDate ASC"
	TableHeader = " My Open Projects"

End If


If view = "AllClosedProjects" Then

	Wherestatement = " WHERE ProjectStatus = 1"
	OrderBy = " ORDER By ProjectDueDate ASC"
	TableHeader = " All Closed Projects"



End If

If view = "AllOpenProjects" Then

	Wherestatement = " WHERE ProjectStatus = 0"
	OrderBy = " ORDER By ProjectDueDate ASC"
	TableHeader = " All Open Projects"


End If

If view = "AllProjects" Then

	Wherestatement = ""
	OrderBy = " ORDER By ProjectDueDate ASC"
	TableHeader = " All Open and Closed Projects"



End If



' Debugging
'response.write "Where = " & Wherestatement
'response.flush
'response.end



		mySQL2 = "SELECT Projects.[ProjectID], Projects.[ProjectName], Projects.[ProjectLeader], Projects.[ProjectDescription], Projects.[HoursEstimated], Projects.[ResourcesEstimated], Projects.[MakePublic], Projects.[ProjectReferenceNumber], Projects.[ProjectStatus], Projects.[AdditionalProjectMembers], Projects.[ProjectDueDate], tech_staff.first_name, tech_staff.last_name FROM Projects "
		'mySQL2 = mySQL2 & " INNER JOIN tech_staff ON Projects.ProjectLeader = tech_staff.tech_id"  ' CMB i think this needs to be outer
		mySQL2 = mySQL2 & " LEFT OUTER JOIN tech_staff ON Projects.ProjectLeader = tech_staff.tech_id"  ' CMB i think this needs to be outer

	mySQL2 = mySQL2  & WhereStatement & OrderBy


'		mySQL2 = mySQL2 & " Order by " & FixedSortOrder  & " " & AscendDescend

		'response.write "MySQL = " & mySQL2 & "<br>"

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here


	set rstemp=Server.CreateObject("adodb.Recordset")
	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open mySQL2, conntemp, adopenstatic


		'set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then

		RecordsFound = rstemp.recordcount

' Display the Table Headers

%>




<TABLE class=TightTableWrapper cellspacing=1 width = 100%  >






<Tr>
<TD  class=MinorFormTitle align=center colspan=5>
<%= TableHeader %>
<td>
</tr>


<TR>
<TD  class=ColumnLabel align=center>PROJECT</TD>

<TD  class=ColumnLabel align=center>#</TD>

<TD  class=ColumnLabel align=center>Project Lead</TD>

<TD  class=ColumnLabel align=center>Date Due</TD>

<TD  class=ColumnLabel align=center>Status</TD>

</TR>

<%

			do while not rstemp.eof

	' Code here to get project rows


%>
	<TR>

	<TD align=left class=TightBodyText > <a href=MakeProject.asp?ID=<%=rstemp("ProjectID")%>><%= rstemp("ProjectName") %></a>

  </td>

	<TD align=center class=TightBodyText >  <%= rstemp("ProjectID") %>

  </td>
	<TD align=center class=TightBodyText >  <%= rstemp("First_name") %>&nbsp;<%=rstemp("Last_name") %>


  </td>

	<TD align=center class=TightBodyText >  <%= rstemp("ProjectDueDate") %>

  </td>

<% if rstemp("ProjectStatus") = 0 then

%>

	<TD align=center class=TightBodyText >  OPEN

  </td>

<% else %>


	<TD align=center class=TightBodyText >  CLOSED

  </td>

<% End If' End if ProjectStatus is 0 or 1 %>

</tr>



<%
				rstemp.MoveNext
			loop

		Else  ' If no projects found matching criteria

%>

	<center>
	No Projects found matching search criteria
	</center>

<% End If  ' end of if no records found %>

	<%	 ' Close the record set and close the connection

		rstemp.close
		set rstemp=nothing

		' Close the only connection to the database

		conntemp.close ' Close the connection
		set conntemp=nothing
	%>


</TABLE>
&nbsp;
</BODY>
</HTML>


<% End If ' End of IF Valid User %>


