<% 'Module: ReassignCasesByTech.asp

   'Description: This module is the Page that enables the re-assigning of all cases
   '              from one Tech to another


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	    ---		------------------------------------------------
   '08/22/02	 JC		Created original ASP version based on previous dll?


%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<%' Include this file for special database cursor constants %>


<%' Get the Internationalisation File %>
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->
<%' NOTE- THIS NEEDS TO BE EVENTUALLY ADJUSTED TO POINT TO THE CORRECT DIRECTORY <<<<<<<<<<<<<<<<<< %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>




<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<head>
<title>Reassign Cases By Tech - CSS</title>
</head>
<body bgcolor=#<%=ts_User_Page_Color%>>



<center>

<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
	<td align=center>
	    <font size=+1><b><%=wc_Reassign_Staff_Member_Cases%></b></font><br>
	</td>
</tr>
</table>

<p>

<FORM METHOD=POST ACTION=DoReassignCasesByTech.asp>

<table border=1 cellspacing=2 cellpadding=20 width=98%>

<tr>

<td align=center>

<font size=+1><%=wc_Deassign_Cases_from_staff_member%>:</font><p>



<p>


<select size=5 name=source_tech_id>



<% ' ---------- Output the First Selection Box for the List of Tech Staff --------------
	' Get the values from the Group_list table


	set conntemp2=server.createobject("adodb.connection")
	conntemp2.open myDSN

	mySQL="select * from Tech_staff order by last_name, first_name ASC"

	set rstemp2=conntemp2.execute(mySQL)

	If rstemp2.EOF = True  Then
		Response.write "No Group Entries   Exist"
	Else
        record_count = 0
		' Loop getting the values from the table
		Do while (Not rstemp2.eof)
        record_count = record_count + 1
        tech_id = rstemp2("tech_id")
        first_name = rstemp2("first_name")
        last_name = rstemp2("last_name")

        If record_count = 1 Then
           response.write "<option selected value='" & tech_id & "'>" & "[" & tech_id & "] " & last_name & ", " & first_name
        Else
           response.write "<option value='" & tech_id & "'>" & "[" & tech_id & "] " & last_name & ", " & first_name
        End If

        rstemp2.Movenext
        Loop
   End if
%>
</select>
<p>
<font size=+1><%=wc_Reassign_them_to_this_member%>:</font><p>
<p>

<select size=5 name=target_tech_id>

<% ' ---------- Output the Second Selection Box for the List of Tech Staff --------------


	mySQL="select * from Tech_staff order by last_name, first_name ASC"

	set rstemp2=conntemp2.execute(mySQL)

	If rstemp2.EOF = True  Then
		Response.write "No Group Entries   Exist"
	Else
        record_count = 0
		' Loop getting the values from the table
		Do while (Not rstemp2.eof)
        record_count = record_count + 1
        tech_id = rstemp2("tech_id")
        first_name = rstemp2("first_name")
        last_name = rstemp2("last_name")

        If record_count = 1 Then
           response.write "<option selected value='" & tech_id & "'>" & "[" & tech_id & "] " & last_name & ", " & first_name
        Else
           response.write "<option value='" & tech_id & "'>" & "[" & tech_id & "] " & last_name & ", " & first_name
        End If

        rstemp2.Movenext
        Loop
   End if




	rstemp2.close
	set rstemp2=nothing
	conntemp2.close ' Close the connection
	set conntemp2=nothing
%>


</select>
</td>
</tr>
</table>

<p>

<center>

<b>


<table border=0 cellspacing=1 cellpadding=1 width=98%>
<tr>
<td align=center>
  <input type=image name=b_add src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0>

</td>

<td align=center>
  <a href=SystemAdmin.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel30x80.gif border=0></a>
</td>
</tr>
</table>
</b>
</form>




<% End If ' is (not) a valid user%>


<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>
</body>
</html>
