<% 'Module: ReportInspectionsScheduledButNotDone.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.

   '(C) 2011 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '04/20/2011 CMB  Modified for InspectionsNotDone

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title>Inspections Scheduled but Not Performed Report</title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		WCDateFormat = rstemp2("Date_Display_Format")
	End If

	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing
%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.
		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Date_Type = Request.form("Date_Type") 	' Passed as 0 (Start date) or 1 (Last Modified)
		If Request.Form("Interval") <> "" Then
			Interval = Cint(Request.form("Interval"))
		Else
			Interval = 6
		End If

		SummaryTotalCasesClosed= 0
		SummaryTotalCasesOpened = 0
%>

<!-- REPORT HEADER -->
<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1>Inspections Scheduled but Not Performed Report</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>
</tr></table>
</center>

<form action=ReportInspectionsScheduledButNotDone.asp method=post>
<!-- SELECTION FIELDS -->
	<center>
	<table border=1 WIDTH="95%" >
	<TR>
	<TD ALIGN=CENTER bgcolor=C0F0E0>
	<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
	<TR>
	<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
	<font size=-2>

	<% 	If WCDateFormat = "DDMMYYYY" Then %>
			(dd/mm/yyyy)
		<%  Else %>
			(mm/dd/yyyy)
	<%  End If % >

	<br></font>
	<font size=-1>
	<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

	<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
	<font size=-2>
	<% 	If WCDateFormat = "DDMMYYYY" Then %>
			(dd/mm/yyyy)
		<%  Else %>
			(mm/dd/yyyy)
	<%  End If % >

	<br></FONT>
	<font size=-1>
	<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

	<TD valign=top><B><FONT SIZE=-1>Interval:</font></b><br>
	<font size=-2>(Default - Weekly)<br></FONT>
	<FONT SIZE=-1>

		<SELECT  name=Interval>

			<% If Interval = 6 Then %>
			<OPTION selected value=6>1 Week</OPTION>
			<%Else %>
			<OPTION  value=6>1 Week</OPTION>
			<%End If %>

			<% If Interval = 0 Then %>
			<OPTION selected value=0>1 Day</OPTION>
			<%Else %>
			<OPTION  value=0>1 Day</OPTION>
			<%End If %>

			<% If Interval = 1 Then %>
			<OPTION selected value=1>2 Days</OPTION>
			<%Else %>
			<OPTION  value=1>2 Days</OPTION>
			<%End If %>

			<% If Interval = 3 Then %>
			<OPTION selected value=2>3 Days</OPTION>
			<%Else %>
			<OPTION  value=2>3 Days</OPTION>
			<%End If %>

			<% If Interval = 3 Then %>
			<OPTION selected value=3>4 Days</OPTION>
			<%Else %>
			<OPTION  value=3>4 Days</OPTION>
			<%End If %>

			<% If Interval = 3 Then %>
			<OPTION selected value=4>5 Days</OPTION>
			<%Else %>
			<OPTION  value=4>5 Days</OPTION>
			<%End If %>

			<% If Interval = 5 Then %>
			<OPTION selected value=5>6 Days</OPTION>
			<%Else %>
			<OPTION  value=5>6 Days</OPTION>
			<%End If %>

			<% If Interval = 13 Then %>
			<OPTION selected value=13>2 Weeks</OPTION>
			<%Else %>
			<OPTION  value=13>2 Weeks</OPTION>
			<%End If %>

			<% If Interval = 30 Then %>
			<OPTION selected value=30>1 month (31 Days)</OPTION>
			<%Else %>
			<OPTION  value=30>1 month (31 Days)</OPTION>
			<%End If %>

		</SELECT></font></TD>

	<td valign=middle>
	<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>
	</TR>
	</TABLE>
	</TD>
	</TR>
	</table>
	</center>
<!-- END SELECTION FIELDS -->
	<P>
	</form>

<%
if start_Date <> "" and isdate(start_date) then

' Display the top of part of the table and headers

%>
<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1>Week Of</th>
<th width=10% bgcolor=E0E0E0><font size=-1>Cases Closed</th>
<th width=10% bgcolor=E0E0E0><font size=-1>Cases Opened</th>
</tr>

<% ' Now start looping through

	' First compute number of days between the start and ending date
	' so we can increment through the values

	'Convert Start_Date and End_Date to true Date Datatype
	Start_Date_Datatype = CDate(Start_Date)

	BackGround= "F0F0F0" ' Cell background color

     if End_Date > "" and isdate(end_Date) then
     	End_Date_Datatype = cdate(End_Date)
     	interval = DateDiff("d", Start_Date_Datatype, End_Date_Datatype)
     else
     	End_Date_Datatype = DateAdd("d", interval, Start_Date_DataType) ' 040604? NOTE this is 30 for month although says 31 4/1/2011
     end if

	Do While (DateDiff("d", Start_Date_Datatype, End_Date_Datatype) > 0)
		EndDatePeriod = DateAdd( "d", Interval, Start_Date_Datatype)

		'Debugging
	'	response.write "DateDiff=" & DateDiff("d",Start_Date_Datatype, End_Date_Datatype) & "<br>"
	'	response.write "Start_Date_Dataype= " & Start_date_Datatype & "<Br>"
	'	response.write "End_Date_Dataype= " & End_date_Datatype & "<Br>"

		' Perform Queries and counts

		'First Performed Open cases count
		' We are create to create a string in YYYYMMDD from our date datatype

			MonthVal = Month(Start_Date_Datatype)
				If Len(MonthVal) = 1 Then
					MonthVal = "0" & MonthVal
				End If
			YearVal = Year(Start_Date_Datatype)
			DayVal = Day(Start_Date_Datatype)

			IF Len(DayVal) = 1 then
				DayVal = "0" & DayVal
			End IF

			NewDate = YearVal &MonthVal & DayVal

				' Remove the slashes so we can do a proper date search

				WhereStatement = " Cases.Open_Date >= '" & NewDate & "'"
				AndText = " AND "

			MonthVal = Month(EndDatePeriod)
				If Len(MonthVal) = 1 Then
					MonthVal = "0" & MonthVal
				End If
			YearVal = Year(EndDatePeriod)
			DayVal = Day(EndDatePeriod)

			IF Len(DayVal) = 1 then
				DayVal = "0" & DayVal
			End IF

			EndingDate = YearVal &MonthVal & DayVal

			WhereStatement = WhereStatement & AndText & " Cases.Open_date <= '" & EndingDate & "'"
			AndText = " AND "

			sqltemp="select * from Cases Where " & WhereStatement

			'response.write "SQL= "  & Sqltemp & databasetype
			'response.flush
			'response.end

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			set rstemp=Server.CreateObject("adodb.Recordset")

			'-->AKS<-- Need to specify cursor for record count to be correct.
			If DatabaseType <> "ACCESS97" Then
				rstemp.CursorLocation = adUseClient
			End If

			rstemp.open sqltemp, conntemp, adopenstatic
			TotalOpenCases = rstemp.recordcount
			rstemp.close
			set rstemp=nothing

			conntemp.close ' Close the connection
			set conntemp=nothing

			' Now create SQL statement to find cases where the last modified date is between this case and case status is set to closed.
				WhereStatement = " Cases.Mod_date >= '" & NewDate & "' AND  Cases.Mod_date <= '" & EndingDate & "' AND Cases.Status = 1"

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN

			sqltemp="select * from Cases Where " & WhereStatement
			'response.write "SQLTemp = "     &  sqltemp & "<br>"

			set rstemp=Server.CreateObject("adodb.Recordset")

			'-->AKS<-- Need to specify cursor for record count to be correct.
			If DatabaseType <> "ACCESS97" Then
				rstemp.CursorLocation = adUseClient
			End If

			rstemp.open sqltemp, conntemp, adopenstatic
			TotalClosedCases = rstemp.recordcount
			rstemp.close
			set rstemp=nothing

			conntemp.close ' Close the connection
			set conntemp=nothing

			SummaryTotalCasesClosed = SummaryTotalCasesClosed + TotalClosedCases
			SummaryTotalCasesOpened = SummaryTotalCasesOpened + TotalOpenCases
	' Now Display the table row
%>

<Tr>
<td align=center bgcolor = "<%=background%>"><font size=-1 face=arial><%=Start_Date_Datatype%> to <%=EndDatePeriod%> </td>
<td align=center bgcolor = "<%=background%>"><font size=-1 face=arial><%=TotalClosedCases%></td>
<td align=center  bgcolor = "<%=background%>"><font size=-1 face=arial><%=TotalOpenCases%></td>
</tr>

<%
		' Display table rows with values

		Start_Date_Datatype = DateAdd("d", Interval, Start_Date_Datatype)
		'response.write "NExt Start_Date_Dataype= " & Start_date_Datatype & "<Br>"

		' Toggle the background cell colors
		If BackGround = "F0F0F0" then
			BackGround = "C0C0C0"
		Else
			BackGround = "F0F0F0"
		End If

			'response.flush
			'response.end

	' Before we loop we need to go to the next day and use this as the starting date.
	Start_Date_Datatype = DateAdd( "d", 1, Start_Date_Datatype)

	loop
%>

<Tr>
<td align=center bgcolor = "E0E0F0"><font size=-1 face=arial> Summary Total of Cases Open/Closed during interval </td>
<td align=center bgcolor = "E0E0F0"><font size=-1 face=arial><%=SummaryTotalCasesClosed%></td>
<td align=center  bgcolor = "E0E0F0"><font size=-1 face=arial><%=SummaryTotalCasesOpened%></td>
</tr>
</table>
<%End If %>

<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>

</body>
</html>

<% Function GetCustomerName(Passed_Customer_ID)
' This function returns the name of the Customer from the Customer_ID

	mySQL2="select * from Customers where customer_ID = '" & Passed_Customer_ID & "'"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found then login fails.
	if rstemp2.EOF then
		GetCustomerName = "Customer (" & Passed_Customer_ID & ") No Longer in Database" ' Tech may no longer exist in the database
	Else
		GetCustomerName = rstemp2("contact_fname") & " " & rstemp2("contact_lname") & " / "
		If rstemp2("Company") <> "" Then
			GetCustomerName = GetCustomerName & "(<font color=brown>" & rstemp2("Company") & "</font>)"
		End IF
	End If

	rstemp2.close
	set rstemp2=nothing

End Function
%>
