<% 'Module: SendAssetEmail.asp

   'Description: This module sends an email with asset information
   '(C) 2011 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '12/06/11  CMB    initial programming
   '12/11/11  CMB    use organization 'from name'; instead of textbox; log emails sent to asset history
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<!-- #INCLUDE FILE="MakeAssetHTML.inc" -->
<!-- #INCLUDE FILE="../Language/SendEmail.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/CodeCustomizations.inc" -->
<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->
<%
'  GLOBALS NEEDED FOR SEND EMAIL must be declared here
				Dim smtp_host_address
				Dim Standard_reply_to_address
				Dim Customer_case_notify
				Dim UserPageColor

				Dim SendHTMLEmail
				Dim SMTP_User_Name
				Dim SMTP_Password
				Dim HTMLEmail
				Dim HTMLEmails

			HTMLEmails = "YES"
			HTMLEmail = "YES"

	Server.ScriptTimeOut = 300 ' Set to 300 seconds (5 minutes)

		Dim bReturn
		Dim ListOfPeopleEmailsSentTo

			ListOfPeopleEmailsSentTo = Request.form("EmailAddresses")
		' 12/11/11	FromAddress = Request.form("FromAddress")
			Asset_Number = Request.form("Asset_Number3")

		'Get HTML message for the body do this first since CreateHTML thing uses conntemp also

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection

		mySQL2="select * From Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			bReturn = 0
		Else
			bReturn = 1
			smtp_host_address = rstemp2("smtp_host_address")
			Standard_reply_to_address = rstemp2("Standard_reply_to_address")
			Customer_case_notify = CInt(rstemp2("customer_case_notify"))
			UserPageColor = rstemp2("ts_user_page_color")
			FromAddress = rstemp2("Customer_Name_Text")  ' 12/11/2011 OrganizationFromName
			SendHTMLEmail = rstemp2("SendHTMLEmail") ' Boolean value
			SMTP_User_Name = rstemp2("SMTP_User_Name")
			SMTP_Password = rstemp2("SMTP_Password")
			ts_user_page_color = rstemp2("ts_user_page_color")
			TimeZoneAdjustment = rstemp2("Time_zone_Adjustment")
			TimeZoneLabel = rstemp2("Time_zone_Label")
			WCDateFormat = rstemp2("Date_Display_Format")


		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close
		set conntemp = nothing

		If bReturn = 1 then
				Msg = CreateHTMLEmailAssetMsg(Asset_Number) ' apparently uses conntemp so close and open afterwards
				SubjectLine = "Asset Information for Asset Number " & Asset_Number
			' break up array

			 DIM aryChunk
			 Dim i
			 Dim u

			 aryChunk = Split(ListOfPeopleEmailsSentTo,",")
			 SentTo = ""
			 u = UBound( aryChunk)
			 i = 0

			do while i <= u
				EmailAddr = Trim(aryChunk(i))
				FullName = EmailAddr ' don't have fullname so use email address instead
				Call SendEmail  (EmailAddr,FullName,SubjectLine,Msg)
				 SentTo =  SentTo & "<LI>"  & EmailAddr
				i = i + 1
			Loop

		End If


'********************* update database
		'techfullname uses conntemp so need to open it
		CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie


		Tech_Name = TechFullName(CookieID)
		Set conntemp = Server.CreateObject("ADODB.Connection")
		conntemp.open  myDSN

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		If DatabaseType <> "ACCESS97" Then
			NewRecord.CursorLocation = adUseClient
		End If

		SQL = "Select * from assets where Asset_Number = " & Asset_Number
		NewRecord.Open SQL,Conntemp,3,3


		' Add Date and Time stamps and who edited the notes

		CreateTimeDateValues DateString, TimeString, DateTimeString

		CurrentNotes = NewRecord("AssetNotes")
		NewNotes = "<P><font color=green>" &  DatetimeString &  "</font><br><font color=brown><B>Updated By: </b> " & Tech_Name & "</font><br>" & vbCRLF
		AssetNotes = " Email(s) sent: to " & ListOfPeopleEmailsSentTo &  vbCRLF

		sNewHistory =  NewNotes & AssetNotes & "</br>" & CurrentNotes & "</br>"  ' add to beginning

		NewRecord("AssetNotes") = sNewHistory

		NewRecord("LastUpdate") = DateString & TimeString
		NewRecord("UpdatedBy") = LoginTech_ID ' Store the Tech_id of user making mods
		NewRecord.Update

			If  err.number>0 then
				  response.write "VBScript Errors Occured:" & "<P>"
				  response.write "Error Number=" & err.number & "<P>"
				  response.write "Error Descr.=" & err.description & "<P>"
				  response.write "Help Context=" & err.helpcontext & "<P>"
				  response.write "Help Path=" & err.helppath & "<P>"
				  response.write "Native Error=" & err.nativeerror & "<P>"
				  response.write "Source=" & err.source & "<P>"
				  response.write "SQLState=" & err.sqlstate & "<P>"
				  bGood=0
			else
			'      response.write "No VBScript Errors Occured" & "<P>"
			end if
			IF  Conntemp.errors.count> 0 then
				  response.write "Database Errors Occured" & "<P>"
			for counter= 0 to Conntemp.errors.count
				  response.write "Error #" & Conntemp.errors(counter).number & "<P>"
				  response.write "Error desc. -> " & Conntemp.errors(counter).description & "<P>"
					bGood=0
			next
			else
			'      response.write "No Database Errors Occured!" & "<P>"
			end if
			NewRecord.Close

	Set NewRecord = Nothing

	Conntemp.Close
	Set Conntemp = Nothing
' **** end of update database

		Response.redirect("AssetInfo.asp?asset_Number=" & asset_Number)
	'response.write MSG

	'response.flush
	'response.end
%>



<%Sub CreateTimeDateValues( DateString, TimeString, DateTimeString)
'	This Sub creates the TimeDate values that are used
' 	when adding or updating the case record

	' We must very carefully create the date string that we are going to
	' use in the SQL instruction since the system can easily
	' return incorrect values like 9/12/99 or 09/12/1999
	' depending upon their regional settings so this code
	' will hopefully extract the right values.


	' Compute the new Date and Time based on Server Time Zones plus
	' or minus the Time Zone Adjustments.  The time difference between
	' the Server Time and time where the web transaction is taking
	' placing is set by the variable called TimeZoneAdjustment

	'TimeZoneAdjustment = 0 ' Set this +/- Server Time Zone

	'TimeZoneAdjustment is set in the System Configuration Menu
	' Stored in Database as String
	If TimeZoneAdjustment = "" OR IsNull(TimeZoneAdjustment) = True Then
		TimeZoneAdjustmentInt = 0
	Else
		TimeZoneAdjustmentInt = CInt(TimeZoneAdjustment)
	End If

	' Time Zone Label is also stored in configurable table in DB

	'TimeZoneLabel = "(PST)"

	NewDate = DateAdd("h", TimeZoneAdjustmentInt, Now)

	CurrentDateFormatted = CStr(Year(NewDate))

	If len(CStr(Month(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Month(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Month(NewDate))
	End If

	If len(CStr(Day(Date))) < 2 then
		CurrentDateFormatted = CurrentDateFormatted & "0" & CStr(Day(NewDate))
	Else
		CurrentDateFormatted = CurrentDateFormatted & CStr(Day(NewDate))
	End If

	DateString = CurrentDateFormatted ' In YYYYMMDD format

	' Now Create the time string in the format of HHMMSS

	TimeString = Right("0" & Hour(time), 2) & Right("0" & Minute(time),2) & Right("0" &Second(time),2)
	TimeString = Right("0" & DatePart("h",NewDate), 2) & Right("0" & DatePart("n", NewDate),2) & Right("0" & DatePart("s", NewDate),2)

	DateTimeString= Date & " " & time

	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " " & Time
	DateTimeString =    WeekDayName(Weekday(NewDate)) & " " & MonthName(Month(NewDate)) & " " & Day(NewDate) & ", " & Year(NewDate) & " "
	' Now computer the time in HH:MM PM/AM
	HourPart = DatePart("h", NewDate)
	If HourPart > 12 Then
		HourPart = HourPart - 12
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " PM " & TimeZoneLabel
	Else
		DateTimeString = DateTimeString & HourPart & ":" & Right("0" & DatePart("n", NewDate),2) & " AM " & TimeZoneLabel
	End IF


	End Sub ' End of CreateTimeDateValues
%>
<% Function TechFullName(inTech_ID)

	If inTech_ID = "" Then
		TechFullName = ""
	Else
		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Tech_staff where tech_id = '" & inTech_id & "'"
		set rstemp2=conntemp.execute(mySQL2)

		if rstemp2.EOF then
			TechFullName = "User Not Defined for Tech_ID: " & inTech_id
		Else
			TechFullName = rstemp2("first_name") & " " & rstemp2("Last_name")
		End If

		rstemp2.close
		set rstemp2=nothing
		conntemp.close
		set conntemp = nothing
	End If


End Function ' End of TechFullName
%>
<% Function CustomerFullName(CustID)
	'This function gets the full name of the Customer
		Dim sReturn
		sReturn = ""

		If CustID = "" Then
			sReturn = "Un-assigned"
		Else

			set conntemp=server.createobject("adodb.connection")
			conntemp.open myDSN ' Open the connection once here

			mySQL2="select * from Customers where customer_id = '" & custid & "'"
			set rstemp2=conntemp.execute(mySQL2)

			if rstemp2.EOF then
				sReturn = "Customer Not Defined for Customer_ID: " & CustID
			Else
				if isnull(rstemp2("contact_fname")) then
					FirstName = ""
				else
					FirstName = rstemp2("contact_Fname")
				end if

				if isnull(rstemp2("contact_lname")) then
					LastName = ""
				else
					LastName = rstemp2("contact_lname")
				end if

				if isnull(rstemp2("company")) then
					Company = ""
				else
					Company = rstemp2("Company")
				end if

			'	sReturn = trim(FirstName & " " & LastName) & " / " & "(<font color=brown>" & company & "</font>)"
				sReturn = trim(FirstName) & "" & Trim(LastName)
			End If

			rstemp2.close
			set rstemp2=nothing
			conntemp.Close
			Set conntemp = nothing

		End If

		CustomerFullName = sReturn
	End Function '
	%>
