<% 'Module: ShowBCInvoice.asp

   'Description: This module is used to launch the Business+Center from Tech+Center
   ' then displays a particular invoice in the large user windows.


   ' The invoice number is passed a Query Object with name InvoiceNumber


   '(C) 2000, 2001, 2002, 2003-2005 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '11/16/2000	SAV		Created original Businesscenter.asp page
    '05/16/05	SAV		Created file ShowBCInvoice.asp from Businesscenter.asp module


	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->


<% ' Get the virtual directory name for the business+center from the Configuration table in DB


	' Get the Invoice Number
	InvoiceNumber = request.querystring("InvoiceNumber")


	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'set rstemp=conntemp.execute(mySQL)

	'**** Major problem with SQL*Server and Conntemp.execute when getting
	' configuration data.  One should use: recordset.open DSN connection 1, 3

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3


	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		TextBoxSizing = rstemp("Text_Box_Sizing")
		CasesummaryRows = rstemp("case_summary_rows")
		CasesummaryMaxRows = rstemp("case_summary_Max_Rows")
		CaseResolutionRows = rstemp("case_resolution_rows")
		CaseResolutionMaxRows = rstemp("Case_resolution_Max_Rows")
		CaseHistoryRows = rstemp("Case_History_Rows")
		CaseTextBoxColumns = rstemp("Case_Text_Box_Columns")
		TimeZoneAdjustment = rstemp("Time_zone_Adjustment")
		TimeZoneLabel = rstemp("Time_zone_Label")
		Language = rstemp("Language")
		ALLKBUpdate = rstemp("All_KB_Update")
		TimeSpentCategory = rstemp("Time_Spent_Category")
		TimeSpentInterval = rstemp("Time_Spent_Interval")
		DateDisplayFormat = rstemp("Date_Display_Format")


		MaxHistorySize =  CLng(rstemp("max_case_history_size"))
		MaxSummarySize =  Cint(rstemp("max_case_summary_size"))
		MaxResolutionSize =  Cint(rstemp("max_case_resolution_size"))

		'Response.write "MaxResolutionSize=	" & MaxResolutionSize

		smtp_host_address = rstemp("smtp_host_address")
		Standard_reply_to_address = rstemp("Standard_reply_to_address")
		Customer_case_notify = CInt(rstemp("customer_case_notify"))
		UserPageColor = rstemp("ts_user_page_color")

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer Surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		BusinessVirtual = rstemp("BusinessVirtual")
		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>



<% ' This module will verify that a valid Tech+Center user has been logged on and
	' then set a new Tech+Center Cookie and then launch Tech+Center in a new window.

	TechCookie = Request.Cookies("ISS_TECH_CENTER_LOGIN")
	If TechCookie = "" Then
		LoginFailed = "YES"
	End If

	If LoginFailed = "YES" Then

%>

<html><!-- (C) 1996,1998 by Internet Software Sciences-->
<head>
<title>Business+Center Login Failure</title>
</head>
<body bgcolor=#D8D8D8>
<center><table border=1 cellspacing=2 cellpadding=10
width=98%><tr><td><div align=center><font size=+1><b>
Business+Center Login Failure</b></font><br><font size=+1 color=blue><b></b></font></div><div
align=left><p><font size=-1></div></td></tr></table><p>
<center>
<table width=80%><tr><td bgcolor=F0F0F0>
<font size=-1 face=arial>
<B>Sorry,</b> you security or your security level could not be verified.
Please press the Continue
button below and retry your Tech+Center login again with:<P>
	<UL>
	<LI> LoginID and password OR
	<LI> TechID and password OR
	<LI> Your Email and password
	</ul>
<center>
<a href=default.htm><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>
</center>
</td></tr></table>

</td></tr></table>

<br>
</form>
</body>
</html>


<%Else ' Password and email are valid so displayed logged in page

	' Old Way
		'response.addheader "Set-Cookie", "ISS_BUSINESS="&TechCookie&"; path=/;"

		' New Way
			Response.Cookies("ISS_BUSINESS") = TechCookie

				 Response.Cookies("ISS_BUSINESS").Path = "/"
				 Response.Cookies("ISS_BUSINESS").Secure = FALSE

	%>

	<% ' Display the three frame document Business Center page %>

	<% '   Temporary Debug Code ----------------------------------- %>

          <%
          if debugflag = "1" Then
			  response.write "Frame 1 string is &lt;frame src=/" & BusinessVirtual & "/BOptions.asp name=boptions&gt;" & "<P>"
			  response.write "Frame 2 string is &lt;frame src=/" & BusinessVirtual & "/MyContacts.asp name=mycontacts&gt;" & "<P>"
			  response.write "Frame 3 string is &lt;frame src=/" & BusinessVirtual & "/BWhiteboard.asp name=bwhiteboard&gt;" & "<P>"
			  response.flush
			  response.end
		  end if
	      %>


	<% '   End of Temporary Debug Code ----------------------------------- %>

	<html>
	<!-- (C) 1996,1998, 1999, 2000 by Internet Software Sciences-->
	<!-- Any re-use of this software is strickly prohibited by ISS -->
	<head>
	<title>Business+Center</title>
	</head>
	<frameset cols="160,80%">
	<frame src=/<%=BusinessVirtual%>/BOptions.asp name=boptions>
	<frameset rows="10%, 90%">
	<frame src=/<%=BusinessVirtual%>/MyContacts.asp name=mycontacts>
	<frame src=/<%=BusinessVirtual%>/Invoice.asp?ID=<%=InvoiceNumber%>>
	</frameset>
	</frameset>
	</html>

<% End if ' End of If username and password fail %>
