<% 'Module: ShowGroupDayCalendar.asp (Tech+Center Version)

   'Description: This module is the Single Day Calendar View Page


   '(C) 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '03/11/02	SAV		Created original ShowDayCalendar.asp Page

	' Instructions to customized for your own web site
	' This page and all of the Business+Center web pages are
	' defined to be tightly integrated with your current
	' web site.  Simply edit the BCHeader.inc module
	' to re-define the Top header and left side bar navigation
	' or edit the BCFooter.inc module to change the
	' the footer links to your specific web site.
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/CalendarDays.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file for special database cursor constants %>

<% ' Get The Database Type from the Database
	' FIRST Get the values from the configuration file and into variables

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL="select * from Configuration" ' We will allow up to 10 Priority values

	'set rstemp=conntemp.execute(mySQL)

	' Cursor type needs to be specified and use rstemp.open

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		' New 4.0 Fields
		Customersurvey = rstemp("Customersurvey") ' Boolean flag enabling customer Surveys
		SurveyEmailText =	rstemp("SurveyEmailText") ' Customer Survey Email Message Text
		TechVirtual = rstemp("TechVirtual") ' Techcenter virtual directory
		CustomerVirtual = rstemp("CustomerVirtual") ' CustomerCenter Virtual directory
		 OrganizationFromName = rstemp("Customer_Name_Text") ' Use this for organization name in mail out
		Database = rstemp("DatabaseType") ' Database should be set to ACCESS or SQL

		' This will override databasetype2 constants set in the DB_define.inc file


			DatabaseType2 = Database



	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	' End of get Database Type Information

%>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 '

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Users_Tech_Level = rstemp("Tech_level")

		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "ShowGroupDayCalendar.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>


<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down %>


<HTML>
<HEAD>
<!-- (C) 1996-2002 by Internet Software Sciences -->
<Title><%=wc_Calendar%></title>
</HEAD>
<BODY BGCOLOR=<%=ts_user_Page_Color%>>


<% ' Display the List View Page
%>
<br>

<%
	PassedMonth = Request.QueryString("PassedMonth") ' Month (1-12) is passed
	PassedYear = Request.QueryString("PassedYear") ' Year is passed as 4 digit
	PassedDay = Request.QueryString("PassedDay")

	If PassedMonth = "" Then
		PassedMonth = Month(Now())
		PassedYear = Year(Now())
	End If

'	PassedMonth = 2
'	PassedYear = 2002
%>

<table width=100%>
<tr>
<td>
<font size=-1>

<%
	PreviousYear=Cint(PassedYear) -1
	NextYear=Cint(PassedYear) + 1
%>

<a href=ListView.asp?PassedYear=<%=PreviousYear%>&PassedMonth=12><%=PreviousYear%></a>
</font>

<font size=+2>  .  <%=PassedYear%>  .
</font>
<font size=-1>


<a href=ListView.asp?PassedYear=<%=NextYear%>&PassedMonth=1><%=NextYear%></a>
</font>


</td>

<td>

<font size=-1>
<%If PassedMonth = 1 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=1><%=Month1%></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=1><%=Month1%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 2 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=2><%=Month2%></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=2><%=Month2%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 3 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=3><%=Month3%></a></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=3><%=Month3%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 4 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=4><%=Month4%></a></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=4><%=Month4%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 5 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=5><%=Month5%></a></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=5><%=Month5%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 6 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=6><%=Month6%></a></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=6><%=Month6%></a>
</font>
<%End If %>

  <br>

<font size=-1>
<%If PassedMonth = 7 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=7><%=Month7%></a></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=7><%=Month7%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 8 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=8><%=Month8%></a></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=8><%=Month8%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 9 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=9><%=Month9%></a></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=9<%=Month9%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 10 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=10><%=Month10%></a></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=10><%=Month10%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 11 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=11><%=Month11%></a></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=11><%=Month11%></a>
</font>
<%End If %>
   .

<font size=-1>
<%If PassedMonth = 12 Then%>
<font size=+2 color=RED><a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=12><%=Month12%></a></font>
<%else%>
<font size=-1>
<a href=ListView.asp?PassedYear=<%=PassedYear%>&PassedMonth=12><%=Month12%></a>
</font>
<%End If %>

</td>
<td><font size=+1><a href=CalendarView.asp?PassedYear=<%=PassedYear%>&PassedMonth=<%=PassedMonth%>><%=wc_CALENDAR%></a></font>
</td>

</table>


<center>
<table width=100% border=1>
<tr>
<th width= 14% align=center bgcolor=FFFFFF>
<font>
 <%=wc_Group_Schedule_for%>
<% ' Display the day of the week, month, day and year

	StartingDate  = DateSerial(PassedYear, PassedMonth, PassedDay)

	NextDate = DateAdd("d", 0, StartingDate)
	DayName = WeekDayName(WeekDay(NextDate))

	response.write "<font color=blue>" & DayName & ",  "
	MonthNameString = MonthName(Month(NextDate))
	response.write MonthNameString
	response.write " " & PassedDay & " " & PassedYear
	response.write "</font>"



%>



&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

<%
	StartingDate  = DateSerial(PassedYear, PassedMonth, PassedDay)



	NextDate = DateAdd("d", 0, StartingDate)

	NextYear = Year(NextDate)
	NextMonth = Month(NextDate)
	NextDay = Day(NextDate)
%>


<a href=EditEvent.asp?NewDay=<%=NextDay%>&NewMonth=<%=NextMonth%>&NewYear=<%=NextYear%>><%=wc_Add_New_Event_For_Today%></a>
</font>
</th>


</tr>



<%' Now display the event for this one day %>



<%
		'response.write "NewDate = " & NextDate

		DayNumber = Day(NextDate)

		' Now check if any events for this date by creating a special query
		' that will check for events for this person for this date

		Tech_ID = Request.Cookies("ISS_TECH_CENTER_LOGIN")

		mySQL2 = "SELECT Event_Attending.Tech_ID, Schedule.Tech_ID, Schedule.Schedule_ID, Event_Type.Event_Type_Name, Schedule.Start_Date, Schedule.Start_Time, Schedule.End_Time, Schedule.Case_number, Schedule.customer_id, Schedule.Event_Notes, Schedule.End_Date, Schedule.Event_Title, Schedule.Event_Status FROM (Event_Attending INNER JOIN Schedule ON Event_Attending.Schedule_ID = Schedule.Schedule_ID) INNER JOIN Event_Type ON Schedule.Event_Type_ID = Event_Type.Event_Type_ID "
		'mySQL2 = "SELECT Event_Attending.Tech_ID, Schedule.Schedule_ID, Event_Type.Event_Type_Name, Schedule.Customer_ID, Schedule.Start_Date, Schedule.Event_Notes, Schedule.Start_Time, Schedule.End_Time, Schedule.End_Date, Schedule.Event_Title, Schedule.Event_Status, Customers.contact_fname, Customers.contact_lname, Customers.company FROM ((Event_Attending INNER JOIN Schedule ON Event_Attending.Schedule_ID = Schedule.Schedule_ID) INNER JOIN Event_Type ON Schedule.Event_Type_ID = Event_Type.Event_Type_ID) INNER JOIN Customers ON Schedule.Customer_ID = Customers.customer_id "

		' The only difference between individual and group calendar is
		' that we bring in just one techs settings
		'mySQL2 = mySQL2 & " Where Event_Attending.Tech_ID = '" & Tech_ID & "' "
		mySQL2 = mySQL2 & " Where "


		' Now add dates into query
		' Note Access version requires # for dates, SQL requires single quotes

		If DatabaseType2 = "SQLSERVER" Then
			mySQL2 = mySQL2 & " Start_Date <= '" & NextDate & "' And End_Date >= '"& NextDate & "'"
		End IF

		If DatabaseType2 = "ACCESS" Then
				mySQL2 = mySQL2 & "  Start_Date <= #" & NextDate & "# And End_Date >= #"& NextDate & "#"
		End IF

		If DatabaseType2 = "MYSQL" Then
			mySQL2 = mySQL2 & " Start_Date <= '" & YYMMDD(NextDate) & "' And End_Date >= '"& YYMMDD(NextDate) & "'"
		End IF



		' Add Order by clause to arrange them in order
		mySQL2 = mySQL2 & " Order by Start_Date, Start_Time"
		'response.write "SQL=" &  mySQL2

		'mySQL2 = " select * from schedule"

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	set rstemp2=Server.CreateObject("adodb.Recordset")

	rstemp2.open mySQL2, conntemp, adopenstatic



	' NOTE - Do not use conntemp.execute for SQL queries with memos with SQL*Server

	'set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then ' Close out the table cell
		If NextDay = CurrentDay AND NextMonth = CurrentMonth AND NextYear = CurrentYear THEN
			response.write "<tr><td  bgcolor=yellow><font size=+1>" & vbCRLF
		Else
			response.write "<tr><td><font size=+1>" & vbCRLF
		End If

		response.write "<a href=ShowDayCalendar.asp?PassedDay=" & DayNumber & "&PassedMonth=" & PassedMonth & "&PassedYear=" & PassedYear & ">"
		response.write DayNumber & "</a></font>"


		DayName = WeekDayName(WeekDay(NextDate))
		response.write "<font size=-1> / " & DayName & "</font>"

		response.write "<br></td>"
		response.write "</tr>"

	Else ' There is at least one entry for this date
		If NextDay = CurrentDay AND NextMonth = CurrentMonth AND NextYear = CurrentYear THEN
			response.write "<tr><td  bgcolor=yellow><font size=+1>" & vbCRLF
		Else
			response.write "<tr><td >" & vbCRLF
		End If

		response.write "<br><UL>"


		Do While rstemp2.EOF <> True
			' Get these two values now

			Schedule_ID = rstemp2("schedule_ID")
			Tech_ID =  rstemp2("Tech_ID")


		' Get any attending reps


		mySQL = "SELECT Tech_staff.first_name, Tech_staff.last_name, Event_Attending.Schedule_ID FROM Tech_staff INNER JOIN Event_Attending ON Tech_staff.tech_id = Event_Attending.Tech_ID "
		mySQL = mySQL & " Where Schedule_ID = " &  Schedule_ID

		set rstemp=conntemp.execute(mySQL)

		' Check to see if any records are returned
		' if none found then login fails.
		If  rstemp.eof then ' Check to see any Cases exist
			AttendingRepsString = "No attendees"
		Else
				AttendingRepsString = "" ' Clear out old string
			Do While rstemp.EOF <> True
				AttendingRepsString = AttendingRepsString & rstemp("First_Name") & " " &  rstemp("Last_Name") & ", "
				rstemp.movenext
			loop

		End IF

		rstemp.close
		set rstemp=nothing



	' Get the name of the event organizer
		' Event Organizer is stored in the Schedule table as Tech_id column

		organizer = rstemp2("tech_id") ' Obtain from first select fetch

		mySQL3 = "SELECT * from Tech_staff where tech_id = '" & organizer & "'"


		set rstemp=conntemp.execute(mySQL3)

		' Check to see if any records are returned
		' if none found then login fails.
		If  rstemp.eof then ' Check to see any Cases exist
			OrganizerString = "Not Defined"
		Else

			OrganizerString = rstemp("First_Name") & " " &  rstemp("Last_Name")
			OrganizerString = OrganizerString & " [" & rstemp("Work_Phone1") & "] "
			OrganizerString = organizerstring & " (<a href=mailto:" & rstemp("Work_Email") & ">" & rstemp("Work_Email") & "</a>)"

		End IF

		rstemp.close
		set rstemp=nothing


			' Get the Customer and company information from a separate Query

			Customer_ID = rstemp2("customer_id")
			If Customer_ID <> ""  Then

				MySQL3 = " Select * from Customers where customer_id  =  '" & Customer_id & "'"

				set rstemp3=Server.CreateObject("adodb.Recordset")

				rstemp3.open mySQL3, conntemp, adopenstatic

				If rstemp3.EOF <> "True" Then
					CustomerName = rstemp3("contact_fname") & " " &  rstemp3("Contact_lname")
					Company = rstemp3("Company")
				Else
					CustomerName = ""
					Company = ""
				End If

				rstemp3.close
				set rstemp3=nothing


			End IF

			CustomerNAme = CustomerName & "/" & Company

			' Get the Case Information if it exists
			Case_Number = rstemp2("case_Number")
			Case_One_Line = ""

			'response.write "Case number = " & Case_Number

			If  Case_Number <> "" Then

				MySQL3 = " Select case_one_line from Cases where case_number = " & Case_Number

				set rstemp3=Server.CreateObject("adodb.Recordset")

				rstemp3.open mySQL3, conntemp, adopenstatic

				If rstemp3.EOF <> True Then
					Case_One_Line = rstemp3("Case_One_Line")
				Else
					Case_One_Line = ""
				End If

			'	response.write "Case One Line = " & Case_One_Line

				rstemp3.close
				set rstemp3=nothing

			End IF



			'Event_Type_ID = rstemp2("Event_Type_ID")
			'Email_Reminder = rstemp2("email_reminder")
			Start_Date = rstemp2("Start_Date")
			Start_Time = rstemp2("Start_Time")
			End_Date = rstemp2("End_Date")
			End_Time = rstemp2("End_Time")
			Event_Title = rstemp2("Event_Title")


			' Get Event_Notes with a separate Query since this memo fetch fails with SQL

			'Event_Notes = rstemp2("Event_Notes")

			MySQL3 = " Select Event_Notes from Schedule where Schedule_ID = " & Schedule_ID

			set rstemp3=Server.CreateObject("adodb.Recordset")

			rstemp3.open mySQL3, conntemp, adopenstatic

			If rstemp3.EOF <> True Then
				Event_Notes = rstemp3("Event_Notes")
			Else
				Event_Notes = ""
			End If

			rstemp3.close
			set rstemp3=nothing



			Status = rstemp2("Event_Status")
			'CustomerName = rstemp2("contact_fname") & " " &  rstemp2("Contact_lname")
			'Company = rstemp2("Company")
			'CustomerNAme = CustomerName & "/" & Company
			Event_Type = rstemp2("Event_Type_Name")

		If Last_Schedule_ID <> Schedule_ID Then ' Display entry

			response.write "<li><B><a href=EditEvent.asp?ID=" & Schedule_ID & ">" & Event_Title & "</a></b>"
			response.write "&nbsp;&nbsp;" & Start_Time & "-" & End_Time

		If Customer_ID <> "" Then
			response.write "&nbsp;&nbsp;&nbsp;(<a href=NewCustomer.asp?ID=" & Customer_ID & ">" &  CustomerName & "</a>)"
		End If

			If status = "0" Or status = "" Then
				StatusString = "No Status"
			End If

			If status = "1"  Then
				StatusString = "Scheduled"
			End IF

			If status = "2"  Then
				StatusString = "Postponed"
			End IF

			If status = "3"  Then
				StatusString = "Cancelled"
			End IF

			If status = "4"  Then
				StatusString = "ReScheduled"
			End IF

			response.write "&nbsp;&nbsp;&nbsp;&nbsp;<B>[" & StatusString & "]</B><br>"

			If Case_One_Line <> "" Then
				response.write "<B>" & wc_Case & ": </b><a href=TCaseForm.asp?case_number=" & Case_Number & ">" & Case_Number & "</a> &nbsp;&nbsp;" & Case_One_Line & "<br>"
			End If


			response.write "<B>Attending:  </b>" & AttendingRepsString & "<br>"
			response.write "<B>Organizer: </b>" & OrganizerString & "<br>"
			response.write "<ul>" & vbCRLF
			response.write Event_Notes & "</ul>"
			response.write "</li>"

			Last_Schedule_ID = Schedule_ID ' Prevent duplicate from being displayed
		End If


			rstemp2.movenext
		loop

		response.write "</td></tr>"


	End If ' End of If rstemp = EOF

	rstemp2.close
	set rstemp2=nothing

	conntemp.close ' Close the connection
	set conntemp=nothing

	Event_Type = ""
	CustomerName = ""



%>

</table>
</body>
</html>
<%End If %>



<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
%>

<% Function YYMMDD(datestring)
' This function takes a date string in MM/DD/YY format and recasts it in YY/MM/DD format

   DIM aryChunk
   aryChunk = Split(datestring,"/")
   YYMMDD = aryChunk(2) & "/" & aryChunk(0) & "/" & aryChunk(1)

End Function
%>
