<% 'Module: SurveyBuilder.asp

   'Description: This module is the Page for displaying the customer Survey
   ' builder configuration page.

   ' Note: this Survey builder is designed to a "simple" survey for customers to fill out
   ' once a case is completed and not designed to be a comprehensive set of
   ' surveys and test taking applications.

   '(C) 2000, 2001, 2002, 2003 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'08/26/02	SAV		Created SurveyBuilder.asp module from OtherConfiguration.asp Module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "EditConfiguration.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%
	' FIRST Get the values from the configuration file and into variables


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		UserPageColor = rstemp("ts_user_page_color")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title><%=wc_Customer_Survey_Builder%></title>
</head>
<body bgcolor=#<%=UserPageColor%>>
<center><table border=1 cellspacing=2 cellpadding=10 width=98% >
<tr>
<td align=center>
<font size=+1>
<b><%=wc_Customer_Survey_Builder%></b>
</font>
<br>
</td></tr></table><p>
</center>


<center>
<table border=1 cellspacing=2 cellpadding=3 width=98% >
<tr>
<td  align=center bgcolor=C0B5F9 width=50% ><B>
<a href=EditSurveyQuestion.asp?ID=NEW><%=wc_Create_New_Question%></a>
</b>
</td>

<td align=center bgcolor=C0B5F9>
<B><a href=ShowSurvey.asp?Flag=Test><%=wc_Test_Survey%></a></b>
</td>

</tr>
</table>
</center>


<br>
<center>
<table border=1 cellspacing=2 cellpadding=3 width=98% >
<tr>

<th bgcolor=FEFEFE><font size=-1>
<%=wc_Edit%>
</th>

<th bgcolor=FEFEFE><font size=-1>
<%=wc_Active%>
</th>

<th bgcolor=FEFEFE><font size=-1>
<%=wc_Order%>
</th>

<th bgcolor=FEFEFE><font size=-1>
<%=wc_Question%>
</th>

<th bgcolor=FEFEFE><font size=-1>
<%=wc_Type%>
</th>
</tr>


<% ' Get the Values from the Survey Table of the questions and
	' post them in this table below

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Survey Order by Question_Order"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then

%>

	<tr><td colspan=5 align=center><font size=-1>
	No Survey Questions Defined
	</td>
	</tr>
<%
	Else

		Do While rstemp.EOF <> True

			Active = Rstemp("Active")
			Survey_Question = rstemp("Survey_Question")
			Question_Type = rstemp("Question_Type")
			Question_ID = rstemp("Question_ID")
			Question_Order = rstemp("Question_Order")
		' Now display the table
%>


<tr>

<td align=center>
<font size=-1>
<a href=EditSurveyQuestion.asp?ID=<%=Question_ID%>>Edit</a>
</td>

<td align=center>
<% If Active = True then %>
<font color=green size=-1>
<%=wc_ACTIVE%></font>
<%Else %>
<font color=RED size=-1>
<%=wc_IN_ACTIVE%></font>

<%End If %>
</td>

<td align=center><font size=-1>
<%=Question_Order%>
</font>
</td>
<td align=center><font size=-1>
<%=Survey_Question%></font>
</td>

<td align=center><font size=-1>
<% if Question_Type = 1 Then %>
	<%=wc_1_5_Range%>
<% End If %>

<%if Question_Type = 2 Then %>
	<%=wc_YES_NO%>
<% End If %>

<%if Question_Type = 3 Then %>
	<%=wc_Text_Line%>
<% End If %>

<%if Question_Type = 4 Then %>
	<%=wc_Text_Box%>
<% End If %>

</font>
</td>
</tr>

<%
		rstemp.MoveNext
		Loop



	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing


%>

</table>


</form>

</body>
</html>

<% End If %>

