<% 'Module: TDeleteEvent.asp

   'Description: This module is the first confirmation to deleting an
   ' event from the calendar item from the event database
   ' This routine is passed the schedule_id as a query string parameter.
   '
   '(C) 2000 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '01/02/00	SAV		Created original DeleteAsset.asp Page
	'05/30/08	SAV		Created module TDeleteEvent.asp from DeleteASset.asp page
	'
	' Refer to the Web+Center User guide on how to customize the
	' the Business+Center to be integrated with your current site.

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' Put all of your custom web site changes into BCHeader.inc %>


<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 5 ' Allow only levels 3


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "DeleteAsset.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% ' Get get the Database information starting with configuration information %>

<% GetDatabaseConfiguration ts_user_page_color, Assets_db, customer_Drop_Down
		If CInt(Customer_Drop_Down) = 1 then
			CustomerDropDownFlag = True
		Else
			CustomerDropDownFlag = False
		End If
	%>

<% ' Determine if this a new Asset entry or an edit of an existing asset

	 Schedule_ID = Request.Querystring("Schedule_ID")


	If Schedule_ID <> "NEW" Then ' Get all of the event info
	set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="select * from Schedule where schedule_Id =" & Schedule_ID
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			response.write " Invalid Schedule_ID:" & Schedule_ID
		Else

			Start_Date = rstemp2("Start_Date")
			Start_Time  = rstemp2("Start_Time")
			Event_Title = rstemp2("Event_Title")
		End If ' End if If EOF <> True


	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing



	End IF
%>


<% ' Display the Delete Event Confirmation %>

<html>


<!-- (C) 1996,1998, 1999-2008 by Internet Software Sciences -->

<head>

<title>Delete Event </title>

</head>


<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<body bgcolor=#<%=ts_User_Page_Color%>>


<center>
<table border=1 cellspacing=2 cellpadding=10 width=98%>
<tr>
<td align=center bcolor=F0F0F0>
<font size=+1 face=arial>
<b>Delete Event Confirmation</b>
</font>
<br>
</td>
</tr>
</table>
</center>
<br>

<center>
<table width=70%>
<tr><td bgcolor=FFFFFF>
<font size=+1 face=arial>
<B>Event: </b><%=event_title%><P>

<b>Start Date:</b> <%=Start_Date%><P>
<b>Start Time:</b> <%=Start_Time%><P>
</td></tr></table>
</center>

<FORM action =DoTDeleteEvent.asp Method = POST>
<input type=hidden name="Schedule_ID" value=<%=schedule_ID%>>

<center>
<table width=70%>
<tr><td align=center><font size=+1 face=arial color=red>
<B>Do you really want to delete the following event ?</b><P>
<font size=-1>

</font>
</td></tr></table>



<P>

<table border=0 cellspacing=1 cellpadding=1 width=65%>
<tr>
<td align=center>
<input type=image name=b_submit src=/<%=WCLanguageDirectory%>/ts_yes30x80.gif border=0>

</td>
<td align=center>
<a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_no30x80.gif border=0></a>
</td>

</tr>
</table>
<br>
<p>
<center></form>
</body></html>

<%End If %>

<% Sub GetDatabaseConfiguration(ts_user_page_color, Assets_db, customer_drop_down)
	'This function gets the database configuration information
	' including the max size of the history field and
	' the email message appendages

		set conntemp=server.createobject("adodb.connection")

		conntemp.open myDSN ' Open the connection once here

		mySQL2="select * from Configuration"
		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the
		if rstemp2.EOF then
			ts_user_page_color = "FFFFFF"
			Assets_db = 0
		Else
			ts_user_page_color = rstemp2("ts_user_page_color")
			Assets_db = rstemp2("Assets_db")
			customer_drop_down = rstemp2("customer_id_list")
		End If

		rstemp2.close
		set rstemp2=nothing


		conntemp.close ' Close the connection
		set conntemp=nothing

	End Sub ' End of GetdatabaseConfiguration
	%>
