<% 'Module: TInspection.asp

   'Description: This module is the Tech+Center Inspection first page.
   '(C) 1999, 2000, 2001, 2002-2011 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '2/15/00	SAV		Created original Search page
	'12/12/00	SAV	Created Assets.asp search page from search.asp page
	'08/17/06	SAV	Created VerifyAsset.asp page from ASsets.asp page.
	'03/31/11	SAV	Created TInspection.asp module from  TVerifyAsset.asp module
	' 04/26/2011 CMB Added Reporting functionality
	'01/25/12   CMB    If label not defined, don't show the field

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<% ' To customize the Asset labels, edit the file called AssetLabels.inc
%>

<!-- #INCLUDE FILE="../Language/AssetLabels.inc" -->


<%' Include this file to get special database cursor constants to read record count values %>
<!-- #INCLUDE FILE="Adovbs.inc" -->

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow any tech  to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "T.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>




<% 'First Show the Report Menu at the top of the page
%>


<html>


<head>

<!-- set focus to a field with the name "searchcontent" in my form -->
<script type="text/javascript">
function setfocus()
{
document.forms[0].property_tag.focus()
}
</script>
<title>Inspections</title> <!-- CMB 04/26/2011 -->

<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Customer_ID_List = rstemp2("customer_id_list")
		WCDateFormat = rstemp2("Date_Display_Format")  ' CMB 04/26/2011
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>

<body class=rightwindow  onload=setfocus() >

<Table class=BGWrapper align=center>
<tr>
    <td width=50% align=center valign=center class=majorscreentitlefixed>Inspections</td>
</tr>
</table>
<p>




<FORM METHOD=POST name="myform" ACTION=DoTInspection.asp>
<Center>
<Table class=outerformwrapper cellspacing=0 cellpadding=0>
<tr>
<td>
	<Table class=innerformwrapper cellspacing=1 cellpadding=0>

<tr>
  <td align=center class=minorformtitle>Scan or Enter Asset Values to start inspection</td>
</tr>

<tr>
<td>




<TABLE BORDER=0 CELLPADDING = 0 cellspacing=0 >
<tr>
<td>
<table border=0 cellpadding=5 cellspacing=2 >


<TR>
<% if Property_Tag_Label > "" then %>
<TD valig=top class=formlabelsuper><%=Property_Tag_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=property_tag size=20 maxlength=25></span></td>
<% end if %>

<% if Computer_ID_Label > "" then %>
<TD valign=top class=formlabelsuper><%=Computer_ID_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=computer_id size=20 maxlength=25></span></td>
<% end if %>

<% if Serial_Number_Label > "" then %>
<TD valign=top class=formlabelsuper><%=Serial_Number_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=serial_number size=20 maxlength=25></span></td>
<% end if %>


</tr>



</TABLE><!-- in 2 -->
</td></tr>
</table><!-- in 1 -->







</td>
</tr>

</table><!-- end of inner form wrapper -->

<tr><td>

<!-- ------------------------- buttons ----------------------------- -->
<TABLE align=center>
<TR>
<TD ALIGN=CENTER><INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_search30x80.gif border=0></TD>
<td>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE>


<!-- ------------------------- end buttons ----------------------------- -->


</td></tr>


</td>
</tr>
</table><!-- end of outerform wrapper -->

</FORM>
<FORM METHOD=POST name="myform" ACTION=DoTInspections.asp>


</CENTER>
<p>


<!--                       CMB           -->
<Center>
<Table class=outerformwrapper cellspacing=0 cellpadding=0>
<tr>
<td>
	<Table class=innerformwrapper cellspacing=1 cellpadding=0>
<tr>
  <td align=center class=minorformtitle>Search for Inspections</td>
</tr>

<tr>
<td>

<TABLE BORDER=0 CELLPADDING = 0 cellspacing=0 >
<tr>
<td>
<table border=0 cellpadding=5 cellspacing=2 >

<TR>
<TD valig=top class=formlabelsuper>
<% if Property_Tag_Label > "" then %>
<%=Property_Tag_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=PropertyTag size=20 maxlength=25></span>
<% end if %>
</td>

<TD valign=top class=formlabelsuper>
<% if Computer_ID_Label > "" then %>
<%=Computer_ID_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=ComputerID size=20 maxlength=25></span>
<% end if %>
</td>

<TD valign=top class=formlabelsuper>
<% if Serial_Number_Label > "" then %>
<%=Serial_Number_Label%>:<br>
<span class=formboxholder>
<INPUT type=text name=SerialNumber size=20 maxlength=25></span>
<% end if %>
</td>


</tr>

<TR>
<TD valig=top class=formlabelsuper>
<% if wc_Asset_Number > "" then %>
<%=wc_Asset_Number%>:<br>
<span class=formboxholder>
<INPUT type=text name=AssetNumber size=20 maxlength=25></span>
<% end if %>
</td>

<TD valign=top class=formlabelsuper>
<% if wc_Inspection_Status > "" then %>
<%=wc_Inspection_Status%>:<br>
<span class=formboxholder>

	<FONT SIZE=-1>
		<SELECT  name=InspectionStatus>
	<% call getInspectionStatus()   %>
	</SELECT>
</span>
<% end if %>
</td>

<TD valign=top class=formlabelsuper>
<% if wc_By_Tech > "" then %>

<%=wc_By_Tech%>:<br>
<span class=formboxholder>

	<FONT SIZE=-1>
		<SELECT  name=Tech>
	<% call GetTechs()   %>
	</SELECT>
</span>
<% end if %>
</td>
</tr>

<! -- DATES -->
<TR>
<TD valign=top class=formlabelsuper>
<% if wc_Start_date > "" then %>
<%=wc_Start_date%>:<br>

	<font size=-2>
	<% 	If WCDateFormat = "DDMMYYYY" Then %>
			(dd/mm/yyyy)
		<%  Else %>
			(mm/dd/yyyy)
	<%  End If %>
	<br></font>
	<span class=formboxholder>
	<INPUT type=text name=StartDate size=11 maxlength=10 value="<%=Start_Date%>">
	</span>
	<% end If %>
	</TD>

	<TD valig=top  class=formlabelsuper>
	<% if wc_End_date > "" then %>

	<%=wc_End_date%>:<br>
	<font size=-2>
	<% 	If WCDateFormat = "DDMMYYYY" Then %>
			(dd/mm/yyyy)
		<%  Else %>
			(mm/dd/yyyy)
	<%  End If %>
		<br></font>

		<span class=formboxholder>
		<INPUT type=text name=EndDate size=11 maxlength=10 value="<%=Start_Date%>">
		</span>
		<% end if %>

		</TD>

		<TD valign=top class=formlabelsuper><%=wc_Asset_Groups%>:<br>
		<span class=formboxholder>

			<FONT SIZE=-1>
				<SELECT  name=AssetGroup>
			<% call GetAssetGroups()   %>
			</SELECT>
</span></td>
</TR>
</TABLE><!-- in 2 -->
</td></tr>
</table><!-- in 1 -->
</td>
</tr>

</table><!-- end of inner form wrapper -->

<tr><td>

<!-- ------------------------- buttons ----------------------------- -->
<TABLE align=center>
<TR>
<TD ALIGN=CENTER><INPUT type=image name=i_search src=/<%=WCLanguageDirectory%>/ts_search30x80.gif border=0></TD>
<td>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </td>
<TD ALIGN=CENTER><A HREF="UserScreen.asp"><IMG SRC="/<%=WCLanguageDirectory%>/ts_cancel30x80.gif" BORDER=0 ></A></TD>
</TR>
</TABLE>

<!-- ------------------------- end buttons ----------------------------- -->


</td></tr>



</td>
</tr>
</table><!-- end of outerform wrapper -->




</CENTER>
<!-- END CMB -->
</FORM>

</BODY>
</HTML>

<%End If ' End of security check %>

<% Function GetInspectionStatus()
' This function fills a dropdown with Inspection Statuses from Inspection_status_values table
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select InspectionStatusIndex, InspectionStatus from InspectionStatus order by InspectionStatus"
	set rstemp2=conntemp.execute(mySQL2)

		response.write "<OPTION value=0></OPTION>"
		do while not rstemp2.eof
			response.write "<OPTION value=" & rstemp2("InspectionStatusIndex") & ">" & rstemp2("InspectionStatus") & "</OPTION>"
		rstemp2.MoveNext
		LOOP

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
End Function
%>

<% Function GetTechs()
' This function fills a dropdown with Technicians

	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="SELECT * from Tech_staff order  by Last_Name"
	set rstemp2=conntemp.execute(mySQL2)

		response.write "<OPTION value=0></OPTION>"
		do while not rstemp2.eof
			response.write "<option value=" & rstemp2("tech_id") & ">" & rstemp2("Last_Name") & "," & rstemp2("first_Name")  & "</option>" & chr(10) & chr(13)
		rstemp2.MoveNext
		LOOP

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
End Function
%>

<% Function GetAssetGroups()
' This function fills a dropdown with AssetGroups
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="SELECT * from AssetGroup order by AssetGroupName"
	set rstemp2=conntemp.execute(mySQL2)

		response.write "<OPTION value=0></OPTION>"
		do while not rstemp2.eof
			response.write "<option value=" & rstemp2("AssetGroupIndex") & ">" & rstemp2("AssetGroupName")  & "</option>" & chr(10) & chr(13)
		rstemp2.MoveNext
		LOOP

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
End Function
%>