<% 'Module: TLoadQBfile.asp

   'Description: This module is the TLoadQBfile Page
   '

   '(C) 2008 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '6/2/2008	JC		Created Original Version

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		Else
		    response.write "<font color=red size=5><b>You are not validated to use this page<b></font>"
		    response.flush
		    response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>




<html>

<!-- (C) 2008 by Internet Software Sciences -->

<head>

<title>Load Quickbook Interchange File </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>





<Table class=BGWrapper align=center>
<tr>
<td align=center valign=center class=majorscreentitlefixed>
Load a Quickbook Interchange File V2
</td>
</tr>
</table>


<p> &nbsp; <p>

<%

'First determine what kind of slash we need in the file path - windows or linux

xxxdirectory = Server.MapPath(".")
xxxpos = Instr(xxxdirectory, "\")
if xxxpos <> 0 then
   slash = "\"
else
   slash = "/"
end if

urlseparator = "/"

Tabchar = Chr(9)

rootpath =  Server.MapPath(".")
' Now find the last slash so we can chop off the "techcenter" ending of the path
Lastpos = InstrRev(rootpath,slash)
' and create the shortened path
shortpath = Left(rootpath,lastpos)
' now we can append the name of the directory we are interested in
DirectoryPath = shortpath & "wctempfiles" & slash


' ------------------------------------------------------------------------------------------------------------
'  This module assumes the tab-delimited file has been written into the wctempfiles folder by a previous step
'  and its filename is picked up in the next line below, and in the following line we supply the name of the database
'  table in which the records are to be inserted.
' ------------------------------------------------------------------------------------------------------------

Filename = request.querystring("file")
DBTablename = "Quickbooks_Records"


DirectoryToProcess = DirectoryPath
Set fs4 = CreateObject("Scripting.FileSystemObject")
Set folderobject = fs4.GetFolder(DirectoryToProcess)
counter = 0
processed_first_record = "No"

Readpath = shortpath & "wctempfiles" & slash & filename
response.write "we are reading the file called " & readpath & "<p>"
dim fs

' -------------------------------------------------------------------------------------------------------------
'                                 READ HERE HOW TO CONFIGURE THIS MODULE
' -------------------------------------------------------------------------------------------------------------
'  Then next we have 3 lines of configuration parameters - each is a list of sub-parameters separated by vertical bars
'
'  The first one is a list of the column names we want to pick up from the input file
'  and it may look something like this - input_field_string = "Name|Baddr1|Baddr2|Jobstatus|Delcount"
'
'  The second is a list of column names in the table where we want to store the data from the incoming columns
'  defined above - and in the same matching order e.g. output_field_string = "Name|Addr1|Addr2|Jobstatus|Delcount"
'
'  The third is a list of flags telling whether the matching field is defined in the table as alpha or numeric -
'  using  "A" and "N" respectively - for example field_type_string = "A|A|A|N|N"
'
' ---------------------------------------------------------------------------------------------------------------------

input_field_string = "Name|Baddr1|Baddr2|Jobstatus|Delcount"
output_field_string = "Name|Addr1|Addr2|Jobstatus|Delcount"
field_type_string = "A|A|A|N|N"

' first we have to convert the first parameter (list of input fields) into an equivalent list of field ordinals within the record
' so that we end up with a new string that might look for example like this          input_offset_string = "1|4|5|52|57"

input_field = Split(input_field_string,"|")

Set fs=Server.CreateObject("Scripting.FileSystemObject")
if fs.FileExists(readpath) then
	Set fs2 = CreateObject("Scripting.FileSystemObject")
	REM the "1" in the next statement represents "ForReading"
	Set b = fs2.OpenTextFile(readpath, 1, FALSE)
	marker_found = "No"
	While (not b.AtEndOfStream) and (not marker_found="Yes")
	   InRec  = b.Readline
	   InputRecordArray = Split(InRec,tabchar)
	   if inputrecordarray(0) <> "!CUST" Then
	     ' do nothing
	   Else
	   response.write "we found the record containing the column headings<br>"
	   marker_found = "Yes"
	   for i = 0 to Ubound(input_field) ' scanning the header line for  each of the desired fields in turn
	         '  response.write "processing " & Input_field(i) & "<br>"
	        for j = 0 to Ubound(InputRecordArray)
            if Ucase(Input_field(i)) = Ucase(InputRecordArray(j)) then
              response.write "found <b>" & Input_field(i) & "</b> in position " & j & "<br>"
              stack = stack & j & "|"
            end if
            next
       next
       end if
	Wend
	b.Close

	' we need to chop off the last delimiter
	lambda = Len(stack)
	stack = Left(Stack, lambda-1)
	 response.write "The fields we need in order are " & stack & "<P>"
else
	  response.write "File does not appear to exist<p>"
end if

If marker_found =  "No" then
  response.write "Failed to find the required record containg the column header names<P>"
  response.flush
  response.end
end if


' end of preliminary processing where we looked for the header record, and then scanned it to convert the source
' field names into column numbers which are at this point contained in "stack"




input_offset_string = stack

' next we convert each of these delimited strings into arrays for ease of processing

input_offset = Split(input_offset_string,"|")
output_field = Split(output_field_string, "|")
field_type = Split(field_type_string, "|")

' and then check that each of the 3 arrays is of the same length - otherwise we got trouble.

if Ubound(input_offset) = Ubound(output_field) and Ubound(input_offset) = Ubound(field_type) then
   ' Do nothing
else
   Response.write "The number of parameters in each of the three strings is not the same - they have to match<p>"
   response.flush
   response.end
end if


' Now we read the data file again, selecting to process qualified records only ,
' and for each generate an approprite SQL INSERT statement


Set fs=Server.CreateObject("Scripting.FileSystemObject")
if fs.FileExists(readpath) then



	Set fs2 = CreateObject("Scripting.FileSystemObject")
	REM the "1" in the next statement represents "ForReading"
	Set b = fs2.OpenTextFile(readpath, 1, FALSE)
	While not b.AtEndOfStream
	InRec  = b.Readline
	If RecordQualifies(InRec) then                      ' Adjust the function RecordQualifies to filter out undesired records
	   Call ProcessingRoutine(InRec)

	'DEBUG - Display the arrays
	 Tabchar = Chr(9)
     InputDataArray = Split(Inrec,tabchar)



	 For j = 0 to Ubound(output_field)
	        whichone = input_offset(j)

	        Response.write "Output_field[" & j & "]= " & Output_Field(j) & "<br>"

	        Response.write "InputDataArray[" & Whichone & "] = " & Cstr(InputDataArray(whichone)) & "<br>"


   next








   ' Now display the input record data

   For k = 0 to Ubound(output_field)
        whichone = input_offset(k)



        response.write "whichone = " & Whichone


        if field_type(k) = "N" Then
      '  	StringValue = "Numeric - InputDataArray[" & whichone & "]" & InputDataArray(whichone)
       	response.write "Numeric - InputDataArray[" & whichone & "]" & InputDataArray(whichone)
        else
        	'response.write "Alpha - InputDataArray[" & whichone & "]" & InputDataArray(whichone)
        end if
   next


	else
	  ' Response.Write "Dis-Qualified Record Read from File  = " & Left(InRec,50) & "<br>"
	end if
	Wend
	b.Close





else
	  response.write "File does not appear to exist<p>"
end if





%>

 <a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>

<%


response.flush
response.end





%>



<%
Sub ProcessingRoutine(myrec)
   Tabchar = Chr(9)
   ' First split the incoming record into an array
   InputDataArray = Split(myrec,tabchar)
   'Then start to build the SQL statement

   SQL = "INSERT into " & DBTablename & " ("
   For i = 0 to Ubound(output_field)
     SQL = SQL & output_field(i)
     if i < Ubound(output_field) Then                          ' if this is not the last one, put a comma after it
       SQL = SQL & ", "
     else                                                     ' else put a closing parenthesis on the end instead of the comma
       SQL = SQL & ") "
     end if
   next
   SQL = SQL & " VALUES ( "
   quotex = "'"
   For i = 0 to Ubound(output_field)
        whichone = input_offset(i)
        if field_type(i) = "N" Then
            SQL = SQL & InputDataArray(whichone)              ' if it is numeric, can put it in the output string without further ado
        else
           candidate = InputDataArray(whichone)               ' else it is alphabetic
           candidate = Replace(Candidate, """","")            ' remove any embedded quotes
           SQL = SQL & quotex & candidate & quotex            ' and surround it with single quotes for SQL
        end if
        if i < Ubound(output_field) Then                      ' if this is not the last one, put a comma after it
           SQL = SQL & ", "
        else                                                  ' else put a closing parenthesis on the end instead of the comma
           SQL = SQL & ") "
        end if
   next
   response.write SQL & "<br>"                                ' for purposes of this program, we merely display the SQL string. In real life we would execute it






end sub
%>


<%
Function RecordQualifies(myrec)
   Tabchar = Chr(9)
   TestArray = Split(myrec,tabchar)
   if  TestArray(0) = "CUST" Then
       RecordQualifies = 1
   else
       RecordQualifies = 0
   end if
end function
%>