<% 'Module: TManageQBfiles.asp

   'Description: This module is the TManageQBfiles Page
   ' so tech/users can edit some of their profile and login information.

   '(C) 2008 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '4/22/2008	JC		Created Original Version

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<%' Include this file for special database cursor constants %>


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 2 ' Allow only levels 2 and above


	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
			Tech_Level = rstemp("Tech_Level")
		Else
		    response.write "<font color=red size=5><b>You are not validated to use this page<b></font>"
		    response.flush
		    response.end
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>




<html>

<!-- (C) 2008 by Internet Software Sciences -->

<head>

<title>Manage Quickbook Interchange Files </title>
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</head>

<body class=rightwindow>

<center>



<Table class=BGWrapper align=center>
<tr>
<td align=center valign=center class=majorscreentitlefixed>
Manage Quickbook Interchange Files
</td>
</tr>
</table>


<p> &nbsp; <p>

<%

'First determine what kind of slash we need in the file path - windows or linux

xxxdirectory = Server.MapPath(".")
xxxpos = Instr(xxxdirectory, "\")
if xxxpos <> 0 then
   slash = "\"
else
   slash = "/"
end if
urlseparator = "/"


rootpath =  Server.MapPath(".")
' Now find the last slash so we can chop off the "techcenter" ending of the path
Lastpos = InstrRev(rootpath,slash)
' and create the shortened path
shortpath = Left(rootpath,lastpos)
' now we can append the name of the directory we are interested in
DirectoryPath = shortpath & "wctempfiles" & slash

Action = request.querystring("action")

DirectoryToProcess = DirectoryPath
Set fs4 = CreateObject("Scripting.FileSystemObject")
Set folderobject = fs4.GetFolder(DirectoryToProcess)
counter = 0


if action = "zap" Then
 zapper ' We never return from zapper - this is effectively a "go to"
end if





If action = "del" Then
    filename = request.querystring("filename")
    Deletepath = shortpath & "wctempfiles" & slash & filename
    'response.write "we are deleting " & deletepath
	dim fs
	Set fs=Server.CreateObject("Scripting.FileSystemObject")
	if fs.FileExists(deletepath) then
	  fs.DeleteFile(deletepath)
	  response.write "<span class=InstructionText><b>Deleted " & filename & "</b></span><p>"
	else
	  response.write "NOT deleted<p>"
	end if
    set fs=nothing
end if




FileNameCount = 0

'for each objitem in request.servervariables
   ' response.write objitem & " &nbsp; " & request.servervariables(objitem) & "<br>"
'next


' Set up the infrastructure that will allow us to process all files in a given directory



%>
  <table border=0>
  <tr>
    <td class=MinorFormTitle >Filename</td>
    <td width=10></td>
    <td class=MinorFormTitle colspan=2 align=center>Action</td>
    <td width=10></td>
    <td class=MinorFormTitle align=center>Created</td>
    <td width=10></td>
    <td class=MinorFormTitle align=center>Last Modified</td>
    <td width=10></td>
    <td class=MinorFormTitle align=center>Size</td>
  </tr>
<%

For each File in folderobject.Files ' here we loop for each file and dispaly it as a row in the table
        ' response.write file & "<br>"

         ' pick out the filename from the filepath
         a = InstrRev(File, slash)
         lambda = Len(File)
         b = Lambda - a


         CurrentFileName = Right(File,b)

        '  response.write CurrentFileName & "<p>"

         ' only show iif files
         file_extension = Right(CurrentFileName,3)
         file_extension = Ucase(file_extension) ' make it uppercase so that we appear case insensitive and compare will match

         if file_extension = "IIF"  Then
            response.write "<tr>"

                vector = "<a href=TManageQBFiles.asp?action=del&filename=" & CurrentFileName & ">Delete</a>"
                myurl = "http://" & request.servervariables("server_name") &  "/wc60temp/" & CurrentFileName
                targetfilepath = shortpath & "wctempfiles" & slash & CurrentFileName
                createdate = File_GetCreated(targetfilepath)
                moddate = File_GetLastModified(targetfilepath)
                filesize = File_GetSize(targetfilepath)

           response.write "<td class=InstructionText>" &  CurrentFileName & " </td>"
           response.write "<td width=10></td>"
           response.write "<td class=InstructionText>" & vector & "</td>"
           response.write "<td class=InstructionText>" & "<a href=" & myurl & ">Download</a>" & "</td>"
           response.write "<td width=10></td>"
           response.write "<td class=plaintext>" & createdate  & "</td>"
           response.write "<td width=10></td>"
           response.write "<td class=plaintext>" & moddate  & "</td>"
           response.write "<td width=10></td>"
           response.write "<td  class=plaintext align=right>" & filesize  & "</td>"

           response.write "</tr>"
           counter = counter + 1
		 end if

next
response.write "</table>"
if counter = 0 Then ' wrap up and quit without further ado
  response.write "<tr><td class=InstructionText colspan=10 align=center><b><p>No candidate files were found</b></td></tr>"
  response.write "</table><p>"
	%>

	 <a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>

	<%
  response.flush
  response.end
end if
response.write "</table>"

response.write "<p> "

if action = "all" then
   %>
      <Table cellpadding=2 cellspacing=2 >
      <tr>
      <td class=InstructionText><b> Are you sure? </b></td>
      <td bgcolor=red><a href=TManageQBFiles.asp?action=zap><img src=/<%=WCLanguageDirectory%>/ts_delete_all.gif border=0></a></td>
      <td width=50></td>
      <td ><a href=TManageQBFiles.asp><img src=/<%=WCLanguageDirectory%>/ts_cancel.gif border=0></a></td></tr>
      </table>

   <% else %>
        <a href=TManageQBFiles.asp?action=all><img src=/<%=WCLanguageDirectory%>/ts_delete_all.gif border=0></a>
   <%
   end if
%>
</body>
</html>

<%
'the following 4 functions are clones of each other to return different file attributes

Function File_GetLastModified( sFile )
	Dim objFileObj, objFile
	 'response.write "Sfile is " & Sfile & "<br>"
	 'response.flush
	 'response.end
	Set objFileObj = CreateObject("Scripting.FileSystemObject")
  	Set objFile = objFileObj.GetFile(sFile)
  	File_GetLastModified = objFile.DateLastModified
End Function

Function File_GetCreated( sFile )
	Dim objFileObj, objFile
	 'response.write "Sfile is " & Sfile & "<br>"
	 'response.flush
	 'response.end
	Set objFileObj = CreateObject("Scripting.FileSystemObject")
  	Set objFile = objFileObj.GetFile(sFile)
  	File_GetCreated = objFile.DateCreated
End Function

Function File_GetLastAccess( sFile )
	Dim objFileObj, objFile
	 'response.write "Sfile is " & Sfile & "<br>"
	 'response.flush
	 'response.end
	Set objFileObj = CreateObject("Scripting.FileSystemObject")
  	Set objFile = objFileObj.GetFile(sFile)
  	File_GetLastAccess = objFile.DateLastAccessed
End Function

Function File_GetSize( sFile )
	Dim objFileObj, objFile
	 'response.write "Sfile is " & Sfile & "<br>"
	 'response.flush
	 'response.end
	Set objFileObj = CreateObject("Scripting.FileSystemObject")
  	Set objFile = objFileObj.GetFile(sFile)
  	File_GetSize = objFile.size
End Function


%>

<%
sub zapper ' this subroutine loops over all elegible files and deletes them and than stops execution

dim fs
Set fs=Server.CreateObject("Scripting.FileSystemObject")

For each File in folderobject.Files
         'response.write "trying to delete " & file & "<br>"

         ' pick out the filename from the filepath
         a = InstrRev(File, slash)
         lambda = Len(File)
         b = Lambda - a


         CurrentFileName = Right(File,b)

         ' response.write "currentfilename is " & CurrentFileName & "<p>"

         ' only show iif files
         file_extension = Right(CurrentFileName,3)
         file_extension = Ucase(file_extension) ' make it uppercase so that we appear case insensitive and compare will match

         if file_extension = "IIF"  Then
			   Deletepath = shortpath & "wctempfiles" & slash & CurrentFileName
				' response.write "we are deleting " & deletepath & "<p>"
			   if fs.FileExists(deletepath) then
				  fs.DeleteFile(deletepath)
				   response.write "<span class=InstructionText><b> Deleted " & CurrentFileName & "</b></span><p>"
			   else
				   response.write "NOT deleted<p>"
			   end if

		 end if

next
%>

 <a href=UserScreen.asp><img src=/<%=WCLanguageDirectory%>/ts_continue30x100.gif border=0></a>

<%


response.flush
response.end



end sub

%>
