<% 'Module: TechChatFrame.asp

   'Description: This module is the Frame document for the Tech Text Chat page.

   '(C) 2000-2006 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '12/26/2006	SAV		Created original page

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/TxtMsgConfiguration.inc" -->



<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 ' Allow Tech/Write and above to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			TechFullName = rstemp("first_name") & " " & rstemp("Last_name")
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% ' Grab the passed query string variable of the TextChatThread number



	TextChatThread = Request.querystring("TextChatThread")

	If TextChatThread = "" Then
		TextChatThread = Request.form("TextChatThread")
	End If

%>


<% ' Before we send the frame out, we need to update the thread and put one
	' message into the text thread so it is immediately updated.

	If Request.QueryString("START") <> "NO" Then
		ChatThread = ConnectChatThread()
	End If


%>

<html>
<!-- (C) 1996,1998, 1999, 2000-2006 by Internet Software Sciences -->
<head>
<title>Web+Center Text Messaging</title>
</head>
<frameset rows="200, 60%">
<frame src=TechSendTextMsg.asp?TextChatThread=<%=TextChatThread%> name=TechSendTextMsg<%=TextChatThread%>>
<frame src=TechShowTextMsg.asp?TextChatThread=<%=TextChatThread%> scrolling=auto name=TechShowTextMsg<%=TextChatThread%>>
</frameset>
</html>


<%  Function ConnectChatThread()

	TextChatThread = Request.querystring("TextChatThread")


	Set Conn = Server.CreateObject("ADODB.Connection")
	conn.open  myDSN

	' Check to see if case_number exists then this is an update

		Set NewRecord = Server.CreateObject("ADODB.Recordset")

		If TextChatThread <> "" AND TextChatThread <> "NEW" Then

				SQL = "Select * from TextChat where TextChatThread = " & TextChatThread

		Else
				SQL = "Select * from TextChat"


		End IF

			'Debugging
'			Response.write "SQL = " & SQL
'			Response.flush
'			Response.end


		NewRecord.Open SQL,Conn,3,3

		If TextChatThread <> "" And NewRecord.EOF = True then
			response.write " UPDATE ERROR - Existing record not found <br>"
			Response.write "SQL = " & SQL
			Response.flush
			Response.end
		End If


			NewRecord("MessageStatus") = "ACTIVE" ' Set the Text Thread status to Active


			PastHistory = NewRecord("TextChatHistory")


			NewHistory = vbCRLF & "{r[(" & TechFullName & ") ]r}"  &  "TEXT MSG WINDOW OPENED BY TECH"

			NewRecord("TextChatHistory") = NewHistory  & pastHistory

			NewRecord("Tech_ID") = CookieID ' Set this field with the Customer_ID who made the last update.

			' We will need this to find the thread id once we submit it.
			CurrentEntryDateTime = Now()

			NewRecord("LastEntryDate") = CurrentEntryDateTime


		' Now add or update the record

		NewRecord.Update

'	If  err.number>0 then
'	      response.write "VBScript Errors Occured:" & "<P>"
'	      response.write "Error Number=" & err.number & "<P>"
'	      response.write "Error Descr.=" & err.description & "<P>"
'	      response.write "Help Context=" & err.helpcontext & "<P>"
'	      response.write "Help Path=" & err.helppath & "<P>"
'	      response.write "Native Error=" & err.nativeerror & "<P>"
'	      response.write "Source=" & err.source & "<P>"
'	      response.write "SQLState=" & err.sqlstate & "<P>"
'	else
'	'      response.write "No VBScript Errors Occured" & "<P>"
'	end if


'	IF  conn.errors.count> 0 then
'	    response.write "Database Errors Occured" & "<P>"
'		for counter= 0 to conn.errors.count
'		      response.write "Error #" & conn.errors(counter).number & "<P>"
'		      response.write "Error desc. -> " & conn.errors(counter).description & "<P>"
'		next
'	else
'	      'response.write "No Database Errors Occured!" & "<P>"
'	end if

	NewRecord.Close
	Set NewRecord = Nothing

	Conn.Close
	Set Conn = Nothing

	ConnectChatThread = TextChatThread

End Function

%>
