<% 'Module: TechSendTextMsg.asp

   'Description: This module is the Top Part of the page for the Tech Send Text Msg


   '(C) 2000, 2001, 2002 - 2006 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '12/26/06	SAV		Created original TechSEndTextMsg.asp Page

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>
<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->
<!-- #INCLUDE FILE="../Language/TxtMsgConfiguration.inc" -->



<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 ' Allow Tech/Write and above to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			TechFullName = rstemp("first_name") & " " & rstemp("Last_name")
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "TechSendTextMsg.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<% TextChatThread = Request.querystring("TextChatThread")
%>


<% 'Get the value of the User Screen background color
	' And the open cases refresh rate from the Configuration Table

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
		Pending_Screen_Refresh_Rate = rstemp2("Pending_Screen_Refresh_Rate")
		Dispatcher_Screen_Refresh_Rate = rstemp2("Dispatcher_screen_refresh_rate")

		ts_pending_color = rstemp2("ts_Pending_Color")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<HTML>
<HEAD>

   <META HTTP-EQUIV="Refresh" CONTENT="<%=wc_TechTxtWindowRefreshRate%>">

   <TITLE>Text Messaging</TITLE>
<!-- (C) 1996,1998, 1999, 2000, 2001, 2002 by Internet Software Sciences -->
<!-- #INCLUDE FILE="Stylesheet.inc" -->
</HEAD>
<body class=rightwindow>


<center>

<%

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	IF TextChatThread = "" Then

		TextChatHistory = "No Text Chat Thread Number"
	Else



	mySQL2="select * from TextChat where TextChatThread = "  & TextChatThread
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		TextChatHistory = "Invalid Text Chat Thread Number" ' Send out default Message
	Else
		TextChatHistory  = rstemp2("TextChatHistory")
	End If

	rstemp2.close
	set rstemp2=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

	End IF


%>

<center>

<table width=90%>
<tr><td class=outerformwrapper> <!---- start of overall form wrapper -->

<center>
<table  class=InnerformWrapperTight width=100% cellpadding=0 cellspacing=0 border=0>


<tr><td  class=MinorFormTitle colspan=2 align=center>Text Chat Messages</td></tr>

<tr>

<td  class=formboxholder>

<% FormattedMessage = Format_Text_Msg_Text(TextChatHistory)

	Response.write FormattedMessage
%>




</td>
</tr>
</table>
</td>
</tr>
</table>



</body>
</html>
<%End If %>


<%
Function Format_Text_Msg_Text(TextChatHistory)

' This subroutines formats the case_text with the proper color coding conventions

NewText = TextChatHistory

IF NewText = "" OR IsNull(NewText)  THen

Format_Text_Msg_Text = ""

Else

	' Tags entered by the user can be security issue so we will replace
	' them with printable html text of &lt; and & gt;

	' We need to replace double tag characters to double brackets so we can
	' convert them back to real tags

		NewText = Replace (NewText, "<<", "[[")
		NewText = Replace (NewText, ">>", "]]")

		' Now replace regular tags with &gt; and & lt;

		NewText = Replace (NewText, "<", "&lt;")
		NewText = Replace (NewText, ">", "&gt;")


		' Now replace back the other double tags back to regular tags

		NewText = Replace (NewText, "[[", "<")
		NewText = Replace (NewText, "]]", ">")

		' Replace the special color coding characters

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{g[", "<font color=#008000>")

		NewText = Replace (NewText, "{r[", "<font color=#FF0000>")

		NewText = Replace (NewText, "]r}", "</font>")

		NewText = Replace (NewText, "]g}", "</font>")


	NewText = replace(NewText, chr(13)&chr(10), "<br>")



	NewText = replace(NewText, chr(13), "<br>")
	NewText = replace(NewText, chr(10), "<br>")
'	NewText = replace(NewText, chr(10)&chr13, "<br>")

' following formatting added when going to stylesheets
' we first remove all occurrences of <br><br>
' we then add a thinline (made by a skinny table) just before start of any font color change

    double_br = "<br>" & chr(13) & "<br>"
    thinline = "<table cellpadding=0 cellspacing=5 width=100% ><tr bgcolor=#808080 ><td height=1></td></tr></table>"

    'NOTE: 4/29/05 - Possible ASP compatibility issue found
    '**** Under SUN ONE ASP , this next statement can cause an error
    ' and may need to be commented out. (This is indeed necessary - confirmed by another site on 5/31/2005)

    If Application("MyOS") = "Linux" Then
      ' Do Nothing
    Else
       NewText = replace(NewText, double_br, "")
    End If

    newbreak1 = thinline & "<font color=#FF0000>"
    NewText = replace(NewText, "<font color=#FF0000>", newbreak1)
	Format_Text_Msg_Text = NewText


    newbreak2 = thinline & "<font color=#008000>"
    NewText = replace(NewText, "<font color=#008000>", newbreak2)

    NewText = NewText & thinline


	Format_Text_Msg_Text = NewText

End If


End function
%>




