<% 'Module: TimeSpentByUserGroupByReferenceByDate.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001, 2002 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
   '9/09/99		SAV		Created original OpenCasesByTech.asp page
   '10/5/01 	SAV		Create originalOpenCasesByCustoerByDate.asp module
   '02/18/02	SAV		Created OpenCasesByCompanyByDate.asp Page from AllCasesByCustomerByDate.asp
	'03/28/02	SAV		CreatedTimeSpentByCompanyByDate.asp Page from OpenCasesByCompanyByDate.asp
	'04/01/02	SAV		CreatedTimeSpentByUserGroupByDate.asp Page from OpenCasesByCompanyByDate.asp
	'04/01/02	SAV		CreatedTimeSpentByUserGroupByReferenceByDate.asp Page from TimeSpentByUserGroupByDate.asp
	'08/13/11   CMB     UK Date Compliance only

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->
<!-- #INCLUDE FILE="Reports.inc" -->

<% 'First Show the Report Menu at the top of the page
%>

<html>

<head>
<title><%=wc_Time_Spent_Reports%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table

    call  GetConfig(DateDisplayFormat,UserPageColor,DatabaseType)
    Call GetTimeSpentStuff(TimeSpentCategory,TimeSpentInterval)
    MinutesPerCategory = TimeSpentInterval
%>

<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
	'	Date_Type = Request.form("Date_Type") ' Passed as 0 (Start date) or 1 (Last Modified)

		Start_Date_Encoded = Server.URLEncode(Start_Date)
		End_Date_Encoded = Server.URLEncode(End_Date)
%>

<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_TIME_SPENT_REPORTS%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Time_Spent_By_Group_Reference%></font>
<br>
<font size=-2>This report returns number of cases closed and time spent for cases opened <br>within the specified date range
by user group and case reference.</font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>
</tr></table>
</center>

<form action=TimeSpentByUserGroupByReferenceByDate.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>
<% if datedisplayformat = "DDMMYYYY" then
		response.write "(dd/mm/yyyy)"
	else
		response.write "(mm/dd/yyyy)"
	end if
%>
<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<td valign=middle>
<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>
<% ' Create the query based on the entered date range if they entered any data

	' Only return Cases where the case status is closed (=1)

	WhereStatement = " Where Cases.Status = 1 "
	AndText = " AND "
	If Start_Date <> "" Then
		Start_Date = PadDate(Start_Date)
		NewStartDate = MakeYYYYMMDD(Start_date,DateDisplayFormat)
		WhereStatement = WhereStatement & AndText & " Cases.Open_Date  >= '" & NewStartDate & "'"
		AndText = " AND "
	End if

	If End_date <> "" Then
		End_Date = PadDate(End_Date)
		NewEndDate = MakeYYYYMMDD(End_date,DateDisplayFormat)
		WhereStatement = WhereStatement & AndText & " Cases.Open_Date  <= '" & NewEndDate & "'"
		AndText = " AND "
	End IF

	Start_Date_Encoded = Server.URLEncode(Start_Date)  ' this will be passed as either UK or US
	End_Date_Encoded = Server.URLEncode(End_Date)
%>

<%' First get all of the open Cases total count since we will need that for our percentage calculation%>
<% ' Get Total number of Cases

	'sqltemp="select * from Cases " & WhereStatement & " order by Customer_ID"

	'sqltemp ="SELECT Cases.case_number, Cases.customer_id, Cases.c1, Cases.c2,  Cases.c3,  Cases.c4,  Cases.c5,  Cases.c6,  Cases.c7,  Cases.c8,  Cases.c9,  Cases.c10,  Cases.c11,  Cases.c12,  Cases.c13,  Cases.c14, Cases.open_date, Cases.open_time, Cases.mod_date, Cases.mod_time, Cases.status, Customers.company, Customers.contact_lname, Customers.contact_fname FROM Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id " & WhereStatement & " order by Company"

	'sqltemp = "SELECT Cases.case_number, Cases.External_case_Number, Cases.customer_id, Cases.open_date, Cases.mod_time, Cases.mod_date, Cases.case_one_line, Cases.status, Cases.c1, Cases.c2, Cases.c3, Cases.c4, Cases.c5, Cases.c6, Cases.c7, Cases.c8, Cases.c9, Customers.contact_fname, Customers.contact_lname, EmailCategory.EmailCategory, EmailCategory.EmailCategoryID FROM ((Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id) INNER JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) INNER JOIN EmailCategory ON EmailCategoryLinks.EmailCategoryID = EmailCategory.EmailCategoryID "

	sqltemp = "SELECT Cases.case_number, Cases.External_case_Number, Cases.customer_id, Cases.open_date, Cases.mod_time, Cases.mod_date, Cases.case_one_line, Cases.status, Cases.c1, Cases.c2, Cases.c3, Cases.c4, Cases.c5, Cases.c6, Cases.c7, Cases.c8, Cases.c9, Cases.c10, Cases.c11, Cases.c12, Cases.c13, Cases.c14, Cases.c15, Cases.c16, Cases.c17, Cases.c18, Cases.c19, Customers.contact_fname, Customers.contact_lname, EmailCategory.EmailCategory, EmailCategory.EmailCategoryID, Customers.company FROM ((Cases INNER JOIN Customers ON Cases.customer_id = Customers.customer_id) INNER JOIN EmailCategoryLinks ON Customers.customer_id = EmailCategoryLinks.Customer_ID) INNER JOIN EmailCategory ON EmailCategoryLinks.EmailCategoryID = EmailCategory.EmailCategoryID "

	sqltemp = sqltemp & WhereStatement & " Order by EmailCategory, external_case_number"

	' We are going to URL encode the wherestatement so we can pass it with the link
	' for the detail report for that company.

	Query = Server.URLEncode(WhereStatement)

	' uncomment line below to view SQL statement
	'response.write "SQL=" & SqlTemp

	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	set rstemp=Server.CreateObject("adodb.Recordset")

	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	TotalOpenCases = rstemp.recordcount
	'rstemp.close
	'set rstemp=nothing

%>

<center>
<table width=95% border = 1>
<tr>
<th width=30% bgcolor=F0F0F0><font size=-1><%=wc_User_Group%></th>
<th width=20% bgcolor=F0F0F0><font size=-1><%=wc_Reference%></th>

<th width=10% bgcolor=F0F0F0><font size=-1> # <%=wc_of_Cases%></th>
<th width=10% bgcolor=F0F0F0><font size=-1> <%=wc_Avg_Time_Spent%></th>
<th width=30% bgcolor=F0F0F0><font size=-1><%=wc_Total_Time_Spent%></th>
</tr>

<%' Now step through data set %>


<% ' Get all open Cases, sort by Tech ID and count for each tech and then
	' compute what percentage that UserCategory has and then display it graphically
	'

	' Get the Case statistics from the case table
	if not rstemp.BOF then
		rstemp.MoveFirst
	end if

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see if any open Cases
		TotalOpenCases = 0
%>
		<tr><td colspan=4 align=center><font size=-1><B> No Cases found </b></font></td></tr>
<%
	Else ' Must be one or more open Cases
		' Setup for the first one  outside of the loop
			CustomerOpenCases = 0 ' Default to one case

		' Before we get into the loop determine the value for the first tech
			' Check to see if this tech value is null or blank
			if IsNull(rstemp("External_case_number")) = TRUE Then
				Lastcustomer = wc_No_Value

			Elseif IsNull(rstemp("External_Case_Number")) = False THEN
				If ASC(rstemp("External_Case_Number")) = 0 Then
					LastCustomer = wc_No_Value
				Else
					LastCustomer = rstemp("External_Case_Number")
				End If
			End If

			OldUserGroup = rstemp("EmailCategory")
			NewCategoryCount = 0 ' Default this to zero first
			CompletionTime = 0 ' Default to zero
			TotalCompletionTime = 0 ' Default To zero
			TotalJobsClosed = 0 ' Default to Zero
			UserGroupTotalClosed = 0
			UserGroupTotalTime = 0

		do while not rstemp.eof

			' Now step through the records
			' Check to see if this tech value is null or blank

			NewUserGroup = rstemp("EmailCategory")


			if IsNull(rstemp("External_Case_Number")) = TRUE Then
				Customer = wc_No_Value ' This should never happen
				NewUserGroup  = rstemp("EmailCategory")


			Elseif IsNull(rstemp("External_Case_Number")) = False THEN
				customer = rstemp("External_Case_Number")
			End If

			' Now compare LastCustomer and Customer to see if they are the same.  If
			' they are the same then continue on until they change and then
			' output a record

			If TimeSpentCategory <> "" And (LastCustomer = Customer) Then
				CompletionTime = CompletionTime + rstemp(TimeSpentCategory)
				TotalCompletionTime = TotalCompletionTime + rstemp(TimeSpentCategory)

				UserGroupTotalTime = UserGroupTotalTime + rstemp(TimeSpentCategory)
				UserGroupTotalClosed = UserGroupTotalClosed + 1
			End IF


			If Lastcustomer <> Customer then
			' Display a row in the table and compute average and total time spent
				NewCategoryCount = 1

				If JobsClosed <> 0 Then
					AverageCompletionTime = Int(CompletionTime*MinutesPerCategory/JobsClosed)
				Else
					AverageCompletionTime = 0
				End IF


				' Compute Total Time Spent
		  'Compute the time and display it in hours and minutes if greater than 60
		  TotalMinutes = Int(CompletionTime*MinutesPerCategory)
		 	If TotalMinutes <=60 then
				TotalTimeSpent =  TotalMinutes & " " & wc_Minutes
			Else
				TotalHours = int(TotalMinutes/60)
				TotalMinutes = TotalMinutes - TotalHours*60
				TotalTimeSpent =  TotalHours & " " & wc_Hrs & " " & TotalMinutes & " " & wc_Minutes
			End IF

			%>

<tr>

<% ' Display the User Group Name %>
<%  UserGroupName = OldUserGroup%>


<td><font size=-1>
<%=UserGroupName%>
</td>

<td><font size=-1>

<%				If LastCustomer = wc_No_Value Then
					UserGroupEncoded =  Server.URLEncode(UserGroupName)
					CompanyEncoded = Server.URLEncode(LastCustomer)
%>
<a href=TimeSpentByUserGroupReferenceDetail.asp?Query=<%=Query%>&Reference=<%=CompanyEncoded%>&UserGroup=<%=UserGroupEncoded%>&Start_Date=<%=Start_Date_Encoded%>&End_Date=<%=End_Date_Encoded%>><%=LastCustomer%></a>
<%
				'	Response.write wc_No_Value
				ElseIF IsNull(rstemp("External_Case_Number")) = False THEN

					UserGroupEncoded =  Server.URLEncode(UserGroupName)
					CompanyEncoded = Server.URLEncode(LastCustomer)

%>
<a href=TimeSpentByUserGroupReferenceDetail.asp?Query=<%=Query%>&Reference=<%=CompanyEncoded%>&UserGroup=<%=UserGroupEncoded%>&Start_Date=<%=Start_Date_Encoded%>&End_Date=<%=End_Date_Encoded%>><%=LastCustomer%></a>
<%
					'response.write LastCustomer
				else
					UserGroupEncoded =  Server.URLEncode(UserGroupName)
					CompanyEncoded = Server.URLEncode(LastCustomer)

	%>
<a href=TimeSpentByUserGroupReferenceDetail.asp?Query=<%=Query%>&Reference=<%=CompanyEncoded%>&UserGroup=<%=UserGroupEncoded%>&Start_Date=<%=Start_Date_Encoded%>&End_Date=<%=End_Date_Encoded%>><%=LastCustomer%></a>


<%
				End If
%>



</td>

<td align=center><font size=-1><%=JobsClosed %>
</td>

<td align=center><font size=-1><%=AverageCompletionTime %>
</td>

<td align=center><font size=-1><%=TotalTimeSpent %>
</td>
</tr>

<%
				JobsClosed = 0 ' Reset Back to 1
				CompletionTime = 0 ' Reset back to zero
%>


<%	'****** User Group Sub Totals *********************************

			' Now check if User group has changed to display a summary line
			'response.write "Comparing " & OldUserGroup & " With " & NewUserGroup & "<br>"
			If OldUserGroup <> NewUserGroup Then

			' Compute Avg Time Spent and Total Time Spent Strings
				If UserGroupTotalClosed <> 0 Then
					UserGroupAverageTime = Int(UserGroupTotalTime*MinutesPerCategory/UserGroupTotalClosed)
				Else
					UserGroupAverageTime = 0
				End IF


				' Compute Total Time Spent
		  'Compute the time and display it in hours and minutes if greater than 60
		  TotalMinutes = Int(UserGroupTotalTime*MinutesPerCategory)
		 	If TotalMinutes <=60 then
				TotalTimeSpent =  TotalMinutes & " " & wc_Minutes
			Else
				TotalHours = int(TotalMinutes/60)
				TotalMinutes = TotalMinutes - TotalHours*60
				TotalTimeSpent =  TotalHours & " " & wc_Hrs & " " & TotalMinutes & " " &  wc_Minutes
			End IF



%>
	<tr>
	<td bgcolor=F0B0D0><font size=-1><Br></td>
	<td bgcolor=F0B0D0 align=right><font size=-1><B>-------<%=wc_User_Group%><br><%=wc_Sub_Total%>:</b></font></td>
	<td bgcolor=F0B0D0 align=center><font size=-1><%=UserGroupTotalClosed%></font><br></td>
	<td bgcolor=F0B0D0 align=center><font size=-1><%=UserGroupAverageTime%></font></td>
	<td bgcolor=F0B0D0 align=center><font size=-1><%=TotalTimeSpent%></font></td>
	</tr>

	<% ' Now reset variables
		UserGroupTotalClosed = 0
		UserGroupTotalTime = 0
		NewUserGroup = rstemp("EmailCategory")
	%>


	<% End IF ' End of User Group Sub Totals

%>


<%
			End If ' End of If LastCustomer <> Customer

		If TimeSpentCategory <> "" And (LastCustomer <> Customer) Then
			CompletionTime = 0
			CompletionTime = CompletionTime + rstemp(TimeSpentCategory)
			' Debugging
			TotalCompletionTime = TotalCompletionTime + rstemp(TimeSpentCategory)
			UserGroupTotalTime = UserGroupTotalTime + rstemp(TimeSpentCategory)

			UserGroupTotalClosed = UserGroupTotalClosed + 1

			'response.write " Adding Time:" & rstemp(TimeSpentCategory)
			'response.write " TotalCompletionTime=:" & TotalCompletionTime
		End IF


			LastCustomer = Customer
			OldUserGroup = NewUserGroup
			LastUserGroup = rstemp("EmailCategory")


			'response.write "User Group= " & NewUserGroup
			'response.write "User Group= " & rstemp("EmailCategory")

			rstemp.movenext

			if rstemp.EOF <> True AND rstemp.BOF <> True then
				JobsClosed = JobsClosed + 1
				TotalJobsClosed = TotalJobsClosed + 1

				'UserGroupTotalClosed = UserGroupTotalClosed + 1
			End If
		loop

	End If


	' Display the Last Customer information or the only Customer
%>

<% If TotalOpenCases <> 0 Or NewCategoryCount = 1 Then %>


<tr>

<% ' Display the User Group Name %>
<%  UserGroupName = LastUserGroup%>



<td><font size=-1>
<%=UserGroupName%>
</td>
<td><font size=-1>

	<% If LastCustomer = wc_No_Value Then
			CompanyEncoded = Server.URLEncode(LastCustomer)
			UserGroupEncoded =  Server.URLEncode(UserGroupName)
%>
<a href=TimeSpentByUserGroupReferenceDetail.asp?Query=<%=Query%>&Reference=<%=CompanyEncoded%>&UserGroup=<%=UserGroupEncoded%>&Start_Date=<%=Start_Date_Encoded%>&End_Date=<%=End_Date_Encoded%>><%=LastCustomer%></a>
<%


		ElseIF IsNull(rstemp("External_Case_number")) = False THEN
			CompanyEncoded = Server.URLEncode(LastCustomer)
			UserGroupEncoded =  Server.URLEncode(UserGroupName)

%>
<a href=TimeSpentByUserGroupReferenceDetail.asp?Query=<%=Query%>&Reference=<%=CompanyEncoded%>&UserGroup=<%=UserGroupEncoded%>&Start_Date=<%=Start_Date_Encoded%>&End_Date=<%=End_Date_Encoded%>><%=LastCustomer%></a>
<%


'			response.write LastCustomer
		else

%>
<a href=TimeSpentByUserGroupReferenceDetail.asp?Query=<%=Query%>&Reference=<%=CompanyEncoded%>&UserGroup=<%=UserGroupEncoded%>&Start_Date=<%=Start_Date_Encoded%>&End_Date=<%=End_Date_Encoded%>><%=LastCustomer%></a>

<%
	'Response.write "Company Not Defined"
	 	'response.write GetCustomerName(LastCustomer)
	   End If
	%>



<%
	JobsClosed = JobsClosed + 1
	TotalJobsClosed = TotalJobsClosed + 1


	If JobsClosed <> 0 Then
		AverageCompletionTime = Int(CompletionTime*MinutesPerCategory/JobsClosed)
	Else
		AverageCompletionTime = 0
	End IF

	' Compute Total Time Spent
  'Compute the time and display it in hours and minutes if greater than 60
  TotalMinutes = Int(CompletionTime*MinutesPerCategory)
	If TotalMinutes <=60 then
		TotalTimeSpent =  TotalMinutes & " " & wc_Minutes
	Else
		TotalHours = int(TotalMinutes/60)
		TotalMinutes = TotalMinutes - TotalHours*60
		TotalTimeSpent =  TotalHours & " " & wc_Hrs & " " & TotalMinutes & " " & wc_Minutes
	End IF


%>

</td>
<td align=center><font size=-1>


<%=JobsClosed%>
</td>

<td align=center><font size=-1><%=AverageCompletionTime %>
</td>
<td align=center><font size=-1>
<%=TotalTimeSpent%>
</td>
</tr>

<%	'****** User Group Sub Totals *********************************

			' Now check if User group has changed to display a summary line
			If OldUserGroup = NewUserGroup Then

			' Compute Avg Time Spent and Total Time Spent Strings
				If UserGroupTotalClosed <> 0 Then
					UserGroupAverageTime = Int(UserGroupTotalTime*MinutesPerCategory/UserGroupTotalClosed)
				Else
					UserGroupAverageTime = 0
				End IF


				' Compute Total Time Spent
		  'Compute the time and display it in hours and minutes if greater than 60
		  TotalMinutes = Int(UserGroupTotalTime*MinutesPerCategory)
		 	If TotalMinutes <=60 then
				TotalTimeSpent =  TotalMinutes & " " & wc_Minutes
			Else
				TotalHours = int(TotalMinutes/60)
				TotalMinutes = TotalMinutes - TotalHours*60
				TotalTimeSpent =  TotalHours & " " & wc_Hrs & " " & TotalMinutes & " " &  wc_Minutes
			End IF



%>
	<tr>
	<td bgcolor=F0B0D0><font size=-1><Br></td>
	<td bgcolor=F0B0D0 align=right><font size=-1><B>-------<%=wc_User_Group%><br><%=wc_Sub_Total%>:</b></font></td>
	<td bgcolor=F0B0D0 align=center><font size=-1><%=UserGroupTotalClosed%></font><br></td>
	<td bgcolor=F0B0D0 align=center><font size=-1><%=UserGroupAverageTime%></font></td>
	<td bgcolor=F0B0D0 align=center><font size=-1><%=TotalTimeSpent%></font></td>
	</tr>

	<% ' Now reset variables
		UserGroupTotalClosed = 0
		UserGroupTotalTime = 0
	%>


	<% End IF ' End of User Group Sub Totals
%>





<% End If ' Do not display last if no items or only one row %>


<%


	rstemp.close ' Close the record set and the connection
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>


<% ' Display the summary row information %>

<tr>

<td bgcolor=FFFFFF align=right><font size=-1><br></td>
<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  <%=wc_Summary_Total%>:</b>




<%
	' Compute summary values
		If TotalJobsClosed <> 0 Then
			TotalAverageCompletionTime = Int(TotalCompletionTime*MinutesPerCategory/TotalJobsClosed)
			If TotalAverageCompletionTime <=60 then
				TotalAverageCompletionTimeString =  TotalAverageCompletionTime & " " & wc_Minutes
			Else
				TotalAvgHours = int(TotalAverageCompletionTime/60)
				TotalAvgMinutes = TotalAverageCompletionTime - TotalAvgHours*60
				TotalAverageCompletionTimeString =  TotalAvgHours & " " & wc_Hrs & " " & TotalAvgMinutes & " " & wc_Minutes
			End IF


		Else
			TotalAverageCompletionTimeString = "0 " & wc_Min
		End IF

		' Compute Total Time Spent
	  'Compute the time and display it in hours and minutes if greater than 60
	  TotalMinutes = Int(TotalCompletionTime*MinutesPerCategory)
		If TotalMinutes <=60 then
			TotalTimeSpent =  TotalMinutes & " " & wc_Minutes
		Else
			TotalHours = int(TotalMinutes/60)
			TotalMinutes = TotalMinutes - TotalHours*60
			TotalTimeSpent =  TotalHours & " " & wc_Hrs & " "  & TotalMinutes & " " & wc_Minutes
		End IF

%>

</td>
<td align=center bgcolor=FFFFFF><font size=-1>
<B>


<%=TotalJobsClosed%></b>
</td>
<td align=center bgcolor=FFFFFF NOWRAP><font size=-1>
<%=TotalAverageCompletionTimeString%>

</td>
<td bgcolor=FFFFFF align=center><font size=-1>
<%=TotalTimeSpent%>

</td>
</tr>



	<%' Close the Table %>

</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>



</body>
</html>


<% Function GetCustomerName(Passed_Customer_ID)
' This function returns the name of the Customer from the Customer_ID

	mySQL2="select * from Customers where customer_ID = '" & Passed_Customer_ID & "'"

	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found then login fails.
	if rstemp2.EOF then
		GetCustomerName = "Customer (" & Passed_Customer_ID & ") No Longer in Database" ' Tech may no longer exist in the database
	Else
		GetCustomerName = rstemp2("contact_fname") & " " & rstemp2("contact_lname") & " / "
		If rstemp2("Company") <> "" Then
			GetCustomerName = GetCustomerName & "(<font color=brown>" & rstemp2("Company") & "</font>)"
		End IF

	End If

	rstemp2.close
	set rstemp2=nothing

End Function
%>
