<% 'Module: CasesByCategory.asp

   'Description: This module is the basic report module from which other report
   ' modules can be built from.
   ' This page can be customized by the user to either add custom
   ' reports or to modify the Tech+Center Control Status Panel.
   ' Please refer to the Web+Center user documentation on how to
   ' modify this script.  This should only be done by advanced system
   ' users and all changes should be carefully changed.  Any code that
   ' updates the database will not be supported without additional
   ' cost from Internet Software Sciences.  Persons adding to this code
   ' should be familar with the ASP programming and how to access a
   ' database from the ASP progamming scripting language.

   '(C) 1999, 2000, 2001 Internet Software Sciences
   ' www.inet-sciences.com


   'History:

   'Date		Who		What
   '-------	---		------------------------------------------------
   '9/09/99	SAV		Created original OpenCasesByTech.asp page
   '10/5/01 SAV		Create originalOpenCasesByCustoerByDate.asp module
   '10/6/01 SAV		Created CasesByCategory.asp module
   '05/20/2011 CMB  Overflow problems if TotalCategoryCases = 0

	' CONSTANTS
%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->

<!-- #INCLUDE FILE="ComputeWeekdayHoursDuration.inc" -->


<!-- #INCLUDE FILE="DisplayWeekdayHoursDuration.inc" -->


<!-- #INCLUDE FILE="../Language/wcLabels.inc" -->

<%' Include this file to get special database cursor constants to read record count values %>

<!-- #INCLUDE FILE="Adovbs.inc" -->

<html>

<head>
<title><%=wc_Computed_SLA_Time_To_Close_By_Category%></title>
</head>

<% 'Get the value of the User Screen background color from the Configuration Table %>
<%
	set conntemp=server.createobject("adodb.connection")
	conntemp.open myDSN

	mySQL2="select * from Configuration"
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found the
	if rstemp2.EOF then
		UserPageColor = "FFFFFF" ' Default to white if record not found
	Else
		UserPageColor = rstemp2("ts_user_page_color")
	End If

	rstemp2.close
	set rstemp2=nothing

%>


<% ' Now see if this page is getting called as form submit with date filter
	'criteria.  If it is then we need to grab that data and put it into the
	'the date range fields.

		CategoryNumber = Request.form("CategoryNumber")
		Start_Date = Request.form("Start_date")
		End_Date = Request.form("End_Date")
		Date_Type = Request.form("Date_Type") ' Passed as 0 (Start date) or 1 (Last Modified)
		Case_Status = Request.form("Case_Status")

		Date_Type = "1" ' Force Last Modified date field

%>


<body bgcolor="<%=UserPageColor%>">
<center>
<table border=1 width=95%>
<tr>
<td align=center bgcolor=F0F0BO>
<font size=-1><%=wc_CASE_REPORT%></font>
</td>
<td bgcolor=F0E0F0 align=center>
<font size=+1><%=wc_Computed_SLA_Time_To_Close_By_Category%></font>
</td>
<td align=center bgcolor=B0F0F0>
<font size=-1><%=Now%></font>
</td>

</tr></table>

</center>

<form action=computeslaTimeToCloseByCategory.asp method=post>

<center>
<table border=1 WIDTH="95%" >
<TR>
<TD ALIGN=CENTER bgcolor=C0F0E0>
<TABLE BORDER=0 CELLPADDING=7 WIDTH="90%" >
<TR>
<TD valign=top><B><FONT SIZE=-1><%=wc_Start_date%>:</FONT></b><br>
<font size=-2>
(mm/dd/yyyy)<br></font>
<font size=-1>
<INPUT type=text name=start_date size=11 maxlength=10 value="<%=Start_Date%>"></TD>

<TD valig=top><B><FONT SIZE=-1><%=wc_End_date%>:</font></b><br>
<font size=-2>(mm/dd/yyyy)<br></FONT>
<font size=-1>
<INPUT type=text name=end_date size=11 maxlength=10 value="<%=End_Date%>"></TD>

<TD valign=top><B><FONT SIZE=-1><%=wc_Category%>:</font></b><br>
<font size=-2>
<%=wc_Select_One%><br></font>

<% ' Display the Categories %>

<% ' Display the  Categories


	'set conntemp=server.createobject("adodb.connection")
	'conntemp.open myDSN

	mySQL="select * from Categories where  State <> 0 Order by Category_index ASC"
	set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see any Categories exist

		response.write " No Categories Defined"


	Else %>

		<% FirstCategoryNumber = CInt(rstemp("Category_Number")) %>

		<select name=CategoryNumber size=1>

	<% Do While rstemp.EOF <> True
		Category_Number = CInt(rstemp("Category_Number"))
		If Category_Number <> Last_Category_Number Then
	%>

		<% If CInt(CategoryNumber) = Category_Number then%>
			<option SELECTED value=<%=rstemp("Category_Number")%>><%=rstemp("Category_Name")%></option>
		<%Else %>
			<option value=<%=rstemp("Category_Number")%>><%=rstemp("Category_Name")%></option>
		<%End If %>


	<%
		End If
		Last_Category_Number = Category_Number
		rstemp.MoveNext
		Loop
	%>

		</select>
	<%	End IF %>

<%
	rstemp.close
	set rstemp=nothing


%>

		</td>

<TD valign=top><B><FONT SIZE=-1><%=wc_Status%>:</FONT></B>
<br><font size=-2><%=wc_Select_One%></font><br>

<FONT SIZE=-1><SELECT size=1 name=case_status>

<% If Case_Status = "" Then%>
	<OPTION selected value=""><%=wc_All_Cases%></OPTION>
<%Else %>
	<OPTION value=""><%=wc_All_Cases%></OPTION>
<%End If %>


<% If Case_Status = "1" Then%>
	<OPTION value=1 SELECTED><%=wc_Closed_Cases%></OPTION>
<%Else %>
	<OPTION value=1><%=wc_Closed_Cases%></OPTION>
<%End If %>

<% If Case_Status = "4" Then %>
	<OPTION value=4 SELECTED><%=wc_All_Open_Cases%></OPTION>
<%Else %>
	<OPTION value=4><%=wc_All_Open_Cases%></OPTION>
<%End If %>


<% If Case_Status = "0" Then %>
	<OPTION value=0 SELECTED><%=wc_Active%></OPTION>
<%Else %>
	<OPTION value=0><%=wc_Open_Active%></OPTION>
<%End IF %>

<% If Case_Status = "2" Then %>
	<OPTION value=2 SELECTED><%=wc_Open_Waiting%></OPTION>
<%Else %>
	<OPTION value=2><%=wc_Open_Waiting%></OPTION>
<%End If %>

<% If Case_Status = "3" Then %>
	<OPTION value=3 SELECTED><%=wc_Open_on_Hold%></OPTION>
<%Else %>
	<OPTION value=3><%=wc_Open_on_Hold%></OPTION>
<%End If %>

</font>
</SELECT></TD>


</SELECT></font></TD>
<td valign=middle>
<INPUT type=image name=b_search src=/<%=WCLanguageDirectory%>/ts_submit30x80.gif border=0></TD>

</TR>
</TABLE>
</TD>
</TR>
</table>
</center>

<P>
</form>


<% ' Display the specific hours of the SLA specification
%>

<center>

<%

	DisplayWeekdayHoursDuration()
%>

</center>





<% ' Create the query based on the entered date range if they entered any data


		If Date_Type = 0 Then


			If Start_Date <> "" Then
				' Remove the slashes so we can do a proper date search
				Start_Date = Replace (Start_Date, "/", "")
				' Move the date characters around into YYYYMMDD format
				NewDate = mid(Start_Date, 5,4) & mid(start_date, 1,2) & mid(start_date,3,2)

				WhereStatement = " Cases.Open_Date >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Cases.Open_date <= '" & NewDate & "'"
				AndText = " AND "
			End IF



		End If

		If Date_Type = 1 Then


			If Start_Date <> "" Then
				Start_Date = Replace (Start_Date, "/", "")
				NewDate = mid(Start_Date, 5,4) & mid(Start_date, 1,2) & mid(Start_date,3,2)

				WhereStatement = " Cases.Mod_Date >= '" & NewDate & "'"
				AndText = " AND "
			End If

			If End_Date <> "" Then
				End_Date = Replace (End_Date, "/", "")
				NewDate = mid(End_Date, 5,4) & mid(End_date, 1,2) & mid(End_date,3,2)

				WhereStatement = WhereStatement & AndText & " Cases.Mod_date <= '" & NewDate & "'"
				AndText = " AND "
			End IF

		End If

		' Case Status Search
		If  Case_Status <> "" Then
			If Case_Status = "4" Then 'All Open Cases
				WhereStatement = WhereStatement & AndText & " Cases.status <> 1 "
			Else
				WhereStatement = WhereStatement & AndText & " Cases.status = " & Case_Status
			End If
			AndText = " AND "
		End IF


		' Case Category Selection
		' We are passed a Category number so we need to add a "C" infront of it
		' to get the category number in the case table.

		Category_Number = CStr(Request.form("CategoryNumber"))

		'Response.write "Cat=" & Category_Number

		If Category_Number = "" Then
			Category_Number = FirstCategoryNumber
		End If

		CategoryColumn = "C" & Category_Number


		If WhereStatement <> ""Then
			WhereStatement = " Where "& WhereStatement
		End IF

		' Add order by clause

		WhereStatement = WhereStatement & " Order by " & CategoryColumn


%>


<%' First get all of the open Cases total count since we will need that for our percentage calculation%>
<% ' Get Total number of Cases

	sqltemp="select * from Cases " & WhereStatement

	'response.write "SQL=" & sqltemp

	'sqltemp="select * from cases "


	set rstemp=Server.CreateObject("adodb.Recordset")

	'-->AKS<-- Need to specify cursore for record count to be correct.

	If DatabaseType <> "ACCESS97" Then
		rstemp.CursorLocation = adUseClient
	End If

	rstemp.open sqltemp, conntemp, adopenstatic
	TotalCategoryCases = rstemp.recordcount
	'rstemp.close
	'set rstemp=nothing

%>

<% ' Display the Category Name at the top of the table
	mySQL2="select * from Categories where  Category_Number = " & Category_number
	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned

	If rstemp2.EOF = True Then
		Category_Name = " No Category Defined"
	Else
		Category_Name = rstemp2("Category_Name")
	End If

	rstemp2.close
	set rstemp2 = Nothing


%>


<center>
<B><%=wc_Cases_by_category%>: <font color=blue><%=Category_Name %></font> <%=wc_Report%></b><br>

<table width=95% border = 1>
<tr>
<th width=30% bgcolor=E0E0E0><font size=-1><%=wc_Category_Item%></th>
<th width=10% bgcolor=E0E0E0><font size=-1> # </th>
<th width=10% bgcolor=E0E0E0><font size=-1> %&nbsp;&nbsp;of&nbsp;&nbsp;<%=wc_Total%></th>


<th width=10% bgcolor=E0E0E0><font size=-1> Avg # of Days <br> To Close</th>
<th width=10% bgcolor=E0E0E0><font size=-1> Avg # of Hours <br> To Close</th>




</tr>

<%' Now step through data set %>


<% ' Get all open Cases, sort by Tech ID and count for each tech and then
	' compute what percentage that Tech ID has and then display it graphically
	'

	' Get the Case statistics from the case table
	if not rstemp.BOF then
		rstemp.MoveFirst
	end if
	'mySQL="select * from cases where status <> 1  order by Customer_ID"
	'set rstemp=conntemp.execute(mySQL)

	' Check to see if any records are returned
	' if none found then login fails.

	If  rstemp.eof then ' Check to see if any open Cases

%>
		<tr><td colspan=4 align=center><font size=-1><B> No Matching Cases Found </b></font></td></tr>
<%
	Else ' Must be one or more open Cases
		' Setup for the first one  outside of the loop
			Color = "Purple" ' Set up First color
			CategoryCases = 0 ' Default to one case
			NewCategoryCount = 0 ' Default this to zero first

		' Before we get into the loop determine the value for the first tech
			' Check to see if this category value is null or blank
			if IsNull(rstemp(CategoryColumn)) = TRUE Then
				Lastcategory = "Un-assigned"
			else
				LastCategory = rstemp(CategoryColumn)
			End IF

	End If


		do while not rstemp.eof

			' Now step through the records
			' Check to see if this tech value is null or blank
			if IsNull(rstemp(CategoryColumn)) = TRUE Then
				Category = "Un-assigned" ' This should never happen - it should default to 0
			else
				Category = rstemp(CategoryColumn)
			End If


			' Now compare LastCategory and Category to see if they are the same.  If
			' they are the same then continue on until they change and then
			' output a record

			If LastCategory <> Category then
				' There must be at least one new category count here
				' so set a flag
				NewCategoryCount = 1

				' Checking code
				'CategoryCases = CategoryCases + 1

			' Display a row in the table
			%>

<tr>

<td><font size=-1>

<%				If LastCategory = "Un-assigned" Then
					Response.write "Not Assigned"
				Else
					Response.write GetCategoryItemName(Category_Number, LastCategory)
				End If
%>


<% ' Rotate between 5 colors %>
<% 				If color="Red" Then
					color = "Blue"
				Elseif color= "Blue" Then
					color = "Green"
				Elseif color = "Green" Then
					color = "Yellow"
				Elseif color = "Yellow" Then
					color = "Purple"
				Elseif color = "Purple" then
					color = "Red"
				End If
%>

</td>

<td align=center><font size=-1><%=CategoryCases %>
</td>

<% Percentage = Int(1000* (CategoryCases/TotalCategoryCases))/10%>
<td align=center><font size=-1><%=Percentage %>%
</td>

	<% FinalAvgHour = TotalHours/CategoryCases

		FinalAvgHourTotal = FinalAvgHourTotal + FinalAvgHour
		'TotalCategoryCases = TotalCategoryCases + CategoryCases


	    FinalAvgDays = FinalAvgHour/24
	%>


<td align=center><font size=-1>
<%= DisplayTwoPlaces(FinalAvgDays) %>


</td>
<td align=center><font size=-1>



<%= DisplayTwoPlaces(FinalAvgHour)%>




</td>




</tr>

<%

				'CategoryCases = 1 ' Reset Back to 1 or 0
				CategoryCases = 0 ' Reset Back to 1

				TotalHours = 0


		End IF ' End if LastCategory <> Category

			LastCategory = Category


	' Code to calculate the time

				open_date = rstemp("Open_date")
				Open_time = rstemp("Open_Time")
				Mod_date = rstemp("mod_date")
				Mod_Time = rstemp("mod_time")


	' SLA Computer Time Different
	' This Module varies from the Average time to close module by only counting hours and days
	' that the organization is open (ie 8AM  to 5 PM).  This is an important
	' calculation when determining how quickly certain cases were closed based on
	' service level agreements to close a case in a timely manner.

	' Intead of using the ComputeHourDifferenceFunction, a much more complex function
	' has been developed to take the same start date/time and end Date/time values
	' and compute the time between those dates/times but only acconting for
	' time when the organization is open.


	' Example Calls

	'startDateTime = "12/11/2009 03:30:00 PM"
	'EndDateTime   = "12/11/2009 04:30:00 PM"

	' First create the date/time string from the open_date/time and and mod_date/time string fields


	StartDateTime = mid(open_date,5,2) & "/" & mid(open_date, 3,2) & "/" & mid(open_date, 1,4)
	StartDateTime = StartDateTime & " " & mid(open_time, 1,2) & ":" & mid(open_time,3,2) & ":" & mid(open_time,5,2)

	If mid(open_time,1,2) > 12 then
		StartDateTime = StartDateTime & " PM"
	else
		StartDateTime = StartDateTime & " AM"
	End If



	EndDateTime = mid(mod_date,5,2) & "/" & mid(mod_date, 3,2) & "/" & mid(mod_date, 1,4)
	EndDateTime = EndDateTime & " " & mid(mod_time, 1,2) & ":" & mid(mod_time,3,2) & ":" & mid(mod_time,5,2)

	If mid(mod_time,1,2) > 12 then
		EndDateTime = EndDateTime & " PM"
	else
		EndDateTime = EndDateTime & " AM"
	End If


	' Debugging
'	Response.write "StateDateTime = " & StartDateTime & "<br>"
'	Response.write "EndDateTime = " & EndDateTime & "<br>"


	' This new function returns QUARTER HOURS so we need divide by 4 before
	' we call the remaining part of the code


	Hours = ComputeWeekdayHoursDuration(StartDateTime, EndDateTime)

	AvgHours = Hours/4 ' Convert from quarter hours to hours


	'response.write "value returned from function = " & hours & " quarter hours<P>"


			' Old ComputeHourDifference Function call - here to show old function

		'	AvgHours = ComputeHourDifference(open_time, open_date, mod_Time, mod_date)

				'debugging
				'response.write "AVGHours = " & AvgHours & "<br>"

				TotalTotalHours = AvgHours + TotalTotalHours

				TotalHours = AvgHours + TotalHours



			rstemp.movenext

			if rstemp.EOF <> True AND rstemp.BOF <> True then
				CategoryCases = CategoryCases + 1
			End If

	loop

	' Display the Last Category information or the only Category
%>

<% If CategoryCases <> 0 Or NewCategoryCount = 1 Then %>




	<%


	'debug
'	response.write "TotalHours = " & TotalHours
'	response.write "CategoryCases = " & CategoryCases
'	response.flush
'	response.end


	CategoryCases = CategoryCases + 1



	FinalAvgHour = TotalHours/CategoryCases

		FinalAvgHourTotal = FinalAvgHourTotal + FinalAvgHour
		'TotalCategoryCases = TotalCategoryCases + CategoryCases


	    FinalAvgDays = FinalAvgHour/24
	%>


<tr>

<td><font size=-1>

	<% If LastCategory = "Un-assigned" Then
		Response.write "Not Assigned"
	   Else
	 	response.write GetCategoryItemName(Category_Number, LastCategory)
	   End If
	%>



<% ' Rotate between 5 colors %>
<% 				If color="Red" Then
					color = "Blue"
				Elseif color= "Blue" Then
					color = "Green"
				Elseif color = "Green" Then
					color = "Yellow"
				Elseif color = "Yellow" Then
					color = "Purple"
				Elseif color = "Purple" then
					color = "Red"
				End If
%>

</td>
<td align=center><font size=-1>


<%=CategoryCases%>
</td>
<%
	If CategoryCases <> 0 Then
		Percentage = Int(1000* (CategoryCases/TotalCategoryCases))/10
	Else
		Percentage = 0
	End If%>

<td align=center><font size=-1><%=Percentage %>%
</td>



<td align=center><font size=-1>
<%= DisplayTwoPlaces(FinalAvgDays) %>


</td>
<td align=center><font size=-1>



<%= DisplayTwoPlaces(FinalAvgHour)%>




</td>


</tr>

<% End If ' Do not display last if no items or only one row %>


<%


	rstemp.close ' Close the record set and the connection
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing
%>


<% ' Display the summary row information %>

<tr>

<td bgcolor=FFFFFF align=right><font size=-1> <B>-----------  <%=wc_Summary_Total%>:</b>




<% ' Rotate between 5 colors %>
<% 				If color="Red" Then
					color = "Blue"
				Elseif color= "Blue" Then
					color = "Green"
				Elseif color = "Green" Then
					color = "Yellow"
				Elseif color = "Yellow" Then
					color = "Purple"
				Elseif color = "Purple" then
					color = "Red"
				End If
%>

</td>
<td align=center bgcolor=FFFFFF><font size=-1>
<B>


<%=TotalCategoryCases%></b>
</td>
<td align=center bgcolor=FFFFFF><font size=-1><B>100% </b>
</td>

<%


	'AvgAvgHour = FinalAvgHourTotal/TotalCategoryCases

	if TotalCategoryCases > 0 then  ' CMB 5/20/2011 overflow problems
		AvgAvgHour = TotalTotalHours/TotalCategoryCases
	else
		AvgAvgHours = 0 ' CMB 5/20/2011 overflow problems
	end if
	AvgAvgDays = AvgAvgHour/24

%>


<td align=center bgcolor=FFFFFF><font size=-1>

<%=DisplayTwoPlaces(AvgAvgDays)%>

</td>
<td bgcolor=FFFFFF align=center><font size=-1>
<%=DisplayTwoPlaces(AvgAvgHour)%>
</td>


</tr>



	<%' Close the Table %>

</table>
<P>
<center>
<a href=Reports.asp><img src=/<%=WCLanguageDirectory%>/ts_reports21x120.gif border=0></a>
</center>


</body>
</html>


<% Function GetCustomerName(Passed_Customer_ID)
' This function returns the name of the Customer from the Customer_ID

	mySQL2="select * from Customers where customer_ID = '" & Passed_Customer_ID & "'"

	set rstemp2=conntemp.execute(mySQL2)

	' Check to see if any records are returned
	' if none found then login fails.
	if rstemp2.EOF then
		GetCustomerName = "Customer (" & Passed_Customer_ID & ") No Longer in Database" ' Tech may no longer exist in the database
	Else
		GetCustomerName = rstemp2("contact_fname") & " " & rstemp2("contact_lname") & " / "
		If rstemp2("Company") <> "" Then
			GetCustomerName = GetCustomerName & "(<font color=brown>" & rstemp2("Company") & "</font>)"
		End IF

	End If

	rstemp2.close
	set rstemp2=nothing

End Function
%>

<% Function GetCategoryItemName(Category_Number, item_number)
' This function returns the item_name for this category from both Category_Number and item_number


	mySQL2="select * from Categories where Category_number = " & Category_Number & " AND Item_Number = " & item_number

	If Item_Number = 0 Then
		GetCategoryItemName = "<B>Category Not Set</b>"
	Else

		set rstemp2=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found then login fails.
		if rstemp2.EOF then
			GetCategoryItemName = "<B>Category Setting Disabled</b>"
		Else
			GetCategoryItemName = rstemp2("Item_name")

		End If

		rstemp2.close
		set rstemp2=nothing

	End If


End Function
%>


<% Function DisplayTwoPlaces(Amount)

	'This function Displays dollar/cents amounts with the dollar sign
	' or currency symbol.


	ShortString = FormatCurrency(Amount)
	DisplayTwoPlaces = Replace(ShortString, "$", "")


	End Function

%>

<%
Function ComputeHourDifference(open_time, open_date, mod_Time, mod_date)


			FormattedOpenDate = mid(Open_Date,5,2) & "/" & mid(Open_Date,7,2) & "/" & mid(Open_Date,1,4)
			' Now we need to add the time as well to that string as hh:mm
			FormattedOpenTime = mid(Open_Time,1,2) & ":" & mid(Open_Time,3,2)
			FormattedOpenDateTime = FormattedOpenDate & " " & formattedOpenTime

			CurrentDate = FormatDateTime( Date, vbGeneralDate)
			' Now put this OpenDate format into a format that the DateDiff() function
			' can work with converting from YYYYMMDD to mm/dd/yyyy

			FormattedModDate = mid(Mod_Date,5,2) & "/" & mid(Mod_Date,7,2) & "/" & mid(mod_Date,1,4)
			' Now we need to add the time as well to that string as hh:mm
			FormattedModTime = mid(Mod_Time,1,2) & ":" & mid(Mod_Time,3,2)
			FormattedDateTime = FormattedModDate & " " & formattedModTime

			MinutesDiff = DateDiff("n", FormattedOpenDateTime, FormattedDatetime )
			'response.write "Now=" & Now()
			'response.write "FormattedDateTime = " & FormattedDatetime
			'response.write "Minutes Difference = " & MinutesDiff

			ComputeHourDifference = MinutesDiff/60

		' Debugging
		'response.write "Open_time = " & open_time & " Open Date = " & Open_Date
		'response.write "mod_time = " & mod_time & " mod Date = " & mod_Date
		'response.write "Hour Difference = " & ComputeHourDifference




 End Function

%>
