<% 'Module: QBMenu.asp

   'Description: This module is the Page for displaying the Quick Book Integration
   ' Options and diagram.
   ' builder configuration page.


   '(C) 2007 Internet Software Sciences
   ' www.inet-sciences.com

   'History:

   'Date		Who		What
   '-------		---		------------------------------------------------
	'02/15/07	SAV		Created QBMenu.asp module

%>

<%' Get the Database DNS and login information - Edit this file to change the DSN connection string%>

<!-- #INCLUDE FILE="DB_define.inc" -->
<!-- #INCLUDE FILE="../Language/wcLabelsAdmin.inc" -->

<%' Include this file for special database cursor constants %>

<% ' ASP Page Security Checks ***********************************
	' This security will check to see if the logged in tech member
	'has the right user level to
	' run this function.  If not, then display an error page.

	' Set the minumum tech security level required for this function.
	' 6 = Configurator = Highest Rights
	' 5 = Administrator
	' 4 = Dispatcher
	' 3 = Tech Read/Write
	' 2 = Tech Read only
	' 1 = No access - Lowest Rights

	TechLevel = 3 ' Only Allow Configurators to access this function.

	CookieID = Request.Cookies("ISS_TECH_CENTER_LOGIN") ' Get the Logged TechID from the cookie

		set conntemp=server.createobject("adodb.connection")
		conntemp.open myDSN

		mySQL2="SELECT * from Tech_staff where Tech_ID = '" & CookieID & "' AND Tech_Level >= " & TechLevel
		set rstemp=conntemp.execute(mySQL2)

		' Check to see if any records are returned
		' if none found the

		If rstemp.EOF <> True Then
			ValidUser = "YES" ' Set this variable to prevent problems on next page
		End If

		rstemp.close
		set rstemp=nothing
		conntemp.close ' Close the connection
		set conntemp=nothing

 ' End of ASP page security checks
 %>


<% if ValidUser <> "YES" Then %>
	<% ASPPage = "qbmenu.asp"%>

	<!-- #include file=Invaliduser.inc-->

<%else '  Valid User for this function %>

<%
	' FIRST Get the values from the configuration file and into variables


	set conntemp=server.createobject("adodb.connection")

	conntemp.open myDSN ' Open the connection once here

	mySQL2="select * from Configuration"

	set rstemp = server.createobject("adodb.recordset")
	rstemp.open mySQL2, conntemp, 1,3

	If rstemp.EOF = True  Then
		Response.write "No Configuration file found"
	Else

		' Get the values from the configuration File

		UserPageColor = rstemp("ts_user_page_color")


	End If

	rstemp.close
	set rstemp=nothing
	conntemp.close ' Close the connection
	set conntemp=nothing

%>


<html>
<!-- (C) 1996,1997, 1998, 1999, 2000, 2001 by Internet Software Sciences -->
<head>
<title>Quick Books Integration Options</title>
</head>
<body bgcolor=#<%=UserPageColor%>>
<center><table border=1 cellspacing=2 cellpadding=10 width=98% >
<tr>
<td align=center>
<font size=+1>
<b>Quick Books Integration Options </b>
</font>
<br>
</td></tr></table><p>
</center>

Please follow Quick Book Integration Steps below to integrate Help Desk related
time tracking tickets from Web+Center into invoicing items in Quick Books.

<P>
Steps: <br>

<UL>
<li> Edit and review the QBOptions.inc file located in the Language directory with
your own configurations and options.

<li>Optional Export Customers from QB to Web+Center using the tool provided below
<li> If you didn't export customers from QB (step above), you will need to export Web+Center
customers into QB using the tool below.
<li> Export Web+Center Tech information into QB employee information and import into QB
<li> Configure Web+Center/QB Item lists using the Manage QB Item list options below
<li> Export Web+Center QB Item list to  QB using the tool below and import in QB

</ul>

When you ar ready to export tech time records, select the required Export Extended Time
Spent Entries options method to create the Time Action IIF for importing int QB.




<UL>


<B><U>Import/Export Options:</u></b><P>


<UL> <B>Customers</b><br>
<LI><a href=ImportQBCustomers.asp>Import Quick Book Customers into Web+Center Customer Database</a> <Br>
<LI><a href=ExportWCCustomersQB.asp>Export Web+Center Customers for import into Quick Books</a> <br>

</ul>


<ul>
<B>Web+Center Techs/QB Employees</b><br>


<LI><a href=DoExportWCTechsQB.asp>Export Web+Center Techs into QuickBooks employees</a> <Br>

</ul>

<P>


<UL> <B>Web+Center Items Lists</b> <br>


<LI><a href=ManageQBItems.asp>Manage Web+Center QB Item Lists</a> <Br><br>


<LI><a href=DoExportWCItemListQB.asp>Export Web+Center Item Lists to QB IIF file </a> <Br><br>


</ul>

<B><U>Export Web+Center Time Spent entry to QB Time Spent Import files :</u></b><P>


<UL>
<LI><a href=ExportQBTimeSpentByCompany.asp>Export Time Spent Entries to QB Time Spent IIF Import Files</a> <Br>

</ul>



</ul>





</table>


</form>

</body>
</html>

<% End If %>

